"use strict";

/* jshint ignore:start */



/* jshint ignore:end */

define('cornerstone/adapters/cs-adapter-with-ids', ['exports', 'cornerstone/adapters/cs-adapter', 'npm:uuid'], function (exports, _cornerstoneAdaptersCsAdapter, _npmUuid) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({

    generateIdForRecord: function generateIdForRecord() {
      return _npmUuid['default'].v4();
    }

  });
});
// import Ember from 'ember';
define('cornerstone/adapters/cs-adapter', ['exports', 'ember', 'ember-data/adapters/json-api'], function (exports, _ember, _emberDataAdaptersJsonApi) {
  // import { AdapterError, InvalidError } from 'ember-data/adapters/errors';

  exports['default'] = _emberDataAdaptersJsonApi['default'].extend({

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findAll
    findAll: function findAll(store, type) {
      return this.get('csAjax').modelRequest(type.modelName);
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findRecord
    findRecord: function findRecord(store, type, id) {
      return this._request(type.modelName, {
        params: { query: { id: id }, single: true }
      });
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_query
    query: function query(store, type, _query) {
      return this._request(type.modelName, {
        params: { query: _query }
      });
    },

    // should404: false,

    _request: function _request(type, request) {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        _this.get('csAjax').modelRequest(type, request).then(function (success) {

          var status = success.errors ? success.errors[0].status : 200;
          var response = _this.handleResponse(status, [], success, request);

          if (response.errors) {
            reject(response);
          } else {
            _ember['default'].run(function () {
              resolve(response);
            });
          }
        }, reject);
      });
    },

    //
    // Caching
    //

    // shouldReloadRecord(store, snapshot) {
    //   return false;
    // },

    // shouldBackgroundReloadRecord(store, snapshot) {
    //   console.log("Calling shouldBackgroundReloadRecord");
    //   const loadedAt = snapshot.record.get('loadedAt');

    //   // if it was loaded more than an hour ago
    //   if (Date.now() - loadedAt > 3600000) {
    //     return true;
    //   } else {
    //     return false;
    //   }
    // },

    createRecord: function createRecord(store, type, snapshot) {
      return this._updateRequest('create', store, type, snapshot);
    },

    updateRecord: function updateRecord(store, type, snapshot) {
      return this._updateRequest('update', store, type, snapshot);
    },

    deleteRecord: function deleteRecord(store, type, snapshot) {
      return this._updateRequest('delete', store, type, snapshot);
    },

    _updateRequest: function _updateRequest(action, store, type, snapshot) {
      return this.get('csAjax').request('adapter::' + type.modelName, {
        action: action,
        params: {
          model: this.serialize(snapshot, { includeId: true }),
          id: snapshot.id
        }
      });
    }

  });
});
define('cornerstone/adapters/cs-client-side-adapter', ['exports', 'ember', 'cornerstone/adapters/cs-read-only-adapter', 'npm:uuid'], function (exports, _ember, _cornerstoneAdaptersCsReadOnlyAdapter, _npmUuid) {
  exports['default'] = _cornerstoneAdaptersCsReadOnlyAdapter['default'].extend({

    firstLoad: false,
    generateIdForRecord: function generateIdForRecord() {
      return _npmUuid['default'].v4();
    },

    shouldBackgroundReloadAll: function shouldBackgroundReloadAll() {
      return false;
    },

    shouldReloadAll: function shouldReloadAll(store, snapshotArray) {
      return _ember['default'].isEmpty(_ember['default'].get(store.peekAll(snapshotArray.type.modelName), 'content'));
    },

    shouldReloadRecord: function shouldReloadRecord() {
      return false;
    },

    shouldBackgroundReloadRecord: function shouldBackgroundReloadRecord() {
      return false;
    }

  });
});
define('cornerstone/adapters/cs-longevity-adapter', ['exports', 'ember', 'cornerstone/adapters/cs-read-only-adapter'], function (exports, _ember, _cornerstoneAdaptersCsReadOnlyAdapter) {
  exports['default'] = _cornerstoneAdaptersCsReadOnlyAdapter['default'].extend({
    csBackgroundReloadRefreshRate: 300000,

    shouldReloadRecord: function shouldReloadRecord() {
      return false;
    },

    shouldBackgroundReloadRecord: function shouldBackgroundReloadRecord(store, snapshot) {

      var loadedAt = snapshot.record.get('loadedAt');
      var now = Date.now();
      if (now - loadedAt > this.csBackgroundReloadRefreshRate) {
        snapshot.record.set('loadedAt', now);
        _ember['default'].Logger.info('Background reloading ' + snapshot.modelName + ' ' + snapshot.id);
        return true;
      } else {
        return false;
      }
    }

  });
});
define('cornerstone/adapters/cs-option-list-adapter', ['exports', 'ember', 'ember-data/adapters/json-api', 'npm:uuid'], function (exports, _ember, _emberDataAdaptersJsonApi, _npmUuid) {
  exports['default'] = _emberDataAdaptersJsonApi['default'].extend({

    filterResponse: function filterResponse(store, type, response) {
      return response;
    },

    // Set this to the option model we're proxying through
    option: null,

    generateIdForRecord: function generateIdForRecord() {
      return _npmUuid['default'].v4();
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findAll
    findAll: function findAll(store, type) {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        store.findRecord('option', _this.get('option')).then(function (record) {
          resolve(_this.filterResponse(store, type, record.serialize().data.attributes.value));
        }, reject);
      });
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findRecord
    findRecord: function findRecord(store, type, id) {
      var _this2 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        _this2.findAll(store).then(function () {
          resolve(store.peekRecord(type.modelName, id));
        }, reject);
      });
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_query
    query: function query() {
      console.warn('This adapter does not support query');
    },

    shouldReloadRecord: function shouldReloadRecord() {
      return false;
    },

    shouldBackgroundReloadRecord: function shouldBackgroundReloadRecord() {
      return false;
    },

    createRecord: function createRecord(store, type, snapshot) {
      return this._updateRequest('create', store, type, snapshot);
    },

    updateRecord: function updateRecord(store, type, snapshot) {
      return this._updateRequest('update', store, type, snapshot);
    },

    deleteRecord: function deleteRecord(store, type, snapshot) {
      return this._updateRequest('delete', store, type, snapshot);
    },

    _updateRequest: function _updateRequest(action, store, type /*, snapshot */) {
      var _this3 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var option = store.peekRecord('option', _this3.get('option'));

        var value = store.peekAll(type.modelName).filter(function (record) {
          return !record.get('isDeleted');
        }).sortBy('order').map(function (record) {
          return record.serialize({ includeId: true });
        });

        option.set('value', value);

        option.save().then(function () {
          resolve();
        }, reject);
      });
    }

  });
});
define('cornerstone/adapters/cs-read-only-adapter', ['exports', 'ember', 'cornerstone/adapters/cs-adapter'], function (exports, _ember, _cornerstoneAdaptersCsAdapter) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({

    //
    // Fake persistence
    //

    createRecord: function createRecord() {
      return new _ember['default'].RSVP.Promise(function (resolve) {
        return resolve(undefined);
      });
    },

    updateRecord: function updateRecord() {
      return new _ember['default'].RSVP.Promise(function (resolve) {
        return resolve(undefined);
      });
    },

    deleteRecord: function deleteRecord() {
      return new _ember['default'].RSVP.Promise(function (resolve) {
        return resolve(undefined);
      });
    }

  });
});
define('cornerstone/app', ['exports', 'ember', 'cornerstone/resolver', 'ember-load-initializers', 'cornerstone/config/environment'], function (exports, _ember, _cornerstoneResolver, _emberLoadInitializers, _cornerstoneConfigEnvironment) {

  var App = undefined;

  _ember['default'].MODEL_FACTORY_INJECTIONS = true;

  App = _ember['default'].Application.extend({
    modulePrefix: _cornerstoneConfigEnvironment['default'].modulePrefix,
    podModulePrefix: _cornerstoneConfigEnvironment['default'].podModulePrefix,
    Resolver: _cornerstoneResolver['default']
  });

  (0, _emberLoadInitializers['default'])(App, _cornerstoneConfigEnvironment['default'].modulePrefix);

  exports['default'] = App;
});
define('cornerstone/application/adapter', ['exports', 'cornerstone/adapters/cs-read-only-adapter'], function (exports, _cornerstoneAdaptersCsReadOnlyAdapter) {
  exports['default'] = _cornerstoneAdaptersCsReadOnlyAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/application/route', ['exports', 'ember', 'cornerstone/mixins/keyboard-shortcuts/route'], function (exports, _ember, _cornerstoneMixinsKeyboardShortcutsRoute) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsKeyboardShortcutsRoute['default'], {

    ui: _ember['default'].inject.service(),
    preview: _ember['default'].inject.service(),

    keyboardShortcuts: {
      'save': 'save',
      'delete-confirm': {
        action: 'deleteConfirm',
        global: false
      },
      'delete-release': 'deleteRelease',
      'mod-key-press': {
        action: 'modKeyPress',
        global: false
      },
      'mod-key-release': 'modKeyRelease',
      'esc': 'cancel'
    },

    shouldBindKeyboardShortcuts: _ember['default'].computed.not('preview.isPreview'),

    shouldLoadPreview: _ember['default'].observer('preview.ready', function () {
      if (this.get('preview.isPreview') && this.get('preview.ready')) {
        this.transitionTo(this.get('preview.initialRoute'));
      }
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.get('preview').setupPort();
    },

    setupController: function setupController(controller) {
      this._super.apply(this, arguments);
      controller.set('isPreview', this.get('preview.isPreview'));
    },

    actions: {

      selectLanguage: function selectLanguage(code) {
        this.transitionTo({ queryParams: { lang: code } });
      },

      save: function save() {
        // Prevent native browser save dialog when this event isn't handled by a child route
      },

      error: function error(_error, transition) {
        console.warn('Transition Error', _error, transition);
      },

      cancel: function cancel() {

        if (this.get('preview.isPreview')) {
          return;
        }

        var $focus = _ember['default'].$('<input type="text" style="opacity:0;position:absolute;">');
        _ember['default'].$('body').append($focus);
        $focus.focus();
        $focus.remove();
      },

      modKeyPress: function modKeyPress() {
        this.set('ui.modKey', true);
      },

      modKeyRelease: function modKeyRelease() {
        this.set('ui.modKey', false);
      },

      deleteConfirm: function deleteConfirm() {
        this.set('ui.deleteConfirm', true);
      },

      deleteRelease: function deleteRelease() {
        this.set('ui.deleteConfirm', false);
      },

      loading: function loading(transition /* , originRoute */) {
        this.set('ui.transitioning', true);
        transition.promise['finally']((function () {
          this.set('ui.transitioning', false);
        }).bind(this));
      },

      didTransition: function didTransition() {
        var _this = this;

        _ember['default'].run.next(this, function () {
          _this.set('ui.currentRouteName', _this.get('router.currentRouteName'));
        });
        return true;
      }

    }

  });
});
define('cornerstone/application/serializer', ['exports', 'ember-data/serializers/json-api'], function (exports, _emberDataSerializersJsonApi) {
  exports['default'] = _emberDataSerializersJsonApi['default'].extend({
    // keyForAttribute(key) {
    //   if ( 'controlGroups' === key ) {
    //     debugger;
    //   }
    //
    // },
    // normalizeResponse(store, primaryModelClass, payload) {
    //   console.log(payload);
    //   debugger;
    //   return this._super(...arguments);
    // }
    // normalizeFindRecordResponse(store, type, payload) {
    //   console.log(type,payload);
    //   return this._super(...arguments)
    // }
    // normalizeFindRecordResponse(store, type, payload) {
    //   console.log(payload);
    //   return {
    //     data: {
    //       id: payload.id,
    //       type: type.modelName,
    //       attributes: {
    //         // name: payload.name,
    //         // publicRepos: payload.public_repos
    //       }
    //     }
    //   }
    // }
  });
});
define("cornerstone/application/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 2
                },
                "end": {
                  "line": 5,
                  "column": 2
                }
              },
              "moduleName": "cornerstone/application/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("    ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "outlet", ["bar"], [], ["loc", [null, [4, 4], [4, 20]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 7,
                  "column": 2
                },
                "end": {
                  "line": 9,
                  "column": 2
                }
              },
              "moduleName": "cornerstone/application/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("    ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/tab-modal", [], ["panels", ["subexpr", "@mut", [["get", "ui.cheatsheetItems", ["loc", [null, [8, 30], [8, 48]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "@mut", [["get", "ui.showCheatsheet", ["loc", [null, [8, 56], [8, 73]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [8, 4], [8, 75]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 0
              },
              "end": {
                "line": 14,
                "column": 0
              }
            },
            "moduleName": "cornerstone/application/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(7);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 6, 6, contextualElement);
            morphs[4] = dom.createMorphAt(fragment, 8, 8, contextualElement);
            morphs[5] = dom.createMorphAt(fragment, 10, 10, contextualElement);
            morphs[6] = dom.createMorphAt(fragment, 12, 12, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "global/cs-bar", [], [], 0, null, ["loc", [null, [3, 2], [5, 20]]]], ["inline", "outlet", ["global"], [], ["loc", [null, [6, 2], [6, 21]]], 0, 0], ["block", "if", [["get", "ui.routeEnabledCheatsheet", ["loc", [null, [7, 8], [7, 33]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [7, 2], [9, 9]]]], ["content", "global/notification-queue", ["loc", [null, [10, 2], [10, 31]]], 0, 0, 0, 0], ["inline", "common/confirm-modal", [], ["screen", "global"], ["loc", [null, [11, 2], [11, 42]]], 0, 0], ["inline", "global/progress-bar", [], ["saving", ["subexpr", "@mut", [["get", "ui.saving", ["loc", [null, [12, 31], [12, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "transitioning", ["subexpr", "@mut", [["get", "ui.transitioning", ["loc", [null, [12, 55], [12, 71]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [12, 2], [12, 73]]], 0, 0], ["content", "cs-islands", ["loc", [null, [13, 2], [13, 16]]], 0, 0, 0, 0]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/application/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "unless", [["get", "isPreview", ["loc", [null, [2, 10], [2, 19]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [14, 11]]]], ["content", "outlet", ["loc", [null, [15, 0], [15, 10]]], 0, 0, 0, 0]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 17,
            "column": 0
          }
        },
        "moduleName": "cornerstone/application/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/top-level", [], [], 0, null, ["loc", [null, [1, 0], [16, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/classic-template/adapter', ['exports', 'cornerstone/adapters/cs-adapter'], function (exports, _cornerstoneAdaptersCsAdapter) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({});
});
define('cornerstone/classic-template/model', ['exports', 'ember-data/model', 'ember-data/attr'], function (exports, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    title: (0, _emberDataAttr['default'])(),
    section: (0, _emberDataAttr['default'])(),
    type: (0, _emberDataAttr['default'])(),
    elements: (0, _emberDataAttr['default'])()

  });
});
// import Ember from 'ember';
define('cornerstone/components/app-version', ['exports', 'ember-cli-app-version/components/app-version', 'cornerstone/config/environment'], function (exports, _emberCliAppVersionComponentsAppVersion, _cornerstoneConfigEnvironment) {

  var name = _cornerstoneConfigEnvironment['default'].APP.name;
  var version = _cornerstoneConfigEnvironment['default'].APP.version;

  exports['default'] = _emberCliAppVersionComponentsAppVersion['default'].extend({
    version: version,
    name: name
  });
});
define('cornerstone/components/bars/region-manager/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-workspace-content', 'cs-hf-layout'],

    store: _ember['default'].inject.service(),

    orderSort: ['order'],
    titleSort: ['title'],
    sortedBars: _ember['default'].computed.sort('selectedRegion.availableChildren', 'orderSort'),
    sortedContainers: _ember['default'].computed.sort('selectedBar.availableChildren', 'orderSort'),
    sortedModules: _ember['default'].computed.sort('selectedContainer.availableChildren', 'orderSort'),

    elementLibrary: _ember['default'].computed.filter('moduleDefinitions', function (item) {
      if (item.get('isClassic')) {
        return false;
      }
      return item.getWithDefault('showInLibrary', false);
    }),

    sortedElementLibrary: _ember['default'].computed.sort('elementLibrary', 'titleSort'),

    unsetSelectedContainer: _ember['default'].observer('selectedContainer.isDeleted', function () {
      if (this.get('selectedContainer.isDeleted')) {
        this.set('selectedContainer', null);
      }
    }),

    unsetSelectedBar: _ember['default'].observer('selectedBar.isDeleted', function () {
      if (this.get('selectedBar.isDeleted')) {
        this.set('selectedBar', null);
      }
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.firstOpen();
    },

    showRegionSelect: _ember['default'].computed.gt('regions.length', 1),

    singleBarRegions: _ember['default'].computed('regions.[]', function () {
      return this.get('regions').filter(function (region) {
        return _ember['default'].get(region, 'oneBar');
      }).map(function (region) {
        return region.value;
      });
    }),

    canAddBar: _ember['default'].computed('selectedRegion', 'sortedBars', 'singleBarRegions.[]', function () {
      return !(this.get('singleBarRegions').includes(this.get('selectedRegion.atts._region')) && this.get('sortedBars.length') > 0);
    }),

    maxBarsMessage: _ember['default'].computed('canAddBar', function () {
      return 'This region only supports a single bar.';
    }),

    moduleSelectorIsShowing: false,

    firstOpen: function firstOpen() {

      if (this.get('inspecting')) {
        this.send('selectModule', this.get('inspecting'));
        return;
      }

      this.sendAction('onFirstOpen');

      var first = this.get('activeRoot.availableChildren').find(function (item) {
        return item.get('availableChildren.length') > 0;
      });

      var defaultRegion = this.get('regions.firstObject.value');

      this.send('selectRegion', _ember['default'].isNone(first) ? defaultRegion : _ember['default'].getWithDefault(first, 'atts._region', defaultRegion));
    },

    actions: {

      // TODO: Many of these actions should be moved up to the route

      _addAndSelect: function _addAndSelect(parentKey, type, sibling, after) {
        var _this = this;

        var atts = {
          title: this.get('i18n').t('app.indexed', {
            label: this.get('store').peekRecord('element/definition', type).get('title'),
            index: this.get(parentKey + '.availableChildren.length') + 1
          }).toString()
        };

        if (sibling) {
          this.send('_newModuleFromSibling', type, sibling, atts, after);
        } else {
          this.send('_newModule', this.get(parentKey), type, atts, null, function (module) {
            if (1 === _this.get(parentKey + '.availableChildren.length')) {
              _this.send('selectModule', module);
            }
          });
        }
      },

      _newModule: function _newModule(parent, type, atts, index, success) {
        var _this2 = this;

        var addChild = parent.get('addChild');

        if ('function' !== _ember['default'].typeOf(addChild)) {
          return;
        }

        var module = addChild(_ember['default'].merge(atts, {
          _type: type,
          _region: this.get('selectedRegion.atts._region')
        }), index);

        if (module) {
          module.then(function (record) {
            _this2.get('ui.preview.xfr').message('preview:new:element', record.get('id'));
            _this2.sendAction('onNewElement', record);
            if ('function' === _ember['default'].typeOf(success)) {
              success(record);
            }
          });
        }
      },

      _newModuleFromSibling: function _newModuleFromSibling(type, sibling, atts, after) {
        this.send('_newModule', sibling.get('parent'), type, atts, after ? sibling.get('order') + 1 : sibling.get('order'));
      },

      selectRegion: function selectRegion(region) {

        this.send('selectModule', this.get('activeRoot.availableChildren').filter(function (item) {
          return 'region' === item.get('atts._type') && item.get('atts._region') === region;
        }).get('firstObject'));
      },

      addBar: function addBar(sibling, after) {
        this.send('_addAndSelect', 'selectedRegion', 'bar', sibling, after);
      },

      addContainer: function addContainer(sibling, after) {
        this.send('_addAndSelect', 'selectedBar', 'container', sibling, after);
      },

      addModule: function addModule(sibling, after) {
        this.set('selectModuleCallback', (function (type) {
          if (sibling) {
            this.send('_newModuleFromSibling', type, sibling, {}, after);
          } else {
            this.send('_newModule', this.get('selectedContainer'), type, {});
          }
          this.set('moduleSelectorIsShowing', false);
        }).bind(this));
        this.set('moduleSelectorIsShowing', true);
      },

      moveModule: function moveModule(module, newIndex) {
        module.get('updatePosition')(newIndex);
      },

      selectModule: function selectModule(module) {
        var _this3 = this;

        var selectableTypes = ['region', 'bar', 'container'];

        // Look up or down to find a container
        function findDeepest(_x) {
          var _again = true;

          _function: while (_again) {
            var module = _x;
            _again = false;

            if (!module) {
              return false;
            }

            var type = _ember['default'].get(module, 'atts._type');

            if (type === 'container') {
              return module;
            }

            if (selectableTypes.includes(type)) {
              var children = _ember['default'].get(module, 'availableChildren');
              var child = children.sortBy('order').get('firstObject');
              if (child) {
                _x = child;
                _again = true;
                type = children = child = undefined;
                continue _function;
              } else {
                return module;
              }
            }

            if (module.get('parent.atts._type')) {
              _x = module.get('parent');
              _again = true;
              type = children = child = undefined;
              continue _function;
            }

            return false;
          }
        }

        function fillSelection(next) {
          var selection = {};
          while ('undefined' !== typeof next && selectableTypes.includes(next.get('atts._type'))) {
            selection[next.get('atts._type')] = next;
            next = next.get('parent');
          }
          return selection;
        }

        var container = findDeepest(module);
        if (!container) {
          console.warn('Could not make a layout selection.');
          return;
        }

        var selection = fillSelection(container);

        selectableTypes.forEach(function (item) {
          var path = _ember['default'].String.camelize('selected-' + item);
          if (_this3.get(path) !== selection[item]) {
            _this3.set(path, selection[item]);
          }
        });
      },

      inspectElement: function inspectElement(element) {
        this.sendAction('onInspect', element);
      },

      duplicateModule: function duplicateModule(module) {
        this.sendAction('onDuplicateElement', module);
      },

      deleteModule: function deleteModule(element) {
        this.get('ui').confirm({
          screen: this.get('screen'),
          message: this.get('i18n').t('app.elements-confirm-delete', {
            title: element.get('definition.title')
          }),
          accept: function accept() {
            if (element && element.selfDestruct) {
              element.selfDestruct();
            }
          },
          acceptClass: 'sad'
        });
      },

      closeModuleSelection: function closeModuleSelection() {
        this.set('selectModuleCallback', null);
        this.set('moduleSelectorIsShowing', false);
      },

      chooseNewModuleType: function chooseNewModuleType(definition) {
        this.sendAction('selectModuleCallback', definition.get('id'));
      },

      observeStart: function observeStart(element) {
        this.get('ui.preview.xfr').message('preview:observe-start', element.get('id'));
      },

      observeEnd: function observeEnd(element) {
        this.get('ui.preview.xfr').message('preview:observe-end', element.get('id'));
      }

    }
  });
});
define("cornerstone/components/bars/region-manager/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 8,
                "column": 4
              },
              "end": {
                "line": 10,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createElement("span");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element1 = dom.childAt(fragment, [1]);
            var morphs = new Array(3);
            morphs[0] = dom.createAttrMorph(element1, 'class');
            morphs[1] = dom.createElementMorph(element1);
            morphs[2] = dom.createMorphAt(element1, 1, 1);
            return morphs;
          },
          statements: [["attribute", "class", ["concat", [["get", "region.value", ["loc", [null, [9, 58], [9, 70]]], 0, 0, 0, 0], " ", ["subexpr", "if", [["subexpr", "eq", [["get", "selectedRegion.atts._region", ["loc", [null, [9, 82], [9, 109]]], 0, 0, 0, 0], ["get", "region.value", ["loc", [null, [9, 110], [9, 122]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 78], [9, 123]]], 0, 0], "cs-active"], [], ["loc", [null, [9, 73], [9, 137]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["selectRegion", ["get", "region.value", ["loc", [null, [9, 34], [9, 46]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 10], [9, 48]]], 0, 0], ["content", "region.label", ["loc", [null, [9, 152], [9, 168]]], 0, 0, 0, 0]],
          locals: ["region"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 13,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-hf-layout-item regions");
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("ul");
          var el3 = dom.createTextNode("\n");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0, 1]), 1, 1);
          return morphs;
        },
        statements: [["block", "each", [["get", "regions", ["loc", [null, [8, 12], [8, 19]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [8, 4], [10, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 30,
                      "column": 14
                    },
                    "end": {
                      "line": 46,
                      "column": 14
                    }
                  },
                  "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("                ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "bar.indexedTitle", ["loc", [null, [32, 24], [32, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "bar", ["loc", [null, [33, 23], [33, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "eq", [["get", "bar.id", ["loc", [null, [34, 29], [34, 35]]], 0, 0, 0, 0], ["get", "selectedBar.id", ["loc", [null, [34, 36], [34, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [34, 25], [34, 51]]], 0, 0], "showAddAfter", ["subexpr", "eq", [["get", "bar.id", ["loc", [null, [35, 35], [35, 41]]], 0, 0, 0, 0], ["get", "sortedBars.lastObject.id", ["loc", [null, [35, 42], [35, 66]]], 0, 0, 0, 0]], [], ["loc", [null, [35, 31], [35, 67]]], 0, 0], "onDrop", ["subexpr", "action", ["moveModule"], [], ["loc", [null, [36, 25], [36, 47]]], 0, 0], "onAddBefore", ["subexpr", "action", ["addBar", ["get", "bar", ["loc", [null, [37, 47], [37, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [37, 30], [37, 51]]], 0, 0], "onAddAfter", ["subexpr", "action", ["addBar", ["get", "bar", ["loc", [null, [38, 46], [38, 49]]], 0, 0, 0, 0], true], [], ["loc", [null, [38, 29], [38, 55]]], 0, 0], "onSelect", ["subexpr", "action", ["selectModule", ["get", "bar", ["loc", [null, [39, 50], [39, 53]]], 0, 0, 0, 0]], [], ["loc", [null, [39, 27], [39, 54]]], 0, 0], "onInspect", ["subexpr", "action", ["inspectElement", ["get", "bar", ["loc", [null, [40, 53], [40, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [40, 28], [40, 57]]], 0, 0], "onDuplicate", ["subexpr", "action", ["duplicateModule", ["get", "bar", ["loc", [null, [41, 56], [41, 59]]], 0, 0, 0, 0]], [], ["loc", [null, [41, 30], [41, 60]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteModule", ["get", "bar", ["loc", [null, [42, 50], [42, 53]]], 0, 0, 0, 0]], [], ["loc", [null, [42, 27], [42, 54]]], 0, 0], "onMouseEnter", ["subexpr", "action", ["observeStart", ["get", "bar", ["loc", [null, [43, 54], [43, 57]]], 0, 0, 0, 0]], [], ["loc", [null, [43, 31], [43, 58]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["observeEnd", ["get", "bar", ["loc", [null, [44, 52], [44, 55]]], 0, 0, 0, 0]], [], ["loc", [null, [44, 31], [44, 56]]], 0, 0]], ["loc", [null, [31, 16], [45, 18]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            var child1 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 46,
                      "column": 14
                    },
                    "end": {
                      "line": 57,
                      "column": 14
                    }
                  },
                  "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("                ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "bar.indexedTitle", ["loc", [null, [48, 24], [48, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "bar", ["loc", [null, [49, 23], [49, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "eq", [["get", "bar.id", ["loc", [null, [50, 29], [50, 35]]], 0, 0, 0, 0], ["get", "selectedBar.id", ["loc", [null, [50, 36], [50, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [50, 25], [50, 51]]], 0, 0], "onDrop", ["subexpr", "action", ["moveModule"], [], ["loc", [null, [51, 25], [51, 46]]], 0, 0], "onInspect", ["subexpr", "action", ["inspectElement", ["get", "bar", ["loc", [null, [52, 53], [52, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [52, 28], [52, 57]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteModule", ["get", "bar", ["loc", [null, [53, 50], [53, 53]]], 0, 0, 0, 0]], [], ["loc", [null, [53, 27], [53, 54]]], 0, 0], "onMouseEnter", ["subexpr", "action", ["observeStart", ["get", "bar", ["loc", [null, [54, 54], [54, 57]]], 0, 0, 0, 0]], [], ["loc", [null, [54, 31], [54, 58]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["observeEnd", ["get", "bar", ["loc", [null, [55, 52], [55, 55]]], 0, 0, 0, 0]], [], ["loc", [null, [55, 31], [55, 56]]], 0, 0]], ["loc", [null, [47, 16], [56, 18]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 29,
                    "column": 12
                  },
                  "end": {
                    "line": 58,
                    "column": 12
                  }
                },
                "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "if", [["get", "canAddBar", ["loc", [null, [30, 20], [30, 29]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [30, 14], [57, 21]]]]],
              locals: ["bar"],
              templates: [child0, child1]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 28,
                  "column": 10
                },
                "end": {
                  "line": 59,
                  "column": 10
                }
              },
              "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "each", [["get", "sortedBars", ["loc", [null, [29, 20], [29, 30]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [29, 12], [58, 21]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 60,
                  "column": 10
                },
                "end": {
                  "line": 62,
                  "column": 10
                }
              },
              "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("            ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("p");
              dom.setAttribute(el1, "class", "cs-hf-layout-max-bars-message");
              var el2 = dom.createElement("strong");
              var el3 = dom.createTextNode("Note:");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode(" ");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 2, 2);
              return morphs;
            },
            statements: [["content", "maxBarsMessage", ["loc", [null, [61, 76], [61, 94]]], 0, 0, 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 21,
                "column": 4
              },
              "end": {
                "line": 66,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("ul");
            dom.setAttribute(el1, "class", "cs-controls");
            var el2 = dom.createTextNode("\n        ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("li");
            dom.setAttribute(el2, "class", "cs-control cs-control-sortable");
            var el3 = dom.createTextNode("\n          ");
            dom.appendChild(el2, el3);
            var el3 = dom.createElement("div");
            dom.setAttribute(el3, "class", "cs-control-header");
            var el4 = dom.createTextNode("\n            ");
            dom.appendChild(el3, el4);
            var el4 = dom.createElement("label");
            var el5 = dom.createTextNode("Bars");
            dom.appendChild(el4, el5);
            dom.appendChild(el3, el4);
            var el4 = dom.createTextNode("\n          ");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("        ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [1, 1]);
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(element0, 3, 3);
            morphs[1] = dom.createMorphAt(element0, 4, 4);
            return morphs;
          },
          statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [28, 10], [59, 40]]]], ["block", "unless", [["get", "canAddBar", ["loc", [null, [60, 20], [60, 29]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [60, 10], [62, 21]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 66,
                "column": 4
              },
              "end": {
                "line": 72,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "action", ["addBar"], [], ["loc", [null, [68, 15], [68, 32]]], 0, 0], "icon", ["subexpr", "fa-icon", ["plus-square"], [], ["loc", [null, [69, 13], [69, 36]]], 0, 0], "message", "Add a bar to get started."], ["loc", [null, [67, 6], [71, 8]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 20,
              "column": 2
            },
            "end": {
              "line": 73,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "sortedBars", ["loc", [null, [21, 10], [21, 20]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [21, 4], [72, 11]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 91,
                      "column": 14
                    },
                    "end": {
                      "line": 107,
                      "column": 14
                    }
                  },
                  "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
                },
                isEmpty: false,
                arity: 1,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("                ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "container.indexedTitle", ["loc", [null, [93, 24], [93, 46]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "container", ["loc", [null, [94, 23], [94, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "eq", [["get", "container.id", ["loc", [null, [95, 29], [95, 41]]], 0, 0, 0, 0], ["get", "selectedContainer.id", ["loc", [null, [95, 42], [95, 62]]], 0, 0, 0, 0]], [], ["loc", [null, [95, 25], [95, 63]]], 0, 0], "showAddAfter", ["subexpr", "eq", [["get", "container.id", ["loc", [null, [96, 35], [96, 47]]], 0, 0, 0, 0], ["get", "sortedContainers.lastObject.id", ["loc", [null, [96, 48], [96, 78]]], 0, 0, 0, 0]], [], ["loc", [null, [96, 31], [96, 79]]], 0, 0], "onDrop", ["subexpr", "action", ["moveModule"], [], ["loc", [null, [97, 25], [97, 47]]], 0, 0], "onAddBefore", ["subexpr", "action", ["addContainer", ["get", "container", ["loc", [null, [98, 53], [98, 62]]], 0, 0, 0, 0]], [], ["loc", [null, [98, 30], [98, 63]]], 0, 0], "onAddAfter", ["subexpr", "action", ["addContainer", ["get", "container", ["loc", [null, [99, 52], [99, 61]]], 0, 0, 0, 0], true], [], ["loc", [null, [99, 29], [99, 67]]], 0, 0], "onSelect", ["subexpr", "action", ["selectModule", ["get", "container", ["loc", [null, [100, 50], [100, 59]]], 0, 0, 0, 0]], [], ["loc", [null, [100, 27], [100, 60]]], 0, 0], "onInspect", ["subexpr", "action", ["inspectElement", ["get", "container", ["loc", [null, [101, 53], [101, 62]]], 0, 0, 0, 0]], [], ["loc", [null, [101, 28], [101, 63]]], 0, 0], "onDuplicate", ["subexpr", "action", ["duplicateModule", ["get", "container", ["loc", [null, [102, 56], [102, 65]]], 0, 0, 0, 0]], [], ["loc", [null, [102, 30], [102, 66]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteModule", ["get", "container", ["loc", [null, [103, 50], [103, 59]]], 0, 0, 0, 0]], [], ["loc", [null, [103, 27], [103, 60]]], 0, 0], "onMouseEnter", ["subexpr", "action", ["observeStart", ["get", "container", ["loc", [null, [104, 54], [104, 63]]], 0, 0, 0, 0]], [], ["loc", [null, [104, 31], [104, 64]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["observeEnd", ["get", "container", ["loc", [null, [105, 52], [105, 61]]], 0, 0, 0, 0]], [], ["loc", [null, [105, 31], [105, 62]]], 0, 0]], ["loc", [null, [92, 16], [106, 18]]], 0, 0]],
                locals: ["container"],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 90,
                    "column": 12
                  },
                  "end": {
                    "line": 108,
                    "column": 12
                  }
                },
                "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "each", [["get", "sortedContainers", ["loc", [null, [91, 22], [91, 38]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [91, 14], [107, 23]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 83,
                  "column": 6
                },
                "end": {
                  "line": 112,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("\n        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("ul");
              dom.setAttribute(el1, "class", "cs-controls");
              var el2 = dom.createTextNode("\n          ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              dom.setAttribute(el2, "class", "cs-control cs-control-sortable");
              var el3 = dom.createTextNode("\n            ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-control-header");
              var el4 = dom.createTextNode("\n              ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("label");
              var el5 = dom.createTextNode("Containers");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n            ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n");
              dom.appendChild(el2, el3);
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("          ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 3, 3);
              return morphs;
            },
            statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [90, 12], [108, 42]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 112,
                  "column": 6
                },
                "end": {
                  "line": 118,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "action", ["addContainer"], [], ["loc", [null, [114, 17], [114, 40]]], 0, 0], "icon", ["subexpr", "fa-icon", ["plus-square"], [], ["loc", [null, [115, 15], [115, 38]]], 0, 0], "message", "Add your first container to this bar."], ["loc", [null, [113, 8], [117, 10]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 82,
                "column": 4
              },
              "end": {
                "line": 119,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "sortedContainers", ["loc", [null, [83, 12], [83, 28]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [83, 6], [118, 13]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 81,
              "column": 2
            },
            "end": {
              "line": 120,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/scroll-box", [], ["name", "containers", "resetScrollOn", ["subexpr", "@mut", [["get", "selectedRegion.atts._region", ["loc", [null, [82, 57], [82, 84]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [82, 4], [119, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child3 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 138,
                      "column": 14
                    },
                    "end": {
                      "line": 152,
                      "column": 14
                    }
                  },
                  "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
                },
                isEmpty: false,
                arity: 1,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("                ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "common/sortable-item", [], ["canEditLabel", false, "label", ["subexpr", "@mut", [["get", "module.title", ["loc", [null, [141, 24], [141, 36]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "module", ["loc", [null, [142, 23], [142, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "onDrop", ["subexpr", "action", ["moveModule"], [], ["loc", [null, [142, 37], [142, 59]]], 0, 0], "showAddAfter", ["subexpr", "eq", [["get", "module.id", ["loc", [null, [143, 35], [143, 44]]], 0, 0, 0, 0], ["get", "sortedModules.lastObject.id", ["loc", [null, [143, 45], [143, 72]]], 0, 0, 0, 0]], [], ["loc", [null, [143, 31], [143, 73]]], 0, 0], "onAddBefore", ["subexpr", "action", ["addModule", ["get", "module", ["loc", [null, [144, 50], [144, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [144, 30], [144, 57]]], 0, 0], "onAddAfter", ["subexpr", "action", ["addModule", ["get", "module", ["loc", [null, [145, 49], [145, 55]]], 0, 0, 0, 0], true], [], ["loc", [null, [145, 29], [145, 61]]], 0, 0], "onInspect", ["subexpr", "action", ["inspectElement", ["get", "module", ["loc", [null, [146, 53], [146, 59]]], 0, 0, 0, 0]], [], ["loc", [null, [146, 28], [146, 60]]], 0, 0], "onDuplicate", ["subexpr", "action", ["duplicateModule", ["get", "module", ["loc", [null, [147, 56], [147, 62]]], 0, 0, 0, 0]], [], ["loc", [null, [147, 30], [147, 63]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteModule", ["get", "module", ["loc", [null, [148, 50], [148, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [148, 27], [148, 57]]], 0, 0], "onMouseEnter", ["subexpr", "action", ["observeStart", ["get", "module", ["loc", [null, [149, 54], [149, 60]]], 0, 0, 0, 0]], [], ["loc", [null, [149, 31], [149, 61]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["observeEnd", ["get", "module", ["loc", [null, [150, 52], [150, 58]]], 0, 0, 0, 0]], [], ["loc", [null, [150, 31], [150, 59]]], 0, 0]], ["loc", [null, [139, 16], [151, 18]]], 0, 0]],
                locals: ["module"],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 137,
                    "column": 12
                  },
                  "end": {
                    "line": 153,
                    "column": 12
                  }
                },
                "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "each", [["get", "sortedModules", ["loc", [null, [138, 22], [138, 35]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [138, 14], [152, 23]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 130,
                  "column": 6
                },
                "end": {
                  "line": 156,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("\n        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("ul");
              dom.setAttribute(el1, "class", "cs-controls");
              var el2 = dom.createTextNode("\n          ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              dom.setAttribute(el2, "class", "cs-control cs-control-sortable");
              var el3 = dom.createTextNode("\n            ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-control-header");
              var el4 = dom.createTextNode("\n              ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("label");
              var el5 = dom.createTextNode("Elements");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n            ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n");
              dom.appendChild(el2, el3);
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("          ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 3, 3);
              return morphs;
            },
            statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [137, 12], [153, 42]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 156,
                  "column": 6
                },
                "end": {
                  "line": 162,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "action", ["addModule"], [], ["loc", [null, [158, 17], [158, 37]]], 0, 0], "icon", ["subexpr", "fa-icon", ["plus-square"], [], ["loc", [null, [159, 15], [159, 38]]], 0, 0], "message", "Add your first element to this container."], ["loc", [null, [157, 8], [161, 10]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 129,
                "column": 4
              },
              "end": {
                "line": 163,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "sortedModules", ["loc", [null, [130, 12], [130, 25]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [130, 6], [162, 13]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 128,
              "column": 2
            },
            "end": {
              "line": 164,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/scroll-box", [], ["name", "modules", "resetScrollOn", ["subexpr", "@mut", [["get", "selectedRegion.atts._region", ["loc", [null, [129, 54], [129, 81]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [129, 4], [163, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 183,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/bars/region-manager/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-hf-layout-item bars");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-hf-layout-item containers");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-hf-layout-item modules");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("button");
        dom.setAttribute(el2, "class", "cs-hf-layout-module-selector-close");
        var el3 = dom.createTextNode("×");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-hf-layout-module-selector-content-outer");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "cs-hf-layout-module-selector-content-inner");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [14]);
        var element3 = dom.childAt(element2, [1]);
        var morphs = new Array(8);
        morphs[0] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [5]), 1, 1);
        morphs[2] = dom.createMorphAt(dom.childAt(fragment, [8]), 1, 1);
        morphs[3] = dom.createMorphAt(dom.childAt(fragment, [11]), 1, 1);
        morphs[4] = dom.createAttrMorph(element2, 'class');
        morphs[5] = dom.createElementMorph(element3);
        morphs[6] = dom.createMorphAt(dom.childAt(element2, [3, 1]), 1, 1);
        morphs[7] = dom.createMorphAt(fragment, 16, 16, contextualElement);
        return morphs;
      },
      statements: [["block", "if", [["get", "showRegionSelect", ["loc", [null, [5, 6], [5, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 0], [13, 7]]]], ["block", "common/scroll-box", [], ["name", "bars", "resetScrollOn", ["subexpr", "@mut", [["get", "selectedRegion.atts._region", ["loc", [null, [20, 49], [20, 76]]], 0, 0, 0, 0]], [], [], 0, 0]], 1, null, ["loc", [null, [20, 2], [73, 24]]]], ["block", "if", [["get", "selectedBar", ["loc", [null, [81, 8], [81, 19]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [81, 2], [120, 9]]]], ["block", "if", [["get", "selectedContainer", ["loc", [null, [128, 8], [128, 25]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [128, 2], [164, 9]]]], ["attribute", "class", ["concat", ["cs-hf-layout-module-selector ", ["subexpr", "if", [["get", "moduleSelectorIsShowing", ["loc", [null, [171, 47], [171, 70]]], 0, 0, 0, 0], "cs-active"], [], ["loc", [null, [171, 41], [171, 84]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["closeModuleSelection"], [], ["loc", [null, [172, 10], [172, 43]]], 0, 0], ["inline", "elements/element-library", [], ["onClickElement", ["subexpr", "action", ["chooseNewModuleType"], [], ["loc", [null, [176, 23], [176, 53]]], 0, 0], "elements", ["subexpr", "@mut", [["get", "sortedElementLibrary", ["loc", [null, [177, 17], [177, 37]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [175, 6], [178, 8]]], 0, 0], ["content", "yield", ["loc", [null, [182, 0], [182, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1, child2, child3]
    };
  })());
});
define('cornerstone/components/click-outside', ['exports', 'ember-click-outside/components/click-outside'], function (exports, _emberClickOutsideComponentsClickOutside) {
  exports['default'] = _emberClickOutsideComponentsClickOutside['default'];
});
define('cornerstone/components/common/bread-crumbs/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'ul',

    classNames: ['cs-bread-crumbs'],
    labelKey: 'breadcrumbTitle',

    breadcrumbs: _ember['default'].computed('items.[]', 'labelKey', 'activeItem', function () {
      var labelKey = this.get('labelKey');
      var activeItem = this.get('activeItem');
      return this.getWithDefault('items', []).map(function (item) {
        return {
          entity: item,
          label: item.get(labelKey),
          active: item === activeItem
        };
      });
    }),

    isVisible: _ember['default'].computed('activeItem', 'breadcrumbs.[]', function () {
      return this.get('activeItem') && this.get('breadcrumbs').length > 0;
    }),

    actions: {
      navigate: function navigate(entity) {
        this.sendAction('onNavigate', entity);
      },
      mouseEnter: function mouseEnter(item) {
        this.sendAction('onMouseEnter', item);
      },
      mouseLeave: function mouseLeave(item) {
        this.sendAction('onMouseLeave', item);
      }
    }
  });
});
define("cornerstone/components/common/bread-crumbs/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/bread-crumbs/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("a");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1, 1]);
          var morphs = new Array(5);
          morphs[0] = dom.createAttrMorph(element0, 'onmouseenter');
          morphs[1] = dom.createAttrMorph(element0, 'onmouseleave');
          morphs[2] = dom.createAttrMorph(element0, 'class');
          morphs[3] = dom.createElementMorph(element0);
          morphs[4] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["attribute", "onmouseenter", ["subexpr", "action", ["mouseEnter", ["get", "breadcrumb.entity", ["loc", [null, [4, 39], [4, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [null, null], [4, 58]]], 0, 0], 0, 0, 0, 0], ["attribute", "onmouseleave", ["subexpr", "action", ["mouseLeave", ["get", "breadcrumb.entity", ["loc", [null, [5, 39], [5, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [null, null], [5, 58]]], 0, 0], 0, 0, 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["get", "breadcrumb.active", ["loc", [null, [6, 16], [6, 33]]], 0, 0, 0, 0], "cs-active"], [], ["loc", [null, [6, 11], [6, 47]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["navigate", ["get", "breadcrumb.entity", ["loc", [null, [3, 27], [3, 44]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 7], [3, 46]]], 0, 0], ["content", "breadcrumb.label", ["loc", [null, [6, 49], [6, 69]]], 0, 0, 0, 0]],
        locals: ["breadcrumb"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 9,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/bread-crumbs/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "each", [["get", "breadcrumbs", ["loc", [null, [1, 8], [1, 19]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [7, 9]]]], ["content", "yield", ["loc", [null, [8, 0], [8, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/common/confirm-modal/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    active: false,
    classNames: ['cs-action-modal-outer'],
    classNameBindings: ['screenClass', 'active:cs-active'],

    screenClass: _ember['default'].computed('screen', function () {
      var screen = this.get('screen');
      if (!screen) {
        return '';
      }
      return 'cs-action-modal-' + _ember['default'].String.dasherize(this.get('screen'));
    }),

    init: function init() {

      this._super.apply(this, arguments);
      var screen = this.get('screen');

      if (!screen) {
        console.warn('Confirm modals need an assigned screen');
      }

      this.set('ui.confirmHandlers.' + screen, this.confirm.bind(this));
    },

    confirm: function confirm(params) {

      params = _ember['default'].merge({

        // Callbacks. Null will always close the modal
        accept: null,
        decline: null,

        message: '',
        'class': '',
        acceptBtn: this.get('i18n').t('app.confirm-yep'),
        declineBtn: this.get('i18n').t('app.confirm-nope'),
        back: false,
        backBtn: this.get('i18n').t('app.confirm-back'),
        backBtnClass: '',
        acceptClass: '',
        declineClass: ''
      }, params);

      if (params.screen !== this.get('screen')) {
        return;
      }

      if (params.back) {
        params.declineBtn = params.backBtn;
        params.declineClass = params.backClass;
      }

      this.setProperties({
        message: params.message,
        acceptCallback: params.accept,
        declineCallback: params.decline,
        showAcceptBtn: !!params.accept,
        acceptBtn: params.acceptBtn,
        declineBtn: params.declineBtn,
        acceptClass: params.acceptClass,
        declineClass: params.declineClass
      });

      this.set('active', true);
    },

    actions: {
      accept: function accept() {
        var cb = this.get('acceptCallback');
        if ('function' === _ember['default'].typeOf(cb)) {
          cb();
        }
        this.set('active', false);
      },
      decline: function decline() {
        var cb = this.get('declineCallback');
        if ('function' === _ember['default'].typeOf(cb)) {
          cb();
        }
        this.set('active', false);
      }
    }

  });
});
define("cornerstone/components/common/confirm-modal/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 6
            },
            "end": {
              "line": 7,
              "column": 6
            }
          },
          "moduleName": "cornerstone/components/common/confirm-modal/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("        ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createElementMorph(element0);
          morphs[2] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["get", "acceptClass", ["loc", [null, [6, 25], [6, 36]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["accept"], [], ["loc", [null, [6, 40], [6, 59]]], 0, 0], ["content", "acceptBtn", ["loc", [null, [6, 60], [6, 73]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/confirm-modal/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-action-modal-inner");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-action-modal-content");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "cs-action-modal-message");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "cs-action-modal-actions");
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("button");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [0, 1]);
        var element2 = dom.childAt(element1, [3]);
        var element3 = dom.childAt(element2, [3]);
        var morphs = new Array(5);
        morphs[0] = dom.createMorphAt(dom.childAt(element1, [1]), 0, 0);
        morphs[1] = dom.createMorphAt(element2, 1, 1);
        morphs[2] = dom.createAttrMorph(element3, 'class');
        morphs[3] = dom.createElementMorph(element3);
        morphs[4] = dom.createMorphAt(element3, 0, 0);
        return morphs;
      },
      statements: [["content", "message", ["loc", [null, [3, 41], [3, 52]]], 0, 0, 0, 0], ["block", "if", [["get", "showAcceptBtn", ["loc", [null, [5, 12], [5, 25]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 6], [7, 13]]]], ["attribute", "class", ["concat", [["get", "declineClass", ["loc", [null, [8, 23], [8, 35]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["decline"], [], ["loc", [null, [8, 39], [8, 59]]], 0, 0], ["content", "declineBtn", ["loc", [null, [8, 60], [8, 74]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/common/control-box/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-control cs-control-box'],

    showHeader: _ember['default'].computed('label', function () {
      return _ember['default'].isPresent(this.get('label'));
    })

  });
});
define("cornerstone/components/common/control-box/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/control-box/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-control-input");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", ["partials/controls/control-header"], [], ["loc", [null, [1, 0], [1, 46]]], 0, 0], ["content", "yield", ["loc", [null, [3, 2], [3, 11]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/control-list/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-controls'],
    actions: {
      searchNav: function searchNav(control) {
        this.sendAction('onSearchNavigate', control);
      }
    }
  });
});
define("cornerstone/components/common/control-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 5,
                    "column": 4
                  },
                  "end": {
                    "line": 7,
                    "column": 4
                  }
                },
                "moduleName": "cornerstone/components/common/control-list/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("      ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("a");
                dom.setAttribute(el1, "class", "cs-control-goto");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var element0 = dom.childAt(fragment, [1]);
                var morphs = new Array(2);
                morphs[0] = dom.createElementMorph(element0);
                morphs[1] = dom.createMorphAt(element0, 0, 0);
                return morphs;
              },
              statements: [["element", "action", ["searchNav", ["get", "control", ["loc", [null, [6, 54], [6, 61]]], 0, 0, 0, 0]], [], ["loc", [null, [6, 33], [6, 64]]], 0, 0], ["inline", "fa-icon", ["search-plus"], [], ["loc", [null, [6, 65], [6, 90]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 2
                },
                "end": {
                  "line": 8,
                  "column": 2
                }
              },
              "moduleName": "cornerstone/components/common/control-list/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "isSearching", ["loc", [null, [5, 10], [5, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 4], [7, 11]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 9,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/common/control-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "component", [["subexpr", "locate-component", [["subexpr", "concat", ["controls/control-", ["get", "control.type", ["loc", [null, [4, 61], [4, 73]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 33], [4, 75]]], 0, 0], "controls/control-base"], [], ["loc", [null, [4, 15], [4, 101]]], 0, 0]], ["control", ["subexpr", "@mut", [["get", "control", ["loc", [null, [4, 110], [4, 117]]], 0, 0, 0, 0]], [], [], 0, 0], "hidden", ["subexpr", "or", [["subexpr", "contains", [["get", "control.id", ["loc", [null, [4, 139], [4, 149]]], 0, 0, 0, 0], ["get", "hiddenControls", ["loc", [null, [4, 150], [4, 164]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 129], [4, 165]]], 0, 0], ["get", "control.isHidden", ["loc", [null, [4, 166], [4, 182]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 125], [4, 183]]], 0, 0]], 0, null, ["loc", [null, [4, 2], [8, 16]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 10,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/control-list/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "unless", [["subexpr", "contains", [["get", "control.id", ["loc", [null, [3, 22], [3, 32]]], 0, 0, 0, 0], ["get", "hiddenControls", ["loc", [null, [3, 33], [3, 47]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 12], [3, 48]]], 0, 0]], [], 0, null, ["loc", [null, [3, 2], [9, 13]]]]],
        locals: ["control"],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 11,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/control-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["block", "each", [["get", "controls", ["loc", [null, [2, 8], [2, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [10, 9]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/common/create-translation/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-language-create'],
    languages: _ember['default'].computed.alias('ui.wpmlLanguages'),
    targetLangData: _ember['default'].computed('targetLang', function () {
      var target = this.get('targetLang');
      return this.get('languages').find(function (lang) {
        return lang.code === target;
      });
    }),

    translationOptions: _ember['default'].computed('model.language.translations', function () {

      var available = this.get('model.language.translations');
      var options = _ember['default'].A();

      if (available) {

        this.getWithDefault('languages', []).forEach(function (language) {
          if (available[language.code]) {
            options.push({
              value: available[language.code],
              label: language.translated_name
            });
          }
        });
      }

      return options;
    }),

    actions: {

      copyExisting: function copyExisting() {
        this.send('create', true);
      },

      startBlank: function startBlank() {
        this.send('create');
      },

      create: function create(copy) {

        var source = this.get('model.language.source');

        if (_ember['default'].isNone(source)) {
          source = this.get('model.id');
        }

        this.sendAction('onCreateTranslation', {
          source: source,
          copyFrom: copy ? this.getWithDefault('selectedTranslation', this.get('translationOptions.firstObject.value')) : false,
          lang: this.get('targetLang')
        });
      }
    }
  });
});
define("cornerstone/components/common/create-translation/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 6
          }
        },
        "moduleName": "cornerstone/components/common/create-translation/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("p");
        var el2 = dom.createTextNode("This ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("strong");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" does not have a ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("strong");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" translation. Start with a blank slate or choose an existing translation to begin with.");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("button");
        dom.setAttribute(el1, "class", "cs-btn");
        var el2 = dom.createTextNode("Start Blank");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-language-create-divider");
        var el2 = dom.createElement("span");
        var el3 = dom.createTextNode("or");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-language-create-control-group");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("button");
        dom.setAttribute(el2, "class", "cs-btn");
        var el3 = dom.createTextNode("Copy Existing");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [2]);
        var element2 = dom.childAt(fragment, [6]);
        var element3 = dom.childAt(element2, [3]);
        var morphs = new Array(5);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [1]), 0, 0);
        morphs[1] = dom.createMorphAt(dom.childAt(element0, [3]), 0, 0);
        morphs[2] = dom.createElementMorph(element1);
        morphs[3] = dom.createMorphAt(element2, 1, 1);
        morphs[4] = dom.createElementMorph(element3);
        return morphs;
      },
      statements: [["content", "contextLabel", ["loc", [null, [1, 16], [1, 32]]], 0, 0, 0, 0], ["content", "targetLangData.translated_name", ["loc", [null, [1, 66], [1, 100]]], 0, 0, 0, 0], ["element", "action", ["startBlank"], [], ["loc", [null, [3, 23], [3, 47]]], 0, 0], ["inline", "forms/styled-select", [], ["options", ["subexpr", "@mut", [["get", "translationOptions", ["loc", [null, [8, 32], [8, 50]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedTranslation", ["loc", [null, [8, 57], [8, 76]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [8, 2], [8, 79]]], 0, 0], ["element", "action", ["copyExisting"], [], ["loc", [null, [9, 25], [9, 51]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/cs-picker/component', ['exports', 'ember', 'jquery'], function (exports, _ember, _jquery) {
  exports['default'] = _ember['default'].Component.extend({

    rootSelector: '.cs-app',
    modalInPosition: false,

    classNames: ['cs-picker'],
    classNameBindings: ['class', 'open:cs-active'],
    floatingSide: 'right',
    scrollEvent: 'ps-y-reach-start ps-scroll-y ps-y-reach-end ps-x-reach-start ps-scroll-x ps-x-reach-end',
    modalMode: 'hide',

    attrModalClass: _ember['default'].computed('modalClass', function () {
      return 'cs-picker-modal ' + this.get('modalClass');
    }),

    canDisplayModal: _ember['default'].computed('modalInPosition', 'modalMode', function () {
      if ('hide' === this.get('modalMode')) {
        return true;
      }
      return this.get('modalInPosition');
    }),

    onInit: _ember['default'].on('init', function () {
      this.triggerExternalOpen();
    }),

    observeExternalOpen: _ember['default'].observer('externalOpen', function () {
      this.triggerExternalOpen();
    }),

    triggerExternalOpen: function triggerExternalOpen() {
      if (this.get('externalOpen')) {
        this.set('open', true);
      }
    },

    didInsertElement: function didInsertElement() {
      this.$modal = this.$('.cs-picker-modal');
      this.set('hasRendered', true);
      this.updatePositioning();
      // if ( this.get('debug') ) {
      //   document.addEventListener('mousemove', (e) => {
      //     this.$('.cs-picker-swatch').css({
      //       position: 'fixed',
      //       width: '200px',
      //       left: e.clientX - 50,
      //       top: e.clientY - 25
      //     });
      //     this.updatePositioning();
      //   });
      // }
    },

    observeState: _ember['default'].observer('open', function () {
      this.updatePositioning();
    }),

    updatePositioning: function updatePositioning() {
      var _this = this;

      if (!this.get('hasRendered')) {
        this.set('modalInPosition', false);
        return;
      }

      var $body = (0, _jquery['default'])('body');
      var $window = (0, _jquery['default'])(window);
      var $scrollContainer = $window;
      var $swatch = this.$('.cs-picker-swatch');
      var $el = this.$();

      var loseFocus = function loseFocus(e) {

        if (!_this.isDestroyed && ($el[0] === e.currentTarget || _this.$modal[0] === e.currentTarget || _jquery['default'].contains($el[0], e.currentTarget) || !_jquery['default'].contains(_this.get('ui.topLevelEl'), e.currentTarget) || _jquery['default'].contains(_this.$modal[0], e.currentTarget))) {
          e.stopPropagation();
          return;
        }

        $body.off('focus', '*', loseFocus);
        $body.off('click', '*', loseFocus);

        if (!_this.isDestroyed) {
          _this.set('open', false);
          _this.sendAction('onStateChange', false);
        }
      };

      var move = function move() {

        var s = $swatch[0].getBoundingClientRect();
        var m = _this.$modal[0].getBoundingClientRect();

        var offsets = {
          t: s.top - m.height,
          b: $window.height() - (s.top + m.height),
          l: s.left - m.width,
          r: $window.width() - (s.right + m.width)
        };

        var h = false;
        var v = true;

        if (offsets.t < 0) {
          v = offsets.b < 0 ? offsets.b < offsets.t : false;
        }

        if (offsets.r < 0) {
          h = offsets.l < 0 ? offsets.l > offsets.r : true;
        }

        _this.$modal.removeClass('cs-picker-floating-left huebert-floating-right').addClass(h ? 'cs-picker-floating-left' : 'cs-picker-floating-right').css({
          top: v ? s.bottom - m.height : s.top,
          left: h ? s.left - m.width : s.right
        });

        if (!_this.$modal.hasClass('cs-picker-floating')) {
          $scrollContainer.off(_this.get('scrollEvent'), move);
          $window.off('resize', move);
        }
      };

      if (this.get('open')) {

        this.$modal.detach().appendTo(this.get('rootSelector'));
        this.$modal.css('visibility', 'hidden').addClass('cs-picker-floating');
        this.$modal.removeAttr('style');
        move();

        $scrollContainer.on(this.get('scrollEvent'), move);
        $window.on('resize', move);
        $body.on('focus', '*', loseFocus);
        $body.on('click', '*', loseFocus);
        this.set('modalInPosition', true);
      } else {
        this.$modal.removeClass('cs-picker-floating cs-picker-floating-left cs-picker-floating-right');
        this.set('modalInPosition', false);
        this.$modal.detach().appendTo(this.$());
      }
    },

    willDestroy: function willDestroy() {
      this._super.apply(this, arguments);
      this.set('false');
      this.$modal.remove();
    },

    actions: {
      toggle: function toggle() {
        this.set('open', !this.get('open'));
        this.sendAction('onStateChange', this.get('open'));
      }
    }
  });
});
define("cornerstone/components/common/cs-picker/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 4,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/cs-picker/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("span");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createUnsafeMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "label", ["loc", [null, [3, 10], [3, 21]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 2
            },
            "end": {
              "line": 8,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/cs-picker/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "component", [["get", "contentComponent", ["loc", [null, [7, 16], [7, 32]]], 0, 0, 0, 0]], [], ["loc", [null, [7, 4], [7, 34]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 12,
              "column": 2
            },
            "end": {
              "line": 14,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/cs-picker/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["subexpr", "hash", [], ["open", ["get", "open", ["loc", [null, [13, 23], [13, 27]]], 0, 0, 0, 0]], ["loc", [null, [13, 12], [13, 28]]], 0, 0]], [], ["loc", [null, [13, 4], [13, 30]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 16,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/cs-picker/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-picker-swatch");
        dom.setAttribute(el1, "tabindex", "-1");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [2]);
        var morphs = new Array(6);
        morphs[0] = dom.createElementMorph(element0);
        morphs[1] = dom.createMorphAt(element0, 1, 1);
        morphs[2] = dom.createMorphAt(element0, 3, 3);
        morphs[3] = dom.createMorphAt(element0, 5, 5);
        morphs[4] = dom.createAttrMorph(element1, 'class');
        morphs[5] = dom.createMorphAt(element1, 1, 1);
        return morphs;
      },
      statements: [["element", "action", ["toggle"], [], ["loc", [null, [1, 44], [1, 63]]], 0, 0], ["block", "if", [["get", "label", ["loc", [null, [2, 8], [2, 13]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 2], [4, 9]]]], ["content", "content", ["loc", [null, [5, 2], [5, 13]]], 0, 0, 0, 0], ["block", "if", [["get", "contentComponent", ["loc", [null, [6, 8], [6, 24]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [6, 2], [8, 9]]]], ["attribute", "class", ["get", "attrModalClass", ["loc", [null, [11, 13], [11, 27]]], 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "canDisplayModal", ["loc", [null, [12, 8], [12, 23]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [12, 2], [14, 9]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/common/defer-view/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNameBindings: ['class'],
    enabled: true,
    ready: false,
    defer: true,

    show: _ember['default'].computed('ready', 'hide', function () {
      return this.get('ready') && !this.get('hide');
    }),

    didReceiveAttrs: function didReceiveAttrs() {
      if (!this.get('defer')) {
        this.set('ready', true);
      }
    },

    didInsertElement: function didInsertElement() {
      var _this = this;

      if (this.get('ready')) {
        return;
      }

      _ember['default'].run.scheduleOnce('afterRender', function () {

        var scrollBoxRect = _this.$().closest('.cs-scroll-box')[0].getBoundingClientRect();
        var myRect = _this.get('element').getBoundingClientRect();

        if (myRect.top <= scrollBoxRect.bottom && myRect.right >= scrollBoxRect.left && myRect.bottom >= scrollBoxRect.top && myRect.left <= scrollBoxRect.right) {
          _this.set('ready', true);
        } else {
          _ember['default'].run.later('afterRender', function () {
            _this.set('ready', true);
          }, 10);
        }
      });
    }

  });
});
define("cornerstone/components/common/defer-view/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/defer-view/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/defer-view/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "show", ["loc", [null, [1, 6], [1, 10]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/common/file-upload/component', ['exports', 'ember', 'npm:dropzone'], function (exports, _ember, _npmDropzone) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-file-upload', 'dropzone'],
    maxFiles: 1,

    didInsertElement: function didInsertElement() {

      var $blankState = this.$('[data-dropzone-template="blank-state"]');
      var $preview = this.$('[data-dropzone-template="preview"]');

      this.dropzone = new _npmDropzone['default'](this.get('element'), {
        url: 'na',
        dictDefaultMessage: $blankState.html(),
        previewTemplate: $preview.html(),
        maxFiles: this.get('maxFiles'),
        accept: function accept(file, done) {
          // if (file.name === "justinbieber.jpg") {
          //   done("Naha, you don't.");
          // }
          // else { done(); }
          done();
        }
      });

      $blankState.remove();
      $preview.remove();
    }

  });
});
define("cornerstone/components/common/file-upload/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 26,
              "column": 2
            },
            "end": {
              "line": 28,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/file-upload/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [27, 4], [27, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 28,
              "column": 2
            },
            "end": {
              "line": 35,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/file-upload/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-file-upload-import-welcome");
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2, "class", "cs-file-upload-import-welcome-icon");
          var el3 = dom.createTextNode("\n        ");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2, "class", "cs-file-upload-import-welcome-text");
          var el3 = dom.createElement("strong");
          var el4 = dom.createTextNode("Choose a header data file");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode(" or drag it here to import.");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 1, 1);
          return morphs;
        },
        statements: [["inline", "cs-icon", ["interface/index-choice-import"], [], ["loc", [null, [31, 8], [31, 51]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 36,
            "column": 6
          }
        },
        "moduleName": "cornerstone/components/common/file-upload/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "data-dropzone-template", "preview");
        dom.setAttribute(el1, "style", "display: none;");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "dz-preview dz-file-preview");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "dz-details");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("div");
        dom.setAttribute(el4, "class", "dz-filename");
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("span");
        dom.setAttribute(el5, "data-dz-name", "");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n      ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("div");
        dom.setAttribute(el4, "class", "dz-size");
        dom.setAttribute(el4, "data-dz-size", "");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("img");
        dom.setAttribute(el4, "data-dz-thumbnail", "");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "dz-progress");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("span");
        dom.setAttribute(el4, "class", "dz-upload");
        dom.setAttribute(el4, "data-dz-uploadprogress", "");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "dz-success-mark");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("span");
        var el5 = dom.createTextNode("✔");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "dz-error-mark");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("span");
        var el5 = dom.createTextNode("✘");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "dz-error-message");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("span");
        dom.setAttribute(el4, "data-dz-errormessage", "");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "data-dropzone-template", "blank-state");
        dom.setAttribute(el1, "style", "display: none;");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [26, 8], [26, 16]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [26, 2], [35, 9]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/common/floating-container/component', ['exports', 'ember', 'ember-click-outside/mixins/click-outside', 'ember-runloop'], function (exports, _ember, _emberClickOutsideMixinsClickOutside, _emberRunloop) {
  exports['default'] = _ember['default'].Component.extend(_emberClickOutsideMixinsClickOutside['default'], {

    classNameBindings: ['class', 'open:cs-active'],
    listening: false,

    listenWhenOpen: _ember['default'].observer('open', function () {
      this.toggleListeners(this.get('open'));
    }),

    clickOutside: function clickOutside() /* e */{
      this.sendAction('outsideClick');
    },

    toggleListeners: function toggleListeners(state) {
      var listening = this.get('listening');
      if (!state && listening) {
        //remove
        (0, _emberRunloop.cancel)(this._cancelListener);
        this.removeClickOutsideListener();
        this.set('listening', false);
      }
      if (state && !listening) {
        //add
        this._cancelListener = (0, _emberRunloop.next)(this, this.addClickOutsideListener);
        this.set('listening', true);
      }
    },

    didInsertElement: function didInsertElement() {
      this.toggleListeners(this.get('open'));
    },

    willDestroyElement: function willDestroyElement() {
      this.toggleListeners(false);
    }

  });
});
define("cornerstone/components/common/floating-container/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/floating-container/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/help-text/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: 'cs-help-text'
  });
});
define("cornerstone/components/common/help-text/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/help-text/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("h4");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("p");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
        morphs[1] = dom.createMorphAt(element0, 0, 0);
        morphs[2] = dom.createMorphAt(element0, 1, 1);
        return morphs;
      },
      statements: [["content", "title", ["loc", [null, [1, 4], [1, 13]]], 0, 0, 0, 0], ["content", "message", ["loc", [null, [2, 3], [2, 14]]], 0, 0, 0, 0], ["content", "yield", ["loc", [null, [2, 14], [2, 23]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/in-view/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNameBindings: ['class'],
    enabled: true,

    ready: _ember['default'].computed('viewed', 'enabled', function () {
      if (!this.get('enabled')) {
        return true;
      }
      return this.get('viewed');
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('onScroll', this.onScroll.bind(this));
    },

    didInsertElement: function didInsertElement() {
      var _this = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this.onScroll();
        if (!_this.get('ready')) {
          _this.addEventListeners();
        }
      });
    },

    addEventListeners: function addEventListeners() {
      _ember['default'].$(document).on('ps-scroll-x ps-scroll-y', this.onScroll);
      _ember['default'].$(document.body).on('scroll', this.onScroll);
    },

    removeEventListeners: function removeEventListeners() {
      _ember['default'].$(document).off('ps-scroll-x ps-scroll-y', this.onScroll);
      _ember['default'].$(document.body).off('scroll', this.onScroll);
    },

    onScroll: function onScroll() {
      this.detectScrollbox();
      var myRect = this.get('element').getBoundingClientRect();

      var scrollBoxRect = this.scrollBox.getBoundingClientRect();
      if (myRect.top <= scrollBoxRect.bottom && myRect.right >= scrollBoxRect.left && myRect.bottom >= scrollBoxRect.top && myRect.left <= scrollBoxRect.right) {
        this.set('ready', true);
        this.removeEventListeners();
      }
    },

    detectScrollbox: function detectScrollbox() {
      if (!this.scrollBox) {
        this.scrollBox = this.$().closest('.cs-scroll-box')[0];
      }
    },

    willDestroyElement: function willDestroyElement() {
      this.removeEventListeners();
    }

  });
});
define("cornerstone/components/common/in-view/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/in-view/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/in-view/template.hbs"
        },
        isEmpty: true,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 7
          }
        },
        "moduleName": "cornerstone/components/common/in-view/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "ready", ["loc", [null, [1, 6], [1, 11]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [5, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/common/index-entry/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-index-entry'],
    classNameBindings: ['selected:cs-active', 'isNew:cs-new'],

    click: function click() {
      this.sendAction();
    },

    actions: {
      titleUpdate: function titleUpdate() {
        this.sendAction('titleUpdate');
      }
    }

  });
});
define("cornerstone/components/common/index-entry/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 4,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/index-entry/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-index-entry-info-meta");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createUnsafeMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "meta", ["loc", [null, [3, 40], [3, 50]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/index-entry/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-index-entry-info");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("h2");
        dom.setAttribute(el2, "class", "cs-index-entry-info-title");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-index-entry-actions");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(element0, 1, 1);
        morphs[1] = dom.createMorphAt(dom.childAt(element0, [3]), 0, 0);
        morphs[2] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        return morphs;
      },
      statements: [["block", "if", [["get", "meta", ["loc", [null, [2, 8], [2, 12]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 2], [4, 9]]]], ["inline", "forms/inline-edit", [], ["value", ["subexpr", "@mut", [["get", "title", ["loc", [null, [5, 66], [5, 71]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["titleUpdate"], [], ["loc", [null, [5, 79], [5, 101]]], 0, 0]], ["loc", [null, [5, 40], [5, 103]]], 0, 0], ["content", "yield", ["loc", [null, [8, 2], [8, 11]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/common/language-picker/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'ul',
    classNames: ['cs-language-picker'],
    classNameBindings: ['top:cs-language-picker-top'],
    languages: _ember['default'].computed.alias('ui.wpmlLanguages'),

    actions: {
      select: function select(code, language) {
        this.sendAction('onSelectLanguage', code, language);
      }
    }
  });
});
define("cornerstone/components/common/language-picker/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/language-picker/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("a");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("img");
          dom.setAttribute(el3, "alt", "");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var element1 = dom.childAt(element0, [1]);
          var element2 = dom.childAt(element1, [1]);
          var morphs = new Array(4);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createAttrMorph(element1, 'data-native-title');
          morphs[2] = dom.createElementMorph(element1);
          morphs[3] = dom.createAttrMorph(element2, 'src');
          return morphs;
        },
        statements: [["attribute", "class", ["concat", ["cs-language-picker-item ", ["subexpr", "if", [["subexpr", "eq", [["get", "activeLanguage", ["loc", [null, [2, 46], [2, 60]]], 0, 0, 0, 0], ["get", "language.code", ["loc", [null, [2, 61], [2, 74]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 42], [2, 75]]], 0, 0], "cs-active"], [], ["loc", [null, [2, 37], [2, 90]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "data-native-title", ["get", "language.native_name", ["loc", [null, [3, 70], [3, 90]]], 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["select", ["get", "language.code", ["loc", [null, [3, 25], [3, 38]]], 0, 0, 0, 0], ["get", "language", ["loc", [null, [3, 39], [3, 47]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 7], [3, 50]]], 0, 0], ["attribute", "src", ["concat", [["get", "language.country_flag_url", ["loc", [null, [4, 18], [4, 43]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0]],
        locals: ["language"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/language-picker/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "each", [["get", "languages", ["loc", [null, [1, 8], [1, 17]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [7, 9]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/common/link-out/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'a',
    classNameBindings: ['class'],
    attributeBindings: ['href'],
    output: _ember['default'].computed('content', function () {
      return _ember['default'].String.htmlSafe(this.get('content'));
    }),

    click: function click(e) {
      var _this = this;

      if (this.get('ui.unsavedData')) {

        e.preventDefault();
        this.get('ui').confirm({
          noSkip: true,
          message: this.get('i18n').t('app.unsaved-warning'),
          accept: function accept() {
            window.location = _this.get('href');
          },
          acceptClass: 'sad'
        });
      }
    }
  });
});
define("cornerstone/components/common/link-out/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/link-out/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/link-out/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createUnsafeMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "output", ["loc", [null, [4, 2], [4, 14]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/link-out/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [5, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/common/loading-indicator/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-loading-indicator'],
    attributeBindings: ['style:safeStyle'],
    safeStyle: _ember['default'].computed('style', function () {
      return _ember['default'].String.htmlSafe(this.get('style'));
    })
  });
});
define("cornerstone/components/common/loading-indicator/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 10
          }
        },
        "moduleName": "cornerstone/components/common/loading-indicator/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("Loading...");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes() {
        return [];
      },
      statements: [],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/preview-frame/component', ['exports', 'ember', 'cornerstone/mixins/hover-state', 'cornerstone/xfr/mixins/agent', 'cornerstone/mixins/preview-listener', 'npm:url-parse', 'npm:same-origin', 'npm:js-base64'], function (exports, _ember, _cornerstoneMixinsHoverState, _cornerstoneXfrMixinsAgent, _cornerstoneMixinsPreviewListener, _npmUrlParse, _npmSameOrigin, _npmJsBase64) {
  var Base64 = _npmJsBase64['default'].Base64;

  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsPreviewListener['default'], _cornerstoneXfrMixinsAgent['default'], _cornerstoneMixinsHoverState['default'], {

    xfrOrigin: 'app',

    config: _ember['default'].inject.service(),
    radio: _ember['default'].inject.service('global/radio'),

    ui: _ember['default'].inject.service(),
    debugLogging: _ember['default'].computed.alias('debug.logging'),

    ready: false,
    showAsLoading: true,
    loadedOnce: false,
    loadError: false,
    allowPreviewSizer: true,
    usePreloader: true,
    canResize: true,
    state: {},
    name: 'generic',
    content: 'default',
    showStatusIndicator: false,
    statusIndicatorMode: 'loading',
    shrink: false,

    classNames: ['cs-preview-frame'],
    classNameBindings: ['shrink:cs-preview-frame-mini:cs-preview-frame-full', 'noPreviewPointer:cs-preview-frame-no-pointer'],

    noPreviewPointer: _ember['default'].computed('ui.noPreviewPointer', 'shrink', function () {
      return this.get('ui.noPreviewPointer') || this.get('shrink');
    }),

    clientShowPreloader: true,
    preLoaderComplete: _ember['default'].computed('ready', 'clientShowPreloader', function () {
      return this.get('ready') && !this.get('clientShowPreloader');
    }),

    previewSizeClass: _ember['default'].computed('canResize', 'ui.previewSize', function () {
      if (!this.get('canResize')) {
        return;
      }
      return 'cs-preview-size-' + this.get('ui.previewSize');
    }),

    showPreviewSizer: _ember['default'].computed('shrink', 'allowPreviewSizer', 'ui.routeEnabledPreviewSizer', function () {
      return this.get('allowPreviewSizer') && !this.get('shrink') && this.get('ui.routeEnabledPreviewSizer');
    }),

    encodedState: _ember['default'].computed('state.inc', function () {
      return Base64.encode(JSON.stringify(this.get('state')));
    }),

    detectStateChange: _ember['default'].observer('src', 'state.inc', function () {
      this.generateIframeDebounce();
    }),

    generateIframeDebounce: function generateIframeDebounce() {
      _ember['default'].run.debounce(this, this.generateIframe, 215);
    },

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);

      this.componentListenTo('navigate', function (params) {
        return _this.sendAction('navigate', params);
      });

      this.componentListenTo('status-indicator', function (_ref) {
        var show = _ref.show;
        var mode = _ref.mode;

        _this.set('showStatusIndicator', show);
        _this.set('statusIndicatorMode', mode);
      });

      this.componentListenTo('pre-loader-state', function (_ref2) {
        var show = _ref2.show;

        if (!show) {
          _ember['default'].run.cancel(_this.waitForClientPreloader);
        }
        _this.set('clientShowPreloader', show);
      });

      this.componentListenTo('preview:package:setup', function (data, resolve) {
        _this.set('canUpdatePackage', true);
        resolve(_this.get('package'));
      });

      // These listeners don't need to be in the frame component
      this.componentListenTo('preview:event-propagation', function (_ref3) {
        var event = _ref3.event;
        return _this.synthesizeEvent(event);
      });
      this.componentListenTo('preview:action-propagation', function (_ref4) {
        var action = _ref4.action;
        return _this.get('ui.primaryRoute').send(action);
      });

      this.componentListenTo('preview:error-message', function (_ref5) {
        var key = _ref5.key;

        console.log('preview-error.' + key);
        _this.get('ui').notify({
          type: 'error',
          message: _this.get('i18n').t('app.preview-error.' + key),
          timeout: 15000,
          extendedTimeout: 650
        });
      });

      this.componentListenTo('observer', function (event) {
        this.sendAction(_ember['default'].String.camelize('on-observer-' + event.type), event);
      });

      this.componentListenTo('remote-action', function (event) {
        this.sendAction('onRemoteAction', event);
      });
    },

    didInsertElement: function didInsertElement() {
      this.set('rendered', true);
      this.generateIframeDebounce();
    },

    packageChange: _ember['default'].observer('package', function () {
      if (!this.get('canUpdatePackage')) {
        return;
      }
      this.message('preview:package:update', this.get('package'));
    }),

    generateIframe: function generateIframe() {
      var _this2 = this;

      if (!this.get('rendered') || this.isDestroyed) {
        return;
      }

      this.set('showAsLoading', true);
      this.set('ready', false);

      var loadFailure = function loadFailure(message, cb) {
        _this2.set('loadError', true);
        _this2.set('loadErrorMessage', message);
        _this2.set('ready', true);
        if ('function' === typeof cb) {
          cb.call(_this2);
        }
      };

      this.requestHTML(_ember['default'].copy(this.get('state'))).then(function (_ref6) {
        var html = _ref6.html;
        var state = _ref6.state;

        if (_this2.isDestroyed) {
          return;
        }

        if (!html.substr(html.length - 100).includes('</html>')) {
          _this2.get('ui').notify(_this2.get('i18n').t('app.preview-error.loading.incomplete-html'), 'error');
        }

        _ember['default'].run.cancel(_this2.scheduledUpdate);
        _this2.scheduledUpdate = _ember['default'].run.scheduleOnce('afterRender', function () {
          if (_this2.isDestroyed) {
            return;
          }
          var $newFrame = _ember['default'].$('<iframe />');
          _this2.$('.cs-preview-frame-container').append($newFrame);

          var frameWindow = $newFrame[0].contentWindow;

          frameWindow.document.open();
          frameWindow.document.write(html);
          frameWindow.document.close();

          // $newFrame[0].contentDocument.title = `Cornerstone Preview (${state.timestamp})`;
          _ember['default'].run.cancel(_this2.loadTimeout);
          _this2.loadTimeout = _ember['default'].run.later(function () {
            if (_this2.isDestroyed) {
              return;
            }
            loadFailure('timeout', function () {
              _this2.$('iframe').not($newFrame).remove();
              _this2.get('ui').incrementProperty('previewDelayed');
              console.warn('Preview timeout');
            });
          }, (_this2.get('ui.previewDelayed') + 1) * 15000);

          _this2.initFrame($newFrame[0], state.timestamp, function () {

            // We know the iframe has booted the preview
            _this2.$('iframe').not($newFrame).remove();
            _ember['default'].run.cancel(_this2.loadTimeout);
            _this2.set('loadError', false);
            _this2.set('loadErrorMessage', null);
            _this2.set('ready', true);

            _this2.waitForClientPreloader = _ember['default'].run.later(function () {
              if (!_this2.isDestroyed && _this2.get('clientShowPreloader') && _this2.get('usePreloader')) {
                console.warn('The preview booted, but never requested the loader be removed.', _this2.get('ui.previewDelayed'));
                _this2.set('loadError', true);
                _this2.set('loadErrorMessage', 'timeout');
                _this2.get('ui').incrementProperty('previewDelayed');
              }
            }, (_this2.get('ui.previewDelayed') + 1) * 15000);
          });
        });
      }, function (reason) {

        _ember['default'].Logger.warn('preview-frame::update-aborted', reason);

        if (!reason || false !== reason.error) {
          loadFailure(reason && reason.message ? reason.message : null);
        }
      });
    },

    requestHTML: function requestHTML(state) {
      var _this3 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var src = _this3.get('src');
        var parsed = (0, _npmUrlParse['default'])(src, true);

        if (window.location.protocol !== parsed.protocol && window.location.host === parsed.host) {
          return reject({ error: true, message: 'https-mismatch' });
        }

        if (!(0, _npmSameOrigin['default'])(src, window.location.origin)) {
          return reject({ error: true, message: 'cross-origin' });
        }

        var url = '' + parsed.origin + parsed.pathname;

        if ('/' !== url.charAt(url.length - 1)) {
          url += '/';
        }

        var timestamp = Date.now();
        state.timestamp = 't-' + timestamp; // Use a string to prevent rounding across systems.

        var data = _ember['default'].assign({}, {
          _cs_nonce: _this3.get('config.global._cs_nonce'),
          cs_preview_state: Base64.encode(JSON.stringify(state))
        }, _this3.getWithDefault('requestParams', {}), parsed.query);

        if (_this3.get('debugLogging')) {
          console.log('Requesting iFrame HTML', url, data);
        }

        _ember['default'].$.ajax({ type: 'POST', url: url, data: data }).done(function (r, textStatus, jqXHR) {

          if (_this3.get('lastUpdate') > timestamp) {
            reject({ error: false, message: 'updated since request' });
            return;
          }
          _this3.get('lastUpdate', timestamp);

          var response = jqXHR.responseText;
          var signature = 'CORNERSTONE_FRAME';

          if (_this3.get('debugLogging')) {
            console.log('Receiving iFrame HTML', jqXHR);
          }

          var index = response.lastIndexOf(signature);
          if (-1 === index || index < response.lastIndexOf('</html>')) {
            reject({ error: true, message: 'incomplete', response: response });
            return;
          }

          var html = response.slice(0, index) + response.slice(index + signature.length);
          resolve({ html: html, state: state });
        }).fail(function (jqXHR) {
          return reject(jqXHR);
        });
      });
    },

    loadErrorMessageDisplay: _ember['default'].computed('loadErrorMessage', function () {
      var msg = this.get('loadErrorMessage');
      if (!msg) {
        msg = 'default';
      }
      return this.get('i18n').t('app.preview-error.load.' + msg);
    }),

    originUrl: _ember['default'].computed(function () {
      return window.location.origin;
    }),

    initFrame: function initFrame(frame, time, callback) {
      var _this4 = this;

      this.closeChannel();
      var channel = new MessageChannel();
      channel.port1.addEventListener('message', this.get('xfrOnMessage'), false);
      channel.port1.start();
      this.set('messageChannel', channel);
      this.set('xfrMessagePort', channel.port1);
      // console.log('CHANNEL SETUP');

      this.set('boundiFrameLoaded', function (e) {

        if (_this4.get('debugLogging')) {
          console.log('Preview frame [' + time + '] recieving message', e);
        }

        if ('cs-preview-port-request::' + time === e.data) {
          frame.contentWindow.postMessage('cs-preview-port', '*', [channel.port2]);
          callback();
        }
      });

      window.addEventListener('message', this.get('boundiFrameLoaded'), false);
    },

    willDestroyElement: function willDestroyElement() {
      //console.log('Destroying frame');
      this.get('radio').off('outgoing:message', this.get('boundOutgoingMessage'));
      this.closeChannel();
    },

    closeChannel: function closeChannel() {
      window.removeEventListener('message', this.get('boundiFrameLoaded'), false);
      var channel = this.get('messageChannel');
      if (channel) {
        channel.port1.removeEventListener('message', this.get('xfrOnMessage'), false);
        channel.port1.close();
      }
    },

    synthesizeEvent: function synthesizeEvent(event) {

      if (['mousedown', 'mouseup', 'click'].includes(event.type)) {
        dispatchMouseEvent(event.type, event);
      } else if (['keydown', 'keypress', 'keyup'].includes(event.type)) {
        dispatchKeyboardEvent(event.type, event);
      }

      function dispatchMouseEvent(type, args) {

        var init = _ember['default'].assign({}, args, {
          'view': window,
          'bubbles': true,
          'cancelable': true
        });
        delete init.type;

        var event = new MouseEvent(type, init);

        return !!window.dispatchEvent(event);
      }

      function dispatchKeyboardEvent(type, args) {

        var init = _ember['default'].assign({}, args, {
          'view': window,
          'bubbles': true,
          'cancelable': true
        });

        delete init.type;

        var event = new KeyboardEvent(type, init);
        event.synthesizedWhich = args.which;
        return !!document.body.dispatchEvent(event);
      }
    },

    actions: {
      closeLoader: function closeLoader() {
        this.set('loadedOnce', true);
        this.set('showAsLoading', false);
      },
      reloadAfterTimeout: function reloadAfterTimeout() {
        this.set('showAsLoading', true);
        this.set('loadError', false);
        this.set('ready', false);
        this.generateIframeDebounce();
      }
    }

  });
});

// import queryString from 'npm:query-string';
define('cornerstone/components/common/preview-frame/overlay-action/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-preview-frame-overlay-action'],
    attributeBindings: ['ui.scrollBarWidthRightStyle:style']
  });
});
define("cornerstone/components/common/preview-frame/overlay-action/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/preview-frame/overlay-action/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/preview-frame/pre-loader/component', ['exports', 'ember', 'cornerstone/mixins/fadeable'], function (exports, _ember, _cornerstoneMixinsFadeable) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsFadeable['default'], {
    classNames: ['cs-pre-loader'],
    classNameBindings: ['incomplete:cs-active', 'refreshing:cs-pre-loader-semi-transparent'],
    content: 'default',
    contentPartial: _ember['default'].computed('content', function () {
      return 'iframe-loaders/' + this.get('content');
    })
  });
});
define("cornerstone/components/common/preview-frame/pre-loader/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/preview-frame/pre-loader/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "contentPartial", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/preview-frame/preview-sizer/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-preview-sizer'],
    classNameBindings: ['sizeClass', 'active:cs-active'],

    active: _ember['default'].computed.alias('ui.showPreviewSizer'),
    size: _ember['default'].computed.alias('ui.previewSize'),

    init: function init() {
      this._super.apply(this, arguments);
      var i18n = this.get('i18n');
      var sizes = ['xl', 'lg', 'md', 'sm', 'xs'];
      var icons = {};

      sizes.forEach(function (s) {
        icons[s] = {
          icon: 'interface/preview-sizer-' + s,
          abbr: i18n.t('app.preview-sizer-abbr-' + s),
          desc: i18n.t('app.preview-sizer-desc-' + s)
        };
      });

      this.set('icons', icons);
    },

    sizeClass: _ember['default'].computed('size', function () {
      return 'cs-preview-sizer-' + this.get('size');
    }),

    actions: {
      selectSize: function selectSize(size) {
        this.set('size', size);
      }
    }

  });
});
define("cornerstone/components/common/preview-frame/preview-sizer/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/preview-frame/preview-sizer/template.hbs"
        },
        isEmpty: false,
        arity: 2,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("span");
          dom.setAttribute(el2, "class", "cs-preview-sizer-abbr");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("span");
          dom.setAttribute(el2, "class", "cs-preview-sizer-desc");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(5);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createElementMorph(element0);
          morphs[2] = dom.createMorphAt(element0, 1, 1);
          morphs[3] = dom.createMorphAt(dom.childAt(element0, [3]), 0, 0);
          morphs[4] = dom.createMorphAt(dom.childAt(element0, [5]), 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "sz", ["loc", [null, [2, 26], [2, 28]]], 0, 0, 0, 0], ["get", "size", ["loc", [null, [2, 29], [2, 33]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 22], [2, 34]]], 0, 0], "cs-active"], [], ["loc", [null, [2, 17], [2, 48]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["selectSize", ["get", "sz", ["loc", [null, [2, 72], [2, 74]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 50], [2, 76]]], 0, 0], ["inline", "cs-icon", [["get", "item.icon", ["loc", [null, [3, 14], [3, 23]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 4], [3, 25]]], 0, 0], ["content", "item.abbr", ["loc", [null, [4, 40], [4, 53]]], 0, 0, 0, 0], ["content", "item.desc", ["loc", [null, [5, 40], [5, 53]]], 0, 0, 0, 0]],
        locals: ["sz", "item"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 12
          }
        },
        "moduleName": "cornerstone/components/common/preview-frame/preview-sizer/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "each-in", [["get", "icons", ["loc", [null, [1, 11], [1, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [7, 12]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/components/common/preview-frame/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/preview-frame/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "common/preview-frame/preview-sizer", ["loc", [null, [2, 2], [2, 40]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 4
              },
              "end": {
                "line": 14,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/common/preview-frame/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "common/preview-frame/pre-loader", [], ["refreshing", ["subexpr", "@mut", [["get", "loadedOnce", ["loc", [null, [9, 19], [9, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "complete", ["subexpr", "@mut", [["get", "preLoaderComplete", ["loc", [null, [10, 17], [10, 34]]], 0, 0, 0, 0]], [], [], 0, 0], "onComplete", ["subexpr", "action", ["closeLoader"], [], ["loc", [null, [11, 19], [11, 41]]], 0, 0], "content", ["subexpr", "@mut", [["get", "preloader", ["loc", [null, [12, 16], [12, 25]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [8, 6], [13, 8]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 2
            },
            "end": {
              "line": 15,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/preview-frame/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "showAsLoading", ["loc", [null, [7, 10], [7, 23]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [7, 4], [14, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 16,
              "column": 2
            },
            "end": {
              "line": 31,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/preview-frame/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-preview-load-error-outer cs-active");
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2, "class", "cs-preview-load-error-inner");
          var el3 = dom.createTextNode("\n        ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("div");
          dom.setAttribute(el3, "class", "cs-action-modal-content");
          var el4 = dom.createTextNode("\n          ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4, "class", "cs-action-modal-message");
          var el5 = dom.createTextNode("\n            ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("p");
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n            ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("p");
          dom.setAttribute(el5, "style", "font-size: .75em;");
          var el6 = dom.createTextNode("Origin URL: ");
          dom.appendChild(el5, el6);
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n            ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("p");
          dom.setAttribute(el5, "style", "font-size: .75em;");
          var el6 = dom.createTextNode("Preview URL: ");
          dom.appendChild(el5, el6);
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n          ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4, "class", "cs-action-modal-actions");
          var el5 = dom.createTextNode("\n            ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("button");
          var el6 = dom.createTextNode("Try again");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1, 1, 1]);
          var element1 = dom.childAt(element0, [1]);
          var element2 = dom.childAt(element0, [3, 1]);
          var morphs = new Array(4);
          morphs[0] = dom.createMorphAt(dom.childAt(element1, [1]), 0, 0);
          morphs[1] = dom.createMorphAt(dom.childAt(element1, [3]), 1, 1);
          morphs[2] = dom.createMorphAt(dom.childAt(element1, [5]), 1, 1);
          morphs[3] = dom.createElementMorph(element2);
          return morphs;
        },
        statements: [["content", "loadErrorMessageDisplay", ["loc", [null, [21, 15], [21, 42]]], 0, 0, 0, 0], ["content", "originUrl", ["loc", [null, [22, 53], [22, 66]]], 0, 0, 0, 0], ["content", "src", ["loc", [null, [23, 54], [23, 61]]], 0, 0, 0, 0], ["element", "action", ["reloadAfterTimeout"], [], ["loc", [null, [26, 20], [26, 51]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 34,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/preview-frame/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element3 = dom.childAt(fragment, [3]);
        var morphs = new Array(6);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createAttrMorph(element3, 'class');
        morphs[3] = dom.createMorphAt(element3, 1, 1);
        morphs[4] = dom.createMorphAt(element3, 2, 2);
        morphs[5] = dom.createMorphAt(element3, 4, 4);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "if", [["get", "showPreviewSizer", ["loc", [null, [1, 6], [1, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["inline", "common/status-indicator", [], ["active", ["subexpr", "@mut", [["get", "showStatusIndicator", ["loc", [null, [4, 33], [4, 52]]], 0, 0, 0, 0]], [], [], 0, 0], "mode", ["subexpr", "@mut", [["get", "statusIndicatorMode", ["loc", [null, [4, 58], [4, 77]]], 0, 0, 0, 0]], [], [], 0, 0], "style", ["subexpr", "@mut", [["get", "ui.scrollBarWidthRightStyle", ["loc", [null, [4, 84], [4, 111]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [4, 0], [4, 113]]], 0, 0], ["attribute", "class", ["concat", ["cs-preview-frame-container ", ["get", "previewSizeClass", ["loc", [null, [5, 41], [5, 57]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "usePreloader", ["loc", [null, [6, 8], [6, 20]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [6, 2], [15, 9]]]], ["block", "if", [["get", "loadError", ["loc", [null, [16, 8], [16, 17]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [16, 2], [31, 9]]]], ["content", "yield", ["loc", [null, [32, 2], [32, 11]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/common/scroll-box/component', ['exports', 'ember', 'npm:perfect-scrollbar'], function (exports, _ember, _npmPerfectScrollbar) {
  exports['default'] = _ember['default'].Component.extend({

    classNameBindings: ['enabled:cs-scroll-box:cs-scroll-box-disabled', 'name', 'class'],
    enabled: true,
    ready: false,
    initialized: false,
    autoRefresh: false, // 150,
    scrollEvents: ['ps-scroll-y', 'ps-y-reach-start', 'ps-y-reach-end', 'ps-scroll-x', 'ps-x-reach-start', 'ps-x-reach-end'],

    horizontalScrollSupport: _ember['default'].computed.alias('ui.horizontalScrollSupport'),

    configChange: _ember['default'].observer('horizontalScrollSupport', function () {
      this.psInit();
    }),

    psInit: function psInit() {

      var el = this.get('element');
      var useBothWheelAxes = !this.get('horizontalScrollSupport');

      el.removeEventListener('wheel', this.get('wheelCheck'));
      if (useBothWheelAxes) {
        el.addEventListener('wheel', this.get('wheelCheck'));
      }

      _npmPerfectScrollbar['default'].destroy(el);
      _npmPerfectScrollbar['default'].initialize(el, {
        wheelSpeed: 2,
        scrollYMarginOffset: 0,
        scrollXMarginOffset: 0,
        wheelPropagation: false,
        swipePropagation: false,
        useBothWheelAxes: useBothWheelAxes,
        minScrollbarLength: 20
      });
    },

    wheelCheck: function wheelCheck(e) {
      if (Math.abs(e.deltaX) > 0) {
        this.set('ui.horizontalScrollSupport', true);
      }
    },

    init: function init() {
      this._super.apply(this, arguments);
      this.set('scrollHander', this.get('scrollHander').bind(this));
      this.set('wheelCheck', this.get('wheelCheck').bind(this));
      this.get('searchTarget');
    },

    scrollHander: function scrollHander(e) {

      if (e.target !== this.get('element')) {
        return;
      }

      // Note: improper use of run.debounce
      _ember['default'].run.debounce(this, function () {
        this.sendAction('onScroll', this, this.get('element'), e.type);
      }, 25);
    },

    setupTeardown: _ember['default'].observer('ready', function () {
      if (!this.get('ready')) {
        _ember['default'].run.cancel(this.autoRefreshSchedule);
      }

      this.refresh();
    }),

    enabledChanged: _ember['default'].observer('enabled', function () {

      if (!this.get('ready')) {
        return;
      }

      _ember['default'].run(this, this.refresh);
    }),

    refresh: function refresh() {

      if (this.get('enabled')) {

        if (this.get('initialized')) {

          _npmPerfectScrollbar['default'].update(this.get('element'));
        } else {

          this.psInit();

          this.get('scrollEvents').forEach((function (event) {
            document.addEventListener(event, this.get('scrollHander'));
          }).bind(this));

          this.set('initialized', true);
          var _scrollTo = this.get('scrollTo');
          if (_scrollTo) {
            this.updateScrollTo(_scrollTo);
          }
        }

        if (this.get('autoRefresh')) {
          this.autoRefreshSchedule = _ember['default'].run.later(this, this.refresh, this.get('autoRefresh'));
        }
      } else if (this.get('element') && this.get('initialized')) {
        this.tearDown();
      }
    },

    tearDown: function tearDown() {
      _npmPerfectScrollbar['default'].destroy(this.get('element'));
      this.set('initialized', false);
    },

    didInsertElement: function didInsertElement() {
      this._super.apply(this, arguments);
      this.set('ready', true);
    },

    willDestroyElement: function willDestroyElement() {
      this.set('ready', false);
      if (this.get('initialized')) {
        this.tearDown();
      }

      this.get('element').removeEventListener('wheel', this.get('wheelCheck'));
      this.get('scrollEvents').forEach((function (event) {
        document.removeEventListener(event, this.get('scrollHander'));
      }).bind(this));
    },

    scrollToObserver: _ember['default'].observer('scrollTo', function () {
      this.updateScrollTo(this.get('scrollTo'));
    }),

    updateScrollTo: function updateScrollTo(params) {

      var el = this.get('element');
      if (!this.get('initialized') || !el) {
        return;
      }

      var left = 0;
      var top = 0;

      if (!params.start) {
        var $scrollTo = params.$el ? params.$el : this.$(params.selector).first();

        if ($scrollTo.length > 0) {
          left = $scrollTo.position().left + el.scrollLeft;
          top = $scrollTo.position().top + el.scrollTop;
        }
      }

      var offset = isNaN(params.offset) ? 0 : params.offset;
      var atts = params.horizontal ? { scrollLeft: left + offset } : { scrollTop: top + offset };

      this.set('isScrollingTo', true);

      this.$().animate(atts, {
        duration: isNaN(params.duration) ? 450 : params.duration,
        //easing: 'easeOutExpo',
        complete: (function () {
          if (!this.isDestroyed) {
            _npmPerfectScrollbar['default'].update(el);
            this.set('isScrollingTo', false);
            if (params.reset) {
              _npmPerfectScrollbar['default'].update(el);
            }
            if ('function' === _ember['default'].typeOf(params.after)) {
              params.after();
            }
          }
        }).bind(this)
      });
    },

    search: _ember['default'].inject.service(),
    searchTarget: _ember['default'].computed('linkedSearch', function () {
      return this.get('search').getTarget(this.get('linkedSearch'));
    }),

    resetScroll: _ember['default'].observer('searchTarget.query', 'resetScrollOn', 'resetScrollOn.[]', function () {

      var el = this.get('element');

      // Note: improper use of run.debounce
      _ember['default'].run.debounce(this, function () {

        _ember['default'].run.scheduleOnce('afterRender', function () {
          el.scrollTop = 0;
          el.scrollLeft = 0;
          _npmPerfectScrollbar['default'].update(el);
        });
      }, 25);
    })

  });
});
define("cornerstone/components/common/scroll-box/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/common/scroll-box/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/search-bar/component', ['exports', 'ember', 'cornerstone/mixins/keyboard-shortcuts/component'], function (exports, _ember, _cornerstoneMixinsKeyboardShortcutsComponent) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsKeyboardShortcutsComponent['default'], {
    classNameBindings: ['customClass'],
    customClass: 'cs-search-bar',

    keyboardShortcuts: {
      'esc': 'clear',
      'find': 'focus'
    },

    focusOnShortcut: true,
    autoFocus: false,
    showIcon: true,

    search: _ember['default'].inject.service(),
    searchTarget: _ember['default'].computed('target', function () {
      return this.get('search').getTarget(this.get('target'));
    }),

    isSearching: _ember['default'].computed.alias('query', function () {
      return !!this.get('query');
    }),

    init: function init() {
      this._super.apply(this, arguments);

      if (_ember['default'].isNone(this.get('query'))) {
        _ember['default'].defineProperty(this, 'query', _ember['default'].computed.alias('searchTarget.query'));
        this.get('searchTarget');
      }
    },

    didInsertElement: function didInsertElement() {
      this.updateInput();
      if (this.get('autoFocus')) {
        this.$('input[type=search]').focus();
      }
    },

    updateQuery: _ember['default'].observer('query', function () {

      if (this.get('query') !== this.$('input[type=search]').val()) {
        this.updateInput();
      }
    }),

    updateInput: function updateInput() {
      this.$('input[type=search]').val(this.get('query'));
    },

    keyUp: function keyUp() {
      this.set('query', this.$('input[type=search]').val());
    },

    shouldShowClear: _ember['default'].computed('isSearching', 'alwaysShowClear', function () {
      if (this.get('alwaysShowClear')) {
        return true;
      }
      return this.get('isSearching');
    }),

    actions: {
      clear: function clear() {
        this.set('query', '');
        this.sendAction('onCloseSearch');
      },
      focus: function focus() {
        if (this.get('focusOnShortcut')) {
          this.$('input[type=search]').focus();
        }
      }
    }

  });
});
define("cornerstone/components/common/search-bar/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 2,
              "column": 49
            }
          },
          "moduleName": "cornerstone/components/common/search-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("span");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
          return morphs;
        },
        statements: [["inline", "fa-icon", ["search"], [], ["loc", [null, [2, 22], [2, 42]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 90
            }
          },
          "moduleName": "cornerstone/components/common/search-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("span");
          dom.setAttribute(el1, "class", "cs-clear");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [0]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["element", "action", ["clear"], [], ["loc", [null, [3, 45], [3, 63]]], 0, 0], ["inline", "fa-icon", ["close"], [], ["loc", [null, [3, 64], [3, 83]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/search-bar/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("input");
        dom.setAttribute(el1, "type", "search");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [0]);
        var morphs = new Array(4);
        morphs[0] = dom.createAttrMorph(element1, 'class');
        morphs[1] = dom.createAttrMorph(element1, 'placeholder');
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[3] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        return morphs;
      },
      statements: [["attribute", "class", ["concat", [["subexpr", "if", [["get", "noFocus", ["loc", [null, [1, 19], [1, 26]]], 0, 0, 0, 0], "cs-no-input-focus"], [], ["loc", [null, [1, 14], [1, 48]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "placeholder", ["concat", [["get", "placeholder", ["loc", [null, [1, 79], [1, 90]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "showIcon", ["loc", [null, [2, 6], [2, 14]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [2, 56]]]], ["block", "if", [["get", "shouldShowClear", ["loc", [null, [3, 6], [3, 21]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [3, 0], [3, 97]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/common/sortable-container/component', ['exports', 'ember', 'cornerstone/util/dragula'], function (exports, _ember, _cornerstoneUtilDragula) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'ul',
    classNames: ['cs-sortable'],
    classNameBindings: ['isDragging:cs-sorting'],
    isDragging: false,

    didInsertElement: function didInsertElement() {
      var _this = this;

      var drake = (0, _cornerstoneUtilDragula['default'])({
        moves: function moves(el, source, handle /*, sibling*/) {
          var $itemHandle = _ember['default'].$(el).find('> .cs-sortable-item-handle');
          var $handle = _ember['default'].$(handle);
          return _ember['default'].$.contains($itemHandle[0], $handle[0]);
        },
        offset: function offset(_offset, e, item) {
          _offset.y = _ember['default'].$(item).find('> .cs-sortable-item-handle').height() / 2; // snap to vertical center of handle
          return _offset;
        },
        revertOnSpill: true,
        mirrorContainer: this.get('element')
      });

      drake.containers.push(this.get('element'));

      drake.on('drag', function () {
        _this.set('isDragging', true);
        _this.get('ui').set('noPreviewPointer', true);
      });

      drake.on('dragend', function () {
        _this.set('isDragging', false);
        _this.get('ui').set('noPreviewPointer', false);
      });

      // drake.on('drop', function( el, target, source, sibling ) {
      //   Ember.$(el).triggerHandler( 'dragula:drop', window.jQuery(sibling).index() - 1 );
      // });
    }
  });
});
define("cornerstone/components/common/sortable-container/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/sortable-container/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/sortable-item/component', ['exports', 'ember', 'cornerstone/mixins/dragula-events'], function (exports, _ember, _cornerstoneMixinsDragulaEvents) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDragulaEvents['default'], {

    tagName: 'li',
    classNames: ['cs-sortable-item'],
    classNameBindings: ['active:cs-active', 'hasDrawer:cs-sortable-item-has-drawer'],

    dragulaEvents: ['element'],

    canEditLabel: true,
    canQuickDelete: true,
    showAddAfter: false,
    addLabel: _ember['default'].computed(function () {
      return this.get('i18n').t('app.add-item');
    }),

    deleteConfirm: _ember['default'].computed('ui.deleteConfirm', function () {
      return this.get('canQuickDelete') && this.get('ui.deleteConfirm');
    }),

    canShowAddAfter: _ember['default'].computed('showAddAfter', 'onAddAfter', function () {
      return this.get('showAddAfter') && this.get('onAddAfter');
    }),

    dragulaDrop: function dragulaDrop(e, el, target, source, sibling) {
      var index = _ember['default'].$(sibling).index() - 1;
      this.sendAction('onDropIndex', this.get('itemIndex'), index);
      this.sendAction('onDrop', this.get('item'), index);
    },

    didInsertElement: function didInsertElement() {
      var _this = this;

      this.$().children('.cs-sortable-item-handle').on('mouseenter', function () {
        if (_this.isDestroyed) {
          return;
        }
        _this.sendAction('onMouseEnter');
      }).on('mouseleave', function () {
        if (_this.isDestroyed) {
          return;
        }
        _this.sendAction('onMouseLeave');
      });
    },

    actions: {
      selectFromButton: function selectFromButton() {
        this.sendAction('onSelect');
      },
      selectFromLabel: function selectFromLabel() {
        if (!this.get('hasDrawer')) {
          this.sendAction('onSelect');
        }
      },
      addBefore: function addBefore() {
        this.sendAction('onAddBefore');
      },
      addAfter: function addAfter() {
        this.sendAction('onAddAfter');
      }
    }
  });
});
define("cornerstone/components/common/sortable-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "class", "cs-add-sortable-item-before");
          var el2 = dom.createElement("span");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element8 = dom.childAt(fragment, [1]);
          var element9 = dom.childAt(element8, [0]);
          var morphs = new Array(3);
          morphs[0] = dom.createElementMorph(element8);
          morphs[1] = dom.createMorphAt(element9, 0, 0);
          morphs[2] = dom.createMorphAt(element9, 1, 1);
          return morphs;
        },
        statements: [["element", "action", ["addBefore"], ["allowedKeys", "any"], ["loc", [null, [2, 10], [2, 50]]], 0, 0], ["inline", "fa-icon", ["plus"], [], ["loc", [null, [2, 93], [2, 111]]], 0, 0], ["content", "addLabel", ["loc", [null, [2, 111], [2, 123]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 2
            },
            "end": {
              "line": 7,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "class", "cs-sortable-item-handle-toggle");
          var el2 = dom.createElement("span");
          var el3 = dom.createTextNode(" ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element7 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element7);
          return morphs;
        },
        statements: [["element", "action", ["selectFromButton"], [], ["loc", [null, [6, 51], [6, 80]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 18,
              "column": 4
            },
            "end": {
              "line": 20,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element6 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element6, 'title');
          morphs[1] = dom.createElementMorph(element6);
          morphs[2] = dom.createMorphAt(element6, 0, 0);
          return morphs;
        },
        statements: [["attribute", "title", ["concat", [["get", "control.label", ["loc", [null, [19, 49], [19, 62]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", [["get", "control.action", ["loc", [null, [19, 23], [19, 37]]], 0, 0, 0, 0]], [], ["loc", [null, [19, 14], [19, 39]]], 0, 0], ["inline", "icon", [["get", "control.icon", ["loc", [null, [19, 73], [19, 85]]], 0, 0, 0, 0]], [], ["loc", [null, [19, 66], [19, 87]]], 0, 0]],
        locals: ["control"],
        templates: []
      };
    })();
    var child3 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 21,
              "column": 4
            },
            "end": {
              "line": 23,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "title", "Inspect");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element5 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element5);
          morphs[1] = dom.createMorphAt(element5, 0, 0);
          return morphs;
        },
        statements: [["element", "action", [["get", "onInspect", ["loc", [null, [22, 23], [22, 32]]], 0, 0, 0, 0]], [], ["loc", [null, [22, 14], [22, 34]]], 0, 0], ["inline", "icon", ["search"], [], ["loc", [null, [22, 51], [22, 68]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child4 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 24,
              "column": 4
            },
            "end": {
              "line": 26,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "title", "Duplicate");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element4 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element4);
          morphs[1] = dom.createMorphAt(element4, 0, 0);
          return morphs;
        },
        statements: [["element", "action", [["get", "onDuplicate", ["loc", [null, [25, 23], [25, 34]]], 0, 0, 0, 0]], [], ["loc", [null, [25, 14], [25, 36]]], 0, 0], ["inline", "icon", ["copy"], [], ["loc", [null, [25, 55], [25, 70]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child5 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 27,
              "column": 4
            },
            "end": {
              "line": 29,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "title", "Delete");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element3 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element3, 'class');
          morphs[1] = dom.createElementMorph(element3);
          morphs[2] = dom.createMorphAt(element3, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["subexpr", "if", [["get", "deleteConfirm", ["loc", [null, [28, 67], [28, 80]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [28, 61], [28, 94]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", [["get", "onDelete", ["loc", [null, [28, 23], [28, 31]]], 0, 0, 0, 0]], ["allowedKeys", "shift"], ["loc", [null, [28, 14], [28, 53]]], 0, 0], ["inline", "icon", ["trash-o"], [], ["loc", [null, [28, 111], [28, 129]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child6 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 34,
                "column": 4
              },
              "end": {
                "line": 36,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["content", "yield", ["loc", [null, [35, 6], [35, 15]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 32,
              "column": 0
            },
            "end": {
              "line": 38,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element2 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element2, 'class');
          morphs[1] = dom.createMorphAt(element2, 1, 1);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", ["cs-sortable-item-drawer ", ["subexpr", "if", [["get", "active", ["loc", [null, [33, 43], [33, 49]]], 0, 0, 0, 0], "cs-active"], [], ["loc", [null, [33, 38], [33, 63]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "active", ["loc", [null, [34, 10], [34, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [34, 4], [36, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child7 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 39,
              "column": 0
            },
            "end": {
              "line": 41,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "class", "cs-add-sortable-item-after");
          var el2 = dom.createElement("span");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var element1 = dom.childAt(element0, [0]);
          var morphs = new Array(3);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element1, 0, 0);
          morphs[2] = dom.createMorphAt(element1, 1, 1);
          return morphs;
        },
        statements: [["element", "action", ["addAfter"], ["allowedKeys", "any"], ["loc", [null, [40, 10], [40, 49]]], 0, 0], ["inline", "icon", ["plus"], [], ["loc", [null, [40, 91], [40, 106]]], 0, 0], ["content", "addLabel", ["loc", [null, [40, 106], [40, 118]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 42,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/sortable-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-sortable-item-handle");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-sortable-item-handle-label");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-sortable-item-handle-controls");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element10 = dom.childAt(fragment, [1]);
        var element11 = dom.childAt(element10, [3]);
        var element12 = dom.childAt(element10, [5]);
        var morphs = new Array(10);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(element10, 1, 1);
        morphs[2] = dom.createElementMorph(element11);
        morphs[3] = dom.createMorphAt(element11, 1, 1);
        morphs[4] = dom.createMorphAt(element12, 1, 1);
        morphs[5] = dom.createMorphAt(element12, 2, 2);
        morphs[6] = dom.createMorphAt(element12, 3, 3);
        morphs[7] = dom.createMorphAt(element12, 4, 4);
        morphs[8] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        morphs[9] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "onAddBefore", ["loc", [null, [1, 6], [1, 17]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["block", "if", [["get", "hasDrawer", ["loc", [null, [5, 8], [5, 17]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [5, 2], [7, 9]]]], ["element", "action", ["selectFromLabel"], [], ["loc", [null, [8, 45], [8, 73]]], 0, 0], ["inline", "forms/inline-edit", [], ["class", "label", "value", ["subexpr", "@mut", [["get", "label", ["loc", [null, [11, 12], [11, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "enabled", ["subexpr", "@mut", [["get", "canEditLabel", ["loc", [null, [12, 14], [12, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "labelPlaceholder", ["loc", [null, [13, 18], [13, 34]]], 0, 0, 0, 0]], [], [], 0, 0], "invalid", ["subexpr", "@mut", [["get", "labelInvalid", ["loc", [null, [14, 14], [14, 26]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [9, 4], [15, 6]]], 0, 0], ["block", "each", [["get", "controls", ["loc", [null, [18, 12], [18, 20]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [18, 4], [20, 13]]]], ["block", "if", [["get", "onInspect", ["loc", [null, [21, 10], [21, 19]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [21, 4], [23, 11]]]], ["block", "if", [["get", "onDuplicate", ["loc", [null, [24, 10], [24, 21]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [24, 4], [26, 11]]]], ["block", "if", [["get", "onDelete", ["loc", [null, [27, 10], [27, 18]]], 0, 0, 0, 0]], [], 5, null, ["loc", [null, [27, 4], [29, 11]]]], ["block", "if", [["get", "hasBlock", ["loc", [null, [32, 6], [32, 14]]], 0, 0, 0, 0]], [], 6, null, ["loc", [null, [32, 0], [38, 7]]]], ["block", "if", [["get", "canShowAddAfter", ["loc", [null, [39, 6], [39, 21]]], 0, 0, 0, 0]], [], 7, null, ["loc", [null, [39, 0], [41, 7]]]]],
      locals: [],
      templates: [child0, child1, child2, child3, child4, child5, child6, child7]
    };
  })());
});
define('cornerstone/components/common/status-indicator/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-status-indicator'],
    classNameBindings: ['active:cs-active', 'mode'],
    attributeBindings: ['style']
  });
});
define("cornerstone/components/common/status-indicator/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 28
          }
        },
        "moduleName": "cornerstone/components/common/status-indicator/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "common/loading-indicator", ["loc", [null, [1, 0], [1, 28]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/common/tab-modal/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-tab-modal'],
    classNameBindings: ['active:cs-active'],

    selectedTab: false,

    activeTab: _ember['default'].computed('selectedTab', 'panels', function () {

      var panels = this.get('panels');
      var selectedTab = this.get('selectedTab');

      var filtered = panels.filter(function (item) {
        return item.name === selectedTab;
      });

      if (_ember['default'].isEmpty(filtered)) {
        filtered = panels;
      }

      return filtered.get('firstObject').name;
    }),

    activeLabel: _ember['default'].computed('activeTab', function () {

      var activeTab = this.get('activeTab');

      return this.get('navItems').filter(function (item) {
        return item.name === activeTab;
      }).get('firstObject.label');
    }),

    activeContent: _ember['default'].computed('activeTab', 'panels', function () {

      var activeTab = this.get('activeTab');

      return this.get('panels').filter(function (item) {
        return item.name === activeTab;
      }).get('firstObject.content');
    }),

    actions: {
      close: function close() {
        this.set('active', false);
      },
      nav: function nav(tab) {
        this.set('selectedTab', tab);
      },
      save: function save() {
        if (_ember['default'].isPresent(this.get('onSave'))) {
          this.sendAction('onSave');
        } else {
          this.send('close');
        }
      }
    }
  });
});
define("cornerstone/components/common/tab-modal/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 8
            },
            "end": {
              "line": 10,
              "column": 8
            }
          },
          "moduleName": "cornerstone/components/common/tab-modal/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("          ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element1, 'class');
          morphs[1] = dom.createElementMorph(element1);
          morphs[2] = dom.createMorphAt(element1, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "activeTab", ["loc", [null, [9, 60], [9, 69]]], 0, 0, 0, 0], ["get", "nav.name", ["loc", [null, [9, 70], [9, 78]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 56], [9, 79]]], 0, 0], "cs-active"], [], ["loc", [null, [9, 51], [9, 93]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["nav", ["get", "nav.name", ["loc", [null, [9, 33], [9, 41]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 18], [9, 43]]], 0, 0], ["content", "nav.label", ["loc", [null, [9, 95], [9, 108]]], 0, 0, 0, 0]],
        locals: ["nav"],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 11,
              "column": 8
            },
            "end": {
              "line": 13,
              "column": 8
            }
          },
          "moduleName": "cornerstone/components/common/tab-modal/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("          ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "class", "cs-tab-modal-save cs-btn cs-btn-yep");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["element", "action", ["save"], [], ["loc", [null, [12, 18], [12, 35]]], 0, 0], ["content", "saveLabel", ["loc", [null, [12, 80], [12, 93]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 17,
                "column": 10
              },
              "end": {
                "line": 19,
                "column": 10
              }
            },
            "moduleName": "cornerstone/components/common/tab-modal/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "yield", [["subexpr", "hash", [], ["activeTab", ["get", "activeTab", ["loc", [null, [18, 36], [18, 45]]], 0, 0, 0, 0]], ["loc", [null, [18, 20], [18, 46]]], 0, 0]], [], ["loc", [null, [18, 12], [18, 48]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 19,
                "column": 10
              },
              "end": {
                "line": 21,
                "column": 10
              }
            },
            "moduleName": "cornerstone/components/common/tab-modal/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createUnsafeMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["content", "activeContent", ["loc", [null, [20, 12], [20, 31]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 16,
              "column": 8
            },
            "end": {
              "line": 22,
              "column": 8
            }
          },
          "moduleName": "cornerstone/components/common/tab-modal/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [17, 16], [17, 24]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [17, 10], [21, 17]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 27,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/tab-modal/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("button");
        dom.setAttribute(el1, "class", "cs-tab-modal-close");
        dom.setAttribute(el1, "aria-label", "Close");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("span");
        var el3 = dom.createTextNode("×");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-tab-modal-content-outer");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-tab-modal-content-inner");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "cs-tab-modal-content");
        dom.setAttribute(el3, "role", "document");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("nav");
        var el5 = dom.createTextNode("\n");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("      ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("article");
        var el5 = dom.createTextNode("\n");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("      ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [0]);
        var element3 = dom.childAt(fragment, [2, 1, 1]);
        var element4 = dom.childAt(element3, [1]);
        var morphs = new Array(4);
        morphs[0] = dom.createElementMorph(element2);
        morphs[1] = dom.createMorphAt(element4, 1, 1);
        morphs[2] = dom.createMorphAt(element4, 2, 2);
        morphs[3] = dom.createMorphAt(dom.childAt(element3, [3]), 1, 1);
        return morphs;
      },
      statements: [["element", "action", ["close"], [], ["loc", [null, [1, 8], [1, 26]]], 0, 0], ["block", "each", [["get", "panels", ["loc", [null, [8, 16], [8, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [8, 8], [10, 17]]]], ["block", "if", [["get", "saveLabel", ["loc", [null, [11, 14], [11, 23]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [11, 8], [13, 15]]]], ["block", "common/scroll-box", [], [], 2, null, ["loc", [null, [16, 8], [22, 30]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/common/welcome-message/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-welcome']
  });
});
define("cornerstone/components/common/welcome-message/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/common/welcome-message/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("h3");
          dom.setAttribute(el1, "class", "cs-welcome-title");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "title", ["loc", [null, [2, 31], [2, 40]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/common/welcome-message/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "if", [["get", "title", ["loc", [null, [1, 6], [1, 11]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["content", "yield", ["loc", [null, [4, 0], [4, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/content/column-order/column-order-item/component', ['exports', 'ember', 'cornerstone/mixins/dragula-events'], function (exports, _ember, _cornerstoneMixinsDragulaEvents) {

  // 1. For some reason the DOM element doesn't actually get deleted if it's been moved. This patch force deletes it.

  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDragulaEvents['default'], {

    tagName: 'li',
    classNames: ['cs-column-order-item'],
    classNameBindings: ['active:cs-active', 'size'],

    dragulaEvents: ['element'],

    dragulaDrop: function dragulaDrop(e, el, target, source, sibling) {
      var _this = this;

      // console.log('DROP')
      var index = _ember['default'].$(sibling).index() - 1;
      _ember['default'].run.next(function () {
        _this.sendAction('onDropIndex', _this.get('itemIndex'), index);
        _this.sendAction('onDrop', _this.get('item'), index);
      });
      this.set('_bugfixEl', el); // 1
    },

    didInsertElement: function didInsertElement() {
      var _this2 = this;

      this.$().on('mouseenter', '.handle, .controls', function () {
        if (_this2.isDestroyed) {
          return;
        }
        _this2.sendAction('onMouseEnter');
      }).on('mouseleave', '.handle, .controls', function () {
        if (_this2.isDestroyed) {
          return;
        }
        _this2.sendAction('onMouseLeave');
      });
    },

    size: _ember['default'].computed('item.atts.size', function () {
      return 'cs-' + _ember['default'].String.classify(this.getWithDefault('item.atts.size'), '').replace('/', '-');
    }),

    actions: {
      select: function select() {
        this.sendAction('onSelect');
      }
    },

    didDestroyElement: function didDestroyElement() {
      // 1
      this._super.apply(this, arguments);
      var bugfixEl = this.get('_bugfixEl');
      if (bugfixEl && bugfixEl.remove) {
        bugfixEl.remove();
      }
    }
  });
});
define("cornerstone/components/content/column-order/column-order-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/column-order/column-order-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "handle");
        var el2 = dom.createElement("span");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createElementMorph(element0);
        morphs[1] = dom.createMorphAt(dom.childAt(element0, [0]), 0, 0);
        return morphs;
      },
      statements: [["element", "action", ["select"], [], ["loc", [null, [1, 21], [1, 40]]], 0, 0], ["content", "item.atts.size", ["loc", [null, [1, 47], [1, 65]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/content/column-order/component', ['exports', 'ember', 'cornerstone/util/dragula'], function (exports, _ember, _cornerstoneUtilDragula) {
  exports['default'] = _ember['default'].Component.extend({

    tagName: 'ul',
    classNames: ['cs-column-order'],
    classNameBindings: ['isDragging:cs-sorting'],
    isDragging: false,

    didInsertElement: function didInsertElement() {
      var _this = this;

      var drake = (0, _cornerstoneUtilDragula['default'])({
        accepts: function accepts() {
          return true; // elements can be dropped in any of the `containers` by default
        },
        offset: function offset(_offset, e, item) {
          _offset.x = _ember['default'].$(item).width() / 2; // snap to horizontal center
          return _offset;
        },
        mirrorContainer: this.get('element'),
        direction: 'horizontal',
        revertOnSpill: true
      });

      drake.containers.push(this.get('element'));

      drake.on('drag', function () {
        _this.set('isDragging', true);
        _this.get('ui').set('noPreviewPointer', true);
      });

      drake.on('dragend', function () {
        _this.set('isDragging', false);
        _this.get('ui').set('noPreviewPointer', false);
      });

      this.set('drake', drake);
    }
  });
});
define("cornerstone/components/content/column-order/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/column-order/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/content/cs-title/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: 'cs-title',
    classNameBindings: ['showInspectButton:inspectable'],
    showInspectButton: false,

    actions: {
      inspect: function inspect() {
        this.sendAction('onInspect');
      }
    }

  });
});
define("cornerstone/components/content/cs-title/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/cs-title/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "class", "cs-title-button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element0, 'title');
          morphs[1] = dom.createElementMorph(element0);
          morphs[2] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["attribute", "title", ["get", "tooltip", ["loc", [null, [3, 42], [3, 49]]], 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["inspect"], [], ["loc", [null, [3, 52], [3, 72]]], 0, 0], ["inline", "icon", ["search"], [], ["loc", [null, [3, 73], [3, 90]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/cs-title/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "input", [], ["class", "cs-title-input", "value", ["subexpr", "@mut", [["get", "title", ["loc", [null, [1, 37], [1, 42]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 0], [1, 44]]], 0, 0], ["block", "if", [["get", "showInspectButton", ["loc", [null, [2, 6], [2, 23]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [4, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/content/manage-section/component', ['exports', 'ember'], function (exports, _ember) {

  function reduceFractions(replace) {
    var reductions = [{ f: '2\/4', r: '1/2' }, { f: '2\/6', r: '1/3' }, { f: '3\/6', r: '1/2' }, { f: '4\/6', r: '2/3' }];
    var string = replace;
    reductions.forEach(function (reducer) {
      var re = new RegExp(reducer.f, 'g');
      string = string.replace(re, reducer.r);
    });
    return string;
  }

  function layoutIsValid(layout) {
    return ['1/1', '1/2 + 1/2', '2/3 + 1/3', '1/3 + 2/3', '1/3 + 1/3 + 1/3', '3/4 + 1/4', '1/4 + 3/4', '1/2 + 1/2', '1/2 + 1/4 + 1/4', '1/4 + 1/2 + 1/4', '1/4 + 1/4 + 1/2', '1/4 + 1/4 + 1/4 + 1/4', '4/5 + 1/5', '1/5 + 4/5', '3/5 + 2/5', '2/5 + 3/5', '3/5 + 1/5 + 1/5', '1/5 + 3/5 + 1/5', '1/5 + 1/5 + 3/5', '2/5 + 2/5 + 1/5', '2/5 + 1/5 + 2/5', '1/5 + 2/5 + 2/5', '2/5 + 1/5 + 1/5 + 1/5', '1/5 + 2/5 + 1/5 + 1/5', '1/5 + 1/5 + 2/5 + 1/5', '1/5 + 1/5 + 1/5 + 2/5', '1/5 + 1/5 + 1/5 + 1/5 + 1/5', '5/6 + 1/6', '1/6 + 5/6', '2/3 + 1/3', '1/3 + 2/3', '2/3 + 1/6 + 1/6', '1/6 + 2/3 + 1/6', '1/6 + 1/6 + 2/3', '1/2 + 1/2', '1/2 + 1/3 + 1/6', '1/2 + 1/6 + 1/3', '1/3 + 1/2 + 1/6', '1/3 + 1/6 + 1/2', '1/6 + 1/2 + 1/3', '1/6 + 1/3 + 1/2', '1/2 + 1/6 + 1/6 + 1/6', '1/6 + 1/2 + 1/6 + 1/6', '1/6 + 1/6 + 1/2 + 1/6', '1/6 + 1/6 + 1/6 + 1/2', '1/3 + 1/3 + 1/3', '1/3 + 1/3 + 1/6 + 1/6', '1/3 + 1/6 + 1/3 + 1/6', '1/3 + 1/6 + 1/6 + 1/3', '1/6 + 1/3 + 1/3 + 1/6', '1/6 + 1/3 + 1/6 + 1/3', '1/6 + 1/6 + 1/3 + 1/3', '1/3 + 1/6 + 1/6 + 1/6 + 1/6', '1/6 + 1/3 + 1/6 + 1/6 + 1/6', '1/6 + 1/6 + 1/3 + 1/6 + 1/6', '1/6 + 1/6 + 1/6 + 1/3 + 1/6', '1/6 + 1/6 + 1/6 + 1/6 + 1/3', '1/6 + 1/6 + 1/6 + 1/6 + 1/6 + 1/6'].includes(layout);
  }

  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-manage-layout'],
    store: _ember['default'].inject.service(),

    columnLayouts: ['1/1', '1/2 + 1/2', '1/3 + 2/3', '2/3 + 1/3', '1/3 + 1/3 + 1/3', '1/4 + 1/4 + 1/4 + 1/4', '1/5 + 1/5 + 1/5 + 1/5 + 1/5'],

    didReceiveAttrs: function didReceiveAttrs() {
      var row = this.get('store').peekRecord('element', this.get('selectedRowId'));
      this.set('selectedRow', row);
    },

    columnLayoutOutputHelper: _ember['default'].computed('columnLayouts', function () {
      return this.get('columnLayouts').map(function (layout) {
        return { layout: layout, columns: layout.split(' + ') };
      });
    }),

    selectedRowObserver: _ember['default'].observer('selectedRowId', function () {
      this.set('useCustomLayout', false);
    }),

    customColumnLayout: _ember['default'].computed('selectedRowId', 'useCustomLayout', {
      get: function get() {
        return this.get('selectedColumnLayout');
      },
      set: function set(key, value) {
        var reduced = reduceFractions(value);
        if (layoutIsValid(reduced)) {
          this.set('selectedColumnLayout', reduced);
        }
        return value;
      }
    }),

    selectedColumnLayout: _ember['default'].computed('selectedRow', 'selectedRow.childrenReordered', {
      get: function get() {
        return this.get('sortedActiveColumns').map(function (column) {
          return column.get('atts.size');
        }, '').join(' + ');
      },
      set: function set(key, value, previous) {
        var _this = this;

        var reduced = reduceFractions(value);

        if (!layoutIsValid(reduced)) {
          return previous;
        }

        var sizes = reduced.split(' + ');
        sizes.reverse();

        var diff = sizes.length - this.get('sortedColumns.length');
        var promises = _ember['default'].A();

        while (--diff >= 0) {
          promises.push(this.get('selectedRow').addChild({
            _type: this.get('selectedRow.definition.isClassic') ? 'classic:column' : 'column',
            _region: 'content'
          }));
        }

        var after = function after() {
          _this.get('sortedColumns').forEach(function (column) {
            var size = sizes.pop();
            column.set('atts._active', !!size);
            column.set('atts.size', size || '');
          });
        };

        if (promises.length > 0) {
          _ember['default'].RSVP.allSettled(promises).then(after);
        } else {
          after();
        }

        //console.log( 'items', this.get('sortedActiveColumns').map ( item => item.get('atts.size')) );

        return reduced;
      }
    }),

    orderSort: ['order'],
    sortedRows: _ember['default'].computed.sort('section.availableChildren', 'orderSort'),

    sortedColumns: _ember['default'].computed.sort('selectedRow.availableChildren', 'orderSort'),
    sortedActiveColumns: _ember['default'].computed.sort('activeColumns', 'orderSort'),
    activeColumns: _ember['default'].computed('selectedRow.availableChildren.@each.attsActive', function () {
      return this.get('selectedRow.availableChildren').filter(function (column) {
        return column.get('atts._active');
      });
    }),

    selectedRowDeleted: _ember['default'].observer('selectedRow.pendingDelete', function () {
      if (this.get('selectedRow.pendingDelete')) {
        this.sendAction('onSelectRow', null);
      }
    }),

    customLayout: _ember['default'].computed('selectedColumnLayout', 'useCustomLayout', function () {
      if (this.get('useCustomLayout')) {
        return true;
      }
      return !this.get('columnLayouts').includes(this.get('selectedColumnLayout'));
    }),

    actions: {
      selectColumnLayout: function selectColumnLayout(layout) {
        this.set('useCustomLayout', false);
        this.set('selectedColumnLayout', layout);
      },

      useCustomLayout: function useCustomLayout() {
        this.set('useCustomLayout', true);
      }
    }

  });
});
define("cornerstone/components/content/manage-section/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 6
                },
                "end": {
                  "line": 21,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/content/manage-section/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "row.indexedTitle", ["loc", [null, [6, 16], [6, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "row", ["loc", [null, [7, 15], [7, 18]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "eq", [["get", "row.id", ["loc", [null, [8, 21], [8, 27]]], 0, 0, 0, 0], ["get", "selectedRowId", ["loc", [null, [8, 28], [8, 41]]], 0, 0, 0, 0]], [], ["loc", [null, [8, 17], [8, 42]]], 0, 0], "showAddAfter", ["subexpr", "eq", [["get", "row.id", ["loc", [null, [9, 27], [9, 33]]], 0, 0, 0, 0], ["get", "sortedRows.lastObject.id", ["loc", [null, [9, 34], [9, 58]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 23], [9, 59]]], 0, 0], "addLabel", "Add Row", "onSelect", ["subexpr", "action", [["get", "onSelectRow", ["loc", [null, [11, 27], [11, 38]]], 0, 0, 0, 0], ["get", "row", ["loc", [null, [11, 39], [11, 42]]], 0, 0, 0, 0]], [], ["loc", [null, [11, 19], [11, 43]]], 0, 0], "onInspect", ["subexpr", "route-action", ["inspectElement", ["get", "row", ["loc", [null, [12, 51], [12, 54]]], 0, 0, 0, 0]], [], ["loc", [null, [12, 20], [12, 56]]], 0, 0], "onDrop", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [13, 17], [13, 46]]], 0, 0], "onAddBefore", ["subexpr", "route-action", ["addSiblingElement", ["get", "row", ["loc", [null, [14, 56], [14, 59]]], 0, 0, 0, 0], null, false], [], ["loc", [null, [14, 22], [14, 71]]], 0, 0], "onAddAfter", ["subexpr", "route-action", ["addSiblingElement", ["get", "row", ["loc", [null, [15, 55], [15, 58]]], 0, 0, 0, 0], null, true], [], ["loc", [null, [15, 21], [15, 69]]], 0, 0], "onDuplicate", ["subexpr", "route-action", ["duplicateElement", ["get", "row", ["loc", [null, [16, 55], [16, 58]]], 0, 0, 0, 0]], [], ["loc", [null, [16, 22], [16, 59]]], 0, 0], "onDelete", ["subexpr", "route-action", ["deleteElement", ["get", "row", ["loc", [null, [17, 49], [17, 52]]], 0, 0, 0, 0]], [], ["loc", [null, [17, 19], [17, 53]]], 0, 0], "onMouseEnter", ["subexpr", "route-action", ["observeStart", ["get", "row", ["loc", [null, [18, 52], [18, 55]]], 0, 0, 0, 0]], [], ["loc", [null, [18, 23], [18, 56]]], 0, 0], "onMouseLeave", ["subexpr", "route-action", ["observeEnd", ["get", "row", ["loc", [null, [19, 50], [19, 53]]], 0, 0, 0, 0]], [], ["loc", [null, [19, 23], [19, 54]]], 0, 0]], ["loc", [null, [5, 8], [20, 10]]], 0, 0]],
            locals: ["row"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 22,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/content/manage-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "each", [["get", "sortedRows", ["loc", [null, [4, 14], [4, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 6], [21, 15]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 23,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/content/manage-section/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [3, 4], [22, 34]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 23,
              "column": 2
            },
            "end": {
              "line": 29,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/content/manage-section/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "@mut", [["get", "onAddFirstRow", ["loc", [null, [25, 13], [25, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "icon", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [26, 11], [26, 31]]], 0, 0], "message", "Add a row to manage columns."], ["loc", [null, [24, 4], [28, 6]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 37,
                  "column": 8
                },
                "end": {
                  "line": 39,
                  "column": 8
                }
              },
              "moduleName": "cornerstone/components/content/manage-section/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("          ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("span");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(2);
              morphs[0] = dom.createAttrMorph(element0, 'class');
              morphs[1] = dom.createMorphAt(element0, 0, 0);
              return morphs;
            },
            statements: [["attribute", "class", ["concat", ["cs-", ["subexpr", "cs-classify", [["get", "column", ["loc", [null, [38, 40], [38, 46]]], 0, 0, 0, 0]], [], ["loc", [null, [38, 26], [38, 48]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["content", "column", ["loc", [null, [38, 50], [38, 60]]], 0, 0, 0, 0]],
            locals: ["column"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 35,
                "column": 6
              },
              "end": {
                "line": 41,
                "column": 6
              }
            },
            "moduleName": "cornerstone/components/content/manage-section/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createTextNode("\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("      ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element1 = dom.childAt(fragment, [1]);
            var morphs = new Array(3);
            morphs[0] = dom.createAttrMorph(element1, 'class');
            morphs[1] = dom.createElementMorph(element1);
            morphs[2] = dom.createMorphAt(element1, 1, 1);
            return morphs;
          },
          statements: [["attribute", "class", ["subexpr", "unless", [["get", "customLayout", ["loc", [null, [36, 25], [36, 37]]], 0, 0, 0, 0], ["subexpr", "if", [["subexpr", "eq", [["get", "selectedColumnLayout", ["loc", [null, [36, 46], [36, 66]]], 0, 0, 0, 0], ["get", "columnLayout.layout", ["loc", [null, [36, 67], [36, 86]]], 0, 0, 0, 0]], [], ["loc", [null, [36, 42], [36, 87]]], 0, 0], "cs-active"], [], ["loc", [null, [36, 38], [36, 100]]], 0, 0]], [], ["loc", [null, [null, null], [36, 102]]], 0, 0], 0, 0, 0, 0], ["element", "action", ["selectColumnLayout", ["get", "columnLayout.layout", ["loc", [null, [36, 133], [36, 152]]], 0, 0, 0, 0]], [], ["loc", [null, [36, 103], [36, 154]]], 0, 0], ["block", "each", [["get", "columnLayout.columns", ["loc", [null, [37, 16], [37, 36]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [37, 8], [39, 17]]]]],
          locals: ["columnLayout"],
          templates: [child0]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 44,
                "column": 4
              },
              "end": {
                "line": 46,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/content/manage-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "customColumnLayout", ["loc", [null, [45, 20], [45, 38]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [45, 6], [45, 40]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child2 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 51,
                  "column": 6
                },
                "end": {
                  "line": 60,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/content/manage-section/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "content/column-order/column-order-item", [], ["item", ["subexpr", "@mut", [["get", "column", ["loc", [null, [53, 15], [53, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "onDrop", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [54, 17], [54, 45]]], 0, 0], "onSelect", ["subexpr", "route-action", ["inspectElement", ["get", "column", ["loc", [null, [55, 50], [55, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [55, 19], [55, 57]]], 0, 0], "onInspect", ["subexpr", "route-action", ["inspectElement", ["get", "column", ["loc", [null, [56, 51], [56, 57]]], 0, 0, 0, 0]], [], ["loc", [null, [56, 20], [56, 58]]], 0, 0], "onMouseEnter", ["subexpr", "route-action", ["observeStart", ["get", "column", ["loc", [null, [57, 52], [57, 58]]], 0, 0, 0, 0]], [], ["loc", [null, [57, 23], [57, 59]]], 0, 0], "onMouseLeave", ["subexpr", "route-action", ["observeEnd", ["get", "column", ["loc", [null, [58, 50], [58, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [58, 23], [58, 57]]], 0, 0]], ["loc", [null, [52, 8], [59, 10]]], 0, 0]],
            locals: ["column"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 50,
                "column": 4
              },
              "end": {
                "line": 61,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/content/manage-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "each", [["get", "sortedActiveColumns", ["loc", [null, [51, 14], [51, 33]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [51, 6], [60, 15]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 32,
              "column": 0
            },
            "end": {
              "line": 63,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/manage-section/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-sortable-item-drawer-section");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("ul");
          dom.setAttribute(el2, "class", "cs-column-layout");
          var el3 = dom.createTextNode("\n");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("li");
          var el4 = dom.createElement("span");
          dom.setAttribute(el4, "class", "cs-1-1 custom");
          var el5 = dom.createElement("span");
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-sortable-item-drawer-section");
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element2 = dom.childAt(fragment, [1]);
          var element3 = dom.childAt(element2, [1]);
          var element4 = dom.childAt(element3, [3]);
          var morphs = new Array(6);
          morphs[0] = dom.createMorphAt(element3, 1, 1);
          morphs[1] = dom.createAttrMorph(element4, 'class');
          morphs[2] = dom.createElementMorph(element4);
          morphs[3] = dom.createMorphAt(dom.childAt(element4, [0, 0]), 0, 0);
          morphs[4] = dom.createMorphAt(element2, 3, 3);
          morphs[5] = dom.createMorphAt(dom.childAt(fragment, [3]), 1, 1);
          return morphs;
        },
        statements: [["block", "each", [["get", "columnLayoutOutputHelper", ["loc", [null, [35, 14], [35, 38]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [35, 6], [41, 15]]]], ["attribute", "class", ["concat", ["custom ", ["subexpr", "if", [["get", "customLayout", ["loc", [null, [42, 29], [42, 41]]], 0, 0, 0, 0], "cs-active"], [], ["loc", [null, [42, 24], [42, 55]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["useCustomLayout"], [], ["loc", [null, [42, 57], [42, 85]]], 0, 0], ["inline", "t", ["content.columns-layout-custom"], [], ["loc", [null, [42, 120], [42, 157]]], 0, 0], ["block", "if", [["get", "customLayout", ["loc", [null, [44, 10], [44, 22]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [44, 4], [46, 11]]]], ["block", "content/column-order", [], [], 2, null, ["loc", [null, [50, 4], [61, 29]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 64,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/manage-section/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-sortable-item-drawer-section");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 1, 1);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "sortedRows", ["loc", [null, [2, 8], [2, 18]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [2, 2], [29, 9]]]], ["block", "if", [["get", "selectedRow", ["loc", [null, [32, 6], [32, 17]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [32, 0], [63, 7]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/content/settings-modal/component', ['exports', 'ember', 'npm:json-stable-stringify'], function (exports, _ember, _npmJsonStableStringify) {
  exports['default'] = _ember['default'].Component.extend({

    modalOpen: _ember['default'].computed.alias('ui.showSettingsModal'),

    openObserver: _ember['default'].observer('modalOpen', function () {

      var snapshot = (0, _npmJsonStableStringify['default'])({
        settings: this.get('model.content.settings'),
        rt: this.get('model.content.responsiveTextItems')
      });

      if (this.get('modalOpen')) {
        this.set('snapshot', snapshot);
      } else {
        if (snapshot !== this.get('snapshot')) {
          this.sendAction('onSettingsChanged');
        }
      }
    }),

    sections: _ember['default'].computed('model.settingsSections.models', function () {
      var _this = this;

      return this.get('model.settingsSections.models').map(function (model) {
        var controls = [];
        model.controls.forEach(function (control) {
          if (!['text', 'textarea', 'select', 'toggle', 'wpselect'].includes(control.type)) {
            return;
          }

          if ('wpselect' === control.type) {
            control = _this.convertWpSelect(control);
          }

          controls.push({
            label: control.ui.title,
            type: control.type,
            key: 'content.settings.' + model.name + '.' + control.key,
            options: control.options,
            refresh: !!control.options.notLive
          });
        });
        return { name: model.name, label: model.ui.title, controls: controls };
      });
    }),

    convertWpSelect: function convertWpSelect(control) {

      control.type = 'select';
      var markup = this.normalizeWpSelectMarkup(control.options.markup, control);
      var options = markup.match(/<option.*?option>/g);
      control.options.choices = [];

      var regex = new RegExp('value="(.*?)".*?>(.*?)<\/');
      if (options) {
        options.forEach(function (option) {
          var found = regex.exec(option);
          if (found) {
            control.options.choices.push({ value: found[1], label: found[2] });
          }
        });
      }

      return control;
    },

    normalizeWpSelectMarkup: function normalizeWpSelectMarkup(markup, control) {

      if ('post_parent' === control.key) {
        return markup.replace('value=""', 'value="0"');
      }

      return markup;
    }

  });
});
define('cornerstone/components/content/settings-modal/responsive-text/component', ['exports', 'ember'], function (exports, _ember) {

  var defaultItem = {
    selector: '.h-responsive',
    compression: '1.0',
    min_size: '24',
    max_size: '96'
  };

  exports['default'] = _ember['default'].Component.extend({

    lastIndex: _ember['default'].computed('items.length', function () {
      return this.get('items.length') - 1;
    }),

    unitSliderOptions: {
      available_units: ['px'],
      ranges: {
        px: { min: 0, max: 100, step: 1 }
      }
    },

    actions: {

      addFirstItem: function addFirstItem() {
        this.send('addItem', _ember['default'].copy(defaultItem), 0);
      },

      selectIndex: function selectIndex(index) {
        this.set('selectedIndex', index === this.get('selectedIndex') ? 'none' : index);
      },

      moveItem: function moveItem(from, to) {
        var items = this.get('items');
        var item = items.objectAt(from);
        var before = items.slice(0, from);
        var after = items.slice(from + 1);
        items = before.concat(after);
        before = items.slice(0, to);
        after = items.slice(to);
        before.push(item);
        this.set('items', before.concat(after));
      },

      addSiblingItem: function addSiblingItem(index, item, after) {
        this.send('addItem', _ember['default'].copy(defaultItem), after ? index + 1 : index);
      },

      addItem: function addItem(item, index) {

        if (!item.title) {
          item.title = 'Responsive Text';
        }

        var items = this.get('items');
        var before = items.slice(0, index);
        var after = items.slice(index);
        before.push(item);
        this.set('items', before.concat(after));
      },

      duplicateItem: function duplicateItem(item, index) {
        var duplicate = _ember['default'].copy(item);
        duplicate.title = this.get('i18n').t('app.copy-of', { title: duplicate.title }).string;
        this.send('addItem', duplicate, index + 1);
      },

      deleteItem: function deleteItem(index) {
        this.set('items', this.get('items').filter(function (item, i) {
          return index !== i;
        }));
      }
    }
  });
});
define("cornerstone/components/content/settings-modal/responsive-text/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 45,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/settings-modal/responsive-text/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("    ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-sortable-item-drawer-section");
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("ul");
              dom.setAttribute(el2, "class", "cs-control-input-list");
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("li");
              dom.setAttribute(el3, "class", "cs-control-input-list-item cs-control-input-list-item-text");
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-label");
              var el5 = dom.createElement("span");
              var el6 = dom.createTextNode("Selector");
              dom.appendChild(el5, el6);
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-input");
              var el5 = dom.createTextNode("\n            ");
              dom.appendChild(el4, el5);
              var el5 = dom.createComment("");
              dom.appendChild(el4, el5);
              var el5 = dom.createTextNode("\n          ");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n        ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("li");
              dom.setAttribute(el3, "class", "cs-control-input-list-item cs-control-input-list-item-text");
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-label");
              var el5 = dom.createElement("span");
              var el6 = dom.createTextNode("Compress");
              dom.appendChild(el5, el6);
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-input");
              var el5 = dom.createTextNode("\n            ");
              dom.appendChild(el4, el5);
              var el5 = dom.createComment("");
              dom.appendChild(el4, el5);
              var el5 = dom.createTextNode("\n          ");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n        ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("li");
              dom.setAttribute(el3, "class", "cs-control-input-list-item cs-control-input-list-item-unit-slider");
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-label");
              var el5 = dom.createElement("span");
              var el6 = dom.createTextNode("Minimum Size");
              dom.appendChild(el5, el6);
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-input");
              var el5 = dom.createTextNode("\n            ");
              dom.appendChild(el4, el5);
              var el5 = dom.createComment("");
              dom.appendChild(el4, el5);
              var el5 = dom.createTextNode("\n          ");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n        ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("li");
              dom.setAttribute(el3, "class", "cs-control-input-list-item cs-control-input-list-item-unit-slider");
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-label");
              var el5 = dom.createElement("span");
              var el6 = dom.createTextNode("Maximum Size");
              dom.appendChild(el5, el6);
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("div");
              dom.setAttribute(el4, "class", "cs-control-input-list-input");
              var el5 = dom.createTextNode("\n            ");
              dom.appendChild(el4, el5);
              var el5 = dom.createComment("");
              dom.appendChild(el4, el5);
              var el5 = dom.createTextNode("\n          ");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n        ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n      ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n    ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1, 1]);
              var morphs = new Array(4);
              morphs[0] = dom.createMorphAt(dom.childAt(element0, [1, 3]), 1, 1);
              morphs[1] = dom.createMorphAt(dom.childAt(element0, [3, 3]), 1, 1);
              morphs[2] = dom.createMorphAt(dom.childAt(element0, [5, 3]), 1, 1);
              morphs[3] = dom.createMorphAt(dom.childAt(element0, [7, 3]), 1, 1);
              return morphs;
            },
            statements: [["inline", "input", [], ["type", "text", "value", ["subexpr", "@mut", [["get", "item.selector", ["loc", [null, [22, 38], [22, 51]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ".h-responsive"], ["loc", [null, [22, 12], [22, 81]]], 0, 0], ["inline", "input", [], ["type", "text", "value", ["subexpr", "@mut", [["get", "item.compression", ["loc", [null, [28, 38], [28, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "1.0"], ["loc", [null, [28, 12], [28, 74]]], 0, 0], ["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "item.min_size", ["loc", [null, [34, 38], [34, 51]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "unitSliderOptions", ["loc", [null, [34, 60], [34, 77]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [34, 12], [34, 79]]], 0, 0], ["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "item.max_size", ["loc", [null, [40, 38], [40, 51]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "unitSliderOptions", ["loc", [null, [40, 60], [40, 77]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [40, 12], [40, 79]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 46,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/settings-modal/responsive-text/template.hbs"
          },
          isEmpty: false,
          arity: 2,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "item.title", ["loc", [null, [4, 12], [4, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "item", ["loc", [null, [5, 11], [5, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "itemIndex", ["subexpr", "@mut", [["get", "index", ["loc", [null, [6, 16], [6, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "eq", [["get", "index", ["loc", [null, [7, 17], [7, 22]]], 0, 0, 0, 0], ["get", "selectedIndex", ["loc", [null, [7, 23], [7, 36]]], 0, 0, 0, 0]], [], ["loc", [null, [7, 13], [7, 37]]], 0, 0], "showAddAfter", ["subexpr", "eq", [["get", "index", ["loc", [null, [8, 23], [8, 28]]], 0, 0, 0, 0], ["get", "lastIndex", ["loc", [null, [8, 29], [8, 38]]], 0, 0, 0, 0]], [], ["loc", [null, [8, 19], [8, 39]]], 0, 0], "onSelect", ["subexpr", "action", ["selectIndex", ["get", "index", ["loc", [null, [9, 37], [9, 42]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 15], [9, 43]]], 0, 0], "onDropIndex", ["subexpr", "action", ["moveItem"], [], ["loc", [null, [10, 18], [10, 38]]], 0, 0], "onAddBefore", ["subexpr", "action", ["addSiblingItem", ["get", "index", ["loc", [null, [11, 43], [11, 48]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", "classic:responsive-text"], ["loc", [null, [11, 49], [11, 87]]], 0, 0], false], [], ["loc", [null, [11, 18], [11, 94]]], 0, 0], "onAddAfter", ["subexpr", "action", ["addSiblingItem", ["get", "index", ["loc", [null, [12, 42], [12, 47]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", "classic:responsive-text"], ["loc", [null, [12, 48], [12, 86]]], 0, 0], true], [], ["loc", [null, [12, 17], [12, 92]]], 0, 0], "onDuplicate", ["subexpr", "action", ["duplicateItem", ["get", "item", ["loc", [null, [13, 42], [13, 46]]], 0, 0, 0, 0], ["get", "index", ["loc", [null, [13, 47], [13, 52]]], 0, 0, 0, 0]], [], ["loc", [null, [13, 18], [13, 53]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteItem", ["get", "index", ["loc", [null, [14, 36], [14, 41]]], 0, 0, 0, 0]], [], ["loc", [null, [14, 15], [14, 42]]], 0, 0], "hasDrawer", true], 0, null, ["loc", [null, [3, 4], [45, 29]]]]],
          locals: ["item", "index"],
          templates: [child0]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 46,
                "column": 2
              },
              "end": {
                "line": 52,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/settings-modal/responsive-text/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "action", ["addFirstItem"], [], ["loc", [null, [48, 13], [48, 36]]], 0, 0], "icon", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [49, 11], [49, 31]]], 0, 0], "message", "Add an item to get started."], ["loc", [null, [47, 4], [51, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 53,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/settings-modal/responsive-text/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "items", ["loc", [null, [2, 10], [2, 15]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [2, 2], [52, 11]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 54,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/settings-modal/responsive-text/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [1, 0], [53, 30]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/components/content/settings-modal/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 15,
                        "column": 14
                      },
                      "end": {
                        "line": 17,
                        "column": 14
                      }
                    },
                    "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("                ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "input", [], ["type", "text", "value", ["subexpr", "mut", [["subexpr", "get", [["get", "model", ["loc", [null, [16, 52], [16, 57]]], 0, 0, 0, 0], ["get", "control.key", ["loc", [null, [16, 58], [16, 69]]], 0, 0, 0, 0]], [], ["loc", [null, [16, 47], [16, 70]]], 0, 0]], [], ["loc", [null, [16, 42], [16, 71]]], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "control.options.placeholder", ["loc", [null, [16, 84], [16, 111]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [16, 16], [16, 113]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              var child1 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 18,
                        "column": 14
                      },
                      "end": {
                        "line": 20,
                        "column": 14
                      }
                    },
                    "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("                ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "textarea", [], ["value", ["subexpr", "mut", [["subexpr", "get", [["get", "model", ["loc", [null, [19, 43], [19, 48]]], 0, 0, 0, 0], ["get", "control.key", ["loc", [null, [19, 49], [19, 60]]], 0, 0, 0, 0]], [], ["loc", [null, [19, 38], [19, 61]]], 0, 0]], [], ["loc", [null, [19, 33], [19, 62]]], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "control.options.placeholder", ["loc", [null, [19, 75], [19, 102]]], 0, 0, 0, 0]], [], [], 0, 0], "class", ["subexpr", "if", [["get", "control.options.monospace", ["loc", [null, [19, 113], [19, 138]]], 0, 0, 0, 0], "cs-input-code"], [], ["loc", [null, [19, 109], [19, 155]]], 0, 0]], ["loc", [null, [19, 16], [19, 157]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              var child2 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 21,
                        "column": 14
                      },
                      "end": {
                        "line": 23,
                        "column": 14
                      }
                    },
                    "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("                ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "forms/cs-toggle", [], ["value", ["subexpr", "mut", [["subexpr", "get", [["get", "model", ["loc", [null, [22, 50], [22, 55]]], 0, 0, 0, 0], ["get", "control.key", ["loc", [null, [22, 56], [22, 67]]], 0, 0, 0, 0]], [], ["loc", [null, [22, 45], [22, 68]]], 0, 0]], [], ["loc", [null, [22, 40], [22, 69]]], 0, 0]], ["loc", [null, [22, 16], [22, 71]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              var child3 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 24,
                        "column": 14
                      },
                      "end": {
                        "line": 26,
                        "column": 14
                      }
                    },
                    "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("                ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "mut", [["subexpr", "get", [["get", "model", ["loc", [null, [25, 54], [25, 59]]], 0, 0, 0, 0], ["get", "control.key", ["loc", [null, [25, 60], [25, 71]]], 0, 0, 0, 0]], [], ["loc", [null, [25, 49], [25, 72]]], 0, 0]], [], ["loc", [null, [25, 44], [25, 73]]], 0, 0], "options", ["subexpr", "@mut", [["get", "control.options.choices", ["loc", [null, [25, 82], [25, 105]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [25, 16], [25, 108]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 12,
                      "column": 10
                    },
                    "end": {
                      "line": 28,
                      "column": 10
                    }
                  },
                  "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
                },
                isEmpty: false,
                arity: 1,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("            ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("dt");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n            ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("dd");
                  var el2 = dom.createTextNode("\n");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("            ");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element0 = dom.childAt(fragment, [3]);
                  var morphs = new Array(5);
                  morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                  morphs[1] = dom.createMorphAt(element0, 1, 1);
                  morphs[2] = dom.createMorphAt(element0, 2, 2);
                  morphs[3] = dom.createMorphAt(element0, 3, 3);
                  morphs[4] = dom.createMorphAt(element0, 4, 4);
                  return morphs;
                },
                statements: [["content", "control.label", ["loc", [null, [13, 16], [13, 33]]], 0, 0, 0, 0], ["block", "if", [["subexpr", "eq", ["text", ["get", "control.type", ["loc", [null, [15, 31], [15, 43]]], 0, 0, 0, 0]], [], ["loc", [null, [15, 20], [15, 44]]], 0, 0]], [], 0, null, ["loc", [null, [15, 14], [17, 21]]]], ["block", "if", [["subexpr", "eq", ["textarea", ["get", "control.type", ["loc", [null, [18, 35], [18, 47]]], 0, 0, 0, 0]], [], ["loc", [null, [18, 20], [18, 48]]], 0, 0]], [], 1, null, ["loc", [null, [18, 14], [20, 21]]]], ["block", "if", [["subexpr", "eq", ["toggle", ["get", "control.type", ["loc", [null, [21, 33], [21, 45]]], 0, 0, 0, 0]], [], ["loc", [null, [21, 20], [21, 46]]], 0, 0]], [], 2, null, ["loc", [null, [21, 14], [23, 21]]]], ["block", "if", [["subexpr", "eq", ["select", ["get", "control.type", ["loc", [null, [24, 33], [24, 45]]], 0, 0, 0, 0]], [], ["loc", [null, [24, 20], [24, 46]]], 0, 0]], [], 3, null, ["loc", [null, [24, 14], [26, 21]]]]],
                locals: ["control"],
                templates: [child0, child1, child2, child3]
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 10,
                    "column": 6
                  },
                  "end": {
                    "line": 30,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("dl");
                var el2 = dom.createTextNode("\n");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("        ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
                return morphs;
              },
              statements: [["block", "each", [["get", "section.controls", ["loc", [null, [12, 18], [12, 34]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [12, 10], [28, 19]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 31,
                    "column": 6
                  },
                  "end": {
                    "line": 35,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "content/settings-modal/responsive-text", [], ["items", ["subexpr", "@mut", [["get", "model.content.responsiveTextItems", ["loc", [null, [33, 16], [33, 49]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [32, 8], [34, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 8,
                  "column": 4
                },
                "end": {
                  "line": 36,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("h3");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["content", "section.label", ["loc", [null, [9, 10], [9, 27]]], 0, 0, 0, 0], ["block", "if", [["get", "section.controls", ["loc", [null, [10, 12], [10, 28]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [10, 6], [30, 13]]]], ["block", "if", [["subexpr", "eq", [["get", "section.name", ["loc", [null, [31, 16], [31, 28]]], 0, 0, 0, 0], "responsive-text"], [], ["loc", [null, [31, 12], [31, 47]]], 0, 0]], [], 1, null, ["loc", [null, [31, 6], [35, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 2
              },
              "end": {
                "line": 37,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["subexpr", "eq", [["get", "modal.activeTab", ["loc", [null, [8, 14], [8, 29]]], 0, 0, 0, 0], ["get", "section.name", ["loc", [null, [8, 30], [8, 42]]], 0, 0, 0, 0]], [], ["loc", [null, [8, 10], [8, 43]]], 0, 0]], [], 0, null, ["loc", [null, [8, 4], [36, 11]]]]],
          locals: ["section"],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 38,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "sections", ["loc", [null, [7, 10], [7, 18]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [7, 2], [37, 11]]]]],
        locals: ["modal"],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 39,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/settings-modal/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "common/tab-modal", [], ["active", ["subexpr", "@mut", [["get", "modalOpen", ["loc", [null, [2, 9], [2, 18]]], 0, 0, 0, 0]], [], [], 0, 0], "panels", ["subexpr", "@mut", [["get", "sections", ["loc", [null, [3, 9], [3, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "saveLabel", ["subexpr", "t", ["content.settings-done"], [], ["loc", [null, [4, 12], [4, 39]]], 0, 0]], 0, null, ["loc", [null, [1, 0], [38, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/content/skeleton-mode/component', ['exports', 'ember', 'cornerstone/util/dragula', 'cornerstone/mixins/preview-listener', 'cornerstone/mixins/dragula-events'], function (exports, _ember, _cornerstoneUtilDragula, _cornerstoneMixinsPreviewListener, _cornerstoneMixinsDragulaEvents) {

  // const handlers = {
  //
  // 	editorCloned: function( clone, original, type ) {
  //
  // 		if ( 'mirror' != type ) {
  // 			Ember.$( original ).trigger( 'dragula:cloned', clone );
  // 			return;
  // 		}
  //
  // 		Ember.$( original ).trigger( 'dragula:mirror', clone );
  //
  //     Ember.run.next(()=> {
  //       Ember.$( original ).trigger( 'dragula:start', clone );
  // 			// cs.global.trigger( 'dragging', true );
  //     });
  //
  // 	},
  //
  // 	skeletonEnd: function( el ) {
  // 		// cs.global.trigger( 'dragging', false );
  // 		// cs.events.trigger( 'skeleton:dragging', false );
  // 	},
  //
  // 	skeletonStart: function( el, source ) {
  // 		var $el = Ember.$( el );
  // 		// cs.events.trigger( 'skeleton:dragging', true, $el.attr( 'data-element-type' ) );
  // 		$el.trigger( 'dragula:lift' );
  // 		Ember.$( source ).trigger( 'dragula:lift:child' );
  // 	},
  //
  // 	cancel: function( el, container, source ) {
  // 		// Ember.$( el ).trigger( 'dragula:dragend' );
  // 	},
  //
  // 	drop: function( el, target, source, sibling ) {
  // 		Ember.$( el ).trigger( 'dragula:drop', [ target, source, sibling ] );
  // 		Ember.$( target ).trigger( 'dragula:receive', [ el, source, sibling ] );
  // 	},
  //
  // 	over: function( el, container, source ) {
  // 		Ember.$( container ).trigger( 'dragula:over' );
  // 		Ember.$( source ).trigger( 'dragula:source:over' );
  // 	},
  //
  // 	out: function( el, container, source ) {
  // 		Ember.$( container ).trigger( 'dragula:out' );
  // 	},
  //
  // 	shadow: function( el, container, source ) {
  // 		Ember.$( source ).trigger( 'dragula:shadow' );
  // 	}
  //
  // };

  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDragulaEvents['default'], _cornerstoneMixinsPreviewListener['default'], {
    classNames: ['cs-skeleton-mode'],
    classNameBindings: ['active:cs-active', 'draggingType'],

    elementService: _ember['default'].inject.service('element'),

    dragulaEvents: ['container'],
    dragulaContainerSelector: '.cs-skeleton-content-outer',

    active: _ember['default'].computed.alias('ui.skeletonModeActive'),

    orderSort: ['order'],
    sortedSections: _ember['default'].computed.sort('content.root.availableChildren', 'orderSort'),

    maxVisible: _ember['default'].computed('active', function () {
      return this.get('active') ? 1000 : 3;
    }),

    draggingType: _ember['default'].computed('elementService.incomingType', 'elementService.liftedElement.definition.id', function () {

      var type = this.getWithDefault('elementService.liftedElement.definition.id', '').replace('classic:', '');

      if (['row', 'column'].includes(type)) {
        return 'dragging-' + type;
      }

      if (this.get('elementService.incomingType') || type) {
        return 'dragging-element';
      }

      return null;
    }),

    init: function init() {
      var _this = this;

      this._super();

      this.componentListenTo('suspend-drag', function () {
        _this.set('ui.suspendDrag', true);
        _ember['default'].$('.cs-preview-frame-container').one('mouseleave', function () {
          _this.set('ui.suspendDrag', false);
          _this.get('ui.preview.xfr').message('preview:resume-drag');
        });
      });

      this.componentListenTo('stop-drag', function () {
        var drake = _this.get('elementDrake');
        if (drake && drake.cancel) {
          drake.cancel();
        }
        _this.set('ui.suspendDrag', false);
      });

      this.componentListenTo('drag-existing', function () {
        var mouseUp = function mouseUp() {
          document.removeEventListener('mouseup', mouseUp);
          _ember['default'].run.next(function () {
            _this.get('ui.preview.xfr').message('preview:drag-existing-end');
          });
        };
        document.addEventListener('mouseup', mouseUp);
      });
    },
    actions: {
      itemAction: function itemAction(action, element) {
        this.sendAction('on' + _ember['default'].String.capitalize(action), element);
      }
    },

    didInsertElement: function didInsertElement() {
      var _this2 = this;

      var elementDrake = (0, _cornerstoneUtilDragula['default'])({
        isContainer: function isContainer(el) {
          return !!el.classList && (el.classList.contains('cs-skeleton-container-column') || el.classList.contains('cs-element-library') || el.classList.contains('cs-element-library-classic'));
        },
        moves: function moves(el) {
          return !!el.classList && (el.classList.contains('cs-element-library-item') && !el.attributes.draggable || el.classList.contains('cs-skeleton-item') && !el.classList.contains('is-child') && !el.classList.contains('layout'));
        },
        accepts: function accepts(el, target) {
          if (!!target.classList && (target.classList.contains('cs-element-library') || target.classList.contains('cs-element-library-classic'))) {
            return false;
          }
          return !!el.classList && (el.classList.contains('cs-element-library-item') || el.classList.contains('cs-skeleton-item') && !el.classList.contains('is-child') && !el.classList.contains('layout'));
        },
        copy: function copy(el) {
          return !!el.classList && el.classList.contains('cs-element-library-item');
        },
        offset: function offset(_offset, e, el) {
          var $el = _ember['default'].$(el);
          if ($el.is('.cs-element-library-item')) {
            _offset.x = 16; // left inset hardcoded to half of SVG width
            _offset.y = $el.height() / 2; // snap to center Y
          }
          if ($el.is('cs-skeleton-item')) {
            _offset.y = _ember['default'].$(el).height() / 2; // snap to vertical center
          }
          return _offset;
        },
        revertOnSpill: true
      });

      elementDrake.on('drag', function () {
        _this2.set('ui.hideCursor', true);
      });

      elementDrake.on('dragend', function () {
        _this2.set('ui.hideCursor', false);
        _this2.set('ui.suspendDrag', false);
      });

      elementDrake.on('cloned', function (clone) {
        _this2.set('indicator', clone);
      });

      this.set('elementDrake', elementDrake);

      this.set('columnDrake', (0, _cornerstoneUtilDragula['default'])({
        isContainer: function isContainer(el) {
          return _ember['default'].$(el).is('.cs-skeleton-container-row');
        },
        moves: function moves(el, source, handle) {
          return _ember['default'].$(handle).is('.cs-skeleton-item.column > .cs-skeleton-item-handle > .cs-skeleton-title');
        },
        accepts: function accepts(el, target) {
          return _ember['default'].$(el).is('.cs-skeleton-item.column') && _ember['default'].$.contains(target, el);
        },
        offset: function offset(_offset2, e, el) {
          _offset2.x = _ember['default'].$(el).width() / 2; // snap center x
          return _offset2;
        },
        direction: 'horizontal',
        revertOnSpill: true
      }));

      this.set('rowDrake', (0, _cornerstoneUtilDragula['default'])({
        isContainer: function isContainer(el) {
          return _ember['default'].$(el).is('.cs-skeleton-container-section');
        },
        moves: function moves(el, source, handle /*, sibling*/) {
          return _ember['default'].$(handle).is('.cs-skeleton-item.row > .cs-skeleton-item-handle > .cs-skeleton-title');
        },
        accepts: function accepts(el) {
          return _ember['default'].$(el).is('.cs-skeleton-item.row');
        },
        revertOnSpill: true
      }));

      this.set('sectionDrake', (0, _cornerstoneUtilDragula['default'])({
        isContainer: function isContainer(el) {
          return _ember['default'].$(el).is('.cs-skeleton-content-inner');
        },
        moves: function moves(el, source, handle) {
          return _ember['default'].$(handle).is('.cs-skeleton-item.section > .cs-skeleton-item-handle > .cs-skeleton-title');
        },
        accepts: function accepts(el) {
          return _ember['default'].$(el).is('.cs-skeleton-item.section');
        },
        revertOnSpill: true
      }));
    },

    willDestroyElement: function willDestroyElement() {
      this.get('elementDrake').teardown();
      this.get('columnDrake').teardown();
      this.get('rowDrake').teardown();
      this.get('sectionDrake').teardown();
    }

  });
});
define('cornerstone/components/content/skeleton-mode/skeleton-item-handle/component', ['exports', 'ember'], function (exports, _ember) {
  var _slice = Array.prototype.slice;
  exports['default'] = _ember['default'].Component.extend({
    classNames: 'cs-skeleton-item-handle',

    controls: _ember['default'].computed('item.atts._type', function () {
      var type = this.getWithDefault('item.atts._type', '').replace('classic:', '');
      var controls = _ember['default'].A();
      var isLayout = this.get('item.definition.isContentLayout');

      if (isLayout) {
        controls.push({
          action: 'manageElementLayout',
          icon: 'bars'
        });
      }

      if ('column' === type) {
        controls.push({
          action: 'eraseElement',
          icon: 'eraser'
        });
      } else {
        controls.push({
          action: 'duplicateElement',
          icon: 'copy'
        });
        controls.push({
          action: 'deleteElement',
          icon: 'trash-o'
        });
        if (isLayout) {
          controls.push({
            action: 'collapse',
            icon: 'caret-down'
          });
        }
      }

      return controls;
    }),

    collapsible: _ember['default'].computed('item.definition.isContentLayout', function () {
      if (!this.get('item.definition.isContentLayout')) {
        return false;
      }
      return 'column' !== this.getWithDefault('item.atts._type', '').replace('classic:', '');
    }),

    title: _ember['default'].computed('item.definition.title', 'item.atts.title', function () {

      var title = this.get('item.atts.title');
      var type = this.get('item.definition.title');

      if (!title) {
        return type;
      }

      return this.get('i18n').t('content.skeleton-item-handle', { title: title, type: type });
    }),

    mouseEnter: function mouseEnter() {
      this.sendAction('onMouseEnter');
    },

    mouseLeave: function mouseLeave() {
      this.sendAction('onMouseLeave');
    },

    actions: {
      titleClick: function titleClick() {
        // if NOT dragging
        this.sendAction.apply(this, ['onHandleClick'].concat(_slice.call(arguments)));
      },
      controlClick: function controlClick() {
        this.sendAction.apply(this, ['onControlClick'].concat(_slice.call(arguments)));
      }
    }

  });
});
define("cornerstone/components/content/skeleton-mode/skeleton-item-handle/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 2
            },
            "end": {
              "line": 5,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/content/skeleton-mode/skeleton-item-handle/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createElementMorph(element0);
          morphs[2] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["get", "control.class", ["loc", [null, [4, 21], [4, 34]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["controlClick", ["get", "control.action", ["loc", [null, [4, 62], [4, 76]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 38], [4, 78]]], 0, 0], ["inline", "icon", [["get", "control.icon", ["loc", [null, [4, 86], [4, 98]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 79], [4, 100]]], 0, 0]],
        locals: ["control"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/skeleton-mode/skeleton-item-handle/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-skeleton-title");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-skeleton-controls");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [0]);
        var morphs = new Array(3);
        morphs[0] = dom.createElementMorph(element1);
        morphs[1] = dom.createMorphAt(element1, 0, 0);
        morphs[2] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        return morphs;
      },
      statements: [["element", "action", ["titleClick"], [], ["loc", [null, [1, 31], [1, 54]]], 0, 0], ["content", "title", ["loc", [null, [1, 55], [1, 64]]], 0, 0, 0, 0], ["block", "each", [["get", "controls", ["loc", [null, [3, 10], [3, 18]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 2], [5, 11]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/content/skeleton-mode/skeleton-item/component', ['exports', 'ember', 'cornerstone/mixins/dragula-events'], function (exports, _ember, _cornerstoneMixinsDragulaEvents) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDragulaEvents['default'], {

    elementService: _ember['default'].inject.service('element'),
    dragulaEvents: ['element', 'container'],
    dragulaContainerSelector: '.cs-skeleton-container-inner',

    classNames: 'cs-skeleton-item',
    classNameBindings: ['typeClass', 'isLayout:layout', 'elementClass', 'isHovering:cs-hover', 'collapsed', 'receiving:cs-receiving'],
    receiving: false,

    isLayout: _ember['default'].computed('typeClass', function () {
      return 'element' !== this.get('typeClass');
    }),

    typeClass: _ember['default'].computed('item.atts._type', function () {
      var type = this.getWithDefault('item.atts._type', '').replace('classic:', '');
      if (['section', 'row', 'column'].includes(type)) {
        return type;
      }
      return 'element';
    }),

    dragulaDrag: function dragulaDrag() {
      this.set('elementService.liftedElement', this.get('item'));
    },

    dragulaCancel: function dragulaCancel() {
      this.set('elementService.liftedElement', null);
    },

    dragulaDropInto: function dragulaDropInto(e, el, target, source, sibling) {

      var liftedElement = this.get('elementService.liftedElement');
      var incomingType = this.get('elementService.incomingType');

      // Tested - all three modes are properly sending their intended index.
      // Sometimes when an item is moved from one container to another, it's final index is wrong.
      // see entity/model changeParent method

      var index = _ember['default'].$(sibling).index();
      index = -1 === index ? null : index - 1;

      if (liftedElement) {
        if (liftedElement.get('parent.id') !== this.get('item.id')) {
          el.remove();
        }
        this.sendAction('onMoveElement', liftedElement, index, this.get('item'));
        this.set('elementService.liftedElement', null);
        return;
      }

      if (incomingType) {
        this.sendAction('onAddElement', this.get('item'), { _type: incomingType }, index);
        this.set('elementService.incomingType', null);
        el.remove();
      }
    },

    dragulaOverContainer: function dragulaOverContainer() {
      this.set('receiving', true);
    },

    dragulaOutContainer: function dragulaOutContainer() {
      this.set('receiving', false);
    },

    elementClass: _ember['default'].computed('item.atts._type', 'item.atts.size', function () {
      if ('column' === this.getWithDefault('item.atts._type', '').replace('classic:', '')) {
        return 'size-' + this.get('item.atts.size').replace('/', '-');
      }
      return '';
    }),

    containerClass: _ember['default'].computed('', function () {
      return _ember['default'].String.htmlSafe('cs-skeleton-container-' + this.get('typeClass'));
    }),

    orderSort: ['order'],

    visibleChildren: _ember['default'].computed.filter('item.availableChildren', function (item) {
      return false !== item.get('atts._active');
    }),

    sortedChildren: _ember['default'].computed.sort('visibleChildren', 'orderSort'),

    preserveGuTransit: function preserveGuTransit() {
      var _this = this;

      if (this.$().hasClass('gu-transit')) {
        _ember['default'].run.scheduleOnce('afterRender', function () {
          if (!_this.isDestroyed) {
            _this.$().addClass('gu-transit');
          }
        });
      }
    },

    actions: {

      handleMouseEnter: function handleMouseEnter() {
        if (this.get('elementService.liftedElement') || this.get('elementService.incomingType')) {
          return; // don't cs-hover during a drag
        }
        this.preserveGuTransit();
        this.set('isHovering', true);
        this.send('itemAction', 'mouseEnter');
      },

      handleMouseLeave: function handleMouseLeave() {
        this.preserveGuTransit();
        this.set('isHovering', false);
        this.send('itemAction', 'mouseLeave');
      },

      itemAction: function itemAction(action, item) {

        if ('collapse' === action) {
          this.set('collapsed', !this.get('collapsed'));
          return;
        }

        if (!item) {
          item = this.get('item');
        }

        this.sendAction('onItemAction', action, item);
      }
    }

  });
});
define("cornerstone/components/content/skeleton-mode/skeleton-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 4
            },
            "end": {
              "line": 17,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/content/skeleton-mode/skeleton-item/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "content/skeleton-mode/skeleton-item", [], ["item", ["subexpr", "@mut", [["get", "child", ["loc", [null, [12, 13], [12, 18]]], 0, 0, 0, 0]], [], [], 0, 0], "onItemAction", ["subexpr", "action", ["itemAction"], [], ["loc", [null, [13, 21], [13, 42]]], 0, 0], "onAddElement", ["subexpr", "@mut", [["get", "onAddElement", ["loc", [null, [14, 21], [14, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "onMoveElement", ["subexpr", "@mut", [["get", "onMoveElement", ["loc", [null, [15, 22], [15, 35]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [11, 6], [16, 8]]], 0, 0]],
        locals: ["child"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 20,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/skeleton-mode/skeleton-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-skeleton-container-outer");
        var el2 = dom.createTextNode("\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2, 1]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createAttrMorph(element0, 'class');
        morphs[2] = dom.createMorphAt(element0, 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "content/skeleton-mode/skeleton-item-handle", [], ["onMouseEnter", ["subexpr", "action", ["handleMouseEnter"], [], ["loc", [null, [2, 15], [2, 42]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["handleMouseLeave"], [], ["loc", [null, [3, 15], [3, 42]]], 0, 0], "onHandleClick", ["subexpr", "route-action", ["inspectElement", ["get", "item", ["loc", [null, [4, 47], [4, 51]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 16], [4, 52]]], 0, 0], "onControlClick", ["subexpr", "action", ["itemAction"], [], ["loc", [null, [5, 17], [5, 38]]], 0, 0], "item", ["subexpr", "@mut", [["get", "item", ["loc", [null, [6, 7], [6, 11]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 0], [7, 2]]], 0, 0], ["attribute", "class", ["concat", ["cs-skeleton-container-inner ", ["get", "containerClass", ["loc", [null, [9, 43], [9, 57]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "each", [["get", "sortedChildren", ["loc", [null, [10, 12], [10, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [10, 4], [17, 13]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/components/content/skeleton-mode/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 6
                },
                "end": {
                  "line": 11,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/content/skeleton-mode/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "content/skeleton-mode/skeleton-item", [], ["item", ["subexpr", "@mut", [["get", "section", ["loc", [null, [6, 15], [6, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "onItemAction", ["subexpr", "action", ["itemAction"], [], ["loc", [null, [7, 23], [7, 44]]], 0, 0], "onAddElement", ["subexpr", "route-action", ["addElement"], [], ["loc", [null, [8, 23], [8, 50]]], 0, 0], "onMoveElement", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [9, 24], [9, 52]]], 0, 0]], ["loc", [null, [5, 8], [10, 10]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 12,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/content/skeleton-mode/template.hbs"
          },
          isEmpty: false,
          arity: 2,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["subexpr", "gte", [["get", "index", ["loc", [null, [4, 21], [4, 26]]], 0, 0, 0, 0], ["get", "maxVisible", ["loc", [null, [4, 27], [4, 37]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 16], [4, 38]]], 0, 0]], [], 0, null, ["loc", [null, [4, 6], [11, 17]]]]],
          locals: ["section", "index"],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 13,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/content/skeleton-mode/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "sortedSections", ["loc", [null, [3, 12], [3, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 4], [12, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/skeleton-mode/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-skeleton-content-outer");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 1, 1);
        return morphs;
      },
      statements: [["block", "common/scroll-box", [], ["class", "cs-skeleton-content-inner"], 0, null, ["loc", [null, [2, 2], [13, 24]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/content/workspace-elements/component', ['exports', 'ember', 'cornerstone/components/workspace/cs-workspace/component'], function (exports, _ember, _cornerstoneComponentsWorkspaceCsWorkspaceComponent) {
  exports['default'] = _cornerstoneComponentsWorkspaceCsWorkspaceComponent['default'].extend({
    classNames: ['elements'],

    isSearching: _ember['default'].computed.alias('searchData.isSearching'),

    filteredSearchResults: _ember['default'].computed('searchData.results', function () {

      var results = this.get('searchData.results');

      var isSearching = this.get('isSearching');
      var filtered = this.get('elementDefinitions').filter(function (item) {
        return !isSearching || results.includes(item.get('id').toString());
      });

      return filtered;
    }),

    // searchResults: Ember.computed.sort('filteredSearchResults', function( a, b ) {
    //
    //   let cmp = a.getWithDefault('postTypeLabel','').localeCompare( b.get('postTypeLabel') );
    //
    //   if (0 === cmp) {
    //     return a.get('title').localeCompare( b.get('title') );
    //   }
    //
    //   return cmp;
    //
    // }),

    titleSort: ['title'],

    elementLibrary: _ember['default'].computed.filter('filteredSearchResults.[]', function (item) {
      if (item.get('isClassic')) {
        return false;
      }
      return item.getWithDefault('showInLibrary', false);
    }),

    classicElementLibrary: _ember['default'].computed.filter('filteredSearchResults.[]', function (item) {
      if (!item.get('isClassic')) {
        return false;
      }
      return item.getWithDefault('showInLibrary', false);
    }),

    hasResults: _ember['default'].computed('sortedElementLibrary.length', 'classicElementLibrary.length', function () {
      return this.get('sortedElementLibrary.length') + this.get('classicElementLibrary.length') > 0;
    }),

    sortedElementLibrary: _ember['default'].computed.sort('elementLibrary', 'titleSort'),
    sortedClassicElementLibrary: _ember['default'].computed.sort('classicElementLibrary', 'titleSort'),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('searchData', this.get('ui.search').getTarget('content-elements'));
      this.set('searchData.query', '');
    }

  });
});
define("cornerstone/components/content/workspace-elements/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-elements/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-search");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 1, 1);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "content.builder.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [4, 49], [4, 71]]], 0, 0], "class", "layout"], ["loc", [null, [4, 6], [4, 87]]], 0, 0], ["subexpr", "hash", [], ["route", "content.builder.elements", "label", ["subexpr", "t", ["app.elements.title"], [], ["loc", [null, [5, 51], [5, 75]]], 0, 0], "class", "elements"], ["loc", [null, [5, 6], [5, 93]]], 0, 0], ["subexpr", "hash", [], ["route", "content.builder.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 52], [6, 77]]], 0, 0], "class", "inspector"], ["loc", [null, [6, 6], [6, 96]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0], ["inline", "common/search-bar", [], ["target", "content-elements", "placeholder", ["subexpr", "t", ["content.elements-search"], [], ["loc", [null, [12, 18], [12, 47]]], 0, 0], "autoFocus", true], ["loc", [null, [10, 4], [14, 6]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 19,
                "column": 2
              },
              "end": {
                "line": 28,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-elements/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "elements/element-library", [], ["draggable", true, "elements", ["subexpr", "@mut", [["get", "sortedElementLibrary", ["loc", [null, [22, 15], [22, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "classicElements", ["subexpr", "@mut", [["get", "sortedClassicElementLibrary", ["loc", [null, [23, 22], [23, 49]]], 0, 0, 0, 0]], [], [], 0, 0], "isSearching", ["subexpr", "@mut", [["get", "isSearching", ["loc", [null, [24, 18], [24, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "onDragStart", ["subexpr", "route-action", ["elementLibraryDragStart"], [], ["loc", [null, [25, 18], [25, 58]]], 0, 0], "onDragEnd", ["subexpr", "route-action", ["elementLibraryDragEnd"], [], ["loc", [null, [26, 16], [26, 54]]], 0, 0]], ["loc", [null, [20, 4], [27, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 29,
                  "column": 4
                },
                "end": {
                  "line": 31,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/workspace-elements/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("p");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
              return morphs;
            },
            statements: [["inline", "t", ["content.no-elements-found-message"], [], ["loc", [null, [30, 9], [30, 50]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 28,
                "column": 2
              },
              "end": {
                "line": 32,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-elements/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/workspace-message", [], ["title", ["subexpr", "t", ["content.no-elements-found"], [], ["loc", [null, [29, 41], [29, 72]]], 0, 0]], 0, null, ["loc", [null, [29, 4], [31, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 18,
              "column": 0
            },
            "end": {
              "line": 33,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-elements/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "hasResults", ["loc", [null, [19, 8], [19, 18]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [19, 2], [32, 9]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 36,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/workspace-elements/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [16, 31]]]], ["block", "workspace/workspace-content", [], ["name", "content-elements", "linkedSearch", "content-elements"], 1, null, ["loc", [null, [18, 0], [33, 32]]]], ["content", "yield", ["loc", [null, [35, 0], [35, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/content/workspace-inspector/component', ['exports', 'ember', 'cornerstone/components/workspace/cs-workspace/component'], function (exports, _ember, _cornerstoneComponentsWorkspaceCsWorkspaceComponent) {
  exports['default'] = _cornerstoneComponentsWorkspaceCsWorkspaceComponent['default'].extend({
    classNames: ['inspector'],
    service: _ember['default'].inject.service('content/builder'),
    inspectorService: _ember['default'].inject.service('content/builder/inspector'),
    inspecting: _ember['default'].computed.alias('inspectorService.inspecting'),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('inspectingChild', false === this.get('inspecting.parent.definition.isPrivate'));
    },

    inspectingChildObserver: _ember['default'].observer('inspecting.parent.definition.isPrivate', function () {
      if (this.get('inspecting')) {
        this.set('inspectingChild', false === this.get('inspecting.parent.definition.isPrivate'));
      }
    }),

    inspectingChild: false,

    isInspectingColumn: _ember['default'].computed('inspecting.definition.id', function () {
      return 'column' === this.getWithDefault('inspecting.definition.id', '').replace('classic:', '');
    }),

    // paneTitle: Ember.computed('inspecting.title', function() {
    //   return this.getWithDefault('title', this.get('i18n').t('app.inspector.title'));
    // }),
    //

    actions: {
      applyPreset: function applyPreset(presetId) {
        this.get('inspectorService').applyPreset(presetId);
      },
      savePreset: function savePreset(name) {
        console.log(name);
      }
    }

  });
});
define("cornerstone/components/content/workspace-inspector/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "content.builder.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [4, 49], [4, 71]]], 0, 0], "class", "layout"], ["loc", [null, [4, 6], [4, 87]]], 0, 0], ["subexpr", "hash", [], ["route", "content.builder.elements", "label", ["subexpr", "t", ["app.elements.title"], [], ["loc", [null, [5, 51], [5, 75]]], 0, 0], "class", "elements"], ["loc", [null, [5, 6], [5, 93]]], 0, 0], ["subexpr", "hash", [], ["route", "content.builder.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 52], [6, 77]]], 0, 0], "class", "inspector"], ["loc", [null, [6, 6], [6, 96]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 19,
                  "column": 4
                },
                "end": {
                  "line": 27,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/bread-crumbs", [], ["activeItem", ["subexpr", "@mut", [["get", "inspectorService.inspecting", ["loc", [null, [21, 19], [21, 46]]], 0, 0, 0, 0]], [], [], 0, 0], "items", ["subexpr", "@mut", [["get", "inspectorService.breadcrumbs", ["loc", [null, [22, 14], [22, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "onNavigate", ["subexpr", "route-action", ["inspectElement"], [], ["loc", [null, [23, 19], [23, 50]]], 0, 0], "onMouseEnter", ["subexpr", "route-action", ["observeStart"], [], ["loc", [null, [24, 21], [24, 50]]], 0, 0], "onMouseLeave", ["subexpr", "route-action", ["observeEnd"], [], ["loc", [null, [25, 21], [25, 48]]], 0, 0]], ["loc", [null, [20, 6], [26, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 29,
                  "column": 4
                },
                "end": {
                  "line": 34,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/help-text", [], ["title", ["subexpr", "t", ["app.elements-undefined-inspector-title"], [], ["loc", [null, [31, 14], [31, 58]]], 0, 0], "message", ["subexpr", "t", ["app.elements-undefined-inspector-message", ["subexpr", "hash", [], ["type", ["get", "inspectorService.inspecting.atts._type", ["loc", [null, [32, 73], [32, 111]]], 0, 0, 0, 0]], ["loc", [null, [32, 62], [32, 112]]], 0, 0]], [], ["loc", [null, [32, 16], [32, 113]]], 0, 0]], ["loc", [null, [30, 6], [33, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 36,
                  "column": 4
                },
                "end": {
                  "line": 41,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/help-text", [], ["title", "Classic Element", "message", "This is a classic element. These are supported, but have less controls to configure."], ["loc", [null, [37, 6], [40, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 48,
                    "column": 6
                  },
                  "end": {
                    "line": 54,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["content.inspector-manage-layout"], [], ["loc", [null, [50, 16], [50, 53]]], 0, 0], "content", ["subexpr", "icon", ["bars"], [], ["loc", [null, [51, 18], [51, 31]]], 0, 0], "action", ["subexpr", "route-action", ["manageElementLayout", ["get", "inspecting", ["loc", [null, [52, 53], [52, 63]]], 0, 0, 0, 0]], [], ["loc", [null, [52, 17], [52, 64]]], 0, 0]], ["loc", [null, [49, 8], [53, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 54,
                    "column": 6
                  },
                  "end": {
                    "line": 60,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["content.inspector-duplicate"], [], ["loc", [null, [56, 16], [56, 49]]], 0, 0], "content", ["subexpr", "icon", ["copy"], [], ["loc", [null, [57, 18], [57, 31]]], 0, 0], "action", ["subexpr", "route-action", ["duplicateElement", ["get", "inspecting", ["loc", [null, [58, 50], [58, 60]]], 0, 0, 0, 0]], [], ["loc", [null, [58, 17], [58, 61]]], 0, 0]], ["loc", [null, [55, 8], [59, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child2 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 61,
                    "column": 6
                  },
                  "end": {
                    "line": 68,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["content.inspector-erase"], [], ["loc", [null, [63, 16], [63, 45]]], 0, 0], "quickConfirmLabel", ["subexpr", "t", ["content.inspector-really-erase"], [], ["loc", [null, [64, 28], [64, 64]]], 0, 0], "content", ["subexpr", "icon", ["eraser"], [], ["loc", [null, [65, 18], [65, 33]]], 0, 0], "action", ["subexpr", "route-action", ["eraseElement", ["get", "inspecting", ["loc", [null, [66, 46], [66, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [66, 17], [66, 57]]], 0, 0]], ["loc", [null, [62, 8], [67, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child3 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 68,
                    "column": 6
                  },
                  "end": {
                    "line": 75,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["content.inspector-delete"], [], ["loc", [null, [70, 16], [70, 46]]], 0, 0], "quickConfirmLabel", ["subexpr", "t", ["content.inspector-really-delete"], [], ["loc", [null, [71, 28], [71, 65]]], 0, 0], "content", ["subexpr", "icon", ["trash"], [], ["loc", [null, [72, 18], [72, 32]]], 0, 0], "action", ["subexpr", "route-action", ["deleteElement", ["get", "inspecting", ["loc", [null, [73, 47], [73, 57]]], 0, 0, 0, 0]], [], ["loc", [null, [73, 17], [73, 58]]], 0, 0]], ["loc", [null, [69, 8], [74, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 43,
                  "column": 4
                },
                "end": {
                  "line": 76,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "inspecting.definition.isContentLayout", ["loc", [null, [48, 12], [48, 49]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [48, 6], [60, 13]]]], ["block", "if", [["get", "isInspectingColumn", ["loc", [null, [61, 12], [61, 30]]], 0, 0, 0, 0]], [], 2, 3, ["loc", [null, [61, 6], [75, 13]]]]],
            locals: [],
            templates: [child0, child1, child2, child3]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 77,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(4);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 6, 6, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "inspectorService.breadcrumbs", ["loc", [null, [19, 10], [19, 38]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [19, 4], [27, 11]]]], ["block", "if", [["subexpr", "eq", ["undefined", ["get", "inspectorService.inspecting.definition.id", ["loc", [null, [29, 26], [29, 67]]], 0, 0, 0, 0]], [], ["loc", [null, [29, 10], [29, 68]]], 0, 0]], [], 1, null, ["loc", [null, [29, 4], [34, 11]]]], ["block", "if", [["get", "inspectorService.inspecting.definition.options.is_classic", ["loc", [null, [36, 10], [36, 67]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [36, 4], [41, 11]]]], ["block", "workspace/inspector-actions", [], ["presets", ["subexpr", "@mut", [["get", "inspectorService.presets", ["loc", [null, [44, 14], [44, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "onApply", ["subexpr", "action", ["applyPreset"], [], ["loc", [null, [45, 14], [45, 36]]], 0, 0], "onSave", ["subexpr", "action", ["savePreset"], [], ["loc", [null, [46, 13], [46, 34]]], 0, 0]], 3, null, ["loc", [null, [43, 4], [76, 36]]]]],
          locals: [],
          templates: [child0, child1, child2, child3]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 0
            },
            "end": {
              "line": 78,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-controls", [], ["name", "inspector", "searchTarget", "content-inspector", "searchPlaceholder", ["subexpr", "t", ["app.inspector.search"], [], ["loc", [null, [14, 22], [14, 48]]], 0, 0], "controls", ["subexpr", "@mut", [["get", "inspectorService.controlProxies", ["loc", [null, [15, 13], [15, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "groups", ["subexpr", "@mut", [["get", "inspectorService.controlGroups", ["loc", [null, [16, 11], [16, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "orientation", "vertical"], 0, null, ["loc", [null, [11, 2], [77, 35]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 80,
                  "column": 4
                },
                "end": {
                  "line": 84,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("span");
              dom.setAttribute(el1, "class", "cs-empty-inspector-icon");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("h3");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("p");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
              morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 0, 0);
              morphs[2] = dom.createMorphAt(dom.childAt(fragment, [5]), 0, 0);
              return morphs;
            },
            statements: [["inline", "icon", ["interface/logo-flat-inspector"], [], ["loc", [null, [81, 44], [81, 84]]], 0, 0], ["inline", "t", ["content.inspector-blank-pane-title"], [], ["loc", [null, [82, 10], [82, 52]]], 0, 0], ["inline", "t", ["content.inspector-blank-pane-message"], [], ["loc", [null, [83, 9], [83, 53]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 79,
                "column": 2
              },
              "end": {
                "line": 85,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/workspace-message", [], [], 0, null, ["loc", [null, [80, 4], [84, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 78,
              "column": 0
            },
            "end": {
              "line": 86,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "unless", [["get", "inspectorService.transitioning", ["loc", [null, [79, 12], [79, 42]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [79, 2], [85, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 89,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/workspace-inspector/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [9, 31]]]], ["block", "if", [["get", "inspecting", ["loc", [null, [10, 6], [10, 16]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [10, 0], [86, 7]]]], ["content", "yield", ["loc", [null, [88, 0], [88, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/content/workspace-layout/component', ['exports', 'ember', 'cornerstone/components/workspace/cs-workspace/component'], function (exports, _ember, _cornerstoneComponentsWorkspaceCsWorkspaceComponent) {
  exports['default'] = _cornerstoneComponentsWorkspaceCsWorkspaceComponent['default'].extend({
    classNames: ['layout'],
    service: _ember['default'].inject.service('content/builder'),
    preview: _ember['default'].inject.service(),
    orderSort: ['order'],
    sortedSections: _ember['default'].computed.sort('content.root.availableChildren', 'orderSort'),

    didReceiveAttrs: function didReceiveAttrs() {
      var managing = this.get('managing');
      if (managing) {
        var type = managing.get('atts._type').replace('classic:', '');
        if ('section' === type) {
          this.send('selectSection', managing);
        } else if ('row' === type) {
          this.send('selectRow', managing);
        } else if ('column' === type) {
          this.send('selectRow', managing.get('parent'));
        }
        this.set('managing', null);
      }
    },

    actions: {

      selectSection: function selectSection(section) {
        if (this.get('selectedSection.id') === section.get('id')) {
          this.set('selectedSection', null);
          return;
        }
        this.set('selectedSection', section);
        this.set('selectedRowId', this.getWithDefault('selectedSection.availableChildren.firstObject.id', null));
        if (section) {
          this.get('preview.xfr').message('preview:scroll-to-element', section.get('id'));
        }
      },

      selectRow: function selectRow(row) {

        if (row) {

          this.set('selectedRowId', row.get('id'));

          if (this.get('selectedSection.id') !== row.get('parent.id')) {
            this.set('selectedSection', row.get('parent'));
          }

          this.get('preview.xfr').message('preview:scroll-to-element', row.get('id'));
        } else {
          this.set('selectedRowId', null);
          this.set('selectedSection', null);
        }
      },

      addFirstSection: function addFirstSection() {
        this.get('content.root.addChild')({
          _type: 'section',
          _region: 'content'
        });
      },

      addFirstRow: function addFirstRow(section) {
        var _this = this;

        section.get('addChild')({
          _type: 'section' === section.get('definition.id') ? 'row' : 'classic:row',
          _region: 'content'
        });

        _ember['default'].run.next(function () {
          var child = section.get('availableChildren.firstObject');
          if (child) {
            _this.set('selectedRow', child);
          }
        });
      }

    }

  });
});
define('cornerstone/components/content/workspace-layout/panel-templates/component', ['exports', 'ember'], function (exports, _ember) {

  function optionMapper(items) {
    return items.map(function (item) {
      return { value: item.get('id'), label: item.get('title') };
    });
  }

  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-absolute-workspace', 'templates'],

    showSaveDialog: false,
    showUploadDialog: false,
    saveTitle: '',

    titleSort: ['title'],
    hasEntries: _ember['default'].computed.gt('templates.length', 0),
    sortedThemecoPages: _ember['default'].computed.sort('themecoPages', 'titleSort'),
    sortedThemecoBlocks: _ember['default'].computed.sort('themecoBlocks', 'titleSort'),
    sortedUserPages: _ember['default'].computed.sort('userPages', 'titleSort'),
    sortedUserBlocks: _ember['default'].computed.sort('userBlocks', 'titleSort'),
    sortedDeleteableItems: _ember['default'].computed.sort('deleteableItems', 'titleSort'),
    themecoPages: _ember['default'].computed.filterBy('templates', 'section', 'themeco-pages'),
    themecoBlocks: _ember['default'].computed.filterBy('templates', 'section', 'themeco-blocks'),
    userPages: _ember['default'].computed.filterBy('templates', 'section', 'user-pages'),
    userBlocks: _ember['default'].computed.filterBy('templates', 'section', 'user-blocks'),
    deleteableItems: _ember['default'].computed.filter('templates', function (item) {
      return ['user-pages', 'user-blocks'].includes(item.get('section'));
    }),

    themecoPageOptions: _ember['default'].computed('sortedThemecoPages', function () {
      return optionMapper(this.get('sortedThemecoPages'));
    }),

    themecoBlockOptions: _ember['default'].computed('sortedThemecoBlocks', function () {
      return optionMapper(this.get('sortedThemecoBlocks'));
    }),

    userPageOptions: _ember['default'].computed('sortedUserPages', function () {
      return optionMapper(this.get('sortedUserPages'));
    }),

    userBlockOptions: _ember['default'].computed('sortedUserBlocks', function () {
      return optionMapper(this.get('sortedUserBlocks'));
    }),

    deletableItemOptions: _ember['default'].computed.union('userPageOptions', 'userBlockOptions'),

    actions: {

      openSaveDialog: function openSaveDialog() {
        this.set('saveTitle', this.get('i18n').t('content.templates-title'));
        this.set('showSaveDialog', true);
      },

      openUploadDialog: function openUploadDialog() {
        this.set('showUploadDialog', true);
      },

      closeSaveDialog: function closeSaveDialog() {
        this.set('showSaveDialog', false);
      },

      closeUploadDialog: function closeUploadDialog() {
        this.set('showUploadDialog', false);
      },

      addThemecoPage: function addThemecoPage() {
        this.send('insertPage', this.getWithDefault('selectedThemecoPage', this.get('themecoPageOptions.firstObject.value')));
      },

      addThemecoBlock: function addThemecoBlock() {
        this.send('insertTemplate', this.getWithDefault('selectedThemecoBlock', this.get('themecoBlockOptions.firstObject.value')));
      },

      addUserPage: function addUserPage() {
        this.send('insertPage', this.getWithDefault('selectedUserPage', this.get('userPageOptions.firstObject.value')));
      },

      addUserBlock: function addUserBlock() {
        this.sendAction('onInsertTemplate', this.getWithDefault('selectedUserBlock', this.get('userBlockOptions.firstObject.value')), 'block');
      },

      insertPage: function insertPage(id) {
        var _this = this;

        this.get('ui').confirm({
          message: this.get('i18n').t('content.templates-overwrite-message'),
          accept: function accept() {
            return _this.sendAction('onInsertTemplate', id, 'page');
          },
          acceptClass: 'sad'
        });
      },

      uploadTemplate: function uploadTemplate() {
        var _this2 = this;

        this.get('ui').confirm({
          message: this.get('i18n').t('content.templates-upload-message'),
          accept: function accept() {
            return _this2.send('uploadTemplateFormat', 'page');
          },
          decline: function decline() {
            return _this2.send('uploadTemplateFormat', 'block');
          },
          acceptBtn: this.get('i18n').t('content.templates-upload-yep'),
          declineBtn: this.get('i18n').t('content.templates-upload-nope'),
          noSkip: true,
          acceptClass: 'sad'
        });
      },

      uploadTemplateFormat: function uploadTemplateFormat(format) {
        var _this3 = this;

        this.get('ui').notify('i18n.content.templates-upload-start');

        var file = this.$('#template-upload')[0].files[0];

        if (!file || !file.name.match(/.+\.csl/)) {
          return this.get('ui').notify('i18n.content.templates-error-upload', 'error');
        }

        var reader = new FileReader();

        reader.onload = function () {
          _this3.sendAction('onUploadTemplate', JSON.parse(reader.result), format);
          var $input = _this3.$('#template-upload');
          $input.replaceWith($input.clone());
          _this3.set('showUploadDialog', false);
        };

        _ember['default'].run.next(function () {
          try {
            reader.readAsText(file);
          } catch (e) {
            _this3.get('ui').notify('i18n.content.templates-error-read', 'error');
          }
        });
      },

      downloadTemplate: function downloadTemplate() {
        this.sendAction('onDownloadTemplate', this.get('saveTitle'));
        this.set('showSaveDialog', false);
      },

      saveTemplateToLibrary: function saveTemplateToLibrary() {
        var _this4 = this;

        this.get('ui').confirm({
          message: this.get('i18n').t('content.templates-save-message'),
          accept: function accept() {
            _this4.sendAction('onSaveToLibrary', _this4.get('saveTitle'), 'page');
            _this4.set('showSaveDialog', false);
          },
          decline: function decline() {
            _this4.sendAction('onSaveToLibrary', _this4.get('saveTitle'), 'block');
            _this4.set('showSaveDialog', false);
          },
          acceptBtn: this.get('i18n').t('content.templates-save-yep'),
          declineBtn: this.get('i18n').t('content.templates-save-nope'),
          noSkip: true,
          acceptClass: 'sad'
        });
      },

      deleteUserTemplate: function deleteUserTemplate() {
        var _this5 = this;

        this.get('ui').confirm({
          message: this.get('i18n').t('content.templates-remove-message'),
          accept: function accept() {
            _this5.sendAction('onDeleteUserTemplate', _this5.getWithDefault('selectedDeleteableItem', _this5.get('deletableItemOptions.firstObject.value')));
          },
          acceptClass: 'sad'
        });
      }
    }

  });
});
define("cornerstone/components/content/workspace-layout/panel-templates/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 3,
                "column": 88
              }
            },
            "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("◀");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 6,
                "column": 12
              },
              "end": {
                "line": 6,
                "column": 72
              }
            },
            "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "t", ["app.layout.title"], [], ["loc", [null, [6, 12], [6, 72]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-section-nav");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2, "class", "cs-workspace-section-nav-info");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("ul");
          dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-breadcrumbs");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("li");
          var el5 = dom.createComment("");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("h3");
          dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-title");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element10 = dom.childAt(fragment, [1]);
          var element11 = dom.childAt(element10, [3]);
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(element10, 1, 1);
          morphs[1] = dom.createMorphAt(dom.childAt(element11, [1, 1]), 0, 0);
          morphs[2] = dom.createMorphAt(dom.childAt(element11, [3]), 0, 0);
          return morphs;
        },
        statements: [["block", "link-to", ["content.builder.layout"], ["class", "cs-workspace-section-nav-back"], 0, null, ["loc", [null, [3, 4], [3, 100]]]], ["block", "link-to", ["content.builder.layout"], [], 1, null, ["loc", [null, [6, 12], [6, 72]]]], ["inline", "t", ["content.layout-templates"], [], ["loc", [null, [8, 54], [8, 86]]], 0, 0]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 42,
                      "column": 12
                    },
                    "end": {
                      "line": 48,
                      "column": 12
                    }
                  },
                  "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("button");
                  var el2 = dom.createTextNode("Insert");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element4 = dom.childAt(fragment, [3]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  morphs[1] = dom.createAttrMorph(element4, 'class');
                  morphs[2] = dom.createElementMorph(element4);
                  return morphs;
                },
                statements: [["inline", "forms/styled-select", [], ["options", ["subexpr", "@mut", [["get", "themecoPageOptions", ["loc", [null, [44, 24], [44, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedThemecoPage", ["loc", [null, [45, 22], [45, 41]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [43, 14], [46, 16]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-select-action-btn cs-control-classic-template-selection-insert ", ["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [47, 108], [47, 124]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [47, 103], [47, 138]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["addThemecoPage"], ["allowedKeys", "shift"], ["loc", [null, [47, 140], [47, 187]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 41,
                    "column": 10
                  },
                  "end": {
                    "line": 49,
                    "column": 10
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "Themeco<br>Pages"], 0, null, ["loc", [null, [42, 12], [48, 41]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 51,
                      "column": 12
                    },
                    "end": {
                      "line": 57,
                      "column": 12
                    }
                  },
                  "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("button");
                  var el2 = dom.createTextNode("Insert");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element3 = dom.childAt(fragment, [3]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  morphs[1] = dom.createAttrMorph(element3, 'class');
                  morphs[2] = dom.createElementMorph(element3);
                  return morphs;
                },
                statements: [["inline", "forms/styled-select", [], ["options", ["subexpr", "@mut", [["get", "themecoBlockOptions", ["loc", [null, [53, 24], [53, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedThemecoBlock", ["loc", [null, [54, 22], [54, 42]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [52, 14], [55, 16]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-select-action-btn cs-control-classic-template-selection-insert ", ["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [56, 108], [56, 124]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [56, 103], [56, 138]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["addThemecoBlock"], ["allowedKeys", "shift"], ["loc", [null, [56, 140], [56, 188]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 50,
                    "column": 10
                  },
                  "end": {
                    "line": 58,
                    "column": 10
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "Themeco<br>Blocks"], 0, null, ["loc", [null, [51, 12], [57, 41]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child2 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 60,
                      "column": 12
                    },
                    "end": {
                      "line": 66,
                      "column": 12
                    }
                  },
                  "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("button");
                  var el2 = dom.createTextNode("Insert");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element2 = dom.childAt(fragment, [3]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  morphs[1] = dom.createAttrMorph(element2, 'class');
                  morphs[2] = dom.createElementMorph(element2);
                  return morphs;
                },
                statements: [["inline", "forms/styled-select", [], ["options", ["subexpr", "@mut", [["get", "userPageOptions", ["loc", [null, [62, 24], [62, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedUserPage", ["loc", [null, [63, 22], [63, 38]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [61, 14], [64, 16]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-select-action-btn cs-control-classic-template-selection-insert ", ["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [65, 108], [65, 124]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [65, 103], [65, 138]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["addUserPage"], ["allowedKeys", "shift"], ["loc", [null, [65, 140], [65, 184]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 59,
                    "column": 10
                  },
                  "end": {
                    "line": 67,
                    "column": 10
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "My<br>Pages"], 0, null, ["loc", [null, [60, 12], [66, 41]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child3 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 69,
                      "column": 12
                    },
                    "end": {
                      "line": 75,
                      "column": 12
                    }
                  },
                  "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("button");
                  var el2 = dom.createTextNode("Insert");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element1 = dom.childAt(fragment, [3]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  morphs[1] = dom.createAttrMorph(element1, 'class');
                  morphs[2] = dom.createElementMorph(element1);
                  return morphs;
                },
                statements: [["inline", "forms/styled-select", [], ["options", ["subexpr", "@mut", [["get", "userBlockOptions", ["loc", [null, [71, 24], [71, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedUserBlock", ["loc", [null, [72, 22], [72, 39]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [70, 14], [73, 16]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-select-action-btn cs-control-classic-template-selection-insert ", ["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [74, 108], [74, 124]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [74, 103], [74, 138]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["addUserBlock"], ["allowedKeys", "shift"], ["loc", [null, [74, 140], [74, 185]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 68,
                    "column": 10
                  },
                  "end": {
                    "line": 76,
                    "column": 10
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "My<br>Blocks"], 0, null, ["loc", [null, [69, 12], [75, 41]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child4 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 78,
                      "column": 12
                    },
                    "end": {
                      "line": 84,
                      "column": 12
                    }
                  },
                  "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n              ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("button");
                  var el2 = dom.createTextNode("Delete");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element0 = dom.childAt(fragment, [3]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  morphs[1] = dom.createAttrMorph(element0, 'class');
                  morphs[2] = dom.createElementMorph(element0);
                  return morphs;
                },
                statements: [["inline", "forms/styled-select", [], ["options", ["subexpr", "@mut", [["get", "deletableItemOptions", ["loc", [null, [80, 24], [80, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedDeleteableItem", ["loc", [null, [81, 22], [81, 44]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [79, 14], [82, 16]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-select-action-btn cs-control-classic-template-selection-delete ", ["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [83, 108], [83, 124]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [83, 103], [83, 138]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["deleteUserTemplate"], ["allowedKeys", "shift"], ["loc", [null, [83, 140], [83, 191]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 77,
                    "column": 10
                  },
                  "end": {
                    "line": 85,
                    "column": 10
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "Remove<br>Templates"], 0, null, ["loc", [null, [78, 12], [84, 41]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 40,
                  "column": 8
                },
                "end": {
                  "line": 86,
                  "column": 8
                }
              },
              "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(5);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              morphs[3] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              morphs[4] = dom.createMorphAt(fragment, 4, 4, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "themecoPageOptions", ["loc", [null, [41, 16], [41, 34]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [41, 10], [49, 17]]]], ["block", "if", [["get", "themecoBlockOptions", ["loc", [null, [50, 16], [50, 35]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [50, 10], [58, 17]]]], ["block", "if", [["get", "userPageOptions", ["loc", [null, [59, 16], [59, 31]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [59, 10], [67, 17]]]], ["block", "if", [["get", "userBlockOptions", ["loc", [null, [68, 16], [68, 32]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [68, 10], [76, 17]]]], ["block", "if", [["get", "deletableItemOptions", ["loc", [null, [77, 16], [77, 36]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [77, 10], [85, 17]]]]],
            locals: [],
            templates: [child0, child1, child2, child3, child4]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 37,
                "column": 2
              },
              "end": {
                "line": 89,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-control cs-control-select-action cs-control-classic-template-selection");
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2, "class", "cs-control-input");
            var el3 = dom.createTextNode("\n");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("      ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 1, 1);
            return morphs;
          },
          statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [40, 8], [86, 32]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 12,
              "column": 0
            },
            "end": {
              "line": 93,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          dom.setAttribute(el2, "class", "close");
          var el3 = dom.createTextNode("×");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("input");
          dom.setAttribute(el2, "id", "template-upload");
          dom.setAttribute(el2, "type", "file");
          dom.setAttribute(el2, "name", "blockUpload");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          dom.setAttribute(el2, "class", "process");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          dom.setAttribute(el2, "class", "close");
          var el3 = dom.createTextNode("×");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element5 = dom.childAt(fragment, [3]);
          var element6 = dom.childAt(element5, [5]);
          var element7 = dom.childAt(fragment, [5]);
          var element8 = dom.childAt(element7, [3]);
          var element9 = dom.childAt(element7, [5]);
          var morphs = new Array(10);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createAttrMorph(element5, 'class');
          morphs[2] = dom.createMorphAt(element5, 1, 1);
          morphs[3] = dom.createMorphAt(element5, 3, 3);
          morphs[4] = dom.createElementMorph(element6);
          morphs[5] = dom.createAttrMorph(element7, 'class');
          morphs[6] = dom.createElementMorph(element8);
          morphs[7] = dom.createMorphAt(element8, 0, 0);
          morphs[8] = dom.createElementMorph(element9);
          morphs[9] = dom.createMorphAt(fragment, 7, 7, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-actions", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["label", "Save", "content", ["subexpr", "icon", ["save"], [], ["loc", [null, [15, 33], [15, 46]]], 0, 0], "action", ["subexpr", "action", ["openSaveDialog"], [], ["loc", [null, [15, 54], [15, 79]]], 0, 0]], ["loc", [null, [15, 6], [15, 81]]], 0, 0], ["subexpr", "hash", [], ["label", "Upload", "content", ["subexpr", "icon", ["upload"], [], ["loc", [null, [16, 35], [16, 50]]], 0, 0], "action", ["subexpr", "action", ["openUploadDialog"], [], ["loc", [null, [16, 58], [16, 85]]], 0, 0]], ["loc", [null, [16, 6], [16, 87]]], 0, 0]], [], ["loc", [null, [14, 10], [17, 5]]], 0, 0]], ["loc", [null, [13, 2], [18, 4]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-template-save-dialog ", ["subexpr", "unless", [["get", "showSaveDialog", ["loc", [null, [20, 55], [20, 69]]], 0, 0, 0, 0], "cs-inactive", ""], [], ["loc", [null, [20, 46], [20, 88]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["inline", "content/cs-title", [], ["title", ["subexpr", "@mut", [["get", "saveTitle", ["loc", [null, [21, 29], [21, 38]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [21, 4], [21, 40]]], 0, 0], ["inline", "workspace/workspace-actions", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["label", ["subexpr", "t", ["content.templates-download"], [], ["loc", [null, [24, 20], [24, 52]]], 0, 0], "content", ["subexpr", "icon", ["download"], [], ["loc", [null, [24, 61], [24, 78]]], 0, 0], "action", ["subexpr", "action", ["downloadTemplate"], [], ["loc", [null, [24, 86], [24, 113]]], 0, 0]], ["loc", [null, [24, 8], [24, 115]]], 0, 0], ["subexpr", "hash", [], ["label", ["subexpr", "t", ["content.templates-save-library"], [], ["loc", [null, [25, 20], [25, 56]]], 0, 0], "content", ["subexpr", "icon", ["book"], [], ["loc", [null, [25, 65], [25, 78]]], 0, 0], "action", ["subexpr", "action", ["saveTemplateToLibrary"], [], ["loc", [null, [25, 86], [25, 118]]], 0, 0]], ["loc", [null, [25, 8], [25, 120]]], 0, 0]], [], ["loc", [null, [23, 12], [26, 7]]], 0, 0]], ["loc", [null, [22, 4], [27, 6]]], 0, 0], ["element", "action", ["closeSaveDialog"], [], ["loc", [null, [28, 12], [28, 40]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-template-upload-dialog ", ["subexpr", "unless", [["get", "showUploadDialog", ["loc", [null, [31, 57], [31, 73]]], 0, 0, 0, 0], "cs-inactive", ""], [], ["loc", [null, [31, 48], [31, 92]]], 0, 0], " "], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["uploadTemplate"], [], ["loc", [null, [33, 12], [33, 40]]], 0, 0], ["inline", "t", ["content.templates-upload-button"], [], ["loc", [null, [33, 57], [33, 96]]], 0, 0], ["element", "action", ["closeUploadDialog"], [], ["loc", [null, [34, 12], [34, 42]]], 0, 0], ["block", "if", [["get", "hasEntries", ["loc", [null, [37, 8], [37, 18]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [37, 2], [89, 9]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 95,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/workspace-layout/panel-templates/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [11, 31]]]], ["block", "workspace/workspace-content", [], ["name", "content-layout-templates"], 1, null, ["loc", [null, [12, 0], [93, 32]]]], ["content", "yield", ["loc", [null, [94, 0], [94, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/components/content/workspace-layout/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 15,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "content.builder.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [4, 49], [4, 71]]], 0, 0], "class", "layout"], ["loc", [null, [4, 6], [4, 87]]], 0, 0], ["subexpr", "hash", [], ["route", "content.builder.elements", "label", ["subexpr", "t", ["app.elements.title"], [], ["loc", [null, [5, 51], [5, 75]]], 0, 0], "class", "elements"], ["loc", [null, [5, 6], [5, 93]]], 0, 0], ["subexpr", "hash", [], ["route", "content.builder.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 52], [6, 77]]], 0, 0], "class", "inspector"], ["loc", [null, [6, 6], [6, 96]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0], ["inline", "workspace/workspace-actions", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["label", ["subexpr", "t", ["content.layout-add-section"], [], ["loc", [null, [11, 18], [11, 50]]], 0, 0], "content", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [11, 59], [11, 79]]], 0, 0], "action", ["subexpr", "action", ["addFirstSection"], [], ["loc", [null, [11, 87], [11, 114]]], 0, 0]], ["loc", [null, [11, 6], [11, 116]]], 0, 0], ["subexpr", "hash", [], ["label", ["subexpr", "t", ["content.layout-templates"], [], ["loc", [null, [12, 18], [12, 48]]], 0, 0], "content", ["subexpr", "icon", ["file"], [], ["loc", [null, [12, 57], [12, 70]]], 0, 0], "action", ["subexpr", "route-action", ["navigate", "content.builder.layout.templates"], [], ["loc", [null, [12, 78], [12, 138]]], 0, 0]], ["loc", [null, [12, 6], [12, 140]]], 0, 0]], [], ["loc", [null, [10, 10], [13, 5]]], 0, 0]], ["loc", [null, [9, 2], [14, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 2
              },
              "end": {
                "line": 23,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "common/help-text", [], ["title", ["subexpr", "t", ["content.layout-info-title"], [], ["loc", [null, [20, 12], [20, 43]]], 0, 0], "message", ["subexpr", "t", ["content.layout-info-description"], [], ["loc", [null, [21, 14], [21, 51]]], 0, 0]], ["loc", [null, [19, 4], [22, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 29,
                      "column": 10
                    },
                    "end": {
                      "line": 56,
                      "column": 10
                    }
                  },
                  "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "content/manage-section", [], ["active", ["subexpr", "eq", [["get", "section.id", ["loc", [null, [48, 23], [48, 33]]], 0, 0, 0, 0], ["get", "selectedSection.id", ["loc", [null, [48, 34], [48, 52]]], 0, 0, 0, 0]], [], ["loc", [null, [48, 19], [48, 53]]], 0, 0], "section", ["subexpr", "@mut", [["get", "section", ["loc", [null, [49, 20], [49, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedRowId", ["subexpr", "if", [["subexpr", "eq", [["get", "section.id", ["loc", [null, [50, 34], [50, 44]]], 0, 0, 0, 0], ["get", "selectedSection.id", ["loc", [null, [50, 45], [50, 63]]], 0, 0, 0, 0]], [], ["loc", [null, [50, 30], [50, 64]]], 0, 0], ["get", "selectedRowId", ["loc", [null, [50, 65], [50, 78]]], 0, 0, 0, 0], false], [], ["loc", [null, [50, 26], [50, 85]]], 0, 0], "onSelectRow", ["subexpr", "action", ["selectRow"], [], ["loc", [null, [51, 24], [51, 44]]], 0, 0], "onAddFirstRow", ["subexpr", "action", ["addFirstRow", ["get", "section", ["loc", [null, [52, 48], [52, 55]]], 0, 0, 0, 0]], [], ["loc", [null, [52, 26], [52, 56]]], 0, 0]], ["loc", [null, [47, 10], [53, 12]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 28,
                    "column": 8
                  },
                  "end": {
                    "line": 57,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "section.indexedTitle", ["loc", [null, [30, 18], [30, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "labelOrdered", ["subexpr", "concat", [["get", "section.order", ["loc", [null, [31, 33], [31, 46]]], 0, 0, 0, 0], ["get", "section.indexedTitle", ["loc", [null, [31, 47], [31, 67]]], 0, 0, 0, 0]], [], ["loc", [null, [31, 25], [31, 68]]], 0, 0], "item", ["subexpr", "@mut", [["get", "section", ["loc", [null, [32, 17], [32, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "active", ["subexpr", "eq", [["get", "section.id", ["loc", [null, [33, 23], [33, 33]]], 0, 0, 0, 0], ["get", "selectedSection.id", ["loc", [null, [33, 34], [33, 52]]], 0, 0, 0, 0]], [], ["loc", [null, [33, 19], [33, 53]]], 0, 0], "showAddAfter", ["subexpr", "eq", [["get", "section.id", ["loc", [null, [34, 29], [34, 39]]], 0, 0, 0, 0], ["get", "sortedSections.lastObject.id", ["loc", [null, [34, 40], [34, 68]]], 0, 0, 0, 0]], [], ["loc", [null, [34, 25], [34, 69]]], 0, 0], "addLabel", ["subexpr", "if", [["get", "ui.modKey", ["loc", [null, [35, 25], [35, 34]]], 0, 0, 0, 0], "Add Classic Section", "Add Section"], [], ["loc", [null, [35, 21], [35, 71]]], 0, 0], "onSelect", ["subexpr", "action", ["selectSection", ["get", "section", ["loc", [null, [36, 45], [36, 52]]], 0, 0, 0, 0]], [], ["loc", [null, [36, 21], [36, 53]]], 0, 0], "onInspect", ["subexpr", "route-action", ["inspectElement", ["get", "section", ["loc", [null, [37, 53], [37, 60]]], 0, 0, 0, 0]], [], ["loc", [null, [37, 22], [37, 62]]], 0, 0], "onDrop", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [38, 19], [38, 48]]], 0, 0], "onAddBefore", ["subexpr", "route-action", ["addSiblingElement", ["get", "section", ["loc", [null, [39, 58], [39, 65]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", ["subexpr", "if", [["get", "ui.modKey", ["loc", [null, [39, 82], [39, 91]]], 0, 0, 0, 0], "classic:section", "section"], [], ["loc", [null, [39, 78], [39, 120]]], 0, 0]], ["loc", [null, [39, 66], [39, 122]]], 0, 0], false], [], ["loc", [null, [39, 24], [39, 129]]], 0, 0], "onAddAfter", ["subexpr", "route-action", ["addSiblingElement", ["get", "section", ["loc", [null, [40, 57], [40, 64]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", ["subexpr", "if", [["get", "ui.modKey", ["loc", [null, [40, 81], [40, 90]]], 0, 0, 0, 0], "classic:section", "section"], [], ["loc", [null, [40, 77], [40, 119]]], 0, 0]], ["loc", [null, [40, 65], [40, 121]]], 0, 0], true], [], ["loc", [null, [40, 23], [40, 127]]], 0, 0], "onDuplicate", ["subexpr", "route-action", ["duplicateElement", ["get", "section", ["loc", [null, [41, 57], [41, 64]]], 0, 0, 0, 0]], [], ["loc", [null, [41, 24], [41, 65]]], 0, 0], "onDelete", ["subexpr", "route-action", ["deleteElement", ["get", "section", ["loc", [null, [42, 51], [42, 58]]], 0, 0, 0, 0]], [], ["loc", [null, [42, 21], [42, 59]]], 0, 0], "onMouseEnter", ["subexpr", "route-action", ["observeStart", ["get", "section", ["loc", [null, [43, 54], [43, 61]]], 0, 0, 0, 0]], [], ["loc", [null, [43, 25], [43, 62]]], 0, 0], "onMouseLeave", ["subexpr", "route-action", ["observeEnd", ["get", "section", ["loc", [null, [44, 52], [44, 59]]], 0, 0, 0, 0]], [], ["loc", [null, [44, 25], [44, 60]]], 0, 0], "hasDrawer", true], 0, null, ["loc", [null, [29, 10], [56, 35]]]]],
              locals: ["section"],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 27,
                  "column": 6
                },
                "end": {
                  "line": 58,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "each", [["get", "sortedSections", ["loc", [null, [28, 16], [28, 30]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [28, 8], [57, 17]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 25,
                "column": 2
              },
              "end": {
                "line": 60,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-workspace-content-section cs-workspace-content-section-shrink-top cs-workspace-content-section-shrink-bottom");
            var el2 = dom.createTextNode("\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
            return morphs;
          },
          statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [27, 6], [58, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 60,
                "column": 2
              },
              "end": {
                "line": 66,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "action", ["addFirstSection"], [], ["loc", [null, [62, 13], [62, 39]]], 0, 0], "icon", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [63, 11], [63, 31]]], 0, 0], "message", "Add a section to get started."], ["loc", [null, [61, 4], [65, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 16,
              "column": 0
            },
            "end": {
              "line": 68,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          return morphs;
        },
        statements: [["block", "if", [["get", "ui.showHelpText", ["loc", [null, [18, 8], [18, 23]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [18, 2], [23, 9]]]], ["block", "if", [["get", "sortedSections", ["loc", [null, [25, 8], [25, 22]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [25, 2], [66, 9]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 70,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/content/workspace-layout/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [15, 31]]]], ["block", "workspace/workspace-content", [], ["name", "content-inspector"], 1, null, ["loc", [null, [16, 0], [68, 32]]]], ["content", "yield", ["loc", [null, [69, 0], [69, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/controls/control-aspect-ratio/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {
    classNameBindings: ['monospace:cs-monospace-input']
  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-aspect-ratio/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 8,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-aspect-ratio/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/aspect-ratio-input", [], ["width", ["subexpr", "@mut", [["get", "control.keyWidth", ["loc", [null, [4, 10], [4, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "height", ["subexpr", "@mut", [["get", "control.keyHeight", ["loc", [null, [5, 11], [5, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [6, 16], [6, 27]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [7, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-aspect-ratio/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [8, 22]]]], ["content", "yield", ["loc", [null, [9, 0], [9, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-base/component', ['exports', 'ember', 'cornerstone/util/merge-options'], function (exports, _ember, _cornerstoneUtilMergeOptions) {

  var ControlBase = _ember['default'].Component.extend({

    level: 1,
    firstLevel: _ember['default'].computed.equal('level', 1),
    deeplyNested: _ember['default'].computed.gt('level', 2),

    headerTemplate: _ember['default'].computed('level', function () {
      return this.get('firstLevel') ? 'partials/controls/control-header' : 'partials/controls/input-list-item-header';
    }),

    classNameBindings: ['baseClasses', 'isHidden:cs-hide', 'class'],
    attributeBindings: ['groupName:data-cs-control-group-name', 'control.id:data-cs-control-id'],
    groupName: _ember['default'].computed.alias('control.group'),

    containerClass: _ember['default'].computed(function () {

      var classes = [];

      if (!this.get('firstLevel')) {

        classes.push('cs-control-input-list-input');
        // classes.push( `cs-control-input-list-input-${this.get('level')}`);

        var height = undefined;
        var defaultHeight = this.get('defaultHeight');
        var mappedHeight = this.get('control.options.height');

        if (_ember['default'].isPresent(defaultHeight)) {
          height = defaultHeight;
        }

        if (_ember['default'].isPresent(mappedHeight)) {
          height = mappedHeight;
        }

        if (_ember['default'].isPresent(height)) {
          classes.push('cs-control-input-list-input-height-' + height);
        }
      } else {
        classes.push('cs-control-input');
      }

      return classes.join(' ');
    }),

    // Todo: Stop using these aliases since we're moving into control aggregates which have variable keys

    options: _ember['default'].computed.alias('control.options'),
    value: _ember['default'].computed.alias('control.keyValue'),

    service: _ember['default'].inject.service('controls'),

    baseClasses: _ember['default'].computed('control.type', 'control.originalType', function () {

      var levelClass = this.get('firstLevel') ? 'cs-control' : 'cs-control-input-list-item';
      var type = this.get('control.type');
      var output = levelClass + ' ' + levelClass + '-' + type;

      var originalType = this.get('control.originalType');
      if (_ember['default'].isPresent(originalType)) {
        originalType = originalType.replace('/', '-');
        output += ' ' + levelClass + '-' + type + '-' + originalType;
      }

      return output;
    }),

    isHidden: _ember['default'].computed('hidden', 'control.excluded', function () {
      return this.get('hidden') || this.get('control.excluded');
    }),

    showHeader: _ember['default'].computed('control.label', function () {
      return _ember['default'].isPresent(this.get('control.label'));
    }),

    label: _ember['default'].computed('control.label', function () {
      var label = this.get('control.label');
      return _ember['default'].isPresent(label) ? label : '&nbsp;';
    })

  });

  ControlBase.isKeyMapped = function (key) {
    return _ember['default'].computed(function () {
      return _ember['default'].isPresent(this.get('control.keys.' + key));
    });
  };

  ControlBase.subOptions = function (key, defaults, transform) {
    var optionPath = 'control.options.' + key;
    return _ember['default'].computed(optionPath, function () {
      var options = (0, _cornerstoneUtilMergeOptions['default'])(_ember['default'].isNone(defaults) ? {} : _ember['default'].copy(defaults, true), this.getWithDefault(optionPath, {}));
      if ('function' === typeof transform) {
        options = transform.call(this, options);
      }
      return options;
    });
  };

  exports['default'] = ControlBase;
});
define("cornerstone/components/controls/control-base/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-base/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment(" Undefined Control ");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-base/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-border/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder, _cornerstoneUtilSplitOnWhitespace) {

  var sides = ['top', 'right', 'bottom', 'left'];

  function linkedKey(prop, fallback) {
    return _ember['default'].computed(prop, 'activeSide', {
      get: function get() {
        return valueForSide(this.getWithDefault(prop, ''), this.get('activeSide'), fallback);
      },
      set: function set(key, value) {

        value = value.replace(/\ /g, '');

        if (this.get('linked')) {
          this.set(prop, value);
        } else {
          var update = {};
          update[this.get('activeSide')] = value;
          this.set(prop, unlinkedValue(this.getWithDefault(prop, ''), fallback, update));
        }

        return value;
      }
    });
  }

  function valueForSide(combined, side, fallback) {
    var index = sides.indexOf(side);

    var parts = (0, _cornerstoneUtilSplitOnWhitespace['default'])(combined);
    return _ember['default'].isNone(parts[index]) ? fallback : parts[index];
  }

  function unlinkedValue(combined, fallback, update) {

    var parts = (0, _cornerstoneUtilSplitOnWhitespace['default'])(combined);
    var updated = [];

    if (1 === parts.length) {
      parts[1] = parts[0];
      parts[2] = parts[0];
      parts[3] = parts[0];
    }

    sides.forEach(function (item, index) {

      if (_ember['default'].isNone(parts[index])) {
        parts[index] = fallback;
      }

      updated.push(parts[index]);
    });

    if (update) {
      for (var side in update) {
        var index = sides.indexOf(side);
        if (-1 !== index) {
          updated[index] = update[side];
        }
      }
    }

    return updated.join(' ');
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    showColor: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('color'),
    showAltColor: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('alt_color'),

    init: function init() {
      this._super.apply(this, arguments);
      if (this.get('options.always_linked')) {
        this.set('alwaysLinked', true);
        this.set('linked', true);
      } else {
        this.set('linked', (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('control.keyStyle', '')).length <= 1);
      }
    },

    linkedObserver: _ember['default'].observer('linked', function () {

      var activeStyle = this.get('activeStyle');
      this.set('activeStyle', activeStyle);
      this.set('activeWidth', this.get('activeWidth'));

      if (this.get('showColor')) {
        this.set('activeColor', this.get('activeColor'));
      }

      if (this.get('showAltColor')) {
        this.set('activeAltColor', this.get('activeAltColor'));
      }
    }),

    activeSide: _ember['default'].computed({
      get: function get() {
        return 'top';
      },
      set: function set(key, value) {
        return value;
      }
    }),

    activeStyle: linkedKey('control.keyStyle', 'none'),
    activeWidth: linkedKey('control.keyWidth', '0px'),
    activeColor: linkedKey('control.keyColor', 'transparent'),
    activeAltColor: linkedKey('control.keyAltColor', 'transparent'),

    widthOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('width', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: 0, max: 25, step: 1 },
        em: { min: 0, max: 2.5, step: 0.001 },
        rem: { min: 0, max: 2.5, step: 0.001 }
      }
    }),

    colorOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('color'),
    altColorOptions: _ember['default'].computed('colorOptions', function () {
      var options = _ember['default'].copy(this.get('colorOptions'));
      if (options.alt_label) {
        options.label = options.alt_label;
      }
      return options;
    })

  });
});
define("cornerstone/components/controls/control-border/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 6,
                    "column": 6
                  },
                  "end": {
                    "line": 9,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-border/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [7, 37], [7, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", false, "icon", "unlink", "tooltip", "Unlinked"], ["loc", [null, [7, 8], [7, 90]]], 0, 0], ["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [8, 37], [8, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", true, "icon", "link", "tooltip", "Linked"], ["loc", [null, [8, 8], [8, 85]]], 0, 0]],
              locals: ["choose"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 10,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-border/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "forms/choose-single", [], ["value", ["subexpr", "@mut", [["get", "linked", ["loc", [null, [6, 35], [6, 41]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [6, 6], [9, 30]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 13,
                    "column": 6
                  },
                  "end": {
                    "line": 18,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-border/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(4);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
                morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/choose-choice", [], ["class", "cs-choice-top", "choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [14, 59], [14, 65]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "top", "tooltip", "Top"], ["loc", [null, [14, 8], [14, 93]]], 0, 0], ["inline", "forms/choose-choice", [], ["class", "cs-choice-right", "choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [15, 61], [15, 67]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "right", "tooltip", "Right"], ["loc", [null, [15, 8], [15, 99]]], 0, 0], ["inline", "forms/choose-choice", [], ["class", "cs-choice-bottom", "choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [16, 62], [16, 68]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "bottom", "tooltip", "Bottom"], ["loc", [null, [16, 8], [16, 102]]], 0, 0], ["inline", "forms/choose-choice", [], ["class", "cs-choice-left", "choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [17, 60], [17, 66]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "left", "tooltip", "Left"], ["loc", [null, [17, 8], [17, 96]]], 0, 0]],
              locals: ["choose"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 12,
                  "column": 4
                },
                "end": {
                  "line": 19,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-border/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "forms/choose-single", [], ["value", ["subexpr", "@mut", [["get", "activeSide", ["loc", [null, [13, 35], [13, 45]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [13, 6], [18, 30]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 21,
                  "column": 4
                },
                "end": {
                  "line": 36,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-border/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "activeStyle", ["loc", [null, [23, 14], [23, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "array", [["subexpr", "hash", [], ["value", "none", "label", "None"], ["loc", [null, [25, 10], [25, 42]]], 0, 0], ["subexpr", "hash", [], ["value", "solid", "label", "Solid"], ["loc", [null, [26, 10], [26, 44]]], 0, 0], ["subexpr", "hash", [], ["value", "dotted", "label", "Dotted"], ["loc", [null, [27, 10], [27, 46]]], 0, 0], ["subexpr", "hash", [], ["value", "dashed", "label", "Dashed"], ["loc", [null, [28, 10], [28, 46]]], 0, 0], ["subexpr", "hash", [], ["value", "double", "label", "Double"], ["loc", [null, [29, 10], [29, 46]]], 0, 0], ["subexpr", "hash", [], ["value", "groove", "label", "Groove"], ["loc", [null, [30, 10], [30, 46]]], 0, 0], ["subexpr", "hash", [], ["value", "ridge", "label", "Ridge"], ["loc", [null, [31, 10], [31, 44]]], 0, 0], ["subexpr", "hash", [], ["value", "inset", "label", "Inset"], ["loc", [null, [32, 10], [32, 44]]], 0, 0], ["subexpr", "hash", [], ["value", "outset", "label", "Outset"], ["loc", [null, [33, 10], [33, 46]]], 0, 0]], [], ["loc", [null, [24, 16], [34, 9]]], 0, 0]], ["loc", [null, [22, 6], [35, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 39,
                    "column": 6
                  },
                  "end": {
                    "line": 41,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-border/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "activeWidth", ["loc", [null, [40, 34], [40, 45]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "widthOptions", ["loc", [null, [40, 54], [40, 66]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [40, 8], [40, 68]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 46,
                        "column": 10
                      },
                      "end": {
                        "line": 48,
                        "column": 10
                      }
                    },
                    "moduleName": "cornerstone/components/controls/control-border/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("            ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "activeAltColor", ["loc", [null, [47, 39], [47, 53]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "altColorOptions", ["loc", [null, [47, 62], [47, 77]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [47, 12], [47, 79]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 44,
                      "column": 8
                    },
                    "end": {
                      "line": 49,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-border/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                  dom.insertBoundary(fragment, null);
                  return morphs;
                },
                statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "activeColor", ["loc", [null, [45, 37], [45, 48]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "colorOptions", ["loc", [null, [45, 57], [45, 69]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [45, 10], [45, 71]]], 0, 0], ["block", "if", [["get", "showAltColor", ["loc", [null, [46, 16], [46, 28]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [46, 10], [48, 17]]]]],
                locals: [],
                templates: [child0]
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 43,
                    "column": 6
                  },
                  "end": {
                    "line": 50,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-border/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "Color"], 0, null, ["loc", [null, [44, 8], [49, 37]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 38,
                  "column": 4
                },
                "end": {
                  "line": 51,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-border/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "controls/input-list-item", [], ["label", "Width"], 0, null, ["loc", [null, [39, 6], [41, 35]]]], ["block", "if", [["get", "showColor", ["loc", [null, [43, 12], [43, 21]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [43, 6], [50, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 53,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-border/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(4);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Link Sides", "isVisible", ["subexpr", "not", [["get", "alwaysLinked", ["loc", [null, [5, 66], [5, 78]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 61], [5, 79]]], 0, 0]], 0, null, ["loc", [null, [5, 4], [10, 33]]]], ["block", "controls/input-list-item", [], ["label", "Side", "isVisible", ["subexpr", "not", [["get", "linked", ["loc", [null, [12, 60], [12, 66]]], 0, 0, 0, 0]], [], ["loc", [null, [12, 55], [12, 67]]], 0, 0]], 1, null, ["loc", [null, [12, 4], [19, 33]]]], ["block", "controls/input-list-item", [], ["label", "Style"], 2, null, ["loc", [null, [21, 4], [36, 33]]]], ["block", "unless", [["subexpr", "eq", [["get", "activeStyle", ["loc", [null, [38, 18], [38, 29]]], 0, 0, 0, 0], "none"], [], ["loc", [null, [38, 14], [38, 37]]], 0, 0]], [], 3, null, ["loc", [null, [38, 4], [51, 15]]]]],
          locals: [],
          templates: [child0, child1, child2, child3]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 55,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-border/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [53, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 57,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-border/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [55, 22]]]], ["content", "yield", ["loc", [null, [56, 0], [56, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-box-shadow/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder, _cornerstoneUtilSplitOnWhitespace) {

  function composedValue(name) {
    return _ember['default'].computed('value', {
      get: function get() {
        return this.destruct()[name];
      },
      set: function set(key, value) {
        var update = {};
        update[name] = value;
        this.set('value', this.reconstitute(update));
        return value;
      }
    });
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    reconstitute: function reconstitute(updates) {

      var data = this.destruct();

      for (var key in updates) {
        data[key] = updates[key];
      }

      return '' + (data.inset ? 'inset ' : '') + data.xOffset + ' ' + data.yOffset + ' ' + data.blur + ' ' + data.spread;
    },

    destruct: function destruct() {

      var parts = (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('value', ''));
      var inset = 'inset' === parts[0];

      if (inset) {
        parts.shift();
      }

      var data = {
        xOffset: _ember['default'].isPresent(parts[0]) ? parts[0] : '0px',
        yOffset: _ember['default'].isPresent(parts[1]) ? parts[1] : '0px',
        blur: _ember['default'].isPresent(parts[2]) ? parts[2] : '0px',
        spread: _ember['default'].isPresent(parts[3]) ? parts[3] : '0px',
        inset: inset
      };

      // debugger;
      return data;
    },

    inset: composedValue('inset'),
    xOffset: composedValue('xOffset'),
    yOffset: composedValue('yOffset'),
    blur: composedValue('blur'),
    spread: composedValue('spread'),

    showColor: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('color'),
    showAltColor: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('alt_color'),

    xOffsetOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('x_offset', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: -50, max: 50, step: 1 },
        em: { min: -1, max: 1, step: 0.001 },
        rem: { min: -1, max: 1, step: 0.001 }
      }
    }),

    yOffsetOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('y_offset', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: -50, max: 50, step: 1 },
        em: { min: -1, max: 1, step: 0.001 },
        rem: { min: -1, max: 1, step: 0.001 }
      }
    }),

    blurOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('blur', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: 0, max: 100, step: 1 },
        em: { min: 0, max: 5, step: 0.001 },
        rem: { min: 0, max: 5, step: 0.001 }
      }
    }),

    spreadOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('blur', {
      available_units: ['px', 'em', 'rem']
    }),

    colorOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('color'),
    altColorOptions: _ember['default'].computed('colorOptions', function () {
      var options = _ember['default'].copy(this.get('colorOptions'));
      if (options.alt_label) {
        options.label = options.alt_label;
      }
      return options;
    })
  });
});
define("cornerstone/components/controls/control-box-shadow/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "xOffset", ["loc", [null, [6, 32], [6, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "xOffsetOptions", ["loc", [null, [6, 48], [6, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 6], [6, 64]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 9,
                  "column": 4
                },
                "end": {
                  "line": 11,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "yOffset", ["loc", [null, [10, 32], [10, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "yOffsetOptions", ["loc", [null, [10, 48], [10, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 6], [10, 64]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 13,
                  "column": 4
                },
                "end": {
                  "line": 15,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "blur", ["loc", [null, [14, 32], [14, 36]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "blurOptions", ["loc", [null, [14, 45], [14, 56]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [14, 6], [14, 59]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 23,
                    "column": 10
                  },
                  "end": {
                    "line": 26,
                    "column": 10
                  }
                },
                "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("            ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n            ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [24, 41], [24, 47]]], 0, 0, 0, 0]], [], [], 0, 0], "value", false, "icon", "sign-out"], ["loc", [null, [24, 12], [24, 77]]], 0, 0], ["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [25, 41], [25, 47]]], 0, 0, 0, 0]], [], [], 0, 0], "value", true, "icon", "sign-in"], ["loc", [null, [25, 12], [25, 75]]], 0, 0]],
              locals: ["choose"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 17,
                  "column": 4
                },
                "end": {
                  "line": 29,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("ul");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              dom.setAttribute(el2, "style", "-webkit-flex: 0 0 48%; flex: 0 0 48%;");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              dom.setAttribute(el2, "style", "-webkit-flex: 0 0 48%; flex: 0 0 48%;");
              var el3 = dom.createTextNode("\n");
              dom.appendChild(el2, el3);
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(dom.childAt(element0, [1]), 1, 1);
              morphs[1] = dom.createMorphAt(dom.childAt(element0, [3]), 1, 1);
              return morphs;
            },
            statements: [["inline", "forms/unit-input", [], ["value", ["subexpr", "@mut", [["get", "spread", ["loc", [null, [20, 35], [20, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "spreadOptions", ["loc", [null, [20, 50], [20, 63]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [20, 10], [20, 65]]], 0, 0], ["block", "forms/choose-single", [], ["value", ["subexpr", "@mut", [["get", "inset", ["loc", [null, [23, 39], [23, 44]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [23, 10], [26, 34]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child4 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 34,
                      "column": 8
                    },
                    "end": {
                      "line": 36,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "control.keyAltColor", ["loc", [null, [35, 37], [35, 56]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "altColorOptions", ["loc", [null, [35, 65], [35, 80]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [35, 10], [35, 82]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 32,
                    "column": 6
                  },
                  "end": {
                    "line": 37,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "control.keyColor", ["loc", [null, [33, 35], [33, 51]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "colorOptions", ["loc", [null, [33, 60], [33, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [33, 8], [33, 74]]], 0, 0], ["block", "if", [["get", "showAltColor", ["loc", [null, [34, 14], [34, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [34, 8], [36, 15]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 31,
                  "column": 4
                },
                "end": {
                  "line": 38,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "controls/input-list-item", [], ["label", "Color"], 0, null, ["loc", [null, [32, 6], [37, 35]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 40,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(5);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
            morphs[4] = dom.createMorphAt(fragment, 9, 9, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "X-Offset"], 0, null, ["loc", [null, [5, 4], [7, 33]]]], ["block", "controls/input-list-item", [], ["label", "Y-Offset"], 1, null, ["loc", [null, [9, 4], [11, 33]]]], ["block", "controls/input-list-item", [], ["label", "Blur"], 2, null, ["loc", [null, [13, 4], [15, 33]]]], ["block", "controls/input-list-item", [], ["label", "Spread &amp;<br>Position"], 3, null, ["loc", [null, [17, 4], [29, 33]]]], ["block", "if", [["get", "showColor", ["loc", [null, [31, 10], [31, 19]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [31, 4], [38, 11]]]]],
          locals: [],
          templates: [child0, child1, child2, child3, child4]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 41,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [40, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 43,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-box-shadow/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [41, 22]]]], ["content", "yield", ["loc", [null, [42, 0], [42, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-breakpoints/component', ['exports', 'ember', 'npm:nouislider', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _npmNouislider, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({

    didInsertElement: function didInsertElement() {

      _ember['default'].run.scheduleOnce('afterRender', (function () {

        _npmNouislider['default'].create(this.$('.cs-bp-slider-xs .cs-unit-slider-target')[0], {
          start: 300,
          step: 1,
          connect: 'lower',
          range: {
            'min': 0,
            'max': 1500
          }
        });

        _npmNouislider['default'].create(this.$('.cs-bp-slider-sm .cs-unit-slider-target')[0], {
          start: [301, 600],
          step: 1,
          connect: true,
          range: {
            'min': 0,
            'max': 1500
          }
        });

        _npmNouislider['default'].create(this.$('.cs-bp-slider-md .cs-unit-slider-target')[0], {
          start: [601, 900],
          step: 1,
          connect: true,
          range: {
            'min': 0,
            'max': 1500
          }
        });

        _npmNouislider['default'].create(this.$('.cs-bp-slider-lg .cs-unit-slider-target')[0], {
          start: [901, 1200],
          step: 1,
          connect: true,
          range: {
            'min': 0,
            'max': 1500
          }
        });

        _npmNouislider['default'].create(this.$('.cs-bp-slider-xl .cs-unit-slider-target')[0], {
          start: 1201,
          step: 1,
          connect: 'upper',
          range: {
            'min': 0,
            'max': 1500
          }
        });
      }).bind(this));
    }

  });
});
define("cornerstone/components/controls/control-breakpoints/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 12,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-unit-slider cs-bp-slider-xs");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("div");
              dom.setAttribute(el2, "class", "cs-unit-slider-target-container");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-unit-slider-target");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("span");
              var el3 = dom.createElement("strong");
              var el4 = dom.createTextNode("XS");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 14,
                  "column": 4
                },
                "end": {
                  "line": 21,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-unit-slider cs-bp-slider-sm");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("div");
              dom.setAttribute(el2, "class", "cs-unit-slider-target-container");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-unit-slider-target");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("span");
              var el3 = dom.createElement("strong");
              var el4 = dom.createTextNode("SM");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 23,
                  "column": 4
                },
                "end": {
                  "line": 30,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-unit-slider cs-bp-slider-md");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("div");
              dom.setAttribute(el2, "class", "cs-unit-slider-target-container");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-unit-slider-target");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("span");
              var el3 = dom.createElement("strong");
              var el4 = dom.createTextNode("MD");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 32,
                  "column": 4
                },
                "end": {
                  "line": 39,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-unit-slider cs-bp-slider-lg");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("div");
              dom.setAttribute(el2, "class", "cs-unit-slider-target-container");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-unit-slider-target");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("span");
              var el3 = dom.createElement("strong");
              var el4 = dom.createTextNode("LG");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child4 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 41,
                  "column": 4
                },
                "end": {
                  "line": 48,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-unit-slider cs-bp-slider-xl");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("div");
              dom.setAttribute(el2, "class", "cs-unit-slider-target-container");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("div");
              dom.setAttribute(el3, "class", "cs-unit-slider-target");
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("span");
              var el3 = dom.createElement("strong");
              var el4 = dom.createTextNode("XL");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 50,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(5);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
            morphs[4] = dom.createMorphAt(fragment, 9, 9, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "<strong>300px</strong> &amp;<br>Below"], 0, null, ["loc", [null, [5, 4], [12, 33]]]], ["block", "controls/input-list-item", [], ["label", "<strong>301px</strong> to<br><strong>600px</strong>"], 1, null, ["loc", [null, [14, 4], [21, 33]]]], ["block", "controls/input-list-item", [], ["label", "<strong>601px</strong> to<br><strong>900px</strong>"], 2, null, ["loc", [null, [23, 4], [30, 33]]]], ["block", "controls/input-list-item", [], ["label", "<strong>901px</strong> to<br><strong>1200px</strong>"], 3, null, ["loc", [null, [32, 4], [39, 33]]]], ["block", "controls/input-list-item", [], ["label", "<strong>1201px</strong> &amp;<br>Above"], 4, null, ["loc", [null, [41, 4], [48, 33]]]]],
          locals: [],
          templates: [child0, child1, child2, child3, child4]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 52,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [50, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 54,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-breakpoints/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [52, 22]]]], ["content", "yield", ["loc", [null, [53, 0], [53, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-checkbox-list/component', ['exports', 'ember', 'cornerstone/components/controls/input-list-item/component'], function (exports, _ember, _cornerstoneComponentsControlsInputListItemComponent) {
  exports['default'] = _cornerstoneComponentsControlsInputListItemComponent['default'].extend({
    checkboxes: _ember['default'].computed('control.options.list', function () {

      var cbs = this.get('control.options.list');
      if (!_ember['default'].isArray(cbs)) {
        return _ember['default'].A();
      }

      return _ember['default'].copy(cbs, true).map(function (cb) {
        cb.keyPath = _ember['default'].String.camelize('key-' + cb.key);
        return cb;
      });
    })
  });
});
define("cornerstone/components/controls/control-checkbox-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-checkbox-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/checkbox-list", [], ["checkboxes", ["subexpr", "@mut", [["get", "checkboxes", ["loc", [null, [3, 35], [3, 45]]], 0, 0, 0, 0]], [], [], 0, 0], "proxy", ["subexpr", "@mut", [["get", "control", ["loc", [null, [3, 52], [3, 59]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 61]]], 0, 0], ["content", "yield", ["loc", [null, [4, 2], [4, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-checkbox-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [5, 22]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-choose-multi/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-choose-multi/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-choose-multi/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/choose-multi", [], ["visibilityObservation", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [4, 26], [4, 34]]], 0, 0, 0, 0]], [], [], 0, 0], "choices", ["subexpr", "@mut", [["get", "control.options.choices", ["loc", [null, [5, 12], [5, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "offValue", ["subexpr", "@mut", [["get", "options.off_value", ["loc", [null, [6, 13], [6, 30]]], 0, 0, 0, 0]], [], [], 0, 0], "delimiter", ["subexpr", "@mut", [["get", "options.delimiter", ["loc", [null, [7, 14], [7, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "arrayOutput", ["subexpr", "@mut", [["get", "options.arrayOutput", ["loc", [null, [8, 16], [8, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [9, 10], [9, 15]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [10, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 13,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-choose-multi/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [11, 22]]]], ["content", "yield", ["loc", [null, [12, 0], [12, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-choose-single/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-choose-single/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-choose-single/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/choose-single", [], ["visibilityObservation", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [3, 46], [3, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "choices", ["subexpr", "@mut", [["get", "control.options.choices", ["loc", [null, [3, 63], [3, 86]]], 0, 0, 0, 0]], [], [], 0, 0], "offValue", ["subexpr", "@mut", [["get", "options.off_value", ["loc", [null, [3, 96], [3, 113]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 120], [3, 125]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 127]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-choose-single/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-classic-dimensions/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  // import splitValue from '../../../util/split-on-whitespace';

  var dims = ['top', 'right', 'bottom', 'left', 'linked'];
  var defaultValue = ['0px', '0px', '0px', '0px', 'linked'];

  function valueProperty(dim) {

    return _ember['default'].computed('value', {
      get: function get() {
        return this.getWithDefault('value', defaultValue)[dims.indexOf(dim)];
      },
      set: function set(key, value) {

        var current = this.get('value');

        if (this.get('linked')) {
          current[0] = value;
          current[1] = value;
          current[2] = value;
          current[3] = value;
        } else {
          current[dims.indexOf(dim)] = value;
        }

        this.set('value', current.slice(0));
        this.set('recentlyChanged', dim);
        return value;
      }
    });
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    labels: _ember['default'].computed('control.options.labels', function () {

      var labels = {};
      var defaults = {
        top: 'Top',
        right: 'Right',
        bottom: 'Bottom',
        left: 'Left'
      };

      var mappedLabels = this.getWithDefault('control.options.labels', {});
      Object.keys(defaults).forEach(function (label) {
        labels[label] = _ember['default'].isPresent(mappedLabels[label]) ? mappedLabels[label] : defaults[label];
      });

      return labels;
    }),

    top: valueProperty('top'),
    right: valueProperty('right'),
    bottom: valueProperty('bottom'),
    left: valueProperty('left'),

    linked: _ember['default'].computed('value', {
      get: function get() {
        return this.getWithDefault('value', defaultValue)[4] === 'linked';
      },
      set: function set(key, value) {

        var current = this.get('value');

        current[4] = value ? 'linked' : 'unlinked';

        if (value) {
          var recent = this.get('recentlyChanged');

          if (!recent) {
            recent = 'top';
          }

          var linkedVal = current[dims.indexOf(recent)];

          current[0] = linkedVal;
          current[1] = linkedVal;
          current[2] = linkedVal;
          current[3] = linkedVal;
        }

        this.set('value', current.slice(0));

        return value;
      }
    }),

    actions: {
      toggleLinked: function toggleLinked() {
        this.set('linked', !this.get('linked'));
      }
    }
  });
});
define("cornerstone/components/controls/control-classic-dimensions/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-classic-dimensions/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("ul");
          dom.setAttribute(el1, "class", "cs-dimensions");
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("li");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("span");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("li");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("span");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("li");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("span");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("li");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("span");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("li");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("button");
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("i");
          dom.setAttribute(el4, "class", "cs-fa-data-attr link");
          dom.setAttribute(el4, "data-cs-icon", "");
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("i");
          dom.setAttribute(el4, "class", "cs-fa-data-attr unlink");
          dom.setAttribute(el4, "data-cs-icon", "");
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n    ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [0]);
          var element1 = dom.childAt(element0, [1]);
          var element2 = dom.childAt(element0, [3]);
          var element3 = dom.childAt(element0, [5]);
          var element4 = dom.childAt(element0, [7]);
          var element5 = dom.childAt(element0, [9, 1]);
          var element6 = dom.childAt(element5, [1]);
          var element7 = dom.childAt(element5, [3]);
          var morphs = new Array(12);
          morphs[0] = dom.createMorphAt(element1, 0, 0);
          morphs[1] = dom.createMorphAt(dom.childAt(element1, [1]), 0, 0);
          morphs[2] = dom.createMorphAt(element2, 0, 0);
          morphs[3] = dom.createMorphAt(dom.childAt(element2, [1]), 0, 0);
          morphs[4] = dom.createMorphAt(element3, 0, 0);
          morphs[5] = dom.createMorphAt(dom.childAt(element3, [1]), 0, 0);
          morphs[6] = dom.createMorphAt(element4, 0, 0);
          morphs[7] = dom.createMorphAt(dom.childAt(element4, [1]), 0, 0);
          morphs[8] = dom.createAttrMorph(element5, 'class');
          morphs[9] = dom.createElementMorph(element5);
          morphs[10] = dom.createAttrMorph(element6, 'title');
          morphs[11] = dom.createAttrMorph(element7, 'title');
          return morphs;
        },
        statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "top", ["loc", [null, [4, 20], [4, 23]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [4, 6], [4, 25]]], 0, 0], ["content", "labels.top", ["loc", [null, [4, 31], [4, 45]]], 0, 0, 0, 0], ["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "right", ["loc", [null, [5, 20], [5, 25]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [5, 6], [5, 27]]], 0, 0], ["content", "labels.right", ["loc", [null, [5, 33], [5, 49]]], 0, 0, 0, 0], ["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "bottom", ["loc", [null, [6, 20], [6, 26]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 6], [6, 28]]], 0, 0], ["content", "labels.bottom", ["loc", [null, [6, 34], [6, 51]]], 0, 0, 0, 0], ["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "left", ["loc", [null, [7, 20], [7, 24]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [7, 6], [7, 26]]], 0, 0], ["content", "labels.left", ["loc", [null, [7, 32], [7, 47]]], 0, 0, 0, 0], ["attribute", "class", ["concat", ["cs-link-dimensions ", ["subexpr", "if", [["get", "linked", ["loc", [null, [9, 43], [9, 49]]], 0, 0, 0, 0], "active"], [], ["loc", [null, [9, 38], [9, 60]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["toggleLinked"], [], ["loc", [null, [9, 62], [9, 87]]], 0, 0], ["attribute", "title", ["concat", [["subexpr", "t", ["content.dimensions-unlink"], [], ["loc", [null, [10, 69], [10, 102]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "title", ["concat", [["subexpr", "t", ["content.dimensions-link"], [], ["loc", [null, [11, 71], [11, 102]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-classic-dimensions/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [16, 22]]]], ["content", "yield", ["loc", [null, [17, 0], [17, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-classic-title/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {
    classNameBindings: ['monospace:cs-monospace-input']
  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-classic-title/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-classic-title/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "content/cs-title", [], ["title", ["subexpr", "@mut", [["get", "control.keyValue", ["loc", [null, [3, 27], [3, 43]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 45]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-classic-title/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-color/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({

    showAlt: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('alt'),

    colorValue: _ember['default'].computed.alias('value'),
    altColorValue: _ember['default'].computed.alias('control.keyAlt'),

    baseOptions: _ember['default'].computed.alias('control.options'),
    altOptions: _ember['default'].computed('baseOptions', function () {
      var options = _ember['default'].merge({}, this.get('baseOptions'));
      if (options.alt_label) {
        options.label = options.alt_label;
      }
      return options;
    }),

    usePalette: _ember['default'].computed('baseOptions.palette', function () {
      return false !== this.get('baseOptions.palette');
    }),

    usePaletteAlt: _ember['default'].computed('baseOptions.palette', function () {
      return false !== this.get('altOptions.palette');
    })

  });
});
define("cornerstone/components/controls/control-color/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 5,
                "column": 2
              },
              "end": {
                "line": 7,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-color/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "control.keyAlt", ["loc", [null, [6, 31], [6, 45]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "altOptions", ["loc", [null, [6, 54], [6, 64]]], 0, 0, 0, 0]], [], [], 0, 0], "usePalette", ["subexpr", "@mut", [["get", "usePaletteAlt", ["loc", [null, [6, 76], [6, 89]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 4], [6, 91]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 8,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-color/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [4, 29], [4, 34]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "baseOptions", ["loc", [null, [4, 43], [4, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "usePalette", ["subexpr", "@mut", [["get", "usePalette", ["loc", [null, [4, 66], [4, 76]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [4, 2], [4, 78]]], 0, 0], ["block", "if", [["get", "showAlt", ["loc", [null, [5, 8], [5, 15]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 2], [7, 9]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-color/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [8, 22]]]], ["content", "yield", ["loc", [null, [9, 0], [9, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-dimensions/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder, _cornerstoneUtilSplitOnWhitespace) {

  var dims = ['top', 'right', 'bottom', 'left'];

  function dimensionOptions(dim) {
    return _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions(dim, {
      available_units: ['px', 'em', 'rem', '%'],
      ranges: {
        px: { min: 0, max: 100, step: 1 },
        em: { min: 0, max: 2.5, step: 0.001 },
        rem: { min: 0, max: 2.5, step: 0.001 },
        '%': { min: 0, max: 100, step: 0.1 }
      }
    }, function (options) {
      if (options.disabled && options.hasOwnProperty('fallback_value')) {
        options.unlinkedState = options.fallback_value;
      }
      return options;
    });
  }

  function dimensionProperty(dim) {

    return _ember['default'].computed('expandedValue', {
      get: function get() {
        return this.getWithDefault(dim + 'Options.unlinkedState', (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('expandedValue', ''))[dims.indexOf(dim)]);
      },
      set: function set(key, value) {

        var parts = (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('expandedValue', ''));

        if (this.get('linked')) {
          dims.forEach((function (side, index) {
            var unlinked = this.get(side + 'Options.unlinkedState');
            parts[index] = _ember['default'].isNone(unlinked) ? value : unlinked;
          }).bind(this));
        } else {
          parts[dims.indexOf(dim)] = value;
        }

        this.set('expandedValue', parts.join(' '));
        this.set('recentlyChanged', dim);
        return value;
      }
    });
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    init: function init() {

      this._super.apply(this, arguments);

      // Linked detection
      var value = (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('value', ''));
      var linked = false;

      if (1 === value.length) {
        linked = true;
      } else {
        linked = 1 === dims.filter((function (dim) {
          return _ember['default'].isNone(this.get(dim + 'Options.unlinkedState'));
        }).bind(this)).map(function (dim) {
          return value[dims.indexOf(dim)];
        }).uniq().length;
      }

      if (linked) {
        this.set('linked', true);
      }
    },

    expandedValue: _ember['default'].computed('value', {
      get: function get() {
        var value = this.getWithDefault('value', '');

        if (1 === (0, _cornerstoneUtilSplitOnWhitespace['default'])(value).length) {
          return [value, value, value, value].join(' ');
        }

        return value;
      },
      set: function set(key, value) {
        var a = _ember['default'].A((0, _cornerstoneUtilSplitOnWhitespace['default'])(value));
        this.set('value', 1 === a.uniq().length ? a.get('firstObject') : value);
        return value;
      }
    }),

    labels: _ember['default'].computed('control.options.labels', function () {

      var labels = {};
      var defaults = {
        top: 'Top',
        right: 'Right',
        bottom: 'Bottom',
        left: 'Left'
      };

      var mappedLabels = this.getWithDefault('control.options.labels', {});
      Object.keys(defaults).forEach(function (label) {
        labels[label] = _ember['default'].isPresent(mappedLabels[label]) ? mappedLabels[label] : defaults[label];
      });

      return labels;
    }),

    linked: false,

    top: dimensionProperty('top'),
    right: dimensionProperty('right'),
    bottom: dimensionProperty('bottom'),
    left: dimensionProperty('left'),

    topOptions: dimensionOptions('top'),
    rightOptions: dimensionOptions('right'),
    bottomOptions: dimensionOptions('bottom'),
    leftOptions: dimensionOptions('left'),

    observeRecentDimension: _ember['default'].observer('linked', function () {

      if (!this.get('linked')) {
        return;
      }

      var recent = this.get('recentlyChanged');

      if (!recent) {
        recent = 'top';
      }

      this.set(recent, this.get(recent));
    })
  });
});
define("cornerstone/components/controls/control-dimensions/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 5,
                    "column": 6
                  },
                  "end": {
                    "line": 18,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [7, 17], [7, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "value", false, "icon", "unlink", "tooltip", "Unlinked"], ["loc", [null, [6, 8], [11, 10]]], 0, 0], ["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [13, 17], [13, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "value", true, "icon", "link", "tooltip", "Linked"], ["loc", [null, [12, 8], [17, 10]]], 0, 0]],
              locals: ["choose"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 4
                },
                "end": {
                  "line": 19,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "forms/choose-single", [], ["choices", ["subexpr", "@mut", [["get", "linkedChoices", ["loc", [null, [5, 37], [5, 50]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "linked", ["loc", [null, [5, 57], [5, 63]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [5, 6], [18, 30]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 21,
                  "column": 4
                },
                "end": {
                  "line": 23,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "top", ["loc", [null, [22, 32], [22, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "topOptions", ["loc", [null, [22, 44], [22, 54]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [22, 6], [22, 56]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 25,
                  "column": 4
                },
                "end": {
                  "line": 27,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "right", ["loc", [null, [26, 32], [26, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "rightOptions", ["loc", [null, [26, 46], [26, 58]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [26, 6], [26, 60]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 29,
                  "column": 4
                },
                "end": {
                  "line": 31,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "bottom", ["loc", [null, [30, 32], [30, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "bottomOptions", ["loc", [null, [30, 47], [30, 60]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [30, 6], [30, 62]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child4 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 33,
                  "column": 4
                },
                "end": {
                  "line": 35,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "left", ["loc", [null, [34, 32], [34, 36]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "leftOptions", ["loc", [null, [34, 45], [34, 56]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [34, 6], [34, 58]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 37,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(5);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 6, 6, contextualElement);
            morphs[4] = dom.createMorphAt(fragment, 8, 8, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Link Sides"], 0, null, ["loc", [null, [4, 4], [19, 33]]]], ["block", "controls/input-list-item", [], ["label", ["subexpr", "@mut", [["get", "labels.top", ["loc", [null, [21, 38], [21, 48]]], 0, 0, 0, 0]], [], [], 0, 0]], 1, null, ["loc", [null, [21, 4], [23, 33]]]], ["block", "controls/input-list-item", [], ["label", ["subexpr", "@mut", [["get", "labels.right", ["loc", [null, [25, 38], [25, 50]]], 0, 0, 0, 0]], [], [], 0, 0]], 2, null, ["loc", [null, [25, 4], [27, 33]]]], ["block", "controls/input-list-item", [], ["label", ["subexpr", "@mut", [["get", "labels.bottom", ["loc", [null, [29, 38], [29, 51]]], 0, 0, 0, 0]], [], [], 0, 0]], 3, null, ["loc", [null, [29, 4], [31, 33]]]], ["block", "controls/input-list-item", [], ["label", ["subexpr", "@mut", [["get", "labels.left", ["loc", [null, [33, 38], [33, 49]]], 0, 0, 0, 0]], [], [], 0, 0]], 4, null, ["loc", [null, [33, 4], [35, 33]]]]],
          locals: [],
          templates: [child0, child1, child2, child3, child4]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 39,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [37, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 41,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-dimensions/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [39, 22]]]], ["content", "yield", ["loc", [null, [40, 0], [40, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-flex-layout-attr/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder, _cornerstoneUtilSplitOnWhitespace) {

  var linkedProperyKeys = ['flexDirection', 'reverseLayout', 'wrapChildren', 'horizontal', 'vertical'];

  function linkedProperty(key, parser) {

    if ('horizontal' === key) {
      parser = function (value) {
        return linkedAxis(value, 1);
      };
    }

    if ('vertical' === key) {
      parser = function (value) {
        return linkedAxis(value, 0);
      };
    }

    function linkedAxis(value, index) {
      var side = (value[1] || '').split('-')[index];
      return _ember['default'].isPresent(side) ? side.replace('top', 'start').replace('left', 'start').replace('right', 'end').replace('bottom', 'end') : 'start';
    }

    return _ember['default'].computed.apply(_ember['default'], ['value', {
      get: function get() {
        // if ( linkedProperty )
        return parser((0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('value', '')));
      },
      set: function set(key, value) {

        var otherKeys = linkedProperyKeys.filter(function (otherKey) {
          return key !== otherKey;
        });

        var args = this.getProperties(otherKeys);
        args[key] = value;

        var isRow = 'row' === args.flexDirection;
        var layout = isRow ? 'row' : 'col';

        if (args.wrapChildren) {
          layout += 's';
        }

        var map = {
          vertical: {
            start: 'top',
            end: 'bottom'
          },
          horizontal: {
            start: 'left',
            end: 'right'
          }
        };

        var vertical = map.vertical[args.vertical] ? map.vertical[args.vertical] : args.vertical;
        var horizontal = map.horizontal[args.horizontal] ? map.horizontal[args.horizontal] : args.horizontal;

        var reverse = args.reverseLayout ? ' rev' : '';

        // console.log(`${layout} ${vertical}-${horizontal}${reverse}`);

        this.set('value', layout + ' ' + vertical + '-' + horizontal + reverse);
        return value;
      }
    }]);
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    flexDirection: linkedProperty('flexDirection', function (value) {
      return ['col', 'cols'].includes(value[0]) ? 'col' : 'row';
    }),

    reverseLayout: linkedProperty('reverseLayout', function (value) {
      return 'rev' === value[2];
    }),

    wrapChildren: linkedProperty('wrapChildren', function (value) {
      return ['rows', 'cols'].includes(value[0]);
    }),

    horizontal: linkedProperty('horizontal'),

    vertical: linkedProperty('vertical'),

    baseOptions: [{ value: 'start', label: 'Start' }, { value: 'center', label: 'Center' }, { value: 'end', label: 'End' }],

    mainAxisOptions: [{ value: 'justify', label: 'Space Between' }, { value: 'spread', label: 'Space Around' }],

    crossAxisOptions: [{ value: 'stretch', label: 'Stretch' }],

    horizontalOptions: _ember['default'].computed('flexDirection', function () {
      return _ember['default'].A('row' === this.get('flexDirection') ? this.get('baseOptions').concat(this.get('mainAxisOptions')) : this.get('baseOptions').concat(this.get('crossAxisOptions')));
    }),

    verticalOptions: _ember['default'].computed('flexDirection', function () {
      return _ember['default'].A('row' === this.get('flexDirection') ? this.get('baseOptions').concat(this.get('crossAxisOptions')) : this.get('baseOptions').concat(this.get('mainAxisOptions')));
    }),

    horizontalOptionObserver: _ember['default'].observer('horizontalOptions', function () {

      var current = this.get('horizontal');

      if (!_ember['default'].isNone(this.get('horizontalOptions').find(function (opt) {
        return opt.value === current;
      }))) {
        return;
      }

      var fallback = 'start';

      if ('row' === this.get('flexDirection')) {
        if ('stretch' === current) {
          fallback = 'spread';
        }
      } else {
        if ('spread' === current) {
          fallback = 'stretch';
        }
      }

      this.set('horizontal', fallback);
    }),

    verticalOptionObserver: _ember['default'].observer('verticalOptions', function () {

      var current = this.get('vertical');

      if (!_ember['default'].isNone(this.get('verticalOptions').find(function (opt) {
        return opt.value === current;
      }))) {
        return;
      }

      var fallback = 'start';

      if ('row' === this.get('flexDirection')) {
        if ('spread' === current) {
          fallback = 'stretch';
        }
      } else {
        if ('stretch' === current) {
          fallback = 'spread';
        }
      }

      this.set('vertical', fallback);
    })

  });
});
define("cornerstone/components/controls/control-flex-layout-attr/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 6,
                    "column": 6
                  },
                  "end": {
                    "line": 9,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [7, 37], [7, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "row", "label", "Row"], ["loc", [null, [7, 8], [7, 69]]], 0, 0], ["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [8, 37], [8, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "col", "label", "Column"], ["loc", [null, [8, 8], [8, 72]]], 0, 0]],
              locals: ["choose"],
              templates: []
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 11,
                    "column": 6
                  },
                  "end": {
                    "line": 13,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "wrapChildren", ["loc", [null, [12, 32], [12, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "Wrap Children", "wide", true], ["loc", [null, [12, 8], [12, 78]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 14,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "forms/choose-single", [], ["value", ["subexpr", "@mut", [["get", "flexDirection", ["loc", [null, [6, 35], [6, 48]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [6, 6], [9, 30]]]], ["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "reverseLayout", ["loc", [null, [10, 30], [10, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "Reverse Layout", "wide", true], ["loc", [null, [10, 6], [10, 78]]], 0, 0], ["block", "if", [["get", "control.options.allow_wrap", ["loc", [null, [11, 12], [11, 38]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [11, 6], [13, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 16,
                  "column": 4
                },
                "end": {
                  "line": 18,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "horizontal", ["loc", [null, [17, 34], [17, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "horizontalOptions", ["loc", [null, [17, 53], [17, 70]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [17, 6], [17, 73]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 20,
                  "column": 4
                },
                "end": {
                  "line": 22,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "vertical", ["loc", [null, [21, 34], [21, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "verticalOptions", ["loc", [null, [21, 51], [21, 66]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [21, 6], [21, 69]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 24,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(3);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Layout"], 0, null, ["loc", [null, [5, 4], [14, 33]]]], ["block", "controls/input-list-item", [], ["label", "Horizontal"], 1, null, ["loc", [null, [16, 4], [18, 33]]]], ["block", "controls/input-list-item", [], ["label", "Vertical"], 2, null, ["loc", [null, [20, 4], [22, 33]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 26,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [24, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 28,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-flex-layout-attr/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [26, 22]]]], ["content", "yield", ["loc", [null, [27, 0], [27, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-flex-layout/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    canWrap: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('wrap'),
    canReverse: _ember['default'].computed('control.options.allow_reverse', function () {
      return false !== this.get('control.options.allow_reverse');
    }),

    wrapChildren: _ember['default'].computed.alias('control.keyWrap'),
    // wrapChildren: Ember.computed('control.keyWrap', {
    //   get() {
    //     return 'wrap' === this.get('control.keyWrap');
    //   },
    //   set(key,value) {
    //     this.set('control.keyWrap', value ? 'wrap' : '');
    //     return value;
    //   }
    // }),

    directionUpdated: 0,
    didReceiveAttrs: function didReceiveAttrs() {
      var direction = this.get('flexDirection');
      this.set('previousDirection', this.get('flexDirection'));
      this.set('isRow', 'row' === direction);
    },

    directionChange: _ember['default'].observer('flexDirection', function () {
      var previousDirection = this.get('previousDirection');
      var direction = this.get('flexDirection');
      if (direction !== previousDirection) {

        var align = this.get('control.keyAlign');
        var justify = this.get('control.keyJustify');
        this.set('control.keyAlign', justify);
        this.set('control.keyJustify', align);

        this.set('isRow', 'row' === direction);
        this.incrementProperty('directionUpdated');
        this.set('previousDirection', direction);
      }
    }),

    flexDirection: _ember['default'].computed('control.keyDirection', {
      get: function get() {
        return this.getWithDefault('control.keyDirection', 'row').split('-')[0];
      },

      set: function set(key, value) {
        var direction = value;
        if (this.get('canReverse') && this.get('reverseLayout')) {
          direction += '-reverse';
        }
        this.set('control.keyDirection', direction);
        return value;
      }
    }),

    reverseLayout: _ember['default'].computed('control.keyDirection', {
      get: function get() {
        return this.getWithDefault('control.keyDirection', 'row').includes('reverse');
      },

      set: function set(key, value) {
        var direction = this.getWithDefault('control.keyDirection', 'row').split('-')[0];
        if (value) {
          direction += '-reverse';
        }
        this.set('control.keyDirection', direction);
        return value;
      }
    }),

    flexDir: _ember['default'].computed.alias('flexDirection'),

    horizontalPath: _ember['default'].computed('flexDirection', function () {
      return 'row' === this.get('flexDirection') ? 'control.keyJustify' : 'control.keyAlign';
    }),

    verticalPath: _ember['default'].computed('flexDirection', function () {
      return 'row' === this.get('flexDirection') ? 'control.keyAlign' : 'control.keyJustify';
    }),

    baseOptions: [{ value: 'flex-start', label: 'Start' }, { value: 'center', label: 'Center' }, { value: 'flex-end', label: 'End' }],

    mainAxisOptions: [{ value: 'space-between', label: 'Space Between' }, { value: 'space-around', label: 'Space Around' }],

    crossAxisOptions: [{ value: 'stretch', label: 'Stretch' }],

    horizontalOptions: _ember['default'].computed('directionUpdated', function () {
      // console.log('option update', this.get('flexDirection') );
      return _ember['default'].A('row' === this.get('flexDirection') ? this.get('baseOptions').concat(this.get('mainAxisOptions')) : this.get('baseOptions').concat(this.get('crossAxisOptions')));
    }),

    verticalOptions: _ember['default'].computed('directionUpdated', function () {

      return _ember['default'].A('row' === this.get('flexDirection') ? this.get('baseOptions').concat(this.get('crossAxisOptions')) : this.get('baseOptions').concat(this.get('mainAxisOptions')));
    }),

    horizontalOptionObserver: _ember['default'].observer('horizontalOptions', function () {
      var isRow = this.get('isRow');
      var key = isRow ? 'control.keyJustify' : 'control.keyAlign';
      var current = this.get(key);

      if (!_ember['default'].isNone(this.get('horizontalOptions').find(function (opt) {
        return opt.value === current;
      }))) {
        return;
      }

      var fallback = 'flex-start';

      if (isRow) {
        if ('stretch' === current) {
          fallback = 'space-around';
        }
      } else {
        if ('space-around' === current) {
          fallback = 'stretch';
        }
      }

      this.set(key, fallback);
    }),

    verticalOptionObserver: _ember['default'].observer('verticalOptions', function () {

      var isRow = this.get('isRow');
      var key = isRow ? 'control.keyAlign' : 'control.keyJustify';
      var current = this.get(key);

      if (!_ember['default'].isNone(this.get('verticalOptions').find(function (opt) {
        return opt.value === current;
      }))) {
        return;
      }

      var fallback = 'flex-start';

      if ('row' === this.get('flexDirection')) {
        if ('space-around' === current) {
          fallback = 'stretch';
        }
      } else {
        if ('stretch' === current) {
          fallback = 'space-around';
        }
      }

      this.set(key, fallback);
    })

  });
});
define("cornerstone/components/controls/control-flex-layout/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 6,
                    "column": 6
                  },
                  "end": {
                    "line": 9,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [7, 37], [7, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "row", "label", "Row"], ["loc", [null, [7, 8], [7, 69]]], 0, 0], ["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "choose", ["loc", [null, [8, 37], [8, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "value", "column", "label", "Column"], ["loc", [null, [8, 8], [8, 75]]], 0, 0]],
              locals: ["choose"],
              templates: []
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 10,
                    "column": 6
                  },
                  "end": {
                    "line": 12,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "reverseLayout", ["loc", [null, [11, 32], [11, 45]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "Reverse Layout", "wide", true], ["loc", [null, [11, 8], [11, 80]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child2 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 13,
                    "column": 6
                  },
                  "end": {
                    "line": 15,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "wrapChildren", ["loc", [null, [14, 32], [14, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "Wrap Children", "wide", true], ["loc", [null, [14, 8], [14, 78]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 16,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "forms/choose-single", [], ["value", ["subexpr", "@mut", [["get", "flexDirection", ["loc", [null, [6, 35], [6, 48]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [6, 6], [9, 30]]]], ["block", "if", [["get", "canReverse", ["loc", [null, [10, 12], [10, 22]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [10, 6], [12, 13]]]], ["block", "if", [["get", "canWrap", ["loc", [null, [13, 12], [13, 19]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [13, 6], [15, 13]]]]],
            locals: [],
            templates: [child0, child1, child2]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 19,
                    "column": 6
                  },
                  "end": {
                    "line": 21,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "control.keyJustify", ["loc", [null, [20, 36], [20, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "horizontalOptions", ["loc", [null, [20, 63], [20, 80]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [20, 8], [20, 83]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 21,
                    "column": 6
                  },
                  "end": {
                    "line": 23,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "control.keyAlign", ["loc", [null, [22, 36], [22, 52]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "horizontalOptions", ["loc", [null, [22, 61], [22, 78]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [22, 8], [22, 81]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 18,
                  "column": 4
                },
                "end": {
                  "line": 24,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "isRow", ["loc", [null, [19, 12], [19, 17]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [19, 6], [23, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        var child2 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 27,
                    "column": 6
                  },
                  "end": {
                    "line": 29,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "control.keyAlign", ["loc", [null, [28, 36], [28, 52]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "verticalOptions", ["loc", [null, [28, 61], [28, 76]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [28, 8], [28, 79]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 29,
                    "column": 6
                  },
                  "end": {
                    "line": 31,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "control.keyJustify", ["loc", [null, [30, 36], [30, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "verticalOptions", ["loc", [null, [30, 63], [30, 78]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [30, 8], [30, 81]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 26,
                  "column": 4
                },
                "end": {
                  "line": 32,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "isRow", ["loc", [null, [27, 12], [27, 17]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [27, 6], [31, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 34,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(3);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Layout"], 0, null, ["loc", [null, [5, 4], [16, 33]]]], ["block", "controls/input-list-item", [], ["label", "Horizontal"], 1, null, ["loc", [null, [18, 4], [24, 33]]]], ["block", "controls/input-list-item", [], ["label", "Vertical"], 2, null, ["loc", [null, [26, 4], [32, 33]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 36,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [34, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 38,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-flex-layout/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [36, 22]]]], ["content", "yield", ["loc", [null, [37, 0], [37, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-flex/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder, _cornerstoneUtilSplitOnWhitespace) {

  function composedValue(name) {
    return _ember['default'].computed('value', {
      get: function get() {
        return this.destruct()[name];
      },
      set: function set(key, value) {
        var update = {};
        update[name] = value;
        this.set('value', this.reconstitute(update));
        return value;
      }
    });
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    presetChoices: _ember['default'].A([{
      label: 'Standard',
      value: '0 1 auto'
    }, {
      label: 'No Shrink',
      value: '0 0 auto'
    }, {
      label: 'Fill Space',
      value: '1 0 auto'
    }, {
      label: 'Fill Space Equally',
      value: '1 0 0%'
    }]),

    flexGrow: composedValue('flexGrow'),
    flexShrink: composedValue('flexShrink'),
    flexBasis: composedValue('flexBasis'),

    reconstitute: function reconstitute(updates) {

      var data = this.destruct();

      for (var key in updates) {
        data[key] = updates[key];
      }

      return data.flexGrow + ' ' + data.flexShrink + ' ' + data.flexBasis;
    },

    destruct: function destruct() {

      var parts = (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('value', ''));

      return {
        flexGrow: _ember['default'].isPresent(parts[0]) ? parts[0] : '0',
        flexShrink: _ember['default'].isPresent(parts[1]) ? parts[1] : '01',
        flexBasis: _ember['default'].isPresent(parts[2]) ? parts[2] : 'auto'
      };
    },

    init: function init() {
      this._super.apply(this, arguments);
      this.detectMode();
      this.set('mode', _ember['default'].isNone(this.detectMode()) ? 'custom' : 'presets');
      window.tester = this;
    },

    detectMode: function detectMode() {

      var value = this.get('value');
      return this.get('presetChoices').find(function (preset) {
        return preset.value === value;
      });
    }

  });
});
define("cornerstone/components/controls/control-flex/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [6, 34], [6, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "presetChoices", ["loc", [null, [6, 48], [6, 61]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "Custom"], ["loc", [null, [6, 6], [6, 85]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 8,
                  "column": 4
                },
                "end": {
                  "line": 10,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "flexGrow", ["loc", [null, [9, 20], [9, 28]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [9, 6], [9, 30]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 11,
                  "column": 4
                },
                "end": {
                  "line": 13,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "flexShrink", ["loc", [null, [12, 20], [12, 30]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [12, 6], [12, 32]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 14,
                  "column": 4
                },
                "end": {
                  "line": 16,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "flexBasis", ["loc", [null, [15, 20], [15, 29]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [15, 6], [15, 31]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 18,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(4);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 4, 4, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Preset"], 0, null, ["loc", [null, [5, 4], [7, 33]]]], ["block", "controls/input-list-item", [], ["label", "Flex<br>Grow"], 1, null, ["loc", [null, [8, 4], [10, 33]]]], ["block", "controls/input-list-item", [], ["label", "Flex<br>Shrink"], 2, null, ["loc", [null, [11, 4], [13, 33]]]], ["block", "controls/input-list-item", [], ["label", "Flex<br>Basis"], 3, null, ["loc", [null, [14, 4], [16, 33]]]]],
          locals: [],
          templates: [child0, child1, child2, child3]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 20,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [18, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 22,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-flex/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [20, 22]]]], ["content", "yield", ["loc", [null, [21, 0], [21, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-font-family/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({
    fonts: _ember['default'].inject.service('templates/fonts')
  });
});
define("cornerstone/components/controls/control-font-family/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 8,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-font-family/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [4, 10], [4, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "fonts.fontFamilyOptions", ["loc", [null, [5, 12], [5, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "visibilityObservation", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [6, 26], [6, 34]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [7, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-font-family/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [8, 22]]]], ["content", "yield", ["loc", [null, [9, 0], [9, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-font-weight/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({

    store: _ember['default'].inject.service(),
    fonts: _ember['default'].inject.service('templates/fonts'),

    fontWeightOptions: _ember['default'].computed('control.keyFontFamily', function () {
      var _this = this;

      var selectionID = this.get('control.keyFontFamily');

      var fontSelection = this.get('store').peekAll('templates/fonts/selection').find(function (choice) {
        return selectionID === choice.get('_id');
      });

      if ('inherit' === selectionID) {
        fontSelection = _ember['default'].Object.create({
          _id: 'inherit',
          weights: this.get('fonts.allWeights')
        });
      }

      var weights = _ember['default'].isNone(fontSelection) ? _ember['default'].A() : fontSelection.get('weights');
      var _idPrefix = _ember['default'].isNone(fontSelection) ? '' : fontSelection.get('_id') + ':';
      weights.sort();

      return weights.reduce(function (choices, weight) {
        if (!weight.includes('i')) {
          choices.push({
            value: '' + _idPrefix + weight,
            label: _this.get('i18n').t('app.font-weight.' + weight)
          });
        }
        return choices;
      }, _ember['default'].A());
    }),

    determineNewWeight: _ember['default'].computed(function () {

      var getWeight = (function (val) {
        return this.get('fonts').normalizeWeight(val).split(':')[1];
      }).bind(this);

      return function (newValue, oldValue) {
        return getWeight(newValue) === getWeight(oldValue.value ? oldValue.value : oldValue);
      };
    })

  });
});
define("cornerstone/components/controls/control-font-weight/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 8,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-font-weight/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [4, 10], [4, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "fontWeightOptions", ["loc", [null, [5, 12], [5, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "assignDefaultLocator", ["subexpr", "@mut", [["get", "determineNewWeight", ["loc", [null, [6, 25], [6, 43]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [7, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-font-weight/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [8, 22]]]], ["content", "yield", ["loc", [null, [9, 0], [9, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-gradient/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    gradientState: 'linear-gradient',

    actions: {
      openLG: function openLG() {
        this.set('gradientState', 'linear-gradient');
      },
      openRLG: function openRLG() {
        this.set('gradientState', 'repeating-linear-gradient');
      },
      openRG: function openRG() {
        this.set('gradientState', 'radial-gradient');
      },
      openRRG: function openRRG() {
        this.set('gradientState', 'repeating-radial-gradient');
      }
    }

  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-gradient/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 12,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-gradient/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("ul");
              dom.setAttribute(el1, "class", "cs-choose cs-choose-condensed cols-4");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              var el3 = dom.createComment("");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var element1 = dom.childAt(element0, [1]);
              var element2 = dom.childAt(element0, [3]);
              var element3 = dom.childAt(element0, [5]);
              var element4 = dom.childAt(element0, [7]);
              var morphs = new Array(12);
              morphs[0] = dom.createAttrMorph(element1, 'class');
              morphs[1] = dom.createElementMorph(element1);
              morphs[2] = dom.createMorphAt(element1, 0, 0);
              morphs[3] = dom.createAttrMorph(element2, 'class');
              morphs[4] = dom.createElementMorph(element2);
              morphs[5] = dom.createMorphAt(element2, 0, 0);
              morphs[6] = dom.createAttrMorph(element3, 'class');
              morphs[7] = dom.createElementMorph(element3);
              morphs[8] = dom.createMorphAt(element3, 0, 0);
              morphs[9] = dom.createAttrMorph(element4, 'class');
              morphs[10] = dom.createElementMorph(element4);
              morphs[11] = dom.createMorphAt(element4, 0, 0);
              return morphs;
            },
            statements: [["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "gradientState", ["loc", [null, [7, 28], [7, 41]]], 0, 0, 0, 0], "linear-gradient"], [], ["loc", [null, [7, 24], [7, 60]]], 0, 0], "cs-active"], [], ["loc", [null, [7, 19], [7, 74]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["openLG"], [], ["loc", [null, [7, 76], [7, 95]]], 0, 0], ["inline", "fa-icon", ["minus"], [], ["loc", [null, [7, 96], [7, 115]]], 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "gradientState", ["loc", [null, [8, 28], [8, 41]]], 0, 0, 0, 0], "repeating-linear-gradient"], [], ["loc", [null, [8, 24], [8, 70]]], 0, 0], "cs-active"], [], ["loc", [null, [8, 19], [8, 84]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["openRLG"], [], ["loc", [null, [8, 86], [8, 106]]], 0, 0], ["inline", "fa-icon", ["ellipsis-h"], [], ["loc", [null, [8, 107], [8, 131]]], 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "gradientState", ["loc", [null, [9, 28], [9, 41]]], 0, 0, 0, 0], "radial-gradient"], [], ["loc", [null, [9, 24], [9, 60]]], 0, 0], "cs-active"], [], ["loc", [null, [9, 19], [9, 74]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["openRG"], [], ["loc", [null, [9, 76], [9, 95]]], 0, 0], ["inline", "fa-icon", ["circle-thin"], [], ["loc", [null, [9, 96], [9, 121]]], 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "gradientState", ["loc", [null, [10, 28], [10, 41]]], 0, 0, 0, 0], "repeating-radial-gradient"], [], ["loc", [null, [10, 24], [10, 70]]], 0, 0], "cs-active"], [], ["loc", [null, [10, 19], [10, 84]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["openRRG"], [], ["loc", [null, [10, 86], [10, 106]]], 0, 0], ["inline", "fa-icon", ["bullseye"], [], ["loc", [null, [10, 107], [10, 129]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 14,
                  "column": 4
                },
                "end": {
                  "line": 34,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-gradient/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("select");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("0deg");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("90deg");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("180deg");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("360deg");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("to top");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("to left");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("to right");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("to bottom");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("to bottom left");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("circle");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("circle at top right");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("circle closest-side");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("circle closest-corner");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("circle farthest-side");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("circle farthest-corner");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("ellipsis");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("option");
              var el3 = dom.createTextNode("ellipsis farthest-side at right");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 36,
                  "column": 4
                },
                "end": {
                  "line": 38,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-gradient/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["class", "cs-gradient-color", "value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [37, 46], [37, 51]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [37, 6], [37, 53]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 40,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-gradient/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(3);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Type"], 0, null, ["loc", [null, [5, 4], [12, 33]]]], ["block", "controls/input-list-item", [], ["label", "Style"], 1, null, ["loc", [null, [14, 4], [34, 33]]]], ["block", "controls/input-list-item", [], ["label", "Colors"], 2, null, ["loc", [null, [36, 4], [38, 33]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 42,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-gradient/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [40, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 44,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-gradient/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [42, 22]]]], ["content", "yield", ["loc", [null, [43, 0], [43, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-group/component', ['exports', 'cornerstone/components/controls/control-base/component'], function (exports, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-group/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-group/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "controls/input-list", [], ["controls", ["subexpr", "@mut", [["get", "control.controls", ["loc", [null, [3, 33], [3, 49]]], 0, 0, 0, 0]], [], [], 0, 0], "parentLevel", ["subexpr", "@mut", [["get", "level", ["loc", [null, [3, 62], [3, 67]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 69]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-group/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-icon/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({
    showAlt: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('alt'),
    baseOptions: _ember['default'].computed.alias('control.options'),
    altOptions: _ember['default'].computed('baseOptions', function () {
      var options = _ember['default'].merge({}, this.get('baseOptions'));
      if (options.alt_label) {
        options.label = options.alt_label;
      }
      return options;
    })
  });
});
define("cornerstone/components/controls/control-icon/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 6,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-icon/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/icon-picker", [], ["value", ["subexpr", "@mut", [["get", "control.keyAlt", ["loc", [null, [5, 30], [5, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "altOptions", ["loc", [null, [5, 53], [5, 63]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [5, 4], [5, 65]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-icon/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["inline", "forms/icon-picker", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 28], [3, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "baseOptions", ["loc", [null, [3, 42], [3, 53]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 55]]], 0, 0], ["block", "if", [["get", "showAlt", ["loc", [null, [4, 8], [4, 15]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [6, 9]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 9,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-icon/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [7, 22]]]], ["content", "yield", ["loc", [null, [8, 0], [8, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-image-source/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-image-source/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-image-source/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/image-upload", [], ["value", ["subexpr", "@mut", [["get", "control.keyValue", ["loc", [null, [3, 29], [3, 45]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 47]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-image-source/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-image/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {

  function dimensionPreview(dimensionKey) {

    return _ember['default'].computed(dimensionKey, 'control.keyIsRetina', function () {

      var dim = this.get(dimensionKey);

      if (!dim || isNaN(dim)) {
        return '';
      }

      if (this.get('control.keyIsRetina')) {
        return Math.round(dim / 2); // (dim / 2).toFixed(4).replace(/\.?0+$/,'');
      }

      return dim;
    });
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({
    defaultHeight: 2,

    useWidth: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('width'),
    useHeight: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('height'),
    useImgSource: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('img_source'),
    showLink: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('has_link'),
    showInfo: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('has_info'),
    showRetinaReady: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('is_retina'),
    showAltText: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('alt_text'),

    showDimensionPreview: _ember['default'].computed('useWidth', 'useHeight', function () {
      return this.get('useWidth') && this.get('useHeight');
    }),

    widthPreview: dimensionPreview('control.keyWidth'),
    heightPreview: dimensionPreview('control.keyHeight'),

    showDisplayFunction: _ember['default'].computed('showLink', 'showInfo', function () {
      return this.get('showLink') || this.get('showInfo');
    }),

    detectedHeight: _ember['default'].computed('showDimensionPreview', 'showAltText', 'showLink', 'showInfo', function () {

      var cols = Math.floor([{
        key: 'showAltText',
        weight: 1
      }, {
        key: 'showLink',
        weight: 0.5
      }, {
        key: 'showInfo',
        weight: 0.5
      }, {
        key: 'showDimensionPreview',
        weight: 1
      }].reduce((function (memo, item) {
        if (this.get(item.key)) {
          memo -= item.weight;
        }
        return memo;
      }).bind(this), 5));

      return cols;
    }),

    altTextPlaceholder: _ember['default'].computed('control.options', function () {
      var placeholder = this.get('control.options.alt_text_placeholder');
      return placeholder ? placeholder : 'Describe Your Image Here';
    }),

    actions: {
      toggleRetinaReady: function toggleRetinaReady() {
        this.set('control.keyIsRetina', !this.get('control.keyIsRetina'));
      },
      dimensionChange: function dimensionChange(_ref) {
        var width = _ref.width;
        var height = _ref.height;

        this.set('control.keyWidth', width ? width : 48);
        this.set('control.keyHeight', height ? height : 48);
      }
    }

  });
});
define("cornerstone/components/controls/control-image/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 4
                },
                "end": {
                  "line": 6,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-image/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/image-upload", [], ["value", ["subexpr", "@mut", [["get", "control.keyImgSource", ["loc", [null, [5, 33], [5, 53]]], 0, 0, 0, 0]], [], [], 0, 0], "onDimensionChange", ["subexpr", "action", ["dimensionChange"], [], ["loc", [null, [5, 72], [5, 98]]], 0, 0]], ["loc", [null, [5, 6], [5, 101]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 6,
                  "column": 4
                },
                "end": {
                  "line": 8,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-image/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/image-upload", [], ["value", ["subexpr", "@mut", [["get", "control.keyValue", ["loc", [null, [7, 33], [7, 49]]], 0, 0, 0, 0]], [], [], 0, 0], "onDimensionChange", ["subexpr", "action", ["dimensionChange"], [], ["loc", [null, [7, 68], [7, 94]]], 0, 0]], ["loc", [null, [7, 6], [7, 97]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 9,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-image/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "useImgSource", ["loc", [null, [4, 10], [4, 22]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [4, 4], [8, 11]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 17,
                      "column": 10
                    },
                    "end": {
                      "line": 19,
                      "column": 10
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("            ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("button");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element0 = dom.childAt(fragment, [1]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createAttrMorph(element0, 'class');
                  morphs[1] = dom.createElementMorph(element0);
                  morphs[2] = dom.createMorphAt(element0, 0, 0);
                  return morphs;
                },
                statements: [["attribute", "class", ["concat", [["subexpr", "if", [["get", "control.keyIsRetina", ["loc", [null, [18, 32], [18, 51]]], 0, 0, 0, 0], "cs-active"], [], ["loc", [null, [18, 27], [18, 65]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["toggleRetinaReady"], [], ["loc", [null, [18, 67], [18, 97]]], 0, 0], ["inline", "fa-icon", ["eye"], [], ["loc", [null, [18, 98], [18, 115]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 13,
                    "column": 8
                  },
                  "end": {
                    "line": 28,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/controls/control-image/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                var el2 = dom.createTextNode("\n            ");
                dom.appendChild(el1, el2);
                var el2 = dom.createElement("span");
                var el3 = dom.createTextNode("W");
                dom.appendChild(el2, el3);
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n            ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n          ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                var el2 = dom.createTextNode("\n            ");
                dom.appendChild(el1, el2);
                var el2 = dom.createElement("span");
                var el3 = dom.createTextNode("H");
                dom.appendChild(el2, el3);
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n            ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n          ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(3);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 3, 3);
                morphs[2] = dom.createMorphAt(dom.childAt(fragment, [4]), 3, 3);
                dom.insertBoundary(fragment, 0);
                return morphs;
              },
              statements: [["block", "if", [["get", "showRetinaReady", ["loc", [null, [17, 16], [17, 31]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [17, 10], [19, 17]]]], ["inline", "input", [], ["disabled", true, "value", ["subexpr", "@mut", [["get", "widthPreview", ["loc", [null, [22, 40], [22, 52]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [22, 12], [22, 54]]], 0, 0], ["inline", "input", [], ["disabled", true, "value", ["subexpr", "@mut", [["get", "heightPreview", ["loc", [null, [26, 40], [26, 53]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [26, 12], [26, 55]]], 0, 0]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 32,
                      "column": 8
                    },
                    "end": {
                      "line": 34,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "forms/image-upload", [], ["value", ["subexpr", "@mut", [["get", "control.keyImgSource", ["loc", [null, [33, 37], [33, 57]]], 0, 0, 0, 0]], [], [], 0, 0], "onDimensionChange", ["subexpr", "action", ["dimensionChange"], [], ["loc", [null, [33, 76], [33, 102]]], 0, 0]], ["loc", [null, [33, 10], [33, 105]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            var child1 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 34,
                      "column": 8
                    },
                    "end": {
                      "line": 36,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "forms/image-upload", [], ["value", ["subexpr", "@mut", [["get", "control.keyValue", ["loc", [null, [35, 37], [35, 53]]], 0, 0, 0, 0]], [], [], 0, 0], "onDimensionChange", ["subexpr", "action", ["dimensionChange"], [], ["loc", [null, [35, 72], [35, 98]]], 0, 0]], ["loc", [null, [35, 10], [35, 101]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 31,
                    "column": 6
                  },
                  "end": {
                    "line": 37,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-image/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "if", [["get", "useImgSource", ["loc", [null, [32, 14], [32, 26]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [32, 8], [36, 15]]]]],
              locals: [],
              templates: [child0, child1]
            };
          })();
          var child2 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 41,
                        "column": 10
                      },
                      "end": {
                        "line": 43,
                        "column": 10
                      }
                    },
                    "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("            ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "control.keyHasLink", ["loc", [null, [42, 36], [42, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "Link", "half", true], ["loc", [null, [42, 12], [42, 79]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              var child1 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 44,
                        "column": 10
                      },
                      "end": {
                        "line": 46,
                        "column": 10
                      }
                    },
                    "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("            ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "control.keyHasInfo", ["loc", [null, [45, 36], [45, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "Info", "half", true], ["loc", [null, [45, 12], [45, 79]]], 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 40,
                      "column": 8
                    },
                    "end": {
                      "line": 50,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                  morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  dom.insertBoundary(fragment, 0);
                  dom.insertBoundary(fragment, null);
                  return morphs;
                },
                statements: [["block", "if", [["get", "showLink", ["loc", [null, [41, 16], [41, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [41, 10], [43, 17]]]], ["block", "if", [["get", "showInfo", ["loc", [null, [44, 16], [44, 24]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [44, 10], [46, 17]]]]],
                locals: [],
                templates: [child0, child1]
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 39,
                    "column": 6
                  },
                  "end": {
                    "line": 51,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-image/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], [], 0, null, ["loc", [null, [40, 8], [50, 37]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child3 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 54,
                      "column": 8
                    },
                    "end": {
                      "line": 56,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-image/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "input", [], ["type", "text", "placeholder", ["subexpr", "@mut", [["get", "altTextPlaceholder", ["loc", [null, [55, 42], [55, 60]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "control.keyAltText", ["loc", [null, [55, 67], [55, 85]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [55, 10], [55, 87]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 53,
                    "column": 6
                  },
                  "end": {
                    "line": 57,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-image/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "controls/input-list-item", [], ["label", "Alt Text"], 0, null, ["loc", [null, [54, 8], [56, 37]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 10,
                  "column": 4
                },
                "end": {
                  "line": 59,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-image/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(4);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
              morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
              return morphs;
            },
            statements: [["block", "controls/input-list-item", [], ["label", ["subexpr", "if", [["get", "showRetinaReady", ["loc", [null, [14, 20], [14, 35]]], 0, 0, 0, 0], "Retina & Dimensions", "Dimensions Preview"], [], ["loc", [null, [14, 16], [14, 80]]], 0, 0], "class", "cs-input-list-image-dimensions"], 0, null, ["loc", [null, [13, 8], [28, 37]]]], ["block", "controls/input-list-item", [], ["label", "Source", "defaultHeight", ["subexpr", "@mut", [["get", "detectedHeight", ["loc", [null, [31, 63], [31, 77]]], 0, 0, 0, 0]], [], [], 0, 0]], 1, null, ["loc", [null, [31, 6], [37, 35]]]], ["block", "if", [["get", "showDisplayFunction", ["loc", [null, [39, 12], [39, 31]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [39, 6], [51, 13]]]], ["block", "if", [["get", "showAltText", ["loc", [null, [53, 12], [53, 23]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [53, 6], [57, 13]]]]],
            locals: [],
            templates: [child0, child1, child2, child3]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 2
              },
              "end": {
                "line": 60,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-image/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [10, 4], [59, 28]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 62,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-image/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "unless", [["get", "firstLevel", ["loc", [null, [3, 12], [3, 22]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [3, 2], [60, 13]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 64,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-image/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [62, 22]]]], ["content", "yield", ["loc", [null, [63, 0], [63, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-link/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    // Cache old URL, update preview immediately
    typeChoices: [{ value: 'url', icon: 'link', tooltip: 'URL' }, { value: 'email', icon: 'envelope', tooltip: 'Email' }, { value: 'tel', icon: 'phone', tooltip: 'Phone' }],

    showContent: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('content'),
    showNewTab: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('new_tab'),
    showNofollow: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('nofollow'),

    showURL: _ember['default'].computed.equal('linkType', 'url'),
    showEmail: _ember['default'].computed.equal('linkType', 'email'),
    showPhone: _ember['default'].computed.equal('linkType', 'tel'),

    linkPreview: _ember['default'].computed('control.keyUrl', 'linkType', function () {
      switch (this.get('linkType')) {
        case 'email':
          {
            var subject = this.get('emailSubject');
            subject = subject ? '?subject=' + encodeURI(subject) : '';
            return 'mailto:' + this.get('emailAddress') + subject;
          }
        case 'tel':
          {
            return 'tel:' + encodeURI(this.get('phoneNumber'));
          }
      }

      return this.get('control.keyUrl');
    }),

    linkType: _ember['default'].computed('control.keyUrl', {
      get: function get() {

        var current = this.get('control.keyUrl') || '';

        if (current.match(/mailto:/)) {
          return 'email';
        }

        if (current.match(/tel:/)) {
          return 'tel';
        }

        return 'url';
      },
      set: function set(key, value) {
        return value;
      }
    }),

    emailAddress: _ember['default'].computed('control.keyUrl', {
      get: function get() {

        var current = this.get('control.keyUrl') || '';

        if (!current.match(/mailto:/)) {
          return '';
        }

        return current.replace(/mailto:(?:\/\/)?/g, '').replace(/\?.*/g, '');
      },
      set: function set(key, value) {
        var subject = this.get('emailSubject');
        subject = subject ? '?subject=' + encodeURI(subject) : '';
        value = value.replace(/mailto:(?:\/\/)?/g, '').replace(/\?.*/g, '');
        this.set('control.keyUrl', 'mailto:' + value + subject);

        return value;
      }
    }),

    emailSubject: _ember['default'].computed('control.keyUrl', {
      get: function get() {
        var current = this.get('control.keyUrl') || '';

        if (!current.match(/mailto:/)) {
          return '';
        }

        var matches = current.match(/\?subject=(.*)/) || '';
        if (!matches && !matches[1]) {
          return '';
        }
        return decodeURI(matches[1]);
      },
      set: function set(key, value) {

        var mailto = (this.get('control.keyUrl') || '').replace(/\?.*/g, '');
        var subject = value.length > 0 ? '?subject=' + encodeURI(value) : '';

        this.set('control.keyUrl', '' + mailto + subject);

        return value;
      }
    }),

    phoneNumber: _ember['default'].computed('control.keyUrl', {
      get: function get() {
        var current = this.get('control.keyUrl') || '';
        if (!current.match(/tel:/)) {
          return '';
        }
        return decodeURI(current.replace(/tel:(?:\/\/)?/g, ''));
      },
      set: function set(key, value) {
        this.set('control.keyUrl', '' === value ? '' : 'tel:' + encodeURI(value));
        return value;
      }
    })

  });
});
define("cornerstone/components/controls/control-link/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "linkPreview", ["loc", [null, [6, 20], [6, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "disabled", "true"], ["loc", [null, [6, 6], [6, 49]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 9,
                  "column": 4
                },
                "end": {
                  "line": 11,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/choose-single", [], ["choices", ["subexpr", "@mut", [["get", "typeChoices", ["loc", [null, [10, 36], [10, 47]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "linkType", ["loc", [null, [10, 54], [10, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 6], [10, 64]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 13,
                  "column": 4
                },
                "end": {
                  "line": 15,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "control.keyContent", ["loc", [null, [14, 20], [14, 38]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [14, 6], [14, 40]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 19,
                    "column": 6
                  },
                  "end": {
                    "line": 21,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-link/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "control.keyNewTab", ["loc", [null, [20, 32], [20, 49]]], 0, 0, 0, 0]], [], [], 0, 0], "label", "New Tab", "half", true], ["loc", [null, [20, 8], [20, 77]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 23,
                      "column": 8
                    },
                    "end": {
                      "line": 25,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-link/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("code");
                  var el2 = dom.createTextNode("nofollow");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 22,
                    "column": 6
                  },
                  "end": {
                    "line": 26,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-link/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "control.keyNofollow", ["loc", [null, [23, 33], [23, 52]]], 0, 0, 0, 0]], [], [], 0, 0], "half", true], 0, null, ["loc", [null, [23, 8], [25, 28]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 17,
                  "column": 4
                },
                "end": {
                  "line": 27,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "control.keyUrl", ["loc", [null, [18, 20], [18, 34]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "e.g. http://theme.co/"], ["loc", [null, [18, 6], [18, 72]]], 0, 0], ["block", "if", [["get", "showNewTab", ["loc", [null, [19, 12], [19, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [19, 6], [21, 13]]]], ["block", "if", [["get", "showNofollow", ["loc", [null, [22, 12], [22, 24]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [22, 6], [26, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        var child4 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 29,
                  "column": 4
                },
                "end": {
                  "line": 31,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "emailAddress", ["loc", [null, [30, 20], [30, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "e.g. hello@example.com"], ["loc", [null, [30, 6], [30, 71]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child5 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 33,
                  "column": 4
                },
                "end": {
                  "line": 35,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "emailSubject", ["loc", [null, [34, 20], [34, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "e.g. Howdy!"], ["loc", [null, [34, 6], [34, 60]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child6 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 37,
                  "column": 4
                },
                "end": {
                  "line": 39,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-link/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "phoneNumber", ["loc", [null, [38, 20], [38, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "e.g. 18885551234"], ["loc", [null, [38, 6], [38, 64]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 41,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-link/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(7);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
            morphs[4] = dom.createMorphAt(fragment, 9, 9, contextualElement);
            morphs[5] = dom.createMorphAt(fragment, 11, 11, contextualElement);
            morphs[6] = dom.createMorphAt(fragment, 13, 13, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "Preview"], 0, null, ["loc", [null, [5, 4], [7, 33]]]], ["block", "controls/input-list-item", [], ["label", "Type"], 1, null, ["loc", [null, [9, 4], [11, 33]]]], ["block", "controls/input-list-item", [], ["label", "Content", "isVisible", ["subexpr", "@mut", [["get", "showContent", ["loc", [null, [13, 58], [13, 69]]], 0, 0, 0, 0]], [], [], 0, 0]], 2, null, ["loc", [null, [13, 4], [15, 33]]]], ["block", "controls/input-list-item", [], ["label", "URL", "isVisible", ["subexpr", "@mut", [["get", "showURL", ["loc", [null, [17, 54], [17, 61]]], 0, 0, 0, 0]], [], [], 0, 0]], 3, null, ["loc", [null, [17, 4], [27, 33]]]], ["block", "controls/input-list-item", [], ["label", "Email", "isVisible", ["subexpr", "@mut", [["get", "showEmail", ["loc", [null, [29, 56], [29, 65]]], 0, 0, 0, 0]], [], [], 0, 0]], 4, null, ["loc", [null, [29, 4], [31, 33]]]], ["block", "controls/input-list-item", [], ["label", "Subject", "isVisible", ["subexpr", "@mut", [["get", "showEmail", ["loc", [null, [33, 58], [33, 67]]], 0, 0, 0, 0]], [], [], 0, 0]], 5, null, ["loc", [null, [33, 4], [35, 33]]]], ["block", "controls/input-list-item", [], ["label", "Phone", "isVisible", ["subexpr", "@mut", [["get", "showPhone", ["loc", [null, [37, 56], [37, 65]]], 0, 0, 0, 0]], [], [], 0, 0]], 6, null, ["loc", [null, [37, 4], [39, 33]]]]],
          locals: [],
          templates: [child0, child1, child2, child3, child4, child5, child6]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 43,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-link/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [41, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 45,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-link/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [43, 22]]]], ["content", "yield", ["loc", [null, [44, 0], [44, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-number/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-number/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-number/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 16], [3, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [3, 34], [3, 45]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 47]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-number/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-ratio/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {
    classNameBindings: ['monospace:cs-monospace-input']
  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-ratio/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-ratio/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/ratio-input", [], ["value", ["subexpr", "@mut", [["get", "control.keyValue", ["loc", [null, [3, 28], [3, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [3, 57], [3, 68]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 70]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-ratio/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-select/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({

    service: _ember['default'].inject.service('controls'),
    store: _ember['default'].inject.service(),

    choices: _ember['default'].computed('control.choices.[]', 'control.options.choices.[]', function () {

      var choices = this.getWithDefault('control.choices', this.getWithDefault('control.options.choices', _ember['default'].A()));

      if ('list:fonts' === choices) {
        return this.get('service').getOptionList('fonts');
      }

      if ('list:font-weights' === choices) {
        return this.get('service').getOptionList('font-weights');
      }

      if ('string' === typeof choices && 0 === choices.indexOf('dynamic:')) {
        return choices.replace('dynamic:', '');
      }

      return _ember['default'].isArray(choices) ? choices : _ember['default'].A();
    })

  });
});
define("cornerstone/components/controls/control-select/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-select/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/styled-select", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 30], [3, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "choices", ["loc", [null, [3, 44], [3, 51]]], 0, 0, 0, 0]], [], [], 0, 0], "visibilityObservation", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [3, 74], [3, 82]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 85]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-select/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-sortable/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({
    store: _ember['default'].inject.service(),

    addLabel: _ember['default'].computed('childType', function () {
      var label = '';
      var definition = this.get('store').peekRecord('element/definition', this.get('childType'));
      if (definition) {
        label = definition.getWithDefault('title', '');
      }
      return this.get('i18n').t('app.add-label', { label: label }).string;
    }),

    childType: _ember['default'].computed('control.options.element', function () {
      return this.getWithDefault('control.options.element', 'undefined');
    }),

    capacity: _ember['default'].computed('control.options.capacity', function () {
      return this.getWithDefault('control.options.capacity', 100);
    }),

    floor: _ember['default'].computed('control.options.floor', function () {
      return this.getWithDefault('control.options.floor', 0);
    }),

    canAdd: _ember['default'].computed('control.source.availableChildren.length', 'capacity', function () {
      return this.get('control.source.availableChildren.length') < this.get('capacity');
    }),

    canDelete: _ember['default'].computed('control.source.availableChildren.length', 'floor', function () {
      return this.get('control.source.availableChildren.length') > this.get('floor');
    }),

    orderSort: ['order'],
    sortedElements: _ember['default'].computed.sort('control.source.availableChildren', 'orderSort'),

    actions: {
      tryDelete: function tryDelete() {
        this.get('ui').notify('This element requires a minimum number of children.');
      },
      tryDuplicate: function tryDuplicate() {
        this.get('ui').notify('This element already has the maximum number of children.');
      }
    }
  });
});
define("cornerstone/components/controls/control-sortable/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 6,
                    "column": 6
                  },
                  "end": {
                    "line": 21,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/sortable-item", [], ["label", ["subexpr", "@mut", [["get", "element.indexedTitle", ["loc", [null, [8, 16], [8, 36]]], 0, 0, 0, 0]], [], [], 0, 0], "item", ["subexpr", "@mut", [["get", "element", ["loc", [null, [9, 15], [9, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "showAddAfter", ["subexpr", "if", [["get", "canAdd", ["loc", [null, [10, 27], [10, 33]]], 0, 0, 0, 0], ["subexpr", "eq", [["get", "element.id", ["loc", [null, [10, 38], [10, 48]]], 0, 0, 0, 0], ["get", "sortedElements.lastObject.id", ["loc", [null, [10, 49], [10, 77]]], 0, 0, 0, 0]], [], ["loc", [null, [10, 34], [10, 78]]], 0, 0], false], [], ["loc", [null, [10, 23], [10, 86]]], 0, 0], "onInspect", ["subexpr", "route-action", ["inspectElement", ["get", "element", ["loc", [null, [11, 51], [11, 58]]], 0, 0, 0, 0]], [], ["loc", [null, [11, 20], [11, 60]]], 0, 0], "onDrop", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [12, 17], [12, 46]]], 0, 0], "addLabel", ["subexpr", "@mut", [["get", "addLabel", ["loc", [null, [13, 19], [13, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "onAddBefore", ["subexpr", "if", [["get", "canAdd", ["loc", [null, [14, 26], [14, 32]]], 0, 0, 0, 0], ["subexpr", "route-action", ["addSiblingElement", ["get", "element", ["loc", [null, [14, 67], [14, 74]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", ["get", "childType", ["loc", [null, [14, 87], [14, 96]]], 0, 0, 0, 0]], ["loc", [null, [14, 75], [14, 97]]], 0, 0], false, ["subexpr", "hash", [], ["indexedTitle", true], ["loc", [null, [14, 104], [14, 128]]], 0, 0]], [], ["loc", [null, [14, 33], [14, 129]]], 0, 0], false], [], ["loc", [null, [14, 22], [14, 136]]], 0, 0], "onAddAfter", ["subexpr", "if", [["get", "canAdd", ["loc", [null, [15, 25], [15, 31]]], 0, 0, 0, 0], ["subexpr", "route-action", ["addSiblingElement", ["get", "element", ["loc", [null, [15, 66], [15, 73]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", ["get", "childType", ["loc", [null, [15, 86], [15, 95]]], 0, 0, 0, 0]], ["loc", [null, [15, 74], [15, 96]]], 0, 0], true, ["subexpr", "hash", [], ["indexedTitle", true], ["loc", [null, [15, 102], [15, 126]]], 0, 0]], [], ["loc", [null, [15, 32], [15, 127]]], 0, 0], false], [], ["loc", [null, [15, 21], [15, 134]]], 0, 0], "onDuplicate", ["subexpr", "if", [["get", "canAdd", ["loc", [null, [16, 26], [16, 32]]], 0, 0, 0, 0], ["subexpr", "route-action", ["duplicateElement", ["get", "element", ["loc", [null, [16, 66], [16, 73]]], 0, 0, 0, 0]], [], ["loc", [null, [16, 33], [16, 74]]], 0, 0], ["subexpr", "action", ["tryDuplicate"], [], ["loc", [null, [16, 75], [16, 98]]], 0, 0]], [], ["loc", [null, [16, 22], [16, 100]]], 0, 0], "onDelete", ["subexpr", "if", [["get", "canDelete", ["loc", [null, [17, 23], [17, 32]]], 0, 0, 0, 0], ["subexpr", "route-action", ["deleteElement", ["get", "element", ["loc", [null, [17, 63], [17, 70]]], 0, 0, 0, 0]], [], ["loc", [null, [17, 33], [17, 71]]], 0, 0], ["subexpr", "action", ["tryDelete"], [], ["loc", [null, [17, 72], [17, 92]]], 0, 0]], [], ["loc", [null, [17, 19], [17, 94]]], 0, 0], "onMouseEnter", ["subexpr", "route-action", ["observeStart", ["get", "element", ["loc", [null, [18, 52], [18, 59]]], 0, 0, 0, 0]], [], ["loc", [null, [18, 23], [18, 60]]], 0, 0], "onMouseLeave", ["subexpr", "route-action", ["observeEnd", ["get", "element", ["loc", [null, [19, 50], [19, 57]]], 0, 0, 0, 0]], [], ["loc", [null, [19, 23], [19, 58]]], 0, 0]], ["loc", [null, [7, 8], [20, 10]]], 0, 0]],
              locals: ["element"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 22,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "each", [["get", "sortedElements", ["loc", [null, [6, 14], [6, 28]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [6, 6], [21, 15]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 23,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [5, 4], [22, 34]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 24,
                  "column": 4
                },
                "end": {
                  "line": 30,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "workspace/workspace-full-button", [], ["action", ["subexpr", "route-action", ["addElement", ["get", "control.source", ["loc", [null, [26, 42], [26, 56]]], 0, 0, 0, 0], ["subexpr", "hash", [], ["_type", ["get", "childType", ["loc", [null, [26, 69], [26, 78]]], 0, 0, 0, 0]], ["loc", [null, [26, 57], [26, 79]]], 0, 0], ["subexpr", "hash", [], ["indexedTitle", true], ["loc", [null, [26, 80], [26, 104]]], 0, 0]], [], ["loc", [null, [26, 15], [26, 105]]], 0, 0], "icon", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [27, 13], [27, 33]]], 0, 0], "message", ["subexpr", "@mut", [["get", "addLabel", ["loc", [null, [28, 16], [28, 24]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [25, 6], [29, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 23,
                "column": 2
              },
              "end": {
                "line": 31,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "canAdd", ["loc", [null, [24, 10], [24, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [24, 4], [30, 11]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 33,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["block", "if", [["get", "sortedElements", ["loc", [null, [4, 8], [4, 22]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [4, 2], [31, 9]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 35,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-sortable/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [33, 22]]]], ["content", "yield", ["loc", [null, [34, 0], [34, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-text-editor/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-text-editor/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-text-editor/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/expandable-text-editor", [], ["placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [4, 16], [4, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [5, 10], [5, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "mode", ["subexpr", "@mut", [["get", "control.options.mode", ["loc", [null, [6, 9], [6, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "height", ["subexpr", "@mut", [["get", "control.options.height", ["loc", [null, [7, 11], [7, 33]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 11,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-text-editor/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [9, 22]]]], ["content", "yield", ["loc", [null, [10, 0], [10, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-text-shadow/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder, _cornerstoneUtilSplitOnWhitespace) {

  function composedValue(name) {
    return _ember['default'].computed('value', {
      get: function get() {
        return this.destruct()[name];
      },
      set: function set(key, value) {
        var update = {};
        update[name] = value;
        this.set('value', this.reconstitute(update));
        return value;
      }
    });
  }

  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {

    reconstitute: function reconstitute(updates) {

      var data = this.destruct();

      for (var key in updates) {
        data[key] = updates[key];
      }

      return data.xOffset + ' ' + data.yOffset + ' ' + data.blur;
    },

    destruct: function destruct() {

      var parts = (0, _cornerstoneUtilSplitOnWhitespace['default'])(this.getWithDefault('value', ''));

      var data = {
        xOffset: _ember['default'].isPresent(parts[0]) ? parts[0] : '0px',
        yOffset: _ember['default'].isPresent(parts[1]) ? parts[1] : '0px',
        blur: _ember['default'].isPresent(parts[2]) ? parts[2] : '0px'
      };

      return data;
    },

    xOffset: composedValue('xOffset'),
    yOffset: composedValue('yOffset'),
    blur: composedValue('blur'),
    showColor: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('color'),
    showAltColor: _cornerstoneComponentsControlsControlBaseComponent['default'].isKeyMapped('alt_color'),

    xOffsetOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('x_offset', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: -50, max: 50, step: 1 },
        em: { min: -1, max: 1, step: 0.001 },
        rem: { min: -1, max: 1, step: 0.001 }
      }
    }),

    yOffsetOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('y_offset', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: -50, max: 50, step: 1 },
        em: { min: -1, max: 1, step: 0.001 },
        rem: { min: -1, max: 1, step: 0.001 }
      }
    }),

    blurOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('blur', {
      available_units: ['px', 'em', 'rem'],
      ranges: {
        px: { min: 0, max: 50, step: 1 },
        em: { min: 0, max: 2.5, step: 0.001 },
        rem: { min: 0, max: 2.5, step: 0.001 }
      }
    }),

    colorOptions: _cornerstoneComponentsControlsControlBaseComponent['default'].subOptions('color'),
    altColorOptions: _ember['default'].computed('colorOptions', function () {
      var options = _ember['default'].copy(this.get('colorOptions'));
      if (options.alt_label) {
        options.label = options.alt_label;
      }
      return options;
    })
  });
});
define("cornerstone/components/controls/control-text-shadow/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "xOffset", ["loc", [null, [6, 32], [6, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "xOffsetOptions", ["loc", [null, [6, 48], [6, 62]]], 0, 0, 0, 0]], [], [], 0, 0], "debug", true], ["loc", [null, [6, 6], [6, 75]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 9,
                  "column": 4
                },
                "end": {
                  "line": 11,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "yOffset", ["loc", [null, [10, 32], [10, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "yOffsetOptions", ["loc", [null, [10, 48], [10, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 6], [10, 65]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 13,
                  "column": 4
                },
                "end": {
                  "line": 15,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "blur", ["loc", [null, [14, 32], [14, 36]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "blurOptions", ["loc", [null, [14, 45], [14, 56]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [14, 6], [14, 58]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child3 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 20,
                      "column": 8
                    },
                    "end": {
                      "line": 22,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "control.keyAltColor", ["loc", [null, [21, 37], [21, 56]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "altColorOptions", ["loc", [null, [21, 65], [21, 80]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [21, 10], [21, 82]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 18,
                    "column": 6
                  },
                  "end": {
                    "line": 23,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["inline", "forms/color-picker", [], ["value", ["subexpr", "@mut", [["get", "control.keyColor", ["loc", [null, [19, 35], [19, 51]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "colorOptions", ["loc", [null, [19, 60], [19, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [19, 8], [19, 74]]], 0, 0], ["block", "if", [["get", "showAltColor", ["loc", [null, [20, 14], [20, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [20, 8], [22, 15]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 17,
                  "column": 4
                },
                "end": {
                  "line": 24,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "controls/input-list-item", [], ["label", "Color"], 0, null, ["loc", [null, [18, 6], [23, 35]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 26,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(4);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
            return morphs;
          },
          statements: [["block", "controls/input-list-item", [], ["label", "X-Offset"], 0, null, ["loc", [null, [5, 4], [7, 33]]]], ["block", "controls/input-list-item", [], ["label", "Y-Offset"], 1, null, ["loc", [null, [9, 4], [11, 33]]]], ["block", "controls/input-list-item", [], ["label", "Blur"], 2, null, ["loc", [null, [13, 4], [15, 33]]]], ["block", "if", [["get", "showColor", ["loc", [null, [17, 10], [17, 19]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [17, 4], [24, 11]]]]],
          locals: [],
          templates: [child0, child1, child2, child3]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 27,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "controls/input-list", [], [], 0, null, ["loc", [null, [3, 2], [26, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 29,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-text-shadow/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [27, 22]]]], ["content", "yield", ["loc", [null, [28, 0], [28, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-text/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {
    classNameBindings: ['monospace:cs-monospace-input']
  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-text/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-text/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "control.keyValue", ["loc", [null, [3, 16], [3, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [3, 45], [3, 56]]], 0, 0, 0, 0]], [], [], 0, 0], "class", ["subexpr", "if", [["get", "control.options.monospace", ["loc", [null, [3, 67], [3, 92]]], 0, 0, 0, 0], "cs-input-code"], [], ["loc", [null, [3, 63], [3, 109]]], 0, 0]], ["loc", [null, [3, 2], [3, 111]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/control-text/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-textarea/component', ['exports', 'cornerstone/components/controls/control-base/component', 'cornerstone/mixins/controls/placeholder'], function (exports, _cornerstoneComponentsControlsControlBaseComponent, _cornerstoneMixinsControlsPlaceholder) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend(_cornerstoneMixinsControlsPlaceholder['default'], {
    classNameBindings: ['monospace:cs-monospace-input'],
    defaultHeight: 5
  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-textarea/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-textarea/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "textarea", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 19], [3, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [3, 37], [3, 48]]], 0, 0, 0, 0]], [], [], 0, 0], "class", ["subexpr", "if", [["get", "control.options.monospace", ["loc", [null, [3, 59], [3, 84]]], 0, 0, 0, 0], "cs-input-code"], [], ["loc", [null, [3, 55], [3, 101]]], 0, 0]], ["loc", [null, [3, 2], [3, 103]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/controls/control-textarea/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-toggle/component', ['exports', 'ember', 'cornerstone/components/controls/control-base/component'], function (exports, _ember, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({

    state: _ember['default'].computed('value', function () {
      return this.normalize(this.get('value'));
    }),

    toggleStateClass: _ember['default'].computed('state', function () {
      return this.get('state') ? 'on' : 'off';
    }),

    // Detect various forms of boolean storage and play along

    normalize: function normalize(value) {

      if ('1' === value || 'true' === value) {
        return true;
      }

      if ('' === value || 'false' === value) {
        return false;
      }

      return !!value;
    },

    invert: function invert(value) {

      if ('true' === value) {
        return 'false';
      }

      if ('false' === value) {
        return 'true';
      }

      if ('1' === value) {
        return '';
      }

      if ('' === value) {
        return '1';
      }

      return !value;
    },

    actions: {
      toggle: function toggle() {
        this.set('value', this.invert(this.get('value')));
      }
    }
  });
});
define("cornerstone/components/controls/control-toggle/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-toggle/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/cs-toggle", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 26], [3, 31]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 33]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/controls/control-toggle/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-unit-slider/component', ['exports', 'cornerstone/components/controls/control-base/component'], function (exports, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-unit-slider/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-unit-slider/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/unit-slider", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [3, 28], [3, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "control.options", ["loc", [null, [3, 42], [3, 57]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 59]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/controls/control-unit-slider/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [4, 22]]]], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/control-unit/component', ['exports', 'cornerstone/components/controls/control-base/component'], function (exports, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({});
});
// import Ember from 'ember';
define("cornerstone/components/controls/control-unit/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/control-unit/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/unit-input", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [4, 10], [4, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "control.options", ["loc", [null, [5, 12], [5, 27]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [6, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/controls/control-unit/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["block", "common/defer-view", [], ["class", ["subexpr", "@mut", [["get", "containerClass", ["loc", [null, [2, 27], [2, 41]]], 0, 0, 0, 0]], [], [], 0, 0], "defer", ["subexpr", "@mut", [["get", "firstLevel", ["loc", [null, [2, 48], [2, 58]]], 0, 0, 0, 0]], [], [], 0, 0], "hide", ["subexpr", "@mut", [["get", "isHidden", ["loc", [null, [2, 64], [2, 72]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [2, 0], [7, 22]]]], ["content", "yield", ["loc", [null, [8, 0], [8, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/controls/input-list-item/component', ['exports', 'cornerstone/components/controls/control-base/component'], function (exports, _cornerstoneComponentsControlsControlBaseComponent) {
  exports['default'] = _cornerstoneComponentsControlsControlBaseComponent['default'].extend({
    level: 2,
    tagName: 'li',
    control: {
      type: 'aggregate'
    }
  });
});
// import Ember from 'ember';
define("cornerstone/components/controls/input-list-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/input-list-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createAttrMorph(element0, 'class');
        morphs[2] = dom.createMorphAt(element0, 0, 0);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", [["get", "headerTemplate", ["loc", [null, [1, 10], [1, 24]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 26]]], 0, 0], ["attribute", "class", ["concat", [["get", "containerClass", ["loc", [null, [2, 14], [2, 28]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["content", "yield", ["loc", [null, [2, 32], [2, 41]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/controls/input-list/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'ul',
    classNames: ['cs-control-input-list'],

    level: _ember['default'].computed('parentLevel', function () {
      return this.getWithDefault('parentLevel', 1) + 1;
    })
  });
});
define("cornerstone/components/controls/input-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/input-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 6,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/controls/input-list/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "component", [["subexpr", "locate-component", [["subexpr", "concat", ["controls/control-", ["get", "control.type", ["loc", [null, [5, 62], [5, 74]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 34], [5, 76]]], 0, 0], "controls/input-list-item"], [], ["loc", [null, [5, 16], [5, 104]]], 0, 0]], ["control", ["subexpr", "@mut", [["get", "control", ["loc", [null, [5, 113], [5, 120]]], 0, 0, 0, 0]], [], [], 0, 0], "level", ["subexpr", "@mut", [["get", "level", ["loc", [null, [5, 127], [5, 132]]], 0, 0, 0, 0]], [], [], 0, 0], "tagName", "li"], ["loc", [null, [5, 4], [5, 147]]], 0, 0]],
          locals: ["control"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/controls/input-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "controls", ["loc", [null, [4, 10], [4, 18]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [6, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/controls/input-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [7, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/cs-islands/component', ['exports', 'ember'], function (exports, _ember) {
  var $ = _ember['default'].$;
  var assert = _ember['default'].assert;
  var Component = _ember['default'].Component;
  var getOwner = _ember['default'].getOwner;
  exports['default'] = _ember['default'].Component.extend({
    tagName: '',

    init: function init() {
      this._super.apply(this, arguments);
      this.renderComponent = getRenderComponentFor(this);
      this.componentsToRender = queryIslandComponents();
      this.renderedComponents = [];
    },

    didInsertElement: function didInsertElement() {
      this.renderedComponents = this.componentsToRender.map(this.renderComponent);
    },

    didDestroyElement: function didDestroyElement() {
      this.renderedComponents.forEach(function (renderedComponent) {
        renderedComponent.destroy();
      });
    }
  });

  function componentAttributes(element) {
    var attrs = undefined;
    var attrsJSON = element.getAttribute('data-attrs');

    if (attrsJSON) {
      attrs = JSON.parse(attrsJSON);
    } else {
      attrs = {};
    }

    attrs.innerContent = element.innerHTML;
    return attrs;
  }

  function getRenderComponentFor(emberObject) {
    var owner = getOwner(emberObject);

    return function renderComponent(_ref) {
      var name = _ref.name;
      var attrs = _ref.attrs;
      var element = _ref.element;

      var component = lookupComponent(owner, name);
      assert('ember-islands could not find a component named "' + name + '" in your Ember appliction.', component);

      // Work around for #replaceIn bug
      $(element).empty();
      var componentInstance = component.create(attrs);
      componentInstance.appendTo(element);
      _ember['default'].run.scheduleOnce('afterRender', function () {
        $(element).contents().unwrap();
      });

      return componentInstance;
    };
  }

  function queryIslandComponents() {
    var components = [];

    $('[data-cs-component]').each(function () {
      var name = this.getAttribute('data-cs-component');
      var attrs = componentAttributes(this);
      components.push({ attrs: attrs, name: name, element: this });
    });

    return components;
  }

  function lookupComponent(owner, name) {
    var componentLookupKey = 'component:' + name;
    var layoutLookupKey = 'template:components/' + name;
    var layout = owner.lookup(layoutLookupKey);

    if (layout) {
      owner.inject(componentLookupKey, 'layout', layoutLookupKey);
    }

    var component = owner.factoryFor(componentLookupKey);

    if (layout && !component) {
      owner.register(componentLookupKey, Component);
      component = owner.factoryFor(componentLookupKey);
    }

    return component;
  }
});
// Ember Islands, modified per https://github.com/mitchlloyd/ember-islands/issues/7#issuecomment-241179736
define("cornerstone/components/cs-islands/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/cs-islands/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/debug/module-data/component', ['exports', 'ember', 'cornerstone/mixins/debug/component'], function (exports, _ember, _cornerstoneMixinsDebugComponent) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDebugComponent['default'], {
    tagName: 'pre',
    classNames: ['cs-debug-module-data'],
    storeAttsFind: '',
    storeAttsReplace: '',

    attsObserver: _ember['default'].observer('module.attsUpdated', function () {
      this.rerender();
    }),

    actions: {
      storeAtts: function storeAtts() {
        var atts = this.get('module').getCleanAtts();
        this.set('debug.debugStoredType', atts._type);
        delete atts._type;
        delete atts._region;
        this.set('debug.debugStoredAtts', atts);
      },
      restoreAtts: function restoreAtts() {
        var atts = this.get('debug.debugStoredAtts');

        var find = this.getWithDefault('storeAttsFind', '');
        var replace = this.getWithDefault('storeAttsReplace', '');

        var defaults = Object.keys(this.get('module.definition.defaults'));
        for (var key in atts) {
          if (atts.hasOwnProperty(key) && 0 === key.indexOf(find)) {
            var newKey = '' === replace ? key : key.replace(find, replace);
            if (defaults.includes(newKey)) {
              this.set('module.atts.' + newKey, atts[key]);
            }
          }
        }
      }
    }

  });
});
define("cornerstone/components/debug/module-data/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/debug/module-data/template.hbs"
        },
        isEmpty: false,
        arity: 2,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode(": ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["content", "key", ["loc", [null, [8, 0], [8, 7]]], 0, 0, 0, 0], ["content", "value", ["loc", [null, [8, 9], [8, 18]]], 0, 0, 0, 0]],
        locals: ["key", "value"],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 0
            },
            "end": {
              "line": 12,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/debug/module-data/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "module.atts.content", ["loc", [null, [11, 16], [11, 35]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [11, 2], [11, 37]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/debug/module-data/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("button");
        var el2 = dom.createTextNode("Store");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        var el2 = dom.createTextNode("Storing: ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("button");
        var el2 = dom.createTextNode("Restore");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [8]);
        var morphs = new Array(9);
        morphs[0] = dom.createElementMorph(element0);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        morphs[3] = dom.createMorphAt(fragment, 6, 6, contextualElement);
        morphs[4] = dom.createElementMorph(element1);
        morphs[5] = dom.createMorphAt(fragment, 10, 10, contextualElement);
        morphs[6] = dom.createMorphAt(fragment, 12, 12, contextualElement);
        morphs[7] = dom.createMorphAt(fragment, 13, 13, contextualElement);
        morphs[8] = dom.createMorphAt(fragment, 14, 14, contextualElement);
        return morphs;
      },
      statements: [["element", "action", ["storeAtts"], [], ["loc", [null, [1, 8], [1, 30]]], 0, 0], ["content", "debug.debugStoredType", ["loc", [null, [2, 15], [2, 40]]], 0, 0, 0, 0], ["inline", "input", [], ["placeholder", "Find: toggle_", "value", ["subexpr", "@mut", [["get", "storeAttsFind", ["loc", [null, [3, 42], [3, 55]]], 0, 0, 0, 0]], [], [], 0, 0], "enter", ["subexpr", "action", ["storeAtts"], [], ["loc", [null, [3, 62], [3, 82]]], 0, 0]], ["loc", [null, [3, 0], [3, 85]]], 0, 0], ["inline", "input", [], ["placeholder", "Replace: toggle_", "value", ["subexpr", "@mut", [["get", "storeAttsReplace", ["loc", [null, [4, 45], [4, 61]]], 0, 0, 0, 0]], [], [], 0, 0], "enter", ["subexpr", "action", ["storeAtts"], [], ["loc", [null, [4, 68], [4, 88]]], 0, 0]], ["loc", [null, [4, 0], [4, 91]]], 0, 0], ["element", "action", ["restoreAtts"], [], ["loc", [null, [5, 8], [5, 32]]], 0, 0], ["content", "module.id", ["loc", [null, [6, 0], [6, 13]]], 0, 0, 0, 0], ["block", "each-in", [["get", "module.atts", ["loc", [null, [7, 11], [7, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [7, 0], [9, 12]]]], ["block", "if", [["subexpr", "eq", [["get", "module.atts._type", ["loc", [null, [10, 10], [10, 27]]], 0, 0, 0, 0], "text"], [], ["loc", [null, [10, 6], [10, 35]]], 0, 0]], [], 1, null, ["loc", [null, [10, 0], [12, 7]]]], ["content", "yield", ["loc", [null, [13, 0], [13, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/debug/module-preview/component', ['exports', 'ember', 'npm:Faker'], function (exports, _ember, _npmFaker) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: ['li'],
    classNames: ['cs-module-preview'],
    xfr: _ember['default'].inject.service(),
    store: _ember['default'].inject.service(),

    childrenSorting: ['order'],
    sortedChildren: _ember['default'].computed.sort('entity.availableChildren', 'childrenSorting'),
    init: function init() {
      this._super.apply(this, arguments);
      // this.set('entity', this.get('store').peekRecord('element', this.get('entityId') ) );
      //this.updateObservers();
    },

    actions: {
      test: function test() {
        this.rerender();
      },
      addChild: function addChild() {
        this.get('entity').addChild({
          first_name: _npmFaker['default'].Name.firstName(),
          last_name: _npmFaker['default'].Name.lastName() // this.get('xfr.agent.xfrOrigin'),
        });
      },
      deleteItem: function deleteItem() {
        this.get('entity').selfDestruct();
      },
      dupe: function dupe() {
        this.get('entity').duplicate();
      },
      moveUp: function moveUp() {
        this.get('entity.updatePosition')(this.get('entity.order') - 1);
      },
      moveDown: function moveDown() {
        this.get('entity.updatePosition')(this.get('entity.order') + 1);
      }
    }
  });
});
define("cornerstone/components/debug/module-preview/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 0
            },
            "end": {
              "line": 12,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/debug/module-preview/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "debug/module-preview", [], ["entity", ["subexpr", "@mut", [["get", "child", ["loc", [null, [11, 32], [11, 37]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [11, 2], [11, 39]]], 0, 0]],
        locals: ["child"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/debug/module-preview/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("ul");
        dom.setAttribute(el1, "class", "children");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "debug/module-data", [], ["module", ["subexpr", "@mut", [["get", "entity", ["loc", [null, [8, 32], [8, 38]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [8, 5], [8, 40]]], 0, 0], ["block", "each", [["get", "sortedChildren", ["loc", [null, [10, 8], [10, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [10, 0], [12, 9]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/elements/element-library/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-element-library'],
    contentBuilderPreference: _ember['default'].computed(function () {
      return window.csAppData.contentBuilerElements;
    }),

    showClassicOnly: _ember['default'].computed('contentBuilderPreference', function () {
      return 'classic' === this.get('contentBuilderPreference');
    }),

    showClassicElements: _ember['default'].computed('classicElements', 'contentBuilderPreference', function () {

      if (this.get('classicElements') && 'v2' === this.get('contentBuilderPreference')) {
        return false;
      }

      return true;
    }),

    showV2Elements: _ember['default'].computed('classicElements', 'showClassicOnly', function () {

      if (this.get('classicElements') && this.get('showClassicOnly')) {
        return false;
      }

      return true;
    })

  });
});
define("cornerstone/components/elements/element-library/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 10,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/elements/element-library/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "elements/library-item", [], ["onClickElement", ["subexpr", "@mut", [["get", "onClickElement", ["loc", [null, [4, 21], [4, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "definition", ["subexpr", "@mut", [["get", "definition", ["loc", [null, [5, 17], [5, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "canDrag", ["subexpr", "@mut", [["get", "draggable", ["loc", [null, [6, 14], [6, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "onDragStart", ["subexpr", "@mut", [["get", "onDragStart", ["loc", [null, [7, 18], [7, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "onDragEnd", ["subexpr", "@mut", [["get", "onDragEnd", ["loc", [null, [8, 16], [8, 25]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 4], [9, 6]]], 0, 0]],
          locals: ["definition"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/elements/element-library/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "elements", ["loc", [null, [2, 10], [2, 18]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 2], [10, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 16,
                      "column": 8
                    },
                    "end": {
                      "line": 21,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/elements/element-library/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("h6");
                  dom.setAttribute(el1, "class", "cs-element-library-subset-title");
                  var el2 = dom.createTextNode("\n            ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createElement("span");
                  var el3 = dom.createTextNode("Classic Elements");
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n            ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createElement("small");
                  var el3 = dom.createTextNode("Does not include advanced controls.");
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 15,
                    "column": 6
                  },
                  "end": {
                    "line": 22,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/elements/element-library/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "unless", [["get", "showClassicOnly", ["loc", [null, [16, 18], [16, 33]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [16, 8], [21, 19]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 14,
                  "column": 4
                },
                "end": {
                  "line": 23,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/elements/element-library/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "unless", [["get", "isSearching", ["loc", [null, [15, 16], [15, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [15, 6], [22, 17]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 24,
                  "column": 4
                },
                "end": {
                  "line": 33,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/elements/element-library/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "elements/library-item", [], ["onClickElement", ["subexpr", "@mut", [["get", "onClickElement", ["loc", [null, [26, 23], [26, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "definition", ["subexpr", "@mut", [["get", "definition", ["loc", [null, [27, 19], [27, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "classic", true, "canDrag", ["subexpr", "@mut", [["get", "draggable", ["loc", [null, [29, 16], [29, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "onDragStart", ["subexpr", "@mut", [["get", "onDragStart", ["loc", [null, [30, 20], [30, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "onDragEnd", ["subexpr", "@mut", [["get", "onDragEnd", ["loc", [null, [31, 18], [31, 27]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [25, 6], [32, 8]]], 0, 0]],
            locals: ["definition"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 13,
                "column": 2
              },
              "end": {
                "line": 35,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/elements/element-library/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "elements", ["loc", [null, [14, 10], [14, 18]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [14, 4], [23, 11]]]], ["block", "each", [["get", "classicElements", ["loc", [null, [24, 12], [24, 27]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [24, 4], [33, 13]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 12,
              "column": 0
            },
            "end": {
              "line": 36,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/elements/element-library/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "showClassicElements", ["loc", [null, [13, 8], [13, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [13, 2], [35, 9]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 37,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/elements/element-library/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "showV2Elements", ["loc", [null, [1, 6], [1, 20]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [11, 7]]]], ["block", "if", [["get", "classicElements", ["loc", [null, [12, 6], [12, 21]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [12, 0], [36, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/elements/library-item/component', ['exports', 'ember', 'cornerstone/mixins/dragula-events'], function (exports, _ember, _cornerstoneMixinsDragulaEvents) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDragulaEvents['default'], {

    classNames: ['cs-element-library-item'],
    classNameBindings: ['classic:cs-element-library-item-classic', 'canDrag:draggable'],
    dragulaEvents: ['element'],

    draggable: _ember['default'].computed('canDrag', 'ui.skeletonModeActive', function () {
      if (!this.get('canDrag') || this.get('ui.skeletonModeActive')) {
        return null;
      }
      return 'true';
    }),

    dragulaDrag: function dragulaDrag() {
      if (!this.get('isDestroyed')) {
        this.sendAction('onDragStart', this.get('definition.id'));
      }
    },

    dragulaDragendCopy: function dragulaDragendCopy() {
      if (!this.get('isDestroyed')) {
        this.sendAction('onDragEnd');
      }
    },

    click: function click() {
      if (this.get('onClickElement')) {
        this.sendAction('onClickElement', this.get('definition'));
      }
    }
  });
});
define("cornerstone/components/elements/library-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/elements/library-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("span");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["inline", "icon", ["arrows"], [], ["loc", [null, [4, 8], [4, 25]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/elements/library-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("h4");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 0, 0);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "icon", [["get", "definition.iconPath", ["loc", [null, [1, 7], [1, 26]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 0], [1, 28]]], 0, 0], ["content", "definition.title", ["loc", [null, [2, 4], [2, 24]]], 0, 0, 0, 0], ["block", "if", [["get", "canDrag", ["loc", [null, [3, 6], [3, 13]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 0], [5, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/ember-selectize', ['exports', 'ember-cli-selectize/components/ember-selectize'], function (exports, _emberCliSelectizeComponentsEmberSelectize) {
  exports['default'] = _emberCliSelectizeComponentsEmberSelectize['default'];
});
define('cornerstone/components/flash-message', ['exports', 'ember-cli-flash/components/flash-message'], function (exports, _emberCliFlashComponentsFlashMessage) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberCliFlashComponentsFlashMessage['default'];
    }
  });
});
define('cornerstone/components/forms/aspect-ratio-input/component', ['exports', 'ember'], function (exports, _ember) {

  function normalizeRatioValue(value, index) {
    var parts = (value || '').split(':');
    return 'undefined' !== typeof index ? parts[index] : parts;
  }

  exports['default'] = _ember['default'].Component.extend({
    tagName: 'ul',
    classNames: ['cs-form-aspect-ratio-input'],

    placeholderA: _ember['default'].computed('placeholder', function () {
      return normalizeRatioValue(this.get('placeholder') || '', 0);
    }),

    placeholderB: _ember['default'].computed('placeholder', function () {
      return normalizeRatioValue(this.get('placeholder') || '', 1);
    })

  });
});
define("cornerstone/components/forms/aspect-ratio-input/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/aspect-ratio-input/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("li");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("li");
        var el2 = dom.createTextNode(":");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("li");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [4]), 0, 0);
        return morphs;
      },
      statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "width", ["loc", [null, [1, 18], [1, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholderA", ["loc", [null, [1, 36], [1, 48]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 4], [1, 50]]], 0, 0], ["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "height", ["loc", [null, [3, 18], [3, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholderB", ["loc", [null, [3, 37], [3, 49]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 4], [3, 51]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/forms/checkbox-list/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({});
});
define("cornerstone/components/forms/checkbox-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/checkbox-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/forms/checkbox-list/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/rc-checkbox", [], ["value", ["subexpr", "mut", [["subexpr", "get", [["get", "proxy", ["loc", [null, [6, 42], [6, 47]]], 0, 0, 0, 0], ["get", "checkbox.keyPath", ["loc", [null, [6, 48], [6, 64]]], 0, 0, 0, 0]], [], ["loc", [null, [6, 37], [6, 65]]], 0, 0]], [], ["loc", [null, [6, 32], [6, 66]]], 0, 0], "label", ["subexpr", "@mut", [["get", "checkbox.label", ["loc", [null, [6, 73], [6, 87]]], 0, 0, 0, 0]], [], [], 0, 0], "half", ["subexpr", "@mut", [["get", "checkbox.half", ["loc", [null, [6, 93], [6, 106]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 6], [6, 108]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 8,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/forms/checkbox-list/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "checkbox.keyPath", ["loc", [null, [5, 10], [5, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 4], [7, 11]]]]],
          locals: ["checkbox"],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/checkbox-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "checkboxes", ["loc", [null, [4, 10], [4, 20]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [8, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/checkbox-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [9, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/choose-choice/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'li',
    classNameBindings: ['class', 'selected:cs-active'],

    selected: _ember['default'].computed('choose.value', 'choose.valueUpdated', 'value', function () {

      if (this.get('choose.multi')) {

        var selected = this.get('choose.arrayOutput') ? this.getWithDefault('choose.value', []) : this.getWithDefault('choose.value', '').split(this.getWithDefault('choose.delimiter', ' '));

        return selected.includes(this.get('value'));
      } else {
        return this.get('choose.value') === this.get('value');
      }
    }),

    click: function click() {
      this.get('choose').send('select', this.get('value'));
    }

  });
});
define("cornerstone/components/forms/choose-choice/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 4,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/choose-choice/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [3, 4], [3, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 5,
                "column": 4
              },
              "end": {
                "line": 7,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/choose-choice/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "icon", [["get", "icon", ["loc", [null, [6, 13], [6, 17]]], 0, 0, 0, 0]], [], ["loc", [null, [6, 6], [6, 19]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 4
              },
              "end": {
                "line": 9,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/choose-choice/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createUnsafeMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["content", "label", ["loc", [null, [8, 6], [8, 17]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 2
            },
            "end": {
              "line": 10,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/choose-choice/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "icon", ["loc", [null, [5, 10], [5, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [5, 4], [9, 11]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 11,
            "column": 7
          }
        },
        "moduleName": "cornerstone/components/forms/choose-choice/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("abbr");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createAttrMorph(element0, 'title');
        morphs[1] = dom.createMorphAt(element0, 1, 1);
        return morphs;
      },
      statements: [["attribute", "title", ["concat", [["get", "tooltip", ["loc", [null, [1, 15], [1, 22]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "hasBlock", ["loc", [null, [2, 8], [2, 16]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [2, 2], [10, 9]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/choose-icon/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-icons-outer'],
    rendered: false,
    ready: false,
    searchQuery: '',
    scrollReset: 0,

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);
      this.get('ui').getFaIcons().then(function (icons) {
        if (_this.isDestroyed) {
          return;
        }
        var reduced = [];
        for (var key in icons) {
          reduced.push({
            id: icons[key][0],
            title: icons[key].length > 1 ? icons[key].join(', ') : icons[key][0]
          });
        }

        _this.set('icons', reduced);
        _this.set('ready', true);
      });
    },

    observeScrollToSelectedOn: _ember['default'].observer('scrollToSelectedOn', function () {
      this.get('scrollToSelectedOn');
      this.scrollToSelected();
    }),

    loaded: _ember['default'].computed('ready', 'rendered', function () {
      return this.get('ready') && this.get('rendered');
    }),

    afterLoad: _ember['default'].observer('loaded', function () {
      this.scrollToSelected();
    }),

    scrollToSelected: function scrollToSelected() {
      var _this2 = this;

      if (!this.get('loaded')) {
        return;
      }

      _ember['default'].run.scheduleOnce('afterRender', function () {
        var value = _this2.get('value');
        if (_ember['default'].isPresent(value)) {
          _this2.set('scrollTo', {
            selector: 'li[data-choice=' + value + ']',
            offset: 1
          });
        } else {
          _this2.incrementProperty('scrollReset');
        }
      });
    },

    didInsertElement: function didInsertElement() {
      var _this3 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this3.set('rendered', true);
      });
    },

    actions: {
      select: function select(icon) {
        this.set('value', icon);
      }
    },

    onSearchQuery: _ember['default'].observer('searchQuery', function () {
      _ember['default'].run.debounce(this, this.searchUpdate, 25);
    }),

    searchUpdate: function searchUpdate() {
      var _this4 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {

        var $ul = _this4.$('ul.cs-choose');
        var query = _this4.get('searchQuery');

        $ul.find('li').show();
        if ('' !== query) {
          $ul.find('li:not([title*="' + query + '"])').hide();
          _this4.incrementProperty('scrollReset');
        } else {
          _this4.scrollToSelected();
        }
      });
    }

  });
});
define("cornerstone/components/forms/choose-icon/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 6,
                  "column": 8
                },
                "end": {
                  "line": 12,
                  "column": 8
                }
              },
              "moduleName": "cornerstone/components/forms/choose-icon/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("          ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("li");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(5);
              morphs[0] = dom.createAttrMorph(element0, 'data-choice');
              morphs[1] = dom.createAttrMorph(element0, 'title');
              morphs[2] = dom.createAttrMorph(element0, 'class');
              morphs[3] = dom.createElementMorph(element0);
              morphs[4] = dom.createMorphAt(element0, 0, 0);
              return morphs;
            },
            statements: [["attribute", "data-choice", ["concat", [["get", "icon.id", ["loc", [null, [8, 27], [8, 34]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "title", ["concat", [["get", "icon.title", ["loc", [null, [9, 21], [9, 31]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "icon.id", ["loc", [null, [10, 28], [10, 35]]], 0, 0, 0, 0], ["get", "value", ["loc", [null, [10, 36], [10, 41]]], 0, 0, 0, 0]], [], ["loc", [null, [10, 24], [10, 42]]], 0, 0], "cs-active"], [], ["loc", [null, [10, 19], [10, 57]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["select", ["get", "icon.id", ["loc", [null, [7, 32], [7, 39]]], 0, 0, 0, 0]], [], ["loc", [null, [7, 14], [7, 41]]], 0, 0], ["inline", "fa-icon", [["get", "icon.id", ["loc", [null, [11, 21], [11, 28]]], 0, 0, 0, 0]], [], ["loc", [null, [11, 11], [11, 30]]], 0, 0]],
            locals: ["icon"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 4
              },
              "end": {
                "line": 14,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/choose-icon/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("ul");
            dom.setAttribute(el1, "class", "cs-choose cols-6 single");
            var el2 = dom.createTextNode("\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("      ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
            return morphs;
          },
          statements: [["block", "each", [["get", "icons", ["loc", [null, [6, 16], [6, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [6, 8], [12, 17]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 14,
                "column": 4
              },
              "end": {
                "line": 16,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/choose-icon/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-icons-loading");
            var el2 = dom.createTextNode("…");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 2
            },
            "end": {
              "line": 17,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/choose-icon/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "loaded", ["loc", [null, [4, 10], [4, 16]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [4, 4], [16, 11]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 19,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/choose-icon/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-icons-inner");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "common/search-bar", [], ["query", ["subexpr", "@mut", [["get", "searchQuery", ["loc", [null, [1, 26], [1, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "Search Icons", "focusOnShortcut", false], ["loc", [null, [1, 0], [1, 88]]], 0, 0], ["block", "common/scroll-box", [], ["scrollTo", ["subexpr", "@mut", [["get", "scrollTo", ["loc", [null, [3, 32], [3, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "resetScrollOn", ["subexpr", "@mut", [["get", "scrollReset", ["loc", [null, [3, 55], [3, 66]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [3, 2], [17, 24]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/forms/choose-multi/component', ['exports', 'ember', 'cornerstone/components/forms/choose-single/component'], function (exports, _ember, _cornerstoneComponentsFormsChooseSingleComponent) {
  exports['default'] = _cornerstoneComponentsFormsChooseSingleComponent['default'].extend({

    multi: true,
    assignDefaultMulti: true,
    arrayOutput: false,
    assignDefaultMultiDelimeter: _ember['default'].computed('delimiter', function () {
      return this.getWithDefault('delimiter', ' ');
    }),

    valueUpdated: 0,
    valueObserver: _ember['default'].computed('value.[]', function () {
      this.incrementProperty('valueUpdated');
    }),

    actions: {
      select: function select(choice) {

        var selected = this.get('arrayOutput') ? this.getWithDefault('value', []) : this.getWithDefault('value', '').split(this.getWithDefault('delimiter', ' '));
        var offValue = this.get('offValue');

        // Remove offValue

        if (!_ember['default'].isNone(offValue)) {
          var offValueIndex = selected.indexOf(offValue);
          if (-1 !== offValueIndex) {
            selected.splice(offValueIndex, 1);
          }
        }

        // Add/Remove choice
        var choiceIndex = selected.indexOf(choice);
        if (-1 === choiceIndex) {
          selected.push(choice);
        } else {
          selected.splice(choiceIndex, 1);
        }

        if (!_ember['default'].isNone(offValue) && selected.length < 1) {
          selected.push(offValue);
        }

        selected.sort();
        if (this.get('arrayOutput')) {
          this.set('value', selected.slice(0));
        } else {
          this.set('value', selected.join(this.getWithDefault('delimiter', ' ')));
        }

        console.log('selected', this.get('value'));
      }
    }

  });
});
define("cornerstone/components/forms/choose-multi/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/choose-multi/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["get", "this", ["loc", [null, [2, 10], [2, 14]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 2], [2, 17]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 11,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/forms/choose-multi/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "this", ["loc", [null, [6, 13], [6, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "choice.value", ["loc", [null, [7, 12], [7, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "icon", ["subexpr", "@mut", [["get", "choice.icon", ["loc", [null, [8, 11], [8, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "label", ["subexpr", "@mut", [["get", "choice.label", ["loc", [null, [9, 12], [9, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "tooltip", ["subexpr", "@mut", [["get", "choice.tooltip", ["loc", [null, [10, 14], [10, 28]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [5, 4], [10, 30]]], 0, 0]],
          locals: ["choice"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 12,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/choose-multi/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "choices", ["loc", [null, [4, 10], [4, 17]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [11, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 7
          }
        },
        "moduleName": "cornerstone/components/forms/choose-multi/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [12, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/choose-single/component', ['exports', 'ember', 'cornerstone/mixins/forms/visibility-observation', 'cornerstone/mixins/forms/assign-default'], function (exports, _ember, _cornerstoneMixinsFormsVisibilityObservation, _cornerstoneMixinsFormsAssignDefault) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsFormsVisibilityObservation['default'], _cornerstoneMixinsFormsAssignDefault['default'], {

    tagName: 'ul',
    classNames: ['cs-choose'],
    classNameBindings: ['condensed:cs-choose-condensed', 'cols'],
    assignDefaultOptionsPath: 'choices',

    init: function init() {
      this._super.apply(this, arguments);
      if (!_ember['default'].isNone(this.get('offValue'))) {
        this.set('assignDefaultSourcePath', 'offValue');
      }
    },

    // delimiter: null, // If delimiter is null, treat as an array - otherwise make a string

    condensed: true,
    cols: _ember['default'].computed('choices', 'foundCols', function () {
      var number = !this.get('choices') ? this.get('foundCols') : this.get('choices.length');
      return 'cols-' + number;
    }),

    didRender: function didRender() {

      if (!this.get('choices')) {
        _ember['default'].run.scheduleOnce('afterRender', (function () {
          this.set('foundCols', this.$('li').length);
        }).bind(this));
      }
    },

    actions: {
      isVisible: function isVisible() {
        this.send('assignDefaultOption');
      },
      select: function select(choice) {

        var offValue = this.get('offValue');

        if (!_ember['default'].isNone(offValue) && choice === this.get('value')) {
          choice = offValue;
        }

        this.set('value', choice);
      }
    }

  });
});
define("cornerstone/components/forms/choose-single/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/choose-single/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["get", "this", ["loc", [null, [2, 10], [2, 14]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 2], [2, 17]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 6,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/forms/choose-single/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/choose-choice", [], ["choose", ["subexpr", "@mut", [["get", "this", ["loc", [null, [5, 33], [5, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "choice.value", ["loc", [null, [5, 44], [5, 56]]], 0, 0, 0, 0]], [], [], 0, 0], "icon", ["subexpr", "@mut", [["get", "choice.icon", ["loc", [null, [5, 62], [5, 73]]], 0, 0, 0, 0]], [], [], 0, 0], "label", ["subexpr", "@mut", [["get", "choice.label", ["loc", [null, [5, 80], [5, 92]]], 0, 0, 0, 0]], [], [], 0, 0], "tooltip", ["subexpr", "@mut", [["get", "choice.tooltip", ["loc", [null, [5, 101], [5, 115]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [5, 4], [5, 117]]], 0, 0]],
          locals: ["choice"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/choose-single/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "choices", ["loc", [null, [4, 10], [4, 17]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [6, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/choose-single/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [7, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/color-input/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    colorService: _ember['default'].inject.service('templates/colors'),

    onInit: _ember['default'].on('init', function () {
      var _this = this;

      if (!this.get('usePalette')) {
        this.set('ready', true);
        return;
      }

      this.get('colorService.paletteItemsPromise').then(function (items) {

        if (_this.isDestroyed) {
          return;
        }

        _this.set('paletteItems', items);
        _this.set('ready', true);

        if (_this.get('selected')) {
          _this.get('updating', false);
          _this.set('value', _this.get('colorService').lookupColor(_this.get('selected')));
          if (_this.get('picker')) {
            _this.get('picker').send('stateChange');
          }
        }
      });
    }),

    classNames: ['cs-form-color-input'],

    valueObserver: _ember['default'].observer('value', function () {
      if (!this.get('updating')) {
        var value = this.get('value');
        this.$input.val(value);

        this.$('.huebert-picker-control-output-value').val(value);
        this.$input.trigger('change', { ember: true });
      }
      this.set('updating', false);
    }),

    selectedObserver: _ember['default'].observer('selected', function () {
      if (!this.get('updating')) {
        var incoming = this.getWithDefault('selected', '').replace(/\ /g, '');
        var current = this.getWithDefault('huebertValue', '').replace(/\ /g, '');
        if (incoming !== current) {
          var lookup = this.get('colorService').lookupColor(this.get('selected'));
          this.set('value', lookup);
        }
      }
    }),

    colorValue: _ember['default'].computed('value', 'colorService.paletteItems.[]', function () {
      if (!this.get('usePalette')) {
        return this.get('value');
      }
      return this.get('colorService').lookupColor(this.get('value'));
    }),

    huebertValueObserver: _ember['default'].observer('huebertValue', function () {
      this.set('updating', true);
      this.set('selected', this.get('huebertValue'));
      this.set('value', this.get('huebertValue'));
    }),

    didInsertElement: function didInsertElement() {
      this.set('canRender', true);
      this.renderWhenReady();
    },

    observeReady: _ember['default'].observer('ready', function () {
      this.renderWhenReady();
    }),

    renderWhenReady: function renderWhenReady() {
      var _this2 = this;

      if (!this.get('canRender') || this.get('isRendered')) {
        return;
      }

      this.set('isRendered', true);

      this.$input = this.$('input[type=text]');
      this.$input.val(this.get('value'));

      this.$input.on('change', function (e, params) {
        if (params && params.ember) {
          return;
        }
        _this2.set('huebertValue', _this2.$input.val());
      });

      _ember['default'].run.scheduleOnce('afterRender', function () {
        var opts = {
          outputFormat: _this2.getWithDefault('options.output_format', null),
          label: _this2.getWithDefault('options.label', null),
          canToggle: !_this2.getWithDefault('inline', false),
          scrollEvent: 'ps-scroll-x ps-scroll-y'
        };
        _this2.$input.huebert(opts);

        _this2.$('.huebert-picker-control-slider-a').after(_this2.$('.cs-form-color-input-palette'));
      });
    },

    actions: {
      select: function select(item) {
        this.set('selected', 'global-color:' + _ember['default'].get(item, 'id'));
      }
    }
  });
});
define('cornerstone/components/forms/color-input/palette-item/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-form-color-input-palette-item'],
    classNameBindings: ['active:cs-active'],
    attributeBindings: ['style', 'title'],
    title: _ember['default'].computed.alias('item.label'),
    colorStyle: _ember['default'].computed('item.value', function () {
      return _ember['default'].String.htmlSafe('background-color: ' + this.getWithDefault('item.value', 'transparent') + ';');
    }),

    active: _ember['default'].computed('item.id', 'selected', function () {
      return 'global-color:' + this.get('item.id') === this.getWithDefault('selected', null);
    }),

    didInsertElement: function didInsertElement() {
      var _this = this;

      this.$().on('click', function () {
        return _this.sendAction('select');
      });
    }

  });
});
define("cornerstone/components/forms/color-input/palette-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/color-input/palette-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createAttrMorph(element0, 'style');
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        return morphs;
      },
      statements: [["attribute", "style", ["get", "colorStyle", ["loc", [null, [1, 13], [1, 23]]], 0, 0, 0, 0], 0, 0, 0, 0], ["content", "yield", ["loc", [null, [2, 0], [2, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/components/forms/color-input/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 2
            },
            "end": {
              "line": 9,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/color-input/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/color-input/palette-item", [], ["item", ["subexpr", "@mut", [["get", "item", ["loc", [null, [5, 11], [5, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "selected", ["subexpr", "@mut", [["get", "selected", ["loc", [null, [6, 15], [6, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "select", ["subexpr", "action", ["select", ["get", "item", ["loc", [null, [7, 30], [7, 34]]], 0, 0, 0, 0]], [], ["loc", [null, [7, 13], [7, 35]]], 0, 0]], ["loc", [null, [4, 4], [8, 6]]], 0, 0]],
        locals: ["item"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/forms/color-input/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("input");
        dom.setAttribute(el1, "type", "text");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2]);
        var morphs = new Array(3);
        morphs[0] = dom.createAttrMorph(element0, 'class');
        morphs[1] = dom.createMorphAt(element0, 1, 1);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["attribute", "class", ["concat", ["cs-form-color-input-palette ", ["subexpr", "unless", [["get", "paletteItems", ["loc", [null, [2, 49], [2, 61]]], 0, 0, 0, 0], "cs-hide"], [], ["loc", [null, [2, 40], [2, 73]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "each", [["get", "paletteItems", ["loc", [null, [3, 10], [3, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 2], [9, 11]]]], ["content", "yield", ["loc", [null, [12, 0], [12, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/forms/color-picker/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    colorService: _ember['default'].inject.service('templates/colors'),

    classNames: ['cs-form-color-picker'],

    onInit: _ember['default'].on('init', function () {
      var _this = this;

      if (!this.get('usePalette')) {
        this.set('ready', true);
        return;
      }

      this.get('colorService.paletteItemsPromise').then(function () {
        if (!_this.isDestroyed) {
          _this.incrementProperty('swatchUpdate');
        }
      });
    }),

    swatchColor: _ember['default'].computed('value', 'colorService.paletteItems.[]', function () {
      if (!this.get('usePalette')) {
        return this.get('value');
      }
      return this.get('colorService').lookupColor(this.get('value'));
    }),

    label: _ember['default'].computed('options.label', function () {
      return this.getWithDefault('options.label', 'Select Color');
    }),

    content: _ember['default'].computed('value', 'swatchUpdate', function () {
      return _ember['default'].String.htmlSafe('<div class="cs-picker-swatch-content" style="background-color: ' + this.get('swatchColor') + ';"></div>');
    }),

    swatchUpdate: 0,
    actions: {
      stateChange: function stateChange() {
        this.incrementProperty('swatchUpdate');
      }
    }

  });
});
define("cornerstone/components/forms/color-picker/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/color-picker/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/color-input", [], ["inline", true, "selected", ["subexpr", "@mut", [["get", "value", ["loc", [null, [6, 43], [6, 48]]], 0, 0, 0, 0]], [], [], 0, 0], "usePalette", ["subexpr", "@mut", [["get", "usePalette", ["loc", [null, [6, 60], [6, 70]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 2], [6, 73]]], 0, 0]],
        locals: ["picker"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/color-picker/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "common/cs-picker", [], ["onStateChange", ["subexpr", "action", ["stateChange"], [], ["loc", [null, [2, 16], [2, 38]]], 0, 0], "label", ["subexpr", "@mut", [["get", "label", ["loc", [null, [3, 8], [3, 13]]], 0, 0, 0, 0]], [], [], 0, 0], "content", ["subexpr", "@mut", [["get", "content", ["loc", [null, [4, 10], [4, 17]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [1, 0], [7, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/forms/cs-toggle/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    tagName: 'ul',
    classNames: ['cs-toggle'],
    classNameBindings: ['state:on:off'],

    state: _ember['default'].computed('value', function () {
      return this.normalize(this.get('value'));
    }),

    // Detect various forms of boolean storage and play along

    normalize: function normalize(value) {

      if ('1' === value || 'true' === value) {
        return true;
      }

      if ('' === value || 'false' === value) {
        return false;
      }

      return !!value;
    },

    invert: function invert(value) {

      if ('true' === value) {
        return 'false';
      }

      if ('false' === value) {
        return 'true';
      }

      if ('1' === value) {
        return '';
      }

      if ('' === value) {
        return '1';
      }

      return !value;
    },

    click: function click() {
      this.send('toggle');
    },

    actions: {
      toggle: function toggle() {
        var _this = this;

        var $el = this.$();
        var on = $el.hasClass('on');
        $el.toggleClass('on', !on).toggleClass('off', !!on);

        _ember['default'].run.next(function () {
          _this.set('value', _this.invert(_this.get('value')));
        });
      }
    }

  });
});
define("cornerstone/components/forms/cs-toggle/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 37
          }
        },
        "moduleName": "cornerstone/components/forms/cs-toggle/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("li");
        dom.setAttribute(el1, "class", "on");
        var el2 = dom.createElement("span");
        var el3 = dom.createTextNode("On");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("li");
        dom.setAttribute(el1, "class", "off");
        var el2 = dom.createElement("span");
        var el3 = dom.createTextNode("Off");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/forms/expandable-text-editor/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-expandable-rich-text'],

    allModes: ['html', 'text'],
    availableModes: _ember['default'].computed(function () {
      var all = this.get('allModes');
      var mode = this.get('mode');
      return all.includes(mode) ? [mode] : all;
    }),

    onInit: _ember['default'].on('init', function () {
      this.set('activeMode', this.get('availableModes.firstObject'));
    }),

    headerLabel: _ember['default'].computed('activeMode', function () {
      var key = 'text' === this.get('activeMode') ? 'controls-text-editor-rich-text-mode-label' : 'controls-text-editor-html-mode-label';
      return this.get('i18n').t('app.' + key);
    }),

    content: _ember['default'].computed('value', 'placeholder', 'height', function () {

      var content = _ember['default'].Handlebars.Utils.escapeExpression(this.getWithDefault('value', this.getWithDefault('placeholder', '')));

      if (this.getWithDefault('height', 1) > 1) {
        return _ember['default'].String.htmlSafe('<textarea disabled>' + content + '</textarea>');
      }

      return _ember['default'].String.htmlSafe('<input type="text" value="' + content + '" disabled>');
    }),

    actions: {
      switchTo: function switchTo(mode) {
        this.set('activeMode', mode);
      }
    }

  });
});
define("cornerstone/components/forms/expandable-text-editor/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 20,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/expandable-text-editor/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/text-editor", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [13, 10], [13, 15]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [14, 16], [14, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "picker", ["subexpr", "@mut", [["get", "picker", ["loc", [null, [15, 11], [15, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "mode", ["subexpr", "@mut", [["get", "mode", ["loc", [null, [16, 9], [16, 13]]], 0, 0, 0, 0]], [], [], 0, 0], "activeMode", ["subexpr", "@mut", [["get", "activeMode", ["loc", [null, [17, 15], [17, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "externalSwitcher", true], ["loc", [null, [12, 2], [19, 4]]], 0, 0]],
        locals: ["picker"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 22,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/expandable-text-editor/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-expander", [], ["expanderClass", "cs-workspace-expander-content-expandable-text-editor", "label", ["subexpr", "t", ["app.controls-text-editor-click-to-edit"], [], ["loc", [null, [3, 8], [3, 52]]], 0, 0], "headerLabel", ["subexpr", "@mut", [["get", "headerLabel", ["loc", [null, [4, 14], [4, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "headerActionsComponent", ["subexpr", "component", ["forms/text-editor/text-editor-switcher"], ["availableModes", ["subexpr", "@mut", [["get", "availableModes", ["loc", [null, [6, 19], [6, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "activeMode", ["subexpr", "@mut", [["get", "activeMode", ["loc", [null, [7, 15], [7, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "switchTo", ["subexpr", "action", ["switchTo"], [], ["loc", [null, [8, 13], [8, 32]]], 0, 0]], ["loc", [null, [5, 25], [9, 3]]], 0, 0], "content", ["subexpr", "@mut", [["get", "content", ["loc", [null, [10, 10], [10, 17]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [1, 0], [20, 33]]]], ["content", "yield", ["loc", [null, [21, 0], [21, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/forms/icon-picker/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-form-icon-picker'],

    label: _ember['default'].computed('options.label', function () {
      return this.getWithDefault('options.label', 'Select Icon');
    })

  });
});
define("cornerstone/components/forms/icon-picker/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/icon-picker/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/choose-icon", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [2, 28], [2, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "scrollToSelectedOn", ["subexpr", "@mut", [["get", "picker.open", ["loc", [null, [2, 53], [2, 64]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [2, 66]]], 0, 0]],
        locals: ["picker"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 5,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/icon-picker/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "common/cs-picker", [], ["label", ["subexpr", "@mut", [["get", "label", ["loc", [null, [1, 26], [1, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "content", ["subexpr", "fa-icon", [["get", "value", ["loc", [null, [1, 49], [1, 54]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 40], [1, 55]]], 0, 0]], 0, null, ["loc", [null, [1, 0], [3, 21]]]], ["content", "yield", ["loc", [null, [4, 0], [4, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/forms/image-upload/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    wpMedia: _ember['default'].inject.service(),

    classNames: ['cs-image'],
    classNameBindings: ['pattern', 'empty', 'class'],
    attributeBindings: ['style'],

    pattern: _ember['default'].computed.alias('options.pattern'),

    empty: _ember['default'].computed('value', function () {
      return !this.get('value');
    }),

    style: _ember['default'].computed('value', function () {
      var value = this.get('value');
      return _ember['default'].String.htmlSafe(!value ? '' : 'background-image: url(' + value + ');');
    }),

    didInsertElement: function didInsertElement() {
      this.detectDimensions();
    },

    dimensionUpdate: _ember['default'].observer('value', function () {
      this.detectDimensions();
    }),

    detectDimensions: function detectDimensions() {
      var _this = this;

      var src = this.get('value');

      if (!src) {
        this.sendAction('onDimensionChange', { width: '', height: '' });
        return;
      }

      var $img = _ember['default'].$('<img src="' + this.get('value') + '" style="opacity:0;position:absolute;pointer-events:none;">');

      $img.on('load', function () {

        _this.sendAction('onDimensionChange', {
          width: $img[0].width,
          height: $img[0].height
        });

        _ember['default'].run.next(function () {
          $img.remove();
        });
      });

      this.$().append($img);
    },

    actions: {
      add: function add() {
        this.get('wpMedia').request(this, 'value');
      },
      remove: function remove() {
        this.set('value', '');
      }
    }

  });
});
define("cornerstone/components/forms/image-upload/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/image-upload/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "add");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "remove");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [2]);
        var morphs = new Array(4);
        morphs[0] = dom.createElementMorph(element0);
        morphs[1] = dom.createMorphAt(element0, 0, 0);
        morphs[2] = dom.createElementMorph(element1);
        morphs[3] = dom.createMorphAt(element1, 0, 0);
        return morphs;
      },
      statements: [["element", "action", ["add"], [], ["loc", [null, [1, 6], [1, 22]]], 0, 0], ["inline", "fa-icon", ["plus-circle"], [], ["loc", [null, [1, 35], [1, 60]]], 0, 0], ["element", "action", ["remove"], [], ["loc", [null, [2, 6], [2, 25]]], 0, 0], ["inline", "fa-icon", ["times-circle"], [], ["loc", [null, [2, 41], [2, 67]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/forms/inline-edit/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    tagName: 'span',

    classNames: ['cs-inline-edit'],
    classNameBindings: ['class', 'usingPlaceholder:cs-inline-edit-placeholder', 'invalid:cs-inline-edit-invalid', 'disabled:cs-inline-edit-disabled'],

    disabled: _ember['default'].computed.not('enabled'),
    enabled: true,

    label: _ember['default'].computed('value', function () {
      var label = this.get('value');
      if (!label) {
        label = this.getWithDefault('placeholder', 'Double click to edit.');
      }
      return label;
    }),

    usingPlaceholder: _ember['default'].computed('value', function () {
      return !this.get('value');
    }),

    inputClass: _ember['default'].computed('editing', function () {
      return this.get('editing') ? '' : 'cs-hide';
    }),

    click: function click() {
      if (this.get('blockClickThrough')) {
        return false;
      }
    },

    didRender: function didRender() {
      var _this = this;

      var aborted = false;

      var $input = this.$('input');
      $input.val(this.get('value'));

      $input.on('keydown', function (e) {

        if (13 === e.keyCode) {
          _this.send('doneEditing');
          e.preventDefault();
        }

        if (27 === e.keyCode) {
          aborted = true;
          _this.set('editing', false);
          e.preventDefault();
        }
      });

      $input.on('blur', function () {
        if (!aborted) {
          _this.send('doneEditing');
        }
      });
    },

    doubleClick: function doubleClick() {
      var _this2 = this;

      if (this.get('editing') || !this.get('enabled')) {
        return;
      }
      this.set('editing', true);
      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this2.$('input').focus();
      });
    },

    actions: {
      doneEditing: function doneEditing() {
        if (this.get('editing')) {
          this.set('value', this.$('input').val());
          this.sendAction();
        }
        this.set('editing', false);
      }
    }
  });
});
define("cornerstone/components/forms/inline-edit/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/inline-edit/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("input");
          dom.setAttribute(el1, "type", "text");
          dom.setAttribute(el1, "name", "");
          dom.setAttribute(el1, "value", "");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/inline-edit/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createUnsafeMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "label", ["loc", [null, [4, 2], [4, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/inline-edit/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "editing", ["loc", [null, [1, 6], [1, 13]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [5, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/radio-list/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({});
});
define("cornerstone/components/forms/radio-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/radio-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 6,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/forms/radio-list/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/rc-choice", [], ["value", ["subexpr", "get", [["get", "proxy", ["loc", [null, [5, 33], [5, 38]]], 0, 0, 0, 0], ["get", "checkbox.key", ["loc", [null, [5, 39], [5, 51]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 28], [5, 52]]], 0, 0], "optVal", ["subexpr", "@mut", [["get", "checkbox.value", ["loc", [null, [5, 60], [5, 74]]], 0, 0, 0, 0]], [], [], 0, 0], "label", ["subexpr", "@mut", [["get", "checkbox.label", ["loc", [null, [5, 81], [5, 95]]], 0, 0, 0, 0]], [], [], 0, 0], "half", ["subexpr", "@mut", [["get", "checkbox.half", ["loc", [null, [5, 101], [5, 114]]], 0, 0, 0, 0]], [], [], 0, 0], "mode", "radio"], ["loc", [null, [5, 4], [5, 129]]], 0, 0]],
          locals: ["checkbox"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/radio-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "checkboxes", ["loc", [null, [4, 10], [4, 20]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [6, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/radio-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [7, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/ratio-input/component', ['exports', 'ember'], function (exports, _ember) {

  function normalizeRatioValue(value, index) {
    var parts = (value || '').split(':');
    return 'undefined' !== typeof index ? parts[index] : parts;
  }

  function computeRatioComponent(index) {
    return _ember['default'].computed('value', {
      get: function get() {
        return normalizeRatioValue(this.get('value'), index);
      },
      set: function set(key, value) {
        value = value.replace(/\:/g, '');
        var parts = normalizeRatioValue(this.get('value'));
        parts[index] = value;
        var update = parts.join(':');
        this.set('value', ':' === update ? '' : update);
        return value;
      }
    });
  }

  exports['default'] = _ember['default'].Component.extend({
    tagName: 'ul',
    classNames: ['cs-form-ratio-input'],

    valueA: computeRatioComponent(0),
    valueB: computeRatioComponent(1),

    placeholderA: _ember['default'].computed('placeholder', function () {
      return normalizeRatioValue(this.get('placeholder') || '', 0);
    }),

    placeholderB: _ember['default'].computed('placeholder', function () {
      return normalizeRatioValue(this.get('placeholder') || '', 1);
    })

  });
});
define("cornerstone/components/forms/ratio-input/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 56
          }
        },
        "moduleName": "cornerstone/components/forms/ratio-input/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("li");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("li");
        var el2 = dom.createTextNode(":");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("li");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [4]), 0, 0);
        return morphs;
      },
      statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "valueA", ["loc", [null, [1, 18], [1, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholderA", ["loc", [null, [1, 37], [1, 49]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 4], [1, 51]]], 0, 0], ["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "valueB", ["loc", [null, [3, 18], [3, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholderB", ["loc", [null, [3, 37], [3, 49]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 4], [3, 51]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/forms/rc-checkbox/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    half: false,
    tagName: 'label',
    classNames: ['cs-rc', 'cs-rc-checkbox'],
    classNameBindings: ['half:cs-rc-1-2']
  });
});
define("cornerstone/components/forms/rc-checkbox/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 2
            },
            "end": {
              "line": 6,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/rc-checkbox/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [5, 4], [5, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 2
            },
            "end": {
              "line": 8,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/rc-checkbox/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "label", ["loc", [null, [7, 4], [7, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/rc-checkbox/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "cs-rc-indicator");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "cs-rc-label");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [4]), 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "input", [], ["type", "checkbox", "checked", ["subexpr", "@mut", [["get", "value", ["loc", [null, [1, 32], [1, 37]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 0], [1, 39]]], 0, 0], ["block", "if", [["get", "hasBlock", ["loc", [null, [4, 8], [4, 16]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [4, 2], [8, 9]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/rc-choice/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    half: false,
    tagName: 'label',
    classNames: ['cs-rc'],
    classNameBindings: ['modeClass', 'half:cs-rc-1-2'],
    mode: 'checkbox',

    modeClass: _ember['default'].computed('mode', function () {
      return 'radio' === this.get('mode') ? 'cs-rc-radio' : 'cs-rc-checkbox';
    }),

    castArrayVal: _ember['default'].computed('arrayVal', function () {
      var arrayVal = this.get('arrayVal');
      return _ember['default'].isArray(arrayVal) ? arrayVal : _ember['default'].A([arrayVal]);
    }),

    isChecked: _ember['default'].computed({
      get: function get() {
        var _this = this;

        var mode = this.get('mode');

        if ('radio' === mode) {
          return this.get('value') === this.get('optVal');
        }

        if ('array' === mode) {
          var _ret = (function () {

            var val = _this.get('value');
            return {
              v: _this.get('castArrayVal').every(function (arrayVal) {
                return val.includes(arrayVal);
              })
            };
          })();

          if (typeof _ret === 'object') return _ret.v;
        }

        return this.get('value');
      },

      set: function set(key, value) {
        var _this2 = this;

        var mode = this.get('mode');

        if ('radio' === mode) {
          this.set('value', this.get('optVal'));
          return value;
        }

        if ('array' === mode) {

          if (value) {
            this.get('castArrayVal').forEach(function (val) {
              _this2.get('value').addObject(val);
            });
          } else {
            this.get('castArrayVal').forEach(function (val) {
              _this2.get('value').removeObject(val);
            });
          }

          return value;
        }

        this.set('value', value);

        return value;
      }
    })

  });
});
define("cornerstone/components/forms/rc-choice/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 2
            },
            "end": {
              "line": 6,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/rc-choice/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [5, 4], [5, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 2
            },
            "end": {
              "line": 8,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/rc-choice/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "label", ["loc", [null, [7, 4], [7, 13]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/rc-choice/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "cs-rc-indicator");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "cs-rc-label");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [4]), 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "input", [], ["type", "checkbox", "checked", ["subexpr", "@mut", [["get", "isChecked", ["loc", [null, [1, 32], [1, 41]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 0], [1, 43]]], 0, 0], ["block", "if", [["get", "hasBlock", ["loc", [null, [4, 8], [4, 16]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [4, 2], [8, 9]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/select-base/component', ['exports', 'ember', 'cornerstone/mixins/forms/visibility-observation', 'cornerstone/mixins/forms/assign-default'], function (exports, _ember, _cornerstoneMixinsFormsVisibilityObservation, _cornerstoneMixinsFormsAssignDefault) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsFormsVisibilityObservation['default'], _cornerstoneMixinsFormsAssignDefault['default'], {

    assignDefaultOptionsPath: 'computedOptions',

    store: _ember['default'].inject.service(),

    init: function init() {
      this._super.apply(this, arguments);
      this.processDynamicContent();
    },

    processDynamicContent: function processDynamicContent() {
      var _this = this;

      var options = this.get('options');

      if ('string' === typeof options) {
        this.set('loadingDynamic', true);
        this.get('store').findRecord('fragment', 'app-choices::' + options).then(function (record) {
          _this.setDynamicContent(_ember['default'].get(record, 'value'));
        });
      } else if (options.then) {
        this.set('loadingDynamic', true);
        options.then(function (response) {
          _this.setDynamicContent(response);
        });
      }
    },

    setDynamicContent: function setDynamicContent(value) {
      var _this2 = this;

      if (this.isDestroyed) {
        return;
      }
      this.set('dynamicContent', value);
      this.set('loadingDynamic', false);
      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this2.send('assignDefaultOption');
      });
    },

    observerDynamicOptions: _ember['default'].observer('options', function () {
      this.processDynamicContent();
    }),

    computedOptions: _ember['default'].computed('options.[]', 'dynamicContent.[]', function () {

      var options = this.get('dynamicContent');
      if (!options) {
        options = this.getWithDefault('options', _ember['default'].A());
      }

      if (!_ember['default'].isArray(options)) {
        return _ember['default'].A();
      }

      return options.map(function (choice) {

        if ('string' === typeof choice) {
          return { value: choice, label: choice };
        }

        if (_ember['default'].isNone(choice.value)) {
          return null;
        }

        var option = { value: choice.value, label: choice.label ? choice.label : choice.value };

        if (_ember['default'].isPresent(choice.group)) {
          option.group = choice.group;
        }

        return choice;
      }).filter(_ember['default'].isPresent);
    }),

    computedOptionsChange: _ember['default'].observer('computedOptions.[]', function () {
      var _this3 = this;

      if (this.get('allowInvalidOption')) {
        return;
      }
      _ember['default'].run.next(this, function () {
        _this3.send('assignDefaultOption');
      });
    }),

    actions: {
      isVisible: function isVisible() {
        if (!this.get('loadingDynamic')) {
          this.send('assignDefaultOption');
        }
      }
    }
  });
});
define("cornerstone/components/forms/select-base/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 2
            },
            "end": {
              "line": 7,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/select-base/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/styled-select/styled-option", [], ["selected", true, "disabled", true, "label", ["subexpr", "@mut", [["get", "placeholderText", ["loc", [null, [6, 74], [6, 89]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 4], [6, 91]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 2
            },
            "end": {
              "line": 10,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/select-base/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["get", "this", ["loc", [null, [9, 12], [9, 16]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 4], [9, 18]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 4
              },
              "end": {
                "line": 13,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/select-base/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/styled-select/styled-option", [], ["select", ["subexpr", "@mut", [["get", "this", ["loc", [null, [12, 49], [12, 53]]], 0, 0, 0, 0]], [], [], 0, 0], "option", ["subexpr", "@mut", [["get", "option", ["loc", [null, [12, 61], [12, 67]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [12, 6], [12, 70]]], 0, 0]],
          locals: ["option"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 2
            },
            "end": {
              "line": 14,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/select-base/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "each", [["get", "computedOptions", ["loc", [null, [11, 12], [11, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [11, 4], [13, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/forms/select-base/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("span");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("select");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [2]);
        var morphs = new Array(6);
        morphs[0] = dom.createAttrMorph(element0, 'class');
        morphs[1] = dom.createUnsafeMorphAt(dom.childAt(element0, [1]), 0, 0);
        morphs[2] = dom.createAttrMorph(element1, 'disabled');
        morphs[3] = dom.createElementMorph(element1);
        morphs[4] = dom.createMorphAt(element1, 1, 1);
        morphs[5] = dom.createMorphAt(element1, 2, 2);
        return morphs;
      },
      statements: [["attribute", "class", ["concat", ["cs-styled-select-label ", ["subexpr", "if", [["get", "showPlaceholder", ["loc", [null, [1, 40], [1, 55]]], 0, 0, 0, 0], "cs-styled-select-placeholder"], [], ["loc", [null, [1, 35], [1, 88]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["content", "label", ["loc", [null, [2, 8], [2, 19]]], 0, 0, 0, 0], ["attribute", "disabled", ["get", "disabled", ["loc", [null, [4, 19], [4, 27]]], 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["change"], ["on", "change"], ["loc", [null, [4, 30], [4, 61]]], 0, 0], ["block", "if", [["get", "showPlaceholder", ["loc", [null, [5, 8], [5, 23]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 2], [7, 9]]]], ["block", "if", [["get", "hasBlock", ["loc", [null, [8, 8], [8, 16]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [8, 2], [14, 9]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/forms/select-multi/component', ['exports', 'ember', 'cornerstone/components/forms/select-base/component'], function (exports, _ember, _cornerstoneComponentsFormsSelectBaseComponent) {
  exports['default'] = _cornerstoneComponentsFormsSelectBaseComponent['default'].extend({
    classNames: ['cs-select', 'cs-select-multi'],
    selection: _ember['default'].computed('value', function () {
      return this.getWithDefault('value', _ember['default'].A()).map(function (value) {
        return { value: value };
      });
    }),
    actions: {
      add: function add(item) {
        this.get('value').addObject(item.value);
      },
      remove: function remove(item) {
        this.get('value').removeObject(item.value);
      }
    }
  });
});
define("cornerstone/components/forms/select-multi/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/select-multi/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "ember-selectize", [], ["content", ["subexpr", "@mut", [["get", "computedOptions", ["loc", [null, [2, 10], [2, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "optionValuePath", "content.value", "optionLabelPath", "content.label", "selection", ["subexpr", "@mut", [["get", "selection", ["loc", [null, [5, 12], [5, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "multiple", true, "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [7, 14], [7, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "optionGroupPath", "group", "add-item", ["subexpr", "action", ["add"], [], ["loc", [null, [9, 11], [9, 25]]], 0, 0], "remove-item", ["subexpr", "action", ["remove"], [], ["loc", [null, [10, 14], [10, 31]]], 0, 0]], ["loc", [null, [1, 0], [11, 2]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/forms/select-single/component', ['exports', 'cornerstone/components/forms/select-base/component'], function (exports, _cornerstoneComponentsFormsSelectBaseComponent) {
  exports['default'] = _cornerstoneComponentsFormsSelectBaseComponent['default'].extend({
    classNames: ['cs-select', 'cs-select-single']
  });
});
// import Ember from 'ember';
define("cornerstone/components/forms/select-single/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 9,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/select-single/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "ember-selectize", [], ["content", ["subexpr", "@mut", [["get", "computedOptions", ["loc", [null, [2, 10], [2, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "optionValuePath", "content.value", "optionLabelPath", "content.label", "value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [5, 8], [5, 13]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [6, 14], [6, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "optionGroupPath", "group"], ["loc", [null, [1, 0], [8, 2]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/forms/styled-select/component', ['exports', 'ember', 'cornerstone/components/forms/select-base/component'], function (exports, _ember, _cornerstoneComponentsFormsSelectBaseComponent) {
  exports['default'] = _cornerstoneComponentsFormsSelectBaseComponent['default'].extend({

    classNames: ['cs-styled-select'],
    classNameBindings: ['focused:cs-active'],
    focused: false,
    hasRendered: false,

    didInsertElement: function didInsertElement() {
      var _this = this;

      this.$('select').on('focus', function () {
        _this.set('focused', true);
      }).on('blur', function () {
        _this.set('focused', false);
      });

      _ember['default'].run.next(function () {
        if (!_this.get('isDestroyed')) {
          _this.set('hasRendered', true);
        }
      });
    },

    placeholderText: _ember['default'].computed('placeholder', 'value', function () {
      var placeholder = this.get('placeholder');
      if (_ember['default'].isNone(placeholder)) {
        return this.get('value');
      }
      return placeholder;
    }),

    label: _ember['default'].computed('selectedOption', 'loadingDynamic', function () {

      if (this.get('loadingDynamic')) {
        return 'Loading&hellip;';
      }

      if (this.get('showPlaceholder') || !this.get('selectedOption')) {
        return this.get('placeholderText');
      }

      var selected = this.getWithDefault('selectedOption', {});
      return _ember['default'].getWithDefault(selected, 'label', _ember['default'].getWithDefault(selected, 'value', this.get('selectedOption')));
    }),

    selectedOption: _ember['default'].computed('value', 'computedOptions.[]', function () {

      var current = this.get('value');
      if (_ember['default'].isNone(current)) {
        this.send('assignDefaultOption');
        current = this.get('value');
      }

      return this.get('computedOptions').find(function (option) {
        // Try `option.value`, then `option`
        // Not checking strictly because it's ok to accept values that are "close enough" in this case
        return current == _ember['default'].getWithDefault(option, 'value', option); // eslint-disable-line eqeqeq
      });
    }),

    showPlaceholder: _ember['default'].computed.none('selectedOption'),

    actions: {
      change: function change() {

        var options = this.get('computedOptions');

        var index = this.$('select')[0].selectedIndex;

        if (this.get('showPlaceholder')) {
          index--;
        }

        // Try `option.value`, then `option`
        this.set('value', _ember['default'].getWithDefault(options[index], 'value', options[index]));
      }
    }
  });
});
define('cornerstone/components/forms/styled-select/styled-option/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'option',
    attributeBindings: ['value', 'selected', 'disabled'],

    // Return first available path in this order: option.value, option.label, option
    value: _ember['default'].computed('option', 'option.value', function () {
      var option = this.getWithDefault('option', {});
      return _ember['default'].getWithDefault(option, 'value', _ember['default'].getWithDefault(option, 'label', this.get('option')));
    }),

    // Return first available path in this order: option.label, option.value, option
    label: _ember['default'].computed('option', 'option.label', function () {
      var option = this.getWithDefault('option', {});
      return _ember['default'].getWithDefault(option, 'label', _ember['default'].getWithDefault(option, 'value', this.get('option')));
    }),

    selected: _ember['default'].computed('select.value', function () {
      // Not checking strictly because it's ok to accept values that are "close enough" in this case
      return this.get('select.value') == this.get('value'); // eslint-disable-line eqeqeq
    })
  });
});
define("cornerstone/components/forms/styled-select/styled-option/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 11
          }
        },
        "moduleName": "cornerstone/components/forms/styled-select/styled-option/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createUnsafeMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "label", ["loc", [null, [1, 0], [1, 11]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/components/forms/styled-select/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 2
            },
            "end": {
              "line": 7,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/styled-select/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/styled-select/styled-option", [], ["selected", true, "disabled", true, "label", ["subexpr", "@mut", [["get", "placeholderText", ["loc", [null, [6, 74], [6, 89]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 4], [6, 91]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 2
            },
            "end": {
              "line": 10,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/styled-select/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["get", "this", ["loc", [null, [9, 12], [9, 16]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 4], [9, 18]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 12,
                  "column": 6
                },
                "end": {
                  "line": 14,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/forms/styled-select/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "forms/styled-select/styled-option", [], ["select", ["subexpr", "@mut", [["get", "this", ["loc", [null, [13, 51], [13, 55]]], 0, 0, 0, 0]], [], [], 0, 0], "option", ["subexpr", "@mut", [["get", "option", ["loc", [null, [13, 63], [13, 69]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [13, 8], [13, 72]]], 0, 0]],
            locals: ["option"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 4
              },
              "end": {
                "line": 15,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/styled-select/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "each", [["get", "computedOptions", ["loc", [null, [12, 14], [12, 29]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [12, 6], [14, 15]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 2
            },
            "end": {
              "line": 16,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/styled-select/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "hasRendered", ["loc", [null, [11, 10], [11, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [11, 4], [15, 11]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/styled-select/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("span");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("select");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [2]);
        var morphs = new Array(6);
        morphs[0] = dom.createAttrMorph(element0, 'class');
        morphs[1] = dom.createUnsafeMorphAt(dom.childAt(element0, [1]), 0, 0);
        morphs[2] = dom.createAttrMorph(element1, 'disabled');
        morphs[3] = dom.createElementMorph(element1);
        morphs[4] = dom.createMorphAt(element1, 1, 1);
        morphs[5] = dom.createMorphAt(element1, 2, 2);
        return morphs;
      },
      statements: [["attribute", "class", ["concat", ["cs-styled-select-label ", ["subexpr", "if", [["get", "showPlaceholder", ["loc", [null, [1, 40], [1, 55]]], 0, 0, 0, 0], "cs-styled-select-placeholder"], [], ["loc", [null, [1, 35], [1, 88]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["content", "label", ["loc", [null, [2, 8], [2, 19]]], 0, 0, 0, 0], ["attribute", "disabled", ["get", "disabled", ["loc", [null, [4, 19], [4, 27]]], 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["change"], ["on", "change"], ["loc", [null, [4, 30], [4, 61]]], 0, 0], ["block", "if", [["get", "showPlaceholder", ["loc", [null, [5, 8], [5, 23]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 2], [7, 9]]]], ["block", "if", [["get", "hasBlock", ["loc", [null, [8, 8], [8, 16]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [8, 2], [16, 9]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/forms/text-editor/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-text-editor'],
    classNameBindings: ['modeClass'],

    allModes: ['html', 'text'],

    editorWrapID: _ember['default'].computed('editorID', function () {
      return 'wp-' + this.get('editorID') + '-wrap';
    }),

    editorContainerID: _ember['default'].computed('editorID', function () {
      return 'wp-' + this.get('editorID') + '-editor-container';
    }),

    init: function init() {

      this._super.apply(this, arguments);

      var editorID = 'cswpeditor-' + _ember['default'].guidFor(this);
      this.set('editorID', editorID);

      window.tinyMCEPreInit.mceInit[editorID] = _ember['default'].copy(window.tinyMCEPreInit.mceInit['cswpeditor']);
      window.tinyMCEPreInit.mceInit[editorID].id = editorID;
      window.tinyMCEPreInit.mceInit[editorID].selector = '#' + editorID;
      window.tinyMCEPreInit.mceInit[editorID].resize = false;
      window.tinyMCEPreInit.mceInit[editorID].valid_elements = "*[*]";
      window.tinyMCEPreInit.mceInit[editorID].extended_valid_elements = "*[*]";
    },

    setupTinyMCE: function setupTinyMCE() {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        if (_this.get('tinyMCERendered') || 'undefined' === typeof window.tinymce) {
          return reject();
        }

        var editorID = _this.get('editorID');

        window.tinyMCEPreInit.mceInit[editorID].setup = _this.get('setupTinyMCE');

        var setup = function setup(editor) {

          _this.set('editorInstance', editor);

          editor.on('init', function () {

            if (!window.wpActiveEditor) {
              window.wpActiveEditor = editorID;
            }

            _this.set('tinyMCERendered', true);

            resolve(editor);
          });

          editor.addButton('cs_media', {
            icon: 'image',
            onclick: function onclick() {
              if (!window.wp || !window.wp.media || !window.wp.media.editor) {
                return;
              }
              window.wp.media.editor.open(_this.get('editorID'), {
                frame: 'post',
                state: 'insert',
                title: window.wp.media.view.l10n.addMedia,
                multiple: true
              });
            }
          });

          var update = function update() {
            if ('text' === _this.get('activeMode')) {
              _this.set('isUpdatingText', true);
              _this.set('value', _this.get('editorInstance').getContent());
              _this.set('isUpdatingText', false);
            }
          };

          editor.on('keyup change NodeChange', function () {
            _ember['default'].run.debounce(update, 150);
          });
        };

        window.tinymce.init(_ember['default'].assign({}, window.tinyMCEPreInit.mceInit[editorID], { setup: setup }));
      });
    },

    availableModes: _ember['default'].computed(function () {
      var all = this.get('allModes');
      var mode = this.get('mode');
      return all.includes(mode) ? [mode] : all;
    }),

    modeClass: _ember['default'].computed('activeMode', function () {
      return 'cs-text-editor-mode-' + this.get('activeMode');
    }),

    pickerOpen: _ember['default'].observer('picker.open', function () {
      // if ( this.get('picker.open') ) {
      //   Ember.run.scheduleOnce('afterRender', () => {
      //     this.renderTinyMCE();
      //   });
      // }
    }),

    onInit: _ember['default'].on('init', function () {
      if (_ember['default'].isNone(this.get('activeMode'))) {
        this.set('activeMode', this.get('availableModes.firstObject'));
      }
    }),

    observeValue: _ember['default'].observer('value', function () {
      var editorInstance = this.get('editorInstance');
      if (!editorInstance || this.isDestroyed || this.get('isUpdatingText')) {
        return;
      }
      editorInstance.setContent(this.get('value'), { format: 'raw' });
      this.set('isUpdatingText', false);
    }),

    didInsertElement: function didInsertElement() {
      var _this2 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {
        if (_this2.get('availableModes').includes('text')) {
          _this2.$('.cs-text-editor-text textarea').val(_this2.get('value'));
          _this2.setupTinyMCE().then(function () {
            _this2.send('focus');
          });
        } else {
          _this2.send('focus');
        }
      });
    },

    prepareEditorContent: function prepareEditorContent(html) {
      return html;
    },
    cleanEditorUpdate: function cleanEditorUpdate(html) {
      return html;
    },

    activeModeObserver: _ember['default'].observer('activeMode', function () {
      this.send('focus');
    }),

    actions: {
      focus: function focus() {
        var _this3 = this;

        _ember['default'].run.later(function () {
          if ('text' === _this3.get('activeMode')) {
            _this3.send('focusTextEditor');
          } else {
            _this3.$('textarea').focus();
          }
        }, 10);
      },
      switchTo: function switchTo(mode) {
        this.set('activeMode', mode);
      },
      focusTextEditor: function focusTextEditor() {
        var editorInstance = this.get('editorInstance');
        if (editorInstance) {
          editorInstance.focus();
          editorInstance.selection.select(editorInstance.getBody(), true);
          editorInstance.selection.collapse(false);
        }
      }
    }
  });
});
define("cornerstone/components/forms/text-editor/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 8,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/text-editor/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "forms/text-editor/text-editor-switcher", [], ["classNames", ["subexpr", "array", ["cs-workspace-expander-head-actions"], [], ["loc", [null, [3, 15], [3, 59]]], 0, 0], "switchTo", ["subexpr", "action", ["switchTo"], [], ["loc", [null, [4, 13], [4, 32]]], 0, 0], "availableModes", ["subexpr", "@mut", [["get", "availableModes", ["loc", [null, [5, 19], [5, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "activeMode", ["subexpr", "@mut", [["get", "activeMode", ["loc", [null, [6, 15], [6, 25]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [7, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 19,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/text-editor/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-text-editor-text");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "wp-core-ui wp-editor-wrap tmce-active");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "wp-editor-container");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("textarea");
        dom.setAttribute(el4, "class", "cs-wp-editor wp-editor-area");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [1, 1]);
        var element1 = dom.childAt(element0, [1]);
        var element2 = dom.childAt(element1, [1]);
        var morphs = new Array(6);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createAttrMorph(element0, 'id');
        morphs[2] = dom.createAttrMorph(element1, 'id');
        morphs[3] = dom.createAttrMorph(element2, 'id');
        morphs[4] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        morphs[5] = dom.createMorphAt(fragment, 5, 5, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "unless", [["get", "externalSwitcher", ["loc", [null, [1, 10], [1, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [8, 11]]]], ["attribute", "id", ["get", "editorWrapID", ["loc", [null, [10, 12], [10, 24]]], 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "id", ["get", "editorContainerID", ["loc", [null, [11, 14], [11, 31]]], 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "id", ["get", "editorID", ["loc", [null, [12, 57], [12, 65]]], 0, 0, 0, 0], 0, 0, 0, 0], ["inline", "textarea", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [17, 17], [17, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "class", "cs-text-editor-html"], ["loc", [null, [17, 0], [17, 52]]], 0, 0], ["content", "yield", ["loc", [null, [18, 0], [18, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/forms/text-editor/text-editor-switcher/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({});
});
define("cornerstone/components/forms/text-editor/text-editor-switcher/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/text-editor/text-editor-switcher/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element1, 'class');
          morphs[1] = dom.createElementMorph(element1);
          morphs[2] = dom.createMorphAt(element1, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "activeMode", ["loc", [null, [2, 53], [2, 63]]], 0, 0, 0, 0], "html"], [], ["loc", [null, [2, 49], [2, 71]]], 0, 0], "cs-active"], [], ["loc", [null, [2, 44], [2, 85]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", [["get", "switchTo", ["loc", [null, [2, 19], [2, 27]]], 0, 0, 0, 0], "html"], [], ["loc", [null, [2, 10], [2, 36]]], 0, 0], ["inline", "fa-icon", ["code"], [], ["loc", [null, [2, 87], [2, 105]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/forms/text-editor/text-editor-switcher/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createElementMorph(element0);
          morphs[2] = dom.createMorphAt(element0, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "activeMode", ["loc", [null, [5, 53], [5, 63]]], 0, 0, 0, 0], "text"], [], ["loc", [null, [5, 49], [5, 71]]], 0, 0], "cs-active"], [], ["loc", [null, [5, 44], [5, 85]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", [["get", "switchTo", ["loc", [null, [5, 19], [5, 27]]], 0, 0, 0, 0], "text"], [], ["loc", [null, [5, 10], [5, 36]]], 0, 0], ["inline", "cs-icon", ["interface/action-btn-fonts"], [], ["loc", [null, [5, 87], [5, 127]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/text-editor/text-editor-switcher/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["subexpr", "contains", ["html", ["get", "availableModes", ["loc", [null, [1, 23], [1, 37]]], 0, 0, 0, 0]], [], ["loc", [null, [1, 6], [1, 38]]], 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["block", "if", [["subexpr", "contains", ["text", ["get", "availableModes", ["loc", [null, [4, 23], [4, 37]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 6], [4, 38]]], 0, 0]], [], 1, null, ["loc", [null, [4, 0], [6, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/unit-input/component', ['exports', 'ember', 'cornerstone/util/string-like', 'cornerstone/util/split-on-whitespace'], function (exports, _ember, _cornerstoneUtilStringLike, _cornerstoneUtilSplitOnWhitespace) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-unit-input'],
    classNameBindings: ['invalidInput:cs-unit-input-invalid', 'choicesDisabled:cs-unit-input-hide-switcher'],
    open: false,
    isFocused: false,

    unitMode: _ember['default'].computed('options.unit_mode', function () {
      return this.getWithDefault('options.unit_mode', 'distance');
    }),

    distanceUnits: ['none', 'px', 'em', 'rem', 'vh', 'vw', '%'],
    angleUnits: ['deg', 'rad'],
    timeUnits: ['s', 'ms'],

    solitaryInput: _ember['default'].computed.lte('allowedUnits.length', 1),
    isUnitless: _ember['default'].computed.equal('unitMode', 'unitless'),

    choicesDisabled: _ember['default'].computed('solitaryInput', 'options.disabled', 'usingKeyword', 'isUnitless', function () {
      return this.get('options.disabled') || this.get('solitaryInput') || this.get('usingKeyword') || this.get('isUnitless');
    }),

    init: function init() {

      this._super.apply(this, arguments);

      var parent = this.get('parent');

      if (_ember['default'].isPresent(parent)) {
        parent.set('unitInput', this);
      }

      this.set('usingKeyword', this.isKeywordValid(this.get('value')));
    },

    focusChange: _ember['default'].observer('isFocused', function () {
      this.fallback();
    }),

    fallbackWhenInvalid: _ember['default'].computed('value', function () {
      this.fallback();
    }),

    fallback: function fallback() {
      if (!this.get('isFocused') && (this.get('invalidInput') || '' === this.get('value'))) {
        this.set('value', this.getWithDefault('options.fallback_value', '0' + this.get('allowedUnits')[0]));
        this.notifyPropertyChange('rawValue');
      }
    },

    valToString: function valToString() {
      var val = arguments.length <= 0 || arguments[0] === undefined ? '' : arguments[0];

      return String(val);
    },

    detectUnit: function detectUnit(source) {
      var selected = undefined;
      var current = this.valToString(source);
      var matches = current.match(/-?\d*(?:\.\d+)?/);
      var prev = this.get('previousUnit');

      if (matches) {
        selected = current.replace(matches[0], '');
      }

      if (prev && '' === current) {
        selected = prev;
      }

      var allowed = this.get('allowedUnits');

      return allowed.includes(selected) ? selected : allowed[0];
    },

    stripUnit: function stripUnit(value, fallback) {

      var matches = this.valToString(value).match(/-?\d*(?:\.\d+)?/);
      var parsed = fallback;

      if (matches) {
        parsed = parseFloat(matches[0]);
      }

      return isNaN(parsed) ? fallback : parsed;
    },

    unit: _ember['default'].computed('value', 'allowedUnits', {
      get: function get() {
        if (this.get('isUnitless')) {
          return '';
        }
        var value = this.get('value');
        return this.isKeywordValid(value) ? '' : this.detectUnit(value);
      },
      set: function set(key, value) {

        var raw = this.get('rawValue');
        if (this.isKeywordValid(raw)) {
          return '';
        }

        var number = this.stripUnit(raw, 0);

        this.set('value', 'none' === value ? number : '' + number + value);
        this.set('previousUnit', value);

        return value;
      }
    }),

    observeUsingKeyword: _ember['default'].observer('value', function () {
      this.set('usingKeyword', this.isKeywordValid(this.get('value')));
    }),

    rawValue: _ember['default'].computed('value', {
      get: function get() {
        var value = this.get('value');
        return this.isKeywordValid(value) ? value : this.stripUnit(value, undefined);
      },
      set: function set(key, value) {

        if (this.isKeywordValid(value)) {
          this.set('value', value);
          this.set('invalidInput', false);
          return value;
        }

        var matches = this.valToString(value).match(/^-?\d*(?:\.\d+)?$/);
        if (matches && !isNaN(parseFloat(value))) {
          var unit = this.get('usingKeyword') ? this.detectUnit(value) : this.get('unit');

          if ('none' === unit) {
            this.set('value', matches[0]);
          } else {
            this.set('value', '' + matches[0] + unit);
          }

          this.set('invalidInput', false);
        } else if ('' === value && '' === this.get('options.fallback_value')) {
          this.set('value', '');
          this.set('invalidInput', false);
        } else {
          this.set('invalidInput', true);
        }

        return value;
      }
    }),

    rawNumeric: _ember['default'].computed('value', function () {
      var value = this.get('value');
      return this.isKeywordValid(value) ? false : this.stripUnit(value, false);
    }),

    allowedUnits: _ember['default'].computed('options.available_units', 'unitMode', function () {

      if (this.get('isUnitless')) {
        return [''];
      }

      var baseUnits = this.get('angle' === this.get('unitMode') ? 'angleUnits' : 'time' === this.get('unitMode') ? 'timeUnits' : 'distanceUnits');
      var allowed = this.get('options.available_units');

      if (allowed) {
        baseUnits = baseUnits.filter(function (item) {
          return allowed.includes(item);
        });
      }

      return baseUnits;
    }),

    isKeywordValid: function isKeywordValid(word) {

      // Bail if we find any unqualified spaces
      if ((0, _cornerstoneUtilSplitOnWhitespace['default'])(word).length > 1) {
        return false;
      }

      return !!this.getWithDefault('options.valid_keywords', []).find(function (keyword) {
        if ('calc' === keyword) {
          keyword = 'calc%';
        }
        return (0, _cornerstoneUtilStringLike['default'])(word, keyword);
      });
    },

    actions: {

      focus: function focus() {
        this.set('isFocused', true);
      },

      blur: function blur() {
        this.set('isFocused', false);
      },

      selectUnit: function selectUnit(unit) {
        this.set('unit', unit);
        this.set('open', false);
      },

      toggle: function toggle() {

        if (this.get('open')) {
          this.set('open', false);
          return;
        }

        if (!this.get('solitaryInput')) {
          this.set('open', true);
        }
      },

      clickOutside: function clickOutside() {
        this.set('open', false);
      },

      detectUnitOnEnter: function detectUnitOnEnter() {

        var raw = this.get('rawValue');
        if (this.isKeywordValid(raw) || this.get('isUnitless')) {
          return;
        }

        var fallback = this.get('options.fallback_value');
        if ('' === raw && fallback) {
          this.set('rawValue', fallback);
        } else {
          var detected = this.detectUnit(raw);

          if (detected === this.get('unit')) {
            this.set('rawValue', this.stripUnit(raw, 0));
          } else {
            this.set('unit', detected);
          }
        }
      }
    }

  });
});
define("cornerstone/components/forms/unit-input/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 2
            },
            "end": {
              "line": 5,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/unit-input/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element1, 'class');
          morphs[1] = dom.createElementMorph(element1);
          morphs[2] = dom.createMorphAt(element1, 0, 0);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", ["cs-unit-input-unit ", ["subexpr", "if", [["get", "open", ["loc", [null, [4, 43], [4, 47]]], 0, 0, 0, 0], "cs-active"], [], ["loc", [null, [4, 38], [4, 61]]], 0, 0], " ", ["subexpr", "if", [["get", "choicesDisabled", ["loc", [null, [4, 67], [4, 82]]], 0, 0, 0, 0], "cs-solitary"], [], ["loc", [null, [4, 62], [4, 98]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["toggle"], [], ["loc", [null, [4, 100], [4, 119]]], 0, 0], ["content", "unit", ["loc", [null, [4, 120], [4, 128]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 8,
                  "column": 6
                },
                "end": {
                  "line": 10,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/forms/unit-input/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("button");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(3);
              morphs[0] = dom.createAttrMorph(element0, 'class');
              morphs[1] = dom.createElementMorph(element0);
              morphs[2] = dom.createMorphAt(element0, 0, 0);
              return morphs;
            },
            statements: [["attribute", "class", ["concat", ["cs-unit-input-choice ", ["subexpr", "if", [["subexpr", "eq", [["get", "selectedUnit", ["loc", [null, [9, 53], [9, 65]]], 0, 0, 0, 0], ["get", "unitChoice", ["loc", [null, [9, 66], [9, 76]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 49], [9, 77]]], 0, 0], "cs-active"], [], ["loc", [null, [9, 44], [9, 91]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["selectUnit", ["get", "unitChoice", ["loc", [null, [9, 115], [9, 125]]], 0, 0, 0, 0]], [], ["loc", [null, [9, 93], [9, 127]]], 0, 0], ["content", "unitChoice", ["loc", [null, [9, 128], [9, 142]]], 0, 0, 0, 0]],
            locals: ["unitChoice"],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 4
              },
              "end": {
                "line": 11,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/forms/unit-input/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "each", [["get", "allowedUnits", ["loc", [null, [8, 14], [8, 26]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [8, 6], [10, 15]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 2
            },
            "end": {
              "line": 12,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/forms/unit-input/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/floating-container", [], ["outsideClick", "clickOutside", "open", ["subexpr", "@mut", [["get", "open", ["loc", [null, [7, 66], [7, 70]]], 0, 0, 0, 0]], [], [], 0, 0], "class", "cs-unit-input-choices"], 0, null, ["loc", [null, [7, 4], [11, 34]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/unit-input/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-unit-input-selection");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [2]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(element2, 1, 1);
        morphs[2] = dom.createMorphAt(element2, 2, 2);
        morphs[3] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "rawValue", ["loc", [null, [1, 14], [1, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "enter", "detectUnitOnEnter", "placeholder", ["subexpr", "@mut", [["get", "placeholder", ["loc", [null, [1, 61], [1, 72]]], 0, 0, 0, 0]], [], [], 0, 0], "disabled", ["subexpr", "@mut", [["get", "options.disabled", ["loc", [null, [1, 82], [1, 98]]], 0, 0, 0, 0]], [], [], 0, 0], "focus-out", "blur", "focus-in", "focus"], ["loc", [null, [1, 0], [1, 134]]], 0, 0], ["block", "if", [["get", "unit", ["loc", [null, [3, 8], [3, 12]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 2], [5, 9]]]], ["block", "unless", [["get", "choicesDisabled", ["loc", [null, [6, 12], [6, 27]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [6, 2], [12, 13]]]], ["content", "yield", ["loc", [null, [14, 0], [14, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/forms/unit-slider/component', ['exports', 'ember', 'npm:nouislider', 'jquery'], function (exports, _ember, _npmNouislider, _jquery) {
  exports['default'] = _ember['default'].Component.extend({

    defaultsRanges: {

      // Distance
      none: { min: 0, max: 3, step: 0.001 },
      px: { min: 0, max: 1500, step: 1 },
      em: { min: -0.15, max: 0.5, step: 0.001 },
      rem: { min: -0.15, max: 0.5, step: 0.001 },
      vh: { min: 0, max: 100, step: 1 },
      vw: { min: 0, max: 100, step: 1 },
      '%': { min: 0, max: 100, step: 1 },

      // Angles
      deg: { min: 0, max: 360, step: 1 },
      rad: { min: 0, max: 6.2832, step: 0.0001 }

    },

    unitInputOptions: _ember['default'].computed('options', function () {
      var options = this.getWithDefault('options', {});
      return {
        disabled: options.disabled,
        available_units: options.available_units,
        valid_keywords: options.valid_keywords,
        unit_mode: options.unit_mode,
        fallback_value: options.fallback_value
      };
    }),

    rangeVal: _ember['default'].computed('unitInput.unit', function () {

      var range = { step: 0.1, min: 0, max: 100 };

      var step = undefined,
          min = undefined,
          max = undefined;

      if ('unitless' === this.get('options.unit_mode')) {
        step = parseFloat(this.get('options.step'));
        min = parseFloat(this.get('options.min'));
        max = parseFloat(this.get('options.max'));
      } else {
        var defaults = this.get('defaultsRanges');
        var mapped = this.get('options.ranges');
        var unit = this.get('unitInput.unit');

        if (defaults[unit]) {
          step = defaults[unit].step;
          min = defaults[unit].min;
          max = defaults[unit].max;
        }

        if (mapped && mapped[unit]) {
          step = parseFloat(mapped[unit].step);
          min = parseFloat(mapped[unit].min);
          max = parseFloat(mapped[unit].max);
        }
      }

      if (!isNaN(step)) {
        range.step = step;
      }

      if (!isNaN(min)) {
        range.min = min;
      }

      if (!isNaN(max)) {
        range.max = max;
      }

      return range;
    }),

    classNames: ['cs-unit-slider'],

    rangeUpdate: _ember['default'].observer('unitInput.unit', function () {
      var unit = this.get('unitInput.unit');

      if (unit === this.get('currentRangeUnit')) {
        return;
      }

      this.set('currentRangeUnit', unit);

      var range = this.get('rangeVal');
      var sliderEl = this.get('sliderEl');

      if (!range || !sliderEl || !sliderEl.noUiSlider) {
        return;
      }

      sliderEl.noUiSlider.updateOptions({
        step: range.step,
        range: {
          'min': range.min,
          'max': range.max
        }
      });
    }),

    didInsertElement: function didInsertElement() {
      var _this = this;

      this.set('sliderEl', this.$('.cs-unit-slider-target')[0]);

      _ember['default'].run.later(function () {

        var el = _this.get('sliderEl');

        if (!el || _this.isDestroyed) {
          return;
        }

        var range = _this.get('rangeVal');

        var num = _this.get('unitInput.rawNumeric');

        _npmNouislider['default'].create(_this.get('sliderEl'), {
          start: isNaN(num) ? 0 : num,
          step: range.step,
          connect: 'lower',
          range: {
            'min': range.min,
            'max': range.max
          }
        });

        el.noUiSlider.on('change', (function () {
          if (this.isDestroyed) {
            return;
          }
          this.set('isSliding', false);
          this.sliderChanged(el.noUiSlider.get(), 'change', el.noUiSlider);
        }).bind(_this));

        el.noUiSlider.on('slide', (function () {
          if (this.isDestroyed) {
            return;
          }
          this.set('isSliding', true);
          this.sliderChanged(el.noUiSlider.get(), 'slide', el.noUiSlider);
        }).bind(_this));

        _this.notifyPropertyChange('canSlide');
        _this.get('unitInput.previousUnit');

        (0, _jquery['default'])(el).removeClass('cs-unit-slider-target-waiting');
        _this.maybeDisable();
      }, 3);
    },

    sliderChanged: function sliderChanged(val) {
      this.set('unitInput.rawValue', String(parseFloat(val)));
    },

    canSlide: _ember['default'].computed('options.disabled', 'unitInput.rawNumeric', 'unitInput.usingKeyword', function () {
      return !(this.get('options.disabled') || isNaN(this.get('unitInput.rawNumeric')) || this.get('unitInput.usingKeyword'));
    }),

    observeCanSlide: _ember['default'].observer('canSlide', function () {
      this.maybeDisable();
    }),

    maybeDisable: function maybeDisable() {
      var sliderEl = this.get('sliderEl');

      if (!sliderEl || this.isDestroyed) {
        return;
      }

      if (this.get('canSlide')) {
        sliderEl.removeAttribute('disabled');
      } else {
        sliderEl.setAttribute('disabled', true);
        sliderEl.noUiSlider.set(0);
      }
    },

    updateSlider: _ember['default'].observer('unitInput.rawNumeric', function () {

      var sliderEl = this.get('sliderEl');

      if (!sliderEl || !this.get('canSlide') || this.get('isSliding')) {
        return;
      }

      sliderEl.noUiSlider.set(this.get('unitInput.rawNumeric'));
    })

  });
});
define("cornerstone/components/forms/unit-slider/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/forms/unit-slider/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-unit-slider-target-container");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-unit-slider-target cs-unit-slider-target-waiting");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        return morphs;
      },
      statements: [["inline", "forms/unit-input", [], ["value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [4, 25], [4, 30]]], 0, 0, 0, 0]], [], [], 0, 0], "parent", ["subexpr", "@mut", [["get", "this", ["loc", [null, [4, 38], [4, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "unitInputOptions", ["loc", [null, [4, 51], [4, 67]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [4, 0], [4, 70]]], 0, 0], ["content", "yield", ["loc", [null, [5, 0], [5, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/bar-button/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'button',
    classNames: ['cs-bar-btn'],
    classNameBindings: ['class', 'active:cs-active'],

    active: false,

    click: function click() {
      this.sendAction();
    }

  });
});
define("cornerstone/components/global/bar-button/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/global/bar-button/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/bar-nav/component', ['exports', 'cornerstone/components/common/floating-container/component'], function (exports, _cornerstoneComponentsCommonFloatingContainerComponent) {
  exports['default'] = _cornerstoneComponentsCommonFloatingContainerComponent['default'].extend({
    open: false,
    tagName: 'nav',
    classNames: ['cs-bar-nav'],

    outsideClickHandler: function outsideClickHandler() {
      this.set('open', false);
    },

    click: function click() {
      this.toggleProperty('open');
    }

  });
});
// import Ember from 'ember';
define("cornerstone/components/global/bar-nav/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 6
            },
            "end": {
              "line": 6,
              "column": 89
            }
          },
          "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["inline", "t", ["app.home.title"], [], ["loc", [null, [6, 67], [6, 89]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 41
              },
              "end": {
                "line": 9,
                "column": 89
              }
            },
            "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "t", ["app.options.title"], [], ["loc", [null, [9, 64], [9, 89]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 10,
                "column": 9
              },
              "end": {
                "line": 10,
                "column": 61
              }
            },
            "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "t", ["app.templates.title"], [], ["loc", [null, [10, 34], [10, 61]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 2
            },
            "end": {
              "line": 11,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          dom.setAttribute(el1, "class", "cs-bar-nav-items-divider");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 0, 0);
          return morphs;
        },
        statements: [["block", "link-to", ["options"], [], 0, null, ["loc", [null, [9, 41], [9, 101]]]], ["block", "link-to", ["templates"], [], 1, null, ["loc", [null, [10, 9], [10, 73]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 14,
                "column": 41
              },
              "end": {
                "line": 14,
                "column": 89
              }
            },
            "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "t", ["app.headers.title"], [], ["loc", [null, [14, 64], [14, 89]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 2
            },
            "end": {
              "line": 15,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          dom.setAttribute(el1, "class", "cs-bar-nav-items-divider");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["block", "link-to", ["headers"], [], 0, null, ["loc", [null, [14, 41], [14, 101]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child3 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 8
              },
              "end": {
                "line": 18,
                "column": 56
              }
            },
            "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "t", ["app.content.title"], [], ["loc", [null, [18, 31], [18, 56]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 2
            },
            "end": {
              "line": 19,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["block", "link-to", ["content"], [], 0, null, ["loc", [null, [18, 8], [18, 68]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child4 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 22,
                "column": 8
              },
              "end": {
                "line": 22,
                "column": 56
              }
            },
            "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "t", ["app.footers.title"], [], ["loc", [null, [22, 31], [22, 56]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 21,
              "column": 2
            },
            "end": {
              "line": 23,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["block", "link-to", ["footers"], [], 0, null, ["loc", [null, [22, 8], [22, 68]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 30,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/bar-nav/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("a");
        dom.setAttribute(el1, "class", "cs-bar-nav-toggle");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("span");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("ul");
        dom.setAttribute(el1, "class", "cs-bar-nav-items");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("li");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("li");
        dom.setAttribute(el2, "class", "cs-bar-nav-items-divider");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2]);
        var morphs = new Array(6);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [1]), 0, 0);
        morphs[1] = dom.createMorphAt(element0, 3, 3);
        morphs[2] = dom.createMorphAt(element0, 5, 5);
        morphs[3] = dom.createMorphAt(element0, 7, 7);
        morphs[4] = dom.createMorphAt(element0, 9, 9);
        morphs[5] = dom.createMorphAt(dom.childAt(element0, [11]), 1, 1);
        return morphs;
      },
      statements: [["block", "link-to", ["application"], ["class", "cs-bar-home-nav-item-home"], 0, null, ["loc", [null, [6, 6], [6, 101]]]], ["block", "if", [["get", "currentUser.canManageOptions", ["loc", [null, [8, 8], [8, 36]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [8, 2], [11, 9]]]], ["block", "if", [["get", "currentUser.canUseRegions", ["loc", [null, [13, 8], [13, 33]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [13, 2], [15, 9]]]], ["block", "if", [["get", "currentUser.canUseBuilder", ["loc", [null, [17, 8], [17, 33]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [17, 2], [19, 9]]]], ["block", "if", [["get", "currentUser.canUseRegions", ["loc", [null, [21, 8], [21, 33]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [21, 2], [23, 9]]]], ["inline", "common/link-out", [], ["class", "abc", "href", ["subexpr", "@mut", [["get", "ui.dashboardUrl", ["loc", [null, [26, 39], [26, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "content", ["subexpr", "t", ["app.exit-to-dashboard"], [], ["loc", [null, [26, 63], [26, 90]]], 0, 0]], ["loc", [null, [26, 4], [26, 92]]], 0, 0]],
      locals: [],
      templates: [child0, child1, child2, child3, child4]
    };
  })());
});
define('cornerstone/components/global/code-editor/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-global-code-editor'],
    classNameBindings: ['active:cs-active'],
    value: '',
    orientation: _ember['default'].computed.alias('ui.workspaceOrientation'),

    updateActive: _ember['default'].observer('active', function () {
      this.$('textarea').csCodeEditorToggle(this.get('active'));
    }),

    updateOrientation: _ember['default'].observer('orientation', function () {
      this.$('textarea').csCodeEditorOrient(this.get('orientation'));
    }),

    updateValue: _ember['default'].observer('value', function () {

      if (!this.set('updating')) {
        //console.log('updating', this.get('value'), this.get('editor').doc.getValue());
        // TODO: Push update into code editor
      }

      this.set('updating', false);
    }),

    didInsertElement: function didInsertElement() {
      var _this = this;

      this._super.apply(this, arguments);

      var $el = this.$('textarea');
      $el.val(this.get('value'));
      var runButton = !!this.get('run');

      $el.csCodeEditor({
        startOpen: this.get('active'),
        label: this.get('title'),
        orientation: this.get('orientation'),
        runButton: runButton,
        change: function change(cm) {

          var previous = _this.get('value');
          var current = cm.doc.getValue();

          if (previous !== current) {
            _this.set('value', current);
            _this.set('updating', true);
          }
        }
      });
      this.set('editor', $el.csCodeEditorInstance);

      $el.on('csCodeEditor.toggled', function (e, state) {
        if (state !== _this.get('active')) {
          _this.set('active', state);
        }
      });

      if (runButton) {
        $el.on('csCodeEditor.run', function () {
          _this.sendAction('run');
        });
      }
    },

    willDestroyElement: function willDestroyElement() {}
  });
});
define("cornerstone/components/global/code-editor/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 21
          }
        },
        "moduleName": "cornerstone/components/global/code-editor/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("textarea");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/cs-bar/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-bar']
  });
});
define("cornerstone/components/global/cs-bar/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 8,
                "column": 4
              },
              "end": {
                "line": 10,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "cs-icon", ["interface/action-btn-responsive"], [], ["loc", [null, [9, 6], [9, 51]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 2
            },
            "end": {
              "line": 11,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/bar-button", [], ["class", "cs-action-toggle-preview-sizer", "active", ["subexpr", "@mut", [["get", "ui.showPreviewSizer", ["loc", [null, [8, 71], [8, 90]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "showPreviewSizer"], ["target", ["get", "ui", ["loc", [null, [8, 141], [8, 143]]], 0, 0, 0, 0]], ["loc", [null, [8, 98], [8, 144]]], 0, 0]], 0, null, ["loc", [null, [8, 4], [10, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 2
            },
            "end": {
              "line": 15,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("a");
          dom.setAttribute(el1, "class", "cs-bar-btn cs-action-toggle-view-site");
          dom.setAttribute(el1, "target", "_blank");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element1, 'href');
          morphs[1] = dom.createMorphAt(element1, 0, 0);
          return morphs;
        },
        statements: [["attribute", "href", ["concat", [["get", "ui.viewSiteURL", ["loc", [null, [14, 15], [14, 29]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["inline", "cs-icon", ["interface/action-btn-view-site"], [], ["loc", [null, [14, 95], [14, 139]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 4
              },
              "end": {
                "line": 20,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "cs-icon", ["interface/action-btn-collapse"], [], ["loc", [null, [19, 6], [19, 49]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 2
            },
            "end": {
              "line": 21,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/bar-button", [], ["class", ["subexpr", "concat", ["cs-action-toggle-collapse cs-action-toggle-collapse-", ["get", "ui.windowOrientation", ["loc", [null, [18, 94], [18, 114]]], 0, 0, 0, 0]], [], ["loc", [null, [18, 31], [18, 115]]], 0, 0], "active", ["subexpr", "@mut", [["get", "ui.isCollapsed", ["loc", [null, [18, 123], [18, 137]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "isCollapsed"], ["target", ["get", "ui", ["loc", [null, [18, 183], [18, 185]]], 0, 0, 0, 0]], ["loc", [null, [18, 145], [18, 186]]], 0, 0]], 0, null, ["loc", [null, [18, 4], [20, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child3 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 24,
                "column": 4
              },
              "end": {
                "line": 26,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "cs-icon", ["interface/action-btn-cheatsheet"], [], ["loc", [null, [25, 6], [25, 51]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 23,
              "column": 2
            },
            "end": {
              "line": 27,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/bar-button", [], ["class", "cs-action-toggle-cheatsheet", "active", ["subexpr", "@mut", [["get", "ui.showCheatsheet", ["loc", [null, [24, 68], [24, 85]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "showCheatsheet"], ["target", ["get", "ui", ["loc", [null, [24, 134], [24, 136]]], 0, 0, 0, 0]], ["loc", [null, [24, 93], [24, 137]]], 0, 0]], 0, null, ["loc", [null, [24, 4], [26, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child4 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 30,
                "column": 4
              },
              "end": {
                "line": 32,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "fa-icon", ["bug"], [], ["loc", [null, [31, 6], [31, 23]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 29,
              "column": 2
            },
            "end": {
              "line": 33,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/bar-button", [], ["active", ["subexpr", "@mut", [["get", "ui.devToolsOpen", ["loc", [null, [30, 32], [30, 47]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "devToolsOpen"], ["target", ["get", "ui", ["loc", [null, [30, 94], [30, 96]]], 0, 0, 0, 0]], ["loc", [null, [30, 55], [30, 97]]], 0, 0]], 0, null, ["loc", [null, [30, 4], [32, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child5 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 35,
              "column": 2
            },
            "end": {
              "line": 37,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1, "class", "cs-bar-btn cs-action-save");
          var el2 = dom.createTextNode("SAVE");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element0, 'disabled');
          morphs[1] = dom.createElementMorph(element0);
          return morphs;
        },
        statements: [["attribute", "disabled", ["get", "ui.saving", ["loc", [null, [36, 98], [36, 107]]], 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["save"], ["target", ["get", "ui.primaryRoute", ["loc", [null, [36, 69], [36, 84]]], 0, 0, 0, 0]], ["loc", [null, [36, 46], [36, 86]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 39,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/cs-bar/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("nav");
        dom.setAttribute(el1, "class", "cs-bar-btns");
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [2]);
        var morphs = new Array(8);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(element2, 2, 2);
        morphs[2] = dom.createMorphAt(element2, 4, 4);
        morphs[3] = dom.createMorphAt(element2, 6, 6);
        morphs[4] = dom.createMorphAt(element2, 8, 8);
        morphs[5] = dom.createMorphAt(element2, 10, 10);
        morphs[6] = dom.createMorphAt(element2, 12, 12);
        morphs[7] = dom.createMorphAt(element2, 14, 14);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "global/bar-nav", ["loc", [null, [1, 0], [1, 18]]], 0, 0, 0, 0], ["content", "yield", ["loc", [null, [5, 2], [5, 11]]], 0, 0, 0, 0], ["block", "if", [["get", "ui.routeEnabledPreviewSizer", ["loc", [null, [7, 8], [7, 35]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [7, 2], [11, 9]]]], ["block", "if", [["get", "ui.canViewSite", ["loc", [null, [13, 8], [13, 22]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [13, 2], [15, 9]]]], ["block", "if", [["get", "ui.routeEnabledCollapse", ["loc", [null, [17, 8], [17, 31]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [17, 2], [21, 9]]]], ["block", "if", [["get", "ui.routeEnabledCheatsheet", ["loc", [null, [23, 8], [23, 33]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [23, 2], [27, 9]]]], ["block", "if", [["get", "debug.devTools", ["loc", [null, [29, 8], [29, 22]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [29, 2], [33, 9]]]], ["block", "if", [["get", "ui.routeEnabledSave", ["loc", [null, [35, 8], [35, 27]]], 0, 0, 0, 0]], [], 5, null, ["loc", [null, [35, 2], [37, 9]]]]],
      locals: [],
      templates: [child0, child1, child2, child3, child4, child5]
    };
  })());
});
define('cornerstone/components/global/cs-canvas/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-canvas']
  });
});
define("cornerstone/components/global/cs-canvas/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/cs-canvas/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/cs-window/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    orientation: _ember['default'].computed.alias('ui.windowOrientation'),
    collapse: _ember['default'].computed.alias('ui.isCollapsed'),
    classNames: ['cs-window'],
    classNameBindings: ['screenClass', 'orientation', 'collapse'],
    screenClass: _ember['default'].computed('screen', function () {
      var screen = this.get('screen');
      if (!screen) {
        return '';
      }
      return 'cs-window-' + _ember['default'].String.dasherize(this.get('screen'));
    })
  });
});
define("cornerstone/components/global/cs-window/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/cs-window/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/entry-preloader/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-entry-preloader'],
    showing: true,
    classNameBindings: ['showing:cs-active'],

    firstLoad: _ember['default'].observer('ui.transitioning', function () {

      if (!this.get('ui.transitioning ')) {
        this.set('showing', false);
        _ember['default'].run.cancel(this.scheduleRemoval);
      }
    }),

    didInsertElement: function didInsertElement() {

      this.scheduleRemoval = _ember['default'].run.later(this, (function () {
        this.set('showing', false);
      }).bind(this), this.get('ui.transitioning') ? 50000 : 500);
    }
  });
});
define("cornerstone/components/global/entry-preloader/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/global/entry-preloader/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "common/loading-indicator", [], ["style", "font-size: 150px;"], ["loc", [null, [1, 0], [1, 54]]], 0, 0], ["content", "yield", ["loc", [null, [2, 0], [2, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/launch-screen/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    isVisible: _ember['default'].computed.not('preview.isPreview'),
    preview: _ember['default'].inject.service()
  });
});
define("cornerstone/components/global/launch-screen/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 8,
                      "column": 14
                    },
                    "end": {
                      "line": 8,
                      "column": 117
                    }
                  },
                  "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createElement("span");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element4 = dom.childAt(fragment, [0]);
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(element4, 0, 0);
                  morphs[1] = dom.createMorphAt(element4, 1, 1);
                  return morphs;
                },
                statements: [["inline", "cs-icon", ["interface/global-nav-options"], [], ["loc", [null, [8, 43], [8, 85]]], 0, 0], ["inline", "t", ["app.options.title"], [], ["loc", [null, [8, 85], [8, 110]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            var child1 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 9,
                      "column": 14
                    },
                    "end": {
                      "line": 9,
                      "column": 123
                    }
                  },
                  "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createElement("span");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element3 = dom.childAt(fragment, [0]);
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(element3, 0, 0);
                  morphs[1] = dom.createMorphAt(element3, 1, 1);
                  return morphs;
                },
                statements: [["inline", "cs-icon", ["interface/global-nav-templates"], [], ["loc", [null, [9, 45], [9, 89]]], 0, 0], ["inline", "t", ["app.templates.title"], [], ["loc", [null, [9, 89], [9, 116]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 7,
                    "column": 8
                  },
                  "end": {
                    "line": 10,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("li");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("li");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 0, 0);
                return morphs;
              },
              statements: [["block", "link-to", ["options"], [], 0, null, ["loc", [null, [8, 14], [8, 129]]]], ["block", "link-to", ["templates"], [], 1, null, ["loc", [null, [9, 14], [9, 135]]]]],
              locals: [],
              templates: [child0, child1]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 13,
                      "column": 14
                    },
                    "end": {
                      "line": 13,
                      "column": 117
                    }
                  },
                  "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createElement("span");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element2 = dom.childAt(fragment, [0]);
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(element2, 0, 0);
                  morphs[1] = dom.createMorphAt(element2, 1, 1);
                  return morphs;
                },
                statements: [["inline", "cs-icon", ["interface/global-nav-headers"], [], ["loc", [null, [13, 43], [13, 85]]], 0, 0], ["inline", "t", ["app.headers.title"], [], ["loc", [null, [13, 85], [13, 110]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 12,
                    "column": 8
                  },
                  "end": {
                    "line": 14,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("li");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                return morphs;
              },
              statements: [["block", "link-to", ["headers"], [], 0, null, ["loc", [null, [13, 14], [13, 129]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child2 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 17,
                      "column": 14
                    },
                    "end": {
                      "line": 17,
                      "column": 115
                    }
                  },
                  "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createElement("span");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element1 = dom.childAt(fragment, [0]);
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(element1, 0, 0);
                  morphs[1] = dom.createMorphAt(element1, 1, 1);
                  return morphs;
                },
                statements: [["inline", "cs-icon", ["interface/global-nav-pages"], [], ["loc", [null, [17, 43], [17, 83]]], 0, 0], ["inline", "t", ["app.content.title"], [], ["loc", [null, [17, 83], [17, 108]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 16,
                    "column": 8
                  },
                  "end": {
                    "line": 18,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("li");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                return morphs;
              },
              statements: [["block", "link-to", ["content"], [], 0, null, ["loc", [null, [17, 14], [17, 127]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child3 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 21,
                      "column": 14
                    },
                    "end": {
                      "line": 21,
                      "column": 117
                    }
                  },
                  "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createElement("span");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element0 = dom.childAt(fragment, [0]);
                  var morphs = new Array(2);
                  morphs[0] = dom.createMorphAt(element0, 0, 0);
                  morphs[1] = dom.createMorphAt(element0, 1, 1);
                  return morphs;
                },
                statements: [["inline", "cs-icon", ["interface/global-nav-footers"], [], ["loc", [null, [21, 43], [21, 85]]], 0, 0], ["inline", "t", ["app.footers.title"], [], ["loc", [null, [21, 85], [21, 110]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 20,
                    "column": 8
                  },
                  "end": {
                    "line": 22,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("li");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                return morphs;
              },
              statements: [["block", "link-to", ["footers"], [], 0, null, ["loc", [null, [21, 14], [21, 129]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child4 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 27,
                    "column": 14
                  },
                  "end": {
                    "line": 29,
                    "column": 14
                  }
                },
                "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("                ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("span");
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                return morphs;
              },
              statements: [["inline", "t", ["app.exit-to-dashboard"], [], ["loc", [null, [28, 22], [28, 51]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 4
                },
                "end": {
                  "line": 35,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("ul");
              dom.setAttribute(el1, "class", "cs-welcome-nav");
              var el2 = dom.createTextNode("\n\n");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("li");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("ul");
              var el4 = dom.createTextNode("\n            ");
              dom.appendChild(el3, el4);
              var el4 = dom.createElement("li");
              var el5 = dom.createTextNode("\n");
              dom.appendChild(el4, el5);
              var el5 = dom.createComment("");
              dom.appendChild(el4, el5);
              var el5 = dom.createTextNode("            ");
              dom.appendChild(el4, el5);
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element5 = dom.childAt(fragment, [1]);
              var morphs = new Array(5);
              morphs[0] = dom.createMorphAt(element5, 1, 1);
              morphs[1] = dom.createMorphAt(element5, 3, 3);
              morphs[2] = dom.createMorphAt(element5, 5, 5);
              morphs[3] = dom.createMorphAt(element5, 7, 7);
              morphs[4] = dom.createMorphAt(dom.childAt(element5, [9, 1, 1]), 1, 1);
              return morphs;
            },
            statements: [["block", "if", [["get", "currentUser.canManageOptions", ["loc", [null, [7, 14], [7, 42]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [7, 8], [10, 15]]]], ["block", "if", [["get", "currentUser.canUseRegions", ["loc", [null, [12, 14], [12, 39]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [12, 8], [14, 15]]]], ["block", "if", [["get", "currentUser.canUseBuilder", ["loc", [null, [16, 14], [16, 39]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [16, 8], [18, 15]]]], ["block", "if", [["get", "currentUser.canUseRegions", ["loc", [null, [20, 14], [20, 39]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [20, 8], [22, 15]]]], ["block", "common/link-out", [], ["href", ["subexpr", "@mut", [["get", "ui.dashboardUrl", ["loc", [null, [27, 38], [27, 53]]], 0, 0, 0, 0]], [], [], 0, 0]], 4, null, ["loc", [null, [27, 14], [29, 34]]]]],
            locals: [],
            templates: [child0, child1, child2, child3, child4]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 36,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "common/welcome-message", [], ["title", ["subexpr", "t", ["app.welcome-app"], [], ["loc", [null, [4, 36], [4, 57]]], 0, 0]], 0, null, ["loc", [null, [4, 4], [35, 31]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 37,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/cs-canvas", [], [], 0, null, ["loc", [null, [3, 2], [36, 23]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 38,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/launch-screen/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "index"], 0, null, ["loc", [null, [1, 0], [37, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/global/notification-item/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-notification-item'],
    classNameBindings: ['typeClass', 'active:cs-active', 'exiting:cs-fade'],

    active: false,
    title: _ember['default'].computed.readOnly('flash.title'),
    message: _ember['default'].computed.readOnly('flash.message'),
    exiting: _ember['default'].computed.readOnly('flash.exiting'),
    canClose: _ember['default'].computed.readOnly('flash.canClose'),

    typeClass: _ember['default'].computed('flash.type', function () {

      var flashType = _ember['default'].String.dasherize(this.getWithDefault('flash.type', 'notice'));

      return 'cs-notification-item-' + flashType;
    }),

    didInsertElement: function didInsertElement() {
      var self = this;
      this.set('readiness', _ember['default'].run.next(this, function () {
        self.set('active', true);
      }));
    },

    willDestroy: function willDestroy() {
      this._super();
      this.teardown();
      _ember['default'].run.cancel(this.get('readiness'));
    },

    teardown: function teardown() {
      var flash = this.getWithDefault('flash', false);

      if (flash) {
        flash.destroyMessage();
      }
    },

    actions: {
      close: function close() {
        this.teardown();
      }
    }

  });
});
define("cornerstone/components/global/notification-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/global/notification-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["get", "this", ["loc", [null, [2, 10], [2, 14]]], 0, 0, 0, 0], ["get", "flash", ["loc", [null, [2, 15], [2, 20]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 2], [2, 22]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 6,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/global/notification-item/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-notification-item-close");
            var el2 = dom.createTextNode("×");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [1]);
            var morphs = new Array(1);
            morphs[0] = dom.createElementMorph(element0);
            return morphs;
          },
          statements: [["element", "action", ["close"], [], ["loc", [null, [5, 43], [5, 61]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/global/notification-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-notification-item-title");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-notification-item-message");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 0, 0);
          morphs[2] = dom.createMorphAt(dom.childAt(fragment, [4]), 0, 0);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "if", [["get", "canClose", ["loc", [null, [4, 8], [4, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 2], [6, 9]]]], ["content", "title", ["loc", [null, [7, 42], [7, 51]]], 0, 0, 0, 0], ["content", "flash.message", ["loc", [null, [8, 44], [8, 61]]], 0, 0, 0, 0]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 9,
            "column": 7
          }
        },
        "moduleName": "cornerstone/components/global/notification-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "hasBlock", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [9, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/global/notification-queue/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    flashMessages: _ember['default'].inject.service(),
    classNames: ['cs-notification-queue'],

    didRender: function didRender() {
      var scrollbarWidth = this.get('ui.scrollBarWidth');
      if (scrollbarWidth > 0) {
        this.$().css({ right: scrollbarWidth });
      }
    }
  });
});
define("cornerstone/components/global/notification-queue/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/global/notification-queue/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "global/notification-item", [], ["flash", ["subexpr", "@mut", [["get", "flash", ["loc", [null, [2, 35], [2, 40]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [2, 42]]], 0, 0]],
        locals: ["flash"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/global/notification-queue/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "each", [["get", "flashMessages.queue", ["loc", [null, [1, 8], [1, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 9]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/global/progress-bar/component', ['exports', 'ember', 'npm:nprogress'], function (exports, _ember, _npmNprogress) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-progress-bar-container'],
    saving: false,
    classNameBindings: ['saving:cs-saving', 'transitioning:cs-transitioning'],
    transitioning: false,
    ready: false,

    uiUpdate: _ember['default'].observer('saving', 'transitioning', function () {

      var start = false;

      if (this.get('saving')) {
        start = true;
      }

      if (this.get('transitioning')) {
        start = true;
      }

      _ember['default'].run.scheduleOnce('afterRender', start ? _npmNprogress['default'].start : _npmNprogress['default'].done);
    }),

    didInsertElement: function didInsertElement() {
      _npmNprogress['default'].configure({
        showSpinner: false,
        speed: 850,
        minimum: 0.925,
        parent: '.cs-progress-bar-container',
        barSelector: '.cs-progress-bar',
        template: '<div class="cs-progress-bar"><div class="cs-progress-bar-peg"></div></div></div>'
      });
    }

  });
});
define("cornerstone/components/global/progress-bar/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/progress-bar/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/top-level/component', ['exports', 'ember', 'jquery'], function (exports, _ember, _jquery) {
  exports['default'] = _ember['default'].Component.extend({
    browser: _ember['default'].inject.service(),
    ui: _ember['default'].inject.service(),
    classNames: ['cs-app'],
    classNameBindings: ['routeNameClass', 'browser.browserClass', 'ui.transitioning:cs-transitioning'],

    routeNameClass: _ember['default'].computed('ui.currentRouteName', function () {
      var routeClass = this.getWithDefault('ui.currentRouteName', 'unknown').replace(new RegExp(/\./, 'g'), '-');
      return 'cs-route-' + routeClass;
    }),

    didInsertElement: function didInsertElement() {
      authCheck();
      this.set('ui.topLevelEl', this.get('element'));
    }
  });

  function authCheck() {

    var wrap, next;

    function show() {
      var parent = (0, _jquery['default'])('#wp-auth-check'),
          form = (0, _jquery['default'])('#wp-auth-check-form'),
          noframe = wrap.find('.wp-auth-fallback-expired'),
          frame,
          loaded = false;

      if (form.length) {
        // Add unload confirmation to counter (frame-busting) JS redirects
        (0, _jquery['default'])(window).on('beforeunload.wp-auth-check', function (e) {
          e.originalEvent.returnValue = 'Your session has expired. You can log in again from this page or go to the login page.';
        });

        frame = (0, _jquery['default'])('<iframe id="wp-auth-check-frame" frameborder="0">').attr('title', noframe.text());
        frame.on('load', function () {
          var height, body;

          loaded = true;
          // Remove the spinner to avoid unnecessary CPU/GPU usage.
          form.removeClass('loading');

          try {
            body = (0, _jquery['default'])(this).contents().find('body');
            height = body.height();
          } catch (e) {
            wrap.addClass('fallback');
            parent.css('max-height', '');
            form.remove();
            noframe.focus();
            return;
          }

          if (height) {
            if (body && body.hasClass('interim-login-success')) {
              hide();
            } else {
              parent.css('max-height', height + 40 + 'px');
            }
          } else if (!body || !body.length) {
            // Catch "silent" iframe origin exceptions in WebKit after another page is loaded in the iframe
            wrap.addClass('fallback');
            parent.css('max-height', '');
            form.remove();
            noframe.focus();
          }
        }).attr('src', form.data('src'));

        form.append(frame);
      }

      (0, _jquery['default'])('body').addClass('modal-open');
      wrap.removeClass('hidden');

      if (frame) {
        frame.focus();
        // WebKit doesn't throw an error if the iframe fails to load because of "X-Frame-Options: DENY" header.
        // Wait for 10 sec. and switch to the fallback text.
        setTimeout(function () {
          if (!loaded) {
            wrap.addClass('fallback');
            form.remove();
            noframe.focus();
          }
        }, 10000);
      } else {
        noframe.focus();
      }
    }

    function hide() {
      (0, _jquery['default'])(window).off('beforeunload.wp-auth-check');
      (0, _jquery['default'])(document).off('heartbeat-tick.wp-auth-check');
      window.wp.heartbeat.connectNow();

      wrap.fadeOut(200, function () {
        wrap.addClass('hidden').css('display', '');
        (0, _jquery['default'])('#wp-auth-check-frame').remove();
        (0, _jquery['default'])('body').removeClass('modal-open');
      });
    }

    function schedule() {
      var interval = 180; // Check auth every 3 minutes
      next = new Date().getTime() + interval * 1000;
    }

    (0, _jquery['default'])(document).on('heartbeat-tick.wp-auth-check', function (e, data) {
      if ('wp-auth-check' in data) {
        schedule();
        if (!data['wp-auth-check'] && wrap.hasClass('hidden')) {
          show();
        } else if (data['wp-auth-check'] && !wrap.hasClass('hidden')) {
          hide();
        }
      }
    }).on('heartbeat-send.wp-auth-check', function (e, data) {

      if (new Date().getTime() > next) {
        data['wp-auth-check'] = true;
      }
    }).ready(function () {
      schedule();
      wrap = (0, _jquery['default'])('#wp-auth-check-wrap');
      wrap.find('.wp-auth-check-close').on('click', function () {
        hide();
      });
    });
  }
});
define("cornerstone/components/global/top-level/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/global/top-level/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/global/unauthorized-screen/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({});
});
define("cornerstone/components/global/unauthorized-screen/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/global/unauthorized-screen/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("h3");
        dom.setAttribute(el1, "class", "cs-unauthorized");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("iframe");
        dom.setAttribute(el1, "width", "420");
        dom.setAttribute(el1, "height", "315");
        dom.setAttribute(el1, "src", "https://www.youtube.com/v/06A5zpyJG9c?version=3&autoplay=1&loop=1&playlist=06A5zpyJG9c");
        dom.setAttribute(el1, "frameborder", "0");
        dom.setAttribute(el1, "loop", "1");
        dom.setAttribute(el1, "allowfullscreen", "");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
        morphs[1] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "t", ["app.unauthorized"], [], ["loc", [null, [1, 28], [1, 52]]], 0, 0], ["content", "yield", ["loc", [null, [3, 0], [3, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/options/launch-footers/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    service: _ember['default'].inject.service('options'),
    radio: _ember['default'].inject.service('global/radio'),

    store: _ember['default'].inject.service(),
    classNames: ['cs-workspace-intro'],
    classicMode: _ember['default'].computed.alias('service.virtualValues.classicFooters'),

    actions: {
      switchBack: function switchBack() {
        var _this = this;

        this.get('ui').confirm({
          message: this.get('i18n').t('app.options.confirm-footer-switch-back'),
          accept: function accept() {

            var assignments = _this.get('store').peekRecord('option', 'cornerstone_footer_assignments');
            var value = assignments.get('value');
            delete value.global;

            var ui = _this.get('ui');
            ui.beginSaveProgress();
            assignments.set('value', value);
            assignments.save().then(function () {
              ui.notify('Footer Assignment removed!', 'success');
              ui.endSaveProgress();
              _this.set('classicMode', true);
              _this.get('radio').trigger('option.value.changed');
            });
          },
          acceptClass: 'sad',
          acceptBtn: this.get('i18n').t('app.confirm-yep'),
          declineBtn: this.get('i18n').t('app.confirm-nope')
        });
      }
    }
  });
});
define("cornerstone/components/options/launch-footers/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 6,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/options/launch-footers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("span");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 0, 0);
            return morphs;
          },
          statements: [["inline", "fa-icon", ["external-link"], [], ["loc", [null, [4, 6], [4, 33]]], 0, 0], ["inline", "t", ["app.options.launch-footers"], [], ["loc", [null, [5, 12], [5, 46]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 8,
                "column": 2
              },
              "end": {
                "line": 11,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/launch-footers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("p");
            var el2 = dom.createTextNode("You are currently using ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Original Footers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("p");
            var el2 = dom.createTextNode("Assign a global footer in the builder to use ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Pro Footers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 14,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/launch-footers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("p");
            var el2 = dom.createTextNode("You are currently using ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Pro Footers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("a");
            var el2 = dom.createTextNode("Switch back to ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Original Footers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [3]);
            var morphs = new Array(1);
            morphs[0] = dom.createElementMorph(element0);
            return morphs;
          },
          statements: [["element", "action", ["switchBack"], [], ["loc", [null, [13, 7], [13, 30]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 15,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/options/launch-footers/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-actions");
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "link-to", ["footers"], [], 0, null, ["loc", [null, [3, 4], [6, 16]]]], ["block", "if", [["get", "classicMode", ["loc", [null, [8, 8], [8, 19]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [8, 2], [14, 9]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 16,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/options/launch-footers/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "ui.isPro", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [15, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/options/launch-headers/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    service: _ember['default'].inject.service('options'),
    radio: _ember['default'].inject.service('global/radio'),

    store: _ember['default'].inject.service(),
    classNames: ['cs-workspace-intro'],
    classicMode: _ember['default'].computed.alias('service.virtualValues.classicHeaders'),

    actions: {
      switchBack: function switchBack() {
        var _this = this;

        this.get('ui').confirm({
          message: this.get('i18n').t('app.options.confirm-header-switch-back'),
          accept: function accept() {

            var assignments = _this.get('store').peekRecord('option', 'cornerstone_header_assignments');
            var value = assignments.get('value');
            delete value.global;

            var ui = _this.get('ui');
            ui.beginSaveProgress();
            assignments.set('value', value);
            assignments.save().then(function () {
              ui.notify('Header Assignment removed!', 'success');
              ui.endSaveProgress();
              _this.set('classicMode', true);
              _this.get('radio').trigger('option.value.changed');
            });
          },
          acceptClass: 'sad',
          acceptBtn: this.get('i18n').t('app.confirm-yep'),
          declineBtn: this.get('i18n').t('app.confirm-nope')
        });
      }
    }
  });
});
define("cornerstone/components/options/launch-headers/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 6,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/options/launch-headers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("span");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 0, 0);
            return morphs;
          },
          statements: [["inline", "fa-icon", ["external-link"], [], ["loc", [null, [4, 6], [4, 33]]], 0, 0], ["inline", "t", ["app.options.launch-headers"], [], ["loc", [null, [5, 12], [5, 46]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 8,
                "column": 2
              },
              "end": {
                "line": 11,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/launch-headers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("p");
            var el2 = dom.createTextNode("You are currently using ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Original Headers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("p");
            var el2 = dom.createTextNode("Assign a global header in the builder to use ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Pro Headers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 14,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/launch-headers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("p");
            var el2 = dom.createTextNode("You are currently using ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Pro Headers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("a");
            var el2 = dom.createTextNode("Switch back to ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("strong");
            var el3 = dom.createTextNode("Original Headers");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [3]);
            var morphs = new Array(1);
            morphs[0] = dom.createElementMorph(element0);
            return morphs;
          },
          statements: [["element", "action", ["switchBack"], [], ["loc", [null, [13, 7], [13, 30]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 15,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/options/launch-headers/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-actions");
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "link-to", ["headers"], [], 0, null, ["loc", [null, [3, 4], [6, 16]]]], ["block", "if", [["get", "classicMode", ["loc", [null, [8, 8], [8, 19]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [8, 2], [14, 9]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 16,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/options/launch-headers/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "ui.isPro", ["loc", [null, [1, 6], [1, 14]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [15, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/options/option-search-result/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    isVisible: _ember['default'].computed.alias('control.isVisible'),

    classNames: ['cs-workspace-sections-search-result'],

    nav: _ember['default'].computed('control.section', function () {

      var section = this.get('control.section');
      if (!section) {
        return false;
      }

      var parent = section.get('parent');
      var nav = {
        id: false,
        route: 'options.section',
        label: '&nbsp'
      };

      if (section.get('panel')) {
        nav.id = section.get('id');
        nav.label = section.get('title');
      } else {
        nav.id = parent.get('id');
        nav.sub = section.get('id');
        var labelItems = [parent.get('title'), section.get('title')];

        if (this.get('ui.isRTL')) {
          labelItems.reverse();
          nav.label = labelItems.join(' &larr; ');
        } else {
          nav.label = labelItems.join(' &rarr; ');
        }
      }

      if (!nav.id || 'root' === nav.id) {
        return false;
      }

      return nav;
    }),

    actions: {
      targetSubHeading: function targetSubHeading(subSection) {
        this.get('ui').oneTimeValue('options/search-goto-sub-heading', subSection);
      }
    }

  });
});
define("cornerstone/components/options/option-search-result/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 11
              },
              "end": {
                "line": 2,
                "column": 145
              }
            },
            "moduleName": "cornerstone/components/options/option-search-result/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createUnsafeMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["content", "nav.label", ["loc", [null, [2, 130], [2, 145]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 2,
              "column": 157
            }
          },
          "moduleName": "cornerstone/components/options/option-search-result/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "link-to", [["get", "nav.route", ["loc", [null, [2, 22], [2, 31]]], 0, 0, 0, 0], ["get", "nav.id", ["loc", [null, [2, 32], [2, 38]]], 0, 0, 0, 0]], ["class", "cs-workspace-section-sub-heading", "invokeAction", ["subexpr", "action", ["targetSubHeading", ["get", "nav.sub", ["loc", [null, [2, 120], [2, 127]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 93], [2, 128]]], 0, 0]], 0, null, ["loc", [null, [2, 11], [2, 157]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 157
            },
            "end": {
              "line": 2,
              "column": 171
            }
          },
          "moduleName": "cornerstone/components/options/option-search-result/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode(" ");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 115
          }
        },
        "moduleName": "cornerstone/components/options/option-search-result/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["block", "if", [["get", "nav", ["loc", [null, [2, 6], [2, 9]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [2, 0], [2, 178]]]], ["inline", "component", [["subexpr", "locate-component", [["subexpr", "concat", ["controls/control-", ["get", "control.type", ["loc", [null, [3, 58], [3, 70]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 30], [3, 72]]], 0, 0], "controls/control-base"], [], ["loc", [null, [3, 12], [3, 97]]], 0, 0]], ["control", ["subexpr", "@mut", [["get", "control", ["loc", [null, [3, 106], [3, 113]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 0], [3, 115]]], 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/options/option-section/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-workspace-sections'],
    classNameBindings: ['name'],
    isVisible: _ember['default'].computed.alias('section.isVisible'),

    name: _ember['default'].computed.alias('section.id'),
    title: _ember['default'].computed.alias('section.title'),
    descriptionComponentPath: _ember['default'].computed('description', function () {
      var description = this.getWithDefault('description', '');
      if (0 === description.indexOf('component:')) {
        var parts = description.split(':');
        return parts[1];
      }
      return false;
    }),

    description: _ember['default'].computed.alias('section.description'),

    didInsertElement: function didInsertElement() {
      var openTo = this.get('openTo');
      if (openTo) {
        _ember['default'].run.scheduleOnce('afterRender', (function () {
          this.set('scrollTo', {
            selector: '.cs-workspace-sections.' + openTo,
            offset: 1
          });
        }).bind(this));
      }
    },

    isRoot: _ember['default'].computed('name', function () {
      return 'root' === this.get('name');
    }),

    breadcrumbs: _ember['default'].computed('section.parent', function () {

      var breadcrumbs = [];
      var parent = this.get('section.parent');

      while (parent && 'root' !== parent.get('id')) {

        breadcrumbs.push({
          route: 'options.section',
          id: parent.get('id'),
          label: parent.get('title')
        });

        parent = parent.get('parent');
      }

      breadcrumbs.reverse();
      breadcrumbs.unshift({
        route: 'options',
        label: this.get('i18n').t('app.options.title')
      });
      // breadcrumbs.push({ label: this.get('title') });

      return breadcrumbs;
    }),

    backUp: _ember['default'].computed('breadcrumbs', function () {
      var breadcrumbs = this.get('breadcrumbs');
      return breadcrumbs.objectAt(breadcrumbs.length - 1); // Set to -2 to restore THIS as a breadcrumb
    })

  });
});
define("cornerstone/components/options/option-section/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 6,
                      "column": 10
                    },
                    "end": {
                      "line": 6,
                      "column": 91
                    }
                  },
                  "moduleName": "cornerstone/components/options/option-section/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("◀");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 5,
                    "column": 8
                  },
                  "end": {
                    "line": 7,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/options/option-section/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["block", "link-to", [["get", "backUp.route", ["loc", [null, [6, 21], [6, 33]]], 0, 0, 0, 0], ["get", "backUp.id", ["loc", [null, [6, 34], [6, 43]]], 0, 0, 0, 0]], ["class", "cs-workspace-section-nav-back"], 0, null, ["loc", [null, [6, 10], [6, 103]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 8,
                      "column": 10
                    },
                    "end": {
                      "line": 8,
                      "column": 81
                    }
                  },
                  "moduleName": "cornerstone/components/options/option-section/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("◀");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 7,
                    "column": 8
                  },
                  "end": {
                    "line": 9,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/options/option-section/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["block", "link-to", [["get", "backUp.route", ["loc", [null, [8, 21], [8, 33]]], 0, 0, 0, 0]], ["class", "cs-workspace-section-nav-back"], 0, null, ["loc", [null, [8, 10], [8, 93]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child2 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                var child0 = (function () {
                  return {
                    meta: {
                      "revision": "Ember@2.8.0",
                      "loc": {
                        "source": null,
                        "start": {
                          "line": 12,
                          "column": 98
                        },
                        "end": {
                          "line": 12,
                          "column": 162
                        }
                      },
                      "moduleName": "cornerstone/components/options/option-section/template.hbs"
                    },
                    isEmpty: false,
                    arity: 0,
                    cachedFragment: null,
                    hasRendered: false,
                    buildFragment: function buildFragment(dom) {
                      var el0 = dom.createDocumentFragment();
                      var el1 = dom.createComment("");
                      dom.appendChild(el0, el1);
                      return el0;
                    },
                    buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                      var morphs = new Array(1);
                      morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                      dom.insertBoundary(fragment, 0);
                      dom.insertBoundary(fragment, null);
                      return morphs;
                    },
                    statements: [["content", "breadcrumb.label", ["loc", [null, [12, 142], [12, 162]]], 0, 0, 0, 0]],
                    locals: [],
                    templates: []
                  };
                })();
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 12,
                        "column": 73
                      },
                      "end": {
                        "line": 12,
                        "column": 179
                      }
                    },
                    "moduleName": "cornerstone/components/options/option-section/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createElement("li");
                    var el2 = dom.createComment("");
                    dom.appendChild(el1, el2);
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
                    return morphs;
                  },
                  statements: [["block", "link-to", [["get", "breadcrumb.route", ["loc", [null, [12, 109], [12, 125]]], 0, 0, 0, 0], ["get", "breadcrumb.id", ["loc", [null, [12, 126], [12, 139]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [12, 98], [12, 174]]]]],
                  locals: [],
                  templates: [child0]
                };
              })();
              var child1 = (function () {
                var child0 = (function () {
                  return {
                    meta: {
                      "revision": "Ember@2.8.0",
                      "loc": {
                        "source": null,
                        "start": {
                          "line": 12,
                          "column": 191
                        },
                        "end": {
                          "line": 12,
                          "column": 241
                        }
                      },
                      "moduleName": "cornerstone/components/options/option-section/template.hbs"
                    },
                    isEmpty: false,
                    arity: 0,
                    cachedFragment: null,
                    hasRendered: false,
                    buildFragment: function buildFragment(dom) {
                      var el0 = dom.createDocumentFragment();
                      var el1 = dom.createComment("");
                      dom.appendChild(el0, el1);
                      return el0;
                    },
                    buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                      var morphs = new Array(1);
                      morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                      dom.insertBoundary(fragment, 0);
                      dom.insertBoundary(fragment, null);
                      return morphs;
                    },
                    statements: [["content", "breadcrumb.label", ["loc", [null, [12, 221], [12, 241]]], 0, 0, 0, 0]],
                    locals: [],
                    templates: []
                  };
                })();
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 12,
                        "column": 179
                      },
                      "end": {
                        "line": 12,
                        "column": 258
                      }
                    },
                    "moduleName": "cornerstone/components/options/option-section/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createElement("li");
                    var el2 = dom.createComment("");
                    dom.appendChild(el1, el2);
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
                    return morphs;
                  },
                  statements: [["block", "link-to", [["get", "breadcrumb.route", ["loc", [null, [12, 202], [12, 218]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [12, 191], [12, 253]]]]],
                  locals: [],
                  templates: [child0]
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 12,
                      "column": 49
                    },
                    "end": {
                      "line": 12,
                      "column": 265
                    }
                  },
                  "moduleName": "cornerstone/components/options/option-section/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                  dom.insertBoundary(fragment, 0);
                  dom.insertBoundary(fragment, null);
                  return morphs;
                },
                statements: [["block", "if", [["get", "breadcrumb.id", ["loc", [null, [12, 79], [12, 92]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [12, 73], [12, 265]]]]],
                locals: [],
                templates: [child0, child1]
              };
            })();
            var child1 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 12,
                      "column": 265
                    },
                    "end": {
                      "line": 12,
                      "column": 315
                    }
                  },
                  "moduleName": "cornerstone/components/options/option-section/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createElement("li");
                  var el2 = dom.createElement("span");
                  var el3 = dom.createComment("");
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0, 0]), 0, 0);
                  return morphs;
                },
                statements: [["content", "breadcrumb.label", ["loc", [null, [12, 283], [12, 303]]], 0, 0, 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 12,
                    "column": 12
                  },
                  "end": {
                    "line": 12,
                    "column": 322
                  }
                },
                "moduleName": "cornerstone/components/options/option-section/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "if", [["get", "breadcrumb.route", ["loc", [null, [12, 55], [12, 71]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [12, 49], [12, 322]]]]],
              locals: ["breadcrumb"],
              templates: [child0, child1]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 17,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/options/option-section/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-workspace-section-nav");
              var el2 = dom.createTextNode("\n");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("div");
              dom.setAttribute(el2, "class", "cs-workspace-section-nav-info");
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("ul");
              dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-breadcrumbs");
              var el4 = dom.createTextNode("\n            ");
              dom.appendChild(el3, el4);
              var el4 = dom.createComment("");
              dom.appendChild(el3, el4);
              var el4 = dom.createTextNode("\n          ");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n          ");
              dom.appendChild(el2, el3);
              var el3 = dom.createElement("h3");
              dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-title");
              var el4 = dom.createComment("");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              var el3 = dom.createTextNode("\n        ");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var element1 = dom.childAt(element0, [3]);
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(element0, 1, 1);
              morphs[1] = dom.createMorphAt(dom.childAt(element1, [1]), 1, 1);
              morphs[2] = dom.createUnsafeMorphAt(dom.childAt(element1, [3]), 0, 0);
              return morphs;
            },
            statements: [["block", "if", [["get", "backUp.id", ["loc", [null, [5, 14], [5, 23]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [5, 8], [9, 15]]]], ["block", "each", [["get", "breadcrumbs", ["loc", [null, [12, 20], [12, 31]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [12, 12], [12, 331]]]], ["content", "title", ["loc", [null, [14, 58], [14, 69]]], 0, 0, 0, 0]],
            locals: [],
            templates: [child0, child1, child2]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 18,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/option-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [3, 4], [17, 35]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 19,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/options/option-section/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "section.panel", ["loc", [null, [2, 8], [2, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 2], [18, 9]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 22,
                "column": 2
              },
              "end": {
                "line": 24,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/option-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h4");
            dom.setAttribute(el1, "class", "cs-workspace-section-sub-heading");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createUnsafeMorphAt(dom.childAt(fragment, [1]), 0, 0);
            return morphs;
          },
          statements: [["content", "title", ["loc", [null, [23, 49], [23, 60]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 26,
                "column": 2
              },
              "end": {
                "line": 28,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/option-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "component", [["get", "descriptionComponentPath", ["loc", [null, [27, 16], [27, 40]]], 0, 0, 0, 0]], [], ["loc", [null, [27, 4], [27, 42]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child2 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 29,
                  "column": 4
                },
                "end": {
                  "line": 31,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/options/option-section/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("p");
              dom.setAttribute(el1, "class", "cs-workspace-section-description");
              var el2 = dom.createElement("span");
              var el3 = dom.createTextNode("Info:");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createUnsafeMorphAt(dom.childAt(fragment, [1]), 1, 1);
              return morphs;
            },
            statements: [["content", "description", ["loc", [null, [30, 68], [30, 85]]], 0, 0, 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 28,
                "column": 2
              },
              "end": {
                "line": 32,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/option-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "description", ["loc", [null, [29, 10], [29, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [29, 4], [31, 11]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      var child3 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 34,
                "column": 2
              },
              "end": {
                "line": 36,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/option-section/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "common/control-list", [], ["controls", ["subexpr", "@mut", [["get", "section.controls", ["loc", [null, [35, 35], [35, 51]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [35, 4], [35, 53]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child4 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 42,
                      "column": 8
                    },
                    "end": {
                      "line": 44,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/options/option-section/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                  return morphs;
                },
                statements: [["content", "child.title", ["loc", [null, [43, 10], [43, 25]]], 0, 0, 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 41,
                    "column": 6
                  },
                  "end": {
                    "line": 45,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/options/option-section/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "link-to", ["options.section", ["get", "child.id", ["loc", [null, [42, 37], [42, 45]]], 0, 0, 0, 0]], ["class", "cs-workspace-section-goto"], 0, null, ["loc", [null, [42, 8], [44, 20]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 45,
                    "column": 6
                  },
                  "end": {
                    "line": 47,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/options/option-section/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "options/option-section", [], ["section", ["subexpr", "@mut", [["get", "child", ["loc", [null, [46, 41], [46, 46]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [46, 8], [46, 48]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 40,
                  "column": 4
                },
                "end": {
                  "line": 48,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/options/option-section/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "child.panel", ["loc", [null, [41, 12], [41, 23]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [41, 6], [47, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 39,
                "column": 2
              },
              "end": {
                "line": 49,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/options/option-section/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["get", "child.isHidden", ["loc", [null, [40, 14], [40, 28]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [40, 4], [48, 15]]]]],
          locals: ["child"],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 20,
              "column": 0
            },
            "end": {
              "line": 51,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/options/option-section/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(4);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
          morphs[3] = dom.createMorphAt(fragment, 7, 7, contextualElement);
          return morphs;
        },
        statements: [["block", "unless", [["get", "section.panel", ["loc", [null, [22, 12], [22, 25]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [22, 2], [24, 13]]]], ["block", "if", [["get", "descriptionComponentPath", ["loc", [null, [26, 8], [26, 32]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [26, 2], [32, 9]]]], ["block", "if", [["get", "section.controls", ["loc", [null, [34, 8], [34, 24]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [34, 2], [36, 9]]]], ["block", "each", [["get", "section.children", ["loc", [null, [39, 10], [39, 26]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [39, 2], [49, 11]]]]],
        locals: [],
        templates: [child0, child1, child2, child3, child4]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 52,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/options/option-section/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "unless", [["get", "isRoot", ["loc", [null, [1, 10], [1, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [19, 11]]]], ["block", "component", [["subexpr", "if", [["get", "section.panel", ["loc", [null, [20, 17], [20, 30]]], 0, 0, 0, 0], "workspace/workspace-content", "common/scroll-box"], [], ["loc", [null, [20, 13], [20, 81]]], 0, 0]], ["enabled", ["subexpr", "@mut", [["get", "section.panel", ["loc", [null, [20, 90], [20, 103]]], 0, 0, 0, 0]], [], [], 0, 0], "scrollTo", ["subexpr", "@mut", [["get", "scrollTo", ["loc", [null, [20, 113], [20, 121]]], 0, 0, 0, 0]], [], [], 0, 0]], 1, null, ["loc", [null, [20, 0], [51, 14]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/preview/bar-region/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: '',
    classPrefix: _ember['default'].computed('model.atts._region', function () {
      return 'footer' === this.get('model.atts._region') ? 'fm' : 'hm';
    }),
    renderService: _ember['default'].inject.service('preview/rendering')
  });
});
define("cornerstone/components/preview/bar-region/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/preview/bar-region/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "component", [["subexpr", "dynamic-element", [["subexpr", "element-markup", [["subexpr", "get", [["get", "renderService.cache", ["loc", [null, [5, 27], [5, 46]]], 0, 0, 0, 0], ["subexpr", "concat", ["markup-", ["get", "child.id", ["loc", [null, [5, 65], [5, 73]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 47], [5, 74]]], 0, 0]], [], ["loc", [null, [5, 22], [5, 76]]], 0, 0], ["get", "child", ["loc", [null, [5, 77], [5, 82]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 6], [5, 84]]], 0, 0]], ["model", ["get", "child", ["loc", [null, [6, 12], [6, 17]]], 0, 0, 0, 0], "parent", ["get", "this", ["loc", [null, [7, 13], [7, 17]]], 0, 0, 0, 0], "manager", ["get", "this", ["loc", [null, [8, 14], [8, 18]]], 0, 0, 0, 0]], ["loc", [null, [4, 4], [9, 5]]], 0, 0]], [], ["loc", [null, [3, 2], [10, 4]]], 0, 0]],
        locals: ["child"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/bar-region/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["block", "each", [["subexpr", "sort-by", ["order", ["get", "model.availableChildren", ["loc", [null, [2, 25], [2, 48]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 8], [2, 49]]], 0, 0]], [], 0, null, ["loc", [null, [2, 0], [11, 9]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/preview/cs-content/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: '',
    draggable: true,
    classPrefix: 'el',
    showEmptyElementPlaceholders: true,
    renderService: _ember['default'].inject.service('preview/rendering')
  });
});
define("cornerstone/components/preview/cs-content/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 13,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/preview/cs-content/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "component", [["subexpr", "dynamic-element", [["subexpr", "element-markup", [["subexpr", "get", [["get", "renderService.cache", ["loc", [null, [5, 27], [5, 46]]], 0, 0, 0, 0], ["subexpr", "concat", ["markup-", ["get", "child.id", ["loc", [null, [5, 65], [5, 73]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 47], [5, 74]]], 0, 0]], [], ["loc", [null, [5, 22], [5, 76]]], 0, 0], ["get", "child", ["loc", [null, [5, 77], [5, 82]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 6], [5, 84]]], 0, 0]], ["model", ["get", "child", ["loc", [null, [6, 12], [6, 17]]], 0, 0, 0, 0], "parent", ["get", "this", ["loc", [null, [7, 13], [7, 17]]], 0, 0, 0, 0], "manager", ["get", "this", ["loc", [null, [8, 14], [8, 18]]], 0, 0, 0, 0], "onMoveElement", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [9, 20], [9, 48]]], 0, 0], "onAddElement", ["subexpr", "route-action", ["addElement"], [], ["loc", [null, [10, 19], [10, 46]]], 0, 0]], ["loc", [null, [4, 4], [11, 5]]], 0, 0]], [], ["loc", [null, [3, 2], [12, 4]]], 0, 0]],
        locals: ["child"],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/cs-content/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["block", "each", [["subexpr", "sort-by", ["order", ["get", "model.availableChildren", ["loc", [null, [2, 25], [2, 48]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 8], [2, 49]]], 0, 0]], [], 0, null, ["loc", [null, [2, 0], [13, 9]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/preview/cs-observer/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    radio: _ember['default'].inject.service('global/radio'),
    preview: _ember['default'].inject.service(),
    classNames: ['cs-observer'],
    classNameBindings: ['mode', 'edge', 'inactive'],
    inactive: _ember['default'].computed.none('targetData'),

    tooltip: _ember['default'].computed('targetData', function () {
      return this.getWithDefault('targetData.title', '');
    }),

    mode: _ember['default'].computed('targetData', function () {
      return this.getWithDefault('targetData.mode', '');
    }),

    edge: _ember['default'].computed('visibleEdges', function () {
      var edges = this.getWithDefault('visibleEdges', 'top left');
      var v = edges.includes('top') ? 'top' : 'bottom';
      if (v === 'bottom' && !edges.includes('bottom ')) {
        v = 'top-inside';
      }
      var h = edges.includes('left') ? 'left' : 'right';
      return v + ' ' + h;
    }),

    updatePosition: function updatePosition() {

      if (this.isDestroyed) {
        return;
      }

      var target = this.get('targetElement');

      if (!target) {
        return;
      }

      // Get our target elements box
      var bounds = target.getBoundingClientRect();

      // Update our visible edges so the tooltip can be repositioned if needed
      var visibleEdges = [];
      var tooltipHeight = 22; //this.$('.cs-observer-tooltip').height();

      if (bounds.top - tooltipHeight >= 0) {
        visibleEdges.push('top');
      }
      if (bounds.right > window.innerWidth) {
        visibleEdges.push('right');
      }
      if (bounds.bottom + tooltipHeight < window.innerHeight) {
        visibleEdges.push('bottom');
      }
      if (bounds.left >= 0) {
        visibleEdges.push('left');
      }
      this.set('visibleEdges', visibleEdges.join(' '));

      // Update our position to overlay the target element
      this.$().css({
        top: bounds.top,
        left: bounds.left,
        width: bounds.width,
        height: bounds.height
      });
    },

    onMouseMove: function onMouseMove(e) {
      if (this.get('preview.dragging') || this.get('maybeDragging')) {
        return;
      }

      e.stopPropagation();
      this.set('nextTarget', e.currentTarget);
      _ember['default'].run.cancel(this.leaving);
      _ember['default'].run.throttle(this, this.newTarget, 115);
    },

    newTarget: function newTarget() {
      var _this = this;

      this.set('targetData', JSON.parse(this.get('nextTarget').getAttribute('data-cs-observeable')));
      this.set('targetElement', this.get('nextTarget'));
      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this.updatePosition();
      });
    },

    onMousedownGlobal: function onMousedownGlobal() {
      this.set('maybeDragging', true);
    },

    onMouseupGlobal: function onMouseupGlobal() {
      this.set('maybeDragging', false);
    },

    onMouseup: function onMouseup(e) {
      var _this2 = this;

      _ember['default'].run.next(function () {

        if (_this2.get('preview.dragging')) {
          return;
        }

        _this2.set('maybeDragging', false);

        var action = _this2.get('targetData.action');

        if (action) {
          _this2.get('preview').message('observer', action);
        }
      });
    },

    onMouseLeave: function onMouseLeave() {
      this.set('maybeDragging', false);
      _ember['default'].run.cancel(this.leaving);
      this.leaving = _ember['default'].run.later(this, function () {
        this.completeLeave();
      }, 100);
    },

    completeLeave: function completeLeave() {
      if (this.isDestroyed) {
        return;
      }
      this.set('targetData', null);
      this.set('targetElement', null);
    },

    onScroll: function onScroll() {
      this.updatePosition();
    },

    remoteStart: function remoteStart(item) {
      _ember['default'].run.cancel(this.leaving);
      this.set('nextTarget', item);
      this.newTarget();
    },

    remoteEnd: function remoteEnd() /* item */{
      this.completeLeave();
    },

    init: function init() {
      this._super.apply(this, arguments);
      this.set('onScroll', this.get('onScroll').bind(this));
      this.set('onMouseup', this.get('onMouseup').bind(this));
      this.set('onMouseupGlobal', this.get('onMouseupGlobal').bind(this));
      this.set('onMousedownGlobal', this.get('onMousedownGlobal').bind(this));
      this.set('onMouseMove', this.get('onMouseMove').bind(this));
      // this.set( 'onMouseMoveGlobal', this.get('onMouseMoveGlobal').bind(this) );
      this.set('onMouseLeave', this.get('onMouseLeave').bind(this));
      this.set('remoteStart', this.get('remoteStart').bind(this));
      this.set('remoteEnd', this.get('remoteEnd').bind(this));
      this.set('listenForDestroyed', this.get('listenForDestroyed').bind(this));
      this.get('radio').on('preview:observer:start', this.get('remoteStart'));
      this.get('radio').on('preview:observer:end', this.get('remoteEnd'));

      this.get('radio').on('preview:destroyed-element-view', this.get('listenForDestroyed'));
    },

    listenForDestroyed: function listenForDestroyed(id) {
      if (id === this.get('targetData.action.id')) {
        this.completeLeave();
      }
    },

    didInsertElement: function didInsertElement() {
      _ember['default'].$(window).on('scroll', this.get('onScroll'));
      _ember['default'].$('body').on('mouseover mouseenter mousemove', '[data-cs-observeable]', this.get('onMouseMove'))
      //  .on('mousemove', this.get('onMouseMoveGlobal') )
      .on('mouseleave', '[data-cs-observeable]', this.get('onMouseLeave')).on('mouseup', '[data-cs-observeable]', this.get('onMouseup')).on('mouseup', this.get('onMouseupGlobal')).on('mousedown', this.get('onMousedownGlobal'));
    },

    willDestroyElement: function willDestroyElement() {
      _ember['default'].$(window).off('scroll', this.get('onScroll'));
      _ember['default'].$('body').off('mouseover mouseenter mousemove', '[data-cs-observeable]', this.get('onMouseMove')).off('mouseleave', '[data-cs-observeable]', this.get('onMouseLeave'))
      //  .off('mousemove', this.get('onMouseMoveGlobal') )
      .off('mouseup', '[data-cs-observeable]', this.get('onMouseup')).off('mouseup', this.get('onMouseupGlobal')).off('mousedown', this.get('onMousedownGlobal'));

      this.get('radio').off('preview:observer:start', this.get('remoteStart'));
      this.get('radio').off('preview:observer:end', this.get('remoteEnd'));
      this.get('radio').on('preview:destroyed-element-view', this.get('listenForDestroyed'));
    }
  });
});
define("cornerstone/components/preview/cs-observer/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/cs-observer/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-observer-tooltip");
        var el2 = dom.createElement("span");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0, 0]), 0, 0);
        return morphs;
      },
      statements: [["content", "tooltip", ["loc", [null, [1, 39], [1, 50]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/link-targeting/component', ['exports', 'ember', 'npm:url-parse'], function (exports, _ember, _npmUrlParse) {
  var everinit = window.csGlobal.everinit;
  exports['default'] = _ember['default'].Component.extend({

    allowInternal: false,

    didInsertElement: function didInsertElement() {
      var _this = this;

      everinit('a[href]', function (el) {
        var href = el.getAttribute('href');

        if (href && '#' !== href && (!_this.get('allowInternal') || !_this.isInternal(href))) {
          el.setAttribute('target', '_blank');
        }
      });
    },

    host: _ember['default'].computed('ui.defaultPreviewUrl', function () {
      return (0, _npmUrlParse['default'])(this.get('ui.defaultPreviewUrl'), true).host;
    }),

    isInternal: function isInternal(href) {
      return (0, _npmUrlParse['default'])(href, true).host === this.get('host');
    }
  });
});
define("cornerstone/components/preview/link-targeting/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/link-targeting/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/options/options-preview/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    preview: _ember['default'].inject.service(),

    didInsertElement: function didInsertElement() {
      var _this = this;

      this.setupCustomCSS();
      var navigate = function navigate(url) {
        return _this.get('preview').message('navigate', { url: url });
      };

      // TODO: Proper teardown. Current execution wouldn't allow this route to load
      // more than once, but in case we allow navigation later it should cleanup after itself
      this.navigateHandler = function (e) {
        var $this = _ember['default'].$(this);

        if (!event.shiftKey && '#' !== $this.attr('href').substr(0, 1) && '_blank' !== $this.attr('target')) {
          navigate($this.prop('href'));
          e.preventDefault();
        }
      };
      _ember['default'].$('body').on('click', 'a', this.navigateHandler);
    },

    customCSS: _ember['default'].computed.alias('preview.previewPackage.customCSS'),
    customCSSObserver: _ember['default'].observer('customCSS', function () {
      this.updateCustomCSS();
    }),

    setupCustomCSS: function setupCustomCSS() {

      // Find a style tag or create one
      var $style = _ember['default'].$(this.get('config.customCSSSelector'));

      if (0 === $style.length) {
        $style = _ember['default'].$('<style id="cs-generated-custom-css"></style>');
        _ember['default'].$('head').append($style);
      }

      this.set('customCSSEl', $style[0]);

      this.updateCustomCSS();
    },

    updateCustomCSS: function updateCustomCSS() {
      var _this2 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _ember['default'].$(_this2.get('customCSSEl')).html(_this2.get('customCSS'));
      });
    },

    willDestroyElement: function willDestroyElement() {
      _ember['default'].$('body').off('click', 'a', this.navigateHandler);
      _ember['default'].$('style#x-custom-css').remove();
    }
  });
});
define("cornerstone/components/preview/options/options-preview/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/options/options-preview/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["inline", "preview/link-targeting", [], ["allowInternal", true], ["loc", [null, [2, 0], [2, 45]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/preview-loader/component', ['exports', 'ember'], function (exports, _ember) {
  var $ = _ember['default'].$;
  var assert = _ember['default'].assert;
  var Component = _ember['default'].Component;
  var getOwner = _ember['default'].getOwner;
  exports['default'] = _ember['default'].Component.extend({
    tagName: '',
    zones: {},
    baseAttr: 'cs-preview',
    zoneAttr: 'cs-zone',
    zoneComponent: 'preview/zone-output',
    preview: _ember['default'].inject.service(),
    zonesLoaded: false,

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);

      this.componentsToRender = locateCandidates(this.get('zoneAttr'), this.get('baseAttr'), this.get('zoneComponent')).map(function (item) {
        if (!item.componentName) {
          item.componentName = item.name;
        }
        item.attrs.previewLoader = _this;
        return item;
      });

      this.get('preview').set('loader', this);

      this.renderedComponents = [];
    },

    createComponent: function createComponent(name, attrs) {
      var factory = lookupComponent(getOwner(this), name);
      assert('Preview loader could not find a component named "' + name + '" in your Ember appliction.', factory);
      return factory.create(attrs);
    },

    renderComponent: function renderComponent(_ref) {
      var componentName = _ref.componentName;
      var /* name, */attrs = _ref.attrs;
      var element = _ref.element;

      $(element).empty();

      var componentInstance = this.createComponent(componentName, attrs);
      componentInstance.appendTo(element);
      _ember['default'].run.scheduleOnce('afterRender', function () {
        $(element).contents().unwrap();
      });

      var zoneName = componentInstance.get('zoneName');

      if (zoneName) {
        this.set('zones.' + zoneName, componentInstance);
      }

      return componentInstance;
    },

    didInsertElement: function didInsertElement() {
      var _this2 = this;

      this.renderedComponents = this.componentsToRender.map(this.renderComponent.bind(this));
      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this2.set('zonesLoaded', true);
      });
    },

    didDestroyElement: function didDestroyElement() {
      this.set('zonesLoaded', false);
      this.renderedComponents.forEach(function (renderedComponent) {
        renderedComponent.destroy();
      });
    }
  });

  function locateCandidates(zoneAttr, baseAttr, zoneComponent) {

    var components = [];

    $('[data-' + baseAttr + ']').each(function () {
      var name = this.getAttribute('data-' + baseAttr);

      var attrs = {};

      try {
        if (this.innerHTML) {
          attrs = JSON.parse(this.innerHTML);
        }
      } catch (e) {
        console.warn('Could not load attributes for preview component: ' + name + ' innerHTML was not valid JSON', this.innerHTML);
      }

      components.push({ attrs: attrs, name: name, element: this });
    });

    $('[data-' + zoneAttr + ']').each(function () {

      var name = this.getAttribute('data-' + zoneAttr);
      var attrsJSON = this.getAttribute('data-' + zoneAttr + '-attrs');
      var attrs = attrsJSON ? JSON.parse(attrsJSON) : {};

      attrs.zoneName = _ember['default'].isNone(name) ? 'undefined' : name;
      attrs.innerContent = this.innerHTML;
      var componentName = zoneComponent;
      components.push({ componentName: componentName, attrs: attrs, name: name, element: this });
    });

    return components;
  }

  function lookupComponent(owner, name) {
    var componentLookupKey = 'component:' + name;
    var layoutLookupKey = 'template:components/' + name;
    var layout = owner.lookup(layoutLookupKey);

    if (layout) {
      owner.inject(componentLookupKey, 'layout', layoutLookupKey);
    }

    var component = owner.factoryFor(componentLookupKey);

    if (layout && !component) {
      owner.register(componentLookupKey, Component);
      component = owner.factoryFor(componentLookupKey);
    }

    return component;
  }
});
// Based on Ember Islands https://github.com/mitchlloyd/ember-islands/issues/7#issuecomment-241179736
define("cornerstone/components/preview/preview-loader/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/preview-loader/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/region-manager/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    preview: _ember['default'].inject.service(),

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);
      this.get('model.availableChildren').forEach(function (region) {

        var regionName = region.get('atts._region');
        var zone = getZone(regionName);
        var residents = _this.get('preview.loader.zones.' + zone + '.residents');
        if (residents) {
          residents.pushObject({
            componentName: 'preview/bar-region',
            model: region
          });
        } else {
          _this.get('preview').notateMissingZone(zone);
          console.log('Could not render region ' + regionName + ' into ' + zone);
        }
      });

      // This will need to be refactored to pull a value off the region
      // model instead of assuming one here. That way region hooks can be
      // configured by the theme.
      function getZone(region) {
        if ('footer' === region) {
          return 'x_colophon';
        }
        return 'x_masthead';
      }
    },

    didInsertElement: function didInsertElement() {
      this.updateCustomCSS();
    },

    customCSS: _ember['default'].computed.alias('preview.previewPackage.customCSS'),
    customCSSObserver: _ember['default'].observer('customCSS', function () {
      this.updateCustomCSS();
    }),

    updateCustomCSS: function updateCustomCSS() {
      var _this2 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _ember['default'].$('style#bar-custom-css').remove();
        var $style = _ember['default'].$('<style id="bar-custom-css">' + _this2.get('customCSS') + '</style>');
        var selector = _this2.get('preview.initialRouteConfig.dynamic_css_selector');
        _ember['default'].$(selector ? selector : 'style#x-generated-css').after($style);
      });
    },

    willDestroyElement: function willDestroyElement() {
      _ember['default'].$('style#bar-custom-css').remove();
    }
  });
});
define("cornerstone/components/preview/region-manager/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/region-manager/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/render-element/component', ['exports', 'ember', 'npm:in-view', 'cornerstone/mixins/dragula-events'], function (exports, _ember, _npmInView, _cornerstoneMixinsDragulaEvents) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsDragulaEvents['default'], {

    preview: _ember['default'].inject.service('preview'),
    radio: _ember['default'].inject.service('global/radio'),
    elementService: _ember['default'].inject.service('element'),
    rendering: _ember['default'].inject.service('preview/rendering'),

    markupDebounce: _ember['default'].computed('model.definition.options.debounce', function () {
      return parseInt(this.getWithDefault('model.definition.options.debounce', 115));
    }),

    filteredAvailableChildren: _ember['default'].computed.alias('model.availableChildren'),

    dragulaEvents: _ember['default'].computed('draggable', function () {
      if (this.get('draggable')) {
        return ['element'];
      }
      return [];
    }),

    classNames: ['cs-element-preview'],
    classNameBindings: ['draggable:cs-draggable'],

    draggable: _ember['default'].computed('manager.draggable', 'model.definition.isLayout', function () {
      return this.get('manager.draggable') && this.get('model.parent.definition.isLayout') && !this.get('model.definition.isLayout');
    }),

    dragulaDrag: function dragulaDrag(e, el) {
      var $el = _ember['default'].$(el);
      if (0 === $el.find('.cs-empty-element-transit').length) {
        $el.append(_ember['default'].$('<div class="cs-empty-element-transit"></div>'));
      }
      this.set('elementService.liftedElement', this.get('model'));
    },

    dragulaDragend: function dragulaDragend() {
      this.$().find('.cs-empty-element-transit').remove();
    },

    observer: _ember['default'].computed('model.observerTitle', function () {
      return JSON.stringify({
        title: this.get('model.observerTitle'),
        mode: 'inspect',
        action: { type: 'inspect', id: this.get('model.id') }
      });
    }),

    onInit: _ember['default'].on('init', function () {
      this.set('remoteQuery', this.get('remoteQuery').bind(this));
      this.get('radio').on('element:remote:query', this.get('remoteQuery'));

      if (this.get('model.definition.options.classic.manageChild')) {
        // Parent controls child rendering (single view)
        this.addObserver('filteredAvailableChildren.@each.order', this, 'debouncedMarkupUpdate');
        this.addObserver('filteredAvailableChildren.@each.attsUpdated', this, 'debouncedMarkupUpdate');
      }

      if (this.get('model.parent.definition.options.classic.linked_child')) {
        //
        this.addObserver('model.parent.attsUpdated', this, 'debouncedMarkupUpdate');
      }
    }),

    remoteQuery: function remoteQuery(data) {

      if (this.get('model.id') !== data.element) {
        return;
      }

      if (data.type.includes('observer:')) {
        this.get('radio').trigger('preview:' + data.type, this.get('element'));
      }

      if ('nav:scroll-to-element' === data.type) {
        this.getIntoView();
      }
    },

    renderService: _ember['default'].inject.service('preview/rendering'),

    didInsertElement: function didInsertElement() {

      if ('undefined' === this.get('model.definition.id')) {
        var message = this.get('i18n').t('app.elements-undefined-preview');
        this.$().append('<div class="cs-undefined-element"><p>' + message + '</p></div>');
        return;
      }

      this.get('rendering.cleanGarbage')(this.get('model.definition.id'));

      if (this.get('model.id') === this.get('preview.scrollToNewElement')) {
        this.getIntoView();
        this.set('preview.scrollToNewElement', null);
      }

      if (_ember['default'].$('style#el-css-' + this.get('model.id')).length <= 0) {
        this.updateStyle();
      }

      _ember['default'].$(document.body).trigger('cs-preview', {
        type: this.get('model.atts._type'),
        id: this.get('model.id')
      });

      this.get('preview').responsiveTextUpdate(this);
    },

    didRender: function didRender() {
      var _this = this;

      this.$('[data-x-toggle]').on('click', function () {
        _this.$().trigger('click');
      });

      this.$('a[href]').on('click', function (e) {
        e.preventDefault();
      });

      if (!this.get('manager.showEmptyElementPlaceholders') || 'undefined' === this.get('model.definition.id')) {
        return;
      }

      if (!this.get('model.definition.isContentLayout')) {

        var markup = this.get('renderService.cache.markup-' + this.get('model.id'));

        // Has rendered
        if (_ember['default'].isNone(markup)) {

          // Spinner for empty elements
          if (!this.$().html().replace(/<!--[\s\S]*?-->/g, '')) {
            this.$().append('<div class="cs-empty-element"><div class="cs-empty-element-icon"><i class="cs-fa-data-attr cs-icon-loading" data-cs-icon="&#xf110;"></i></div></div>');
          }
        } else {
          (function () {

            var showEmpty = function showEmpty() {
              _this.$().append('<div class="cs-empty-element">' + _this.getEmptyElementIcon() + '</div>');
            };

            // show empty if no markup was provided
            if ('' === markup) {
              showEmpty();
            } else {

              // Show empty if height is zero after waiting for element to initialize
              _ember['default'].run.next(function () {
                if (_this.get('isDestroyed')) {
                  return;
                }

                _this.waitForImages().then(function () {
                  if (_this.emptyDetection()) {
                    showEmpty();
                  }
                });
              });
            }
          })();
        }
      }
    },

    waitForImages: function waitForImages() {

      var promises = _ember['default'].A();

      this.$('img').each(function (index, img) {
        promises.push(new _ember['default'].RSVP.Promise(function (resolve) {
          if (img.complete) {
            resolve();
          } else {
            img.addEventListener('load', resolve);
            img.addEventListener('error', resolve);
          }
        }));
      });

      return new _ember['default'].RSVP.Promise(function (resolve) {
        _ember['default'].RSVP.allSettled(promises).then(resolve);
      });
    },

    getIntoView: function getIntoView() {
      if (!_npmInView['default'].is(this.get('element'))) {
        this.get('preview').scrollToElement(this.get('element'));
      }
    },

    emptyDetection: function emptyDetection() {
      return this.$().shadowHeight() < 1;
    },

    getEmptyElementIcon: function getEmptyElementIcon() {
      var owner = _ember['default'].getOwner(this);
      var icon = owner.resolveRegistration('helper:icon').create();
      _ember['default'].setOwner(icon, owner);
      var iconMarkup = icon.compute([this.get('model.definition.iconPath')]);
      return '<div class="cs-empty-element-icon">' + iconMarkup.string + '</div>';
    },

    observeMarkupUpdate: _ember['default'].observer('model.updateMarkup', 'model.updateAll', function () {
      this.debouncedMarkupUpdate();
    }),

    observeStyleUpdate: _ember['default'].observer('model.updateStyle', 'model.updateAll', function () {
      _ember['default'].run.debounce(this, this.updateStyle, 15);
    }),

    debouncedMarkupUpdate: function debouncedMarkupUpdate() {
      var rate = this.get('markupDebounce');
      _ember['default'].run.debounce(this, this.updateMarkup, rate);
    },

    updateMarkup: function updateMarkup() {
      this.get('renderService').updateMarkup(this.get('model'));
    },

    updateStyle: function updateStyle() {
      var _this2 = this;

      var templateFunction = this.get('model.definition.styleTemplate');
      if (!templateFunction) {
        return;
      }

      _ember['default'].run.scheduleOnce('afterRender', function () {

        _ember['default'].$('style#el-css-' + _this2.get('model.id')).remove();

        var css = templateFunction(_this2.get('model').getCleanAtts(), _this2.get('manager.classPrefix'));

        if (!css) {
          return;
        }

        var $style = _ember['default'].$('<style id="el-css-' + _this2.get('model.id') + '">' + css + '</style>');
        var selector = _this2.get('preview.initialRouteConfig.dynamic_css_selector');
        _ember['default'].$(selector ? selector : 'style#x-generated-css').after($style);
      });
    },

    dragulaMirror: function dragulaMirror(e, clone) {

      var owner = _ember['default'].getOwner(this);
      var icon = owner.resolveRegistration('helper:icon').create();
      _ember['default'].setOwner(icon, owner);

      var markup = icon.compute([this.get('model.definition.iconPath')]);

      var $clone = this.$(clone);
      $clone.empty();
      $clone.removeAttr('style');
      $clone.removeClass();
      $clone.addClass('cs-indicator gu-mirror');
      $clone.append(markup.string);
    },

    willDestroyElement: function willDestroyElement() {
      this.get('radio').off('element:remote:query', this.get('remoteQuery'));
      _ember['default'].$('style#el-css-' + this.get('model.id')).remove();

      if (this.get('model.definition.options.classic.manageChild')) {
        this.removeObserver('filteredAvailableChildren.@each.order', this, 'debouncedMarkupUpdate');
        this.removeObserver('filteredAvailableChildren.@each.attsUpdated', this, 'debouncedMarkupUpdate');
      }

      if (this.get('model.parent.definition.options.classic.linked_child')) {
        this.removeObserver('model.parent.attsUpdated', this, 'debouncedMarkupUpdate');
      }

      this.get('radio').trigger('preview:destroyed-element-view', this.get('model.id'));
    }

  });
});
define("cornerstone/components/preview/render-element/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/render-element/template.hbs"
      },
      isEmpty: true,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        return el0;
      },
      buildRenderNodes: function buildRenderNodes() {
        return [];
      },
      statements: [],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/section-manager/component', ['exports', 'ember', 'cornerstone/util/dragula', 'cornerstone/mixins/preview-listener'], function (exports, _ember, _cornerstoneUtilDragula, _cornerstoneMixinsPreviewListener) {
  exports['default'] = _ember['default'].Component.extend(_cornerstoneMixinsPreviewListener['default'], {

    preview: _ember['default'].inject.service(),
    elementService: _ember['default'].inject.service('element'),
    renderService: _ember['default'].inject.service('preview/rendering'),
    store: _ember['default'].inject.service(),

    init: function init() {
      var _this = this;

      this.get('elementService.incomingType');
      this._super.apply(this, arguments);
      var zone = 'cs_content';
      var residents = this.get('preview.loader.zones.' + zone + '.residents');
      if (residents) {
        residents.pushObject({
          componentName: 'preview/cs-content',
          model: this.get('model')
        });
      } else {
        this.get('preview').notateMissingZone(zone);
        console.log('Could not render content');
      }

      this.componentListenTo('preview:resume-drag', function () {
        _this.set('preview.suspendDrag', true);
        document.addEventListener('mousemove', _this.get('eventualDragResume'), false);
      });

      this.componentListenTo('preview:drag-existing-end', function () {
        var drake = _this.get('elementDrake');
        if (drake && drake.cancel) {
          drake.cancel();
        }
      });

      this.set('eventualDragStart', this.get('eventualDragStart').bind(this));
      this.set('eventualDragResume', this.get('eventualDragResume').bind(this));
      this.set('stopDragging', this.get('stopDragging').bind(this));
    },

    didInsertElement: function didInsertElement() {
      var _this2 = this;

      this.updateCustomCSS();

      var drake = (0, _cornerstoneUtilDragula['default'])({
        isContainer: function isContainer(el) {
          return !!el.classList && (el.classList.contains('cs-element-preview') && el.classList.contains('x-column') || el.classList.contains('cs-indicator-container'));
        },
        moves: function moves(el) {
          return !!el.classList && (el.classList.contains('cs-element-preview') && el.classList.contains('cs-draggable') || el.classList.contains('cs-indicator'));
        },
        accepts: function accepts(el) {
          return !!el.classList && (el.classList.contains('cs-element-preview') && el.classList.contains('cs-draggable') || el.classList.contains('cs-indicator'));
        },
        offset: function offset(_offset) {
          _offset.x = 0;
          _offset.y = 0;
          return _offset;
        },
        copy: function copy(el) {
          return !!el.classList && el.classList.contains('cs-indicator');
        },
        revertOnSpill: true
      });

      drake.on('drag', function (el) {

        if (!!el.classList && el.classList.contains('cs-indicator')) {

          if (drake.incoming) {
            var _event = new MouseEvent('mousedown', {
              'buttons': 1,
              'which': 1,
              'view': window,
              'bubbles': true,
              'cancelable': true,
              'synthetic': true
            });
            el.dispatchEvent(_event, true);
          }

          drake.incoming = false;
        } else {
          _this2.get('preview').message('drag-existing');
        }

        _this2.set('preview.dragging', true);
      });

      drake.on('dragend', function () {
        _this2.set('elementService.liftedElement', null);
        _this2.set('preview.dragging', false);
        _this2.set('preview.suspendDrag', false);
      });

      this.set('elementDrake', drake);

      var $indicator = _ember['default'].$('<div class="cs-indicator"></div>');
      this.set('indicator', $indicator);
      this.$('.cs-indicator-container').append($indicator);
    },

    customCSS: _ember['default'].computed.alias('preview.previewPackage.customCSS'),
    customCSSObserver: _ember['default'].observer('customCSS', function () {
      this.updateCustomCSS();
    }),

    updateCustomCSS: function updateCustomCSS() {
      var _this3 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _ember['default'].$('style#content-custom-css').remove();
        var $style = _ember['default'].$('<style id="content-custom-css">' + _this3.get('customCSS') + '</style>');
        var selector = _this3.get('preview.initialRouteConfig.dynamic_css_selector');
        _ember['default'].$(selector ? selector : 'style#x-generated-css').after($style);
      });
    },

    observeIncomingType: _ember['default'].observer('elementService.incomingType', function () {
      var type = this.get('elementService.incomingType');
      if (type) {
        this.get('renderService').primeElement(type);
        this.set('preview.dragging', true);
        document.addEventListener('mousemove', this.get('eventualDragStart'), false);
      } else {
        document.removeEventListener('mousemove', this.get('eventualDragStart'), false);
        this.get('elementDrake').cancel();
        this.set('preview.dragging', false);
      }
    }),

    eventualDragStart: function eventualDragStart() {

      var $indicator = this.get('indicator');
      $indicator.empty();
      $indicator.append(_ember['default'].$(this.get('indicatorIcon')));
      this.$('.cs-indicator-container').append($indicator);

      this.get('preview').message('suspend-drag');

      var drake = this.get('elementDrake');
      drake.incoming = true;
      drake.start($indicator[0]);
      document.removeEventListener('mousemove', this.get('eventualDragStart'), false);
      document.addEventListener('mouseup', this.get('stopDragging'), false);
    },

    eventualDragResume: function eventualDragResume() {
      this.set('preview.suspendDrag', false);
      this.get('preview').message('suspend-drag');
      document.removeEventListener('mousemove', this.get('eventualDragResume'), false);
    },

    stopDragging: function stopDragging() {
      this.set('preview.suspendDrag', false);
      this.get('preview').message('stop-drag');
    },

    indicatorIcon: _ember['default'].computed('elementService.incomingType', function () {
      var type = this.get('elementService.incomingType');
      if (!type) {
        return '';
      }

      var definition = this.get('store').peekRecord('element/definition', type);

      if (!definition) {
        return '';
      }

      var owner = _ember['default'].getOwner(this);
      var icon = owner.resolveRegistration('helper:icon').create();
      _ember['default'].setOwner(icon, owner);

      return icon.compute([definition.get('iconPath')]).string;
    }),

    willDestroyElement: function willDestroyElement() {
      _ember['default'].$('style#content-custom-css').remove();
    }
  });
});
define("cornerstone/components/preview/section-manager/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/section-manager/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-indicator-container");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/preview/zone-output/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: '',

    init: function init() {
      this._super.apply(this, arguments);
      this.set('residents', _ember['default'].A());
    },

    actions: {
      residentDidRender: function residentDidRender() {
        // console.log( 'residentDidRender');
      }
    }

  });
});
define("cornerstone/components/preview/zone-output/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 4,
                  "column": 4
                },
                "end": {
                  "line": 10,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/preview/zone-output/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "component", [["subexpr", "dynamic-component", [["get", "resident.markup", ["loc", [null, [5, 37], [5, 52]]], 0, 0, 0, 0]], ["tagName", "", "model", ["get", "resident.model", ["loc", [null, [7, 14], [7, 28]]], 0, 0, 0, 0], "didRender", ["subexpr", "action", ["residentDidRender", ["get", "resident", ["loc", [null, [8, 46], [8, 54]]], 0, 0, 0, 0]], [], ["loc", [null, [8, 18], [8, 55]]], 0, 0]], ["loc", [null, [5, 18], [9, 7]]], 0, 0]], [], ["loc", [null, [5, 6], [9, 9]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 11,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/preview/zone-output/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "if", [["get", "resident.model", ["loc", [null, [4, 10], [4, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 4], [10, 11]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 13,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/preview/zone-output/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "component", [["get", "resident.componentName", ["loc", [null, [12, 16], [12, 38]]], 0, 0, 0, 0]], ["model", ["subexpr", "@mut", [["get", "resident.model", ["loc", [null, [12, 45], [12, 59]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [12, 4], [12, 61]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 14,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/preview/zone-output/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "resident.markup", ["loc", [null, [3, 8], [3, 23]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [3, 2], [13, 9]]]]],
        locals: ["resident"],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 16,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/zone-output/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "each", [["get", "residents", ["loc", [null, [2, 8], [2, 17]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [14, 9]]]], ["content", "yield", ["loc", [null, [15, 0], [15, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/preview/zone-pipe/component', ['exports', 'ember', 'cornerstone/util/base64'], function (exports, _ember, _cornerstoneUtilBase64) {
  exports['default'] = _ember['default'].Component.extend({
    isVisible: false,
    preview: _ember['default'].inject.service(),
    didInsertElement: function didInsertElement() {

      var markup = '';
      var content = this.$().html();

      try {
        markup = _cornerstoneUtilBase64['default'].decode(JSON.parse(content).markup);
      } catch (e) {
        console.warn('Unable to render zone pipe', content, this);
      }

      this.set('zoneResident', { markup: markup, model: this.get('model') });

      this.get('preview.loader.zones.' + this.get('zone') + '.residents').pushObject(this.get('zoneResident'));
      this.$().detach();
    },

    willDestroyElement: function willDestroyElement() {
      this.get('preview.loader.zones.' + this.get('zone') + '.residents').removeObject(this.get('zoneResident'));
      this.set('zoneResident', null);
    }

  });
});
define("cornerstone/components/preview/zone-pipe/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/preview/zone-pipe/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/regions/hf-assign/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-hf-index-assign'],

    selected: _ember['default'].computed('selectedEntry', 'assignments.value', function () {

      var id = this.get('selectedEntry.language.source');
      if (!id) {
        id = this.get('selectedEntry.id');
      }

      if (id) {
        id = String(id);
      }

      var selectedKeys = [];
      var selected = [];
      var assignments = this.get('assignments.value');
      var assignContexts = this.get('assignContexts');

      for (var key in assignments) {
        if (assignments.hasOwnProperty(key) && id === assignments[key]) {
          selectedKeys.push(key);
        }
      }

      for (var value in assignContexts) {
        if (assignContexts.hasOwnProperty(value) && selectedKeys.includes(value)) {
          assignContexts[value].value = value;
          selected.push(assignContexts[value]);
        }
      }

      if (selectedKeys.includes('global')) {
        selected.push({
          value: 'global'
        });
      }

      return selected;
    }),

    resetSearchScroll: 0,

    init: function init() {
      this._super.apply(this, arguments);

      var search = this.get('ui.search').getTarget('header-assign');

      this.set('searchData', search);

      search.setOptions({
        id: 'id',
        threshold: 0.15,
        distance: 100,
        tokenize: true,
        keys: [{ name: 'title', weight: 0.1 }, { name: 'tag', weight: 0.8 }]
      });

      this.updateSearchIndex();
    },

    updateSearchIndex: function updateSearchIndex() {
      this.get('searchData').updateIndex(this.get('searchable').map(function (item) {
        return { id: item.value, title: item.title, tag: item.tag };
      }));
    },

    searchObserver: _ember['default'].observer('searchable', function () {
      this.updateSearchIndex();
    }),

    isGlobal: _ember['default'].computed('selected', function () {
      return this.get('selected').map(function (item) {
        return item.value;
      }).includes('global');
    }),

    available: _ember['default'].computed('searchable.[]', 'isSearching', 'searchResults.[]', function () {
      return this.get(this.get('isSearching') ? 'searchResults' : 'searchable');
    }),

    searchable: _ember['default'].computed('assignContexts.[]', 'selected.[]', function () {
      var searchable = [];
      var items = this.get('assignContexts');

      var selected = this.get('selected').reduce(function (memo, item) {
        memo.push(item.value);
        return memo;
      }, []);

      for (var value in items) {
        if (selected.includes(items[value].group)) {
          continue;
        }
        items[value].value = value;
        _ember['default'].set(items[value], 'selected', selected.includes(value) || selected.includes(items[value].group));
        searchable.push(items[value]);
      }

      return searchable;
    }),

    isSearching: _ember['default'].computed.alias('searchData.isSearching'),

    searchResults: _ember['default'].computed('searchable', 'searchData.results', function () {

      var results = this.get('searchData.results');

      return this.get('searchable').filter(function (item) {
        return results.includes(item.value);
      });
    }),

    actions: {

      close: function close() {
        this.get('onClose')();
      },

      searchUpdated: function searchUpdated() {
        this.incrementProperty('resetSearchScroll');
      },

      setGlobal: function setGlobal() {
        var _this = this;

        if (this.get('isGlobal')) {
          return;
        }

        var assignments = this.get('assignments');
        var value = assignments.get('value');
        var id = this.get('selectedEntry.id');

        var mode = this.get('context');
        if (value.global) {
          this.get('ui').confirm({
            message: this.get('i18n').t(mode + '.assign-collision-global'),
            accept: function accept() {
              update.call(_this);
            },
            acceptClass: 'sad',
            acceptBtn: this.get('i18n').t(mode + '.assign-collision-global-yep'),
            declineBtn: this.get('i18n').t(mode + '.assign-collision-global-nope')
          });
        } else {
          update.call(this);
        }

        function update() {
          var _this2 = this;

          for (var key in value) {
            if (id === value[key]) {
              delete value[key];
            }
          }

          value.global = id;

          assignments.set('value', value);
          assignments.save().then(function () {
            _this2.get('ui').notify('Assignments saved!', 'success');
          });
        }
      },

      unsetGlobal: function unsetGlobal() {
        this.send('remove', { value: 'global' });
      },

      add: function add(item) {
        var _this3 = this;

        var assignments = this.get('assignments');
        var value = assignments.get('value');

        var id = this.get('selectedEntry.language.source');
        if (!id) {
          id = this.get('selectedEntry.id');
        }

        if (id) {
          id = String(id);
        }

        var localChildren = this.get('selected').filter(function (selected) {
          return selected.group && selected.group === item.value;
        }).map(function (item) {
          return item.value;
        });

        if (value[item.value]) {
          this.get('ui').confirm({
            screen: 'headers',
            message: this.get('i18n').t('headers.assign-collision'),
            accept: function accept() {
              update.call(_this3);
            }
          });
        } else {
          update.call(this);
        }

        function update() {
          var _this4 = this;

          if (value.global === id) {
            delete value.global;
          }

          localChildren.forEach(function (key) {
            delete value[key];
          });

          value[item.value] = id;
          assignments.set('value', value);
          assignments.save().then(function () {
            _this4.get('ui').notify('Assignments saved!', 'success');
          });
        }
      },

      remove: function remove(item) {
        var _this5 = this;

        var assignments = this.get('assignments');
        var value = assignments.get('value');

        delete value[item.value];
        assignments.set('value', value);
        assignments.save().then(function () {
          _this5.get('ui').notify('Assignments saved!', 'success');
        });
      }
    }
  });
});
define("cornerstone/components/regions/hf-assign/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 9,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-hf-index-assign-message-global");
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("span");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("button");
            var el3 = dom.createTextNode("Remove");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element4 = dom.childAt(fragment, [1]);
            var element5 = dom.childAt(element4, [5]);
            var morphs = new Array(3);
            morphs[0] = dom.createMorphAt(element4, 1, 1);
            morphs[1] = dom.createMorphAt(dom.childAt(element4, [3]), 0, 0);
            morphs[2] = dom.createElementMorph(element5);
            return morphs;
          },
          statements: [["inline", "fa-icon", ["globe"], [], ["loc", [null, [5, 6], [5, 25]]], 0, 0], ["content", "labels.globalMessage", ["loc", [null, [6, 12], [6, 36]]], 0, 0, 0, 0], ["element", "action", ["unsetGlobal"], [], ["loc", [null, [7, 14], [7, 38]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 23,
                        "column": 10
                      },
                      "end": {
                        "line": 23,
                        "column": 87
                      }
                    },
                    "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createElement("span");
                    dom.setAttribute(el1, "class", "cs-hf-index-assignment-meta");
                    var el2 = dom.createComment("");
                    dom.appendChild(el1, el2);
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
                    return morphs;
                  },
                  statements: [["content", "item.tag", ["loc", [null, [23, 68], [23, 80]]], 0, 0, 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 20,
                      "column": 8
                    },
                    "end": {
                      "line": 25,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
                },
                isEmpty: false,
                arity: 1,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("        ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("div");
                  dom.setAttribute(el1, "class", "cs-hf-index-assignment");
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createElement("span");
                  dom.setAttribute(el2, "class", "cs-hf-index-assignment-title");
                  var el3 = dom.createComment("");
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n        ");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element2 = dom.childAt(fragment, [1]);
                  var morphs = new Array(3);
                  morphs[0] = dom.createElementMorph(element2);
                  morphs[1] = dom.createMorphAt(dom.childAt(element2, [1]), 0, 0);
                  morphs[2] = dom.createMorphAt(element2, 3, 3);
                  return morphs;
                },
                statements: [["element", "action", ["remove", ["get", "item", ["loc", [null, [21, 31], [21, 35]]], 0, 0, 0, 0]], [], ["loc", [null, [21, 13], [21, 37]]], 0, 0], ["content", "item.title", ["loc", [null, [22, 53], [22, 67]]], 0, 0, 0, 0], ["block", "if", [["get", "item.tag", ["loc", [null, [23, 16], [23, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [23, 10], [23, 94]]]]],
                locals: ["item"],
                templates: [child0]
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 18,
                    "column": 6
                  },
                  "end": {
                    "line": 27,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("      ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                dom.setAttribute(el1, "class", "cs-hf-index-assigned");
                var el2 = dom.createTextNode("\n");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("      ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
                return morphs;
              },
              statements: [["block", "each", [["get", "selected", ["loc", [null, [20, 16], [20, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [20, 8], [25, 17]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 35,
                        "column": 10
                      },
                      "end": {
                        "line": 35,
                        "column": 87
                      }
                    },
                    "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createElement("span");
                    dom.setAttribute(el1, "class", "cs-hf-index-assignment-meta");
                    var el2 = dom.createComment("");
                    dom.appendChild(el1, el2);
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
                    return morphs;
                  },
                  statements: [["content", "item.tag", ["loc", [null, [35, 68], [35, 80]]], 0, 0, 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 32,
                      "column": 8
                    },
                    "end": {
                      "line": 37,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("        ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("div");
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createElement("span");
                  dom.setAttribute(el2, "class", "cs-hf-index-assignment-title");
                  var el3 = dom.createComment("");
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n        ");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element1 = dom.childAt(fragment, [1]);
                  var morphs = new Array(4);
                  morphs[0] = dom.createAttrMorph(element1, 'class');
                  morphs[1] = dom.createElementMorph(element1);
                  morphs[2] = dom.createMorphAt(dom.childAt(element1, [1]), 0, 0);
                  morphs[3] = dom.createMorphAt(element1, 3, 3);
                  return morphs;
                },
                statements: [["attribute", "class", ["concat", ["cs-hf-index-assignment cs-hf-index-assignment-assigned ", ["subexpr", "if", [["get", "item.divider", ["loc", [null, [33, 104], [33, 116]]], 0, 0, 0, 0], "cs-hf-index-assignment-first-of-type"], [], ["loc", [null, [33, 99], [33, 157]]], 0, 0], " ", ["subexpr", "if", [["get", "item.highlight", ["loc", [null, [33, 163], [33, 177]]], 0, 0, 0, 0], "cs-hf-index-assignment-highlight"], [], ["loc", [null, [33, 158], [33, 214]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["remove", ["get", "item", ["loc", [null, [33, 31], [33, 35]]], 0, 0, 0, 0]], [], ["loc", [null, [33, 13], [33, 37]]], 0, 0], ["content", "item.title", ["loc", [null, [34, 53], [34, 67]]], 0, 0, 0, 0], ["block", "if", [["get", "item.tag", ["loc", [null, [35, 16], [35, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [35, 10], [35, 94]]]]],
                locals: [],
                templates: [child0]
              };
            })();
            var child1 = (function () {
              var child0 = (function () {
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 40,
                        "column": 10
                      },
                      "end": {
                        "line": 40,
                        "column": 87
                      }
                    },
                    "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createElement("span");
                    dom.setAttribute(el1, "class", "cs-hf-index-assignment-meta");
                    var el2 = dom.createComment("");
                    dom.appendChild(el1, el2);
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
                    return morphs;
                  },
                  statements: [["content", "item.tag", ["loc", [null, [40, 68], [40, 80]]], 0, 0, 0, 0]],
                  locals: [],
                  templates: []
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 37,
                      "column": 8
                    },
                    "end": {
                      "line": 42,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("        ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("div");
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createElement("span");
                  dom.setAttribute(el2, "class", "cs-hf-index-assignment-title");
                  var el3 = dom.createComment("");
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n          ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n        ");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element0 = dom.childAt(fragment, [1]);
                  var morphs = new Array(4);
                  morphs[0] = dom.createAttrMorph(element0, 'class');
                  morphs[1] = dom.createElementMorph(element0);
                  morphs[2] = dom.createMorphAt(dom.childAt(element0, [1]), 0, 0);
                  morphs[3] = dom.createMorphAt(element0, 3, 3);
                  return morphs;
                },
                statements: [["attribute", "class", ["concat", ["cs-hf-index-assignment ", ["subexpr", "if", [["get", "item.divider", ["loc", [null, [38, 69], [38, 81]]], 0, 0, 0, 0], "cs-hf-index-assignment-first-of-type"], [], ["loc", [null, [38, 64], [38, 122]]], 0, 0], " ", ["subexpr", "if", [["get", "item.highlight", ["loc", [null, [38, 128], [38, 142]]], 0, 0, 0, 0], "cs-hf-index-assignment-highlight"], [], ["loc", [null, [38, 123], [38, 179]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["add", ["get", "item", ["loc", [null, [38, 28], [38, 32]]], 0, 0, 0, 0]], [], ["loc", [null, [38, 13], [38, 34]]], 0, 0], ["content", "item.title", ["loc", [null, [39, 53], [39, 67]]], 0, 0, 0, 0], ["block", "if", [["get", "item.tag", ["loc", [null, [40, 16], [40, 24]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [40, 10], [40, 94]]]]],
                locals: [],
                templates: [child0]
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 31,
                    "column": 6
                  },
                  "end": {
                    "line": 43,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "if", [["get", "item.selected", ["loc", [null, [32, 14], [32, 27]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [32, 8], [42, 15]]]]],
              locals: ["item"],
              templates: [child0, child1]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 11,
                  "column": 4
                },
                "end": {
                  "line": 46,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-hf-index-assignment cs-hf-index-assignment-global");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("span");
              var el3 = dom.createTextNode("Make Global");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element3 = dom.childAt(fragment, [1]);
              var morphs = new Array(3);
              morphs[0] = dom.createElementMorph(element3);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
              return morphs;
            },
            statements: [["element", "action", ["setGlobal"], [], ["loc", [null, [13, 11], [13, 33]]], 0, 0], ["block", "if", [["get", "selected", ["loc", [null, [18, 12], [18, 20]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [18, 6], [27, 13]]]], ["block", "each", [["get", "available", ["loc", [null, [31, 14], [31, 23]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [31, 6], [43, 15]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 2
              },
              "end": {
                "line": 47,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "common/search-bar", [], ["noFocus", true, "target", "header-assign", "placeholder", "Search", "onSearch", ["subexpr", "action", ["searchUpdated"], [], ["loc", [null, [10, 90], [10, 114]]], 0, 0]], ["loc", [null, [10, 4], [10, 116]]], 0, 0], ["block", "common/scroll-box", [], ["linkedSearch", "header-assign"], 0, null, ["loc", [null, [11, 4], [46, 26]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 48,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "isGlobal", ["loc", [null, [3, 8], [3, 16]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [3, 2], [47, 9]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 48,
              "column": 0
            },
            "end": {
              "line": 52,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-hf-index-assign-message-blank");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("span");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 0, 0);
          return morphs;
        },
        statements: [["content", "labels.blankMessage", ["loc", [null, [50, 10], [50, 33]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 53,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/regions/hf-assign/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "selectedEntry", ["loc", [null, [2, 6], [2, 19]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [2, 0], [52, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/regions/hf-create/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-hf-index-create'],
    templates: [],
    selection: 'none',
    newTitle: '',

    selectionChange: _ember['default'].observer('selection', function () {
      var _this = this;

      if ('none' === this.get('selection')) {
        this.set('newTitle', '');
        return;
      }

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this.$().find('input[type=text]').focus();
      });
    }),

    actions: {
      create: function create() {
        this.sendAction('onCreate', this.get('selection'), this.get('newTitle'));
      }
    }
  });
});
define("cornerstone/components/regions/hf-create/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 0
            },
            "end": {
              "line": 12,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/regions/hf-create/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-hf-index-create-step");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("span");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var element1 = dom.childAt(element0, [5]);
          var morphs = new Array(4);
          morphs[0] = dom.createUnsafeMorphAt(dom.childAt(element0, [1]), 0, 0);
          morphs[1] = dom.createMorphAt(element0, 3, 3);
          morphs[2] = dom.createElementMorph(element1);
          morphs[3] = dom.createMorphAt(element1, 0, 0);
          return morphs;
        },
        statements: [["content", "createMessage", ["loc", [null, [8, 10], [8, 29]]], 0, 0, 0, 0], ["inline", "input", [], ["type", "text", "class", "cs-no-input-focus", "enter", "create", "value", ["subexpr", "@mut", [["get", "newTitle", ["loc", [null, [9, 71], [9, 79]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "titlePlaceholder", ["loc", [null, [9, 92], [9, 108]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [9, 4], [9, 110]]], 0, 0], ["element", "action", ["create"], [], ["loc", [null, [10, 12], [10, 31]]], 0, 0], ["content", "createLabel", ["loc", [null, [10, 32], [10, 47]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 13,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/regions/hf-create/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("h1");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-hf-index-create-step");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("span");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [2]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
        morphs[1] = dom.createUnsafeMorphAt(dom.childAt(element2, [1]), 0, 0);
        morphs[2] = dom.createMorphAt(element2, 3, 3);
        morphs[3] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["content", "heading", ["loc", [null, [1, 4], [1, 15]]], 0, 0, 0, 0], ["content", "previewMessage", ["loc", [null, [3, 8], [3, 28]]], 0, 0, 0, 0], ["inline", "forms/styled-select", [], ["placeholder", ["subexpr", "@mut", [["get", "templatePlaceholder", ["loc", [null, [4, 36], [4, 55]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "templateOptions", ["loc", [null, [4, 64], [4, 79]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selection", ["loc", [null, [4, 86], [4, 95]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [4, 2], [4, 97]]], 0, 0], ["block", "unless", [["subexpr", "eq", [["get", "selection", ["loc", [null, [6, 14], [6, 23]]], 0, 0, 0, 0], "none"], [], ["loc", [null, [6, 10], [6, 31]]], 0, 0]], [], 0, null, ["loc", [null, [6, 0], [12, 11]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/regions/hf-index/component', ['exports', 'ember'], function (exports, _ember) {
  var _slice = Array.prototype.slice;
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-hf-index'],

    sortedEntriesAZ: _ember['default'].computed.sort('entries', function (a, b) {
      return _ember['default'].compare(a.get('title'), b.get('title'));
    }),

    sortedEntries: _ember['default'].computed.sort('sortedEntriesAZ', function (a, b) {
      return _ember['default'].compare(b.get('isNew'), a.get('isNew'));
    }),

    observeSelectedTemplate: _ember['default'].observer('selectedTemplate', function () {
      if ('none' !== this.get('selectedTemplate')) {
        this.set('selected', null);
        this.set('defaultSelected', false);
      }
    }),

    actions: {
      selectEntry: function selectEntry(entry) {
        this.set('defaultSelected', false);
        this.set('selectedTemplate', 'none');
        this.set('selected', this.get('selected.id') === _ember['default'].get(entry, 'id') ? null : entry);
      },
      selectDefault: function selectDefault() {
        this.set('selectedTemplate', 'none');
        this.set('selected', null);

        this.set('defaultSelected', !this.get('defaultSelected'));
      },
      titleUpdate: function titleUpdate() {
        this.sendAction.apply(this, ['onTitleUpdate'].concat(_slice.call(arguments)));
      }
    }
  });
});
define("cornerstone/components/regions/hf-index/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 39,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/regions/hf-index/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        morphs[3] = dom.createMorphAt(fragment, 6, 6, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["inline", "regions/hf-create", [], ["context", ["subexpr", "@mut", [["get", "context", ["loc", [null, [4, 10], [4, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "templateOptions", ["subexpr", "@mut", [["get", "templateOptions", ["loc", [null, [5, 18], [5, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "selection", ["subexpr", "@mut", [["get", "selectedTemplate", ["loc", [null, [6, 12], [6, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "heading", ["subexpr", "@mut", [["get", "createLabels.heading", ["loc", [null, [7, 10], [7, 30]]], 0, 0, 0, 0]], [], [], 0, 0], "previewMessage", ["subexpr", "@mut", [["get", "createLabels.previewMessage", ["loc", [null, [8, 17], [8, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "createMessage", ["subexpr", "@mut", [["get", "createLabels.createMessage", ["loc", [null, [9, 16], [9, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "templatePlaceholder", ["subexpr", "@mut", [["get", "createLabels.templatePlaceholder", ["loc", [null, [10, 22], [10, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "titlePlaceholder", ["subexpr", "@mut", [["get", "createLabels.titlePlaceholder", ["loc", [null, [11, 19], [11, 48]]], 0, 0, 0, 0]], [], [], 0, 0], "createLabel", ["subexpr", "@mut", [["get", "createLabels.createLabel", ["loc", [null, [12, 14], [12, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "onCreate", ["subexpr", "@mut", [["get", "onCreate", ["loc", [null, [13, 11], [13, 19]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 0], [14, 2]]], 0, 0], ["inline", "regions/hf-manage", [], ["context", ["subexpr", "@mut", [["get", "context", ["loc", [null, [17, 10], [17, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "assignContexts", ["subexpr", "@mut", [["get", "assignContexts", ["loc", [null, [18, 17], [18, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "assignments", ["subexpr", "@mut", [["get", "assignments", ["loc", [null, [19, 14], [19, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "sortedEntries", ["subexpr", "@mut", [["get", "sortedEntries", ["loc", [null, [20, 16], [20, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "onAction", ["subexpr", "@mut", [["get", "onAction", ["loc", [null, [21, 11], [21, 19]]], 0, 0, 0, 0]], [], [], 0, 0], "editRoute", ["subexpr", "@mut", [["get", "editRoute", ["loc", [null, [22, 12], [22, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelect", ["subexpr", "action", ["selectEntry"], [], ["loc", [null, [23, 11], [23, 33]]], 0, 0], "onSelectDefault", ["subexpr", "action", ["selectDefault"], [], ["loc", [null, [24, 18], [24, 42]]], 0, 0], "onTitleUpdate", ["subexpr", "action", ["titleUpdate"], [], ["loc", [null, [25, 16], [25, 38]]], 0, 0], "activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [26, 17], [26, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "defaultSelected", ["subexpr", "@mut", [["get", "defaultSelected", ["loc", [null, [27, 18], [27, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "selected", ["subexpr", "@mut", [["get", "selected", ["loc", [null, [28, 11], [28, 19]]], 0, 0, 0, 0]], [], [], 0, 0], "defaultItemLabel", ["subexpr", "@mut", [["get", "manageLabels.defaultItem", ["loc", [null, [29, 19], [29, 43]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [16, 0], [30, 2]]], 0, 0], ["inline", "regions/hf-assign", [], ["context", ["subexpr", "@mut", [["get", "context", ["loc", [null, [33, 10], [33, 17]]], 0, 0, 0, 0]], [], [], 0, 0], "assignments", ["subexpr", "@mut", [["get", "assignments", ["loc", [null, [34, 14], [34, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedEntry", ["subexpr", "@mut", [["get", "selected", ["loc", [null, [35, 16], [35, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "assignContexts", ["subexpr", "@mut", [["get", "assignContexts", ["loc", [null, [36, 17], [36, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "labels", ["subexpr", "@mut", [["get", "assignLabels", ["loc", [null, [37, 9], [37, 21]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [32, 0], [38, 2]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/regions/hf-manage/component', ['exports', 'ember'], function (exports, _ember) {
  var _slice = Array.prototype.slice;
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-hf-index-manage'],

    assignmentArray: _ember['default'].computed('assignments.value', function () {
      var assignments = this.get('assignments.value');
      var assignmentArray = [];
      for (var context in assignments) {
        if (assignments.hasOwnProperty(context)) {
          assignmentArray.push({ context: context, id: assignments[context] });
        }
      }
      return assignmentArray;
    }),

    newEntry: 0,
    scrollTo: 0,
    observeNewEntry: _ember['default'].observer('sortedEntries.@each.isNew', function () {
      var _this = this;

      _ember['default'].run.next(function () {

        var entries = _this.get('sortedEntries');

        if (!entries) {
          return;
        }

        entries.filter(function (entry) {
          return entry.get('isNew');
        });

        if (_ember['default'].get(entries, 'length') > 0) {

          _ember['default'].run.next('afterRender', function () {
            _this.set('scrollTo', {
              start: true,
              duration: 250,
              reset: true
            });
          });
        }
      });
    }),

    entries: _ember['default'].computed('assignmentArray.[]', 'sortedEntries.[]', 'activeLanguage', function () {
      var _this2 = this;

      var assignments = this.get('assignmentArray');
      var assignContexts = this.get('assignContexts');
      var usingWpml = this.get('ui.wpmlLanguages').length > 0;
      var activeLang = this.get('activeLanguage');

      return this.get('sortedEntries').map(function (entry) {

        var assignmentLabel = _this2.get('i18n').t('app.assignments.unassigned').string;
        var assigned = assignments.filter(function (assignment) {
          return assignment.id === '' + entry.get('id') || assignment.id === '' + entry.get('language.source');
        });

        if (1 === assigned.length) {

          if ('global' === assigned[0].context) {
            assignmentLabel = _this2.get('i18n').t('app.assignments.global').string;
          } else if (assignContexts[assigned[0].context]) {

            var context = assignContexts[assigned[0].context];

            if (context.tag) {
              assignmentLabel = _this2.get('i18n').t('app.assignments.tagged', { tag: context.tag, title: context.title }).string;
            } else {
              assignmentLabel = context.title;
            }
          }
        } else if (1 < assigned.length) {
          assignmentLabel = _this2.get('i18n').t('app.assignments.multiple-assignments').string;
        }

        return { model: entry, meta: assignmentLabel };
      }).filter(function (item) {

        if (usingWpml && activeLang !== item.model.get('language.code') && !item.model.getWithDefault('language.fallback', []).includes(activeLang)) {
          return false;
        }

        return true;
      });
    }),

    actions: {
      button: function button() {
        this.sendAction.apply(this, ['onAction'].concat(_slice.call(arguments)));
      },
      select: function select() {
        this.sendAction.apply(this, ['onSelect'].concat(_slice.call(arguments)));
      },
      titleUpdate: function titleUpdate() {
        this.sendAction.apply(this, ['onTitleUpdate'].concat(_slice.call(arguments)));
      },
      selectDefault: function selectDefault() {
        this.sendAction('onSelectDefault');
      }
    }
  });
});
define("cornerstone/components/regions/hf-manage/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 14,
                      "column": 8
                    },
                    "end": {
                      "line": 14,
                      "column": 91
                    }
                  },
                  "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("Translate");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 13,
                    "column": 6
                  },
                  "end": {
                    "line": 15,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["block", "link-to", [["get", "editRoute", ["loc", [null, [14, 19], [14, 28]]], 0, 0, 0, 0], ["get", "entry.model.id", ["loc", [null, [14, 29], [14, 43]]], 0, 0, 0, 0], ["subexpr", "query-params", [], ["lang", ["get", "activeLanguage", ["loc", [null, [14, 63], [14, 77]]], 0, 0, 0, 0]], ["loc", [null, [14, 44], [14, 79]]], 0, 0]], [], 0, null, ["loc", [null, [14, 8], [14, 103]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 16,
                      "column": 8
                    },
                    "end": {
                      "line": 16,
                      "column": 50
                    }
                  },
                  "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("Edit");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 15,
                    "column": 6
                  },
                  "end": {
                    "line": 19,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("button");
                var el2 = dom.createTextNode("Copy");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("button");
                var el2 = dom.createTextNode("Delete");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var element1 = dom.childAt(fragment, [3]);
                var element2 = dom.childAt(fragment, [5]);
                var morphs = new Array(4);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                morphs[1] = dom.createElementMorph(element1);
                morphs[2] = dom.createAttrMorph(element2, 'class');
                morphs[3] = dom.createElementMorph(element2);
                return morphs;
              },
              statements: [["block", "link-to", [["get", "editRoute", ["loc", [null, [16, 19], [16, 28]]], 0, 0, 0, 0], ["get", "entry.model.id", ["loc", [null, [16, 29], [16, 43]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [16, 8], [16, 62]]]], ["element", "action", ["button", "entryDuplicate", ["get", "entry.model", ["loc", [null, [17, 51], [17, 62]]], 0, 0, 0, 0]], ["bubbles", false], ["loc", [null, [17, 16], [17, 79]]], 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [18, 110], [18, 126]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [18, 104], [18, 140]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["button", "entryDelete", ["get", "entry.model", ["loc", [null, [18, 48], [18, 59]]], 0, 0, 0, 0]], ["allowedKeys", "shift", "bubbles", false], ["loc", [null, [18, 16], [18, 96]]], 0, 0]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 20,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["subexpr", "contains", [["get", "activeLanguage", ["loc", [null, [13, 22], [13, 36]]], 0, 0, 0, 0], ["get", "entry.model.language.fallback", ["loc", [null, [13, 37], [13, 66]]], 0, 0, 0, 0]], [], ["loc", [null, [13, 12], [13, 68]]], 0, 0]], [], 0, 1, ["loc", [null, [13, 6], [19, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 21,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "common/index-entry", [], ["title", ["subexpr", "@mut", [["get", "entry.model.title", ["loc", [null, [6, 12], [6, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "meta", ["subexpr", "@mut", [["get", "entry.meta", ["loc", [null, [7, 11], [7, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "selected", ["subexpr", "eq", [["get", "entry.model.id", ["loc", [null, [8, 19], [8, 33]]], 0, 0, 0, 0], ["get", "selected.id", ["loc", [null, [8, 34], [8, 45]]], 0, 0, 0, 0]], [], ["loc", [null, [8, 15], [8, 46]]], 0, 0], "isNew", ["subexpr", "@mut", [["get", "entry.model.isNew", ["loc", [null, [9, 12], [9, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["select", ["get", "entry.model", ["loc", [null, [10, 30], [10, 41]]], 0, 0, 0, 0]], [], ["loc", [null, [10, 13], [10, 42]]], 0, 0], "titleUpdate", ["subexpr", "action", ["titleUpdate", ["get", "entry.model", ["loc", [null, [11, 40], [11, 51]]], 0, 0, 0, 0]], [], ["loc", [null, [11, 18], [11, 53]]], 0, 0]], 0, null, ["loc", [null, [5, 4], [20, 27]]]]],
          locals: ["entry"],
          templates: [child0]
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 22,
                  "column": 4
                },
                "end": {
                  "line": 29,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("button");
              var el2 = dom.createTextNode("Edit");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(1);
              morphs[0] = dom.createElementMorph(element0);
              return morphs;
            },
            statements: [["element", "action", ["button", "createDefault"], [], ["loc", [null, [28, 14], [28, 50]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 21,
                "column": 2
              },
              "end": {
                "line": 30,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "common/index-entry", [], ["title", ["subexpr", "@mut", [["get", "defaultItemLabel", ["loc", [null, [23, 12], [23, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "meta", "Default", "action", ["subexpr", "action", ["selectDefault"], [], ["loc", [null, [25, 13], [25, 37]]], 0, 0], "selected", ["subexpr", "@mut", [["get", "defaultSelected", ["loc", [null, [26, 15], [26, 30]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [22, 4], [29, 27]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 32,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["block", "each", [["get", "entries", ["loc", [null, [3, 10], [3, 17]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [3, 2], [30, 11]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 33,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/regions/hf-manage/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "common/scroll-box", [], ["resetScrollOn", ["subexpr", "@mut", [["get", "newEntry", ["loc", [null, [1, 35], [1, 43]]], 0, 0, 0, 0]], [], [], 0, 0], "scrollTo", ["subexpr", "@mut", [["get", "scrollTo", ["loc", [null, [1, 53], [1, 61]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [1, 0], [32, 22]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/templates/colors/color-list/component', ['exports', 'ember'], function (exports, _ember) {
  // import uuid from 'npm:uuid';

  exports['default'] = _ember['default'].Component.extend({

    tagName: '',

    store: _ember['default'].inject.service(),
    colorService: _ember['default'].inject.service('templates/colors'),
    activeColorItems: _ember['default'].computed.filterBy('colorItems', 'isDeleted', false),
    orderedColorItems: _ember['default'].computed.sort('activeColorItems', 'orderSort'),

    orderSort: ['order'],

    invalidItemsMessage: _ember['default'].observer('invalidItems.[]', function () {
      if (this.get('invalidItems.length') > 0) {
        return this.get('ui').notify('Two colors selections can not share the same name.', 'error');
      }
    }),

    invalidItems: _ember['default'].computed('orderedColorItems.@each._id', function () {

      var ids = this.get('orderedColorItems').map(function (item) {
        return item.get('_id');
      });

      var invalid = [];

      while (ids.length > 0) {
        var id = ids.pop();
        if (ids.includes(id)) {
          invalid.push(id);
        }
      }

      return invalid;
    }),

    nameInUse: function nameInUse(name) {
      return this.get('colorItems').any(function (item) {
        return name === item.get('title');
      });
    },

    actions: {
      selectColor: function selectColor(item) {
        this.set('selectedItem', item);
      },
      addNew: function addNew() {

        var order = this.get('colorItems.length') + 1;

        var newColor = { value: this.get('colorService').makeRandomColor() };

        newColor.order = order;

        newColor.title = this.get('i18n').t('app.colors.new-title', { index: order }).string;

        while (this.nameInUse(newColor.title)) {
          newColor.title = this.get('i18n').t('app.colors.new-title', { index: order++ }).string;
        }

        this.get('store').createRecord('templates/colors/selection', newColor);
      },
      moveColor: function moveColor(item, order) {

        var start = item.get('order');

        if (start < order) {
          // Moving down
          this.get('orderedColorItems').forEach(function (item, index) {
            if (index > start && index <= order) {
              item.set('order', index - 1);
            }
          });
        } else {
          // Moving up
          this.get('orderedColorItems').forEach(function (item, index) {
            if (index < start && index >= order) {
              item.set('order', index + 1);
            }
          });
        }

        item.set('order', order);
      },
      duplicateItem: function duplicateItem(item) {

        // Duplicate the existing item
        var duplicate = item.serialize();
        var index = item.get('order') + 1;

        duplicate.title = this.get('i18n').t('app.copy-of', { title: item.get('title') }).string;
        duplicate.order = this.get('orderedColorItems.length');
        delete duplicate._id;

        // Ensure the title is unique
        var copyIndex = 1;
        var copiedTitle = duplicate.title;
        while (this.nameInUse(duplicate.title)) {
          // something of the same title exists
          duplicate.title = this.get('i18n').t('app.copy-of-numeric', {
            title: copiedTitle,
            index: copyIndex++
          }).string;
        }

        // Create the record and move into position
        var newColor = this.get('store').createRecord('templates/colors/selection', duplicate);

        this.send('moveColor', newColor, index);
      },
      deleteItem: function deleteItem(item) {
        var _this = this;

        this.get('ui').confirm({
          screen: 'global',
          message: 'Are you sure you would like to delete this color selection?', // this.get('i18n').t('headers.entry-delete-confirm'),
          acceptClass: 'sad',
          accept: function accept() {
            item.deleteRecord();
            _this.get('ui').notify('Color selection deleted');
            _this.get('orderedColorItems').forEach(function (item, index) {
              item.set('order', index);
            });
          }
        });
      }
    }
  });
});
define("cornerstone/components/templates/colors/color-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 3,
                "column": 75
              }
            },
            "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("◀");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 6,
                "column": 12
              },
              "end": {
                "line": 6,
                "column": 45
              }
            },
            "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("Templates");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 17,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-actions/action-item", [], ["action", ["subexpr", "action", ["addNew"], [], ["loc", [null, [13, 13], [13, 30]]], 0, 0], "content", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [14, 14], [14, 34]]], 0, 0], "label", "Add New"], ["loc", [null, [12, 4], [16, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 18,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-section-nav");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2, "class", "cs-workspace-section-nav-info");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("ul");
          dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-breadcrumbs");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("li");
          var el5 = dom.createComment("");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("h3");
          dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-title");
          var el4 = dom.createTextNode("Colors");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(element0, 1, 1);
          morphs[1] = dom.createMorphAt(dom.childAt(element0, [3, 1, 1]), 0, 0);
          morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "link-to", ["templates"], ["class", "cs-workspace-section-nav-back"], 0, null, ["loc", [null, [3, 4], [3, 87]]]], ["block", "link-to", ["templates"], [], 1, null, ["loc", [null, [6, 12], [6, 57]]]], ["block", "workspace/workspace-actions", [], [], 2, null, ["loc", [null, [11, 2], [17, 34]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 24,
                    "column": 8
                  },
                  "end": {
                    "line": 36,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/sortable-item", [], ["active", ["subexpr", "eq", [["get", "colorItem.id", ["loc", [null, [26, 23], [26, 35]]], 0, 0, 0, 0], ["get", "selectedItem.id", ["loc", [null, [26, 36], [26, 51]]], 0, 0, 0, 0]], [], ["loc", [null, [26, 19], [26, 52]]], 0, 0], "item", ["subexpr", "@mut", [["get", "colorItem", ["loc", [null, [27, 17], [27, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "label", ["subexpr", "@mut", [["get", "colorItem.title", ["loc", [null, [28, 18], [28, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "labelInvalid", ["subexpr", "contains", [["get", "colorItem._id", ["loc", [null, [29, 35], [29, 48]]], 0, 0, 0, 0], ["get", "invalidItems", ["loc", [null, [29, 49], [29, 61]]], 0, 0, 0, 0]], [], ["loc", [null, [29, 25], [29, 62]]], 0, 0], "labelPlaceholder", "Double click to name...", "onDrop", ["subexpr", "action", ["moveColor"], [], ["loc", [null, [31, 19], [31, 40]]], 0, 0], "onSelect", ["subexpr", "action", ["selectColor", ["get", "colorItem", ["loc", [null, [32, 43], [32, 52]]], 0, 0, 0, 0]], [], ["loc", [null, [32, 21], [32, 53]]], 0, 0], "onDuplicate", ["subexpr", "action", ["duplicateItem", ["get", "colorItem", ["loc", [null, [33, 48], [33, 57]]], 0, 0, 0, 0]], [], ["loc", [null, [33, 24], [33, 59]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteItem", ["get", "colorItem", ["loc", [null, [34, 42], [34, 51]]], 0, 0, 0, 0]], [], ["loc", [null, [34, 21], [34, 53]]], 0, 0]], ["loc", [null, [25, 10], [35, 12]]], 0, 0]],
              locals: ["colorItem"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 23,
                  "column": 6
                },
                "end": {
                  "line": 37,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "each", [["get", "orderedColorItems", ["loc", [null, [24, 16], [24, 33]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [24, 8], [36, 17]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 20,
                "column": 2
              },
              "end": {
                "line": 40,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("ul");
            dom.setAttribute(el1, "class", "cs-controls");
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("li");
            dom.setAttribute(el2, "class", "cs-control cs-control-sortable");
            var el3 = dom.createTextNode("\n");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("    ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n  ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 1, 1);
            return morphs;
          },
          statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [23, 6], [37, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 19,
              "column": 0
            },
            "end": {
              "line": 41,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-content", [], ["name", "colors", "resetScrollOn", ["subexpr", "@mut", [["get", "orderedColorItems", ["loc", [null, [20, 61], [20, 78]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [20, 2], [40, 34]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 41,
              "column": 0
            },
            "end": {
              "line": 43,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [42, 2], [42, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 44,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/colors/color-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [18, 31]]]], ["block", "if", [["get", "colorItems", ["loc", [null, [19, 6], [19, 16]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [19, 0], [43, 7]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/templates/colors/color-manager/color-choice/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: 'cs-color-choice',
    inlineStyle: _ember['default'].computed('item.value', function () {
      return _ember['default'].String.htmlSafe('background-color: ' + this.get('item.value') + ';');
    })
  });
});
define("cornerstone/components/templates/colors/color-manager/color-choice/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/colors/color-manager/color-choice/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "cs-color-choice-color");
        var el2 = dom.createTextNode(" ");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1, "class", "cs-color-choice-label");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createAttrMorph(element0, 'style');
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]), 0, 0);
        return morphs;
      },
      statements: [["attribute", "style", ["get", "inlineStyle", ["loc", [null, [1, 44], [1, 55]]], 0, 0, 0, 0], 0, 0, 0, 0], ["content", "item.title", ["loc", [null, [2, 36], [2, 50]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/templates/colors/color-manager/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-colors'],

    activeColorItems: _ember['default'].computed.filterBy('colorItems', 'isDeleted', false),
    orderedColorItems: _ember['default'].computed.sort('activeColorItems', 'orderSort'),

    orderSort: ['order'],
    actions: {
      stateChange: function stateChange(item, state) {
        if (state) {
          this.set('selectedItem', item);
        } else {
          if (item.get('id') === this.get('selectedItem.id')) {
            this.set('selectedItem', null);
          }
        }
      }
    }
  });
});
define("cornerstone/components/templates/colors/color-manager/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 12,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/colors/color-manager/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "forms/color-input", [], ["inline", true, "value", ["subexpr", "@mut", [["get", "item.value", ["loc", [null, [11, 40], [11, 50]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [11, 2], [11, 52]]], 0, 0]],
          locals: ["picker"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 14,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/colors/color-manager/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["block", "common/cs-picker", [], ["externalOpen", ["subexpr", "eq", [["get", "item.id", ["loc", [null, [4, 21], [4, 28]]], 0, 0, 0, 0], ["get", "selectedItem.id", ["loc", [null, [4, 29], [4, 44]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 17], [4, 45]]], 0, 0], "onStateChange", ["subexpr", "action", ["stateChange", ["get", "item", ["loc", [null, [5, 40], [5, 44]]], 0, 0, 0, 0]], [], ["loc", [null, [5, 18], [5, 45]]], 0, 0], "contentComponent", ["subexpr", "component", ["templates/colors/color-manager/color-choice"], ["item", ["subexpr", "@mut", [["get", "item", ["loc", [null, [8, 11], [8, 15]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 21], [9, 5]]], 0, 0]], 0, null, ["loc", [null, [3, 2], [12, 23]]]]],
        locals: ["item"],
        templates: [child0]
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 14,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/colors/color-manager/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "common/welcome-message", [], ["title", ["subexpr", "t", ["app.colors.empty-message"], [], ["loc", [null, [15, 33], [15, 63]]], 0, 0]], ["loc", [null, [15, 2], [15, 66]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 17,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/colors/color-manager/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "each", [["get", "orderedColorItems", ["loc", [null, [1, 8], [1, 25]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [16, 9]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/templates/fonts/config-modal/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    fontConfig: _ember['default'].computed.alias('config.value'),

    actions: {
      save: function save() {
        var _this = this;

        this.get('config').save().then(function (response) {
          _ember['default'].Logger.info('Saved font configuration', response);
          _this.get('ui').notify('Font configuration saved!', 'success');
        }, function (error) {
          _ember['default'].Logger.warn('Unable to save font configuration', error);
          _this.get('ui').notify('Unable to save font configuration.', 'error');
        });
      }
    }
  });
});
define('cornerstone/components/templates/fonts/config-modal/tab-custom/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    detectFonts: _ember['default'].observer('customFontFaceCSS', function () {
      _ember['default'].run.debounce(this, this.dofontDetection, 50);
    }),

    dofontDetection: function dofontDetection() {}

  });
});
define("cornerstone/components/templates/fonts/config-modal/tab-custom/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 20,
              "column": 4
            },
            "end": {
              "line": 26,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-custom/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("table");
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("tr");
          var el3 = dom.createElement("th");
          var el4 = dom.createTextNode("Fonts");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("th");
          var el4 = dom.createTextNode("Weights");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("tr");
          var el3 = dom.createElement("td");
          var el4 = dom.createTextNode("Nexa");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("td");
          var el4 = dom.createTextNode("300, 700");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("tr");
          var el3 = dom.createElement("td");
          var el4 = dom.createTextNode("Raleway");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("td");
          var el4 = dom.createTextNode("100");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 26,
              "column": 4
            },
            "end": {
              "line": 28,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-custom/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("p");
          dom.setAttribute(el1, "style", "width: 100%;");
          var el2 = dom.createTextNode("No custom font faces could be detected from your input.");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 31,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-custom/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("h3");
        var el2 = dom.createTextNode("@font-face");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("p");
        var el2 = dom.createTextNode("Include custom fonts via ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("@font-face");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" here. To do so, upload your fonts to your server, and set your ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("@font-face");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("src: url()");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" line items to the location of your uploaded font files. Ensure that you also specify a ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("font-family");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(", ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("font-weight");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(", and ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("font-style");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" as well. We will take your input and add your fonts as options in the Fonts Manager. Our ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("a");
        dom.setAttribute(el2, "href", "#");
        var el3 = dom.createTextNode("Knowledge Base");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" has an in-depth tutorial on filling in this content if you have any questions.");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("dl");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Family");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("URL");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Weight");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Style");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("@font-face Declarations");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Available Fonts");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [4]);
        var morphs = new Array(6);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [3]), 0, 0);
        morphs[1] = dom.createMorphAt(dom.childAt(element0, [7]), 0, 0);
        morphs[2] = dom.createMorphAt(dom.childAt(element0, [11]), 0, 0);
        morphs[3] = dom.createMorphAt(dom.childAt(element0, [15]), 0, 0);
        morphs[4] = dom.createMorphAt(dom.childAt(element0, [19]), 0, 0);
        morphs[5] = dom.createMorphAt(dom.childAt(element0, [23]), 1, 1);
        return morphs;
      },
      statements: [["inline", "input", [], ["type", "text", "value", ["subexpr", "@mut", [["get", "new.family", ["loc", [null, [5, 32], [5, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "'My Font',sans-serif"], ["loc", [null, [5, 6], [5, 79]]], 0, 0], ["inline", "input", [], ["type", "text", "value", ["subexpr", "@mut", [["get", "new.url", ["loc", [null, [8, 32], [8, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "http://www.myadomain.com/myfont.ttf"], ["loc", [null, [8, 6], [8, 91]]], 0, 0], ["inline", "input", [], ["type", "text", "value", ["subexpr", "@mut", [["get", "new.weight", ["loc", [null, [11, 32], [11, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "400"], ["loc", [null, [11, 6], [11, 62]]], 0, 0], ["inline", "input", [], ["type", "text", "value", ["subexpr", "@mut", [["get", "new.weight", ["loc", [null, [14, 32], [14, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", "400"], ["loc", [null, [14, 6], [14, 62]]], 0, 0], ["inline", "textarea", [], ["value", ["subexpr", "@mut", [["get", "config.customFontFaceCSS", ["loc", [null, [17, 23], [17, 47]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ""], ["loc", [null, [17, 6], [17, 64]]], 0, 0], ["block", "if", [["get", "detectedFonts", ["loc", [null, [20, 10], [20, 23]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [20, 4], [28, 11]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/templates/fonts/config-modal/tab-google/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    additionalSubsets: [{ value: 'arabic', label: 'Arabic' }, { value: 'bengali', label: 'Bengali' }, { value: 'cyrillic', label: 'Cyrillic' }, { value: 'cyrillic-ext', label: 'Cyrillic Extended' }, { value: 'devanagari', label: 'Devanagari' }, { value: 'greek', label: 'Greek' }, { value: 'greek-ext', label: 'Greek Extended' }, { value: 'gujarati', label: 'Gujarati' }, { value: 'gurmukhi', label: 'Gurmkhi' }, { value: 'hebrew', label: 'Hebrew' }, { value: 'kannada', label: 'Kannada' }, { value: 'khmer', label: 'Khmer' }, { value: 'malayalam', label: 'Malayalam' }, { value: 'myanmar', label: 'Myanmar' }, { value: 'oriya', label: 'Oriya' }, { value: 'sinhala', label: 'Sinhala' }, { value: 'tamil', label: 'Tamil' },
    // { value: 'telegu',       label: 'Telegu' }, // Prevents Google Fonts from loading when active
    { value: 'thai', label: 'Thai' }, { value: 'vietnamese', label: 'Vietnamese' }]
  });
});
define("cornerstone/components/templates/fonts/config-modal/tab-google/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 13,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-google/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("h3");
        var el2 = dom.createTextNode("Character Subsets");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("p");
        var el2 = dom.createTextNode("Specify which Google Fonts character subsets you would like to enable below. All subsets included extended support. Latin is always loaded by default.");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("dl");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Enable Font Subsets");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [4, 3]), 1, 1);
        return morphs;
      },
      statements: [["inline", "forms/select-multi", [], ["placeholder", "Additional Subsets", "options", ["subexpr", "@mut", [["get", "additionalSubsets", ["loc", [null, [8, 14], [8, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "fontConfig.googleSubsets", ["loc", [null, [9, 12], [9, 36]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [6, 4], [10, 6]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/templates/fonts/config-modal/tab-typekit/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    errorMessage: null,
    typekitItems: _ember['default'].computed('fontConfig.typekitItems.[]', function () {
      return this.getWithDefault('fontConfig.typekitItems', _ember['default'].A()).map(function (item) {
        return {
          family: item.family,
          weights: item.weights.filter(function (weight) {
            return !weight.includes('i');
          }).join(', ')
        };
      });
    }),

    refreshDisabled: _ember['default'].computed('refreshing', function () {
      return this.get('refreshing') ? true : null;
    }),

    updateTypeKit: function updateTypeKit() {
      var _this = this;

      if (_ember['default'].isArray(this.get('fontConfig.typekitItems'))) {
        this.get('fontConfig.typekitItems').clear();
      } else {
        this.set('fontConfig.typekitItems', _ember['default'].A());
      }

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        var url = 'https://typekit.com/api/v1/json/kits/' + _this.get('fontConfig.typekitKitID') + '/published?callback=?';

        _ember['default'].$.getJSON(url).then(function (data) {

          if (data.errors) {
            return reject(data.errors);
          }

          data.kit.families.map(function (family) {
            return {
              family: family.name,
              stack: family.css_stack.replace(';', ''),
              weights: family.variations.map(function (variant) {
                var isItalic = 'i' === variant.substr(0, 1) ? 'i' : '';
                return variant.substr(1, 1) + '00' + isItalic;
              })
            };
          }).forEach(function (kitItem) {
            _this.get('fontConfig.typekitItems').addObject(kitItem);
          });

          resolve();
        });
      });
    },

    actions: {
      refresh: function refresh() {
        var _this2 = this;

        this.set('error', false);
        this.set('refreshing', true);
        this.updateTypeKit().then(function () {
          _this2.set('refreshing', false);
        }, function (error) {
          _this2.set('refreshing', false);
          _this2.set('error', true);
          console.warn('Typekit error', error);
        });
      }
    }
  });
});
define("cornerstone/components/templates/fonts/config-modal/tab-typekit/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 12,
                "column": 8
              },
              "end": {
                "line": 14,
                "column": 8
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("          ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("tr");
            var el2 = dom.createElement("th");
            var el3 = dom.createTextNode("Fonts");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("th");
            var el3 = dom.createTextNode("Weights");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 15,
                  "column": 10
                },
                "end": {
                  "line": 17,
                  "column": 10
                }
              },
              "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("            ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("tr");
              var el2 = dom.createElement("td");
              dom.setAttribute(el2, "colspan", "2");
              var el3 = dom.createTextNode("Please enter your kit ID above and click refresh.");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 17,
                  "column": 10
                },
                "end": {
                  "line": 19,
                  "column": 10
                }
              },
              "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("            ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("tr");
              var el2 = dom.createElement("td");
              dom.setAttribute(el2, "colspan", "2");
              var el3 = dom.createTextNode("Your kit was not found. Please check to make sure the kit ID is correct and try again.");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 14,
                "column": 8
              },
              "end": {
                "line": 20,
                "column": 8
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["get", "error", ["loc", [null, [15, 20], [15, 25]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [15, 10], [19, 21]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 21,
                "column": 8
              },
              "end": {
                "line": 23,
                "column": 8
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
          },
          isEmpty: false,
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("tr");
            var el2 = dom.createElement("td");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("td");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [1]);
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(dom.childAt(element0, [0]), 0, 0);
            morphs[1] = dom.createMorphAt(dom.childAt(element0, [1]), 0, 0);
            return morphs;
          },
          statements: [["content", "item.family", ["loc", [null, [22, 16], [22, 31]]], 0, 0, 0, 0], ["content", "item.weights", ["loc", [null, [22, 40], [22, 56]]], 0, 0, 0, 0]],
          locals: ["item"],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 11,
              "column": 6
            },
            "end": {
              "line": 24,
              "column": 6
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "typekitItems", ["loc", [null, [12, 14], [12, 26]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [12, 8], [20, 15]]]], ["block", "each", [["get", "typekitItems", ["loc", [null, [21, 16], [21, 28]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [21, 8], [23, 17]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 24,
              "column": 6
            },
            "end": {
              "line": 26,
              "column": 6
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("        ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("tr");
          var el2 = dom.createElement("td");
          dom.setAttribute(el2, "colspan", "2");
          var el3 = dom.createTextNode("Refreshing…");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 31,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/config-modal/tab-typekit/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("h3");
        var el2 = dom.createTextNode("Kit Integration");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("p");
        var el2 = dom.createTextNode("To integrate your Typekit font kits on this website, enter your Typekit kit ID into the input below. You can find your kit ID by logging into Typekit, clicking on ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("strong");
        var el3 = dom.createTextNode("Kits");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" and then looking for the ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("strong");
        var el3 = dom.createTextNode("Kit ID");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" text next to your kit name.");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("dl");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Typekit Kit ID");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dt");
        var el3 = dom.createTextNode("Available Fonts");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("dd");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("table");
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("button");
        dom.setAttribute(el3, "class", "cs-btn cs-btn-sm");
        var el4 = dom.createTextNode("Refresh");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [4]);
        var element2 = dom.childAt(element1, [8]);
        var element3 = dom.childAt(element2, [3]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(dom.childAt(element1, [4]), 0, 0);
        morphs[1] = dom.createMorphAt(dom.childAt(element2, [1]), 1, 1);
        morphs[2] = dom.createAttrMorph(element3, 'disabled');
        morphs[3] = dom.createElementMorph(element3);
        return morphs;
      },
      statements: [["inline", "input", [], ["value", ["subexpr", "@mut", [["get", "fontConfig.typekitKitID", ["loc", [null, [7, 20], [7, 43]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [7, 6], [7, 45]]], 0, 0], ["block", "unless", [["get", "refreshing", ["loc", [null, [11, 16], [11, 26]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [11, 6], [26, 17]]]], ["attribute", "disabled", ["get", "refreshDisabled", ["loc", [null, [28, 23], [28, 38]]], 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["refresh"], [], ["loc", [null, [28, 66], [28, 86]]], 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/components/templates/fonts/config-modal/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 14,
                "column": 2
              },
              "end": {
                "line": 16,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/config-modal/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "templates/fonts/config-modal/tab-google", [], ["fontConfig", ["subexpr", "@mut", [["get", "fontConfig", ["loc", [null, [15, 57], [15, 67]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [15, 4], [15, 69]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 2
              },
              "end": {
                "line": 20,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/config-modal/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "templates/fonts/config-modal/tab-typekit", [], ["fontConfig", ["subexpr", "@mut", [["get", "fontConfig", ["loc", [null, [19, 58], [19, 68]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [19, 4], [19, 70]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 26,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/config-modal/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          return morphs;
        },
        statements: [["block", "if", [["subexpr", "eq", [["get", "modal.activeTab", ["loc", [null, [14, 12], [14, 27]]], 0, 0, 0, 0], "google-fonts"], [], ["loc", [null, [14, 8], [14, 43]]], 0, 0]], [], 0, null, ["loc", [null, [14, 2], [16, 9]]]], ["block", "if", [["subexpr", "eq", [["get", "modal.activeTab", ["loc", [null, [18, 12], [18, 27]]], 0, 0, 0, 0], "typekit"], [], ["loc", [null, [18, 8], [18, 38]]], 0, 0]], [], 1, null, ["loc", [null, [18, 2], [20, 9]]]]],
        locals: ["modal"],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 27,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/config-modal/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "common/tab-modal", [], ["active", ["subexpr", "@mut", [["get", "ui.showFontConfig", ["loc", [null, [2, 9], [2, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "onSave", ["subexpr", "action", ["save"], [], ["loc", [null, [3, 9], [3, 24]]], 0, 0], "panels", ["subexpr", "array", [["subexpr", "hash", [], ["name", "google-fonts", "label", "Google Fonts"], ["loc", [null, [5, 4], [5, 51]]], 0, 0], ["subexpr", "hash", [], ["name", "typekit", "label", "Typekit"], ["loc", [null, [6, 4], [6, 41]]], 0, 0]], [], ["loc", [null, [4, 9], [7, 3]]], 0, 0]], 0, null, ["loc", [null, [1, 0], [26, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/templates/fonts/font-list/component', ['exports', 'ember'], function (exports, _ember) {
  // import uuid from 'npm:uuid';

  exports['default'] = _ember['default'].Component.extend({

    tagName: '',

    store: _ember['default'].inject.service(),
    fontService: _ember['default'].inject.service('templates/fonts'),
    activeFontItems: _ember['default'].computed.filterBy('fontItems', 'isDeleted', false),
    orderedFontItems: _ember['default'].computed.sort('activeFontItems', 'orderSort'),

    orderSort: ['order'],

    invalidItemsMessage: _ember['default'].observer('invalidItems.[]', function () {
      if (this.get('invalidItems.length') > 0) {
        return this.get('ui').notify('Two fonts selections can not share the same name.', 'error');
      }
    }),

    invalidItems: _ember['default'].computed('orderedFontItems.@each._id', function () {

      var ids = this.get('orderedFontItems').map(function (item) {
        return item.get('_id');
      });

      var invalid = [];

      while (ids.length > 0) {
        var id = ids.pop();
        if (ids.includes(id)) {
          invalid.push(id);
        }
      }

      return invalid;
    }),

    nameInUse: function nameInUse(name) {
      return this.get('fontItems').any(function (item) {
        return name === item.get('title');
      });
    },

    actions: {
      selectFont: function selectFont(item) {
        this.set('selectedItem', item);
      },
      addNew: function addNew() {

        var order = this.get('fontItems.length') + 1;
        var newFont = _ember['default'].copy(this.getWithDefault('fontService.fallbackFont', {}));
        newFont.order = order;

        newFont.title = this.get('i18n').t('app.fonts.new-title', { index: order }).string;

        while (this.nameInUse(newFont.title)) {
          newFont.title = this.get('i18n').t('app.fonts.new-title', { index: order++ }).string;
        }

        this.get('store').createRecord('templates/fonts/selection', newFont);
      },
      moveFont: function moveFont(item, order) {

        var start = item.get('order');

        if (start < order) {
          // Moving down
          this.get('orderedFontItems').forEach(function (item, index) {
            if (index > start && index <= order) {
              item.set('order', index - 1);
            }
          });
        } else {
          // Moving up
          this.get('orderedFontItems').forEach(function (item, index) {
            if (index < start && index >= order) {
              item.set('order', index + 1);
            }
          });
        }

        item.set('order', order);
      },
      duplicateItem: function duplicateItem(item) {

        // Duplicate the existing item
        var duplicate = item.serialize();
        var index = item.get('order') + 1;

        duplicate.title = this.get('i18n').t('app.copy-of', { title: item.get('title') }).string;
        duplicate.order = this.get('orderedFontItems.length');
        delete duplicate._id;

        // Ensure the title is unique
        var copyIndex = 1;
        var copiedTitle = duplicate.title;
        while (this.nameInUse(duplicate.title)) {
          // something of the same title exists
          duplicate.title = this.get('i18n').t('app.copy-of-numeric', {
            title: copiedTitle,
            index: copyIndex++
          }).string;
        }

        // Create the record and move into position
        var newFont = this.get('store').createRecord('templates/fonts/selection', duplicate);

        this.send('moveFont', newFont, index);
      },
      deleteItem: function deleteItem(item) {
        var _this = this;

        if (this.get('orderedFontItems.length') <= 1) {

          this.get('ui').confirm({
            noSkip: true,
            back: true,
            screen: 'global',
            message: 'You need at least one font. Create another before deleting this one.' });

          // this.get('i18n').t('headers.entry-delete-confirm'),
          return;
        }

        this.get('ui').confirm({
          screen: 'global',
          message: 'Are you sure you would like to delete this font selection?', // this.get('i18n').t('headers.entry-delete-confirm'),
          acceptClass: 'sad',
          accept: function accept() {
            item.deleteRecord();
            _this.get('ui').notify('Font selection deleted');
            _this.get('orderedFontItems').forEach(function (item, index) {
              item.set('order', index);
            });
          }
        });
      }
    }
  });
});
define("cornerstone/components/templates/fonts/font-list/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 3,
                "column": 75
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("◀");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 6,
                "column": 12
              },
              "end": {
                "line": 6,
                "column": 45
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("Templates");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 17,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-actions/action-item", [], ["action", ["subexpr", "action", ["addNew"], [], ["loc", [null, [13, 13], [13, 30]]], 0, 0], "content", ["subexpr", "icon", ["plus-square"], [], ["loc", [null, [14, 14], [14, 34]]], 0, 0], "label", "Add New"], ["loc", [null, [12, 4], [16, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 18,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-section-nav");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2, "class", "cs-workspace-section-nav-info");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("ul");
          dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-breadcrumbs");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("li");
          var el5 = dom.createComment("");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("h3");
          dom.setAttribute(el3, "class", "cs-workspace-section-nav-info-title");
          var el4 = dom.createTextNode("Fonts");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(element0, 1, 1);
          morphs[1] = dom.createMorphAt(dom.childAt(element0, [3, 1, 1]), 0, 0);
          morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "link-to", ["templates"], ["class", "cs-workspace-section-nav-back"], 0, null, ["loc", [null, [3, 4], [3, 87]]]], ["block", "link-to", ["templates"], [], 1, null, ["loc", [null, [6, 12], [6, 57]]]], ["block", "workspace/workspace-actions", [], [], 2, null, ["loc", [null, [11, 2], [17, 34]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 24,
                    "column": 8
                  },
                  "end": {
                    "line": 36,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/sortable-item", [], ["active", ["subexpr", "eq", [["get", "fontItem.id", ["loc", [null, [26, 23], [26, 34]]], 0, 0, 0, 0], ["get", "selectedItem.id", ["loc", [null, [26, 35], [26, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [26, 19], [26, 51]]], 0, 0], "item", ["subexpr", "@mut", [["get", "fontItem", ["loc", [null, [27, 17], [27, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "label", ["subexpr", "@mut", [["get", "fontItem.title", ["loc", [null, [28, 18], [28, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "labelInvalid", ["subexpr", "contains", [["get", "fontItem._id", ["loc", [null, [29, 35], [29, 47]]], 0, 0, 0, 0], ["get", "invalidItems", ["loc", [null, [29, 48], [29, 60]]], 0, 0, 0, 0]], [], ["loc", [null, [29, 25], [29, 61]]], 0, 0], "labelPlaceholder", "Double click to name...", "onDrop", ["subexpr", "action", ["moveFont"], [], ["loc", [null, [31, 19], [31, 39]]], 0, 0], "onSelect", ["subexpr", "action", ["selectFont", ["get", "fontItem", ["loc", [null, [32, 42], [32, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [32, 21], [32, 51]]], 0, 0], "onDuplicate", ["subexpr", "action", ["duplicateItem", ["get", "fontItem", ["loc", [null, [33, 48], [33, 56]]], 0, 0, 0, 0]], [], ["loc", [null, [33, 24], [33, 58]]], 0, 0], "onDelete", ["subexpr", "action", ["deleteItem", ["get", "fontItem", ["loc", [null, [34, 42], [34, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [34, 21], [34, 52]]], 0, 0]], ["loc", [null, [25, 10], [35, 12]]], 0, 0]],
              locals: ["fontItem"],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 23,
                  "column": 6
                },
                "end": {
                  "line": 37,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "each", [["get", "orderedFontItems", ["loc", [null, [24, 16], [24, 32]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [24, 8], [36, 17]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 20,
                "column": 2
              },
              "end": {
                "line": 40,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("ul");
            dom.setAttribute(el1, "class", "cs-controls");
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("li");
            dom.setAttribute(el2, "class", "cs-control cs-control-sortable");
            var el3 = dom.createTextNode("\n");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("    ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n  ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 1, 1);
            return morphs;
          },
          statements: [["block", "common/sortable-container", [], [], 0, null, ["loc", [null, [23, 6], [37, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 19,
              "column": 0
            },
            "end": {
              "line": 41,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-content", [], ["name", "fonts", "resetScrollOn", ["subexpr", "@mut", [["get", "orderedFontItems", ["loc", [null, [20, 60], [20, 76]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [20, 2], [40, 34]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 41,
              "column": 0
            },
            "end": {
              "line": 43,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [42, 2], [42, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 44,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/font-list/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [18, 31]]]], ["block", "if", [["get", "fontItems", ["loc", [null, [19, 6], [19, 15]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [19, 0], [43, 7]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/components/templates/fonts/font-manager/component', ['exports', 'ember', 'cornerstone/data/googlefonts', 'cornerstone/data/systemfonts'], function (exports, _ember, _cornerstoneDataGooglefonts, _cornerstoneDataSystemfonts) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-fonts'],

    fontService: _ember['default'].inject.service('templates/fonts'),
    config: _ember['default'].inject.service('config'),

    didInsertElement: function didInsertElement() {
      // this.updatePreviewWeight();
    },

    fontDefinition: _ember['default'].computed('selectedItem.family', function () {

      var fontList = [];
      var definition = { source: this.get('selectedItem.source') };

      if ('custom' === definition.source) {
        fontList = this.getWithDefault('fontConfig.customItems', []);
      }

      if ('typekit' === definition.source) {
        fontList = this.getWithDefault('fontConfig.typekitItems', []);
      }

      if ('system' === definition.source) {
        fontList = _cornerstoneDataSystemfonts['default'];
      }

      if ('google' === definition.source) {
        fontList = _cornerstoneDataGooglefonts['default'];
      }

      var family = this.get('selectedItem.family');

      var lookup = fontList.find(function (item) {
        return item.family === family;
      });

      return _ember['default'].isNone(lookup) ? this.get('fontService.fallbackFont') : _ember['default'].assign(definition, lookup);
    }),

    availableWeights: _ember['default'].computed('fontDefinition', function () {
      var _this = this;

      var weightHash = this.get('fontDefinition.weights').reduce(function (memo, weight) {

        var key = weight.includes('i') ? weight.replace('i', '') : weight;
        if (!memo[key]) {
          memo[key] = {
            value: key,
            label: key,
            textLabel: _this.get('i18n').t('app.font-weight.' + key)
          };
        } else {
          if (_ember['default'].isArray(memo[key].value)) {
            memo[key].value.push(weight);
          } else {
            memo[key].value = [memo[key].value, weight];
          }
        }

        return memo;
      }, {});

      var weights = [];
      for (var key in weightHash) {
        weights.push(weightHash[key]);
      }

      return weights;
    }),

    availableWeightsChanged: _ember['default'].observer('fontDefinition.weights.[]', function () {
      var _this2 = this;

      _ember['default'].run.scheduleOnce('afterRender', function () {

        var availableWeights = _this2.get('fontDefinition.weights');

        // Remove invalid weights
        _this2.set('selectedItem.weights', _this2.get('selectedItem.weights').filter(function (weight) {
          return availableWeights.includes(weight);
        }));

        _this2.updatePreviewWeight();
      });
    }),

    updatePreviewWeight: function updatePreviewWeight() {
      var availableWeights = this.get('fontDefinition.weights');
      if (!availableWeights.includes(this.get('previewWeight'))) {
        this.set('previewWeight', availableWeights.includes('400') ? '400' : availableWeights[0]);
      }
    },

    selectedFamily: _ember['default'].computed('selectedItem.source', 'selectedItem.family', {
      get: function get() {
        return this.get('selectedItem.source') + ':' + this.get('selectedItem.family');
      },
      set: function set(key, value) {

        if ('string' !== typeof value) {
          return value;
        }

        var selected = this.get('selectChoices').find(function (choice) {
          return choice.value === value;
        });

        this.set('selectedItem.source', value.split(':').shift());
        this.set('selectedItem.family', selected.label);
        this.set('selectedItem.stack', selected.stack);
        return value;
      }
    }),

    selectChoices: _ember['default'].computed('fontConfig.typekitItems.[]', 'fontConfig.customItems.[]', function () {

      var choices = [];

      this.getWithDefault('fontConfig.customItems', []).forEach(function (item) {
        choices.push({ value: 'custom:' + item.family, label: item.family, stack: item.stack, group: 'Custom Fonts' });
      });

      this.getWithDefault('fontConfig.typekitItems', []).forEach(function (item) {
        choices.push({ value: 'typekit:' + item.family, label: item.family, stack: item.stack, group: 'Typekit' });
      });

      _cornerstoneDataSystemfonts['default'].forEach(function (item) {
        choices.push({ value: 'system:' + item.family, label: item.family, stack: item.stack, group: 'System Fonts' });
      });

      _cornerstoneDataGooglefonts['default'].forEach(function (item) {
        choices.push({ value: 'google:' + item.family, label: item.family, stack: item.stack, group: 'Google Fonts' });
      });

      return choices;
    }),

    actions: {
      preview: function preview(weight) {
        this.set('previewWeight', _ember['default'].isArray(weight) ? weight[0].replace('i', '') : weight);
      }
    }

  });
});
define("cornerstone/components/templates/fonts/font-manager/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 8
              },
              "end": {
                "line": 9,
                "column": 8
              }
            },
            "moduleName": "cornerstone/components/templates/fonts/font-manager/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("          ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("strong");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode(" | ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            return morphs;
          },
          statements: [["content", "weight.label", ["loc", [null, [8, 18], [8, 34]]], 0, 0, 0, 0], ["content", "weight.textLabel", ["loc", [null, [8, 46], [8, 66]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 6
            },
            "end": {
              "line": 12,
              "column": 6
            }
          },
          "moduleName": "cornerstone/components/templates/fonts/font-manager/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          var el3 = dom.createElement("span");
          var el4 = dom.createTextNode("Preview");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var element1 = dom.childAt(element0, [3]);
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(element0, 1, 1);
          morphs[1] = dom.createAttrMorph(element1, 'class');
          morphs[2] = dom.createAttrMorph(element1, 'onClick');
          return morphs;
        },
        statements: [["block", "forms/rc-choice", [], ["value", ["subexpr", "@mut", [["get", "selectedItem.weights", ["loc", [null, [7, 33], [7, 53]]], 0, 0, 0, 0]], [], [], 0, 0], "arrayVal", ["subexpr", "@mut", [["get", "weight.value", ["loc", [null, [7, 63], [7, 75]]], 0, 0, 0, 0]], [], [], 0, 0], "wide", true, "mode", "array"], 0, null, ["loc", [null, [7, 8], [9, 28]]]], ["attribute", "class", ["concat", ["cs-fonts-weight-preview ", ["subexpr", "if", [["subexpr", "eq", [["get", "previewWeight", ["loc", [null, [10, 56], [10, 69]]], 0, 0, 0, 0], ["get", "weight.label", ["loc", [null, [10, 70], [10, 82]]], 0, 0, 0, 0]], [], ["loc", [null, [10, 52], [10, 83]]], 0, 0], "cs-active"], [], ["loc", [null, [10, 47], [10, 97]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "onClick", ["subexpr", "action", ["preview", ["get", "weight.value", ["loc", [null, [10, 126], [10, 138]]], 0, 0, 0, 0]], [], ["loc", [null, [null, null], [10, 140]]], 0, 0], 0, 0, 0, 0]],
        locals: ["weight"],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/font-manager/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-fonts-manager");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-fonts-settings");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("ul");
        dom.setAttribute(el3, "class", "cs-fonts-weights");
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [0]);
        var element3 = dom.childAt(element2, [1]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(element3, 1, 1);
        morphs[1] = dom.createMorphAt(dom.childAt(element3, [3]), 1, 1);
        morphs[2] = dom.createMorphAt(element2, 3, 3);
        morphs[3] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        return morphs;
      },
      statements: [["inline", "forms/select-single", [], ["placeholder", "Select a Font Family", "options", ["subexpr", "@mut", [["get", "selectChoices", ["loc", [null, [3, 69], [3, 82]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selectedFamily", ["loc", [null, [3, 89], [3, 103]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 4], [3, 105]]], 0, 0], ["block", "each", [["get", "availableWeights", ["loc", [null, [5, 14], [5, 30]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [5, 6], [12, 15]]]], ["inline", "templates/fonts/preview-area", [], ["fontConfig", ["subexpr", "@mut", [["get", "fontConfig", ["loc", [null, [15, 44], [15, 54]]], 0, 0, 0, 0]], [], [], 0, 0], "fontDefinition", ["subexpr", "@mut", [["get", "fontDefinition", ["loc", [null, [15, 70], [15, 84]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedWeight", ["subexpr", "@mut", [["get", "previewWeight", ["loc", [null, [15, 100], [15, 113]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [15, 2], [15, 115]]], 0, 0], ["content", "yield", ["loc", [null, [17, 0], [17, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/templates/fonts/preview-area/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-fonts-preview'],

    fonts: _ember['default'].inject.service('templates/fonts'),

    didInsertElement: function didInsertElement() {
      this.loadFont();
    },
    styleUpdated: 0,

    loadFont: function loadFont() {
      var _this = this;

      this.get('fonts').loadFont(this.get('fontDefinition')).then(function () {
        _this.incrementProperty('styleUpdated');
      }, function (errors) {
        console.warn('The font manager was unable to load the requested fonts', errors);
      });
    },

    loadFontOnChange: _ember['default'].observer('fontDefinition.family', 'fontConfig.googleSubsets.[]', function () {
      this.loadFont();
    }),

    style: _ember['default'].computed('styleUpdated', 'selectedWeight', function () {
      return _ember['default'].String.htmlSafe('font-family:' + this.get('fontDefinition.stack') + ';font-weight:' + this.get('selectedWeight') + ';');
    })
  });
});
define("cornerstone/components/templates/fonts/preview-area/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/templates/fonts/preview-area/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "contenteditable", "true");
        var el2 = dom.createTextNode("Click here to type and preview your font selection...");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2]);
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createAttrMorph(element0, 'style');
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0], ["attribute", "style", ["get", "style", ["loc", [null, [2, 36], [2, 41]]], 0, 0, 0, 0], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/workspace/cs-workspace/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-workspace'],
    classNameBindings: ['name']
  });
});
define("cornerstone/components/workspace/cs-workspace/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/cs-workspace/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/workspace/inspector-actions/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    classNames: ['cs-control', 'cs-inspector-actions'],

    actions: {
      apply: function apply() {
        var _this = this;

        var selected = this.get('selected');
        if (!selected) {
          return;
        }

        this.get('ui').confirm({
          message: this.get('i18n').t('app.inspector.apply-preset-warning'),
          accept: function accept() {
            _this.sendAction('onApply', selected);
          },
          acceptClass: 'sad'
        });
      },
      save: function save() {
        this.sendAction('onSave', this.get('name'));
        this.set('name', '');
      }
    }
  });
});
define("cornerstone/components/workspace/inspector-actions/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/inspector-actions/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [2, 2], [2, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 6
              },
              "end": {
                "line": 15,
                "column": 6
              }
            },
            "moduleName": "cornerstone/components/workspace/inspector-actions/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("button");
            var el2 = dom.createTextNode("Apply");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [3]);
            var morphs = new Array(3);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createAttrMorph(element0, 'class');
            morphs[2] = dom.createElementMorph(element0);
            return morphs;
          },
          statements: [["inline", "forms/styled-select", [], ["placeholder", "No presets", "value", ["subexpr", "@mut", [["get", "value", ["loc", [null, [10, 16], [10, 21]]], 0, 0, 0, 0]], [], [], 0, 0], "options", ["subexpr", "@mut", [["get", "presets", ["loc", [null, [11, 18], [11, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "selected", ["loc", [null, [12, 16], [12, 24]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [8, 8], [13, 10]]], 0, 0], ["attribute", "class", ["concat", ["cs-control-select-action-btn cs-control-manage-presets-apply ", ["subexpr", "if", [["get", "ui.deleteConfirm", ["loc", [null, [14, 89], [14, 105]]], 0, 0, 0, 0], "cs-danger"], [], ["loc", [null, [14, 84], [14, 119]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["apply"], ["allowedKeys", "shift"], ["loc", [null, [14, 121], [14, 159]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 4
            },
            "end": {
              "line": 20,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/workspace/inspector-actions/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "controls/input-list-item", [], ["label", "Apply<br>Preset"], 0, null, ["loc", [null, [7, 6], [15, 35]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 23,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/inspector-actions/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-control cs-control-select-action cs-control-manage-presets");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-control-input");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 1, 1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-actions", [], ["items", ["subexpr", "@mut", [["get", "items", ["loc", [null, [1, 37], [1, 42]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [1, 0], [3, 32]]]], ["block", "controls/input-list", [], [], 1, null, ["loc", [null, [6, 4], [20, 28]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/workspace/workspace-actions/action-item/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: 'a',
    classNames: 'cs-workspace-action-item',
    classNameBindings: ['class', 'ui.deleteConfirm:quick-confirm'],

    click: function click() {
      this.getWithDefault('action', function () {})();
    }
  });
});
define("cornerstone/components/workspace/workspace-actions/action-item/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-actions/action-item/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("span");
          dom.setAttribute(el1, "class", "quick-confirm-label");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "quickConfirmLabel", ["loc", [null, [3, 36], [3, 57]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-actions/action-item/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(dom.childAt(fragment, [3]), 0, 0);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "content", ["loc", [null, [1, 0], [1, 11]]], 0, 0, 0, 0], ["block", "if", [["get", "quickConfirmLabel", ["loc", [null, [2, 6], [2, 23]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [4, 7]]]], ["content", "label", ["loc", [null, [5, 6], [5, 15]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/components/workspace/workspace-actions/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: 'cs-workspace-actions',
    classNameBindings: ['divider:cs-workspace-actions'],
    divider: true
  });
});
define("cornerstone/components/workspace/workspace-actions/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-actions/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-actions/action-item", [], ["content", ["subexpr", "@mut", [["get", "item.content", ["loc", [null, [3, 12], [3, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "class", ["subexpr", "@mut", [["get", "item.class", ["loc", [null, [4, 10], [4, 20]]], 0, 0, 0, 0]], [], [], 0, 0], "quickConfirmLabel", ["subexpr", "@mut", [["get", "item.quickConfirmLabel", ["loc", [null, [5, 22], [5, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "label", ["subexpr", "@mut", [["get", "item.label", ["loc", [null, [6, 10], [6, 20]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "@mut", [["get", "item.action", ["loc", [null, [7, 11], [7, 22]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0]],
        locals: ["item"],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 9,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-actions/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "yield", ["loc", [null, [10, 2], [10, 11]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-actions/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "each", [["get", "items", ["loc", [null, [1, 8], [1, 13]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [1, 0], [11, 9]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/workspace/workspace-content/component', ['exports', 'cornerstone/components/common/scroll-box/component'], function (exports, _cornerstoneComponentsCommonScrollBoxComponent) {
  exports['default'] = _cornerstoneComponentsCommonScrollBoxComponent['default'].extend({
    classNames: ['cs-workspace-content']
  });
});
// import Ember from 'ember';
define("cornerstone/components/workspace/workspace-content/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-content/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/workspace/workspace-controls/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({

    orientation: 'horizontal',
    isHorizontal: _ember['default'].computed('orientation', function () {
      return 'horizontal' === this.get('orientation');
    }),

    classNames: ['cs-workspace-controls', 'cs-workspace-content'],
    classNameBindings: ['isSearching:cs-searching'],

    didReceiveAttrs: function didReceiveAttrs() {
      this.set('searchData', this.get('ui.search').getTarget(this.get('searchTarget')));
      this.set('activeGroup', this.get('visibleGroups.firstObject.name'));
      this.set('activeSubGroup', this.get('visibleSubGroups.firstObject.name'));
      this.notifyPropertyChange('activeGroup');
      this.notifyPropertyChange('activeSubGroup');

      this.get('searchData').setOptions({
        id: 'id',
        threshold: 0.15,
        distance: 50,
        tokenize: true,
        keys: [{ name: 'title', weight: 0.1 }]
      });

      this.updateSearchIndex();
    },

    isSearching: _ember['default'].computed.alias('searchData.isSearching'),

    reindexSearch: _ember['default'].observer('controls.@each.indexLabel', function () {
      this.updateSearchIndex();
    }),

    updateSearchIndex: function updateSearchIndex() {
      this.get('searchData').updateIndex(this.getWithDefault('controls', []).map(function (entry) {
        return { id: _ember['default'].get(entry, 'id'), title: _ember['default'].get(entry, 'indexLabel') };
      }));
    },

    actions: {

      startSearch: function startSearch() {
        var _this = this;

        this.set('searchActive', true);
        _ember['default'].run.scheduleOnce('afterRender', function () {
          _this.$('.cs-workspace-controls-nav > .cs-search-bar > input[type="search"]').focus();
        });
      },

      endSearch: function endSearch() {
        this.set('searchData.query', '');
        this.set('searchActive', false);
      },

      navigate: function navigate(groupName, controlID) {
        var _this2 = this;

        var tiers = groupName.split(':');
        var topLevel = tiers.shift();
        this.send('endSearch');

        this.set('activeGroup', topLevel);

        if (topLevel === groupName) {
          this.set('activeSubGroup', this.get('visibleSubGroups.firstObject.name'));
        } else {
          this.set('activeSubGroup', groupName);
        }

        _ember['default'].run.scheduleOnce('afterRender', function () {
          if (controlID) {
            _ember['default'].run.later(_this2, function () {
              _this2.set('scrollTo', {
                selector: '[data-cs-control-id="' + controlID + '"].cs-control',
                offset: 0,
                horizontal: _this2.get('isHorizontal')
              });
            }, 200);
          } else {
            _this2.set('scrollTo', {
              selector: '[data-cs-control-group-name="' + groupName + '"].cs-control:not(.cs-hide)',
              offset: 0,
              horizontal: _this2.get('isHorizontal')
            });
          }
        });
      },

      searchNavigate: function searchNavigate(control) {
        this.send('navigate', control.group, _ember['default'].get(control, 'id'));
      },

      onScroll: function onScroll(scrollBoxComponent, scrollBoxEl) {
        var _this3 = this;

        if (this.isDestroyed) {
          return;
        }
        var groups = this.get('visibleSubGroups');

        if (this.get('isSearching') || scrollBoxComponent.get('isScrollingTo') || !groups) {
          return;
        }

        var group = groups.map(function (item) {

          var $group = window.jQuery('[data-cs-control-group-name="' + item.name + '"].cs-control:not(.cs-hide)');
          var $last = $group.last();
          var $first = $group.first();

          if ($group.length <= 0 || !scrollBoxEl) {
            return false;
          }

          return {
            top: $first.position().top + scrollBoxEl.scrollTop,
            left: $first.position().left + scrollBoxEl.scrollLeft,
            bottom: $last.position().top + $last.outerHeight() + scrollBoxEl.scrollTop,
            right: $last.position().left + $last.outerWidth() + scrollBoxEl.scrollLeft,
            name: item.name
          };
        }).find(function (item) {

          if (!item) {
            return false;
          }

          if (_this3.get('isHorizontal')) {
            return scrollBoxEl.scrollLeft + 1 >= item.left && scrollBoxEl.scrollLeft + 1 < item.right;
          } else {
            return scrollBoxEl.scrollTop + 1 >= item.top && scrollBoxEl.scrollTop + 1 < item.bottom;
          }
        });

        if (group && group.name) {
          this.set('activeSubGroup', group.name);
        }
      }
    },

    stopSearching: _ember['default'].observer('searchData.isSearching', function () {
      if (this.get('searchData.isSearching')) {
        this.set('activeGroup', '');
      } else {
        if (!this.get('activeGroup')) {
          this.set('activeGroup', this.get('visibleGroups.firstObject.name'));
        }
      }
    }),

    showNoResultsMessage: _ember['default'].computed('noResults', 'isSearching', function () {
      return this.get('noResults') && this.get('isSearching');
    }),

    hiddenControlObserver: _ember['default'].observer('hiddenControls', function () {
      var _this4 = this;

      _ember['default'].run.next(function () {
        _ember['default'].run.scheduleOnce('afterRender', function () {
          if (_this4.get('searchData.isSearching')) {
            _this4.set('noResults', 0 === _this4.$('.cs-control:not(.cs-hide)').length);
          }
          _this4.incrementProperty('scrollResetInc');
        });
      });
    }),

    hiddenControls: _ember['default'].computed('activeGroup', 'searchData.isSearching', 'searchData.results', function () {
      var _this5 = this;

      if (!this.get('searchData.isSearching')) {
        var _ret = (function () {

          var activeGroup = _this5.get('activeGroup');

          return {
            v: _this5.getWithDefault('controls', _ember['default'].A()).filter(function (control) {
              var group = _ember['default'].get(control, 'group');
              if (group && activeGroup) {
                var tiers = group.split(':');
                var topLevel = tiers.shift();
                if (activeGroup !== topLevel) {
                  return true;
                }
              }
              return false;
            }).map(function (control) {
              return _ember['default'].get(control, 'id');
            })
          };
        })();

        if (typeof _ret === 'object') return _ret.v;
      }

      var results = this.get('searchData.results');

      return this.getWithDefault('controls', _ember['default'].A()).filter(function (control) {
        return !results.includes(_ember['default'].get(control, 'id'));
      }).map(function (control) {
        return _ember['default'].get(control, 'id');
      });
    }),

    visibleSubGroups: _ember['default'].computed('activeGroup', 'visibleGroups.[]', function () {

      var activeGroup = this.get('activeGroup');

      var active = this.get('visibleGroups').find(function (group) {
        return activeGroup === group.name;
      });

      if (_ember['default'].isNone(active)) {
        return null;
      }

      return _ember['default'].getWithDefault(active, 'children', []);
    }),

    visibleGroups: _ember['default'].computed('tieredGroups.[]', 'controls.@each.excluded', function () {
      if (!this.get('controls')) {
        debugger;
      }

      var visible = this.get('controls').filter(function (control) {
        return !control.get('excluded');
      }).map(function (control) {
        return control.get('group');
      }).uniq();

      return this.get('tieredGroups').map(function (group) {
        var children = [];
        if (group.children) {
          children = group.children.filter(function (child) {
            return visible.includes(child.name);
          });
        }
        if (_ember['default'].isEmpty(children) && !visible.includes(group.name)) {
          return null;
        }
        return {
          name: group.name,
          title: group.title,
          children: children
        };
      }).filter(_ember['default'].isPresent);
    }),

    tieredGroups: _ember['default'].computed('groups.[]', function () {

      var groups = {};

      var flatGroups = this.get('groups');
      if (!flatGroups) {
        console.warn('Groups not set. You could be inspecting an undefined element, or the element\'s definition might be incorrectly configured.', this);
        return _ember['default'].A();
      }

      flatGroups.forEach(function (group) {

        if (group.parent) {

          if (!groups[group.parent]) {
            groups[group.parent] = {};
          }

          if (!groups[group.parent].children) {
            groups[group.parent].children = _ember['default'].A();
          }

          groups[group.parent].children.push(group);
        } else {
          if (!groups[group.name]) {
            groups[group.name] = {};
          }
          groups[group.name].name = group.name;
          groups[group.name].title = group.title;
        }
      });

      var list = _ember['default'].A();

      for (var key in groups) {
        if (groups.hasOwnProperty(key)) {
          list.push(groups[key]);
        }
      }

      return list;
    })

  });
});
define("cornerstone/components/workspace/workspace-controls/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 4
              },
              "end": {
                "line": 11,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "common/search-bar", [], ["noFocus", true, "target", ["subexpr", "@mut", [["get", "searchTarget", ["loc", [null, [6, 15], [6, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "placeholder", ["subexpr", "@mut", [["get", "searchPlaceholder", ["loc", [null, [7, 20], [7, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "alwaysShowClear", true, "onCloseSearch", ["subexpr", "action", ["endSearch"], [], ["loc", [null, [9, 22], [9, 42]]], 0, 0]], ["loc", [null, [4, 6], [10, 8]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 20,
                      "column": 16
                    },
                    "end": {
                      "line": 24,
                      "column": 16
                    }
                  },
                  "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
                },
                isEmpty: false,
                arity: 1,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("                  ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("li");
                  var el2 = dom.createTextNode("\n                    ");
                  dom.appendChild(el1, el2);
                  var el2 = dom.createElement("a");
                  var el3 = dom.createElement("span");
                  var el4 = dom.createComment("");
                  dom.appendChild(el3, el4);
                  dom.appendChild(el2, el3);
                  dom.appendChild(el1, el2);
                  var el2 = dom.createTextNode("\n                  ");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var element0 = dom.childAt(fragment, [1]);
                  var element1 = dom.childAt(element0, [1]);
                  var morphs = new Array(5);
                  morphs[0] = dom.createAttrMorph(element0, 'class');
                  morphs[1] = dom.createAttrMorph(element1, 'class');
                  morphs[2] = dom.createAttrMorph(element1, 'data-group-name');
                  morphs[3] = dom.createElementMorph(element1);
                  morphs[4] = dom.createMorphAt(dom.childAt(element1, [0]), 0, 0);
                  return morphs;
                },
                statements: [["attribute", "class", ["concat", ["cs-workspace-controls-nav-group ", ["subexpr", "if", [["subexpr", "eq", [["get", "child.name", ["loc", [null, [21, 70], [21, 80]]], 0, 0, 0, 0], ["get", "activeSubGroup", ["loc", [null, [21, 81], [21, 95]]], 0, 0, 0, 0]], [], ["loc", [null, [21, 66], [21, 96]]], 0, 0], "cs-active"], [], ["loc", [null, [21, 61], [21, 110]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "class", ["concat", [["subexpr", "if", [["subexpr", "eq", [["get", "child.name", ["loc", [null, [22, 39], [22, 49]]], 0, 0, 0, 0], ["get", "activeGroup", ["loc", [null, [22, 50], [22, 61]]], 0, 0, 0, 0]], [], ["loc", [null, [22, 35], [22, 62]]], 0, 0], "cs-active"], [], ["loc", [null, [22, 30], [22, 76]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "data-group-name", ["concat", [["get", "child.name", ["loc", [null, [22, 130], [22, 140]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["navigate", ["get", "child.name", ["loc", [null, [22, 98], [22, 108]]], 0, 0, 0, 0]], [], ["loc", [null, [22, 78], [22, 110]]], 0, 0], ["content", "child.title", ["loc", [null, [22, 150], [22, 165]]], 0, 0, 0, 0]],
                locals: ["child"],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 18,
                    "column": 12
                  },
                  "end": {
                    "line": 26,
                    "column": 12
                  }
                },
                "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("              ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("ul");
                dom.setAttribute(el1, "class", "cs-workspace-controls-nav-groups-sub");
                var el2 = dom.createTextNode("\n");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("              ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
                return morphs;
              },
              statements: [["block", "each", [["get", "group.children", ["loc", [null, [20, 24], [20, 38]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [20, 16], [24, 25]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 15,
                  "column": 8
                },
                "end": {
                  "line": 28,
                  "column": 8
                }
              },
              "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("          ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("li");
              var el2 = dom.createTextNode("\n            ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("a");
              var el3 = dom.createElement("span");
              var el4 = dom.createComment("");
              dom.appendChild(el3, el4);
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("          ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element2 = dom.childAt(fragment, [1]);
              var element3 = dom.childAt(element2, [1]);
              var morphs = new Array(5);
              morphs[0] = dom.createAttrMorph(element2, 'class');
              morphs[1] = dom.createAttrMorph(element3, 'data-group-name');
              morphs[2] = dom.createElementMorph(element3);
              morphs[3] = dom.createMorphAt(dom.childAt(element3, [0]), 0, 0);
              morphs[4] = dom.createMorphAt(element2, 3, 3);
              return morphs;
            },
            statements: [["attribute", "class", ["concat", ["cs-workspace-controls-nav-group ", ["subexpr", "if", [["subexpr", "eq", [["get", "group.name", ["loc", [null, [16, 62], [16, 72]]], 0, 0, 0, 0], ["get", "activeGroup", ["loc", [null, [16, 73], [16, 84]]], 0, 0, 0, 0]], [], ["loc", [null, [16, 58], [16, 85]]], 0, 0], "cs-active"], [], ["loc", [null, [16, 53], [16, 99]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["attribute", "data-group-name", ["concat", [["get", "group.name", ["loc", [null, [17, 67], [17, 77]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["element", "action", ["navigate", ["get", "group.name", ["loc", [null, [17, 35], [17, 45]]], 0, 0, 0, 0]], [], ["loc", [null, [17, 15], [17, 47]]], 0, 0], ["content", "group.title", ["loc", [null, [17, 87], [17, 102]]], 0, 0, 0, 0], ["block", "if", [["get", "group.children", ["loc", [null, [18, 18], [18, 32]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [18, 12], [26, 19]]]]],
            locals: ["group"],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 12,
                "column": 4
              },
              "end": {
                "line": 30,
                "column": 4
              }
            },
            "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("button");
            dom.setAttribute(el1, "class", "cs-workspace-controls-toggle-search");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("ul");
            dom.setAttribute(el1, "class", "cs-workspace-controls-nav-groups-top");
            var el2 = dom.createTextNode("\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("      ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element4 = dom.childAt(fragment, [1]);
            var morphs = new Array(3);
            morphs[0] = dom.createElementMorph(element4);
            morphs[1] = dom.createMorphAt(element4, 0, 0);
            morphs[2] = dom.createMorphAt(dom.childAt(fragment, [3]), 1, 1);
            return morphs;
          },
          statements: [["element", "action", ["startSearch"], [], ["loc", [null, [13, 58], [13, 82]]], 0, 0], ["inline", "icon", ["search"], [], ["loc", [null, [13, 83], [13, 100]]], 0, 0], ["block", "each", [["get", "visibleGroups", ["loc", [null, [15, 16], [15, 29]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [15, 8], [28, 17]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 32,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("nav");
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element5 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element5, 'class');
          morphs[1] = dom.createMorphAt(element5, 1, 1);
          morphs[2] = dom.createMorphAt(element5, 2, 2);
          return morphs;
        },
        statements: [["attribute", "class", ["concat", ["cs-workspace-controls-nav ", ["subexpr", "if", [["get", "searchActive", ["loc", [null, [2, 45], [2, 57]]], 0, 0, 0, 0], "cs-searching"], [], ["loc", [null, [2, 40], [2, 74]]], 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "searchTarget", ["loc", [null, [3, 10], [3, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 4], [11, 11]]]], ["block", "common/scroll-box", [], [], 1, null, ["loc", [null, [12, 4], [30, 26]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 91,
                  "column": 4
                },
                "end": {
                  "line": 93,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["content", "yield", ["loc", [null, [92, 6], [92, 15]]], 0, 0, 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 95,
                    "column": 6
                  },
                  "end": {
                    "line": 97,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("p");
                var el2 = dom.createTextNode("Try refining your search, or changing some controls to enable other features.");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes() {
                return [];
              },
              statements: [],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 94,
                  "column": 4
                },
                "end": {
                  "line": 98,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "workspace/workspace-message", [], ["title", "No controls found."], 0, null, ["loc", [null, [95, 6], [97, 38]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 90,
                "column": 2
              },
              "end": {
                "line": 99,
                "column": 2
              }
            },
            "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["get", "isSearching", ["loc", [null, [91, 14], [91, 25]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [91, 4], [93, 15]]]], ["block", "if", [["get", "showNoResultsMessage", ["loc", [null, [94, 10], [94, 30]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [94, 4], [98, 11]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 89,
              "column": 0
            },
            "end": {
              "line": 100,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/control-list", [], ["controls", ["subexpr", "@mut", [["get", "controls", ["loc", [null, [90, 34], [90, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "hiddenControls", ["subexpr", "@mut", [["get", "hiddenControls", ["loc", [null, [90, 58], [90, 72]]], 0, 0, 0, 0]], [], [], 0, 0], "isSearching", ["subexpr", "@mut", [["get", "isSearching", ["loc", [null, [90, 85], [90, 96]]], 0, 0, 0, 0]], [], [], 0, 0], "onSearchNavigate", ["subexpr", "action", ["searchNavigate"], [], ["loc", [null, [90, 114], [90, 139]]], 0, 0]], 0, null, ["loc", [null, [90, 2], [99, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 101,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-controls/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "groups", ["loc", [null, [1, 6], [1, 12]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [32, 7]]]], ["block", "common/scroll-box", [], ["name", "workspace-controls", "onScroll", ["subexpr", "action", ["onScroll"], [], ["loc", [null, [89, 56], [89, 75]]], 0, 0], "scrollTo", ["subexpr", "@mut", [["get", "scrollTo", ["loc", [null, [89, 85], [89, 93]]], 0, 0, 0, 0]], [], [], 0, 0], "linkedSearch", ["subexpr", "@mut", [["get", "searchTarget", ["loc", [null, [89, 107], [89, 119]]], 0, 0, 0, 0]], [], [], 0, 0], "resetScrollOn", ["subexpr", "@mut", [["get", "scrollResetInc", ["loc", [null, [89, 134], [89, 148]]], 0, 0, 0, 0]], [], [], 0, 0]], 1, null, ["loc", [null, [89, 0], [100, 22]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/workspace/workspace-expander/component', ['exports', 'ember', 'jquery'], function (exports, _ember, _jquery) {
  exports['default'] = _ember['default'].Component.extend({

    rootSelector: '.cs-app',
    contentOpen: false,

    classNames: ['cs-workspace-expander'],
    classNameBindings: ['class', 'open:cs-active'],
    floatingSide: 'right',
    scrollEvent: 'ps-y-reach-start ps-scroll-y ps-y-reach-end ps-x-reach-start ps-scroll-x ps-x-reach-end',

    orientation: _ember['default'].computed.alias('ui.workspaceOrientation'),
    expanded: _ember['default'].computed.alias('ui.textEditorExpanded'),
    activeClass: false,

    attrModalClass: _ember['default'].computed('expanderClass', 'orientation', 'expanded', 'activeClass', function () {

      var classes = ['cs-workspace-expander-content', 'cs-workspace-expander-content-' + this.get('orientation'), this.get('expanderClass')];

      if (this.get('expanded')) {
        classes.push('cs-expanded');
      }

      if (this.get('activeClass')) {
        classes.push('cs-active');
      }

      return classes.join(' ');
    }),

    onInit: _ember['default'].on('init', function () {
      this.triggerExternalOpen();
    }),

    observeExternalOpen: _ember['default'].observer('externalOpen', function () {
      this.triggerExternalOpen();
    }),

    triggerExternalOpen: function triggerExternalOpen() {
      if (this.get('externalOpen')) {
        this.set('open', true);
      }
    },

    didInsertElement: function didInsertElement() {
      this.$content = this.$('.cs-workspace-expander-content');
      this.set('hasRendered', true);
      this.updatePositioning();
    },

    observeState: _ember['default'].observer('open', function () {
      this.updatePositioning();
    }),

    updatePositioning: function updatePositioning() {

      if (!this.get('hasRendered') || this.isDestroyed) {
        this.set('contentOpen', false);
        return;
      }

      this.set('contentOpen', this.get('open'));
    },

    observeContentOpen: _ember['default'].observer('contentOpen', function () {
      var _this = this;

      var $body = (0, _jquery['default'])('body');
      var $window = (0, _jquery['default'])(window);
      var $el = this.$();

      var loseFocus = function loseFocus(e) {

        if (!_this.isDestroyed && ($el[0] === e.currentTarget || _this.$content[0] === e.currentTarget || _jquery['default'].contains($el[0], e.currentTarget) || !_jquery['default'].contains(_this.get('ui.topLevelEl'), e.currentTarget) || _jquery['default'].contains(_this.$content[0], e.currentTarget))) {
          e.stopPropagation();
          return;
        }

        $body.off('focus', '*', loseFocus);
        $body.off('click', '*', loseFocus);

        if (!_this.isDestroyed) {
          _this.set('open', false);
          _this.sendAction('onStateChange', false);
        }
      };

      if (this.get('contentOpen')) {
        this.$content.removeClass('cs-active');
        this.$content.detach().appendTo(this.get('rootSelector'));

        $body.on('focus', '*', loseFocus);
        $body.on('click', '*', loseFocus);

        _ember['default'].run.later(function () {
          if (_this.get('contentOpen') && !_this.isDestroyed) {
            _this.set('activeClass', true);
          }
        }, 5);
      } else {
        this.set('activeClass', false);
        _ember['default'].run.later(function () {
          if (!_this.get('contentOpen') && !_this.isDestroyed) {
            _this.$content.detach().appendTo(_this.$());
          }
        }, 500);
      }
    }),

    willDestroy: function willDestroy() {
      this._super.apply(this, arguments);
      this.set('false');
      this.$content.remove();
    },

    actions: {
      toggle: function toggle() {
        this.set('open', !this.get('open'));
        this.sendAction('onStateChange', this.get('open'));
      },

      close: function close() {
        this.set('open', false);
        this.sendAction('onStateChange', this.get('open'));
      },

      expand: function expand() {
        this.set('expanded', true);
      },

      collapse: function collapse() {
        this.set('expanded', false);
      }

    }
  });
});
define("cornerstone/components/workspace/workspace-expander/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 4,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("span");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createUnsafeMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "label", ["loc", [null, [3, 10], [3, 21]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 6,
              "column": 2
            },
            "end": {
              "line": 8,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "component", [["get", "contentComponent", ["loc", [null, [7, 16], [7, 32]]], 0, 0, 0, 0]], ["expander", ["subexpr", "@mut", [["get", "this", ["loc", [null, [7, 42], [7, 46]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [7, 4], [7, 48]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child2 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 14,
              "column": 4
            },
            "end": {
              "line": 19,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "component", [["get", "headerActionsComponent", ["loc", [null, [15, 18], [15, 40]]], 0, 0, 0, 0]], ["classNames", ["subexpr", "array", ["cs-workspace-expander-head-actions"], [], ["loc", [null, [16, 19], [16, 63]]], 0, 0], "expander", ["subexpr", "@mut", [["get", "this", ["loc", [null, [17, 17], [17, 21]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [15, 6], [18, 8]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child3 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 20,
              "column": 4
            },
            "end": {
              "line": 24,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-expander-head-actions");
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
          return morphs;
        },
        statements: [["content", "headerActions", ["loc", [null, [22, 8], [22, 25]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child4 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 25,
              "column": 4
            },
            "end": {
              "line": 29,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-expander-head-label");
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("span");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]), 0, 0);
          return morphs;
        },
        statements: [["content", "headerLabel", ["loc", [null, [27, 14], [27, 29]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child5 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 37,
              "column": 4
            },
            "end": {
              "line": 39,
              "column": 4
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "yield", [["subexpr", "hash", [], ["open", ["get", "open", ["loc", [null, [38, 25], [38, 29]]], 0, 0, 0, 0]], ["loc", [null, [38, 14], [38, 30]]], 0, 0]], [], ["loc", [null, [38, 6], [38, 32]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 42,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-expander/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-workspace-expander-toggle");
        dom.setAttribute(el1, "tabindex", "-1");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-workspace-expander-head");
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3, "class", "cs-workspace-expander-head-actions");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("button");
        dom.setAttribute(el4, "class", "cs-close");
        var el5 = dom.createElement("span");
        dom.setAttribute(el5, "class", "cs-visually-hidden");
        var el6 = dom.createTextNode("Close");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("button");
        dom.setAttribute(el4, "class", "cs-expand");
        var el5 = dom.createElement("span");
        dom.setAttribute(el5, "class", "cs-visually-hidden");
        var el6 = dom.createTextNode("Expand");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("button");
        dom.setAttribute(el4, "class", "cs-collapse");
        var el5 = dom.createElement("span");
        dom.setAttribute(el5, "class", "cs-visually-hidden");
        var el6 = dom.createTextNode("Collapse");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2, "class", "cs-workspace-expander-body");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(fragment, [2]);
        var element2 = dom.childAt(element1, [1]);
        var element3 = dom.childAt(element2, [5]);
        var element4 = dom.childAt(element3, [1]);
        var element5 = dom.childAt(element3, [3]);
        var element6 = dom.childAt(element3, [5]);
        var morphs = new Array(12);
        morphs[0] = dom.createElementMorph(element0);
        morphs[1] = dom.createMorphAt(element0, 1, 1);
        morphs[2] = dom.createMorphAt(element0, 3, 3);
        morphs[3] = dom.createMorphAt(element0, 5, 5);
        morphs[4] = dom.createAttrMorph(element1, 'class');
        morphs[5] = dom.createMorphAt(element2, 1, 1);
        morphs[6] = dom.createMorphAt(element2, 2, 2);
        morphs[7] = dom.createMorphAt(element2, 3, 3);
        morphs[8] = dom.createElementMorph(element4);
        morphs[9] = dom.createElementMorph(element5);
        morphs[10] = dom.createElementMorph(element6);
        morphs[11] = dom.createMorphAt(dom.childAt(element1, [3]), 1, 1);
        return morphs;
      },
      statements: [["element", "action", ["toggle"], [], ["loc", [null, [1, 56], [1, 75]]], 0, 0], ["block", "if", [["get", "label", ["loc", [null, [2, 8], [2, 13]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 2], [4, 9]]]], ["content", "content", ["loc", [null, [5, 2], [5, 13]]], 0, 0, 0, 0], ["block", "if", [["get", "contentComponent", ["loc", [null, [6, 8], [6, 24]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [6, 2], [8, 9]]]], ["attribute", "class", ["get", "attrModalClass", ["loc", [null, [11, 13], [11, 27]]], 0, 0, 0, 0], 0, 0, 0, 0], ["block", "if", [["get", "headerActionsComponent", ["loc", [null, [14, 10], [14, 32]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [14, 4], [19, 11]]]], ["block", "if", [["get", "headerActions", ["loc", [null, [20, 10], [20, 23]]], 0, 0, 0, 0]], [], 3, null, ["loc", [null, [20, 4], [24, 11]]]], ["block", "if", [["get", "headerLabel", ["loc", [null, [25, 10], [25, 21]]], 0, 0, 0, 0]], [], 4, null, ["loc", [null, [25, 4], [29, 11]]]], ["element", "action", ["close"], [], ["loc", [null, [31, 31], [31, 49]]], 0, 0], ["element", "action", ["expand"], [], ["loc", [null, [32, 32], [32, 51]]], 0, 0], ["element", "action", ["collapse"], [], ["loc", [null, [33, 34], [33, 55]]], 0, 0], ["block", "if", [["get", "contentOpen", ["loc", [null, [37, 10], [37, 21]]], 0, 0, 0, 0]], [], 5, null, ["loc", [null, [37, 4], [39, 11]]]]],
      locals: [],
      templates: [child0, child1, child2, child3, child4, child5]
    };
  })());
});
define('cornerstone/components/workspace/workspace-full-button/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    tagName: ['button'],
    classNames: ['cs-workspace-full-button'],
    iconOutput: _ember['default'].computed.alias('icon'),
    click: function click() {
      this.sendAction('action');
    }
  });
});
define("cornerstone/components/workspace/workspace-full-button/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-full-button/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "iconOutput", ["loc", [null, [2, 2], [2, 16]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-full-button/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("span");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "message", ["loc", [null, [5, 8], [5, 19]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-full-button/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "if", [["get", "icon", ["loc", [null, [1, 6], [1, 10]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["block", "if", [["get", "message", ["loc", [null, [4, 6], [4, 13]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [4, 0], [6, 7]]]], ["content", "yield", ["loc", [null, [7, 0], [7, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/workspace/workspace-header/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-workspace-header']
  });
});
define("cornerstone/components/workspace/workspace-header/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-header/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "yield", ["loc", [null, [1, 0], [1, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/components/workspace/workspace-message/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-workspace-message'],
    classNameBindings: ['small:small']
  });
});
define("cornerstone/components/workspace/workspace-message/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-message/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("h3");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "title", ["loc", [null, [2, 6], [2, 15]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-message/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("p");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["content", "message", ["loc", [null, [5, 5], [5, 16]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-message/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "if", [["get", "title", ["loc", [null, [1, 6], [1, 11]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["block", "if", [["get", "message", ["loc", [null, [4, 6], [4, 13]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [4, 0], [6, 7]]]], ["content", "yield", ["loc", [null, [7, 0], [7, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/components/workspace/workspace-nav/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Component.extend({
    classNames: ['cs-workspace-nav'],
    tagName: 'nav'
  });
});
define("cornerstone/components/workspace/workspace-nav/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 8
              },
              "end": {
                "line": 3,
                "column": 76
              }
            },
            "moduleName": "cornerstone/components/workspace/workspace-nav/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createElement("span");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 0, 0);
            return morphs;
          },
          statements: [["content", "item.label", ["loc", [null, [3, 55], [3, 69]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 4,
              "column": 2
            }
          },
          "moduleName": "cornerstone/components/workspace/workspace-nav/template.hbs"
        },
        isEmpty: false,
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          return morphs;
        },
        statements: [["block", "link-to", [["get", "item.route", ["loc", [null, [3, 19], [3, 29]]], 0, 0, 0, 0]], ["class", ["subexpr", "@mut", [["get", "item.class", ["loc", [null, [3, 36], [3, 46]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [3, 8], [3, 88]]]]],
        locals: ["item"],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 9
          }
        },
        "moduleName": "cornerstone/components/workspace/workspace-nav/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("ul");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 1, 1);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "each", [["get", "items", ["loc", [null, [2, 10], [2, 15]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 2], [4, 11]]]], ["content", "yield", ["loc", [null, [6, 0], [6, 9]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/content/builder/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({

    queryParams: ['lang'],
    lang: null,

    activeLanguage: _ember['default'].computed('lang', {
      get: function get(key) {
        var lang = this.get('lang');
        if (_ember['default'].isNone(lang)) {
          return window.csAppData.wpmlDefault;
        }
        return lang;
      },
      set: function set(key, value) {
        this.set('lang', value);
        if (!value) {
          return window.csAppData.wpmlDefault;
        }
        return value;
      }
    }),

    config: _ember['default'].inject.service(),
    inspectorService: _ember['default'].inject.service('content/builder/inspector'),

    previewURL: _ember['default'].computed('model.content', function () {
      return this.get('model.content.permalink');
    }),

    previewInc: 0,
    previewState: _ember['default'].computed('model.content.id', 'previewInc', 'lang', function () {
      return {
        route: 'content',
        mode: 'content',
        custom_js: {
          'cs-content-custom-scripts': this.get('model.content.settings.general.custom_js')
        },
        post_id: this.get('model.content.id'),
        inc: this.get('previewInc'),
        settings: this.get('model.content.settings'),
        responsive_text: this.get('model.content.responsiveTextItems')
      };
    }),

    actions: {
      refreshPreview: function refreshPreview() {
        this.get('ui').notify(this.get('i18n').t('app.notification-refreshing-preview-save-reminder'));
        this.incrementProperty('previewInc');
      }
    }

  });
});
define("cornerstone/content/builder/elements/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/content/builder/elements/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["content", "outlet", ["loc", [null, [4, 0], [4, 10]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/content/builder/elements/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "content/workspace-elements", [], ["elementDefinitions", ["subexpr", "@mut", [["get", "model.library", ["loc", [null, [2, 21], [2, 34]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [1, 0], [5, 31]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/content/builder/inspector/service', ['exports', 'cornerstone/services/inspector'], function (exports, _cornerstoneServicesInspector) {
  exports['default'] = _cornerstoneServicesInspector['default'].extend({});
});
// import Ember from 'ember';
define("cornerstone/content/builder/inspector/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/content/builder/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "outlet", ["loc", [null, [4, 2], [4, 12]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/content/builder/inspector/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "content/workspace-inspector", [], [], 0, null, ["loc", [null, [1, 0], [5, 32]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/content/builder/layout/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    service: _ember['default'].inject.service('content/builder')
  });
});
define("cornerstone/content/builder/layout/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/content/builder/layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "outlet", ["loc", [null, [5, 2], [5, 12]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 0
          }
        },
        "moduleName": "cornerstone/content/builder/layout/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "content/workspace-layout", [], ["content", ["subexpr", "@mut", [["get", "model.content", ["loc", [null, [2, 10], [2, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "managing", ["subexpr", "@mut", [["get", "service.managingLayoutFor", ["loc", [null, [3, 11], [3, 36]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [1, 0], [6, 29]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/content/builder/layout/templates/route', ['exports', 'ember', 'npm:file-saver'], function (exports, _ember, _npmFileSaver) {
  exports['default'] = _ember['default'].Route.extend({
    csAjax: _ember['default'].inject.service(),

    model: function model() {
      return _ember['default'].RSVP.hash({
        library: this.store.findAll('classic-template')
      });
    },

    insertSections: function insertSections(sections, after) {
      var _this = this;

      sections.reverse();
      var next = function next() {
        var section = sections.pop();
        _ember['default'].run.next(function () {
          _this.insertSection(section);
          if (sections.length > 0) {
            next();
          } else {
            after();
          }
        });
      };
      next();
    },

    insertSection: function insertSection(section) {
      var content = this.modelFor('content/builder').content;
      if (content) {
        section._region = 'content';
        content.get('root.addChild')(section);
      }
    },

    actions: {
      insertTemplate: function insertTemplate(id, format) {

        var record = this.store.peekRecord('classic-template', id);
        if (!record) {
          return;
        }

        this.send('insertSections', _ember['default'].copy(record.getWithDefault('elements', [])), format);
      },

      insertSections: function insertSections(sections, format) {
        var _this2 = this;

        if ('page' === format) {
          this.modelFor('content/builder').content.get('root').destroyChildren().then(function () {
            _this2.insertSections(sections, function () {
              return _this2.get('ui').notify('i18n.content.templates-page-updated', 'success');
            });
          });
        } else {
          this.insertSections(sections, function () {
            return _this2.get('ui').notify('i18n.content.templates-block-inserted', 'success');
          });
        }
      },

      uploadTemplate: function uploadTemplate(_ref, format) {
        var _this3 = this;

        var elements = _ref.elements;

        this.get('csAjax').request('element-migration::migrate_elements', { elements: elements }).then(function (response) {
          _this3.send('insertSections', response.elements, format);
        }, function (error) {
          console.warn('Error uploading template', error);
          return _this3.get('ui').notify('i18n.content.templates-error-upload', 'error');
        });
      },

      downloadTemplate: function downloadTemplate(title) {

        try {
          !!new Blob(); // eslint-disable-line no-unused-expressions
        } catch (e) {
          this.get('ui').notify('i18n.content.browser-no-can', 'error');
          return;
        }

        if (!title) {
          title = 'template';
        }

        title = _ember['default'].String.htmlSafe(title).string;

        var elements = this.modelFor('content/builder').content.get('root').cleanToElementTree()._modules;
        var jsonData = JSON.stringify({ title: title, elements: elements }, null, 2);

        _npmFileSaver['default'].saveAs(new Blob([jsonData], { type: 'text/plain;charset=utf-8' }), title.replace(/\s+/g, '_') + '.csl');
      },

      saveToLibrary: function saveToLibrary(title, type) {
        var _this4 = this;

        if (!title) {
          title = 'template';
        }

        title = _ember['default'].String.htmlSafe(title).string;

        if (!type) {
          type = 'block';
        }

        var elements = this.modelFor('content/builder').content.get('root').cleanToElementTree()._modules;

        this.store.createRecord('classic-template', { title: title, elements: elements, type: type }).save().then(function () {
          _this4.get('ui').notify('i18n.content.templates-saved', 'success');
        }, function () {
          _this4.get('ui').notify('i18n.content.templates-error-save', 'error');
        });
      },

      deleteUserTemplate: function deleteUserTemplate(id) {
        var _this5 = this;

        var record = this.store.peekRecord('classic-template', id);
        if (!record) {
          return;
        }

        record.destroyRecord().then(function () {
          _this5.get('ui').notify('i18n.content.templates-delete-success', 'success');
        }, function () {
          _this5.get('ui').notify('i18n.content.templates-error-delete', 'error');
        });
      }
    }
  });
});
define("cornerstone/content/builder/layout/templates/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 10,
              "column": 0
            }
          },
          "moduleName": "cornerstone/content/builder/layout/templates/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "outlet", ["loc", [null, [9, 2], [9, 12]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 11,
            "column": 0
          }
        },
        "moduleName": "cornerstone/content/builder/layout/templates/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "content/workspace-layout/panel-templates", [], ["templates", ["subexpr", "@mut", [["get", "model.library", ["loc", [null, [2, 12], [2, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "onInsertTemplate", ["subexpr", "route-action", ["insertTemplate"], [], ["loc", [null, [3, 19], [3, 50]]], 0, 0], "onUploadTemplate", ["subexpr", "route-action", ["uploadTemplate"], [], ["loc", [null, [4, 19], [4, 50]]], 0, 0], "onDownloadTemplate", ["subexpr", "route-action", ["downloadTemplate"], [], ["loc", [null, [5, 21], [5, 54]]], 0, 0], "onSaveToLibrary", ["subexpr", "route-action", ["saveToLibrary"], [], ["loc", [null, [6, 18], [6, 48]]], 0, 0], "onDeleteUserTemplate", ["subexpr", "route-action", ["deleteUserTemplate"], [], ["loc", [null, [7, 23], [7, 58]]], 0, 0]], 0, null, ["loc", [null, [1, 0], [10, 45]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/content/builder/route', ['exports', 'ember', 'cornerstone/mixins/keyboard-shortcuts/route'], function (exports, _ember, _cornerstoneMixinsKeyboardShortcutsRoute) {
  function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i]; return arr2; } else { return Array.from(arr); } }

  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsKeyboardShortcutsRoute['default'], {

    xfr: _ember['default'].inject.service(),
    inspectorService: _ember['default'].inject.service('content/builder/inspector'),
    elementService: _ember['default'].inject.service('element'),

    service: _ember['default'].inject.service('content/builder'),
    preview: _ember['default'].inject.service(),

    routeUI: {
      bar: ['preview-sizer', 'view-site', 'collapse', 'cheatsheet', 'save']
    },

    keyboardShortcuts: {
      'skeleton-mode': 'toggleSkeletonMode'
    },

    queryParams: {
      lang: {
        refreshModel: true
      }
    },

    model: function model(_ref) {
      var _this = this;

      var post_id = _ref.post_id;
      var lang = _ref.lang;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var config = _this.get('config').fetch('content-builder');
        var library = _this.store.findAll('element/definition');
        var content = new _ember['default'].RSVP.Promise(function (resolveRecord, rejectRecord) {

          _this.store.findRecord('content/content', post_id).then(function (content) {

            if (!_ember['default'].isEmpty(window.csAppData.wpmlLanguages) && window.csAppData.wpmlTranslateableTypes.includes(content.get('postType'))) {

              var activeLang = lang ? lang : window.csAppData.wpmlDefault;
              if (activeLang !== content.get('language.code')) {
                return resolveRecord({ reroute: 'translate', content: content });
              }
            }

            content.setupElements().then(resolveRecord);
          }, rejectRecord);
        }).then(function (content) {

          if ('translate' === content.reroute) {
            resolve(content);
          }

          _ember['default'].RSVP.hash({
            config: config,
            library: library,
            content: content,
            settingsSections: _this.get('csAjax').request('content-settings::settings_sections', { post_id: post_id })
          }).then(function (result) {
            return resolve(result);
          }, reject);
        }, reject);
      });
    },

    afterModel: function afterModel(model, transition) {

      this.set('ui.unsavedData', false);

      // If lang doesn't match current translation, reroute it.
      if ('translate' === model.reroute) {

        var queryLang = _ember['default'].get(transition, 'queryParams.lang');

        if (!queryLang) {
          this.transitionTo('content.builder', model.content.get('id'), { queryParams: { lang: model.content.get('language.code') } });
        } else {

          var availableTranslation = model.content.get('language.translations.' + queryLang);

          if (availableTranslation) {
            // Record does have translation
            this.transitionTo('content.builder', availableTranslation, { queryParams: { lang: queryLang } });
          }
        }

        return;
      }

      var settingData = _ember['default'].Object.create(model.settingsSections.data);
      model.content.set('settings', settingData);

      var responsiveTextItems = _ember['default'].A();
      model.content.getWithDefault('settings.responsive-text.elements', []).forEach(function (item) {
        responsiveTextItems.push(item);
      });
      model.content.set('responsiveTextItems', responsiveTextItems);

      var search = this.get('ui.search').getTarget('content-elements');

      search.setOptions({
        id: 'id',
        threshold: 0.15,
        distance: 50,
        tokenize: true,
        keys: [{ name: 'title', weight: 0.1 }]
      });

      search.updateIndex(model.library.map(function (entry) {
        return { id: entry.get('id'), title: entry.get('title') };
      }));
    },

    setupController: function setupController(controller, model) {

      this._super(controller, model);
      this.set('routeUI.viewSiteURL', model.content.get('permalink'));

      this.get('ui').setRouteUI(this);

      controller.set('noTranslation', 'translate' === model.reroute);
    },

    renderTemplate: function renderTemplate() {

      this.render('partials/bar/content', {
        outlet: 'bar',
        into: 'application'
      });

      this.render('partials/global/content', {
        outlet: 'global',
        into: 'application'
      });

      this._super(this, arguments); // use default template rendering
    },

    redirect: function redirect() {
      this.transitionTo('content.builder.layout');
    },

    actions: {

      willTransition: function willTransition(transition) {
        var _this2 = this;

        if (this.get('ui.unsavedData') && (!transition.targetName.includes('content.builder') || _ember['default'].getWithDefault(transition.queryParams, 'lang', null) !== this.controllerFor(this.routeName).getWithDefault('lang', null))) {

          transition.abort();

          this.get('ui').confirm({
            noSkip: true,
            message: this.get('i18n').t('app.unsaved-warning'),
            accept: function accept() {
              _this2.set('ui.unsavedData', false);
              transition.retry();
            },
            acceptClass: 'sad'
          });
        }
      },

      error: (function (_error) {
        function error(_x) {
          return _error.apply(this, arguments);
        }

        error.toString = function () {
          return _error.toString();
        };

        return error;
      })(function (error) {

        if (error) {
          console.log(error);
          return this.transitionTo('content');
        }

        // Return true to bubble this event to any parent route.
        return true;
      }),

      save: function save() {
        var _this3 = this;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.modelFor(this.routeName).content.updateElements().updateSettings().save().then(function (data) {
          _ember['default'].Logger.info('Saving Content', data);
          ui.endSaveProgress();
          ui.notify('Content saved!', 'success');
          _this3.set('ui.unsavedData', false);
          _this3.controllerFor(_this3.routeName).set('lastSave', new Date());
        })['catch'](function (reason) {
          _ember['default'].Logger.warn(reason);
          ui.notify('Content failed to save', 'error');
          ui.endSaveProgress();
        });
      },

      toggleSkeletonMode: function toggleSkeletonMode() {
        this.set('ui.skeletonModeActive', !this.get('ui.skeletonModeActive'));
        if (this.get('ui.skeletonModeActive')) {
          this.set('ui.showPreviewSizer', false);
        }
      },

      addSiblingElement: function addSiblingElement(sibling, data, after, options) {

        if (!data) {
          data = {};
        }

        if (!data._type) {
          data._type = sibling.get('definition.id');
        }

        var order = sibling.get('order');

        if (after) {
          order++;
        }

        this.send('addElement', sibling.get('parent'), data, order, options);
      },

      handleRemoteAction: function handleRemoteAction(remote) {
        this.send.apply(this, [remote.action].concat(_toConsumableArray(remote.params)));
      },

      remoteAddElement: function remoteAddElement(parentId, data, order, options) {
        var _this4 = this;

        this.send('addElement', this.get('store').peekRecord('element', parentId), data, order, options, function (record) {
          _this4.send('inspectElement', record);
        });
      },

      remoteMoveElement: function remoteMoveElement(elementId, order, parentId) {
        var element = this.get('store').peekRecord('element', elementId);
        var parent = parentId ? this.get('store').peekRecord('element', parentId) : null;
        this.send('moveElement', element, order, parent);
      },

      addElement: function addElement(parent, data, order, options, after) {
        var _this5 = this;

        var atts = _ember['default'].copy(data, true);
        atts._region = 'content';
        parent.get('addChild')(atts, order, options, null).then(function (record) {
          if (after) {
            after.call(_this5, record);
          }
        });
      },

      navigate: function navigate(route) {
        this.transitionTo(route);
      },

      navigateToElements: function navigateToElements() {
        this.transitionTo('content.builder.elements');
      },

      manageElementLayout: function manageElementLayout(element) {
        this.set('service.managingLayoutFor', element);
        this.transitionTo('content.builder.layout');
      },

      observerInspect: function observerInspect(_ref2) {
        var id = _ref2.id;

        this.send('inspectElement', this.get('store').peekRecord('element', id));
      },

      inspectElement: function inspectElement(element) {
        var _this6 = this;

        var after = function after() {
          _this6.get('router').transitionTo('content.builder.inspector');
          _this6.get('preview.xfr').message('preview:scroll-to-element', element.get('id'));
        };

        if (this.get('inspectorService').isInspecting(element)) {
          after();
        } else {
          this.get('inspectorService').inspect(element, after);
        }
      },

      duplicateElement: function duplicateElement(element) {
        if (element.duplicate) {
          element.duplicate();
        }
      },

      observeStart: function observeStart(element) {
        this.get('preview.xfr').message('preview:observe-start', element.get('id'));
      },

      observeEnd: function observeEnd(element) {
        this.get('preview.xfr').message('preview:observe-end', element.get('id'));
      },

      moveElement: function moveElement(element, order, parent) {
        if (parent && parent.get('id') !== element.get('parent.id')) {
          return element.get('changeParent')(parent, order);
        }
        element.get('updatePosition')(order);
      },

      deleteElement: function deleteElement(element) {
        this.get('ui').confirm({
          message: this.get('i18n').t('app.elements-confirm-delete', {
            title: element.get('definition.title')
          }),
          accept: function accept() {
            if (element && element.selfDestruct) {
              element.selfDestruct();
            }
          },
          acceptClass: 'sad'
        });
      },

      eraseElement: function eraseElement(element) {
        this.get('ui').confirm({
          message: this.get('i18n').t('app.elements-confirm-erase'),
          accept: function accept() {
            if (element && element.destroyChildren) {
              element.destroyChildren();
            }
          },
          acceptClass: 'sad'
        });
      },

      elementLibraryDragStart: function elementLibraryDragStart(type) {
        if (_ember['default'].get(this.modelFor(this.routeName), 'content.root.availableChildren.length') < 1) {
          var addFirstSection = _ember['default'].get(this.modelFor(this.routeName), 'content.root.addChild');
          if (addFirstSection) {
            addFirstSection({
              _type: 'section',
              _region: 'content'
            });
          }
        }
        this.get('ui.preview.xfr').message('preview:incoming-element', type);
        this.set('elementService.incomingType', type);
      },

      elementLibraryDragEnd: function elementLibraryDragEnd() {

        this.set('elementService.incomingType', null);
        this.get('ui.preview.xfr').message('preview:incoming-element', null);
      },

      selectLanguage: function selectLanguage(lang) {
        var model = this.modelFor(this.routeName);
        var controller = this.controllerFor(this.routeName);

        if (lang === controller.get('lang')) {
          return;
        }

        var source = model.content.get('language.translations.' + lang);

        if (_ember['default'].isNone(source)) {
          source = model.content.get('language.source');
        }

        if (_ember['default'].isNone(source)) {
          source = model.content.get('id');
        }

        this.transitionTo('content.builder', source, { queryParams: { lang: lang } });
      },

      createTranslation: function createTranslation(_ref3) {
        var _this7 = this;

        var source = _ref3.source;
        var lang = _ref3.lang;
        var copyFrom = _ref3.copyFrom;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.get('csAjax').request('translation::create', { source: source, lang: lang, copyFrom: copyFrom }).then(function (response) {
          ui.endSaveProgress();
          ui.notify('Translation created!', 'success');
          _this7.transitionTo('content.builder', response.id, { queryParams: { lang: lang } });
        }, function (fail) {
          console.warn('Error creating translation', error);
          ui.endSaveProgress();
          return ui.notify('Error creating translation', 'error');
        });
      }

    }

  });
});
define('cornerstone/content/builder/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({
    managingLayoutFor: null,
    selected: null
  });
});
define("cornerstone/content/builder/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 5,
                "column": 2
              }
            },
            "moduleName": "cornerstone/content/builder/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["content", "outlet", ["loc", [null, [4, 4], [4, 14]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 9,
                    "column": 6
                  },
                  "end": {
                    "line": 11,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/builder/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "debug/module-data", [], ["module", ["subexpr", "@mut", [["get", "inspectorService.inspecting", ["loc", [null, [10, 35], [10, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 8], [10, 64]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 8,
                  "column": 4
                },
                "end": {
                  "line": 47,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/content/builder/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(3);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
              dom.insertBoundary(fragment, 0);
              return morphs;
            },
            statements: [["block", "if", [["get", "ui.devToolsOpen", ["loc", [null, [9, 12], [9, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [9, 6], [11, 13]]]], ["inline", "content/skeleton-mode", [], ["content", ["subexpr", "@mut", [["get", "model.content", ["loc", [null, [22, 16], [22, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "onMouseEnter", ["subexpr", "route-action", ["observeStart"], [], ["loc", [null, [23, 21], [23, 50]]], 0, 0], "onMouseLeave", ["subexpr", "route-action", ["observeEnd"], [], ["loc", [null, [24, 21], [24, 48]]], 0, 0], "onMoveElement", ["subexpr", "route-action", ["moveElement"], [], ["loc", [null, [25, 22], [25, 50]]], 0, 0], "onManageElementLayout", ["subexpr", "route-action", ["manageElementLayout"], [], ["loc", [null, [26, 30], [26, 66]]], 0, 0], "onInspectElement", ["subexpr", "route-action", ["inspectElement"], [], ["loc", [null, [27, 25], [27, 56]]], 0, 0], "onDuplicateElement", ["subexpr", "route-action", ["duplicateElement"], [], ["loc", [null, [28, 27], [28, 60]]], 0, 0], "onDeleteElement", ["subexpr", "route-action", ["deleteElement"], [], ["loc", [null, [29, 24], [29, 54]]], 0, 0], "onEraseElement", ["subexpr", "route-action", ["eraseElement"], [], ["loc", [null, [30, 23], [30, 52]]], 0, 0]], ["loc", [null, [21, 6], [31, 8]]], 0, 0], ["inline", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [34, 12], [34, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [35, 14], [35, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "requestParams", ["subexpr", "@mut", [["get", "requestParams", ["loc", [null, [36, 22], [36, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "content", "builder", "preloader", "content", "allowPreviewSizer", true, "package", ["subexpr", "hash", [], ["customCSS", ["get", "model.content.settings.general.custom_css", ["loc", [null, [41, 20], [41, 61]]], 0, 0, 0, 0]], ["loc", [null, [40, 16], [42, 9]]], 0, 0], "shrink", ["subexpr", "@mut", [["get", "ui.skeletonModeActive", ["loc", [null, [43, 15], [43, 36]]], 0, 0, 0, 0]], [], [], 0, 0], "onObserverInspect", ["subexpr", "route-action", ["observerInspect"], [], ["loc", [null, [44, 26], [44, 58]]], 0, 0], "onRemoteAction", ["subexpr", "route-action", ["handleRemoteAction"], [], ["loc", [null, [45, 23], [45, 58]]], 0, 0]], ["loc", [null, [33, 6], [46, 8]]], 0, 0]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 48,
                    "column": 8
                  },
                  "end": {
                    "line": 55,
                    "column": 8
                  }
                },
                "moduleName": "cornerstone/content/builder/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("          ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/create-translation", [], ["targetLang", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [50, 23], [50, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "model", ["subexpr", "@mut", [["get", "model.content", ["loc", [null, [51, 18], [51, 31]]], 0, 0, 0, 0]], [], [], 0, 0], "onCreateTranslation", ["subexpr", "route-action", ["createTranslation"], [], ["loc", [null, [52, 32], [52, 66]]], 0, 0], "contextLabel", ["subexpr", "t", ["common.entity-content"], [], ["loc", [null, [53, 25], [53, 52]]], 0, 0]], ["loc", [null, [49, 10], [54, 12]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 47,
                  "column": 6
                },
                "end": {
                  "line": 56,
                  "column": 6
                }
              },
              "moduleName": "cornerstone/content/builder/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "common/welcome-message", [], ["title", "Translate"], 0, null, ["loc", [null, [48, 8], [55, 35]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 59,
                    "column": 6
                  },
                  "end": {
                    "line": 64,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/builder/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/language-picker", [], ["activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [61, 25], [61, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelectLanguage", ["subexpr", "route-action", ["selectLanguage"], [], ["loc", [null, [62, 27], [62, 58]]], 0, 0]], ["loc", [null, [60, 8], [63, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 58,
                  "column": 4
                },
                "end": {
                  "line": 65,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/content/builder/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["get", "model.content.translateable", ["loc", [null, [59, 12], [59, 39]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [59, 6], [64, 13]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 7,
                "column": 2
              },
              "end": {
                "line": 67,
                "column": 2
              }
            },
            "moduleName": "cornerstone/content/builder/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "unless", [["get", "noTranslation", ["loc", [null, [8, 14], [8, 27]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [8, 4], [56, 17]]]], ["block", "if", [["get", "ui.wpmlLanguages", ["loc", [null, [58, 10], [58, 26]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [58, 4], [65, 11]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      var child2 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 69,
                "column": 2
              },
              "end": {
                "line": 72,
                "column": 2
              }
            },
            "moduleName": "cornerstone/content/builder/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            return morphs;
          },
          statements: [["inline", "content/settings-modal", [], ["model", ["subexpr", "@mut", [["get", "model", ["loc", [null, [70, 35], [70, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "onSettingsChanged", ["subexpr", "action", ["refreshPreview"], [], ["loc", [null, [70, 59], [70, 84]]], 0, 0]], ["loc", [null, [70, 4], [70, 86]]], 0, 0], ["inline", "common/confirm-modal", [], ["screen", "content"], ["loc", [null, [71, 4], [71, 45]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 74,
              "column": 0
            }
          },
          "moduleName": "cornerstone/content/builder/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          morphs[2] = dom.createMorphAt(fragment, 5, 5, contextualElement);
          return morphs;
        },
        statements: [["block", "unless", [["get", "noTranslation", ["loc", [null, [3, 12], [3, 25]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 2], [5, 13]]]], ["block", "global/cs-canvas", [], [], 1, null, ["loc", [null, [7, 2], [67, 23]]]], ["block", "unless", [["get", "noTranslation", ["loc", [null, [69, 12], [69, 25]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [69, 2], [72, 13]]]]],
        locals: [],
        templates: [child0, child1, child2]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 75,
            "column": 0
          }
        },
        "moduleName": "cornerstone/content/builder/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "content-builder"], 0, null, ["loc", [null, [1, 0], [74, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/content/content/adapter', ['exports', 'cornerstone/adapters/cs-adapter'], function (exports, _cornerstoneAdaptersCsAdapter) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/content/content/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    title: (0, _emberDataAttr['default'])(),
    permalink: (0, _emberDataAttr['default'])(),
    language: (0, _emberDataAttr['default'])(),
    postType: (0, _emberDataAttr['default'])(),

    translateable: _ember['default'].computed('postType', function () {
      return window.csAppData.wpmlTranslateableTypes.includes(this.get('postType'));
    }),

    elements: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),

    settings: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),

    setupElements: function setupElements() {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve /*, reject*/) {
        // Remove existing elements for a fresh slate
        _this.store.unloadAll('element');

        var elements = _this.get('elements');

        // Ensure we're working with clean data before sending it to the store
        elements = JSON.parse(JSON.stringify(elements));

        var normalized = _this.store.normalize('element', {
          _id: 'root',
          _type: 'root',
          _region: 'content',
          _modules: elements.data
        });

        _this.store.push(normalized);
        _this.set('root', _this.store.peekRecord('element', 'root'));
        resolve(_this);
      });
    },

    updateElements: function updateElements() {

      function cleanChildren(child) {

        var record = child.attributes.atts;

        if (child.attributes.children) {
          record._modules = child.attributes.children.map(cleanChildren);
        }

        return record;
      }

      var serialized = cleanChildren(this.get('root').serialize({ includeChildren: true }).data);

      this.set('elements', null);
      this.set('elements', _ember['default'].isEmpty(serialized._modules) ? [] : serialized._modules);

      return this;
    },

    updateSettings: function updateSettings() {
      var items = [];
      this.getWithDefault('responsiveTextItems', []).forEach(function (item) {
        return items.push(item);
      });
      this.set('settings.responsive-text.elements', items);
      return this;
    }

  });
});
define('cornerstone/content/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({

    queryParams: ['lang'],
    lang: null,

    activeLanguage: _ember['default'].computed('lang', {
      get: function get(key) {
        var lang = this.get('lang');
        if (_ember['default'].isNone(lang)) {
          return window.csAppData.wpmlDefault;
        }
        return lang;
      },
      set: function set(key, value) {
        this.set('lang', value);
        if (!value) {
          return window.csAppData.wpmlDefault;
        }
        return value;
      }
    }),

    isSearching: _ember['default'].computed.alias('searchData.isSearching'),
    filteredSearchResults: _ember['default'].computed('searchData.results', 'activeLanguage', function () {

      var results = this.get('searchData.results');

      var isSearching = this.get('isSearching');
      var usingWpml = this.get('ui.wpmlLanguages').length > 0;
      var activeLang = this.get('activeLanguage');
      var filtered = this.model.entries.filter(function (item) {

        if (usingWpml && activeLang !== item.get('language.code') && !item.getWithDefault('language.fallback', []).includes(activeLang)) {
          return false;
        }

        return !isSearching || results.includes(item.get('id').toString());
      });

      return filtered;
    }),

    searchResults: _ember['default'].computed.sort('filteredSearchResults', function (a, b) {

      var cmp = a.getWithDefault('postTypeLabel', '').localeCompare(b.get('postTypeLabel'));

      if (0 === cmp) {
        return a.get('title').localeCompare(b.get('title'));
      }

      return cmp;
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('searchData', this.get('ui.search').getTarget('builder-index'));
    },

    resetSelected: _ember['default'].observer('activeLanguage', function () {

      var activeLanguage = this.get('activeLanguage');
      var current = this.get('selectedEntry');

      var found = this.get('filteredSearchResults').find(function (item) {
        return activeLanguage === item.get('language.code') && current && (current.get('id') === '' + item.get('language.source') || '' + current.get('language.source') === item.get('id'));
      });

      this.set('selectedEntry', found || null);
    }),

    previewURL: _ember['default'].computed('selectedEntry.permalink', function () {
      return this.getWithDefault('selectedEntry.permalink', false);
    }),

    previewState: _ember['default'].computed('lang', function () {
      return {
        lang: this.get('lang')
      };
    }),

    actions: {
      selectEntry: function selectEntry(entry) {

        if (!entry.get('id') || entry.get('id') === this.get('selectedEntry.id')) {
          this.set('selectedEntry', false);
          return;
        }

        this.set('selectedEntry', entry);
      }
    }

  });
});
define('cornerstone/content/entry/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    title: (0, _emberDataAttr['default'])(),
    postType: (0, _emberDataAttr['default'])(),
    postTypeLabel: (0, _emberDataAttr['default'])(),
    modified: (0, _emberDataAttr['default'])(),
    permalink: (0, _emberDataAttr['default'])(),
    language: (0, _emberDataAttr['default'])(),

    ui: _ember['default'].inject.service(),

    meta: _ember['default'].computed('postType', 'modified', function () {

      var meta = [];

      meta.push(this.get('postTypeLabel'));
      meta.push(this.get('modified'));

      if (this.get('ui.isRTL')) {
        meta.reverse();
      }

      return meta.join(' &bull; ');
    }),

    selected: _ember['default'].computed('ui.builderIndexSelectedEntry', function () {
      return this.get('ui.builderIndexSelectedEntry.id') === this.get('id');
    })

  });
});
define('cornerstone/content/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({

    // queryParams: {
    //   lang: {
    //     refreshModel: true
    //   }
    // },

    routeUI: {
      bar: ['preview-sizer', 'collapse', 'cheatsheet'],
      orientation: 'horizontal'
    },

    beforeModel: function beforeModel(transition) {

      var lang = _ember['default'].get(transition, 'queryParams.lang');

      if (lang && !Object.keys(window.csAppData.wpmlLanguages).includes(lang)) {
        this.transitionTo({ queryParams: { lang: window.csAppData.wpmlDefault } });
      }
    },

    model: function model() {
      return _ember['default'].RSVP.hash({
        config: this.get('config').fetch('content-builder'),
        entries: this.store.findAll('content/entry')
      });
    },

    afterModel: function afterModel(model) {

      var search = this.get('ui.search').getTarget('builder-index');

      search.setOptions({
        id: 'id',
        threshold: 0.15,
        distance: 50,
        tokenize: true,
        keys: [{ name: 'title', weight: 0.1 }]
      });

      search.updateIndex(model.entries.map(function (entry) {
        return { id: entry.get('id'), title: entry.get('title') };
      }));
    },

    setupController: function setupController(controller, model) {
      this._super(controller, model);
      this.get('ui').setRouteUI(this);
      this.set('ui.wpmlActiveLanguage', controller.get('lang'));
      controller.set('selectedEntry', null);
    }

  });
});
define("cornerstone/content/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 8,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/content/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("h2");
              dom.setAttribute(el1, "class", "cs-workspace-title");
              var el2 = dom.createTextNode("Content");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1, "class", "cs-workspace-search");
              var el2 = dom.createTextNode("\n        ");
              dom.appendChild(el1, el2);
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode("\n      ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(dom.childAt(fragment, [3]), 1, 1);
              return morphs;
            },
            statements: [["inline", "common/search-bar", [], ["target", "builder-index", "placeholder", ["subexpr", "t", ["content.search-by-title"], [], ["loc", [null, [6, 63], [6, 92]]], 0, 0], "autoFocus", true], ["loc", [null, [6, 8], [6, 109]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              var child0 = (function () {
                var child0 = (function () {
                  return {
                    meta: {
                      "revision": "Ember@2.8.0",
                      "loc": {
                        "source": null,
                        "start": {
                          "line": 17,
                          "column": 12
                        },
                        "end": {
                          "line": 17,
                          "column": 97
                        }
                      },
                      "moduleName": "cornerstone/content/template.hbs"
                    },
                    isEmpty: false,
                    arity: 0,
                    cachedFragment: null,
                    hasRendered: false,
                    buildFragment: function buildFragment(dom) {
                      var el0 = dom.createDocumentFragment();
                      var el1 = dom.createTextNode("Translate");
                      dom.appendChild(el0, el1);
                      return el0;
                    },
                    buildRenderNodes: function buildRenderNodes() {
                      return [];
                    },
                    statements: [],
                    locals: [],
                    templates: []
                  };
                })();
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 13,
                        "column": 10
                      },
                      "end": {
                        "line": 18,
                        "column": 10
                      }
                    },
                    "moduleName": "cornerstone/content/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("            ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["block", "link-to", ["content.builder", ["get", "entry.id", ["loc", [null, [17, 41], [17, 49]]], 0, 0, 0, 0], ["subexpr", "query-params", [], ["lang", ["get", "activeLanguage", ["loc", [null, [17, 69], [17, 83]]], 0, 0, 0, 0]], ["loc", [null, [17, 50], [17, 85]]], 0, 0]], [], 0, null, ["loc", [null, [17, 12], [17, 109]]]]],
                  locals: [],
                  templates: [child0]
                };
              })();
              var child1 = (function () {
                var child0 = (function () {
                  return {
                    meta: {
                      "revision": "Ember@2.8.0",
                      "loc": {
                        "source": null,
                        "start": {
                          "line": 19,
                          "column": 12
                        },
                        "end": {
                          "line": 19,
                          "column": 56
                        }
                      },
                      "moduleName": "cornerstone/content/template.hbs"
                    },
                    isEmpty: false,
                    arity: 0,
                    cachedFragment: null,
                    hasRendered: false,
                    buildFragment: function buildFragment(dom) {
                      var el0 = dom.createDocumentFragment();
                      var el1 = dom.createTextNode("Edit");
                      dom.appendChild(el0, el1);
                      return el0;
                    },
                    buildRenderNodes: function buildRenderNodes() {
                      return [];
                    },
                    statements: [],
                    locals: [],
                    templates: []
                  };
                })();
                return {
                  meta: {
                    "revision": "Ember@2.8.0",
                    "loc": {
                      "source": null,
                      "start": {
                        "line": 18,
                        "column": 10
                      },
                      "end": {
                        "line": 20,
                        "column": 10
                      }
                    },
                    "moduleName": "cornerstone/content/template.hbs"
                  },
                  isEmpty: false,
                  arity: 0,
                  cachedFragment: null,
                  hasRendered: false,
                  buildFragment: function buildFragment(dom) {
                    var el0 = dom.createDocumentFragment();
                    var el1 = dom.createTextNode("            ");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createComment("");
                    dom.appendChild(el0, el1);
                    var el1 = dom.createTextNode("\n");
                    dom.appendChild(el0, el1);
                    return el0;
                  },
                  buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                    var morphs = new Array(1);
                    morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                    return morphs;
                  },
                  statements: [["block", "link-to", ["content.builder", ["get", "entry.id", ["loc", [null, [19, 41], [19, 49]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [19, 12], [19, 68]]]]],
                  locals: [],
                  templates: [child0]
                };
              })();
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 12,
                      "column": 8
                    },
                    "end": {
                      "line": 21,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/content/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createComment("");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                  dom.insertBoundary(fragment, 0);
                  dom.insertBoundary(fragment, null);
                  return morphs;
                },
                statements: [["block", "if", [["subexpr", "and", [["subexpr", "contains", [["get", "activeLanguage", ["loc", [null, [14, 22], [14, 36]]], 0, 0, 0, 0], ["get", "entry.language.fallback", ["loc", [null, [14, 37], [14, 60]]], 0, 0, 0, 0]], [], ["loc", [null, [14, 12], [14, 62]]], 0, 0], ["subexpr", "contains", [["get", "entry.postType", ["loc", [null, [15, 22], [15, 36]]], 0, 0, 0, 0], ["get", "ui.wpmlTranslateableTypes", ["loc", [null, [15, 37], [15, 62]]], 0, 0, 0, 0]], [], ["loc", [null, [15, 12], [15, 64]]], 0, 0]], [], ["loc", [null, [13, 16], [16, 11]]], 0, 0]], [], 0, 1, ["loc", [null, [13, 10], [20, 17]]]]],
                locals: [],
                templates: [child0, child1]
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 11,
                    "column": 6
                  },
                  "end": {
                    "line": 22,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/template.hbs"
              },
              isEmpty: false,
              arity: 1,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "common/index-entry", [], ["action", ["subexpr", "action", ["selectEntry", ["get", "entry", ["loc", [null, [12, 59], [12, 64]]], 0, 0, 0, 0]], [], ["loc", [null, [12, 37], [12, 65]]], 0, 0], "title", ["subexpr", "@mut", [["get", "entry.title", ["loc", [null, [12, 72], [12, 83]]], 0, 0, 0, 0]], [], [], 0, 0], "meta", ["subexpr", "@mut", [["get", "entry.meta", ["loc", [null, [12, 89], [12, 99]]], 0, 0, 0, 0]], [], [], 0, 0], "selected", ["subexpr", "eq", [["get", "entry.id", ["loc", [null, [12, 113], [12, 121]]], 0, 0, 0, 0], ["get", "selectedEntry.id", ["loc", [null, [12, 122], [12, 138]]], 0, 0, 0, 0]], [], ["loc", [null, [12, 109], [12, 139]]], 0, 0]], 0, null, ["loc", [null, [12, 8], [21, 31]]]]],
              locals: ["entry"],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 23,
                      "column": 8
                    },
                    "end": {
                      "line": 25,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/content/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("p");
                  var el2 = dom.createComment("");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                  var morphs = new Array(1);
                  morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
                  return morphs;
                },
                statements: [["inline", "t", ["content.no-content-found-message"], [], ["loc", [null, [24, 13], [24, 53]]], 0, 0]],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 22,
                    "column": 6
                  },
                  "end": {
                    "line": 26,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "workspace/workspace-message", [], ["title", ["subexpr", "t", ["content.no-content-found"], [], ["loc", [null, [23, 45], [23, 75]]], 0, 0]], 0, null, ["loc", [null, [23, 8], [25, 40]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 9,
                  "column": 4
                },
                "end": {
                  "line": 30,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/content/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              return morphs;
            },
            statements: [["block", "each", [["get", "searchResults", ["loc", [null, [11, 14], [11, 27]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [11, 6], [26, 15]]]], ["content", "outlet", ["loc", [null, [28, 6], [28, 16]]], 0, 0, 0, 0]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 31,
                "column": 2
              }
            },
            "moduleName": "cornerstone/content/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [3, 4], [8, 35]]]], ["block", "workspace/workspace-content", [], ["name", "search-results", "linkedSearch", "builder-index"], 1, null, ["loc", [null, [9, 4], [30, 36]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 38,
                      "column": 8
                    },
                    "end": {
                      "line": 46,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/content/template.hbs"
                },
                isEmpty: true,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 34,
                    "column": 6
                  },
                  "end": {
                    "line": 47,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [39, 14], [39, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [40, 16], [40, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "preloader", "content"], 0, null, ["loc", [null, [38, 8], [46, 33]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 48,
                      "column": 8
                    },
                    "end": {
                      "line": 50,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/content/template.hbs"
                },
                isEmpty: false,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  var el1 = dom.createTextNode("          ");
                  dom.appendChild(el0, el1);
                  var el1 = dom.createElement("p");
                  var el2 = dom.createTextNode("This content has not been translated into the active language.");
                  dom.appendChild(el1, el2);
                  dom.appendChild(el0, el1);
                  var el1 = dom.createTextNode("\n");
                  dom.appendChild(el0, el1);
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 47,
                    "column": 6
                  },
                  "end": {
                    "line": 51,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "common/welcome-message", [], ["title", "Translate"], 0, null, ["loc", [null, [48, 8], [50, 35]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 33,
                  "column": 4
                },
                "end": {
                  "line": 52,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/content/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "unless", [["subexpr", "and", [["subexpr", "contains", [["get", "activeLanguage", ["loc", [null, [35, 18], [35, 32]]], 0, 0, 0, 0], ["get", "selectedEntry.language.fallback", ["loc", [null, [35, 33], [35, 64]]], 0, 0, 0, 0]], [], ["loc", [null, [35, 8], [35, 65]]], 0, 0], ["subexpr", "contains", [["get", "selectedEntry.postType", ["loc", [null, [36, 18], [36, 40]]], 0, 0, 0, 0], ["get", "ui.wpmlTranslateableTypes", ["loc", [null, [36, 41], [36, 66]]], 0, 0, 0, 0]], [], ["loc", [null, [36, 8], [36, 68]]], 0, 0]], [], ["loc", [null, [34, 16], [37, 7]]], 0, 0]], [], 0, 1, ["loc", [null, [34, 6], [51, 17]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 53,
                    "column": 6
                  },
                  "end": {
                    "line": 57,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                dom.setAttribute(el1, "class", "cs-welcome-icon cs-welcome-icon-cs-logo");
                var el2 = dom.createTextNode("\n          ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n        ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
                return morphs;
              },
              statements: [["inline", "cs-icon", [["get", "ui.contentLogoPath", ["loc", [null, [55, 20], [55, 38]]], 0, 0, 0, 0]], [], ["loc", [null, [55, 10], [55, 40]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 52,
                  "column": 4
                },
                "end": {
                  "line": 58,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/content/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "common/welcome-message", [], [], 0, null, ["loc", [null, [53, 6], [57, 33]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 61,
                    "column": 6
                  },
                  "end": {
                    "line": 68,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/content/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/language-picker", [], ["activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [65, 25], [65, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelectLanguage", ["subexpr", "route-action", ["selectLanguage"], [], ["loc", [null, [66, 27], [66, 58]]], 0, 0]], ["loc", [null, [64, 8], [67, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 60,
                  "column": 4
                },
                "end": {
                  "line": 69,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/content/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["subexpr", "or", [["subexpr", "not", [["get", "selectedEntry", ["loc", [null, [61, 21], [61, 34]]], 0, 0, 0, 0]], [], ["loc", [null, [61, 16], [61, 35]]], 0, 0], ["subexpr", "contains", [["get", "selectedEntry.postType", ["loc", [null, [62, 18], [62, 40]]], 0, 0, 0, 0], ["get", "ui.wpmlTranslateableTypes", ["loc", [null, [62, 41], [62, 66]]], 0, 0, 0, 0]], [], ["loc", [null, [62, 8], [62, 68]]], 0, 0]], [], ["loc", [null, [61, 12], [63, 7]]], 0, 0]], [], 0, null, ["loc", [null, [61, 6], [68, 13]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 32,
                "column": 2
              },
              "end": {
                "line": 71,
                "column": 2
              }
            },
            "moduleName": "cornerstone/content/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "if", [["get", "previewURL", ["loc", [null, [33, 10], [33, 20]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [33, 4], [58, 11]]]], ["block", "if", [["get", "ui.wpmlLanguages", ["loc", [null, [60, 10], [60, 26]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [60, 4], [69, 11]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 73,
              "column": 0
            }
          },
          "moduleName": "cornerstone/content/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "workspace/cs-workspace", [], [], 0, null, ["loc", [null, [2, 2], [31, 29]]]], ["block", "global/cs-canvas", [], [], 1, null, ["loc", [null, [32, 2], [71, 23]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 74,
            "column": 0
          }
        },
        "moduleName": "cornerstone/content/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "content"], 0, null, ["loc", [null, [1, 0], [73, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/continuity/service', ['exports', 'ember', 'cornerstone/mixins/preview-listener'], function (exports, _ember, _cornerstoneMixinsPreviewListener) {
  exports['default'] = _ember['default'].Service.extend(_cornerstoneMixinsPreviewListener['default'], {

    radio: _ember['default'].inject.service('global/radio'),
    store: _ember['default'].inject.service(),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('onDeck', {});
      this.listenTo('continuity:update', this.get('modelUpdate'));
      this.listenTo('continuity:find', this.get('modelFind'));
      this.listenTo('continuity:findall', this.get('modelFindAll'));
    },

    findAll: function findAll(type) {
      return this.get('xfr').request('continuity:findall', { type: type });
    },

    findRecord: function findRecord(type, id) {
      return this.get('xfr').request('continuity:find', { type: type, id: id });
    },

    update: function update(action, type, data) {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve) {

        _this.get('radio').trigger('continuity.update', type); // track unsaved data

        var request = _this.get('xfr').request('continuity:update', {
          type: type,
          action: action,
          model: JSON.stringify(data)
        });

        if (!request) {
          _ember['default'].Logger.warn('Adapter update failed');
          return resolve(undefined);
        }

        request.then(function () {
          return resolve(undefined);
        }, function (response) {
          _ember['default'].Logger.warn('Adapter update failed', response);
          resolve(undefined);
        });
      });
    },

    modelUpdate: function modelUpdate(updateData, resolve) {

      // INCOMING DATA FROM OTHER PLAYER
      var update = JSON.parse(updateData.model).data;
      this.set('onDeck._' + update.id, true);

      var data = [];
      data.push(this.get('store').normalize(_ember['default'].Inflector.inflector.singularize(update.type), update).data);
      this.get('store').push({ data: data });
      resolve(undefined);
    },

    modelFind: function modelFind(data, resolve) {

      var model = this.get('store').peekRecord(data.type, data.id);

      if (_ember['default'].isNone(model)) {
        resolve(null);
      }

      resolve(JSON.parse(JSON.stringify(this.serialize(model))));
    },

    serialize: function serialize(model) {

      var serialized = model.serialize({
        includeId: true,
        includeChildren: true
      });

      return this.get('store').normalize(_ember['default'].Inflector.inflector.singularize(serialized.data.type), serialized.data);
    },

    modelFindAll: function modelFindAll(data, resolve) {
      var _this2 = this;

      var records = this.get('store').peekAll(data.type);
      resolve(JSON.parse(JSON.stringify({
        data: records.map(function (record) {
          return _this2.serialize(record).data;
        })
      })));
    }

  });
});
define('cornerstone/controls/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({

    //
    // This service will provide the legacy font options until they are migrated
    // to the font manager
    //

    fontService: _ember['default'].inject.service('templates/fonts'),

    getOptionList: function getOptionList(list) {
      var choices = this.getChoiceList(list);
      var options = [];
      for (var key in choices) {
        if (choices.hasOwnProperty(key)) {
          options.push({
            value: key,
            label: choices[key]
          });
        }
      }
      return options;
    },

    getChoiceList: function getChoiceList(list) {
      if ('fonts' === list) {
        return this.get('fontChoices');
      }

      if ('font-weights' === list) {
        return this.get('normalizedFontWeights');
      }
      return [];
    },

    controlFilter: function controlFilter(method, value) {
      var _this = this;

      if ('font-weights' === method) {
        var _ret = (function () {
          var font = _this.get('normalizedFonts')[value];
          if (font) {
            return {
              v: _this.getOptionList('font-weights').filter(function (weight) {
                return font.weights.includes(weight.value);
              })
            };
          }
        })();

        if (typeof _ret === 'object') return _ret.v;
      }

      return undefined;
    },

    normalizedFonts: _ember['default'].computed(function () {
      var norm = {};
      var fonts = this.get('config.global.font_data');
      for (var font in fonts) {
        norm[fonts[font].family] = fonts[font];
      }
      return norm;
    }),

    fontChoices: _ember['default'].computed(function () {
      var fonts = this.get('normalizedFonts');
      var choices = {};

      for (var font in fonts) {
        choices[font] = this.get('i18n').t('app.controls-font-family-select', {
          family: font,
          source: _ember['default'].String.capitalize(fonts[font].source)
        }).toString();
      }
      return choices;
    }),

    normalizedFontWeights: _ember['default'].computed('fontService.allWeights', function () {
      var _this2 = this;

      var weights = {};

      this.get('fontService.allWeights').forEach(function (weight) {
        if (weight.includes('i')) {
          weight += 'talic';
        }
        weights[weight] = _this2.get('i18n').t('app.font-weight.' + weight).toString();
      });

      return weights;
    })

  });
});
define("cornerstone/data/googlefonts",["exports"],function(exports){exports["default"] = [{"family":"ABeeZee","stack":"\"ABeeZee\", sans-serif","weights":["400","400i"]},{"family":"Abel","stack":"\"Abel\", sans-serif","weights":["400"]},{"family":"Abhaya Libre","stack":"\"Abhaya Libre\", serif","weights":["400","500","600","700","800"]},{"family":"Abril Fatface","stack":"\"Abril Fatface\", display","weights":["400"]},{"family":"Aclonica","stack":"\"Aclonica\", sans-serif","weights":["400"]},{"family":"Acme","stack":"\"Acme\", sans-serif","weights":["400"]},{"family":"Actor","stack":"\"Actor\", sans-serif","weights":["400"]},{"family":"Adamina","stack":"\"Adamina\", serif","weights":["400"]},{"family":"Advent Pro","stack":"\"Advent Pro\", sans-serif","weights":["100","200","300","400","500","600","700"]},{"family":"Aguafina Script","stack":"\"Aguafina Script\", handwriting","weights":["400"]},{"family":"Akronim","stack":"\"Akronim\", display","weights":["400"]},{"family":"Aladin","stack":"\"Aladin\", handwriting","weights":["400"]},{"family":"Aldrich","stack":"\"Aldrich\", sans-serif","weights":["400"]},{"family":"Alef","stack":"\"Alef\", sans-serif","weights":["400","700"]},{"family":"Alegreya","stack":"\"Alegreya\", serif","weights":["400","400i","700","700i","900","900i"]},{"family":"Alegreya SC","stack":"\"Alegreya SC\", serif","weights":["400","400i","700","700i","900","900i"]},{"family":"Alegreya Sans","stack":"\"Alegreya Sans\", sans-serif","weights":["100","100i","300","300i","400","400i","500","500i","700","700i","800","800i","900","900i"]},{"family":"Alegreya Sans SC","stack":"\"Alegreya Sans SC\", sans-serif","weights":["100","100i","300","300i","400","400i","500","500i","700","700i","800","800i","900","900i"]},{"family":"Alex Brush","stack":"\"Alex Brush\", handwriting","weights":["400"]},{"family":"Alfa Slab One","stack":"\"Alfa Slab One\", display","weights":["400"]},{"family":"Alice","stack":"\"Alice\", serif","weights":["400"]},{"family":"Alike","stack":"\"Alike\", serif","weights":["400"]},{"family":"Alike Angular","stack":"\"Alike Angular\", serif","weights":["400"]},{"family":"Allan","stack":"\"Allan\", display","weights":["400","700"]},{"family":"Allerta","stack":"\"Allerta\", sans-serif","weights":["400"]},{"family":"Allerta Stencil","stack":"\"Allerta Stencil\", sans-serif","weights":["400"]},{"family":"Allura","stack":"\"Allura\", handwriting","weights":["400"]},{"family":"Almendra","stack":"\"Almendra\", serif","weights":["400","400i","700","700i"]},{"family":"Almendra Display","stack":"\"Almendra Display\", display","weights":["400"]},{"family":"Almendra SC","stack":"\"Almendra SC\", serif","weights":["400"]},{"family":"Amarante","stack":"\"Amarante\", display","weights":["400"]},{"family":"Amaranth","stack":"\"Amaranth\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Amatic SC","stack":"\"Amatic SC\", handwriting","weights":["400","700"]},{"family":"Amatica SC","stack":"\"Amatica SC\", display","weights":["400","700"]},{"family":"Amethysta","stack":"\"Amethysta\", serif","weights":["400"]},{"family":"Amiko","stack":"\"Amiko\", sans-serif","weights":["400","600","700"]},{"family":"Amiri","stack":"\"Amiri\", serif","weights":["400","400i","700","700i"]},{"family":"Amita","stack":"\"Amita\", handwriting","weights":["400","700"]},{"family":"Anaheim","stack":"\"Anaheim\", sans-serif","weights":["400"]},{"family":"Andada","stack":"\"Andada\", serif","weights":["400"]},{"family":"Andika","stack":"\"Andika\", sans-serif","weights":["400"]},{"family":"Angkor","stack":"\"Angkor\", display","weights":["400"]},{"family":"Annie Use Your Telescope","stack":"\"Annie Use Your Telescope\", handwriting","weights":["400"]},{"family":"Anonymous Pro","stack":"\"Anonymous Pro\", monospace","weights":["400","400i","700","700i"]},{"family":"Antic","stack":"\"Antic\", sans-serif","weights":["400"]},{"family":"Antic Didone","stack":"\"Antic Didone\", serif","weights":["400"]},{"family":"Antic Slab","stack":"\"Antic Slab\", serif","weights":["400"]},{"family":"Anton","stack":"\"Anton\", sans-serif","weights":["400"]},{"family":"Arapey","stack":"\"Arapey\", serif","weights":["400","400i"]},{"family":"Arbutus","stack":"\"Arbutus\", display","weights":["400"]},{"family":"Arbutus Slab","stack":"\"Arbutus Slab\", serif","weights":["400"]},{"family":"Architects Daughter","stack":"\"Architects Daughter\", handwriting","weights":["400"]},{"family":"Archivo Black","stack":"\"Archivo Black\", sans-serif","weights":["400"]},{"family":"Archivo Narrow","stack":"\"Archivo Narrow\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Aref Ruqaa","stack":"\"Aref Ruqaa\", serif","weights":["400","700"]},{"family":"Arima Madurai","stack":"\"Arima Madurai\", display","weights":["100","200","300","400","500","700","800","900"]},{"family":"Arimo","stack":"\"Arimo\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Arizonia","stack":"\"Arizonia\", handwriting","weights":["400"]},{"family":"Armata","stack":"\"Armata\", sans-serif","weights":["400"]},{"family":"Arsenal","stack":"\"Arsenal\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Artifika","stack":"\"Artifika\", serif","weights":["400"]},{"family":"Arvo","stack":"\"Arvo\", serif","weights":["400","400i","700","700i"]},{"family":"Arya","stack":"\"Arya\", sans-serif","weights":["400","700"]},{"family":"Asap","stack":"\"Asap\", sans-serif","weights":["400","400i","500","500i","700","700i"]},{"family":"Asar","stack":"\"Asar\", serif","weights":["400"]},{"family":"Asset","stack":"\"Asset\", display","weights":["400"]},{"family":"Assistant","stack":"\"Assistant\", sans-serif","weights":["200","300","400","600","700","800"]},{"family":"Astloch","stack":"\"Astloch\", display","weights":["400","700"]},{"family":"Asul","stack":"\"Asul\", sans-serif","weights":["400","700"]},{"family":"Athiti","stack":"\"Athiti\", sans-serif","weights":["200","300","400","500","600","700"]},{"family":"Atma","stack":"\"Atma\", display","weights":["300","400","500","600","700"]},{"family":"Atomic Age","stack":"\"Atomic Age\", display","weights":["400"]},{"family":"Aubrey","stack":"\"Aubrey\", display","weights":["400"]},{"family":"Audiowide","stack":"\"Audiowide\", display","weights":["400"]},{"family":"Autour One","stack":"\"Autour One\", display","weights":["400"]},{"family":"Average","stack":"\"Average\", serif","weights":["400"]},{"family":"Average Sans","stack":"\"Average Sans\", sans-serif","weights":["400"]},{"family":"Averia Gruesa Libre","stack":"\"Averia Gruesa Libre\", display","weights":["400"]},{"family":"Averia Libre","stack":"\"Averia Libre\", display","weights":["300","300i","400","400i","700","700i"]},{"family":"Averia Sans Libre","stack":"\"Averia Sans Libre\", display","weights":["300","300i","400","400i","700","700i"]},{"family":"Averia Serif Libre","stack":"\"Averia Serif Libre\", display","weights":["300","300i","400","400i","700","700i"]},{"family":"Bad Script","stack":"\"Bad Script\", handwriting","weights":["400"]},{"family":"Baloo","stack":"\"Baloo\", display","weights":["400"]},{"family":"Baloo Bhai","stack":"\"Baloo Bhai\", display","weights":["400"]},{"family":"Baloo Bhaina","stack":"\"Baloo Bhaina\", display","weights":["400"]},{"family":"Baloo Chettan","stack":"\"Baloo Chettan\", display","weights":["400"]},{"family":"Baloo Da","stack":"\"Baloo Da\", display","weights":["400"]},{"family":"Baloo Paaji","stack":"\"Baloo Paaji\", display","weights":["400"]},{"family":"Baloo Tamma","stack":"\"Baloo Tamma\", display","weights":["400"]},{"family":"Baloo Thambi","stack":"\"Baloo Thambi\", display","weights":["400"]},{"family":"Balthazar","stack":"\"Balthazar\", serif","weights":["400"]},{"family":"Bangers","stack":"\"Bangers\", display","weights":["400"]},{"family":"Basic","stack":"\"Basic\", sans-serif","weights":["400"]},{"family":"Battambang","stack":"\"Battambang\", display","weights":["400","700"]},{"family":"Baumans","stack":"\"Baumans\", display","weights":["400"]},{"family":"Bayon","stack":"\"Bayon\", display","weights":["400"]},{"family":"Belgrano","stack":"\"Belgrano\", serif","weights":["400"]},{"family":"Belleza","stack":"\"Belleza\", sans-serif","weights":["400"]},{"family":"BenchNine","stack":"\"BenchNine\", sans-serif","weights":["300","400","700"]},{"family":"Bentham","stack":"\"Bentham\", serif","weights":["400"]},{"family":"Berkshire Swash","stack":"\"Berkshire Swash\", handwriting","weights":["400"]},{"family":"Bevan","stack":"\"Bevan\", display","weights":["400"]},{"family":"Bigelow Rules","stack":"\"Bigelow Rules\", display","weights":["400"]},{"family":"Bigshot One","stack":"\"Bigshot One\", display","weights":["400"]},{"family":"Bilbo","stack":"\"Bilbo\", handwriting","weights":["400"]},{"family":"Bilbo Swash Caps","stack":"\"Bilbo Swash Caps\", handwriting","weights":["400"]},{"family":"BioRhyme","stack":"\"BioRhyme\", serif","weights":["200","300","400","700","800"]},{"family":"BioRhyme Expanded","stack":"\"BioRhyme Expanded\", serif","weights":["200","300","400","700","800"]},{"family":"Biryani","stack":"\"Biryani\", sans-serif","weights":["200","300","400","600","700","800","900"]},{"family":"Bitter","stack":"\"Bitter\", serif","weights":["400","400i","700"]},{"family":"Black Ops One","stack":"\"Black Ops One\", display","weights":["400"]},{"family":"Bokor","stack":"\"Bokor\", display","weights":["400"]},{"family":"Bonbon","stack":"\"Bonbon\", handwriting","weights":["400"]},{"family":"Boogaloo","stack":"\"Boogaloo\", display","weights":["400"]},{"family":"Bowlby One","stack":"\"Bowlby One\", display","weights":["400"]},{"family":"Bowlby One SC","stack":"\"Bowlby One SC\", display","weights":["400"]},{"family":"Brawler","stack":"\"Brawler\", serif","weights":["400"]},{"family":"Bree Serif","stack":"\"Bree Serif\", serif","weights":["400"]},{"family":"Bubblegum Sans","stack":"\"Bubblegum Sans\", display","weights":["400"]},{"family":"Bubbler One","stack":"\"Bubbler One\", sans-serif","weights":["400"]},{"family":"Buda","stack":"\"Buda\", display","weights":["300"]},{"family":"Buenard","stack":"\"Buenard\", serif","weights":["400","700"]},{"family":"Bungee","stack":"\"Bungee\", display","weights":["400"]},{"family":"Bungee Hairline","stack":"\"Bungee Hairline\", display","weights":["400"]},{"family":"Bungee Inline","stack":"\"Bungee Inline\", display","weights":["400"]},{"family":"Bungee Outline","stack":"\"Bungee Outline\", display","weights":["400"]},{"family":"Bungee Shade","stack":"\"Bungee Shade\", display","weights":["400"]},{"family":"Butcherman","stack":"\"Butcherman\", display","weights":["400"]},{"family":"Butterfly Kids","stack":"\"Butterfly Kids\", handwriting","weights":["400"]},{"family":"Cabin","stack":"\"Cabin\", sans-serif","weights":["400","400i","500","500i","600","600i","700","700i"]},{"family":"Cabin Condensed","stack":"\"Cabin Condensed\", sans-serif","weights":["400","500","600","700"]},{"family":"Cabin Sketch","stack":"\"Cabin Sketch\", display","weights":["400","700"]},{"family":"Caesar Dressing","stack":"\"Caesar Dressing\", display","weights":["400"]},{"family":"Cagliostro","stack":"\"Cagliostro\", sans-serif","weights":["400"]},{"family":"Cairo","stack":"\"Cairo\", sans-serif","weights":["200","300","400","600","700","900"]},{"family":"Calligraffitti","stack":"\"Calligraffitti\", handwriting","weights":["400"]},{"family":"Cambay","stack":"\"Cambay\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Cambo","stack":"\"Cambo\", serif","weights":["400"]},{"family":"Candal","stack":"\"Candal\", sans-serif","weights":["400"]},{"family":"Cantarell","stack":"\"Cantarell\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Cantata One","stack":"\"Cantata One\", serif","weights":["400"]},{"family":"Cantora One","stack":"\"Cantora One\", sans-serif","weights":["400"]},{"family":"Capriola","stack":"\"Capriola\", sans-serif","weights":["400"]},{"family":"Cardo","stack":"\"Cardo\", serif","weights":["400","400i","700"]},{"family":"Carme","stack":"\"Carme\", sans-serif","weights":["400"]},{"family":"Carrois Gothic","stack":"\"Carrois Gothic\", sans-serif","weights":["400"]},{"family":"Carrois Gothic SC","stack":"\"Carrois Gothic SC\", sans-serif","weights":["400"]},{"family":"Carter One","stack":"\"Carter One\", display","weights":["400"]},{"family":"Catamaran","stack":"\"Catamaran\", sans-serif","weights":["100","200","300","400","500","600","700","800","900"]},{"family":"Caudex","stack":"\"Caudex\", serif","weights":["400","400i","700","700i"]},{"family":"Caveat","stack":"\"Caveat\", handwriting","weights":["400","700"]},{"family":"Caveat Brush","stack":"\"Caveat Brush\", handwriting","weights":["400"]},{"family":"Cedarville Cursive","stack":"\"Cedarville Cursive\", handwriting","weights":["400"]},{"family":"Ceviche One","stack":"\"Ceviche One\", display","weights":["400"]},{"family":"Changa","stack":"\"Changa\", sans-serif","weights":["200","300","400","500","600","700","800"]},{"family":"Changa One","stack":"\"Changa One\", display","weights":["400","400i"]},{"family":"Chango","stack":"\"Chango\", display","weights":["400"]},{"family":"Chathura","stack":"\"Chathura\", sans-serif","weights":["100","300","400","700","800"]},{"family":"Chau Philomene One","stack":"\"Chau Philomene One\", sans-serif","weights":["400","400i"]},{"family":"Chela One","stack":"\"Chela One\", display","weights":["400"]},{"family":"Chelsea Market","stack":"\"Chelsea Market\", display","weights":["400"]},{"family":"Chenla","stack":"\"Chenla\", display","weights":["400"]},{"family":"Cherry Cream Soda","stack":"\"Cherry Cream Soda\", display","weights":["400"]},{"family":"Cherry Swash","stack":"\"Cherry Swash\", display","weights":["400","700"]},{"family":"Chewy","stack":"\"Chewy\", display","weights":["400"]},{"family":"Chicle","stack":"\"Chicle\", display","weights":["400"]},{"family":"Chivo","stack":"\"Chivo\", sans-serif","weights":["400","400i","900","900i"]},{"family":"Chonburi","stack":"\"Chonburi\", display","weights":["400"]},{"family":"Cinzel","stack":"\"Cinzel\", serif","weights":["400","700","900"]},{"family":"Cinzel Decorative","stack":"\"Cinzel Decorative\", display","weights":["400","700","900"]},{"family":"Clicker Script","stack":"\"Clicker Script\", handwriting","weights":["400"]},{"family":"Coda","stack":"\"Coda\", display","weights":["400","800"]},{"family":"Coda Caption","stack":"\"Coda Caption\", sans-serif","weights":["800"]},{"family":"Codystar","stack":"\"Codystar\", display","weights":["300","400"]},{"family":"Coiny","stack":"\"Coiny\", display","weights":["400"]},{"family":"Combo","stack":"\"Combo\", display","weights":["400"]},{"family":"Comfortaa","stack":"\"Comfortaa\", display","weights":["300","400","700"]},{"family":"Coming Soon","stack":"\"Coming Soon\", handwriting","weights":["400"]},{"family":"Concert One","stack":"\"Concert One\", display","weights":["400"]},{"family":"Condiment","stack":"\"Condiment\", handwriting","weights":["400"]},{"family":"Content","stack":"\"Content\", display","weights":["400","700"]},{"family":"Contrail One","stack":"\"Contrail One\", display","weights":["400"]},{"family":"Convergence","stack":"\"Convergence\", sans-serif","weights":["400"]},{"family":"Cookie","stack":"\"Cookie\", handwriting","weights":["400"]},{"family":"Copse","stack":"\"Copse\", serif","weights":["400"]},{"family":"Corben","stack":"\"Corben\", display","weights":["400","700"]},{"family":"Cormorant","stack":"\"Cormorant\", serif","weights":["300","300i","400","400i","500","500i","600","600i","700","700i"]},{"family":"Cormorant Garamond","stack":"\"Cormorant Garamond\", serif","weights":["300","300i","400","400i","500","500i","600","600i","700","700i"]},{"family":"Cormorant Infant","stack":"\"Cormorant Infant\", serif","weights":["300","300i","400","400i","500","500i","600","600i","700","700i"]},{"family":"Cormorant SC","stack":"\"Cormorant SC\", serif","weights":["300","400","500","600","700"]},{"family":"Cormorant Unicase","stack":"\"Cormorant Unicase\", serif","weights":["300","400","500","600","700"]},{"family":"Cormorant Upright","stack":"\"Cormorant Upright\", serif","weights":["300","400","500","600","700"]},{"family":"Courgette","stack":"\"Courgette\", handwriting","weights":["400"]},{"family":"Cousine","stack":"\"Cousine\", monospace","weights":["400","400i","700","700i"]},{"family":"Coustard","stack":"\"Coustard\", serif","weights":["400","900"]},{"family":"Covered By Your Grace","stack":"\"Covered By Your Grace\", handwriting","weights":["400"]},{"family":"Crafty Girls","stack":"\"Crafty Girls\", handwriting","weights":["400"]},{"family":"Creepster","stack":"\"Creepster\", display","weights":["400"]},{"family":"Crete Round","stack":"\"Crete Round\", serif","weights":["400","400i"]},{"family":"Crimson Text","stack":"\"Crimson Text\", serif","weights":["400","400i","600","600i","700","700i"]},{"family":"Croissant One","stack":"\"Croissant One\", display","weights":["400"]},{"family":"Crushed","stack":"\"Crushed\", display","weights":["400"]},{"family":"Cuprum","stack":"\"Cuprum\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Cutive","stack":"\"Cutive\", serif","weights":["400"]},{"family":"Cutive Mono","stack":"\"Cutive Mono\", monospace","weights":["400"]},{"family":"Damion","stack":"\"Damion\", handwriting","weights":["400"]},{"family":"Dancing Script","stack":"\"Dancing Script\", handwriting","weights":["400","700"]},{"family":"Dangrek","stack":"\"Dangrek\", display","weights":["400"]},{"family":"David Libre","stack":"\"David Libre\", serif","weights":["400","500","700"]},{"family":"Dawning of a New Day","stack":"\"Dawning of a New Day\", handwriting","weights":["400"]},{"family":"Days One","stack":"\"Days One\", sans-serif","weights":["400"]},{"family":"Dekko","stack":"\"Dekko\", handwriting","weights":["400"]},{"family":"Delius","stack":"\"Delius\", handwriting","weights":["400"]},{"family":"Delius Swash Caps","stack":"\"Delius Swash Caps\", handwriting","weights":["400"]},{"family":"Delius Unicase","stack":"\"Delius Unicase\", handwriting","weights":["400","700"]},{"family":"Della Respira","stack":"\"Della Respira\", serif","weights":["400"]},{"family":"Denk One","stack":"\"Denk One\", sans-serif","weights":["400"]},{"family":"Devonshire","stack":"\"Devonshire\", handwriting","weights":["400"]},{"family":"Dhurjati","stack":"\"Dhurjati\", sans-serif","weights":["400"]},{"family":"Didact Gothic","stack":"\"Didact Gothic\", sans-serif","weights":["400"]},{"family":"Diplomata","stack":"\"Diplomata\", display","weights":["400"]},{"family":"Diplomata SC","stack":"\"Diplomata SC\", display","weights":["400"]},{"family":"Domine","stack":"\"Domine\", serif","weights":["400","700"]},{"family":"Donegal One","stack":"\"Donegal One\", serif","weights":["400"]},{"family":"Doppio One","stack":"\"Doppio One\", sans-serif","weights":["400"]},{"family":"Dorsa","stack":"\"Dorsa\", sans-serif","weights":["400"]},{"family":"Dosis","stack":"\"Dosis\", sans-serif","weights":["200","300","400","500","600","700","800"]},{"family":"Dr Sugiyama","stack":"\"Dr Sugiyama\", handwriting","weights":["400"]},{"family":"Droid Sans","stack":"\"Droid Sans\", sans-serif","weights":["400","700"]},{"family":"Droid Sans Mono","stack":"\"Droid Sans Mono\", monospace","weights":["400"]},{"family":"Droid Serif","stack":"\"Droid Serif\", serif","weights":["400","400i","700","700i"]},{"family":"Duru Sans","stack":"\"Duru Sans\", sans-serif","weights":["400"]},{"family":"Dynalight","stack":"\"Dynalight\", display","weights":["400"]},{"family":"EB Garamond","stack":"\"EB Garamond\", serif","weights":["400"]},{"family":"Eagle Lake","stack":"\"Eagle Lake\", handwriting","weights":["400"]},{"family":"Eater","stack":"\"Eater\", display","weights":["400"]},{"family":"Economica","stack":"\"Economica\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Eczar","stack":"\"Eczar\", serif","weights":["400","500","600","700","800"]},{"family":"Ek Mukta","stack":"\"Ek Mukta\", sans-serif","weights":["200","300","400","500","600","700","800"]},{"family":"El Messiri","stack":"\"El Messiri\", sans-serif","weights":["400","500","600","700"]},{"family":"Electrolize","stack":"\"Electrolize\", sans-serif","weights":["400"]},{"family":"Elsie","stack":"\"Elsie\", display","weights":["400","900"]},{"family":"Elsie Swash Caps","stack":"\"Elsie Swash Caps\", display","weights":["400","900"]},{"family":"Emblema One","stack":"\"Emblema One\", display","weights":["400"]},{"family":"Emilys Candy","stack":"\"Emilys Candy\", display","weights":["400"]},{"family":"Engagement","stack":"\"Engagement\", handwriting","weights":["400"]},{"family":"Englebert","stack":"\"Englebert\", sans-serif","weights":["400"]},{"family":"Enriqueta","stack":"\"Enriqueta\", serif","weights":["400","700"]},{"family":"Erica One","stack":"\"Erica One\", display","weights":["400"]},{"family":"Esteban","stack":"\"Esteban\", serif","weights":["400"]},{"family":"Euphoria Script","stack":"\"Euphoria Script\", handwriting","weights":["400"]},{"family":"Ewert","stack":"\"Ewert\", display","weights":["400"]},{"family":"Exo","stack":"\"Exo\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Exo 2","stack":"\"Exo 2\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Expletus Sans","stack":"\"Expletus Sans\", display","weights":["400","400i","500","500i","600","600i","700","700i"]},{"family":"Fanwood Text","stack":"\"Fanwood Text\", serif","weights":["400","400i"]},{"family":"Farsan","stack":"\"Farsan\", display","weights":["400"]},{"family":"Fascinate","stack":"\"Fascinate\", display","weights":["400"]},{"family":"Fascinate Inline","stack":"\"Fascinate Inline\", display","weights":["400"]},{"family":"Faster One","stack":"\"Faster One\", display","weights":["400"]},{"family":"Fasthand","stack":"\"Fasthand\", serif","weights":["400"]},{"family":"Fauna One","stack":"\"Fauna One\", serif","weights":["400"]},{"family":"Federant","stack":"\"Federant\", display","weights":["400"]},{"family":"Federo","stack":"\"Federo\", sans-serif","weights":["400"]},{"family":"Felipa","stack":"\"Felipa\", handwriting","weights":["400"]},{"family":"Fenix","stack":"\"Fenix\", serif","weights":["400"]},{"family":"Finger Paint","stack":"\"Finger Paint\", display","weights":["400"]},{"family":"Fira Mono","stack":"\"Fira Mono\", monospace","weights":["400","500","700"]},{"family":"Fira Sans","stack":"\"Fira Sans\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Fira Sans Condensed","stack":"\"Fira Sans Condensed\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Fira Sans Extra Condensed","stack":"\"Fira Sans Extra Condensed\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Fjalla One","stack":"\"Fjalla One\", sans-serif","weights":["400"]},{"family":"Fjord One","stack":"\"Fjord One\", serif","weights":["400"]},{"family":"Flamenco","stack":"\"Flamenco\", display","weights":["300","400"]},{"family":"Flavors","stack":"\"Flavors\", display","weights":["400"]},{"family":"Fondamento","stack":"\"Fondamento\", handwriting","weights":["400","400i"]},{"family":"Fontdiner Swanky","stack":"\"Fontdiner Swanky\", display","weights":["400"]},{"family":"Forum","stack":"\"Forum\", display","weights":["400"]},{"family":"Francois One","stack":"\"Francois One\", sans-serif","weights":["400"]},{"family":"Frank Ruhl Libre","stack":"\"Frank Ruhl Libre\", sans-serif","weights":["300","400","500","700","900"]},{"family":"Freckle Face","stack":"\"Freckle Face\", display","weights":["400"]},{"family":"Fredericka the Great","stack":"\"Fredericka the Great\", display","weights":["400"]},{"family":"Fredoka One","stack":"\"Fredoka One\", display","weights":["400"]},{"family":"Freehand","stack":"\"Freehand\", display","weights":["400"]},{"family":"Fresca","stack":"\"Fresca\", sans-serif","weights":["400"]},{"family":"Frijole","stack":"\"Frijole\", display","weights":["400"]},{"family":"Fruktur","stack":"\"Fruktur\", display","weights":["400"]},{"family":"Fugaz One","stack":"\"Fugaz One\", display","weights":["400"]},{"family":"GFS Didot","stack":"\"GFS Didot\", serif","weights":["400"]},{"family":"GFS Neohellenic","stack":"\"GFS Neohellenic\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Gabriela","stack":"\"Gabriela\", serif","weights":["400"]},{"family":"Gafata","stack":"\"Gafata\", sans-serif","weights":["400"]},{"family":"Galada","stack":"\"Galada\", display","weights":["400"]},{"family":"Galdeano","stack":"\"Galdeano\", sans-serif","weights":["400"]},{"family":"Galindo","stack":"\"Galindo\", display","weights":["400"]},{"family":"Gentium Basic","stack":"\"Gentium Basic\", serif","weights":["400","400i","700","700i"]},{"family":"Gentium Book Basic","stack":"\"Gentium Book Basic\", serif","weights":["400","400i","700","700i"]},{"family":"Geo","stack":"\"Geo\", sans-serif","weights":["400","400i"]},{"family":"Geostar","stack":"\"Geostar\", display","weights":["400"]},{"family":"Geostar Fill","stack":"\"Geostar Fill\", display","weights":["400"]},{"family":"Germania One","stack":"\"Germania One\", display","weights":["400"]},{"family":"Gidugu","stack":"\"Gidugu\", sans-serif","weights":["400"]},{"family":"Gilda Display","stack":"\"Gilda Display\", serif","weights":["400"]},{"family":"Give You Glory","stack":"\"Give You Glory\", handwriting","weights":["400"]},{"family":"Glass Antiqua","stack":"\"Glass Antiqua\", display","weights":["400"]},{"family":"Glegoo","stack":"\"Glegoo\", serif","weights":["400","700"]},{"family":"Gloria Hallelujah","stack":"\"Gloria Hallelujah\", handwriting","weights":["400"]},{"family":"Goblin One","stack":"\"Goblin One\", display","weights":["400"]},{"family":"Gochi Hand","stack":"\"Gochi Hand\", handwriting","weights":["400"]},{"family":"Gorditas","stack":"\"Gorditas\", display","weights":["400","700"]},{"family":"Goudy Bookletter 1911","stack":"\"Goudy Bookletter 1911\", serif","weights":["400"]},{"family":"Graduate","stack":"\"Graduate\", display","weights":["400"]},{"family":"Grand Hotel","stack":"\"Grand Hotel\", handwriting","weights":["400"]},{"family":"Gravitas One","stack":"\"Gravitas One\", display","weights":["400"]},{"family":"Great Vibes","stack":"\"Great Vibes\", handwriting","weights":["400"]},{"family":"Griffy","stack":"\"Griffy\", display","weights":["400"]},{"family":"Gruppo","stack":"\"Gruppo\", display","weights":["400"]},{"family":"Gudea","stack":"\"Gudea\", sans-serif","weights":["400","400i","700"]},{"family":"Gurajada","stack":"\"Gurajada\", serif","weights":["400"]},{"family":"Habibi","stack":"\"Habibi\", serif","weights":["400"]},{"family":"Halant","stack":"\"Halant\", serif","weights":["300","400","500","600","700"]},{"family":"Hammersmith One","stack":"\"Hammersmith One\", sans-serif","weights":["400"]},{"family":"Hanalei","stack":"\"Hanalei\", display","weights":["400"]},{"family":"Hanalei Fill","stack":"\"Hanalei Fill\", display","weights":["400"]},{"family":"Handlee","stack":"\"Handlee\", handwriting","weights":["400"]},{"family":"Hanuman","stack":"\"Hanuman\", serif","weights":["400","700"]},{"family":"Happy Monkey","stack":"\"Happy Monkey\", display","weights":["400"]},{"family":"Harmattan","stack":"\"Harmattan\", sans-serif","weights":["400"]},{"family":"Headland One","stack":"\"Headland One\", serif","weights":["400"]},{"family":"Heebo","stack":"\"Heebo\", sans-serif","weights":["100","300","400","500","700","800","900"]},{"family":"Henny Penny","stack":"\"Henny Penny\", display","weights":["400"]},{"family":"Herr Von Muellerhoff","stack":"\"Herr Von Muellerhoff\", handwriting","weights":["400"]},{"family":"Hind","stack":"\"Hind\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Hind Guntur","stack":"\"Hind Guntur\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Hind Madurai","stack":"\"Hind Madurai\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Hind Siliguri","stack":"\"Hind Siliguri\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Hind Vadodara","stack":"\"Hind Vadodara\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Holtwood One SC","stack":"\"Holtwood One SC\", serif","weights":["400"]},{"family":"Homemade Apple","stack":"\"Homemade Apple\", handwriting","weights":["400"]},{"family":"Homenaje","stack":"\"Homenaje\", sans-serif","weights":["400"]},{"family":"IM Fell DW Pica","stack":"\"IM Fell DW Pica\", serif","weights":["400","400i"]},{"family":"IM Fell DW Pica SC","stack":"\"IM Fell DW Pica SC\", serif","weights":["400"]},{"family":"IM Fell Double Pica","stack":"\"IM Fell Double Pica\", serif","weights":["400","400i"]},{"family":"IM Fell Double Pica SC","stack":"\"IM Fell Double Pica SC\", serif","weights":["400"]},{"family":"IM Fell English","stack":"\"IM Fell English\", serif","weights":["400","400i"]},{"family":"IM Fell English SC","stack":"\"IM Fell English SC\", serif","weights":["400"]},{"family":"IM Fell French Canon","stack":"\"IM Fell French Canon\", serif","weights":["400","400i"]},{"family":"IM Fell French Canon SC","stack":"\"IM Fell French Canon SC\", serif","weights":["400"]},{"family":"IM Fell Great Primer","stack":"\"IM Fell Great Primer\", serif","weights":["400","400i"]},{"family":"IM Fell Great Primer SC","stack":"\"IM Fell Great Primer SC\", serif","weights":["400"]},{"family":"Iceberg","stack":"\"Iceberg\", display","weights":["400"]},{"family":"Iceland","stack":"\"Iceland\", display","weights":["400"]},{"family":"Imprima","stack":"\"Imprima\", sans-serif","weights":["400"]},{"family":"Inconsolata","stack":"\"Inconsolata\", monospace","weights":["400","700"]},{"family":"Inder","stack":"\"Inder\", sans-serif","weights":["400"]},{"family":"Indie Flower","stack":"\"Indie Flower\", handwriting","weights":["400"]},{"family":"Inika","stack":"\"Inika\", serif","weights":["400","700"]},{"family":"Inknut Antiqua","stack":"\"Inknut Antiqua\", serif","weights":["300","400","500","600","700","800","900"]},{"family":"Irish Grover","stack":"\"Irish Grover\", display","weights":["400"]},{"family":"Istok Web","stack":"\"Istok Web\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Italiana","stack":"\"Italiana\", serif","weights":["400"]},{"family":"Italianno","stack":"\"Italianno\", handwriting","weights":["400"]},{"family":"Itim","stack":"\"Itim\", handwriting","weights":["400"]},{"family":"Jacques Francois","stack":"\"Jacques Francois\", serif","weights":["400"]},{"family":"Jacques Francois Shadow","stack":"\"Jacques Francois Shadow\", display","weights":["400"]},{"family":"Jaldi","stack":"\"Jaldi\", sans-serif","weights":["400","700"]},{"family":"Jim Nightshade","stack":"\"Jim Nightshade\", handwriting","weights":["400"]},{"family":"Jockey One","stack":"\"Jockey One\", sans-serif","weights":["400"]},{"family":"Jolly Lodger","stack":"\"Jolly Lodger\", display","weights":["400"]},{"family":"Jomhuria","stack":"\"Jomhuria\", display","weights":["400"]},{"family":"Josefin Sans","stack":"\"Josefin Sans\", sans-serif","weights":["100","100i","300","300i","400","400i","600","600i","700","700i"]},{"family":"Josefin Slab","stack":"\"Josefin Slab\", serif","weights":["100","100i","300","300i","400","400i","600","600i","700","700i"]},{"family":"Joti One","stack":"\"Joti One\", display","weights":["400"]},{"family":"Judson","stack":"\"Judson\", serif","weights":["400","400i","700"]},{"family":"Julee","stack":"\"Julee\", handwriting","weights":["400"]},{"family":"Julius Sans One","stack":"\"Julius Sans One\", sans-serif","weights":["400"]},{"family":"Junge","stack":"\"Junge\", serif","weights":["400"]},{"family":"Jura","stack":"\"Jura\", sans-serif","weights":["300","400","500","600"]},{"family":"Just Another Hand","stack":"\"Just Another Hand\", handwriting","weights":["400"]},{"family":"Just Me Again Down Here","stack":"\"Just Me Again Down Here\", handwriting","weights":["400"]},{"family":"Kadwa","stack":"\"Kadwa\", serif","weights":["400","700"]},{"family":"Kalam","stack":"\"Kalam\", handwriting","weights":["300","400","700"]},{"family":"Kameron","stack":"\"Kameron\", serif","weights":["400","700"]},{"family":"Kanit","stack":"\"Kanit\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Kantumruy","stack":"\"Kantumruy\", sans-serif","weights":["300","400","700"]},{"family":"Karla","stack":"\"Karla\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Karma","stack":"\"Karma\", serif","weights":["300","400","500","600","700"]},{"family":"Katibeh","stack":"\"Katibeh\", display","weights":["400"]},{"family":"Kaushan Script","stack":"\"Kaushan Script\", handwriting","weights":["400"]},{"family":"Kavivanar","stack":"\"Kavivanar\", handwriting","weights":["400"]},{"family":"Kavoon","stack":"\"Kavoon\", display","weights":["400"]},{"family":"Kdam Thmor","stack":"\"Kdam Thmor\", display","weights":["400"]},{"family":"Keania One","stack":"\"Keania One\", display","weights":["400"]},{"family":"Kelly Slab","stack":"\"Kelly Slab\", display","weights":["400"]},{"family":"Kenia","stack":"\"Kenia\", display","weights":["400"]},{"family":"Khand","stack":"\"Khand\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Khmer","stack":"\"Khmer\", display","weights":["400"]},{"family":"Khula","stack":"\"Khula\", sans-serif","weights":["300","400","600","700","800"]},{"family":"Kite One","stack":"\"Kite One\", sans-serif","weights":["400"]},{"family":"Knewave","stack":"\"Knewave\", display","weights":["400"]},{"family":"Kotta One","stack":"\"Kotta One\", serif","weights":["400"]},{"family":"Koulen","stack":"\"Koulen\", display","weights":["400"]},{"family":"Kranky","stack":"\"Kranky\", display","weights":["400"]},{"family":"Kreon","stack":"\"Kreon\", serif","weights":["300","400","700"]},{"family":"Kristi","stack":"\"Kristi\", handwriting","weights":["400"]},{"family":"Krona One","stack":"\"Krona One\", sans-serif","weights":["400"]},{"family":"Kumar One","stack":"\"Kumar One\", display","weights":["400"]},{"family":"Kumar One Outline","stack":"\"Kumar One Outline\", display","weights":["400"]},{"family":"Kurale","stack":"\"Kurale\", serif","weights":["400"]},{"family":"La Belle Aurore","stack":"\"La Belle Aurore\", handwriting","weights":["400"]},{"family":"Laila","stack":"\"Laila\", serif","weights":["300","400","500","600","700"]},{"family":"Lakki Reddy","stack":"\"Lakki Reddy\", handwriting","weights":["400"]},{"family":"Lalezar","stack":"\"Lalezar\", display","weights":["400"]},{"family":"Lancelot","stack":"\"Lancelot\", display","weights":["400"]},{"family":"Lateef","stack":"\"Lateef\", handwriting","weights":["400"]},{"family":"Lato","stack":"\"Lato\", sans-serif","weights":["100","100i","300","300i","400","400i","700","700i","900","900i"]},{"family":"League Script","stack":"\"League Script\", handwriting","weights":["400"]},{"family":"Leckerli One","stack":"\"Leckerli One\", handwriting","weights":["400"]},{"family":"Ledger","stack":"\"Ledger\", serif","weights":["400"]},{"family":"Lekton","stack":"\"Lekton\", sans-serif","weights":["400","400i","700"]},{"family":"Lemon","stack":"\"Lemon\", display","weights":["400"]},{"family":"Lemonada","stack":"\"Lemonada\", display","weights":["300","400","600","700"]},{"family":"Libre Baskerville","stack":"\"Libre Baskerville\", serif","weights":["400","400i","700"]},{"family":"Libre Franklin","stack":"\"Libre Franklin\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Life Savers","stack":"\"Life Savers\", display","weights":["400","700"]},{"family":"Lilita One","stack":"\"Lilita One\", display","weights":["400"]},{"family":"Lily Script One","stack":"\"Lily Script One\", display","weights":["400"]},{"family":"Limelight","stack":"\"Limelight\", display","weights":["400"]},{"family":"Linden Hill","stack":"\"Linden Hill\", serif","weights":["400","400i"]},{"family":"Lobster","stack":"\"Lobster\", display","weights":["400"]},{"family":"Lobster Two","stack":"\"Lobster Two\", display","weights":["400","400i","700","700i"]},{"family":"Londrina Outline","stack":"\"Londrina Outline\", display","weights":["400"]},{"family":"Londrina Shadow","stack":"\"Londrina Shadow\", display","weights":["400"]},{"family":"Londrina Sketch","stack":"\"Londrina Sketch\", display","weights":["400"]},{"family":"Londrina Solid","stack":"\"Londrina Solid\", display","weights":["400"]},{"family":"Lora","stack":"\"Lora\", serif","weights":["400","400i","700","700i"]},{"family":"Love Ya Like A Sister","stack":"\"Love Ya Like A Sister\", display","weights":["400"]},{"family":"Loved by the King","stack":"\"Loved by the King\", handwriting","weights":["400"]},{"family":"Lovers Quarrel","stack":"\"Lovers Quarrel\", handwriting","weights":["400"]},{"family":"Luckiest Guy","stack":"\"Luckiest Guy\", display","weights":["400"]},{"family":"Lusitana","stack":"\"Lusitana\", serif","weights":["400","700"]},{"family":"Lustria","stack":"\"Lustria\", serif","weights":["400"]},{"family":"Macondo","stack":"\"Macondo\", display","weights":["400"]},{"family":"Macondo Swash Caps","stack":"\"Macondo Swash Caps\", display","weights":["400"]},{"family":"Mada","stack":"\"Mada\", sans-serif","weights":["300","400","500","900"]},{"family":"Magra","stack":"\"Magra\", sans-serif","weights":["400","700"]},{"family":"Maiden Orange","stack":"\"Maiden Orange\", display","weights":["400"]},{"family":"Maitree","stack":"\"Maitree\", serif","weights":["200","300","400","500","600","700"]},{"family":"Mako","stack":"\"Mako\", sans-serif","weights":["400"]},{"family":"Mallanna","stack":"\"Mallanna\", sans-serif","weights":["400"]},{"family":"Mandali","stack":"\"Mandali\", sans-serif","weights":["400"]},{"family":"Marcellus","stack":"\"Marcellus\", serif","weights":["400"]},{"family":"Marcellus SC","stack":"\"Marcellus SC\", serif","weights":["400"]},{"family":"Marck Script","stack":"\"Marck Script\", handwriting","weights":["400"]},{"family":"Margarine","stack":"\"Margarine\", display","weights":["400"]},{"family":"Marko One","stack":"\"Marko One\", serif","weights":["400"]},{"family":"Marmelad","stack":"\"Marmelad\", sans-serif","weights":["400"]},{"family":"Martel","stack":"\"Martel\", serif","weights":["200","300","400","600","700","800","900"]},{"family":"Martel Sans","stack":"\"Martel Sans\", sans-serif","weights":["200","300","400","600","700","800","900"]},{"family":"Marvel","stack":"\"Marvel\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Mate","stack":"\"Mate\", serif","weights":["400","400i"]},{"family":"Mate SC","stack":"\"Mate SC\", serif","weights":["400"]},{"family":"Maven Pro","stack":"\"Maven Pro\", sans-serif","weights":["400","500","700","900"]},{"family":"McLaren","stack":"\"McLaren\", display","weights":["400"]},{"family":"Meddon","stack":"\"Meddon\", handwriting","weights":["400"]},{"family":"MedievalSharp","stack":"\"MedievalSharp\", display","weights":["400"]},{"family":"Medula One","stack":"\"Medula One\", display","weights":["400"]},{"family":"Meera Inimai","stack":"\"Meera Inimai\", sans-serif","weights":["400"]},{"family":"Megrim","stack":"\"Megrim\", display","weights":["400"]},{"family":"Meie Script","stack":"\"Meie Script\", handwriting","weights":["400"]},{"family":"Merienda","stack":"\"Merienda\", handwriting","weights":["400","700"]},{"family":"Merienda One","stack":"\"Merienda One\", handwriting","weights":["400"]},{"family":"Merriweather","stack":"\"Merriweather\", serif","weights":["300","300i","400","400i","700","700i","900","900i"]},{"family":"Merriweather Sans","stack":"\"Merriweather Sans\", sans-serif","weights":["300","300i","400","400i","700","700i","800","800i"]},{"family":"Metal","stack":"\"Metal\", display","weights":["400"]},{"family":"Metal Mania","stack":"\"Metal Mania\", display","weights":["400"]},{"family":"Metamorphous","stack":"\"Metamorphous\", display","weights":["400"]},{"family":"Metrophobic","stack":"\"Metrophobic\", sans-serif","weights":["400"]},{"family":"Michroma","stack":"\"Michroma\", sans-serif","weights":["400"]},{"family":"Milonga","stack":"\"Milonga\", display","weights":["400"]},{"family":"Miltonian","stack":"\"Miltonian\", display","weights":["400"]},{"family":"Miltonian Tattoo","stack":"\"Miltonian Tattoo\", display","weights":["400"]},{"family":"Miniver","stack":"\"Miniver\", display","weights":["400"]},{"family":"Miriam Libre","stack":"\"Miriam Libre\", sans-serif","weights":["400","700"]},{"family":"Mirza","stack":"\"Mirza\", display","weights":["400","500","600","700"]},{"family":"Miss Fajardose","stack":"\"Miss Fajardose\", handwriting","weights":["400"]},{"family":"Mitr","stack":"\"Mitr\", sans-serif","weights":["200","300","400","500","600","700"]},{"family":"Modak","stack":"\"Modak\", display","weights":["400"]},{"family":"Modern Antiqua","stack":"\"Modern Antiqua\", display","weights":["400"]},{"family":"Mogra","stack":"\"Mogra\", display","weights":["400"]},{"family":"Molengo","stack":"\"Molengo\", sans-serif","weights":["400"]},{"family":"Molle","stack":"\"Molle\", handwriting","weights":["400i"]},{"family":"Monda","stack":"\"Monda\", sans-serif","weights":["400","700"]},{"family":"Monofett","stack":"\"Monofett\", display","weights":["400"]},{"family":"Monoton","stack":"\"Monoton\", display","weights":["400"]},{"family":"Monsieur La Doulaise","stack":"\"Monsieur La Doulaise\", handwriting","weights":["400"]},{"family":"Montaga","stack":"\"Montaga\", serif","weights":["400"]},{"family":"Montez","stack":"\"Montez\", handwriting","weights":["400"]},{"family":"Montserrat","stack":"\"Montserrat\", sans-serif","weights":["400","700"]},{"family":"Montserrat Alternates","stack":"\"Montserrat Alternates\", sans-serif","weights":["400","700"]},{"family":"Montserrat Subrayada","stack":"\"Montserrat Subrayada\", sans-serif","weights":["400","700"]},{"family":"Moul","stack":"\"Moul\", display","weights":["400"]},{"family":"Moulpali","stack":"\"Moulpali\", display","weights":["400"]},{"family":"Mountains of Christmas","stack":"\"Mountains of Christmas\", display","weights":["400","700"]},{"family":"Mouse Memoirs","stack":"\"Mouse Memoirs\", sans-serif","weights":["400"]},{"family":"Mr Bedfort","stack":"\"Mr Bedfort\", handwriting","weights":["400"]},{"family":"Mr Dafoe","stack":"\"Mr Dafoe\", handwriting","weights":["400"]},{"family":"Mr De Haviland","stack":"\"Mr De Haviland\", handwriting","weights":["400"]},{"family":"Mrs Saint Delafield","stack":"\"Mrs Saint Delafield\", handwriting","weights":["400"]},{"family":"Mrs Sheppards","stack":"\"Mrs Sheppards\", handwriting","weights":["400"]},{"family":"Mukta Vaani","stack":"\"Mukta Vaani\", sans-serif","weights":["200","300","400","500","600","700","800"]},{"family":"Muli","stack":"\"Muli\", sans-serif","weights":["200","200i","300","300i","400","400i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Mystery Quest","stack":"\"Mystery Quest\", display","weights":["400"]},{"family":"NTR","stack":"\"NTR\", sans-serif","weights":["400"]},{"family":"Neucha","stack":"\"Neucha\", handwriting","weights":["400"]},{"family":"Neuton","stack":"\"Neuton\", serif","weights":["200","300","400","400i","700","800"]},{"family":"New Rocker","stack":"\"New Rocker\", display","weights":["400"]},{"family":"News Cycle","stack":"\"News Cycle\", sans-serif","weights":["400","700"]},{"family":"Niconne","stack":"\"Niconne\", handwriting","weights":["400"]},{"family":"Nixie One","stack":"\"Nixie One\", display","weights":["400"]},{"family":"Nobile","stack":"\"Nobile\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Nokora","stack":"\"Nokora\", serif","weights":["400","700"]},{"family":"Norican","stack":"\"Norican\", handwriting","weights":["400"]},{"family":"Nosifer","stack":"\"Nosifer\", display","weights":["400"]},{"family":"Nothing You Could Do","stack":"\"Nothing You Could Do\", handwriting","weights":["400"]},{"family":"Noticia Text","stack":"\"Noticia Text\", serif","weights":["400","400i","700","700i"]},{"family":"Noto Sans","stack":"\"Noto Sans\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Noto Serif","stack":"\"Noto Serif\", serif","weights":["400","400i","700","700i"]},{"family":"Nova Cut","stack":"\"Nova Cut\", display","weights":["400"]},{"family":"Nova Flat","stack":"\"Nova Flat\", display","weights":["400"]},{"family":"Nova Mono","stack":"\"Nova Mono\", monospace","weights":["400"]},{"family":"Nova Oval","stack":"\"Nova Oval\", display","weights":["400"]},{"family":"Nova Round","stack":"\"Nova Round\", display","weights":["400"]},{"family":"Nova Script","stack":"\"Nova Script\", display","weights":["400"]},{"family":"Nova Slim","stack":"\"Nova Slim\", display","weights":["400"]},{"family":"Nova Square","stack":"\"Nova Square\", display","weights":["400"]},{"family":"Numans","stack":"\"Numans\", sans-serif","weights":["400"]},{"family":"Nunito","stack":"\"Nunito\", sans-serif","weights":["200","200i","300","300i","400","400i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Nunito Sans","stack":"\"Nunito Sans\", sans-serif","weights":["200","200i","300","300i","400","400i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Odor Mean Chey","stack":"\"Odor Mean Chey\", display","weights":["400"]},{"family":"Offside","stack":"\"Offside\", display","weights":["400"]},{"family":"Old Standard TT","stack":"\"Old Standard TT\", serif","weights":["400","400i","700"]},{"family":"Oldenburg","stack":"\"Oldenburg\", display","weights":["400"]},{"family":"Oleo Script","stack":"\"Oleo Script\", display","weights":["400","700"]},{"family":"Oleo Script Swash Caps","stack":"\"Oleo Script Swash Caps\", display","weights":["400","700"]},{"family":"Open Sans","stack":"\"Open Sans\", sans-serif","weights":["300","300i","400","400i","600","600i","700","700i","800","800i"]},{"family":"Open Sans Condensed","stack":"\"Open Sans Condensed\", sans-serif","weights":["300","300i","700"]},{"family":"Oranienbaum","stack":"\"Oranienbaum\", serif","weights":["400"]},{"family":"Orbitron","stack":"\"Orbitron\", sans-serif","weights":["400","500","700","900"]},{"family":"Oregano","stack":"\"Oregano\", display","weights":["400","400i"]},{"family":"Orienta","stack":"\"Orienta\", sans-serif","weights":["400"]},{"family":"Original Surfer","stack":"\"Original Surfer\", display","weights":["400"]},{"family":"Oswald","stack":"\"Oswald\", sans-serif","weights":["300","400","700"]},{"family":"Over the Rainbow","stack":"\"Over the Rainbow\", handwriting","weights":["400"]},{"family":"Overlock","stack":"\"Overlock\", display","weights":["400","400i","700","700i","900","900i"]},{"family":"Overlock SC","stack":"\"Overlock SC\", display","weights":["400"]},{"family":"Overpass","stack":"\"Overpass\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Overpass Mono","stack":"\"Overpass Mono\", monospace","weights":["300","400","600","700"]},{"family":"Ovo","stack":"\"Ovo\", serif","weights":["400"]},{"family":"Oxygen","stack":"\"Oxygen\", sans-serif","weights":["300","400","700"]},{"family":"Oxygen Mono","stack":"\"Oxygen Mono\", monospace","weights":["400"]},{"family":"PT Mono","stack":"\"PT Mono\", monospace","weights":["400"]},{"family":"PT Sans","stack":"\"PT Sans\", sans-serif","weights":["400","400i","700","700i"]},{"family":"PT Sans Caption","stack":"\"PT Sans Caption\", sans-serif","weights":["400","700"]},{"family":"PT Sans Narrow","stack":"\"PT Sans Narrow\", sans-serif","weights":["400","700"]},{"family":"PT Serif","stack":"\"PT Serif\", serif","weights":["400","400i","700","700i"]},{"family":"PT Serif Caption","stack":"\"PT Serif Caption\", serif","weights":["400","400i"]},{"family":"Pacifico","stack":"\"Pacifico\", handwriting","weights":["400"]},{"family":"Padauk","stack":"\"Padauk\", sans-serif","weights":["400","700"]},{"family":"Palanquin","stack":"\"Palanquin\", sans-serif","weights":["100","200","300","400","500","600","700"]},{"family":"Palanquin Dark","stack":"\"Palanquin Dark\", sans-serif","weights":["400","500","600","700"]},{"family":"Paprika","stack":"\"Paprika\", display","weights":["400"]},{"family":"Parisienne","stack":"\"Parisienne\", handwriting","weights":["400"]},{"family":"Passero One","stack":"\"Passero One\", display","weights":["400"]},{"family":"Passion One","stack":"\"Passion One\", display","weights":["400","700","900"]},{"family":"Pathway Gothic One","stack":"\"Pathway Gothic One\", sans-serif","weights":["400"]},{"family":"Patrick Hand","stack":"\"Patrick Hand\", handwriting","weights":["400"]},{"family":"Patrick Hand SC","stack":"\"Patrick Hand SC\", handwriting","weights":["400"]},{"family":"Pattaya","stack":"\"Pattaya\", sans-serif","weights":["400"]},{"family":"Patua One","stack":"\"Patua One\", display","weights":["400"]},{"family":"Pavanam","stack":"\"Pavanam\", sans-serif","weights":["400"]},{"family":"Paytone One","stack":"\"Paytone One\", sans-serif","weights":["400"]},{"family":"Peddana","stack":"\"Peddana\", serif","weights":["400"]},{"family":"Peralta","stack":"\"Peralta\", display","weights":["400"]},{"family":"Permanent Marker","stack":"\"Permanent Marker\", handwriting","weights":["400"]},{"family":"Petit Formal Script","stack":"\"Petit Formal Script\", handwriting","weights":["400"]},{"family":"Petrona","stack":"\"Petrona\", serif","weights":["400"]},{"family":"Philosopher","stack":"\"Philosopher\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Piedra","stack":"\"Piedra\", display","weights":["400"]},{"family":"Pinyon Script","stack":"\"Pinyon Script\", handwriting","weights":["400"]},{"family":"Pirata One","stack":"\"Pirata One\", display","weights":["400"]},{"family":"Plaster","stack":"\"Plaster\", display","weights":["400"]},{"family":"Play","stack":"\"Play\", sans-serif","weights":["400","700"]},{"family":"Playball","stack":"\"Playball\", display","weights":["400"]},{"family":"Playfair Display","stack":"\"Playfair Display\", serif","weights":["400","400i","700","700i","900","900i"]},{"family":"Playfair Display SC","stack":"\"Playfair Display SC\", serif","weights":["400","400i","700","700i","900","900i"]},{"family":"Podkova","stack":"\"Podkova\", serif","weights":["400","700"]},{"family":"Poiret One","stack":"\"Poiret One\", display","weights":["400"]},{"family":"Poller One","stack":"\"Poller One\", display","weights":["400"]},{"family":"Poly","stack":"\"Poly\", serif","weights":["400","400i"]},{"family":"Pompiere","stack":"\"Pompiere\", display","weights":["400"]},{"family":"Pontano Sans","stack":"\"Pontano Sans\", sans-serif","weights":["400"]},{"family":"Poppins","stack":"\"Poppins\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Port Lligat Sans","stack":"\"Port Lligat Sans\", sans-serif","weights":["400"]},{"family":"Port Lligat Slab","stack":"\"Port Lligat Slab\", serif","weights":["400"]},{"family":"Pragati Narrow","stack":"\"Pragati Narrow\", sans-serif","weights":["400","700"]},{"family":"Prata","stack":"\"Prata\", serif","weights":["400"]},{"family":"Preahvihear","stack":"\"Preahvihear\", display","weights":["400"]},{"family":"Press Start 2P","stack":"\"Press Start 2P\", display","weights":["400"]},{"family":"Pridi","stack":"\"Pridi\", serif","weights":["200","300","400","500","600","700"]},{"family":"Princess Sofia","stack":"\"Princess Sofia\", handwriting","weights":["400"]},{"family":"Prociono","stack":"\"Prociono\", serif","weights":["400"]},{"family":"Prompt","stack":"\"Prompt\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Prosto One","stack":"\"Prosto One\", display","weights":["400"]},{"family":"Proza Libre","stack":"\"Proza Libre\", sans-serif","weights":["400","400i","500","500i","600","600i","700","700i","800","800i"]},{"family":"Puritan","stack":"\"Puritan\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Purple Purse","stack":"\"Purple Purse\", display","weights":["400"]},{"family":"Quando","stack":"\"Quando\", serif","weights":["400"]},{"family":"Quantico","stack":"\"Quantico\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Quattrocento","stack":"\"Quattrocento\", serif","weights":["400","700"]},{"family":"Quattrocento Sans","stack":"\"Quattrocento Sans\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Questrial","stack":"\"Questrial\", sans-serif","weights":["400"]},{"family":"Quicksand","stack":"\"Quicksand\", sans-serif","weights":["300","400","500","700"]},{"family":"Quintessential","stack":"\"Quintessential\", handwriting","weights":["400"]},{"family":"Qwigley","stack":"\"Qwigley\", handwriting","weights":["400"]},{"family":"Racing Sans One","stack":"\"Racing Sans One\", display","weights":["400"]},{"family":"Radley","stack":"\"Radley\", serif","weights":["400","400i"]},{"family":"Rajdhani","stack":"\"Rajdhani\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Rakkas","stack":"\"Rakkas\", display","weights":["400"]},{"family":"Raleway","stack":"\"Raleway\", sans-serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Raleway Dots","stack":"\"Raleway Dots\", display","weights":["400"]},{"family":"Ramabhadra","stack":"\"Ramabhadra\", sans-serif","weights":["400"]},{"family":"Ramaraja","stack":"\"Ramaraja\", serif","weights":["400"]},{"family":"Rambla","stack":"\"Rambla\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Rammetto One","stack":"\"Rammetto One\", display","weights":["400"]},{"family":"Ranchers","stack":"\"Ranchers\", display","weights":["400"]},{"family":"Rancho","stack":"\"Rancho\", handwriting","weights":["400"]},{"family":"Ranga","stack":"\"Ranga\", display","weights":["400","700"]},{"family":"Rasa","stack":"\"Rasa\", serif","weights":["300","400","500","600","700"]},{"family":"Rationale","stack":"\"Rationale\", sans-serif","weights":["400"]},{"family":"Ravi Prakash","stack":"\"Ravi Prakash\", display","weights":["400"]},{"family":"Redressed","stack":"\"Redressed\", handwriting","weights":["400"]},{"family":"Reem Kufi","stack":"\"Reem Kufi\", sans-serif","weights":["400"]},{"family":"Reenie Beanie","stack":"\"Reenie Beanie\", handwriting","weights":["400"]},{"family":"Revalia","stack":"\"Revalia\", display","weights":["400"]},{"family":"Rhodium Libre","stack":"\"Rhodium Libre\", serif","weights":["400"]},{"family":"Ribeye","stack":"\"Ribeye\", display","weights":["400"]},{"family":"Ribeye Marrow","stack":"\"Ribeye Marrow\", display","weights":["400"]},{"family":"Righteous","stack":"\"Righteous\", display","weights":["400"]},{"family":"Risque","stack":"\"Risque\", display","weights":["400"]},{"family":"Roboto","stack":"\"Roboto\", sans-serif","weights":["100","100i","300","300i","400","400i","500","500i","700","700i","900","900i"]},{"family":"Roboto Condensed","stack":"\"Roboto Condensed\", sans-serif","weights":["300","300i","400","400i","700","700i"]},{"family":"Roboto Mono","stack":"\"Roboto Mono\", monospace","weights":["100","100i","300","300i","400","400i","500","500i","700","700i"]},{"family":"Roboto Slab","stack":"\"Roboto Slab\", serif","weights":["100","300","400","700"]},{"family":"Rochester","stack":"\"Rochester\", handwriting","weights":["400"]},{"family":"Rock Salt","stack":"\"Rock Salt\", handwriting","weights":["400"]},{"family":"Rokkitt","stack":"\"Rokkitt\", serif","weights":["400","700"]},{"family":"Romanesco","stack":"\"Romanesco\", handwriting","weights":["400"]},{"family":"Ropa Sans","stack":"\"Ropa Sans\", sans-serif","weights":["400","400i"]},{"family":"Rosario","stack":"\"Rosario\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Rosarivo","stack":"\"Rosarivo\", serif","weights":["400","400i"]},{"family":"Rouge Script","stack":"\"Rouge Script\", handwriting","weights":["400"]},{"family":"Rozha One","stack":"\"Rozha One\", serif","weights":["400"]},{"family":"Rubik","stack":"\"Rubik\", sans-serif","weights":["300","300i","400","400i","500","500i","700","700i","900","900i"]},{"family":"Rubik Mono One","stack":"\"Rubik Mono One\", sans-serif","weights":["400"]},{"family":"Ruda","stack":"\"Ruda\", sans-serif","weights":["400","700","900"]},{"family":"Rufina","stack":"\"Rufina\", serif","weights":["400","700"]},{"family":"Ruge Boogie","stack":"\"Ruge Boogie\", handwriting","weights":["400"]},{"family":"Ruluko","stack":"\"Ruluko\", sans-serif","weights":["400"]},{"family":"Rum Raisin","stack":"\"Rum Raisin\", sans-serif","weights":["400"]},{"family":"Ruslan Display","stack":"\"Ruslan Display\", display","weights":["400"]},{"family":"Russo One","stack":"\"Russo One\", sans-serif","weights":["400"]},{"family":"Ruthie","stack":"\"Ruthie\", handwriting","weights":["400"]},{"family":"Rye","stack":"\"Rye\", display","weights":["400"]},{"family":"Sacramento","stack":"\"Sacramento\", handwriting","weights":["400"]},{"family":"Sahitya","stack":"\"Sahitya\", serif","weights":["400","700"]},{"family":"Sail","stack":"\"Sail\", display","weights":["400"]},{"family":"Salsa","stack":"\"Salsa\", display","weights":["400"]},{"family":"Sanchez","stack":"\"Sanchez\", serif","weights":["400","400i"]},{"family":"Sancreek","stack":"\"Sancreek\", display","weights":["400"]},{"family":"Sansita One","stack":"\"Sansita One\", display","weights":["400"]},{"family":"Sarala","stack":"\"Sarala\", sans-serif","weights":["400","700"]},{"family":"Sarina","stack":"\"Sarina\", display","weights":["400"]},{"family":"Sarpanch","stack":"\"Sarpanch\", sans-serif","weights":["400","500","600","700","800","900"]},{"family":"Satisfy","stack":"\"Satisfy\", handwriting","weights":["400"]},{"family":"Scada","stack":"\"Scada\", sans-serif","weights":["400","400i","700","700i"]},{"family":"Scheherazade","stack":"\"Scheherazade\", serif","weights":["400","700"]},{"family":"Schoolbell","stack":"\"Schoolbell\", handwriting","weights":["400"]},{"family":"Scope One","stack":"\"Scope One\", serif","weights":["400"]},{"family":"Seaweed Script","stack":"\"Seaweed Script\", display","weights":["400"]},{"family":"Secular One","stack":"\"Secular One\", sans-serif","weights":["400"]},{"family":"Sevillana","stack":"\"Sevillana\", display","weights":["400"]},{"family":"Seymour One","stack":"\"Seymour One\", sans-serif","weights":["400"]},{"family":"Shadows Into Light","stack":"\"Shadows Into Light\", handwriting","weights":["400"]},{"family":"Shadows Into Light Two","stack":"\"Shadows Into Light Two\", handwriting","weights":["400"]},{"family":"Shanti","stack":"\"Shanti\", sans-serif","weights":["400"]},{"family":"Share","stack":"\"Share\", display","weights":["400","400i","700","700i"]},{"family":"Share Tech","stack":"\"Share Tech\", sans-serif","weights":["400"]},{"family":"Share Tech Mono","stack":"\"Share Tech Mono\", monospace","weights":["400"]},{"family":"Shojumaru","stack":"\"Shojumaru\", display","weights":["400"]},{"family":"Short Stack","stack":"\"Short Stack\", handwriting","weights":["400"]},{"family":"Shrikhand","stack":"\"Shrikhand\", display","weights":["400"]},{"family":"Siemreap","stack":"\"Siemreap\", display","weights":["400"]},{"family":"Sigmar One","stack":"\"Sigmar One\", display","weights":["400"]},{"family":"Signika","stack":"\"Signika\", sans-serif","weights":["300","400","600","700"]},{"family":"Signika Negative","stack":"\"Signika Negative\", sans-serif","weights":["300","400","600","700"]},{"family":"Simonetta","stack":"\"Simonetta\", display","weights":["400","400i","900","900i"]},{"family":"Sintony","stack":"\"Sintony\", sans-serif","weights":["400","700"]},{"family":"Sirin Stencil","stack":"\"Sirin Stencil\", display","weights":["400"]},{"family":"Six Caps","stack":"\"Six Caps\", sans-serif","weights":["400"]},{"family":"Skranji","stack":"\"Skranji\", display","weights":["400","700"]},{"family":"Slabo 13px","stack":"\"Slabo 13px\", serif","weights":["400"]},{"family":"Slabo 27px","stack":"\"Slabo 27px\", serif","weights":["400"]},{"family":"Slackey","stack":"\"Slackey\", display","weights":["400"]},{"family":"Smokum","stack":"\"Smokum\", display","weights":["400"]},{"family":"Smythe","stack":"\"Smythe\", display","weights":["400"]},{"family":"Sniglet","stack":"\"Sniglet\", display","weights":["400","800"]},{"family":"Snippet","stack":"\"Snippet\", sans-serif","weights":["400"]},{"family":"Snowburst One","stack":"\"Snowburst One\", display","weights":["400"]},{"family":"Sofadi One","stack":"\"Sofadi One\", display","weights":["400"]},{"family":"Sofia","stack":"\"Sofia\", handwriting","weights":["400"]},{"family":"Sonsie One","stack":"\"Sonsie One\", display","weights":["400"]},{"family":"Sorts Mill Goudy","stack":"\"Sorts Mill Goudy\", serif","weights":["400","400i"]},{"family":"Source Code Pro","stack":"\"Source Code Pro\", monospace","weights":["200","300","400","500","600","700","900"]},{"family":"Source Sans Pro","stack":"\"Source Sans Pro\", sans-serif","weights":["200","200i","300","300i","400","400i","600","600i","700","700i","900","900i"]},{"family":"Source Serif Pro","stack":"\"Source Serif Pro\", serif","weights":["400","600","700"]},{"family":"Space Mono","stack":"\"Space Mono\", monospace","weights":["400","400i","700","700i"]},{"family":"Special Elite","stack":"\"Special Elite\", display","weights":["400"]},{"family":"Spicy Rice","stack":"\"Spicy Rice\", display","weights":["400"]},{"family":"Spinnaker","stack":"\"Spinnaker\", sans-serif","weights":["400"]},{"family":"Spirax","stack":"\"Spirax\", display","weights":["400"]},{"family":"Squada One","stack":"\"Squada One\", display","weights":["400"]},{"family":"Sree Krushnadevaraya","stack":"\"Sree Krushnadevaraya\", serif","weights":["400"]},{"family":"Sriracha","stack":"\"Sriracha\", handwriting","weights":["400"]},{"family":"Stalemate","stack":"\"Stalemate\", handwriting","weights":["400"]},{"family":"Stalinist One","stack":"\"Stalinist One\", display","weights":["400"]},{"family":"Stardos Stencil","stack":"\"Stardos Stencil\", display","weights":["400","700"]},{"family":"Stint Ultra Condensed","stack":"\"Stint Ultra Condensed\", display","weights":["400"]},{"family":"Stint Ultra Expanded","stack":"\"Stint Ultra Expanded\", display","weights":["400"]},{"family":"Stoke","stack":"\"Stoke\", serif","weights":["300","400"]},{"family":"Strait","stack":"\"Strait\", sans-serif","weights":["400"]},{"family":"Sue Ellen Francisco","stack":"\"Sue Ellen Francisco\", handwriting","weights":["400"]},{"family":"Suez One","stack":"\"Suez One\", serif","weights":["400"]},{"family":"Sumana","stack":"\"Sumana\", serif","weights":["400","700"]},{"family":"Sunshiney","stack":"\"Sunshiney\", handwriting","weights":["400"]},{"family":"Supermercado One","stack":"\"Supermercado One\", display","weights":["400"]},{"family":"Sura","stack":"\"Sura\", serif","weights":["400","700"]},{"family":"Suranna","stack":"\"Suranna\", serif","weights":["400"]},{"family":"Suravaram","stack":"\"Suravaram\", serif","weights":["400"]},{"family":"Suwannaphum","stack":"\"Suwannaphum\", display","weights":["400"]},{"family":"Swanky and Moo Moo","stack":"\"Swanky and Moo Moo\", handwriting","weights":["400"]},{"family":"Syncopate","stack":"\"Syncopate\", sans-serif","weights":["400","700"]},{"family":"Tangerine","stack":"\"Tangerine\", handwriting","weights":["400","700"]},{"family":"Taprom","stack":"\"Taprom\", display","weights":["400"]},{"family":"Tauri","stack":"\"Tauri\", sans-serif","weights":["400"]},{"family":"Taviraj","stack":"\"Taviraj\", serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Teko","stack":"\"Teko\", sans-serif","weights":["300","400","500","600","700"]},{"family":"Telex","stack":"\"Telex\", sans-serif","weights":["400"]},{"family":"Tenali Ramakrishna","stack":"\"Tenali Ramakrishna\", sans-serif","weights":["400"]},{"family":"Tenor Sans","stack":"\"Tenor Sans\", sans-serif","weights":["400"]},{"family":"Text Me One","stack":"\"Text Me One\", sans-serif","weights":["400"]},{"family":"The Girl Next Door","stack":"\"The Girl Next Door\", handwriting","weights":["400"]},{"family":"Tienne","stack":"\"Tienne\", serif","weights":["400","700","900"]},{"family":"Tillana","stack":"\"Tillana\", handwriting","weights":["400","500","600","700","800"]},{"family":"Timmana","stack":"\"Timmana\", sans-serif","weights":["400"]},{"family":"Tinos","stack":"\"Tinos\", serif","weights":["400","400i","700","700i"]},{"family":"Titan One","stack":"\"Titan One\", display","weights":["400"]},{"family":"Titillium Web","stack":"\"Titillium Web\", sans-serif","weights":["200","200i","300","300i","400","400i","600","600i","700","700i","900"]},{"family":"Trade Winds","stack":"\"Trade Winds\", display","weights":["400"]},{"family":"Trirong","stack":"\"Trirong\", serif","weights":["100","100i","200","200i","300","300i","400","400i","500","500i","600","600i","700","700i","800","800i","900","900i"]},{"family":"Trocchi","stack":"\"Trocchi\", serif","weights":["400"]},{"family":"Trochut","stack":"\"Trochut\", display","weights":["400","400i","700"]},{"family":"Trykker","stack":"\"Trykker\", serif","weights":["400"]},{"family":"Tulpen One","stack":"\"Tulpen One\", display","weights":["400"]},{"family":"Ubuntu","stack":"\"Ubuntu\", sans-serif","weights":["300","300i","400","400i","500","500i","700","700i"]},{"family":"Ubuntu Condensed","stack":"\"Ubuntu Condensed\", sans-serif","weights":["400"]},{"family":"Ubuntu Mono","stack":"\"Ubuntu Mono\", monospace","weights":["400","400i","700","700i"]},{"family":"Ultra","stack":"\"Ultra\", serif","weights":["400"]},{"family":"Uncial Antiqua","stack":"\"Uncial Antiqua\", display","weights":["400"]},{"family":"Underdog","stack":"\"Underdog\", display","weights":["400"]},{"family":"Unica One","stack":"\"Unica One\", display","weights":["400"]},{"family":"UnifrakturCook","stack":"\"UnifrakturCook\", display","weights":["700"]},{"family":"UnifrakturMaguntia","stack":"\"UnifrakturMaguntia\", display","weights":["400"]},{"family":"Unkempt","stack":"\"Unkempt\", display","weights":["400","700"]},{"family":"Unlock","stack":"\"Unlock\", display","weights":["400"]},{"family":"Unna","stack":"\"Unna\", serif","weights":["400"]},{"family":"VT323","stack":"\"VT323\", monospace","weights":["400"]},{"family":"Vampiro One","stack":"\"Vampiro One\", display","weights":["400"]},{"family":"Varela","stack":"\"Varela\", sans-serif","weights":["400"]},{"family":"Varela Round","stack":"\"Varela Round\", sans-serif","weights":["400"]},{"family":"Vast Shadow","stack":"\"Vast Shadow\", display","weights":["400"]},{"family":"Vesper Libre","stack":"\"Vesper Libre\", serif","weights":["400","500","700","900"]},{"family":"Vibur","stack":"\"Vibur\", handwriting","weights":["400"]},{"family":"Vidaloka","stack":"\"Vidaloka\", serif","weights":["400"]},{"family":"Viga","stack":"\"Viga\", sans-serif","weights":["400"]},{"family":"Voces","stack":"\"Voces\", display","weights":["400"]},{"family":"Volkhov","stack":"\"Volkhov\", serif","weights":["400","400i","700","700i"]},{"family":"Vollkorn","stack":"\"Vollkorn\", serif","weights":["400","400i","700","700i"]},{"family":"Voltaire","stack":"\"Voltaire\", sans-serif","weights":["400"]},{"family":"Waiting for the Sunrise","stack":"\"Waiting for the Sunrise\", handwriting","weights":["400"]},{"family":"Wallpoet","stack":"\"Wallpoet\", display","weights":["400"]},{"family":"Walter Turncoat","stack":"\"Walter Turncoat\", handwriting","weights":["400"]},{"family":"Warnes","stack":"\"Warnes\", display","weights":["400"]},{"family":"Wellfleet","stack":"\"Wellfleet\", display","weights":["400"]},{"family":"Wendy One","stack":"\"Wendy One\", sans-serif","weights":["400"]},{"family":"Wire One","stack":"\"Wire One\", sans-serif","weights":["400"]},{"family":"Work Sans","stack":"\"Work Sans\", sans-serif","weights":["100","200","300","400","500","600","700","800","900"]},{"family":"Yanone Kaffeesatz","stack":"\"Yanone Kaffeesatz\", sans-serif","weights":["200","300","400","700"]},{"family":"Yantramanav","stack":"\"Yantramanav\", sans-serif","weights":["100","300","400","500","700","900"]},{"family":"Yatra One","stack":"\"Yatra One\", display","weights":["400"]},{"family":"Yellowtail","stack":"\"Yellowtail\", handwriting","weights":["400"]},{"family":"Yeseva One","stack":"\"Yeseva One\", display","weights":["400"]},{"family":"Yesteryear","stack":"\"Yesteryear\", handwriting","weights":["400"]},{"family":"Yrsa","stack":"\"Yrsa\", serif","weights":["300","400","500","600","700"]},{"family":"Zeyada","stack":"\"Zeyada\", handwriting","weights":["400"]}]; // export default function() {
//
//   let variants = {
//     "100"       : "100",
//     "100italic" : "100i",
//     "200"       : "200",
//     "200italic" : "200i",
//     "300"       : "300",
//     "300italic" : "300i",
//     "regular"   : "400",
//     "italic"    : "400i",
//     "500"       : "500",
//     "500italic" : "500i",
//     "600"       : "600",
//     "600italic" : "600i",
//     "700"       : "700",
//     "700italic" : "700i",
//     "800"       : "800",
//     "800italic" : "800i",
//     "900"       : "900",
//     "900italic" : "900i"
//   };
//
//   let map = fonts.map((font)=>{
//     return {
//       family: font.family,
//       stack: `"${font.family}", ${font.category}`,
//       weights: font.variants.map((variant)=>{
//         return variants[variant];
//       })
//     }
//   });
//
//   var a = document.createElement("a");
//   document.body.appendChild(a);
//   a.style = "display: none";
//
//   var contents = 'export default ' + JSON.stringify(map, null, '  ') + ';';
//
//   var url = window.URL.createObjectURL(new Blob([contents], {type: "octet/stream"}));
//   a.href = url;
//   a.download = 'fonts.js';
//   a.click();
//   window.URL.revokeObjectURL(url);
//
// }
});
define('cornerstone/data/systemfonts', ['exports'], function (exports) {
  exports['default'] = [{
    family: 'Arial',
    stack: 'Arial, "Helvetica Neue", Helvetica, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Arial Narrow',
    stack: '"Arial Narrow", Arial, "Helvetica Neue", Helvetica, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Baskerville',
    stack: 'Baskerville, "Baskerville old face", "Hoefler Text", Garamond, "Times New Roman", serif',
    weights: ['400', '400i', '600', '600i', '700', '700i']
  }, {
    family: 'Bodoni MT',
    stack: '"Bodoni MT", Didot, "Didot LT STD", "Hoefler Text", Garamond, "Times New Roman", serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Book Antiqua',
    stack: '"Book Antiqua", Palatino, "Palatino Linotype", "Palatino LT STD", Georgia, serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Calibri',
    stack: 'Calibri, Candara, Segoe, "Segoe UI", Optima, Arial, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Cambria',
    stack: 'Cambria, Georgia, serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Candara',
    stack: 'Candara, Calibri, Segoe, "Segoe UI", Optima, Arial, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Consolas',
    stack: 'Consolas, monaco, monospace',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Courier New',
    stack: '"Courier New", Courier, "Lucida Sans Typewriter", "Lucida Typewriter", monospace',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Didot',
    stack: 'Didot, "Didot LT STD", "Hoefler Text", Garamond, "Times New Roman", serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Futura',
    stack: 'Futura, "Trebuchet MS", Arial, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Garamond',
    stack: 'Garamond, Baskerville, "Baskerville Old Face", "Hoefler Text", "Times New Roman", serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Geneva',
    stack: 'Geneva, Tahoma, Verdana, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Georgia',
    stack: 'Georgia, Palatino, "Palatino Linotype", Times, "Times New Roman", serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Gill Sans',
    stack: '"Gill Sans", "Gill Sans MT", Calibri, sans-serif',
    weights: ['300', '300i', '400', '400i', '600', '600i', '700', '700i']
  }, {
    family: 'Goudy Old Style',
    stack: '"Goudy Old Style", Garamond, "Big Caslon", "Times New Roman", serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Helvetica',
    stack: 'Helvetica, Arial, sans-serif',
    weights: ['300', '300i', '400', '400i', '700', '700i']
  }, {
    family: 'Helvetica Neue',
    stack: '"Helvetica Neue", Helvetica, Arial, sans-serif',
    weights: ['100', '100i', '300', '300i', '400', '400i', '500', '500i', '700', '700i']
  }, {
    family: 'Hoefler Text',
    stack: '"Hoefler Text", "Baskerville old face", Garamond, "Times New Roman", serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Lucida Bright',
    stack: '"Lucida Bright", Georgia, serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Lucida Grande',
    stack: '"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", Geneva, Verdana, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Lucida Sans Typewriter',
    stack: '"Lucida Sans Typewriter", "Lucida Console", monaco, "Bitstream Vera Sans Mono", monospace',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Monaco',
    stack: 'Monaco, Consolas, "Lucida Console", monospace',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Optima',
    stack: 'Optima, Segoe, "Segoe UI", Candara, Calibri, Arial, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Palatino',
    stack: 'Palatino, "Palatino Linotype", "Palatino LT STD", "Book Antiqua", Georgia, serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Tahoma',
    stack: 'Tahoma, Geneva, Verdana, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Times New Roman',
    stack: '"Times New Roman", Georgia, serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Trebuchet MS',
    stack: '"Trebuchet MS", "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", Tahoma, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }, {
    family: 'Verdana',
    stack: 'Verdana, Geneva, sans-serif',
    weights: ['400', '400i', '700', '700i']
  }];
});
define('cornerstone/element/adapter', ['exports', 'cornerstone/entity/adapter'], function (exports, _cornerstoneEntityAdapter) {
  exports['default'] = _cornerstoneEntityAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/element/definition/adapter', ['exports', 'ember', 'cornerstone/adapters/cs-client-side-adapter'], function (exports, _ember, _cornerstoneAdaptersCsClientSideAdapter) {
  exports['default'] = _cornerstoneAdaptersCsClientSideAdapter['default'].extend({

    continuity: _ember['default'].inject.service(),
    preview: _ember['default'].inject.service(),

    findAll: function findAll(store, type) {

      if (this.get('preview.isPreview')) {
        return this.get('continuity').findAll(type.modelName);
      }

      return this._super.apply(this, arguments);
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findRecord
    findRecord: function findRecord(store, type, id) {

      if (this.get('preview.isPreview')) {
        return this.get('continuity').findRecord(type.modelName, id);
      }

      return this._super.apply(this, arguments);
    }

  });
});
define('cornerstone/element/definition/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr', 'cornerstone/util/coalescence-client', 'cornerstone/util/control-proxy-builder', 'ember-data/relationships'], function (exports, _ember, _emberDataModel, _emberDataAttr, _cornerstoneUtilCoalescenceClient, _cornerstoneUtilControlProxyBuilder, _emberDataRelationships) {

  var privateElements = ['undefined', 'root'];
  var layoutElements = ['region', 'bar', 'container', 'section', 'row', 'column'];

  exports['default'] = _emberDataModel['default'].extend({
    title: (0, _emberDataAttr['default'])(),
    values: (0, _emberDataAttr['default'])(),
    style: (0, _emberDataAttr['default'])(),
    options: (0, _emberDataAttr['default'])(),
    active: (0, _emberDataAttr['default'])(),
    presets: (0, _emberDataRelationships.hasMany)('element/presets'),

    // This style generation  code should be moved into a service instead of being on the model
    fonts: _ember['default'].inject.service('templates/fonts'),
    colors: _ember['default'].inject.service('templates/colors'),

    isClassic: _ember['default'].computed.alias('options.is_classic'),

    sortableOnly: _ember['default'].computed('options.classic.child', function () {
      if (this.get('options.classic.child')) {
        return true;
      }
      return false;
    }),

    postProcessHandlers: _ember['default'].computed(function () {
      return {
        fontWeight: function fontWeight(value) {
          return this.get('fonts').resolveFontWeight(value);
        },
        fontFamily: function fontFamily(value) {
          return this.get('fonts').resolveFontFamilyStack(value);
        },
        color: function color(value) {
          return this.get('colors').lookupColor(value);
        },
        globalColor: function globalColor(value) {
          return this.get('colors').lookupColor(value);
        }
      };
    }),

    stylePostProcess: function stylePostProcess(template) {
      var _this = this;

      var handlers = this.get('postProcessHandlers');

      return template.replace(/%%post ([\w-:]+?)%%(.*?)%%\/post%%/g, function (match, p1, p2 /*, offset, string*/) {
        var callback = _ember['default'].String.camelize(p1);
        var replacement = handlers[callback] ? handlers[callback].call(_this, p2) : p2;
        // console.log('CSS Post Process', p1, p2, replacement );
        return replacement;
      });
    },

    attrPostProcess: function attrPostProcess(value) {
      var _this2 = this;

      var handlers = this.get('postProcessHandlers');

      return value.replace(/^([\w-]+?):(.*?)$/g, function (match, p1 /*, p2 , offset, string*/) {
        var callback = _ember['default'].String.camelize(p1);
        var replacement = handlers[callback] ? handlers[callback].call(_this2, value) : value;
        // console.log('attr Post Process', p1, p2, replacement );
        return replacement;
      });
    },

    styleDesignatedKeys: _ember['default'].computed('designations', function () {

      var keys = {};
      var designations = this.get('designations');

      for (var key in designations) {
        if ('string' !== typeof designations[key]) {
          console.warn('Invalid mapping of values for ' + this.get('id') + '.');
          debugger;
          continue;
        }
        var parts = designations[key].split(':');
        var group = parts.shift();
        var subGroup = parts.join(':');
        if ('style' !== group || !subGroup) {
          continue;
        }
        keys[key] = subGroup;
      }

      return keys;
    }),

    styleTemplate: _ember['default'].computed('style', function () {
      return (0, _cornerstoneUtilCoalescenceClient['default'])(JSON.parse(this.get('style')), this.get('styleDesignatedKeys'), this.get('stylePostProcess').bind(this));
    }),

    defaults: _ember['default'].computed('values', function () {
      var values = this.get('values');
      var defaults = {};
      for (var key in values) {
        if (values.hasOwnProperty(key)) {
          defaults[key] = _ember['default'].isNone(values[key]['default']) ? null : values[key]['default'];
        }
      }
      return defaults;
    }),

    designations: _ember['default'].computed('values', function () {
      var values = this.get('values');
      var designations = {};
      for (var key in values) {
        if (values.hasOwnProperty(key)) {
          designations[key] = _ember['default'].isNone(values[key].designation) ? null : values[key].designation;
        }
      }
      return designations;
    }),

    controls: (0, _emberDataAttr['default'])(),
    controlGroups: (0, _emberDataAttr['default'])(),

    controlGroupTiers: _ember['default'].computed('controlGroups', function () {
      var groups = this.get('controlGroups');
      var list = _ember['default'].A();
      for (var key in groups) {
        if (groups.hasOwnProperty(key)) {
          var group = {
            name: key,
            title: groups[key].title
          };

          var tiers = key.split(':');
          tiers.pop();
          if (!_ember['default'].isEmpty(tiers)) {
            group.parent = tiers.join(':');
          }
          list.push(group);
        }
      }
      return list;
    }),

    icon: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return 'interface/nav-elements-line';
      } }),

    iconPath: _ember['default'].computed('icon', function () {
      var icon = this.get('icon');
      if ('native' === icon) {
        return 'elements/' + this.get('id');
      }
      return icon;
    }),

    isSelectable: _ember['default'].computed('active', 'isPrivate', function () {
      return this.get('active') && !this.get('isPrivate');
    }),

    isPrivate: _ember['default'].computed('id', 'options.classic.context', function () {
      var classicContext = this.get('options.classic.context');
      if (classicContext && !['all', 'content'].includes(classicContext)) {
        return true;
      }
      return privateElements.concat(layoutElements).includes(this.getWithDefault('id', '').replace('classic:', ''));
    }),

    showInLibrary: _ember['default'].computed('isSelectable', 'sortableOnly', function () {
      return this.get('isSelectable') && !this.get('sortableOnly');
    }),

    isContentLayout: _ember['default'].computed('id', function () {
      return ['section', 'row', 'column'].includes(this.getWithDefault('id', '').replace('classic:', ''));
    }),

    isLayout: _ember['default'].computed('id', function () {
      return layoutElements.includes(this.getWithDefault('id', '').replace('classic:', ''));
    }),

    controlFactory: _ember['default'].computed('controls', function () {
      return (0, _cornerstoneUtilControlProxyBuilder['default'])({
        owner: _ember['default'].getOwner(this),
        sourcePath: 'atts',
        controls: this.get('controls')
      });
    })

  });
});
define('cornerstone/element/model', ['exports', 'ember', 'ember-data/relationships', 'cornerstone/entity/model'], function (exports, _ember, _emberDataRelationships, _cornerstoneEntityModel) {
  exports['default'] = _cornerstoneEntityModel['default'].extend({

    radio: _ember['default'].inject.service('global/radio'),

    children: (0, _emberDataRelationships.hasMany)('element', { inverse: 'parent' }),
    parent: (0, _emberDataRelationships.belongsTo)('element', { inverse: 'children' }),

    setup: function setup() {
      var definition = this.get('store').peekRecord('element/definition', this.get('atts._type'));
      if (!definition) {
        definition = this.get('store').peekRecord('element/definition', 'undefined');
      }
      this.set('definition', definition);
      this.setDefaults();
    },

    title: _ember['default'].computed('atts.title', 'atts._type', {
      get: function get() {
        var title = this.get('atts.title');
        if (!title) {
          return this.getWithDefault('definition.title', this.get('atts._type'));
        }
        return title;
      },
      set: function set(key, value) {

        if (!value) {
          value = this.getWithDefault('definition.title', this.get('atts._type'));
        }

        this.set('atts.title', value);
        return value;
      }

    }),

    observerTitle: _ember['default'].computed('definition.isLayout', 'indexedTitle', function () {
      var fallback = this.getWithDefault('definition.title', this.get('atts._type'));
      if (!this.get('definition.isLayout')) {
        return fallback;
      }
      return this.get('indexedTitle');
    }),

    breadcrumbTitle: _ember['default'].computed('title', function () {
      var title = this.get('title');
      if (this.get('definition.isContentLayout') && title === this.getWithDefault('definition.title', this.get('atts._type'))) {
        return title.replace('Classic ', '');
      }
      return title;
    }),

    indexedTitle: _ember['default'].computed('atts.title', 'order', {
      get: function get() {

        if (this.get('atts.title')) {
          return this.get('atts.title');
        }

        return this.get('i18n').t('app.indexed', {
          label: this.getWithDefault('definition.title', this.get('atts._type')),
          index: this.get('order') + 1
        }).string;
      },
      set: function set(key, value) {

        if (!value) {
          value = this.getWithDefault('definition.title', this.get('atts._type'));
        }

        this.set('title', value);
        return value;
      }

    }),

    hasChanged: function hasChanged(key) {
      var designationKey = this.get('definition.designations.' + key);
      if (_ember['default'].isNone(designationKey)) {
        return;
      }
      var designations = designationKey.split(':');
      this.incrementProperty(_ember['default'].String.camelize('update-' + designations[0]));
    },

    setDefaults: function setDefaults() {

      var defaults = this.get('definition.defaults');

      var atts = this.get('atts');
      for (var key in defaults) {
        if ('undefined' === typeof atts[key]) {
          this.set('atts.' + key, defaults[key]);
        }
      }

      var designations = this.get('definition.designations');
      for (var key in designations) {
        // Define attr properties. atts.row_flex -> attrRowFlex
        if ('attr' === designations[key]) {
          _ember['default'].defineProperty(this, _ember['default'].String.camelize('attr_' + key), _ember['default'].computed.alias('atts.' + key));
        }
      }

      return this;
    },

    duplicate: function duplicate(atts) {
      var _this = this;

      if (!this.get('parent.availableChildren')) {
        return;
      }

      var nameInUse = function nameInUse(name) {
        return _this.get('parent.availableChildren').any(function (item) {
          return name === item.get('title');
        });
      };

      var data = this.serialize({ includeChildren: true });

      if (atts) {
        _ember['default'].merge(data.data.attributes.atts, atts);
      }

      data = JSON.parse(JSON.stringify(data.data));

      var customTitle = this.get('atts.title');
      if (!_ember['default'].isNone(customTitle)) {
        var title = "" === customTitle ? this.get('definition.title') : customTitle;
        data.attributes.atts.title = this.get('i18n').t('app.copy-of', { title: title }).string;
      }

      // Ensure the title is unique
      var copyIndex = 1;
      var copiedTitle = data.attributes.atts.title;
      while (nameInUse(data.attributes.atts.title)) {
        // something of the same title exists
        data.attributes.atts.title = this.get('i18n').t('app.copy-of-numeric', {
          title: copiedTitle,
          index: copyIndex++
        }).string;
      }

      data.attributes.atts._modules = data.attributes.children;
      return this.get('parent.addChild')(data.attributes.atts, this.get('order') + 1);
    },

    attsActive: _ember['default'].computed.alias('atts._active'),

    toElementTree: function toElementTree() {
      var atts = _ember['default'].get(this.serialize(), 'data.attributes.atts');
      delete atts._region;
      if (this.get('availableChildren.length') > 0) {
        var children = this.get('availableChildren').sortBy('order');
        atts._modules = children.map(function (child) {
          return child.toElementTree();
        });
      }
      return atts;
    },

    cleanToElementTree: function cleanToElementTree() {
      return JSON.parse(JSON.stringify(this.toElementTree()));
    }

  });
});

// import DS from 'ember-data';
define('cornerstone/element/preset/model', ['exports', 'ember', 'ember-data', 'ember-data/attr', 'ember-data/relationships'], function (exports, _ember, _emberData, _emberDataAttr, _emberDataRelationships) {
  exports['default'] = _emberData['default'].Model.extend({
    title: (0, _emberDataAttr['default'])(),
    element: (0, _emberDataRelationships.belongsTo)('element/definition'),
    atts: (0, _emberDataAttr['default'])(),

    values: _ember['default'].computed('atts', 'element', function () {
      return _ember['default'].assign({}, this.get('element.defaults'), JSON.parse(this.get('atts')));
    }),

    getScopedPropertyUpdate: function getScopedPropertyUpdate(path) {
      var values = this.get('values');
      var update = {};
      for (var key in values) {
        update[path + '.' + key] = values[key];
      }
      return update;
    }
  });
});
define('cornerstone/element/serializer', ['exports', 'ember', 'cornerstone/entity/serializer'], function (exports, _ember, _cornerstoneEntitySerializer) {
  exports['default'] = _cornerstoneEntitySerializer['default'].extend({
    normalize: function normalize(typeClass, hash) {

      function prenormalize(entity, region, order) {

        if (entity.attributes && entity.attributes.atts) {
          return entity;
        }

        if (region) {
          entity._region = region;
        }

        if (_ember['default'].isNone(order) && entity._order) {
          order = entity._order;
          delete entity._order;
        }

        var record = {
          attributes: {
            atts: entity,
            order: _ember['default'].isNone(order) ? 0 : order
          },
          type: typeClass.modelName
        };

        if (entity._parent) {
          record.relationships = {
            parent: {
              data: {
                id: entity._parent,
                type: typeClass.modelName
              }
            }
          };
          delete record.attributes.atts._parent;
        }

        if (entity._id) {
          record.id = entity._id;
          delete record.attributes.atts._id;
        }

        if (_ember['default'].isArray(entity._modules)) {
          (function () {

            var childOrder = 0;

            var children = entity._modules.map(function (child) {
              return prenormalize(child, entity._region, childOrder++);
            });

            if (children.length > 0) {
              record.attributes.children = children;
            }

            delete record.attributes.atts._modules;
          })();
        }

        return record;
      }

      var prenormalized = prenormalize(hash);
      return this._super(typeClass, prenormalized);
    }
  });

  // import Ember from 'ember';
  // import JSONSerializer from 'ember-data/serializers/json';
  // import EmbeddedRecordsMixin from 'ember-data/serializers/embedded-records-mixin';
  // import uuid from 'npm:uuid';

  // export default JSONSerializer.extend( EmbeddedRecordsMixin, {

  //   normalize(typeClass, hash) {
  //     debugger;
  //     let order = 0;

  //     let record = {
  //       id:   uuid.v4(),
  //       type: hash._type,
  //       modules: Ember.isArray( hash._modules ) ? hash._modules.map(function(child) {
  //         child._order = order++;
  //         child._region = hash._region;
  //         return child;
  //       }) : hash._modules,
  //       region: hash._region,
  //       order: Ember.isNone(hash._order) ? 0 : hash._order
  //     };

  //     if ( hash.parent ) {
  //       record.parent = hash.parent;
  //     }

  //     let atts = Ember.copy( hash );

  //     delete atts._type;
  //     delete atts._modules;
  //     delete atts._region;
  //     delete atts._order;

  //     record.atts = atts;

  //     return this._super(typeClass, record);
  //   },

  //   pushPayload: function(store, payload) {

  //     let documentHash = {
  //       data: [],
  //       included: []
  //     };

  //     for (var prop in payload) {
  //       var modelName = this.modelNameFromPayloadKey(prop);
  //       if ( ! store.modelFactoryFor(modelName)) {
  //         Ember.warn('Encountered "' + prop + '" in payload, but no model was found for model name "' + modelName + '" (resolved model name using ' + this.constructor.toString() + '.modelNameFromPayloadKey("' + prop + '"))', false, {
  //           id: 'ds.serializer.model-for-key-missing'
  //         });
  //         continue;
  //       }
  //       var type = store.modelFor(modelName);
  //       var typeSerializer = store.serializerFor(type.modelName);

  //       /*jshint loopfunc:true*/
  //       Ember.makeArray(payload[prop]).forEach((hash) => {
  //         let { data, included } = typeSerializer.normalize(type, hash, prop);
  //         documentHash.data.push(data);
  //         if (included) {
  //           documentHash.included.push(...included);
  //         }
  //       });
  //     }

  //     store.push(documentHash);
  //   },

  //   serialize: function(snapshot /*, options */) {

  //     var json = this._super.apply(this, arguments);

  //     // Apply sorted order
  //     let order = snapshot.record.get('moduleList').map(function(record) {
  //       return record.get('id');
  //     });

  //     json.modules.sort(function( a, b ) {

  //       a = order.indexOf( a._id ) ;
  //       b = order.indexOf( b._id );

  //       if ( a < b ) {
  //         return -1;
  //       }

  //       if ( a > b ) {
  //         return 1;
  //       }

  //       return 0;
  //     });

  //     let serialized = Ember.merge({}, json.atts || {} );
  //     serialized._modules = json.modules;
  //     serialized._type = json.type;
  //     serialized._id = json.id;

  //     return serialized;
  //   },

  //   attrs: {
  //     modules: {
  //       serialize: 'records',
  //       deserialize: 'records'
  //     }
  //   }
  // });
});
define('cornerstone/element/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({
    incomingType: null
  });
});
define('cornerstone/entity/adapter', ['exports', 'ember', 'ember-data/adapters/json-api', 'npm:uuid'], function (exports, _ember, _emberDataAdaptersJsonApi, _npmUuid) {
  exports['default'] = _emberDataAdaptersJsonApi['default'].extend({

    continuity: _ember['default'].inject.service(),

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findAll
    findAll: function findAll(store, type) {
      return this.get('continuity').findAll(type.modelName);
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_findRecord
    findRecord: function findRecord(store, type, id) {
      return this.get('continuity').findRecord(type.modelName, id);
    },

    // http://emberjs.com/api/data/classes/DS.Adapter.html#method_query
    query: function query() /* store, type, query */{},

    generateIdForRecord: function generateIdForRecord() {
      return _npmUuid['default'].v4();
    },

    shouldReloadRecord: function shouldReloadRecord() {
      return false;
    },

    shouldBackgroundReloadRecord: function shouldBackgroundReloadRecord() {
      return false;
    },

    //
    // Persistence
    //

    createRecord: function createRecord(store, type, snapshot) {
      return this._updateRequest('create', store, type, snapshot);
    },

    updateRecord: function updateRecord(store, type, snapshot) {
      return this._updateRequest('update', store, type, snapshot);
    },

    deleteRecord: function deleteRecord(store, type, snapshot) {
      return this._updateRequest('delete', store, type, snapshot);
    },

    _updateRequest: function _updateRequest(action, store, type, snapshot) {

      var data = this.serialize(snapshot, { includeId: true });
      if (this.get('continuity.onDeck._' + snapshot.id)) {
        // console.log('LOCAL UPDATE', this.get('continuity.xfr.agent.xfrOrigin'),snapshot.id,data.data.attributes.atts );
        this.set('continuity.onDeck._' + snapshot.id, null);
        return new _ember['default'].RSVP.Promise(function (resolve) {
          resolve(undefined);
        });
      }

      // console.log('SENDING UPDATE', this.get('continuity.xfr.agent.xfrOrigin'),snapshot.id, data.data.attributes.atts );
      return this.get('continuity').update(action, type.modelName, data);
    }
  });
});
define('cornerstone/entity/model', ['exports', 'ember', 'ember-data', 'ember-data/attr'], function (exports, _ember, _emberData, _emberDataAttr) {
  exports['default'] = _emberData['default'].Model.extend({

    atts: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),
    order: (0, _emberDataAttr['default'])({ defaultValue: 0 }),
    children: _emberData['default'].hasMany('entity', { inverse: 'parent', async: true }),
    parent: _emberData['default'].belongsTo('entity', { inverse: 'children', async: true }),

    continuity: _ember['default'].inject.service(),

    orderSort: ['order'],
    availableChildren: _ember['default'].computed.filterBy('children', 'pendingDelete', false),
    sortedAvailableChildren: _ember['default'].computed.sort('availableChildren', 'orderSort'),

    pendingDelete: _ember['default'].computed('isDeleted', 'willDelete', function () {
      return this.getWithDefault('isDeleted', false) || this.getWithDefault('willDelete', false);
    }),

    addChild: function addChild(atts, order, options) {

      // let oldOrder = order
      order = this._normalizeOrder(order);

      if (!atts) {
        atts = {};
      }

      atts = _ember['default'].copy(atts, true);

      atts._parent = this.get('id');
      atts._order = this.get('availableChildren.length'); // Always add to the end.
      var store = this.get('store');

      // TODO: Belongs in element model, not entity

      if (!atts._modules) {
        (function () {
          var populateDefaultChildren = function populateDefaultChildren(entity) {
            // eslint-disable-line no-inner-declarations

            var definition = store.peekRecord('element/definition', entity._type || 'undefined');

            if (definition) {

              var children = _ember['default'].copy(definition.get('options.default_children'), true);

              if (children) {
                entity._modules = children.map(populateDefaultChildren);
              }
            }

            return entity;
          };

          atts = populateDefaultChildren(atts);
        })();
      }

      var normalized = store.normalize(this.constructor.modelName, atts);

      var item = store.push(normalized);
      this.updateChildPosition(item, order); // Move item to intended position

      if (options) {
        if (options.indexedTitle && !item.get('atts.title')) {
          item.set('atts.title', item.get('indexedTitle').string);
        }
      }

      return item.saveAll();
    },

    saveAll: function saveAll() {

      var promises = _ember['default'].A();

      this.get('availableChildren').forEach(function (child) {
        promises.push(child.saveAll());
      });

      return new _ember['default'].RSVP.Promise((function (resolve) {
        _ember['default'].RSVP.allSettled(promises).then((function () {
          this.save().then(function (record) {
            resolve(record);
          });
        }).bind(this));
      }).bind(this));
    },

    // overrideAddChild( atts, order ) {
    //   return this._super( atts, order, {
    //     extra: 'stuff'
    //   })
    // }

    _normalizeOrder: function _normalizeOrder(order) {
      var length = this.get('availableChildren.length');

      if (_ember['default'].isNone(order) || order > length) {
        return length;
      } else if (order < 0) {
        return 0;
      }

      return order;
    },

    updatePosition: function updatePosition(index) {
      this.get('parent.updateChildPosition')(this, index);
    },

    updateChildPosition: function updateChildPosition(child, order) {
      var _this = this;

      order = this._normalizeOrder(order);

      var children = this.get('availableChildren').sortBy('order');
      var start = child.get('order');

      if (start < order) {
        // Moving down
        children.forEach(function (item, index) {
          if (index > start && index <= order) {
            item.set('order', index - 1);
          }
        });
      } else {
        // Moving up
        children.forEach(function (item, index) {
          if (index < start && index >= order) {
            item.set('order', index + 1);
          }
        });
      }

      child.set('order', order);

      var promises = _ember['default'].A();

      this.incrementProperty('childrenReordered'); // only works in same frame.

      children.forEach(function (child) {
        promises.push(child.save());
      });

      return new _ember['default'].RSVP.Promise(function (resolve) {
        _ember['default'].RSVP.allSettled(promises).then(function () {
          // console.log(`Moving ${child.get('id')} from ${start} to ${order}`, this.get('atts._type') );
          resolve(_this);
        });
      });
    },

    childrenReordered: 0,

    reorderChildren: function reorderChildren() {
      var _this2 = this;

      this.get('availableChildren').sortBy('order').forEach(function (model, index) {
        model.set('order', index);
        model.save().then(function () {
          return _this2.incrementProperty('childrenReordered');
        });
      });
    },

    changeParent: function changeParent(parent, order) {

      var copy = this.copy();

      parent.get('addChild')(copy.atts, order);

      this.selfDestruct();
    },

    boundMethods: ['addChild', 'updatePosition', 'updateChildPosition', 'changeParent', 'getCleanAtts', 'toElementTree', 'cleanToElementTree'],

    init: function init() {
      this._super.apply(this, arguments);
      this.get('boundMethods').forEach((function (method) {
        this.set(method, this.get(method).bind(this));
      }).bind(this));
      _ember['default'].run.next(this, this.updateObservers);
      this.setup();
    },

    setup: function setup() {},

    attsObserver: _ember['default'].observer('atts', function () {
      this.updateObservers();
    }),

    updateObservers: function updateObservers() {
      var atts = this.get('atts');
      for (var key in atts) {
        this.addObserver('atts.' + key, this, 'valueUpdated');
      }
      this._oldAtts = _ember['default'].copy(atts);
    },

    attsUpdated: 0,
    valueUpdated: function valueUpdated(self, key) {

      var current = self.get(key);

      if (_ember['default'].isNone(self._oldAtts)) {
        self._oldAtts = {};
      }

      var attKey = key.split('.').splice(1).join('.');

      if (self._oldAtts[attKey] === current) {
        return;
      }

      // console.log('Value updated', this.get('continuity.xfr.agent.xfrOrigin'), self._oldAtts[oldKey], current);
      self._oldAtts[attKey] = current;

      _ember['default'].set(this, 'attsUpdated', this.get('attsUpdated') + 1);
      this.hasChanged(attKey);

      // On an incoming push, this could run multiple times and we only want to save once
      _ember['default'].run.debounce(this, this.save, 0);
    },

    hasChanged: function hasChanged() /* key */{},

    willDestroy: function willDestroy() {
      for (var key in this.get('atts')) {
        this.removeObserver('atts.' + key, this, 'valueUpdated');
      }
    },

    selfDestruct: function selfDestruct() {
      var parent = this.get('parent.content');
      return new _ember['default'].RSVP.Promise((function (resolve) {
        this._selfDestruct().then(function () {
          if (parent) {
            parent.reorderChildren();
            parent.save().then(resolve);
          } else {
            resolve();
          }
        });
      }).bind(this));
    },

    _selfDestruct: function _selfDestruct() {
      var _this3 = this;

      this.set('willDelete', true);

      return new _ember['default'].RSVP.Promise(function (resolve) {

        _ember['default'].RSVP.all(_this3.get('availableChildren').invoke('_selfDestruct')).then(function () {

          var parent = _this3.get('parent');
          var parentModules = _this3.get('parent.children');

          if (parent && parentModules) {
            parentModules.removeObject(_this3);
            //parent.incrementProperty('newModuleOrder'); // DEBOUNCE?
          }

          _this3.destroyRecord().then(resolve);
        });
      });
    },

    destroyChildren: function destroyChildren() {
      var _this4 = this;

      return new _ember['default'].RSVP.Promise(function (resolve) {
        _ember['default'].RSVP.all(_this4.get('availableChildren').invoke('_selfDestruct')).then(function () {
          _this4.save().then(resolve);
        });
      });
    },

    copy: function copy(atts) {

      var data = this.serialize({ includeChildren: true });

      if (atts) {
        _ember['default'].merge(data.data.attributes.atts, atts);
      }

      data = JSON.parse(JSON.stringify(data.data));
      var copy = data.attributes.atts;

      function normalizeChild(child) {
        var normalized = child.attributes.atts;
        if (child.attributes.children) {
          normalized._modules = child.attributes.children.map(normalizeChild);
        }
        return normalized;
      }

      if (data.attributes.children) {
        copy._modules = data.attributes.children.map(normalizeChild);
      }

      return { atts: copy };
    },

    // duplicate( atts ) {
    //
    //   if ( ! this.get('parent.availableChildren') ) {
    //     return;
    //   }
    //
    //   let copy = this.copy(atts);

    //   this.get('parent.addChild')(copy.atts,this.get('order'),null,{
    //     children: copy.children
    //   });
    //
    // },

    getCleanAtts: function getCleanAtts() {
      var serialized = JSON.parse(JSON.stringify(_ember['default'].get(this.serialize(), 'data.attributes.atts')));
      serialized._id = this.get('id');
      return serialized;
    }

  });
});
define('cornerstone/entity/serializer', ['exports', 'ember-data/serializers/json-api', 'npm:uuid'], function (exports, _emberDataSerializersJsonApi, _npmUuid) {
  exports['default'] = _emberDataSerializersJsonApi['default'].extend({

    attrs: {
      children: { embedded: 'always' }
    },

    normalize: function normalize(typeClass, hash, prop) {

      var included = [];

      function prenormalize(hash) {

        if (!hash.id) {
          hash.id = _npmUuid['default'].v4();
        }

        hash.type = typeClass.modelName;

        if (hash.attributes.children) {

          // Populate relationships
          if (!hash.relationships) {
            hash.relationships = {};
          }
          if (!hash.relationships.children) {
            hash.relationships.children = {};
          }
          hash.relationships.children.data = hash.attributes.children.map(function (child) {
            child = prenormalize(child);
            if (!child.relationships) {
              child.relationships = {};
            }
            child.relationships.parent = {
              data: {
                id: hash.id,
                type: typeClass.modelName
              }
            };
            included.push(child);
            return {
              id: child.id,
              type: typeClass.modelName
            };
          });
          delete hash.attributes.children;
        }

        return hash;
      }

      var normalizedHash = this._super(typeClass, prenormalize(hash), prop);
      normalizedHash.included = included;
      return normalizedHash;
    },

    serialize: function serialize(snapshot, options) {

      var serialized = this._super.apply(this, arguments);

      delete serialized.data.attributes.atts._modules;
      if (options && options.includeChildren && snapshot.record.get('children.length') > 0) {
        (function () {
          var order = 0;
          var children = snapshot.record.get('children').sortBy('order').map(function (child) {
            var data = child.serialize({
              includeId: options.includeId || false,
              includeChildren: true,
              inner: true
            }).data;
            data.attributes.order = order++;
            return data;
          });

          if (children && children.length > 0) {
            serialized.data.attributes.children = children;
          }

          if (options.inner) {
            delete serialized.data.relationships;
            delete serialized.data.attributes.order;
          }
        })();
      }

      return serialized;
    }

  });
});
// import Ember from 'ember';
define('cornerstone/files/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({});
});
define("cornerstone/files/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 8,
                  "column": 4
                },
                "end": {
                  "line": 11,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/files/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("\n\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 12,
                "column": 2
              }
            },
            "moduleName": "cornerstone/files/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h2");
            var el2 = dom.createTextNode("Files");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-builder-search");
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [3]), 1, 1);
            morphs[1] = dom.createMorphAt(fragment, 5, 5, contextualElement);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["inline", "common/search-bar", [], ["target", "builder-index", "placeholder", "Search by Title", "autoFocus", true], ["loc", [null, [6, 6], [6, 95]]], 0, 0], ["block", "common/scroll-box", [], ["name", "search-results", "linkedSearch", "builder-index"], 0, null, ["loc", [null, [8, 4], [11, 26]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 14,
              "column": 0
            }
          },
          "moduleName": "cornerstone/files/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["block", "workspace/cs-workspace", [], [], 0, null, ["loc", [null, [3, 2], [12, 29]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 0
          }
        },
        "moduleName": "cornerstone/files/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "builder"], 0, null, ["loc", [null, [1, 0], [14, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/flash/object', ['exports', 'ember-cli-flash/flash/object'], function (exports, _emberCliFlashFlashObject) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberCliFlashFlashObject['default'];
    }
  });
});
define('cornerstone/footers/controller', ['exports', 'ember', 'cornerstone/util/flatten-assignments'], function (exports, _ember, _cornerstoneUtilFlattenAssignments) {
  exports['default'] = _ember['default'].Controller.extend({

    queryParams: ['lang'],
    lang: null,

    activeLanguage: _ember['default'].computed('lang', {
      get: function get(key) {
        var lang = this.get('lang');
        if (_ember['default'].isNone(lang)) {
          return window.csAppData.wpmlDefault;
        }
        return lang;
      },
      set: function set(key, value) {
        this.set('lang', value);
        if (!value) {
          return window.csAppData.wpmlDefault;
        }
        return value;
      }
    }),

    previewState: {
      route: 'regions-index',
      inc: 0
    },

    templateOptions: _ember['default'].computed('model.templates.[]', function () {
      return this.getWithDefault('model.templates', []).map(function (item) {
        return { value: item.get('id'), label: item.get('title') };
      });
    }),

    previewing: _ember['default'].computed('selectedTemplate', 'selected', 'defaultSelected', function () {

      if ('none' !== this.get('selectedTemplate')) {
        return 'footer-template:' + this.get('selectedTemplate');
      }

      if (this.get('selected.id')) {
        return 'footer:' + this.get('selected.id');
      }

      if (this.get('defaultSelected')) {
        return 'footer-template:' + this.get('model.defaultTemplate');
      }

      return 'off';
    }),

    previewUpdate: _ember['default'].observer('previewing', function () {
      _ember['default'].run.debounce(this, update.bind(this), 5);
      function update() {
        this.incrementProperty('previewState.inc');
        this.set('previewState.previewing', this.get('previewing'));
      }
    }),

    previewURL: _ember['default'].computed('url', 'selectedUrl', function () {

      var url = this.get('url');
      if (url) {
        return url;
      }

      var selectedUrl = this.get('selectedUrl');
      if (selectedUrl) {
        return this.get('selectedUrl');
      }

      return this.get('ui.defaultPreviewUrl');
    }),

    resetSelected: _ember['default'].observer('activeLanguage', function () {

      var activeLanguage = this.get('activeLanguage');
      var current = this.get('selected');

      var found = this.get('model.entries').find(function (item) {
        return activeLanguage === item.get('language.code') && current && (current.get('id') === '' + item.get('language.source') || '' + current.get('language.source') === item.get('id'));
      });

      this.set('selected', found || null);
    }),

    selectedAssignment: _ember['default'].computed('selected', 'model.assignments.value', 'flattenedAssignContexts', function () {
      var assignments = this.get('model.assignments.value');
      var contexts = this.get('flattenedAssignContexts');
      var id = this.get('selected.language.source');
      if (!id) {
        id = this.get('selected.id');
      }
      if (id) {
        id = String(id);
      }

      for (var context in assignments) {
        if (assignments.hasOwnProperty(context) && '' + id === assignments[context]) {
          if ('global' === context) {
            return 'global';
          }
          if (contexts[context]) {
            return contexts[context];
          }
        }
      }

      return null;
    }),

    selectedUrl: _ember['default'].computed('selectedAssignment', function () {
      var context = this.get('selectedAssignment');
      if ('global' === context) {
        return this.get('ui.defaultPreviewUrl');
      }
      return context && context.url ? context.url : null;
    }),

    assignContexts: _ember['default'].computed.alias('model.config.assign_contexts'),
    flattenedAssignContexts: _ember['default'].computed('assignContexts', function () {
      return (0, _cornerstoneUtilFlattenAssignments['default'])(this.get('assignContexts'));
    })

  });
});
define('cornerstone/footers/entry/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    title: (0, _emberDataAttr['default'])(),
    language: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {
          code: window.csAppData.wpmlDefault,
          source: null,
          fallback: Object.keys(window.csAppData.wpmlLanguages).filter(function (key) {
            return key !== window.csAppData.wpmlDefault;
          })
        };
      } }),

    titleObserver: _ember['default'].observer('title', function () {
      if (!this.get('title')) {
        this.set('title', 'Untitled');
      }
    }),

    modified: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return '';
      } }),

    ui: _ember['default'].inject.service(),

    meta: _ember['default'].computed('assignments', function () {

      var assignments = this.get('assignments');

      if (!assignments || !assignments.length) {
        assignments = [{ label: 'Unassigned' }];
      }

      var meta = assignments.map(function (item) {
        return item.label;
      });

      return meta.join(' &bull; ');
    })

  });
});
define('cornerstone/footers/footer/adapter', ['exports', 'cornerstone/adapters/cs-adapter'], function (exports, _cornerstoneAdaptersCsAdapter) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/footers/footer/controller', ['exports', 'ember', 'cornerstone/util/flatten-assignments'], function (exports, _ember, _cornerstoneUtilFlattenAssignments) {
  exports['default'] = _ember['default'].Controller.extend({

    inspectorService: _ember['default'].inject.service('footers/footer/inspector'),
    config: _ember['default'].inject.service(),
    url: null,

    queryParams: ['lang'],
    lang: null,

    activeLanguage: _ember['default'].computed('lang', {
      get: function get(key) {
        var lang = this.get('lang');
        if (_ember['default'].isNone(lang)) {
          return window.csAppData.wpmlDefault;
        }
        return lang;
      },
      set: function set(key, value) {
        this.set('lang', value);
        if (!value) {
          return window.csAppData.wpmlDefault;
        }
        return value;
      }
    }),

    previewState: {
      route: 'regions',
      mode: 'footers',
      custom_js: {}
    },

    previewURL: _ember['default'].computed('url', 'assignedUrl', function () {
      var url = this.get('url');
      if (url) {
        return url;
      }
      var assignedUrl = this.get('assignedUrl');
      if (assignedUrl) {
        return assignedUrl;
      }
      return this.get('ui.defaultPreviewUrl');
    }),

    assignedContext: _ember['default'].computed('model.footer', 'model.assignments.value', 'flattenedAssignContexts', function () {
      var assignments = this.get('model.assignments.value');
      var contexts = this.get('flattenedAssignContexts');
      var id = this.get('model.footer.id');

      for (var context in assignments) {
        if (assignments.hasOwnProperty(context) && '' + id === assignments[context]) {
          if ('global' === context) {
            return 'global';
          }
          if (contexts[context]) {
            return contexts[context];
          }
        }
      }

      return null;
    }),

    assignedUrl: _ember['default'].computed('assignedContext', function () {
      var context = this.get('assignedContext');
      if ('global' === context) {
        return this.get('ui.defaultPreviewUrl');
      }
      return context && context.url ? context.url : null;
    }),

    assignContexts: _ember['default'].computed.alias('model.config.assign_contexts'),
    flattenedAssignContexts: _ember['default'].computed('assignContexts', function () {
      var contexts = this.get('assignContexts');
      if (!_ember['default'].isArray(contexts)) {
        return [];
      }
      return (0, _cornerstoneUtilFlattenAssignments['default'])(contexts);
    }),

    customScriptObserver: _ember['default'].observer('model.footer.settings.customJS', function () {
      var customJS = this.get('model.footer.settings.customJS');
      this.set('previewState.custom_js.x-footer-custom-scripts', customJS ? customJS : null);
    }),

    actions: {
      runCustomJs: function runCustomJs() {
        this.get('ui').notify(this.get('i18n').t('app.notification-refreshing-preview'));
        this.incrementProperty('previewState.inc');
      }
    }

  });
});
define('cornerstone/footers/footer/inspector/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({

    service: _ember['default'].inject.service('footers'),
    inspectorService: _ember['default'].inject.service('footers/footer/inspector'),

    actions: {
      breadcrumbNavigate: function breadcrumbNavigate(element) {
        this.get('inspectorService').inspect(element);
      },
      applyPreset: function applyPreset(presetId) {
        this.get('inspectorService').applyPreset(presetId);
      },
      savePreset: function savePreset(name) {
        console.log(name);
      },
      observeStart: function observeStart(item) {
        this.get('ui.preview.xfr').message('preview:observe-start', item.get('id'));
      },
      observeEnd: function observeEnd(item) {
        this.get('ui.preview.xfr').message('preview:observe-end', item.get('id'));
      }
    }

  });
});
define('cornerstone/footers/footer/inspector/service', ['exports', 'cornerstone/services/inspector'], function (exports, _cornerstoneServicesInspector) {
  exports['default'] = _cornerstoneServicesInspector['default'].extend({});
});
// import Ember from 'ember';
define("cornerstone/footers/footer/inspector/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "footers", "label", ["subexpr", "t", ["app.footers.title"], [], ["loc", [null, [4, 34], [4, 57]]], 0, 0], "class", "cs-workspace-nav-divider"], ["loc", [null, [4, 6], [4, 92]]], 0, 0], ["subexpr", "hash", [], ["route", "footers.footer.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [5, 48], [5, 70]]], 0, 0]], ["loc", [null, [5, 6], [5, 72]]], 0, 0], ["subexpr", "hash", [], ["route", "footers.footer.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 51], [6, 76]]], 0, 0]], ["loc", [null, [6, 6], [6, 78]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0], ["inline", "common/bread-crumbs", [], ["activeItem", ["subexpr", "@mut", [["get", "inspectorService.inspecting", ["loc", [null, [10, 15], [10, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "items", ["subexpr", "@mut", [["get", "inspectorService.breadcrumbs", ["loc", [null, [11, 10], [11, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "onNavigate", ["subexpr", "action", ["breadcrumbNavigate"], [], ["loc", [null, [12, 15], [12, 44]]], 0, 0], "onMouseEnter", ["subexpr", "action", ["observeStart"], [], ["loc", [null, [13, 17], [13, 40]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["observeEnd"], [], ["loc", [null, [14, 17], [14, 38]]], 0, 0]], ["loc", [null, [9, 2], [15, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 25,
                  "column": 4
                },
                "end": {
                  "line": 41,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              return morphs;
            },
            statements: [["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["app.duplicate"], [], ["loc", [null, [31, 14], [31, 33]]], 0, 0], "content", ["subexpr", "icon", ["copy"], [], ["loc", [null, [32, 16], [32, 29]]], 0, 0], "action", ["subexpr", "route-action", ["duplicateElement", ["get", "inspectorService.inspecting", ["loc", [null, [33, 48], [33, 75]]], 0, 0, 0, 0]], [], ["loc", [null, [33, 15], [33, 76]]], 0, 0]], ["loc", [null, [30, 6], [34, 8]]], 0, 0], ["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["app.delete"], [], ["loc", [null, [36, 14], [36, 30]]], 0, 0], "quickConfirmLabel", ["subexpr", "t", ["app.really-delete"], [], ["loc", [null, [37, 26], [37, 49]]], 0, 0], "content", ["subexpr", "icon", ["trash"], [], ["loc", [null, [38, 16], [38, 30]]], 0, 0], "action", ["subexpr", "route-action", ["deleteElement", ["get", "inspectorService.inspecting", ["loc", [null, [39, 45], [39, 72]]], 0, 0, 0, 0]], [], ["loc", [null, [39, 15], [39, 73]]], 0, 0]], ["loc", [null, [35, 6], [40, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 2
              },
              "end": {
                "line": 42,
                "column": 2
              }
            },
            "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/inspector-actions", [], ["presets", ["subexpr", "@mut", [["get", "inspectorService.presets", ["loc", [null, [26, 14], [26, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "onApply", ["subexpr", "action", ["applyPreset"], [], ["loc", [null, [27, 14], [27, 36]]], 0, 0], "onSave", ["subexpr", "action", ["savePreset"], [], ["loc", [null, [28, 13], [28, 34]]], 0, 0]], 0, null, ["loc", [null, [25, 4], [41, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 0
            },
            "end": {
              "line": 43,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-controls", [], ["name", "inspector", "searchTarget", "footer-inspector", "searchPlaceholder", ["subexpr", "t", ["app.inspector.search"], [], ["loc", [null, [21, 22], [21, 48]]], 0, 0], "controls", ["subexpr", "@mut", [["get", "inspectorService.controlProxies", ["loc", [null, [22, 13], [22, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "groups", ["subexpr", "@mut", [["get", "inspectorService.controlGroups", ["loc", [null, [23, 11], [23, 41]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [18, 2], [42, 35]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 44,
                "column": 2
              },
              "end": {
                "line": 49,
                "column": 2
              }
            },
            "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-message", [], ["title", ["subexpr", "t", ["app.inspector.na-title"], [], ["loc", [null, [46, 12], [46, 40]]], 0, 0], "message", ["subexpr", "t", ["footers.inspector.na-message"], [], ["loc", [null, [47, 14], [47, 48]]], 0, 0]], ["loc", [null, [45, 4], [48, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 43,
              "column": 0
            },
            "end": {
              "line": 50,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "unless", [["get", "inspectorService.transitioning", ["loc", [null, [44, 12], [44, 42]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [44, 2], [49, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 52,
            "column": 0
          }
        },
        "moduleName": "cornerstone/footers/footer/inspector/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [16, 31]]]], ["block", "if", [["get", "inspectorService.inspecting", ["loc", [null, [17, 6], [17, 33]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [17, 0], [50, 7]]]], ["content", "outlet", ["loc", [null, [51, 0], [51, 10]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/footers/footer/layout/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    inspecting: _ember['default'].computed.alias('inspectorService.inspecting'),
    service: _ember['default'].inject.service('footers'),
    inspectorService: _ember['default'].inject.service('footers/footer/inspector')
  });
});
define("cornerstone/footers/footer/layout/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/footer/layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "footers", "label", ["subexpr", "t", ["app.footers.title"], [], ["loc", [null, [4, 34], [4, 57]]], 0, 0], "class", "cs-workspace-nav-divider"], ["loc", [null, [4, 6], [4, 92]]], 0, 0], ["subexpr", "hash", [], ["route", "footers.footer.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [5, 48], [5, 70]]], 0, 0]], ["loc", [null, [5, 6], [5, 72]]], 0, 0], ["subexpr", "hash", [], ["route", "footers.footer.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 51], [6, 76]]], 0, 0]], ["loc", [null, [6, 6], [6, 78]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 0
            },
            "end": {
              "line": 24,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/footer/layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 25,
            "column": 0
          }
        },
        "moduleName": "cornerstone/footers/footer/layout/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [9, 31]]]], ["block", "bars/region-manager", [], ["screen", "footers", "moduleDefinitions", ["subexpr", "@mut", [["get", "model.library", ["loc", [null, [12, 20], [12, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "inspecting", ["subexpr", "@mut", [["get", "inspecting", ["loc", [null, [13, 13], [13, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "activeRoot", ["subexpr", "@mut", [["get", "model.footer.root", ["loc", [null, [14, 13], [14, 30]]], 0, 0, 0, 0]], [], [], 0, 0], "onInspect", ["subexpr", "route-action", ["inspect"], [], ["loc", [null, [15, 12], [15, 36]]], 0, 0], "onFirstOpen", ["subexpr", "route-action", ["layoutFirstOpen"], [], ["loc", [null, [16, 14], [16, 46]]], 0, 0], "onNewElement", ["subexpr", "route-action", ["newElement"], [], ["loc", [null, [17, 15], [17, 42]]], 0, 0], "onDuplicateElement", ["subexpr", "route-action", ["duplicateElement"], [], ["loc", [null, [18, 21], [18, 54]]], 0, 0], "regions", ["subexpr", "array", [["subexpr", "hash", [], ["value", "footer", "label", "Footer"], ["loc", [null, [20, 4], [20, 41]]], 0, 0]], [], ["loc", [null, [19, 10], [21, 3]]], 0, 0]], 1, null, ["loc", [null, [10, 0], [24, 24]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/footers/footer/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    availableRegions: ['footer' /*, 'alternate' */],
    title: (0, _emberDataAttr['default'])(),
    language: (0, _emberDataAttr['default'])(),

    postType: (0, _emberDataAttr['default'])(),

    translateable: _ember['default'].computed('postType', function () {
      return window.csAppData.wpmlTranslateableTypes.includes(this.get('postType'));
    }),

    regions: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),

    settings: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),

    setupModules: function setupModules() {

      // Remove existing bar modules for a fresh slate
      this.store.unloadAll('element');

      var regions = this.get('regions');

      // Ensure we're working with clean data before sending it to the store
      regions = JSON.parse(JSON.stringify(regions));

      var normalized = this.store.normalize('element', {
        _id: 'root',
        _type: 'root',
        _modules: this.get('availableRegions').map(function (key) {
          return { _type: 'region', _region: key, _modules: _ember['default'].isNone(regions[key]) ? [] : regions[key] };
        })
      });

      this.store.push(normalized);
      this.set('root', this.store.peekRecord('element', 'root'));
      return this;
    },

    meta: _ember['default'].computed('assignments', function () {

      var assignments = this.get('assignments');

      if (!assignments || !assignments.length) {
        assignments = [{ label: 'Unassigned' }];
      }

      var meta = assignments.map(function (item) {
        return item.label;
      });

      return meta.join(' &bull; ');
    }),

    updateRegions: function updateRegions() {

      function cleanChildren(child) {
        var record = child.attributes.atts;

        if (child.attributes.children) {
          record._modules = child.attributes.children.map(cleanChildren);
        }

        return record;
      }
      var regions = {};

      this.get('root').serialize({ includeChildren: true }).data.attributes.children.map(function (region) {
        return cleanChildren(region);
      }).forEach(function (region) {
        if (region._modules) {
          regions[region._region] = region._modules;
        }
      });

      this.set('regions', null);
      this.set('regions', regions);

      return this;
    }

  });
});
define('cornerstone/footers/footer/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    inspectorService: _ember['default'].inject.service('footers/footer/inspector'),
    service: _ember['default'].inject.service('footers'),
    preview: _ember['default'].inject.service(),
    radio: _ember['default'].inject.service('global/radio'),

    acl: ['canUseRegions'],

    routeUI: {
      bar: ['preview-sizer', 'view-site', 'collapse', 'cheatsheet', 'save'],
      orientation: 'vertical'
    },

    queryParams: {
      lang: {
        refreshModel: true
      }
    },

    beforeModel: function beforeModel(transition) {

      this.permissionCheck();

      var lang = _ember['default'].get(transition, 'queryParams.lang');

      if (lang && !Object.keys(window.csAppData.wpmlLanguages).includes(lang)) {
        this.transitionTo({ queryParams: { lang: window.csAppData.wpmlDefault } });
      }
    },

    model: function model(_ref) {
      var _this = this;

      var footer_id = _ref.footer_id;
      var lang = _ref.lang;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var config = _this.get('config').fetch('footer-builder');
        var library = _this.store.findAll('element/definition');
        var assignments = _this.store.findRecord('option', 'cornerstone_footer_assignments');

        var footer = new _ember['default'].RSVP.Promise(function (resolveRecord, rejectRecord) {
          _this.store.findRecord('footers/footer', footer_id).then(function (footer) {

            if (!_ember['default'].isEmpty(window.csAppData.wpmlLanguages)) {
              var activeLang = lang ? lang : window.csAppData.wpmlDefault;
              if (activeLang !== footer.getWithDefault('language.code', window.csAppData.wpmlDefault)) {
                return resolveRecord({ reroute: 'translate', footer: footer });
              }
            }

            resolveRecord(footer.setupModules());
          }, rejectRecord);
        }).then(function (footer) {

          if ('translate' === footer.reroute) {
            resolve(footer);
          }

          _ember['default'].RSVP.hash({
            config: config,
            library: library,
            assignments: assignments,
            footer: footer
          }).then(function (result) {
            return resolve(result);
          }, reject);
        }, reject);
      });
    },

    afterModel: function afterModel(model, transition) {

      this.set('ui.unsavedData', false);

      if ('translate' === model.reroute) {

        var queryLang = _ember['default'].get(transition, 'queryParams.lang');

        if (!queryLang) {
          this.transitionTo('footers.footer', model.footer.get('id'), { queryParams: { lang: model.footer.get('language.code') } });
        } else {

          var availableTranslation = model.footer.get('language.translations.' + queryLang);

          if (availableTranslation) {
            // Record does have translation
            this.transitionTo('footers.footer', availableTranslation, { queryParams: { lang: queryLang } });
          }
        }

        return;
      }
    },

    deactivate: function deactivate() {
      this.store.unloadAll('element');
    },

    setupController: function setupController(controller, model) {
      this._super.apply(this, arguments);
      this.set('inspectorService.inspecting', null);
      this.set('routeUI.viewSiteURL', controller.get('assignedUrl'));
      this.get('ui').setRouteUI(this);
      this.setActivePane();

      controller.set('noTranslation', 'translate' === model.reroute);
    },

    renderTemplate: function renderTemplate() {

      this.render('partials/bar/footer', {
        outlet: 'bar',
        into: 'application'
      });

      this.render('partials/global/footer', {
        outlet: 'global',
        into: 'application'
      });

      this._super(this, arguments); // use default template rendering
    },

    redirect: function redirect() {
      this.transitionTo('footers.footer.layout');
    },

    setActivePane: function setActivePane() {

      Object.keys(this.get('router.router.state.params')).forEach((function (key) {
        if (key.includes('footers.footer.')) {
          this.set('controller.activePane', key.replace('footers.footer.', ''));
        }
      }).bind(this));
    },

    actions: {

      error: (function (_error) {
        function error(_x) {
          return _error.apply(this, arguments);
        }

        error.toString = function () {
          return _error.toString();
        };

        return error;
      })(function (error) {

        if (error) {
          console.log(error);
          return this.transitionTo('footers');
        }

        // Return true to bubble this event to any parent route.
        return true;
      }),

      willTransition: function willTransition(transition) {
        var _this2 = this;

        if (this.get('ui.unsavedData') && (!transition.targetName.includes('footers.footer') || _ember['default'].getWithDefault(transition.queryParams, 'lang', null) !== this.controllerFor(this.routeName).getWithDefault('lang', null))) {

          transition.abort();

          this.get('ui').confirm({
            noSkip: true,
            message: this.get('i18n').t('app.unsaved-warning'),
            accept: function accept() {
              _this2.set('ui.unsavedData', false);
              transition.retry();
            },
            acceptClass: 'sad'
          });
        }
      },

      save: function save() {
        var _this3 = this;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.modelFor(this.routeName).footer.updateRegions().save().then(function (data) {
          _ember['default'].Logger.info('Saving Footer', data);
          ui.endSaveProgress();
          ui.notify('Footer saved!', 'success');
          _this3.set('ui.unsavedData', false);
          _this3.controllerFor(_this3.routeName).set('lastSave', new Date());
        })['catch'](function (reason) {
          _ember['default'].Logger.warn(reason);
          ui.notify('Footer failed to save', 'error');
          ui.endSaveProgress();
        });
      },

      didTransition: function didTransition() {
        this.setActivePane();
        return true; // bubble to next route
      },

      observerInspect: function observerInspect(_ref2) {
        var id = _ref2.id;

        this.send('inspect', this.get('store').peekRecord('element', id));
      },

      inspect: function inspect(element) {
        var _this4 = this;

        var after = function after() {
          _this4.get('router').transitionTo('footers.footer.inspector');
        };

        if (this.get('inspectorService').isInspecting(element)) {
          after();
        } else {
          this.get('inspectorService').inspect(element, after);
        }
      },

      newElement: function newElement(element) {
        if ('bar' === element.get('atts._type')) {
          this.send('scrollToBottom');
        }
      },

      duplicateElement: function duplicateElement(element) {
        var _this5 = this;

        if (element.duplicate) {
          element.duplicate().then(function () {
            if ('bar' === element.get('atts._type')) {
              _this5.send('scrollToBottom');
            }
          });
        }
      },

      scrollToBottom: function scrollToBottom() {
        this.get('preview').scrollToBottomAfterRender();
      },

      layoutFirstOpen: function layoutFirstOpen() {},

      observeStart: function observeStart() /* element */{
        // console.log('observe start', element );
      },

      observeEnd: function observeEnd() /* element */{
        // console.log('observe end', element );
      },

      moveElement: function moveElement(element, order, parent) {
        if (parent && parent.get('id') !== element.get('parent.id')) {
          return element.get('changeParent')(parent, order);
        }
        element.get('updatePosition')(order);
      },

      deleteElement: function deleteElement(element) {
        this.get('ui').confirm({
          message: this.get('i18n').t('app.elements-confirm-delete', {
            title: element.get('definition.title')
          }),
          accept: function accept() {
            if (element && element.selfDestruct) {
              element.selfDestruct();
            }
          },
          acceptClass: 'sad'
        });
      },

      eraseElement: function eraseElement(element) {
        this.get('ui').confirm({
          message: this.get('i18n').t('app.elements-confirm-erase'),
          accept: function accept() {
            if (element && element.destroyChildren) {
              element.destroyChildren();
            }
          },
          acceptClass: 'sad'
        });
      },

      selectLanguage: function selectLanguage(lang) {
        var model = this.modelFor(this.routeName);
        var controller = this.controllerFor(this.routeName);

        if (lang === controller.get('lang')) {
          return;
        }

        var source = model.footer.get('language.translations.' + lang);

        if (_ember['default'].isNone(source)) {
          source = model.footer.get('language.source');
        }

        if (_ember['default'].isNone(source)) {
          source = model.footer.get('id');
        }

        this.transitionTo('footers.footer', source, { queryParams: { lang: lang } });
      },

      createTranslation: function createTranslation(_ref3) {
        var _this6 = this;

        var source = _ref3.source;
        var lang = _ref3.lang;
        var copyFrom = _ref3.copyFrom;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.get('csAjax').request('translation::create', { source: source, lang: lang, copyFrom: copyFrom }).then(function (response) {
          ui.endSaveProgress();
          ui.notify('Translation created!', 'success');
          _this6.transitionTo('footers.footer', response.id, { queryParams: { lang: lang } });
        }, function (fail) {
          console.warn('Error creating translation', error);
          ui.endSaveProgress();
          return ui.notify('Error creating translation', 'error');
        });
      }

    }

  });
});
define("cornerstone/footers/footer/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 4,
                    "column": 6
                  },
                  "end": {
                    "line": 6,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/footers/footer/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "debug/module-data", [], ["module", ["subexpr", "@mut", [["get", "inspectorService.inspecting", ["loc", [null, [5, 35], [5, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [5, 8], [5, 64]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 16,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/footer/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              dom.insertBoundary(fragment, 0);
              return morphs;
            },
            statements: [["block", "if", [["get", "ui.devToolsOpen", ["loc", [null, [4, 12], [4, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 6], [6, 13]]]], ["inline", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [8, 12], [8, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [9, 14], [9, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "preloader", "footers", "package", ["subexpr", "hash", [], ["customCSS", ["get", "model.footer.settings.customCSS", ["loc", [null, [12, 20], [12, 51]]], 0, 0, 0, 0]], ["loc", [null, [11, 16], [13, 9]]], 0, 0], "onObserverInspect", ["subexpr", "route-action", ["observerInspect"], [], ["loc", [null, [14, 26], [14, 58]]], 0, 0]], ["loc", [null, [7, 6], [15, 8]]], 0, 0]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 17,
                    "column": 6
                  },
                  "end": {
                    "line": 24,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/footers/footer/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/create-translation", [], ["targetLang", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [19, 21], [19, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "model", ["subexpr", "@mut", [["get", "model.footer", ["loc", [null, [20, 16], [20, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "onCreateTranslation", ["subexpr", "route-action", ["createTranslation"], [], ["loc", [null, [21, 30], [21, 64]]], 0, 0], "contextLabel", ["subexpr", "t", ["common.entity-footer"], [], ["loc", [null, [22, 23], [22, 49]]], 0, 0]], ["loc", [null, [18, 8], [23, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 16,
                  "column": 4
                },
                "end": {
                  "line": 25,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/footer/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "common/welcome-message", [], ["title", "Translate"], 0, null, ["loc", [null, [17, 6], [24, 33]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 26,
                  "column": 4
                },
                "end": {
                  "line": 32,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/footer/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/language-picker", [], ["activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [28, 23], [28, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelectLanguage", ["subexpr", "route-action", ["selectLanguage"], [], ["loc", [null, [29, 25], [29, 56]]], 0, 0], "top", true], ["loc", [null, [27, 6], [31, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 33,
                "column": 2
              }
            },
            "moduleName": "cornerstone/footers/footer/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["get", "noTranslation", ["loc", [null, [3, 14], [3, 27]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [3, 4], [25, 15]]]], ["block", "if", [["get", "ui.wpmlLanguages", ["loc", [null, [26, 10], [26, 26]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [26, 4], [32, 11]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 35,
                  "column": 4
                },
                "end": {
                  "line": 37,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/footer/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("    ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["content", "outlet", ["loc", [null, [36, 4], [36, 14]]], 0, 0, 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 34,
                "column": 2
              },
              "end": {
                "line": 39,
                "column": 2
              }
            },
            "moduleName": "cornerstone/footers/footer/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "workspace/cs-workspace", [], [], 0, null, ["loc", [null, [35, 4], [37, 31]]]], ["inline", "common/confirm-modal", [], ["screen", "footers"], ["loc", [null, [38, 4], [38, 45]]], 0, 0]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 40,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/footer/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/cs-canvas", [], [], 0, null, ["loc", [null, [2, 2], [33, 23]]]], ["block", "unless", [["get", "noTranslation", ["loc", [null, [34, 12], [34, 25]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [34, 2], [39, 13]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 41,
            "column": 0
          }
        },
        "moduleName": "cornerstone/footers/footer/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "footers-footer"], 0, null, ["loc", [null, [1, 0], [40, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/footers/footer/template/model', ['exports', 'ember-data/model', 'ember-data/attr'], function (exports, _emberDataModel, _emberDataAttr) {
  // import { belongsTo, hasMany } from 'ember-data/relationships';

  exports['default'] = _emberDataModel['default'].extend({
    title: (0, _emberDataAttr['default'])(),
    regions: (0, _emberDataAttr['default'])()
  });
});
define('cornerstone/footers/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    acl: ['canUseRegions'],

    routeUI: {
      bar: ['preview-sizer', 'collapse', 'cheatsheet'],
      orientation: 'vertical'
    },

    beforeModel: function beforeModel(transition) {
      this.store.unloadAll('footers/entry');
      this.permissionCheck();
    },

    model: function model() {
      return _ember['default'].RSVP.hash({
        config: this.get('config').fetch('footer-builder'),
        templates: this.store.findAll('footers/footer/template'),
        library: this.store.findAll('element/definition'),
        entries: this.store.findAll('footers/entry'),
        assignments: this.store.findRecord('option', 'cornerstone_footer_assignments'),
        newFooter: { title: '', template: '' },
        defaultTemplate: 'footer-default'
      });
    },

    afterModel: function afterModel(model) {
      var val = model.assignments.get('value');
      if (!val || _ember['default'].isEmpty(val)) {
        model.assignments.set('value', {});
      }
    },

    setupController: function setupController(controller, model) {
      this._super(controller, model);
      this.get('ui').setRouteUI(this);
      controller.set('activeModal', false);
      controller.set('selectedTemplate', 'none');
    },

    actions: {

      doEntryAction: function doEntryAction() {
        this.send.apply(this, arguments);
      },

      createDefault: function createDefault() {
        this.send('createNew', this.modelFor(this.routeName).defaultTemplate, 'Default Footer', true);
      },

      createNew: function createNew(templateId, title) {
        var _this = this;

        var transition = arguments.length <= 2 || arguments[2] === undefined ? false : arguments[2];

        if (!title) {
          return this.get('ui').notify('Your footer needs a title.', 'error');
        }

        if (!templateId) {
          return this.get('ui').notify('Your footer needs a template.', 'error');
        }

        var template = this.store.peekRecord('footers/footer/template', templateId);

        var footerEntry = this.store.createRecord('footers/entry', {
          title: title
        });

        var footer = this.store.createRecord('footers/footer', {
          title: title,
          regions: template.get('regions'),
          settings: template.get('settings')
        });

        this.controllerFor('footers').set('selectedTemplate', 'none');
        this.get('ui').beginSaveProgress();

        footer.save().then(function (saved) {
          footerEntry.set('id', saved.id);
          footerEntry.save();
          _this.get('ui').endSaveProgress();
          if (transition) {
            _this.transitionTo('footers.footer', saved.id);
          } else {
            _this.get('ui').notify('Footer created.', 'success');
          }
        })['catch'](function (reason) {
          _ember['default'].Logger.warn('Could not create new footer', reason);
          _this.get('ui').notify('Unable to create new footer.');
        });
      },

      entryDuplicate: function entryDuplicate(entry) {
        var _this2 = this;

        this.get('store').findRecord('footers/footer', entry.get('id')).then(function (record) {

          var data = record.serialize();
          var title = _this2.get('i18n').t('app.copy-of', { title: data.data.attributes.title }).toString();

          var footerEntry = _this2.store.createRecord('footers/entry', {
            title: title
          });

          var footer = _this2.store.createRecord('footers/footer', {
            title: title,
            regions: data.data.attributes.regions,
            settings: data.data.attributes.settings
          });

          _this2.get('ui').beginSaveProgress();
          footer.save().then(function (saved) {
            footerEntry.set('id', saved.id);
            footerEntry.save();
            _this2.get('ui').notify('Footer duplicated', 'success');
            _this2.get('ui').endSaveProgress();
          })['catch'](function (reason) {
            _ember['default'].Logger.warn('Could not create new footer', reason);
            _this2.get('ui').notify('Unable to duplicate footer.', 'error');
            _this2.get('ui').endSaveProgress();
          });
        });
      },

      entryDelete: function entryDelete(entry) {
        var _this3 = this;

        this.get('ui').confirm({
          screen: 'footers',
          message: this.get('i18n').t('footers.entry-delete-confirm'),
          acceptClass: 'sad',
          accept: function accept() {

            _this3.get('store').findRecord('footers/footer', entry.get('id')).then(function (record) {
              _this3.controllerFor('footers').set('selected', null);
              entry.destroyRecord();
              record.destroyRecord().then(function () {
                _this3.get('ui').notify('Footer deleted');
                _this3.modelFor(_this3.routeName).assignments.reload();
              }, function (reason) {
                _ember['default'].Logger.warn('Could not delete footer', reason);
                _this3.get('ui').notify('Unable to delete footer.', 'error');
              });
            });
          }
        });
      },

      entryTitleUpdate: function entryTitleUpdate(entry) {
        var _this4 = this;

        this.get('store').findRecord('footers/footer', entry.get('id')).then(function (record) {

          record.set('title', entry.get('title'));
          _this4.get('ui').beginSaveProgress();

          record.save().then(function () {
            _this4.get('ui').endSaveProgress();
          }, function (reason) {
            _ember['default'].Logger.warn('Could not update footer title', reason);
            _this4.get('ui').notify('Unable to update footer title.', 'error');
          });
        });
      }

    }

  });
});
define('cornerstone/footers/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({
    selected: null,
    inspect: function inspect(element, after) {
      this.set('selected', element);
      if (after) {
        after.call();
      }
    }
  });
});
define("cornerstone/footers/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 4,
                    "column": 6
                  },
                  "end": {
                    "line": 6,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/footers/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/welcome-message", [], ["title", ["subexpr", "t", ["app.templates.blank-welcome"], [], ["loc", [null, [5, 39], [5, 72]]], 0, 0]], ["loc", [null, [5, 8], [5, 74]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 7,
                      "column": 8
                    },
                    "end": {
                      "line": 12,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/footers/template.hbs"
                },
                isEmpty: true,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 6,
                    "column": 6
                  },
                  "end": {
                    "line": 13,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/footers/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [8, 14], [8, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [9, 16], [9, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "preloader", "footers"], 0, null, ["loc", [null, [7, 8], [12, 33]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 14,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["subexpr", "eq", ["blank", ["get", "selectedTemplate", ["loc", [null, [4, 24], [4, 40]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 12], [4, 41]]], 0, 0]], [], 0, 1, ["loc", [null, [4, 6], [13, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 15,
                    "column": 6
                  },
                  "end": {
                    "line": 19,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/footers/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                dom.setAttribute(el1, "class", "cs-welcome-icon cs-welcome-icon-cs-logo");
                var el2 = dom.createTextNode("\n          ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n        ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
                return morphs;
              },
              statements: [["inline", "cs-icon", ["interface/logo-footers-flat-original"], [], ["loc", [null, [17, 10], [17, 60]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 14,
                  "column": 4
                },
                "end": {
                  "line": 20,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "common/welcome-message", [], [], 0, null, ["loc", [null, [15, 6], [19, 33]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 21,
                  "column": 4
                },
                "end": {
                  "line": 27,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/footers/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/language-picker", [], ["activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [23, 23], [23, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelectLanguage", ["subexpr", "route-action", ["selectLanguage"], [], ["loc", [null, [24, 25], [24, 56]]], 0, 0], "top", true], ["loc", [null, [22, 6], [26, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 28,
                "column": 2
              }
            },
            "moduleName": "cornerstone/footers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["subexpr", "eq", ["off", ["get", "previewing", ["loc", [null, [3, 24], [3, 34]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 14], [3, 35]]], 0, 0]], [], 0, 1, ["loc", [null, [3, 4], [20, 15]]]], ["block", "if", [["get", "ui.wpmlLanguages", ["loc", [null, [21, 10], [21, 26]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [21, 4], [27, 11]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 29,
                "column": 2
              },
              "end": {
                "line": 61,
                "column": 2
              }
            },
            "moduleName": "cornerstone/footers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            return morphs;
          },
          statements: [["inline", "regions/hf-index", [], ["context", "footers", "assignContexts", ["subexpr", "@mut", [["get", "flattenedAssignContexts", ["loc", [null, [32, 21], [32, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "assignments", ["subexpr", "@mut", [["get", "model.assignments", ["loc", [null, [33, 18], [33, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "entries", ["subexpr", "@mut", [["get", "model.entries", ["loc", [null, [34, 14], [34, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "selected", ["subexpr", "@mut", [["get", "selected", ["loc", [null, [35, 15], [35, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedTemplate", ["subexpr", "@mut", [["get", "selectedTemplate", ["loc", [null, [36, 23], [36, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "defaultSelected", ["subexpr", "@mut", [["get", "defaultSelected", ["loc", [null, [37, 22], [37, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "templateOptions", ["subexpr", "@mut", [["get", "templateOptions", ["loc", [null, [38, 22], [38, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "onAction", ["subexpr", "route-action", ["doEntryAction"], [], ["loc", [null, [39, 15], [39, 45]]], 0, 0], "activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [40, 21], [40, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "editRoute", "footers.footer", "onCreate", ["subexpr", "route-action", ["createNew"], [], ["loc", [null, [42, 15], [42, 41]]], 0, 0], "onTitleUpdate", ["subexpr", "route-action", ["entryTitleUpdate"], [], ["loc", [null, [43, 20], [43, 53]]], 0, 0], "assignLabels", ["subexpr", "hash", [], ["globalMessage", "This footer is currently assigned as your global (default) footer.", "blankMessage", "Click a footer to manage assignments."], ["loc", [null, [44, 19], [47, 7]]], 0, 0], "createLabels", ["subexpr", "hash", [], ["heading", "Create Footer", "previewMessage", "Select a template to begin. Your choice will be previewed above.", "createMessage", "To start building with this footer, name it below and click <strong>Create.</strong>", "templatePlaceholder", "Choose Template", "titlePlaceholder", "", "createLabel", "Create"], ["loc", [null, [48, 19], [55, 7]]], 0, 0], "manageLabels", ["subexpr", "hash", [], ["defaultItem", "Default Footer"], ["loc", [null, [56, 19], [58, 7]]], 0, 0]], ["loc", [null, [30, 4], [59, 6]]], 0, 0], ["content", "outlet", ["loc", [null, [60, 4], [60, 14]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 63,
              "column": 0
            }
          },
          "moduleName": "cornerstone/footers/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "global/cs-canvas", [], [], 0, null, ["loc", [null, [2, 2], [28, 23]]]], ["block", "workspace/cs-workspace", [], [], 1, null, ["loc", [null, [29, 2], [61, 29]]]], ["inline", "common/confirm-modal", [], ["screen", "footers"], ["loc", [null, [62, 2], [62, 43]]], 0, 0]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 64,
            "column": 0
          }
        },
        "moduleName": "cornerstone/footers/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "footers"], 0, null, ["loc", [null, [1, 0], [63, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/fragment/adapter', ['exports', 'cornerstone/adapters/cs-longevity-adapter'], function (exports, _cornerstoneAdaptersCsLongevityAdapter) {
  exports['default'] = _cornerstoneAdaptersCsLongevityAdapter['default'].extend({
    csBackgroundReloadRefreshRate: 150000
  });
});
// import Ember from 'ember';
define('cornerstone/fragment/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({
    value: (0, _emberDataAttr['default'])(),

    loadedAt: _ember['default'].on('didLoad', function () {
      this.set('loadedAt', new Date());
    })
  });
});
define('cornerstone/global/radio/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend(_ember['default'].Evented);
});
define('cornerstone/headers/controller', ['exports', 'ember', 'cornerstone/util/flatten-assignments'], function (exports, _ember, _cornerstoneUtilFlattenAssignments) {
  exports['default'] = _ember['default'].Controller.extend({

    queryParams: ['lang'],
    lang: null,

    activeLanguage: _ember['default'].computed('lang', {
      get: function get(key) {
        var lang = this.get('lang');
        if (_ember['default'].isNone(lang)) {
          return window.csAppData.wpmlDefault;
        }
        return lang;
      },
      set: function set(key, value) {
        this.set('lang', value);
        if (!value) {
          return window.csAppData.wpmlDefault;
        }
        return value;
      }
    }),

    previewState: {
      route: 'regions-index',
      inc: 0
    },

    templateOptions: _ember['default'].computed('model.templates.[]', function () {
      return this.getWithDefault('model.templates', []).map(function (item) {
        return { value: item.get('id'), label: item.get('title') };
      });
    }),

    previewing: _ember['default'].computed('selectedTemplate', 'selected', 'defaultSelected', function () {

      if ('none' !== this.get('selectedTemplate')) {
        return 'header-template:' + this.get('selectedTemplate');
      }

      if (this.get('selected.id')) {
        return 'header:' + this.get('selected.id');
      }

      if (this.get('defaultSelected')) {
        return 'header-template:' + this.get('model.defaultTemplate');
      }

      return 'off';
    }),

    previewUpdate: _ember['default'].observer('previewing', function () {
      _ember['default'].run.debounce(this, update.bind(this), 5);
      function update() {
        this.incrementProperty('previewState.inc');
        this.set('previewState.previewing', this.get('previewing'));
      }
    }),

    previewURL: _ember['default'].computed('url', 'selectedUrl', function () {

      var url = this.get('url');
      if (url) {
        return url;
      }

      var selectedUrl = this.get('selectedUrl');
      if (selectedUrl) {
        return this.get('selectedUrl');
      }

      return this.get('ui.defaultPreviewUrl');
    }),

    resetSelected: _ember['default'].observer('activeLanguage', function () {

      var activeLanguage = this.get('activeLanguage');
      var current = this.get('selected');

      var found = this.get('model.entries').find(function (item) {
        return activeLanguage === item.get('language.code') && current && (current.get('id') === '' + item.get('language.source') || '' + current.get('language.source') === item.get('id'));
      });

      this.set('selected', found || null);
    }),

    selectedAssignment: _ember['default'].computed('selected', 'model.assignments.value', 'flattenedAssignContexts', function () {
      var assignments = this.get('model.assignments.value');
      var contexts = this.get('flattenedAssignContexts');
      var id = this.get('selected.language.source');
      if (!id) {
        id = this.get('selected.id');
      }
      if (id) {
        id = String(id);
      }

      for (var context in assignments) {
        if (assignments.hasOwnProperty(context) && '' + id === assignments[context]) {
          if ('global' === context) {
            return 'global';
          }
          if (contexts[context]) {
            return contexts[context];
          }
        }
      }

      return null;
    }),

    selectedUrl: _ember['default'].computed('selectedAssignment', function () {
      var context = this.get('selectedAssignment');
      if ('global' === context) {
        return this.get('ui.defaultPreviewUrl');
      }
      return context && context.url ? context.url : null;
    }),

    assignContexts: _ember['default'].computed.alias('model.config.assign_contexts'),
    flattenedAssignContexts: _ember['default'].computed('assignContexts', function () {
      return (0, _cornerstoneUtilFlattenAssignments['default'])(this.get('assignContexts'));
    })

  });
});
define('cornerstone/headers/entry/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    title: (0, _emberDataAttr['default'])(),
    language: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {
          code: window.csAppData.wpmlDefault,
          source: null,
          fallback: Object.keys(window.csAppData.wpmlLanguages).filter(function (key) {
            return key !== window.csAppData.wpmlDefault;
          })
        };
      } }),

    titleObserver: _ember['default'].observer('title', function () {
      if (!this.get('title')) {
        this.set('title', 'Untitled');
      }
    }),

    modified: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return '';
      } }),

    ui: _ember['default'].inject.service(),

    meta: _ember['default'].computed('assignments', function () {

      var assignments = this.get('assignments');

      if (!assignments || !assignments.length) {
        assignments = [{ label: 'Unassigned' }];
      }

      var meta = assignments.map(function (item) {
        return item.label;
      });

      return meta.join(' &bull; ');
    })

  });
});
define('cornerstone/headers/header/adapter', ['exports', 'cornerstone/adapters/cs-adapter'], function (exports, _cornerstoneAdaptersCsAdapter) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/headers/header/controller', ['exports', 'ember', 'cornerstone/util/flatten-assignments'], function (exports, _ember, _cornerstoneUtilFlattenAssignments) {
  exports['default'] = _ember['default'].Controller.extend({

    inspectorService: _ember['default'].inject.service('headers/header/inspector'),
    config: _ember['default'].inject.service(),
    url: null,

    queryParams: ['lang'],
    lang: null,

    activeLanguage: _ember['default'].computed('lang', {
      get: function get(key) {
        var lang = this.get('lang');
        if (_ember['default'].isNone(lang)) {
          return window.csAppData.wpmlDefault;
        }
        return lang;
      },
      set: function set(key, value) {
        this.set('lang', value);
        if (!value) {
          return window.csAppData.wpmlDefault;
        }
        return value;
      }
    }),

    previewState: {
      route: 'regions',
      mode: 'headers',
      custom_js: {}
    },

    previewURL: _ember['default'].computed('url', 'assignedUrl', function () {
      var url = this.get('url');
      if (url) {
        return url;
      }
      var assignedUrl = this.get('assignedUrl');
      if (assignedUrl) {
        return assignedUrl;
      }
      return this.get('ui.defaultPreviewUrl');
    }),

    assignedContext: _ember['default'].computed('model.header', 'model.assignments.value', 'flattenedAssignContexts', function () {
      var assignments = this.get('model.assignments.value');
      var contexts = this.get('flattenedAssignContexts');
      var id = this.get('model.header.id');

      for (var context in assignments) {
        if (assignments.hasOwnProperty(context) && '' + id === assignments[context]) {
          if ('global' === context) {
            return 'global';
          }
          if (contexts[context]) {
            return contexts[context];
          }
        }
      }

      return null;
    }),

    assignedUrl: _ember['default'].computed('assignedContext', function () {
      var context = this.get('assignedContext');
      if ('global' === context) {
        return this.get('ui.defaultPreviewUrl');
      }
      return context && context.url ? context.url : null;
    }),

    assignContexts: _ember['default'].computed.alias('model.config.assign_contexts'),
    flattenedAssignContexts: _ember['default'].computed('assignContexts', function () {
      var contexts = this.get('assignContexts');
      if (!_ember['default'].isArray(contexts)) {
        return [];
      }
      return (0, _cornerstoneUtilFlattenAssignments['default'])(contexts);
    }),

    customScriptObserver: _ember['default'].observer('model.header.settings.customJS', function () {
      var customJS = this.get('model.header.settings.customJS');
      this.set('previewState.custom_js.x-header-custom-scripts', customJS ? customJS : null);
    }),

    actions: {
      runCustomJs: function runCustomJs() {
        this.get('ui').notify(this.get('i18n').t('app.notification-refreshing-preview'));
        this.incrementProperty('previewState.inc');
      }
    }

  });
});
define('cornerstone/headers/header/inspector/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({

    service: _ember['default'].inject.service('headers'),
    inspectorService: _ember['default'].inject.service('headers/header/inspector'),

    actions: {
      breadcrumbNavigate: function breadcrumbNavigate(element) {
        this.get('inspectorService').inspect(element);
      },
      applyPreset: function applyPreset(presetId) {
        this.get('inspectorService').applyPreset(presetId);
      },
      savePreset: function savePreset(name) {
        console.log(name);
      },
      observeStart: function observeStart(item) {
        this.get('ui.preview.xfr').message('preview:observe-start', item.get('id'));
      },
      observeEnd: function observeEnd(item) {
        this.get('ui.preview.xfr').message('preview:observe-end', item.get('id'));
      }
    }

  });
});
define('cornerstone/headers/header/inspector/service', ['exports', 'cornerstone/services/inspector'], function (exports, _cornerstoneServicesInspector) {
  exports['default'] = _cornerstoneServicesInspector['default'].extend({});
});
// import Ember from 'ember';
define("cornerstone/headers/header/inspector/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/headers/header/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "headers", "label", ["subexpr", "t", ["app.headers.title"], [], ["loc", [null, [4, 34], [4, 57]]], 0, 0], "class", "cs-workspace-nav-divider"], ["loc", [null, [4, 6], [4, 92]]], 0, 0], ["subexpr", "hash", [], ["route", "headers.header.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [5, 48], [5, 70]]], 0, 0]], ["loc", [null, [5, 6], [5, 72]]], 0, 0], ["subexpr", "hash", [], ["route", "headers.header.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 51], [6, 76]]], 0, 0]], ["loc", [null, [6, 6], [6, 78]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0], ["inline", "common/bread-crumbs", [], ["activeItem", ["subexpr", "@mut", [["get", "inspectorService.inspecting", ["loc", [null, [10, 15], [10, 42]]], 0, 0, 0, 0]], [], [], 0, 0], "items", ["subexpr", "@mut", [["get", "inspectorService.breadcrumbs", ["loc", [null, [11, 10], [11, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "onNavigate", ["subexpr", "action", ["breadcrumbNavigate"], [], ["loc", [null, [12, 15], [12, 44]]], 0, 0], "onMouseEnter", ["subexpr", "action", ["observeStart"], [], ["loc", [null, [13, 17], [13, 40]]], 0, 0], "onMouseLeave", ["subexpr", "action", ["observeEnd"], [], ["loc", [null, [14, 17], [14, 38]]], 0, 0]], ["loc", [null, [9, 2], [15, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 25,
                  "column": 4
                },
                "end": {
                  "line": 41,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/header/inspector/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
              return morphs;
            },
            statements: [["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["app.duplicate"], [], ["loc", [null, [31, 14], [31, 33]]], 0, 0], "content", ["subexpr", "icon", ["copy"], [], ["loc", [null, [32, 16], [32, 29]]], 0, 0], "action", ["subexpr", "route-action", ["duplicateElement", ["get", "inspectorService.inspecting", ["loc", [null, [33, 48], [33, 75]]], 0, 0, 0, 0]], [], ["loc", [null, [33, 15], [33, 76]]], 0, 0]], ["loc", [null, [30, 6], [34, 8]]], 0, 0], ["inline", "workspace/workspace-actions/action-item", [], ["label", ["subexpr", "t", ["app.delete"], [], ["loc", [null, [36, 14], [36, 30]]], 0, 0], "quickConfirmLabel", ["subexpr", "t", ["app.really-delete"], [], ["loc", [null, [37, 26], [37, 49]]], 0, 0], "content", ["subexpr", "icon", ["trash"], [], ["loc", [null, [38, 16], [38, 30]]], 0, 0], "action", ["subexpr", "route-action", ["deleteElement", ["get", "inspectorService.inspecting", ["loc", [null, [39, 45], [39, 72]]], 0, 0, 0, 0]], [], ["loc", [null, [39, 15], [39, 73]]], 0, 0]], ["loc", [null, [35, 6], [40, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 2
              },
              "end": {
                "line": 42,
                "column": 2
              }
            },
            "moduleName": "cornerstone/headers/header/inspector/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/inspector-actions", [], ["presets", ["subexpr", "@mut", [["get", "inspectorService.presets", ["loc", [null, [26, 14], [26, 38]]], 0, 0, 0, 0]], [], [], 0, 0], "onApply", ["subexpr", "action", ["applyPreset"], [], ["loc", [null, [27, 14], [27, 36]]], 0, 0], "onSave", ["subexpr", "action", ["savePreset"], [], ["loc", [null, [28, 13], [28, 34]]], 0, 0]], 0, null, ["loc", [null, [25, 4], [41, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 0
            },
            "end": {
              "line": 43,
              "column": 0
            }
          },
          "moduleName": "cornerstone/headers/header/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-controls", [], ["name", "inspector", "searchTarget", "header-inspector", "searchPlaceholder", ["subexpr", "t", ["app.inspector.search"], [], ["loc", [null, [21, 22], [21, 48]]], 0, 0], "controls", ["subexpr", "@mut", [["get", "inspectorService.controlProxies", ["loc", [null, [22, 13], [22, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "groups", ["subexpr", "@mut", [["get", "inspectorService.controlGroups", ["loc", [null, [23, 11], [23, 41]]], 0, 0, 0, 0]], [], [], 0, 0]], 0, null, ["loc", [null, [18, 2], [42, 35]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 44,
                "column": 2
              },
              "end": {
                "line": 49,
                "column": 2
              }
            },
            "moduleName": "cornerstone/headers/header/inspector/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "workspace/workspace-message", [], ["title", ["subexpr", "t", ["app.inspector.na-title"], [], ["loc", [null, [46, 12], [46, 40]]], 0, 0], "message", ["subexpr", "t", ["headers.inspector.na-message"], [], ["loc", [null, [47, 14], [47, 48]]], 0, 0]], ["loc", [null, [45, 4], [48, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 43,
              "column": 0
            },
            "end": {
              "line": 50,
              "column": 0
            }
          },
          "moduleName": "cornerstone/headers/header/inspector/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "unless", [["get", "inspectorService.transitioning", ["loc", [null, [44, 12], [44, 42]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [44, 2], [49, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 52,
            "column": 0
          }
        },
        "moduleName": "cornerstone/headers/header/inspector/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [16, 31]]]], ["block", "if", [["get", "inspectorService.inspecting", ["loc", [null, [17, 6], [17, 33]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [17, 0], [50, 7]]]], ["content", "outlet", ["loc", [null, [51, 0], [51, 10]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/headers/header/layout/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    inspecting: _ember['default'].computed.alias('inspectorService.inspecting'),
    service: _ember['default'].inject.service('headers'),
    inspectorService: _ember['default'].inject.service('headers/header/inspector')
  });
});
define("cornerstone/headers/header/layout/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/headers/header/layout/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "workspace/workspace-nav", [], ["items", ["subexpr", "array", [["subexpr", "hash", [], ["route", "headers", "label", ["subexpr", "t", ["app.headers.title"], [], ["loc", [null, [4, 34], [4, 57]]], 0, 0], "class", "cs-workspace-nav-divider"], ["loc", [null, [4, 6], [4, 92]]], 0, 0], ["subexpr", "hash", [], ["route", "headers.header.layout", "label", ["subexpr", "t", ["app.layout.title"], [], ["loc", [null, [5, 48], [5, 70]]], 0, 0]], ["loc", [null, [5, 6], [5, 72]]], 0, 0], ["subexpr", "hash", [], ["route", "headers.header.inspector", "label", ["subexpr", "t", ["app.inspector.title"], [], ["loc", [null, [6, 51], [6, 76]]], 0, 0]], ["loc", [null, [6, 6], [6, 78]]], 0, 0]], [], ["loc", [null, [3, 10], [7, 5]]], 0, 0]], ["loc", [null, [2, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 26,
            "column": 0
          }
        },
        "moduleName": "cornerstone/headers/header/layout/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [9, 31]]]], ["inline", "bars/region-manager", [], ["screen", "headers", "moduleDefinitions", ["subexpr", "@mut", [["get", "model.library", ["loc", [null, [12, 20], [12, 33]]], 0, 0, 0, 0]], [], [], 0, 0], "inspecting", ["subexpr", "@mut", [["get", "inspecting", ["loc", [null, [13, 13], [13, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "activeRoot", ["subexpr", "@mut", [["get", "model.header.root", ["loc", [null, [14, 13], [14, 30]]], 0, 0, 0, 0]], [], [], 0, 0], "onInspect", ["subexpr", "route-action", ["inspect"], [], ["loc", [null, [15, 12], [15, 36]]], 0, 0], "onFirstOpen", ["subexpr", "route-action", ["layoutFirstOpen"], [], ["loc", [null, [16, 14], [16, 46]]], 0, 0], "onNewElement", ["subexpr", "route-action", ["newElement"], [], ["loc", [null, [17, 15], [17, 42]]], 0, 0], "onDuplicateElement", ["subexpr", "route-action", ["duplicateElement"], [], ["loc", [null, [18, 21], [18, 54]]], 0, 0], "regions", ["subexpr", "array", [["subexpr", "hash", [], ["value", "top", "label", "Top"], ["loc", [null, [20, 4], [20, 38]]], 0, 0], ["subexpr", "hash", [], ["value", "left", "label", "Left", "oneBar", true], ["loc", [null, [21, 4], [21, 51]]], 0, 0], ["subexpr", "hash", [], ["value", "right", "label", "Right", "oneBar", true], ["loc", [null, [22, 4], [22, 52]]], 0, 0], ["subexpr", "hash", [], ["value", "bottom", "label", "Bottom", "oneBar", true], ["loc", [null, [23, 4], [23, 53]]], 0, 0]], [], ["loc", [null, [19, 10], [24, 3]]], 0, 0]], ["loc", [null, [10, 0], [25, 2]]], 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/headers/header/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    availableRegions: ['top', 'left', 'bottom', 'right' /*, 'alternate' */],
    title: (0, _emberDataAttr['default'])(),
    language: (0, _emberDataAttr['default'])(),

    postType: (0, _emberDataAttr['default'])(),

    translateable: _ember['default'].computed('postType', function () {
      return window.csAppData.wpmlTranslateableTypes.includes(this.get('postType'));
    }),

    regions: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),

    settings: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),

    setupModules: function setupModules() {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve /*, reject*/) {
        // Remove existing bar modules for a fresh slate
        _this.store.unloadAll('element');

        var regions = _this.get('regions');

        // Ensure we're working with clean data before sending it to the store
        regions = JSON.parse(JSON.stringify(regions));

        var normalized = _this.store.normalize('element', {
          _id: 'root',
          _type: 'root',
          _modules: _this.get('availableRegions').map(function (key) {
            return { _type: 'region', _region: key, _modules: _ember['default'].isNone(regions[key]) ? [] : regions[key] };
          })
        });

        _this.store.push(normalized);
        _this.set('root', _this.store.peekRecord('element', 'root'));
        resolve(_this);
      });
    },

    updateRegions: function updateRegions() {

      function cleanChildren(child) {
        var record = child.attributes.atts;

        if (child.attributes.children) {
          record._modules = child.attributes.children.map(cleanChildren);
        }

        return record;
      }

      var regions = {};

      var serialized = this.get('root').serialize({ includeChildren: true });

      serialized.data.attributes.children.map(function (region) {
        return cleanChildren(region);
      }).forEach(function (region) {
        if (region._modules) {
          regions[region._region] = region._modules;
        }
      });

      this.set('regions', null);
      this.set('regions', regions);

      return this;
    }

  });
});
define('cornerstone/headers/header/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    inspectorService: _ember['default'].inject.service('headers/header/inspector'),
    service: _ember['default'].inject.service('headers'),
    radio: _ember['default'].inject.service('global/radio'),

    acl: ['canUseRegions'],

    routeUI: {
      bar: ['preview-sizer', 'view-site', 'collapse', 'cheatsheet', 'save'],
      orientation: 'vertical'
    },

    queryParams: {
      lang: {
        refreshModel: true
      }
    },

    beforeModel: function beforeModel(transition) {

      this.permissionCheck();

      var lang = _ember['default'].get(transition, 'queryParams.lang');

      if (lang && !Object.keys(window.csAppData.wpmlLanguages).includes(lang)) {
        this.transitionTo({ queryParams: { lang: window.csAppData.wpmlDefault } });
      }
    },

    model: function model(_ref) {
      var _this = this;

      var header_id = _ref.header_id;
      var lang = _ref.lang;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var config = _this.get('config').fetch('header-builder');
        var library = _this.store.findAll('element/definition');
        var assignments = _this.store.findRecord('option', 'cornerstone_header_assignments');

        var header = new _ember['default'].RSVP.Promise(function (resolveRecord, rejectRecord) {
          _this.store.findRecord('headers/header', header_id).then(function (header) {

            if (!_ember['default'].isEmpty(window.csAppData.wpmlLanguages)) {
              var activeLang = lang ? lang : window.csAppData.wpmlDefault;
              if (activeLang !== header.getWithDefault('language.code', window.csAppData.wpmlDefault)) {
                return resolveRecord({ reroute: 'translate', header: header });
              }
            }

            resolveRecord(header.setupModules());
          }, rejectRecord);
        }).then(function (header) {

          if ('translate' === header.reroute) {
            resolve(header);
          }

          _ember['default'].RSVP.hash({
            config: config,
            library: library,
            assignments: assignments,
            header: header
          }).then(function (result) {
            return resolve(result);
          }, reject);
        }, reject);
      });
    },

    afterModel: function afterModel(model, transition) {

      this.set('ui.unsavedData', false);

      if ('translate' === model.reroute) {

        var queryLang = _ember['default'].get(transition, 'queryParams.lang');

        if (!queryLang) {
          this.transitionTo('headers.header', model.header.get('id'), { queryParams: { lang: model.header.get('language.code') } });
        } else {

          var availableTranslation = model.header.get('language.translations.' + queryLang);

          if (availableTranslation) {
            // Record does have translation
            this.transitionTo('headers.header', availableTranslation, { queryParams: { lang: queryLang } });
          }
        }

        return;
      }
    },

    deactivate: function deactivate() {
      this.store.unloadAll('element');
    },

    setupController: function setupController(controller, model) {
      this._super.apply(this, arguments);
      this.set('inspectorService.inspecting', null);
      this.set('routeUI.viewSiteURL', controller.get('assignedUrl'));
      this.get('ui').setRouteUI(this);
      this.setActivePane();

      var customJS = model.header.get('settings.customJS');
      controller.set('previewState.custom_js.x-header-custom-scripts', customJS ? customJS : null);

      controller.set('noTranslation', 'translate' === model.reroute);
    },

    renderTemplate: function renderTemplate() {

      this.render('partials/bar/header', {
        outlet: 'bar',
        into: 'application'
      });

      this.render('partials/global/header', {
        outlet: 'global',
        into: 'application'
      });

      this._super(this, arguments); // use default template rendering
    },

    redirect: function redirect() {
      this.transitionTo('headers.header.layout');
    },

    setActivePane: function setActivePane() {

      Object.keys(this.get('router.router.state.params')).forEach((function (key) {
        if (key.includes('headers.header.')) {
          this.set('controller.activePane', key.replace('headers.header.', ''));
        }
      }).bind(this));
    },

    actions: {

      error: (function (_error) {
        function error(_x) {
          return _error.apply(this, arguments);
        }

        error.toString = function () {
          return _error.toString();
        };

        return error;
      })(function (error) {

        if (error) {
          console.log(error);
          return this.transitionTo('headers');
        }

        // Return true to bubble this event to any parent route.
        return true;
      }),

      save: function save() {
        var _this2 = this;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.modelFor(this.routeName).header.updateRegions().save().then(function (data) {
          _ember['default'].Logger.info('Saving Header', data);
          ui.endSaveProgress();
          ui.notify('Header saved!', 'success');
          _this2.set('ui.unsavedData', false);
          _this2.controllerFor(_this2.routeName).set('lastSave', new Date());
        })['catch'](function (reason) {
          _ember['default'].Logger.warn(reason);
          ui.notify('Header failed to save', 'error');
          ui.endSaveProgress();
        });
      },

      willTransition: function willTransition(transition) {
        var _this3 = this;

        if (this.get('ui.unsavedData') && (!transition.targetName.includes('headers.header') || _ember['default'].getWithDefault(transition.queryParams, 'lang', null) !== this.controllerFor(this.routeName).getWithDefault('lang', null))) {

          transition.abort();

          this.get('ui').confirm({
            noSkip: true,
            message: this.get('i18n').t('app.unsaved-warning'),
            accept: function accept() {
              _this3.set('ui.unsavedData', false);
              transition.retry();
            },
            acceptClass: 'sad'
          });
        }
      },

      didTransition: function didTransition() {
        this.setActivePane();
        return true; // bubble to next route
      },

      observerInspect: function observerInspect(_ref2) {
        var id = _ref2.id;

        this.send('inspect', this.get('store').peekRecord('element', id));
      },

      inspect: function inspect(element) {
        var _this4 = this;

        var after = function after() {
          _this4.get('router').transitionTo('headers.header.inspector');
        };

        if (this.get('inspectorService').isInspecting(element)) {
          after();
        } else {
          this.get('inspectorService').inspect(element, after);
        }
      },

      deleteElement: function deleteElement(element) {
        this.get('ui').confirm({
          message: this.get('i18n').t('app.elements-confirm-delete', {
            title: element.get('definition.title')
          }),
          accept: function accept() {
            if (element && element.selfDestruct) {
              element.selfDestruct();
            }
          },
          acceptClass: 'sad'
        });
      },

      newElement: function newElement() /* element */{},

      duplicateElement: function duplicateElement(element) {
        if (element.duplicate) {
          element.duplicate();
        }
      },

      layoutFirstOpen: function layoutFirstOpen() {},

      selectLanguage: function selectLanguage(lang) {
        var model = this.modelFor(this.routeName);
        var controller = this.controllerFor(this.routeName);

        if (lang === controller.get('lang')) {
          return;
        }

        var source = model.header.get('language.translations.' + lang);

        if (_ember['default'].isNone(source)) {
          source = model.header.get('language.source');
        }

        if (_ember['default'].isNone(source)) {
          source = model.header.get('id');
        }

        this.transitionTo('headers.header', source, { queryParams: { lang: lang } });
      },

      createTranslation: function createTranslation(_ref3) {
        var _this5 = this;

        var source = _ref3.source;
        var lang = _ref3.lang;
        var copyFrom = _ref3.copyFrom;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.get('csAjax').request('translation::create', { source: source, lang: lang, copyFrom: copyFrom }).then(function (response) {
          ui.endSaveProgress();
          ui.notify('Translation created!', 'success');
          _this5.transitionTo('headers.header', response.id, { queryParams: { lang: lang } });
        }, function (fail) {
          console.warn('Error creating translation', error);
          ui.endSaveProgress();
          return ui.notify('Error creating translation', 'error');
        });
      }

    }

  });
});
define("cornerstone/headers/header/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 4,
                    "column": 6
                  },
                  "end": {
                    "line": 6,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/headers/header/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "debug/module-data", [], ["module", ["subexpr", "@mut", [["get", "inspectorService.inspecting", ["loc", [null, [5, 35], [5, 62]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [5, 8], [5, 64]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 16,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/header/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(2);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
              dom.insertBoundary(fragment, 0);
              return morphs;
            },
            statements: [["block", "if", [["get", "ui.devToolsOpen", ["loc", [null, [4, 12], [4, 27]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [4, 6], [6, 13]]]], ["inline", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [8, 12], [8, 22]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [9, 14], [9, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "preloader", "headers", "package", ["subexpr", "hash", [], ["customCSS", ["get", "model.header.settings.customCSS", ["loc", [null, [12, 20], [12, 51]]], 0, 0, 0, 0]], ["loc", [null, [11, 16], [13, 9]]], 0, 0], "onObserverInspect", ["subexpr", "route-action", ["observerInspect"], [], ["loc", [null, [14, 26], [14, 58]]], 0, 0]], ["loc", [null, [7, 6], [15, 8]]], 0, 0]],
            locals: [],
            templates: [child0]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 17,
                    "column": 6
                  },
                  "end": {
                    "line": 24,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/headers/header/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/create-translation", [], ["targetLang", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [19, 21], [19, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "model", ["subexpr", "@mut", [["get", "model.header", ["loc", [null, [20, 16], [20, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "onCreateTranslation", ["subexpr", "route-action", ["createTranslation"], [], ["loc", [null, [21, 30], [21, 64]]], 0, 0], "contextLabel", ["subexpr", "t", ["common.entity-header"], [], ["loc", [null, [22, 23], [22, 49]]], 0, 0]], ["loc", [null, [18, 8], [23, 10]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 16,
                  "column": 4
                },
                "end": {
                  "line": 25,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/header/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "common/welcome-message", [], ["title", "Translate"], 0, null, ["loc", [null, [17, 6], [24, 33]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 26,
                  "column": 4
                },
                "end": {
                  "line": 31,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/header/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/language-picker", [], ["activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [28, 23], [28, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelectLanguage", ["subexpr", "route-action", ["selectLanguage"], [], ["loc", [null, [29, 25], [29, 56]]], 0, 0]], ["loc", [null, [27, 6], [30, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 32,
                "column": 2
              }
            },
            "moduleName": "cornerstone/headers/header/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "unless", [["get", "noTranslation", ["loc", [null, [3, 14], [3, 27]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [3, 4], [25, 15]]]], ["block", "if", [["get", "ui.wpmlLanguages", ["loc", [null, [26, 10], [26, 26]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [26, 4], [31, 11]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 34,
                  "column": 4
                },
                "end": {
                  "line": 36,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/header/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("    ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["content", "outlet", ["loc", [null, [35, 4], [35, 14]]], 0, 0, 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 33,
                "column": 2
              },
              "end": {
                "line": 38,
                "column": 2
              }
            },
            "moduleName": "cornerstone/headers/header/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "workspace/cs-workspace", [], [], 0, null, ["loc", [null, [34, 4], [36, 31]]]], ["inline", "common/confirm-modal", [], ["screen", "headers"], ["loc", [null, [37, 4], [37, 45]]], 0, 0]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 39,
              "column": 0
            }
          },
          "moduleName": "cornerstone/headers/header/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/cs-canvas", [], [], 0, null, ["loc", [null, [2, 2], [32, 23]]]], ["block", "unless", [["get", "noTranslation", ["loc", [null, [33, 12], [33, 25]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [33, 2], [38, 13]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 40,
            "column": 0
          }
        },
        "moduleName": "cornerstone/headers/header/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "headers-header"], 0, null, ["loc", [null, [1, 0], [39, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/headers/header/template/model', ['exports', 'ember-data/model', 'ember-data/attr'], function (exports, _emberDataModel, _emberDataAttr) {
  // import { belongsTo, hasMany } from 'ember-data/relationships';

  exports['default'] = _emberDataModel['default'].extend({
    title: (0, _emberDataAttr['default'])(),
    regions: (0, _emberDataAttr['default'])()
  });
});
define('cornerstone/headers/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    acl: ['canUseRegions'],

    routeUI: {
      bar: ['preview-sizer', 'collapse', 'cheatsheet'],
      orientation: 'vertical'
    },

    beforeModel: function beforeModel() {
      this.store.unloadAll('headers/entry');
      this.permissionCheck();
    },

    model: function model() {
      return _ember['default'].RSVP.hash({
        config: this.get('config').fetch('header-builder'),
        templates: this.store.findAll('headers/header/template'),
        library: this.store.findAll('element/definition'),
        entries: this.store.findAll('headers/entry'),
        assignments: this.store.findRecord('option', 'cornerstone_header_assignments'),
        newHeader: { title: '', template: '' },
        defaultTemplate: 'header-default'
      });
    },

    afterModel: function afterModel(model) {
      var val = model.assignments.get('value');
      if (!val || _ember['default'].isEmpty(val)) {
        model.assignments.set('value', {});
      }
    },

    setupController: function setupController(controller, model) {
      this._super(controller, model);
      this.get('ui').setRouteUI(this);
      controller.set('activeModal', false);
      controller.set('selectedTemplate', 'none');
      controller.set('selected', null);
    },

    actions: {

      doEntryAction: function doEntryAction() {
        this.send.apply(this, arguments);
      },

      createDefault: function createDefault() {
        this.send('createNew', this.modelFor(this.routeName).defaultTemplate, 'Default Header', true);
      },

      createNew: function createNew(templateId, title) {
        var _this = this;

        var transition = arguments.length <= 2 || arguments[2] === undefined ? false : arguments[2];

        if (!title) {
          return this.get('ui').notify('Your header needs a title.', 'error');
        }

        if (!templateId) {
          return this.get('ui').notify('Your header needs a template.', 'error');
        }

        var template = this.store.peekRecord('headers/header/template', templateId);

        var headerEntry = this.store.createRecord('headers/entry', {
          title: title
        });

        var header = this.store.createRecord('headers/header', {
          title: title,
          regions: template.get('regions'),
          settings: template.get('settings')
        });

        this.controllerFor('headers').set('selectedTemplate', 'none');
        this.get('ui').beginSaveProgress();
        header.save().then(function (saved) {
          headerEntry.set('id', saved.id);
          headerEntry.save();
          _this.get('ui').endSaveProgress();
          if (transition) {
            _this.transitionTo('headers.header', saved.id);
          } else {
            _this.get('ui').notify('Header created.', 'success');
          }
        })['catch'](function (reason) {
          _ember['default'].Logger.warn('Could not create new header', reason);
          _this.get('ui').notify('Unable to create new header.');
        });
      },

      entryDuplicate: function entryDuplicate(entry) {
        var _this2 = this;

        this.get('store').findRecord('headers/header', entry.get('id')).then(function (record) {

          var data = record.serialize();
          var title = _this2.get('i18n').t('app.copy-of', { title: data.data.attributes.title }).toString();

          var headerEntry = _this2.store.createRecord('headers/entry', {
            title: title
          });

          var header = _this2.store.createRecord('headers/header', {
            title: title,
            regions: data.data.attributes.regions,
            settings: data.data.attributes.settings
          });

          _this2.get('ui').beginSaveProgress();
          header.save().then(function (saved) {
            headerEntry.set('id', saved.id);
            headerEntry.save();
            _this2.get('ui').notify('Header duplicated', 'success');
            _this2.get('ui').endSaveProgress();
          })['catch'](function (reason) {
            _ember['default'].Logger.warn('Could not create new header', reason);
            _this2.get('ui').notify('Unable to duplicate header.', 'error');
            _this2.get('ui').endSaveProgress();
          });
        });
      },

      entryDelete: function entryDelete(entry) {
        var _this3 = this;

        this.get('ui').confirm({
          screen: 'headers',
          message: this.get('i18n').t('headers.entry-delete-confirm'),
          acceptClass: 'sad',
          accept: function accept() {

            _this3.get('store').findRecord('headers/header', entry.get('id')).then(function (record) {
              _this3.controllerFor('headers').set('selected', null);
              entry.destroyRecord();
              record.destroyRecord().then(function () {
                _this3.get('ui').notify('Header deleted');
                _this3.modelFor(_this3.routeName).assignments.reload();
              }, function (reason) {
                _ember['default'].Logger.warn('Could not delete header', reason);
                _this3.get('ui').notify('Unable to delete header.', 'error');
              });
            });
          }
        });
      },

      entryTitleUpdate: function entryTitleUpdate(entry) {
        var _this4 = this;

        this.get('store').findRecord('headers/header', entry.get('id')).then(function (record) {

          record.set('title', entry.get('title'));
          _this4.get('ui').beginSaveProgress();

          record.save().then(function () {
            _this4.get('ui').endSaveProgress();
          }, function (reason) {
            _ember['default'].Logger.warn('Could not update header title', reason);
            _this4.get('ui').notify('Unable to update header title.', 'error');
          });
        });
      }

    }

  });
});
define('cornerstone/headers/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({
    selected: null
  });
});
define("cornerstone/headers/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 4,
                    "column": 6
                  },
                  "end": {
                    "line": 6,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/headers/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
                return morphs;
              },
              statements: [["inline", "common/welcome-message", [], ["title", ["subexpr", "t", ["app.templates.blank-welcome"], [], ["loc", [null, [5, 39], [5, 72]]], 0, 0]], ["loc", [null, [5, 8], [5, 74]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          var child1 = (function () {
            var child0 = (function () {
              return {
                meta: {
                  "revision": "Ember@2.8.0",
                  "loc": {
                    "source": null,
                    "start": {
                      "line": 7,
                      "column": 8
                    },
                    "end": {
                      "line": 12,
                      "column": 8
                    }
                  },
                  "moduleName": "cornerstone/headers/template.hbs"
                },
                isEmpty: true,
                arity: 0,
                cachedFragment: null,
                hasRendered: false,
                buildFragment: function buildFragment(dom) {
                  var el0 = dom.createDocumentFragment();
                  return el0;
                },
                buildRenderNodes: function buildRenderNodes() {
                  return [];
                },
                statements: [],
                locals: [],
                templates: []
              };
            })();
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 6,
                    "column": 6
                  },
                  "end": {
                    "line": 13,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/headers/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
                dom.insertBoundary(fragment, 0);
                dom.insertBoundary(fragment, null);
                return morphs;
              },
              statements: [["block", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [8, 14], [8, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [9, 16], [9, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "preloader", "headers"], 0, null, ["loc", [null, [7, 8], [12, 33]]]]],
              locals: [],
              templates: [child0]
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 4
                },
                "end": {
                  "line": 14,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "if", [["subexpr", "eq", ["blank", ["get", "selectedTemplate", ["loc", [null, [4, 24], [4, 40]]], 0, 0, 0, 0]], [], ["loc", [null, [4, 12], [4, 41]]], 0, 0]], [], 0, 1, ["loc", [null, [4, 6], [13, 13]]]]],
            locals: [],
            templates: [child0, child1]
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 15,
                    "column": 6
                  },
                  "end": {
                    "line": 19,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/headers/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                dom.setAttribute(el1, "class", "cs-welcome-icon cs-welcome-icon-cs-logo");
                var el2 = dom.createTextNode("\n          ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n        ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 1, 1);
                return morphs;
              },
              statements: [["inline", "cs-icon", ["interface/logo-headers-flat-original"], [], ["loc", [null, [17, 10], [17, 60]]], 0, 0]],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 14,
                  "column": 4
                },
                "end": {
                  "line": 20,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "common/welcome-message", [], [], 0, null, ["loc", [null, [15, 6], [19, 33]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        var child2 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 22,
                  "column": 4
                },
                "end": {
                  "line": 27,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/headers/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "common/language-picker", [], ["activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [24, 23], [24, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "onSelectLanguage", ["subexpr", "route-action", ["selectLanguage"], [], ["loc", [null, [25, 25], [25, 56]]], 0, 0]], ["loc", [null, [23, 6], [26, 8]]], 0, 0]],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 29,
                "column": 2
              }
            },
            "moduleName": "cornerstone/headers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
            dom.insertBoundary(fragment, 0);
            return morphs;
          },
          statements: [["block", "unless", [["subexpr", "eq", ["off", ["get", "previewing", ["loc", [null, [3, 24], [3, 34]]], 0, 0, 0, 0]], [], ["loc", [null, [3, 14], [3, 35]]], 0, 0]], [], 0, 1, ["loc", [null, [3, 4], [20, 15]]]], ["block", "if", [["get", "ui.wpmlLanguages", ["loc", [null, [22, 10], [22, 26]]], 0, 0, 0, 0]], [], 2, null, ["loc", [null, [22, 4], [27, 11]]]]],
          locals: [],
          templates: [child0, child1, child2]
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 30,
                "column": 2
              },
              "end": {
                "line": 62,
                "column": 2
              }
            },
            "moduleName": "cornerstone/headers/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            return morphs;
          },
          statements: [["inline", "regions/hf-index", [], ["context", "headers", "assignContexts", ["subexpr", "@mut", [["get", "flattenedAssignContexts", ["loc", [null, [33, 21], [33, 44]]], 0, 0, 0, 0]], [], [], 0, 0], "assignments", ["subexpr", "@mut", [["get", "model.assignments", ["loc", [null, [34, 18], [34, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "entries", ["subexpr", "@mut", [["get", "model.entries", ["loc", [null, [35, 14], [35, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "selected", ["subexpr", "@mut", [["get", "selected", ["loc", [null, [36, 15], [36, 23]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedTemplate", ["subexpr", "@mut", [["get", "selectedTemplate", ["loc", [null, [37, 23], [37, 39]]], 0, 0, 0, 0]], [], [], 0, 0], "defaultSelected", ["subexpr", "@mut", [["get", "defaultSelected", ["loc", [null, [38, 22], [38, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "templateOptions", ["subexpr", "@mut", [["get", "templateOptions", ["loc", [null, [39, 22], [39, 37]]], 0, 0, 0, 0]], [], [], 0, 0], "activeLanguage", ["subexpr", "@mut", [["get", "activeLanguage", ["loc", [null, [40, 21], [40, 35]]], 0, 0, 0, 0]], [], [], 0, 0], "editRoute", "headers.header", "onAction", ["subexpr", "route-action", ["doEntryAction"], [], ["loc", [null, [42, 15], [42, 45]]], 0, 0], "onCreate", ["subexpr", "route-action", ["createNew"], [], ["loc", [null, [43, 15], [43, 41]]], 0, 0], "onTitleUpdate", ["subexpr", "route-action", ["entryTitleUpdate"], [], ["loc", [null, [44, 20], [44, 53]]], 0, 0], "assignLabels", ["subexpr", "hash", [], ["globalMessage", "This header is currently assigned as your global (default) header.", "blankMessage", "Click a header to manage assignments."], ["loc", [null, [45, 19], [48, 7]]], 0, 0], "createLabels", ["subexpr", "hash", [], ["heading", "Create Header", "previewMessage", "Select a template to begin. Your choice will be previewed above.", "createMessage", "To start building with this header, name it below and click <strong>Create.</strong>", "templatePlaceholder", "Choose Template", "titlePlaceholder", "", "createLabel", "Create"], ["loc", [null, [49, 19], [56, 7]]], 0, 0], "manageLabels", ["subexpr", "hash", [], ["defaultItem", "Default Header"], ["loc", [null, [57, 19], [59, 7]]], 0, 0]], ["loc", [null, [31, 4], [60, 6]]], 0, 0], ["content", "outlet", ["loc", [null, [61, 4], [61, 14]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 65,
              "column": 0
            }
          },
          "moduleName": "cornerstone/headers/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, 0);
          return morphs;
        },
        statements: [["block", "global/cs-canvas", [], [], 0, null, ["loc", [null, [2, 2], [29, 23]]]], ["block", "workspace/cs-workspace", [], [], 1, null, ["loc", [null, [30, 2], [62, 29]]]], ["inline", "common/confirm-modal", [], ["screen", "headers"], ["loc", [null, [64, 2], [64, 43]]], 0, 0]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 66,
            "column": 0
          }
        },
        "moduleName": "cornerstone/headers/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "headers"], 0, null, ["loc", [null, [1, 0], [65, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/helpers/and', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.and = and;

  function and(_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var a = _ref2[0];
    var b = _ref2[1];

    return a && b;
  }

  exports['default'] = _ember['default'].Helper.helper(and);
});
define('cornerstone/helpers/append', ['exports', 'ember-composable-helpers/helpers/append'], function (exports, _emberComposableHelpersHelpersAppend) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersAppend['default'];
    }
  });
  Object.defineProperty(exports, 'append', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersAppend.append;
    }
  });
});
define('cornerstone/helpers/array', ['exports', 'ember'], function (exports, _ember) {
  exports.array = array;

  function array(params /*, hash*/) {
    return params;
  }

  exports['default'] = _ember['default'].Helper.helper(array);
});
define('cornerstone/helpers/base64content', ['exports', 'ember', 'cornerstone/util/base64'], function (exports, _ember, _cornerstoneUtilBase64) {
  exports.base64Content = base64Content;

  function base64Content(params) {
    return _ember['default'].String.htmlSafe(_cornerstoneUtilBase64['default'].decode(params[0]));
  }

  exports['default'] = _ember['default'].Helper.helper(base64Content);
});
define('cornerstone/helpers/camelize', ['exports', 'ember-composable-helpers/helpers/camelize'], function (exports, _emberComposableHelpersHelpersCamelize) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCamelize['default'];
    }
  });
  Object.defineProperty(exports, 'camelize', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCamelize.camelize;
    }
  });
});
define('cornerstone/helpers/capitalize', ['exports', 'ember-composable-helpers/helpers/capitalize'], function (exports, _emberComposableHelpersHelpersCapitalize) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCapitalize['default'];
    }
  });
  Object.defineProperty(exports, 'capitalize', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCapitalize.capitalize;
    }
  });
});
define('cornerstone/helpers/chunk', ['exports', 'ember-composable-helpers/helpers/chunk'], function (exports, _emberComposableHelpersHelpersChunk) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersChunk['default'];
    }
  });
  Object.defineProperty(exports, 'chunk', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersChunk.chunk;
    }
  });
});
define('cornerstone/helpers/classify', ['exports', 'ember-composable-helpers/helpers/classify'], function (exports, _emberComposableHelpersHelpersClassify) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersClassify['default'];
    }
  });
  Object.defineProperty(exports, 'classify', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersClassify.classify;
    }
  });
});
define('cornerstone/helpers/compact', ['exports', 'ember-composable-helpers/helpers/compact'], function (exports, _emberComposableHelpersHelpersCompact) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCompact['default'];
    }
  });
  Object.defineProperty(exports, 'compact', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCompact.compact;
    }
  });
});
define('cornerstone/helpers/compute', ['exports', 'ember-composable-helpers/helpers/compute'], function (exports, _emberComposableHelpersHelpersCompute) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCompute['default'];
    }
  });
  Object.defineProperty(exports, 'compute', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersCompute.compute;
    }
  });
});
define('cornerstone/helpers/contains', ['exports', 'ember-composable-helpers/helpers/contains'], function (exports, _emberComposableHelpersHelpersContains) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersContains['default'];
    }
  });
  Object.defineProperty(exports, 'contains', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersContains.contains;
    }
  });
});
define('cornerstone/helpers/cs-classify', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.eq = eq;

  function eq(_ref) {
    var _ref2 = _slicedToArray(_ref, 1);

    var str = _ref2[0];

    return _ember['default'].String.classify(str).replace('/', '-');
  }

  exports['default'] = _ember['default'].Helper.helper(eq);
});
define('cornerstone/helpers/cs-icon', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Helper.extend({

    compute: function compute(params) {

      if (!params[0]) {
        return;
      }

      var path = params[0].split('/');
      var group = path[0];
      path.shift();
      var icon = path.join('-');

      var transform = _ember['default'].getOwner(this).resolveRegistration('icon:' + group + '/' + icon);

      if ('function' === typeof transform) {
        return _ember['default'].String.htmlSafe(transform());
      }

      var iconMaps = this.get('config.global.iconMaps');
      if (!iconMaps || !iconMaps[group]) {
        return;
      }

      var extra = params[1] ? params[1] : '';

      return _ember['default'].String.htmlSafe('<svg role="img" class="cs-custom-icon">' + extra + '<use xlink:href="' + iconMaps[group] + '#' + icon + '"></use></svg>');
    }

  });
});
define('cornerstone/helpers/dasherize', ['exports', 'ember-composable-helpers/helpers/dasherize'], function (exports, _emberComposableHelpersHelpersDasherize) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersDasherize['default'];
    }
  });
  Object.defineProperty(exports, 'dasherize', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersDasherize.dasherize;
    }
  });
});
define('cornerstone/helpers/dec', ['exports', 'ember-composable-helpers/helpers/dec'], function (exports, _emberComposableHelpersHelpersDec) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersDec['default'];
    }
  });
  Object.defineProperty(exports, 'dec', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersDec.dec;
    }
  });
});
define('cornerstone/helpers/drop', ['exports', 'ember-composable-helpers/helpers/drop'], function (exports, _emberComposableHelpersHelpersDrop) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersDrop['default'];
    }
  });
  Object.defineProperty(exports, 'drop', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersDrop.drop;
    }
  });
});
define('cornerstone/helpers/dynamic-component', ['exports', 'ember'], function (exports, _ember) {
  var count = 0;

  function parseTemplate(template, hash) {

    var normalized = normalizeMarkup(template, hash);

    var rootEl = undefined;
    var scripts = {};
    var scriptIndex = 0;
    var html = _ember['default'].$.parseHTML(normalized, null, true);

    // Abort if HTML couldn't be parsed, or no suitable root element was found.
    // The first DOM node found will become the root element
    if (!html || !(rootEl = html.find(function (node) {
      return 1 === node.nodeType;
    }))) {
      return output(normalized);
    }

    // We need to work off a single root element
    // This captures additional elements after the
    // first and holds them in a special container
    var extraNodes = [];
    html.forEach(function (node) {
      extractScripts(node);
      if (node !== rootEl) {
        extraNodes.push(node);
      }
    });

    if (extraNodes.length > 0) {
      (function () {
        var extraContainer = document.createElement('div');
        extraContainer.setAttribute('data-cs-extra-container', null);
        extraNodes.forEach(function (node) {
          return extraContainer.append(node);
        });
        rootEl.append(extraContainer);
      })();
    }

    // Set the layout to those contents
    // Convert attributes to component properties
    return output(rootEl.innerHTML, propsFromAtts(rootEl));

    function output(html) {
      var properties = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

      var layout = '';

      try {
        layout = _ember['default'].HTMLBars.compile('string' === typeof html ? optimizeMarkup(html) : '');
      } catch (e) {
        console.warn('Template compile error', e);
        layout = '<p>This element could not render due to invalid template markup. This could be due to changes introduced by a third party plugin. The front end of your site should still function normally.';
      }

      return { layout: layout, properties: properties, scripts: scripts };
    }

    function extractScripts(node) {

      if (!node.querySelectorAll) {
        return;
      }

      node.querySelectorAll('script').forEach(function (script) {
        var id = 'cs-inline-script:' + scriptIndex++;
        script.insertAdjacentHTML('beforebegin', '<!--' + id + '-->');
        scripts[id] = script.outerHTML;
        script.remove();
      });
    }
  }

  // Remove hs helper from top bindings
  function transformBindingKey(key) {
    if (0 === key.indexOf('hs ')) {
      key = key.replace('hs ', '');
    }
    return key;
  }

  function normalizeMarkup(html, hash) {

    if ('' === hash.tagName) {
      html = '<div>' + html + '</div>';
    }

    return html;
  }

  function optimizeMarkup(html) {

    return html.replace(/(\s[\w\-]+?)=\"({{[\w\.\_]+?}})\"/g, removeAttributeQuotes);

    function removeAttributeQuotes(match, p1, p2 /*, offset, string */) {
      return p1 + '=' + p2;
    }
  }

  function propsFromAtts(el) {

    var propCount = 0;
    var properties = {
      nodeName: el.nodeName
    };

    if (el.hasAttributes()) {
      var attrs = el.attributes;
      for (var i = attrs.length - 1; i >= 0; i--) {
        mapAttr(attrs[i].name, attrs[i].value);
      }
    }

    function mapAttr(name, value) {

      if ('id' === name) {
        return mapID(value);
      }

      if ('class' === name) {
        return mapClasses(value);
      }

      if (!properties.attributeBindings) {
        properties.attributeBindings = [];
      }

      var binding = makeBinding(value);
      properties.attributeBindings.push(binding + ':' + name);
    }

    function mapID(value) {
      properties.elementId = value;
    }

    function mapClasses(value) {

      value.split(' ').forEach(function (item) {
        var binding = makeBinding(item, true);
        if (false !== binding) {
          if (!properties.classNameBindings) {
            properties.classNameBindings = [];
          }
          properties.classNameBindings.push(binding);
        } else {
          if (!properties.classNames) {
            properties.classNames = [];
          }
          properties.classNames.push(item);
        }
      });
    }

    // Returns a binding reference for a property.
    // Creates computed property when needed
    // Passing observeNone as true will return false when no bindings are required
    function makeBinding(string, observeNone) {

      // Split our string into recognizeable parts
      // [ "before", { key: 'observedProperty' }, "after" ]
      var keys = [];
      var parts = string.split(new RegExp(/({{[\w\.\-\_]+?}})/g)).filter(function (string) {
        return '' !== string;
      }).map(function (part) {
        if (0 === part.indexOf('{{') && part.length - 2 === part.indexOf('}}')) {
          var key = transformBindingKey(part.substr(0, part.length - 2).substr(2));
          keys.push(key);
          return { key: key };
        }
        return part;
      });

      // Abort if there are no keys to observe and we are using observeNone
      if (_ember['default'].isEmpty(keys) && observeNone) {
        return false;
      }

      // If this attribute is a single key, we can use that directly
      if (1 === parts.length && 1 === keys.length) {
        return keys[0];
      }

      // Otherwise we need to fashion a computed property
      var name = 'dynamicProp' + propCount++;
      var args = keys.splice(0);

      args.push(function () {
        var _this = this;

        return _ember['default'].String.htmlSafe(parts.reduce(function (output, part) {
          return output + ('object' === typeof part ? _this.get(part.key) : part);
        }, ''));
      });

      properties[name] = _ember['default'].computed.apply(_ember['default'], args);

      return name;
    }

    return properties;
  }

  exports['default'] = _ember['default'].Helper.extend({
    name: 'component',
    getComponentClass: function getComponentClass() {
      return _ember['default'].Component;
    },
    transformTemplate: function transformTemplate(template) {
      return template;
    },
    compute: function compute(params, hash) {

      // Parse our string into a handlebars template
      // and collection of component properties

      var _parseTemplate = parseTemplate(this.transformTemplate(params[0]), hash);

      var layout = _parseTemplate.layout;
      var properties = _parseTemplate.properties;
      var scripts = _parseTemplate.scripts;

      // Create a Component on the fly
      var baseClass = this.getComponentClass(params, hash);

      var dynamicBase = {
        layout: layout,
        _extraChildren: _ember['default'].A(),
        didInsertElement: function didInsertElement() {
          var _this2 = this;

          this._super.apply(this, arguments);

          _ember['default'].run.scheduleOnce('afterRender', function () {
            if (!_this2.get('element')) {
              return;
            }

            // Now that we've rendered, we can place all of our additional nodes
            // (stored in the extra container) after our main element
            var extra = _this2.get('element').querySelector('div[data-cs-extra-container]');
            if (extra) {
              var extraChildren = _ember['default'].A();
              for (var i = 0; i < extra.children.length; i++) {
                extraChildren.push(extra.children[i]);
                _this2.$().after(extra.children[i]);
              }
              _this2.set('_extraChildren', extraChildren);
              extra.remove();
            }

            // "Wake up" script tags
            _this2.get('element').querySelectorAll('script').forEach(function (script) {
              _ember['default'].$(script).after(script.outerHTML);
              script.remove();
            });

            // Expand template level script tags
            if (!_ember['default'].isEmpty(Object.keys(scripts))) {
              getComments(_this2.get('element')).forEach(function (comment) {
                if (scripts[comment.nodeValue]) {
                  _ember['default'].$(comment).after(scripts[comment.nodeValue]);
                  comment.remove();
                }
              });
            }
          });
        },
        willDestroy: function willDestroy() {
          this._super.apply(this, arguments);
          this.getWithDefault('_extraChildren', []).forEach(function (node) {
            return node.remove();
          });
          _ember['default'].run.next(this, function () {
            component = null;
          });
        }
      };

      var baseProto = baseClass.proto();

      if (!baseProto.overrideDynamicProperties || !baseProto.overrideDynamicProperties.includes('tagName')) {
        dynamicBase.tagName = properties.nodeName ? properties.nodeName.toLowerCase() : null;
      }

      if (baseProto.attributeBindings && properties.attributeBindings) {
        properties.attributeBindings = properties.attributeBindings.concat(baseProto.attributeBindings);
      }

      var component = baseClass.extend(_ember['default'].assign(properties, hash, dynamicBase));

      // Register our component temporarily so it can be
      // used by the {{component}} helper

      var owner = _ember['default'].getOwner(this);
      var uniqueId = 'dynamic/' + this.get('name') + '-' + count++;

      owner.register('component:' + uniqueId, component);
      _ember['default'].run.next(this, function () {
        owner.unregister('component:' + uniqueId);
      });

      function getComments(rootElem) {
        // http://stackoverflow.com/a/13364065
        function filterNone() {
          return NodeFilter.FILTER_ACCEPT;
        }
        var comments = [];
        var iterator = document.createNodeIterator(rootElem, NodeFilter.SHOW_COMMENT, filterNone, false);
        var curNode;
        while (curNode = iterator.nextNode()) {
          // eslint-disable-line no-cond-assign
          comments.push(curNode);
        }
        return comments;
      }

      return uniqueId;
    }
  });
});
define('cornerstone/helpers/dynamic-element', ['exports', 'ember', 'cornerstone/helpers/dynamic-component', 'cornerstone/components/preview/render-element/component'], function (exports, _ember, _cornerstoneHelpersDynamicComponent, _cornerstoneComponentsPreviewRenderElementComponent) {
  exports['default'] = _cornerstoneHelpersDynamicComponent['default'].extend({

    name: 'element',

    getComponentClass: function getComponentClass(params, hash) {
      var elementType = hash.model.get('atts._type').replace(':', '-');
      var elementExtension = _ember['default'].getOwner(this).resolveRegistration('preview-element:' + elementType);
      return _cornerstoneComponentsPreviewRenderElementComponent['default'].extend(_ember['default'].isNone(elementExtension) ? {} : elementExtension);
    },

    transformTemplate: function transformTemplate(template) {

      if ('string' !== typeof template) {
        return template;
      }

      return template.replace(new RegExp('{{yield}}', 'g'), '{{#each (sort-by "order" filteredAvailableChildren) as |child| }}{{component (dynamic-element (element-markup (get renderService.cache (concat \'markup-\' child.id) ) child ) model=child parent=this manager=manager onMoveElement=onMoveElement onAddElement=onAddElement)}}{{/each}}');
    }
  });
});
define('cornerstone/helpers/element-markup', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Helper.extend({

    defaultTemplate: '<div class="el{{model.id}}" data-cs-observeable="{{observer}}">{{yield}}</div>',

    renderService: _ember['default'].inject.service('preview/rendering'),

    compute: function compute(params) {
      if ('string' !== typeof params[0] || '' === params[0]) {
        this.get('renderService').updateMarkup(params[1]);
        return this.get('defaultTemplate');
      }
      return params[0];
    }
  });
});
define('cornerstone/helpers/eq', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.eq = eq;

  function eq(_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var a = _ref2[0];
    var b = _ref2[1];

    return a === b;
  }

  exports['default'] = _ember['default'].Helper.helper(eq);
});
define('cornerstone/helpers/fa-icon', ['exports', 'ember'], function (exports, _ember) {
  exports.faIcon = faIcon;

  function faIcon(params) {
    return _ember['default'].String.htmlSafe('<i class="cs-fa cs-fa-' + params[0] + '" aria-hidden="true"></i>');
  }

  exports['default'] = _ember['default'].Helper.helper(faIcon);
});
define('cornerstone/helpers/filter-by', ['exports', 'ember-composable-helpers/helpers/filter-by'], function (exports, _emberComposableHelpersHelpersFilterBy) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFilterBy['default'];
    }
  });
  Object.defineProperty(exports, 'filterBy', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFilterBy.filterBy;
    }
  });
});
define('cornerstone/helpers/filter', ['exports', 'ember-composable-helpers/helpers/filter'], function (exports, _emberComposableHelpersHelpersFilter) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFilter['default'];
    }
  });
  Object.defineProperty(exports, 'filter', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFilter.filter;
    }
  });
});
define('cornerstone/helpers/find-by', ['exports', 'ember-composable-helpers/helpers/find-by'], function (exports, _emberComposableHelpersHelpersFindBy) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFindBy['default'];
    }
  });
  Object.defineProperty(exports, 'findBy', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFindBy.findBy;
    }
  });
});
define('cornerstone/helpers/flatten', ['exports', 'ember-composable-helpers/helpers/flatten'], function (exports, _emberComposableHelpersHelpersFlatten) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFlatten['default'];
    }
  });
  Object.defineProperty(exports, 'flatten', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersFlatten.flatten;
    }
  });
});
define('cornerstone/helpers/group-by', ['exports', 'ember-composable-helpers/helpers/group-by'], function (exports, _emberComposableHelpersHelpersGroupBy) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersGroupBy['default'];
    }
  });
  Object.defineProperty(exports, 'groupBy', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersGroupBy.groupBy;
    }
  });
});
define('cornerstone/helpers/gte', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.gte = gte;

  function gte(_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var a = _ref2[0];
    var b = _ref2[1];

    return a >= b;
  }

  exports['default'] = _ember['default'].Helper.helper(gte);
});
define('cornerstone/helpers/has-next', ['exports', 'ember-composable-helpers/helpers/has-next'], function (exports, _emberComposableHelpersHelpersHasNext) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersHasNext['default'];
    }
  });
  Object.defineProperty(exports, 'hasNext', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersHasNext.hasNext;
    }
  });
});
define('cornerstone/helpers/has-previous', ['exports', 'ember-composable-helpers/helpers/has-previous'], function (exports, _emberComposableHelpersHelpersHasPrevious) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersHasPrevious['default'];
    }
  });
  Object.defineProperty(exports, 'hasPrevious', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersHasPrevious.hasPrevious;
    }
  });
});
define('cornerstone/helpers/hs', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.hs = hs;

  function hs(_ref) {
    var _ref2 = _slicedToArray(_ref, 1);

    var str = _ref2[0];

    return _ember['default'].String.htmlSafe(str);
  }

  exports['default'] = _ember['default'].Helper.helper(hs);
});
define('cornerstone/helpers/html-safe', ['exports', 'ember-composable-helpers/helpers/html-safe'], function (exports, _emberComposableHelpersHelpersHtmlSafe) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersHtmlSafe['default'];
    }
  });
  Object.defineProperty(exports, 'htmlSafe', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersHtmlSafe.htmlSafe;
    }
  });
});
define('cornerstone/helpers/humanize', ['exports', 'ember-cli-string-helpers/helpers/humanize'], function (exports, _emberCliStringHelpersHelpersHumanize) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberCliStringHelpersHelpersHumanize['default'];
    }
  });
  Object.defineProperty(exports, 'humanize', {
    enumerable: true,
    get: function get() {
      return _emberCliStringHelpersHelpersHumanize.humanize;
    }
  });
});
define('cornerstone/helpers/icon', ['exports', 'ember', 'cornerstone/helpers/fa-icon', 'cornerstone/helpers/cs-icon'], function (exports, _ember, _cornerstoneHelpersFaIcon, _cornerstoneHelpersCsIcon) {
  exports['default'] = _cornerstoneHelpersCsIcon['default'].extend({
    config: _ember['default'].inject.service(),
    compute: function compute(params) {
      var icon = this._super(params);
      return _ember['default'].isNone(icon) ? (0, _cornerstoneHelpersFaIcon.faIcon)(params) : icon;
    }
  });
});
define('cornerstone/helpers/inc', ['exports', 'ember-composable-helpers/helpers/inc'], function (exports, _emberComposableHelpersHelpersInc) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersInc['default'];
    }
  });
  Object.defineProperty(exports, 'inc', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersInc.inc;
    }
  });
});
define('cornerstone/helpers/intersect', ['exports', 'ember-composable-helpers/helpers/intersect'], function (exports, _emberComposableHelpersHelpersIntersect) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersIntersect['default'];
    }
  });
  Object.defineProperty(exports, 'intersect', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersIntersect.intersect;
    }
  });
});
define('cornerstone/helpers/invoke', ['exports', 'ember-composable-helpers/helpers/invoke'], function (exports, _emberComposableHelpersHelpersInvoke) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersInvoke['default'];
    }
  });
  Object.defineProperty(exports, 'invoke', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersInvoke.invoke;
    }
  });
});
define('cornerstone/helpers/join', ['exports', 'ember-composable-helpers/helpers/join'], function (exports, _emberComposableHelpersHelpersJoin) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersJoin['default'];
    }
  });
  Object.defineProperty(exports, 'join', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersJoin.join;
    }
  });
});
define('cornerstone/helpers/locate-component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Helper.extend({
    compute: function compute(params /*, hash*/) {
      return _ember['default'].getOwner(this).hasRegistration('component:' + params[0]) ? params[0] : params[1];
    }
  });
});
define('cornerstone/helpers/lowercase', ['exports', 'ember-cli-string-helpers/helpers/lowercase'], function (exports, _emberCliStringHelpersHelpersLowercase) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberCliStringHelpersHelpersLowercase['default'];
    }
  });
  Object.defineProperty(exports, 'lowercase', {
    enumerable: true,
    get: function get() {
      return _emberCliStringHelpersHelpersLowercase.lowercase;
    }
  });
});
define('cornerstone/helpers/map-by', ['exports', 'ember-composable-helpers/helpers/map-by'], function (exports, _emberComposableHelpersHelpersMapBy) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersMapBy['default'];
    }
  });
  Object.defineProperty(exports, 'mapBy', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersMapBy.mapBy;
    }
  });
});
define('cornerstone/helpers/map', ['exports', 'ember-composable-helpers/helpers/map'], function (exports, _emberComposableHelpersHelpersMap) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersMap['default'];
    }
  });
  Object.defineProperty(exports, 'map', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersMap.map;
    }
  });
});
define('cornerstone/helpers/next', ['exports', 'ember-composable-helpers/helpers/next'], function (exports, _emberComposableHelpersHelpersNext) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersNext['default'];
    }
  });
  Object.defineProperty(exports, 'next', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersNext.next;
    }
  });
});
define('cornerstone/helpers/not-eq', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.notEq = notEq;

  function notEq(_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var a = _ref2[0];
    var b = _ref2[1];

    return a !== b;
  }

  exports['default'] = _ember['default'].Helper.helper(notEq);
});
define('cornerstone/helpers/not', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.not = not;

  function not(_ref) {
    var _ref2 = _slicedToArray(_ref, 1);

    var val = _ref2[0];

    return !val;
  }

  exports['default'] = _ember['default'].Helper.helper(not);
});
define('cornerstone/helpers/object-at', ['exports', 'ember-composable-helpers/helpers/object-at'], function (exports, _emberComposableHelpersHelpersObjectAt) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersObjectAt['default'];
    }
  });
  Object.defineProperty(exports, 'objectAt', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersObjectAt.objectAt;
    }
  });
});
define('cornerstone/helpers/optional', ['exports', 'ember-composable-helpers/helpers/optional'], function (exports, _emberComposableHelpersHelpersOptional) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersOptional['default'];
    }
  });
  Object.defineProperty(exports, 'optional', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersOptional.optional;
    }
  });
});
define('cornerstone/helpers/or', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.or = or;

  function or(_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var a = _ref2[0];
    var b = _ref2[1];

    return a || b;
  }

  exports['default'] = _ember['default'].Helper.helper(or);
});
define('cornerstone/helpers/pipe-action', ['exports', 'ember-composable-helpers/helpers/pipe-action'], function (exports, _emberComposableHelpersHelpersPipeAction) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersPipeAction['default'];
    }
  });
});
define('cornerstone/helpers/pipe', ['exports', 'ember-composable-helpers/helpers/pipe'], function (exports, _emberComposableHelpersHelpersPipe) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersPipe['default'];
    }
  });
  Object.defineProperty(exports, 'pipe', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersPipe.pipe;
    }
  });
});
define('cornerstone/helpers/pluralize', ['exports', 'ember-inflector/lib/helpers/pluralize'], function (exports, _emberInflectorLibHelpersPluralize) {
  exports['default'] = _emberInflectorLibHelpersPluralize['default'];
});
define('cornerstone/helpers/post-process-attr', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Helper.extend({
    compute: function compute(params, hash) {
      var value = params[0];
      if (hash.processer && hash.processer.attrPostProcess) {
        value = hash.processer.attrPostProcess(value);
      }
      return _ember['default'].String.htmlSafe(value);
    }
  });
});
define('cornerstone/helpers/previous', ['exports', 'ember-composable-helpers/helpers/previous'], function (exports, _emberComposableHelpersHelpersPrevious) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersPrevious['default'];
    }
  });
  Object.defineProperty(exports, 'previous', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersPrevious.previous;
    }
  });
});
define('cornerstone/helpers/queue', ['exports', 'ember-composable-helpers/helpers/queue'], function (exports, _emberComposableHelpersHelpersQueue) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersQueue['default'];
    }
  });
  Object.defineProperty(exports, 'queue', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersQueue.queue;
    }
  });
});
define('cornerstone/helpers/range', ['exports', 'ember-composable-helpers/helpers/range'], function (exports, _emberComposableHelpersHelpersRange) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersRange['default'];
    }
  });
  Object.defineProperty(exports, 'range', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersRange.range;
    }
  });
});
define('cornerstone/helpers/read-path', ['exports', 'ember'], function (exports, _ember) {
  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i['return']) _i['return'](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError('Invalid attempt to destructure non-iterable instance'); } }; })();

  exports.readPath = readPath;

  function readPath(_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var object = _ref2[0];
    var path = _ref2[1];

    return _ember['default'].get(object, path);
  }

  exports['default'] = _ember['default'].Helper.helper(readPath);
});
define('cornerstone/helpers/reduce', ['exports', 'ember-composable-helpers/helpers/reduce'], function (exports, _emberComposableHelpersHelpersReduce) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersReduce['default'];
    }
  });
  Object.defineProperty(exports, 'reduce', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersReduce.reduce;
    }
  });
});
define('cornerstone/helpers/reject-by', ['exports', 'ember-composable-helpers/helpers/reject-by'], function (exports, _emberComposableHelpersHelpersRejectBy) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersRejectBy['default'];
    }
  });
  Object.defineProperty(exports, 'rejectBy', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersRejectBy.rejectBy;
    }
  });
});
define('cornerstone/helpers/repeat', ['exports', 'ember-composable-helpers/helpers/repeat'], function (exports, _emberComposableHelpersHelpersRepeat) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersRepeat['default'];
    }
  });
  Object.defineProperty(exports, 'repeat', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersRepeat.repeat;
    }
  });
});
define('cornerstone/helpers/reverse', ['exports', 'ember-composable-helpers/helpers/reverse'], function (exports, _emberComposableHelpersHelpersReverse) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersReverse['default'];
    }
  });
  Object.defineProperty(exports, 'reverse', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersReverse.reverse;
    }
  });
});
define('cornerstone/helpers/route-action', ['exports', 'ember-route-action-helper/helpers/route-action'], function (exports, _emberRouteActionHelperHelpersRouteAction) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberRouteActionHelperHelpersRouteAction['default'];
    }
  });
});
define('cornerstone/helpers/shuffle', ['exports', 'ember-composable-helpers/helpers/shuffle'], function (exports, _emberComposableHelpersHelpersShuffle) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersShuffle['default'];
    }
  });
  Object.defineProperty(exports, 'shuffle', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersShuffle.shuffle;
    }
  });
});
define('cornerstone/helpers/singularize', ['exports', 'ember-inflector/lib/helpers/singularize'], function (exports, _emberInflectorLibHelpersSingularize) {
  exports['default'] = _emberInflectorLibHelpersSingularize['default'];
});
define('cornerstone/helpers/slice', ['exports', 'ember-composable-helpers/helpers/slice'], function (exports, _emberComposableHelpersHelpersSlice) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersSlice['default'];
    }
  });
  Object.defineProperty(exports, 'slice', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersSlice.slice;
    }
  });
});
define('cornerstone/helpers/sort-by', ['exports', 'ember-composable-helpers/helpers/sort-by'], function (exports, _emberComposableHelpersHelpersSortBy) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersSortBy['default'];
    }
  });
  Object.defineProperty(exports, 'sortBy', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersSortBy.sortBy;
    }
  });
});
define('cornerstone/helpers/t', ['exports', 'ember-i18n/helper'], function (exports, _emberI18nHelper) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberI18nHelper['default'];
    }
  });
});
define('cornerstone/helpers/take', ['exports', 'ember-composable-helpers/helpers/take'], function (exports, _emberComposableHelpersHelpersTake) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersTake['default'];
    }
  });
  Object.defineProperty(exports, 'take', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersTake.take;
    }
  });
});
define('cornerstone/helpers/titleize', ['exports', 'ember-composable-helpers/helpers/titleize'], function (exports, _emberComposableHelpersHelpersTitleize) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersTitleize['default'];
    }
  });
  Object.defineProperty(exports, 'titleize', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersTitleize.titleize;
    }
  });
});
define('cornerstone/helpers/toggle-action', ['exports', 'ember-composable-helpers/helpers/toggle-action'], function (exports, _emberComposableHelpersHelpersToggleAction) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersToggleAction['default'];
    }
  });
});
define('cornerstone/helpers/toggle', ['exports', 'ember-composable-helpers/helpers/toggle'], function (exports, _emberComposableHelpersHelpersToggle) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersToggle['default'];
    }
  });
  Object.defineProperty(exports, 'toggle', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersToggle.toggle;
    }
  });
});
define('cornerstone/helpers/truncate', ['exports', 'ember-composable-helpers/helpers/truncate'], function (exports, _emberComposableHelpersHelpersTruncate) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersTruncate['default'];
    }
  });
  Object.defineProperty(exports, 'truncate', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersTruncate.truncate;
    }
  });
});
define('cornerstone/helpers/underscore', ['exports', 'ember-composable-helpers/helpers/underscore'], function (exports, _emberComposableHelpersHelpersUnderscore) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersUnderscore['default'];
    }
  });
  Object.defineProperty(exports, 'underscore', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersUnderscore.underscore;
    }
  });
});
define('cornerstone/helpers/union', ['exports', 'ember-composable-helpers/helpers/union'], function (exports, _emberComposableHelpersHelpersUnion) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersUnion['default'];
    }
  });
  Object.defineProperty(exports, 'union', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersUnion.union;
    }
  });
});
define('cornerstone/helpers/uppercase', ['exports', 'ember-cli-string-helpers/helpers/uppercase'], function (exports, _emberCliStringHelpersHelpersUppercase) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberCliStringHelpersHelpersUppercase['default'];
    }
  });
  Object.defineProperty(exports, 'uppercase', {
    enumerable: true,
    get: function get() {
      return _emberCliStringHelpersHelpersUppercase.uppercase;
    }
  });
});
define('cornerstone/helpers/w', ['exports', 'ember-composable-helpers/helpers/w'], function (exports, _emberComposableHelpersHelpersW) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersW['default'];
    }
  });
  Object.defineProperty(exports, 'w', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersW.w;
    }
  });
});
define('cornerstone/helpers/without', ['exports', 'ember-composable-helpers/helpers/without'], function (exports, _emberComposableHelpersHelpersWithout) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersWithout['default'];
    }
  });
  Object.defineProperty(exports, 'without', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersHelpersWithout.without;
    }
  });
});
define('cornerstone/icons/interface/js', ['exports'], function (exports) {
  exports['default'] = function () {
    return 'JS';
  };
});
define('cornerstone/icons/styled/something', ['exports'], function (exports) {
  exports['default'] = function () {
    return 'yup';
  };
});
define('cornerstone/initializers/app-version', ['exports', 'ember-cli-app-version/initializer-factory', 'cornerstone/config/environment'], function (exports, _emberCliAppVersionInitializerFactory, _cornerstoneConfigEnvironment) {
  exports['default'] = {
    name: 'App Version',
    initialize: (0, _emberCliAppVersionInitializerFactory['default'])(_cornerstoneConfigEnvironment['default'].APP.name, _cornerstoneConfigEnvironment['default'].APP.version)
  };
});
define('cornerstone/initializers/config', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(app) {

    app.inject('helper', 'config', 'service:config');
    app.inject('route', 'config', 'service:config');
    app.inject('service:cs-ajax', 'config', 'service:config');
    app.inject('service:controls', 'config', 'service:config');
    app.inject('service:current-user', 'config', 'service:config');

    app.inject('service:config', 'i18n', 'service:i18n');
    app.inject('service:controls', 'i18n', 'service:i18n');
    app.inject('route', 'i18n', 'service:i18n');
    app.inject('component', 'i18n', 'service:i18n');
    app.inject('model', 'i18n', 'service:i18n');
  }

  exports['default'] = {
    name: 'config',
    after: ['ember-i18n'],
    initialize: initialize
  };
});
define('cornerstone/initializers/container-debug-adapter', ['exports', 'ember-resolver/container-debug-adapter'], function (exports, _emberResolverContainerDebugAdapter) {
  exports['default'] = {
    name: 'container-debug-adapter',

    initialize: function initialize() {
      var app = arguments[1] || arguments[0];

      app.register('container-debug-adapter:main', _emberResolverContainerDebugAdapter['default']);
      app.inject('container-debug-adapter:main', 'namespace', 'application:main');
    }
  };
});
define('cornerstone/initializers/cs-ajax', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(application) {
    application.inject('route', 'csAjax', 'service:cs-ajax');
    application.inject('adapter', 'csAjax', 'service:cs-ajax');
  }

  exports['default'] = {
    name: 'cs-ajax',
    after: 'config',
    initialize: initialize
  };
});
define('cornerstone/initializers/current-user', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(app) {
    app.inject('controller', 'currentUser', 'service:current-user');
    app.inject('component', 'currentUser', 'service:current-user');
    app.inject('route', 'currentUser', 'service:current-user');
  }

  exports['default'] = {
    name: 'current-user',
    after: ['config'],
    initialize: initialize
  };
});
define('cornerstone/initializers/data-adapter', ['exports', 'ember'], function (exports, _ember) {

  /*
    This initializer is here to keep backwards compatibility with code depending
    on the `data-adapter` initializer (before Ember Data was an addon).
  
    Should be removed for Ember Data 3.x
  */

  exports['default'] = {
    name: 'data-adapter',
    before: 'store',
    initialize: _ember['default'].K
  };
});
define('cornerstone/initializers/debug', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(app) {
    app.inject('controller', 'debug', 'service:debug');
    app.inject('component', 'debug', 'service:debug');
    app.inject('route', 'debug', 'service:debug');
  }

  exports['default'] = {
    name: 'debug',
    initialize: initialize
  };
});
define('cornerstone/initializers/ember-data', ['exports', 'ember-data/setup-container', 'ember-data/-private/core'], function (exports, _emberDataSetupContainer, _emberDataPrivateCore) {

  /*
  
    This code initializes Ember-Data onto an Ember application.
  
    If an Ember.js developer defines a subclass of DS.Store on their application,
    as `App.StoreService` (or via a module system that resolves to `service:store`)
    this code will automatically instantiate it and make it available on the
    router.
  
    Additionally, after an application's controllers have been injected, they will
    each have the store made available to them.
  
    For example, imagine an Ember.js application with the following classes:
  
    App.StoreService = DS.Store.extend({
      adapter: 'custom'
    });
  
    App.PostsController = Ember.ArrayController.extend({
      // ...
    });
  
    When the application is initialized, `App.ApplicationStore` will automatically be
    instantiated, and the instance of `App.PostsController` will have its `store`
    property set to that instance.
  
    Note that this code will only be run if the `ember-application` package is
    loaded. If Ember Data is being used in an environment other than a
    typical application (e.g., node.js where only `ember-runtime` is available),
    this code will be ignored.
  */

  exports['default'] = {
    name: 'ember-data',
    initialize: _emberDataSetupContainer['default']
  };
});
define('cornerstone/initializers/ember-i18n', ['exports', 'ember-i18n/initializers/ember-i18n'], function (exports, _emberI18nInitializersEmberI18n) {
  exports['default'] = _emberI18nInitializersEmberI18n['default'];
});
define('cornerstone/initializers/export-application-global', ['exports', 'ember', 'cornerstone/config/environment'], function (exports, _ember, _cornerstoneConfigEnvironment) {
  exports.initialize = initialize;

  function initialize() {
    var application = arguments[1] || arguments[0];
    if (_cornerstoneConfigEnvironment['default'].exportApplicationGlobal !== false) {
      var theGlobal;
      if (typeof window !== 'undefined') {
        theGlobal = window;
      } else if (typeof global !== 'undefined') {
        theGlobal = global;
      } else if (typeof self !== 'undefined') {
        theGlobal = self;
      } else {
        // no reasonable global, just bail
        return;
      }

      var value = _cornerstoneConfigEnvironment['default'].exportApplicationGlobal;
      var globalName;

      if (typeof value === 'string') {
        globalName = value;
      } else {
        globalName = _ember['default'].String.classify(_cornerstoneConfigEnvironment['default'].modulePrefix);
      }

      if (!theGlobal[globalName]) {
        theGlobal[globalName] = application;

        application.reopen({
          willDestroy: function willDestroy() {
            this._super.apply(this, arguments);
            delete theGlobal[globalName];
          }
        });
      }
    }
  }

  exports['default'] = {
    name: 'export-application-global',

    initialize: initialize
  };
});
define('cornerstone/initializers/flash-messages', ['exports', 'ember', 'cornerstone/config/environment'], function (exports, _ember, _cornerstoneConfigEnvironment) {
  exports.initialize = initialize;
  var deprecate = _ember['default'].deprecate;

  var merge = _ember['default'].assign || _ember['default'].merge;
  var INJECTION_FACTORIES_DEPRECATION_MESSAGE = '[ember-cli-flash] Future versions of ember-cli-flash will no longer inject the service automatically. Instead, you should explicitly inject it into your Route, Controller or Component with `Ember.inject.service`.';
  var addonDefaults = {
    timeout: 3000,
    extendedTimeout: 0,
    priority: 100,
    sticky: false,
    showProgress: false,
    type: 'info',
    types: ['success', 'info', 'warning', 'danger', 'alert', 'secondary'],
    injectionFactories: ['route', 'controller', 'view', 'component'],
    preventDuplicates: false
  };

  function initialize() {
    var application = arguments[1] || arguments[0];

    var _ref = _cornerstoneConfigEnvironment['default'] || {};

    var flashMessageDefaults = _ref.flashMessageDefaults;

    var _ref2 = flashMessageDefaults || [];

    var injectionFactories = _ref2.injectionFactories;

    var options = merge(addonDefaults, flashMessageDefaults);
    var shouldShowDeprecation = !(injectionFactories && injectionFactories.length);

    application.register('config:flash-messages', options, { instantiate: false });
    application.inject('service:flash-messages', 'flashMessageDefaults', 'config:flash-messages');

    deprecate(INJECTION_FACTORIES_DEPRECATION_MESSAGE, shouldShowDeprecation, {
      id: 'ember-cli-flash.deprecate-injection-factories',
      until: '2.0.0'
    });

    options.injectionFactories.forEach(function (factory) {
      application.inject(factory, 'flashMessages', 'service:flash-messages');
    });
  }

  exports['default'] = {
    name: 'flash-messages',
    initialize: initialize
  };
});
define('cornerstone/initializers/global/helpers', ['exports'], function (exports) {
  exports.initialize = initialize;
  // import Ember from 'ember';

  function initialize() /* application */{
    // application.inject('route', 'foo', 'service:foo');

  }

  exports['default'] = {
    name: 'global/helpers',
    initialize: initialize
  };
});
define('cornerstone/initializers/injectStore', ['exports', 'ember'], function (exports, _ember) {

  /*
    This initializer is here to keep backwards compatibility with code depending
    on the `injectStore` initializer (before Ember Data was an addon).
  
    Should be removed for Ember Data 3.x
  */

  exports['default'] = {
    name: 'injectStore',
    before: 'store',
    initialize: _ember['default'].K
  };
});
define('cornerstone/initializers/link-to', ['exports', 'ember', 'cornerstone/mixins/link-to'], function (exports, _ember, _cornerstoneMixinsLinkTo) {
  exports.initialize = initialize;

  function initialize() /* application */{
    _ember['default'].LinkComponent.reopen(_cornerstoneMixinsLinkTo['default']);
  }

  exports['default'] = {
    name: 'link-to',
    initialize: initialize
  };
});
define('cornerstone/initializers/polyfills', ['exports', 'npm:svg4everybody', 'cornerstone/util/jquery-plugins'], function (exports, _npmSvg4everybody, _cornerstoneUtilJqueryPlugins) {
  exports.initialize = initialize;

  function initialize() /* application */{
    (0, _npmSvg4everybody['default'])();
    (0, _cornerstoneUtilJqueryPlugins['default'])();
  }

  exports['default'] = {
    name: 'polyfills',
    initialize: initialize
  };
});
define('cornerstone/initializers/router', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(application) {
    // application.inject('route', 'foo', 'service:foo');
    application.inject('component', 'router', 'router:main');
  }

  exports['default'] = {
    name: 'router',
    initialize: initialize
  };
});
define('cornerstone/initializers/store', ['exports', 'ember'], function (exports, _ember) {

  /*
    This initializer is here to keep backwards compatibility with code depending
    on the `store` initializer (before Ember Data was an addon).
  
    Should be removed for Ember Data 3.x
  */

  exports['default'] = {
    name: 'store',
    after: 'ember-data',
    initialize: _ember['default'].K
  };
});
define('cornerstone/initializers/transforms', ['exports', 'ember'], function (exports, _ember) {

  /*
    This initializer is here to keep backwards compatibility with code depending
    on the `transforms` initializer (before Ember Data was an addon).
  
    Should be removed for Ember Data 3.x
  */

  exports['default'] = {
    name: 'transforms',
    before: 'store',
    initialize: _ember['default'].K
  };
});
define('cornerstone/initializers/ui', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(app) {
    app.inject('controller', 'ui', 'service:ui');
    app.inject('component', 'ui', 'service:ui');
    app.inject('route', 'ui', 'service:ui');
  }

  exports['default'] = {
    name: 'ui',
    initialize: initialize
  };
});
define('cornerstone/instance-initializers/app-view', ['exports'], function (exports) {
  exports.initialize = initialize;
  // instance-initializers/app-view.js
  // With an instance initializer, we can register a component for Ember to use at the top level.
  // Not ideal, but it works in the meantime until routable components drop.

  // import Ember from 'ember';

  // const AppView = Ember.Component.extend({

  //   browser: Ember.inject.service(),
  //   ui: Ember.inject.service(),
  //   classNames: ['cs-app'],
  //   classNameBindings: ['browser.browserClass', 'ui.transitioning:cs-transitioning']

  // });

  function initialize() /* appInstance */{
    // appInstance.register('view:toplevel', AppView);
  }

  exports['default'] = {
    name: 'app-view',
    initialize: initialize
  };
});
define("cornerstone/instance-initializers/ember-data", ["exports", "ember-data/-private/instance-initializers/initialize-store-service"], function (exports, _emberDataPrivateInstanceInitializersInitializeStoreService) {
  exports["default"] = {
    name: "ember-data",
    initialize: _emberDataPrivateInstanceInitializersInitializeStoreService["default"]
  };
});
define('cornerstone/instance-initializers/ember-i18n', ['exports', 'ember-i18n/instance-initializers/ember-i18n'], function (exports, _emberI18nInstanceInitializersEmberI18n) {
  exports['default'] = _emberI18nInstanceInitializersEmberI18n['default'];
});
define('cornerstone/instance-initializers/global', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(appInstance) {
    window.cornerstoneApp = appInstance;

    appInstance.lookup('service:continuity');
  }

  exports['default'] = {
    name: 'global',
    initialize: initialize
  };
});
define('cornerstone/instance-initializers/i18n', ['exports'], function (exports) {
  exports.initialize = initialize;

  function initialize(appInstance) {
    appInstance.inject('route', 'i18n', 'service:i18n');
    appInstance.inject('component', 'i18n', 'service:i18n');
    appInstance.inject('controller', 'i18n', 'service:i18n');
  }

  exports['default'] = {
    name: 'i18n',
    after: ['ember-i18n'],
    initialize: initialize
  };
});
define('cornerstone/mixins/async-batch', ['exports', 'ember', 'npm:uuid'], function (exports, _ember, _npmUuid) {
  exports['default'] = _ember['default'].Mixin.create({

    asyncBatchQueue: {},
    asyncBatchPending: {},
    asyncBatchTimeout: 10000,
    asyncBatchDefaultQueue: 'default',

    asyncBatchRequest: function asyncBatchRequest(data, queue) {

      queue = 'string' === typeof queue ? queue : this.get('asyncBatchDefaultQueue');

      return new _ember['default'].RSVP.Promise((function (resolve, reject) {

        if (_ember['default'].isNone(this.get('asyncBatchQueue.' + queue))) {
          this.set('asyncBatchQueue.' + queue, _ember['default'].A());
        }

        this.get('asyncBatchQueue.' + queue).push({
          jobID: _npmUuid['default'].v4(),
          data: data,
          resolve: resolve,
          reject: reject
        });

        _ember['default'].run.debounce(this, this.flushRequests, 10);
      }).bind(this));
    },

    flushRequests: function flushRequests() {
      var _this = this;

      Object.keys(this.get('asyncBatchQueue')).map(function (queue) {
        var batch = _this.get('asyncBatchQueue.' + queue).map(function (_ref) {
          var data = _ref.data;
          var jobID = _ref.jobID;
          var resolve = _ref.resolve;
          var reject = _ref.reject;

          var timer = _ember['default'].run.later(_this, function () {
            _this.set('asyncBatchPending.' + jobID, null);
            reject({
              jobID: jobID,
              error: true,
              message: 'Render request timeout for job ' + jobID
            });
          }, _this.get('asyncBatchTimeout'));

          _this.set('asyncBatchPending.' + jobID, function (response) {
            _ember['default'].run.cancel(timer);
            resolve(response);
            _this.set('asyncBatchPending.' + jobID, null);
          });

          return { jobID: jobID, data: data, resolve: resolve };
        });

        _this.get('asyncBatchQueue.' + queue).clear();

        _this.asyncBatchProcess(batch, queue).then(function (completedJobs) {
          completedJobs.forEach(function (job) {
            var cb = _this.get('asyncBatchPending.' + job.jobID);
            if ('function' === typeof cb) {
              cb.call(_this, job.response);
            }
          });
        });
      });
    },

    // Override in implementing class. Should return a promise that resolves
    // a new batch array where each object has a response key
    asyncBatchProcess: function asyncBatchProcess(batch /*, queue*/) {
      var _this2 = this;

      return new _ember['default'].RSVP.Promise(function (resolve) {
        _ember['default'].run.later(_this2, function () {
          resolve(batch.map(function (job) {
            job.response = job;
            return job;
          }));
        }, 500);
      });
    }

  });
});
define('cornerstone/mixins/controls/placeholder', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({
    placeholder: _ember['default'].computed('control.options', function () {
      var placeholder = this.get('control.options.placeholder');
      return placeholder ? placeholder : '';
    })
  });
});
define('cornerstone/mixins/debug/component', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({});
});
define('cornerstone/mixins/dragula-events', ['exports', 'ember'], function (exports, _ember) {

  var elementEvents = ['dragula-drag', 'dragula-dragend', 'dragula-drop', 'dragula-cancel', 'dragula-remove', 'dragula-shadow', 'dragula-over', 'dragula-out', 'dragula-cloned', 'dragula-cloned-original', 'dragula-copy', 'dragula-copy-original', 'dragula-mirror', 'dragula-mirror-original'];

  var cloneEvents = ['dragula-dragend', 'dragula-drop', 'dragula-cancel', 'dragula-remove', 'dragula-shadow', 'dragula-over', 'dragula-out'];

  var containerEvents = ['dragula-drag-lift', 'dragula-drop-into', 'dragula-drop-from', 'dragula-cancel-container', 'dragula-cancel-source', 'dragula-remove-container', 'dragula-remove-source', 'dragula-shadow-container', 'dragula-shadow-source', 'dragula-over-container', 'dragula-over-source', 'dragula-out-container', 'dragula-out-source'];

  exports['default'] = _ember['default'].Mixin.create({

    ui: _ember['default'].inject.service(),
    dragulaEvents: [],

    dragulaElementEl: _ember['default'].computed(function () {
      var elementSelector = this.get('dragulaElementSelector');
      if (elementSelector) {
        var el = this.$().find(elementSelector)[0];
        if (el) {
          return el;
        }
      }
      return this.get('element');
    }),

    dragulaContainerEl: _ember['default'].computed(function () {
      var containerSelector = this.get('dragulaContainerSelector');
      if (containerSelector) {
        var el = this.$().find(containerSelector)[0];
        if (el) {
          return el;
        }
      }
      return this.get('element');
    }),

    dragulaDidInsertElement: _ember['default'].on('didInsertElement', function () {

      var events = this.get('dragulaEvents');

      this.dragulaTearDown();

      var handlers = this.getWithDefault('dragulaHandlers', []);

      if (events.includes('element')) {

        var element = this.get('dragulaElementEl');

        if (!element) {
          return;
        }

        handlers = handlers.concat(this.dragulaSetupEvents(element, elementEvents));
      }

      if (events.includes('container')) {

        var container = this.get('dragulaContainerEl');

        if (!container) {
          return;
        }

        handlers = handlers.concat(this.dragulaSetupEvents(container, containerEvents));
      }

      this.set('dragulaHandlers', handlers);
    }),

    dragulaSetupEvents: function dragulaSetupEvents(el, events, suffix) {
      var _this = this;

      var $el = _ember['default'].$(el);

      if (!$el.length > 0) {
        return;
      }

      var handlers = [];

      events.forEach(function (event) {

        var eventProp = suffix ? event + '-' + suffix : event;

        var handler = _this.get(_ember['default'].String.camelize(eventProp));

        if ('function' === _ember['default'].typeOf(handler)) {
          handler = handler.bind(_this);
          $el.on(event, handler);
          handlers.push({ event: event, handler: handler, $el: $el });
        }
      });

      return handlers;
    },

    dragulaElementDestroy: _ember['default'].on('willDestroyElement', function () {
      this.dragulaTearDown();
    }),

    dragulaTearDown: function dragulaTearDown() {
      this.dragulaTearDownHandlers(this.get('dragulaHandlers'));
    },

    dragulaTearDownHandlers: function dragulaTearDownHandlers(handlers) {
      if (!handlers) {
        return;
      }
      handlers.forEach(function (item) {
        item.$el.off(item.event, item.handler);
      });
    },

    dragulaCloned: function dragulaCloned(e, clone, original, type) {
      var handlerProp = _ember['default'].String.camelize('dragula-' + type + '-handlers');
      this.set(handlerProp, this.dragulaSetupEvents(clone, cloneEvents, type));
    },

    dragulaDragendMirror: function dragulaDragendMirror() {
      var _this2 = this;

      _ember['default'].run.next(function () {
        _this2.dragulaTearDownHandlers(_this2.get('dragulaMirrorHandlers'));
      });
    },

    dragulaDragendCopy: function dragulaDragendCopy() {
      var _this3 = this;

      _ember['default'].run.next(function () {
        _this3.dragulaTearDownHandlers(_this3.get('dragulaCopyHandlers'));
      });
    }

  });
});
define('cornerstone/mixins/fadeable', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({

    showing: true,
    complete: false,
    incomplete: _ember['default'].computed('complete', function () {
      return !this.get('complete');
    }),

    completeChanged: _ember['default'].observer('complete', function () {
      this.debounceFade = _ember['default'].run.debounce(this, this.updateFade, 1000);
    }),

    willDestroyElement: function willDestroyElement() {
      _ember['default'].run.cancel(this.debounceFade);
    },

    updateFade: function updateFade() {
      this.set('showing', !this.get('complete'));
      this.get('onComplete')();
    }

  });
});
define('cornerstone/mixins/forms/assign-default', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({

    assignDefaultMulti: false,
    assignDefaultMultiDelimeter: ' ',
    assignDefaultOptionsPath: 'options',
    assignDefaultValuePath: 'value',
    assignDefaultLocator: null,

    actions: {
      assignDefaultOption: function assignDefaultOption() {
        var _this = this;

        if (this.isDestroyed) {
          return;
        }

        var current = this.get('value');

        if (this.get('assignDefaultMulti') && 'string' === _ember['default'].typeOf(current)) {
          current = current.split(this.get('assignDefaultMultiDelimeter'));
        }

        if (_ember['default'].isArray(current)) {
          // not supported by array mode
          return;
        }

        if (_ember['default'].isNone(current) || !_ember['default'].isPresent(this.get(this.get('assignDefaultOptionsPath')).find(function (item) {
          // if ( Ember.isArray( current ) ) {
          //   return current.includes(item.value) || current.includes(item);
          // }
          return current === item.value || current === item;
        }))) {

          this.set('value', (function () {

            var customLocator = _this.get('assignDefaultLocator');
            if (!_ember['default'].isNone(customLocator)) {
              var locatedValue = _this.get(_this.get('assignDefaultOptionsPath')).find(function (item) {
                return customLocator(current, item);
              });
              if (!_ember['default'].isNone(locatedValue)) {
                return locatedValue.value ? locatedValue.value : locatedValue;
              }
            }

            var customPath = _this.get('assignDefaultSourcePath');
            if (!_ember['default'].isNone(customPath)) {
              return _this.get(customPath);
            }

            var basePath = _this.get('assignDefaultOptionsPath') + '.firstObject';
            return _this.getWithDefault(basePath + '.' + _this.get('assignDefaultValuePath'), _this.get(basePath));
          })());
        }
      }
    }

  });
});
define('cornerstone/mixins/forms/visibility-observation', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({

    didInsertElement: function didInsertElement() {
      if (_ember['default'].isPresent('visibilityObservation')) {
        this.visibilityCheck();
      }
    },

    observeVisibility: _ember['default'].observer('visibilityObservation', function () {
      this.visibilityCheck();
    }),

    observeVisibilityShouldUpdate: function observeVisibilityShouldUpdate() {
      return false === this.get('visibilityObservation');
    },

    visibilityCheck: function visibilityCheck() {
      _ember['default'].run.scheduleOnce('afterRender', (function () {
        if (this.observeVisibilityShouldUpdate()) {
          this.send('isVisible');
        } else {
          this.send('isNotVisible');
        }
      }).bind(this));
    },

    actions: {
      isVisible: function isVisible() {},
      isNotVisible: function isNotVisible() {}
    }

  });
});
define('cornerstone/mixins/hover-state', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({

    classNameBindings: ['isHovering:cs-hover'],
    isHovering: false,

    mouseEnter: function mouseEnter() {
      this.set('isHovering', true);
    },

    mouseLeave: function mouseLeave() {
      this.set('isHovering', false);
    }

  });
});
define('cornerstone/mixins/keyboard-shortcuts/base', ['exports', 'ember', 'mousetrap'], function (exports, _ember, _mousetrap) {
  var _slice = Array.prototype.slice;

  exports['default'] = function (bindEvent, unbindEvent) {

    return _ember['default'].Mixin.create({

      shouldBindKeyboardShortcuts: true,

      bindShortcuts: _ember['default'].on(bindEvent, function () {
        var _this = this;

        // Get this component/route's bindings
        var shortcuts = this.get('keyboardShortcuts');

        if ('object' !== _ember['default'].typeOf(shortcuts) || !this.get('shouldBindKeyboardShortcuts')) {
          return;
        }

        var keybindings = [];

        // Expand shortcuts to use configured Mousetrap bindings and
        Object.keys(shortcuts).forEach(function (key) {

          if (!window.csAppData.keybindings[key]) {
            return;
          }

          var binding = shortcuts[key];

          // Expand shorthand into an object with default properties
          if ('string' === typeof binding) {
            binding = {
              action: binding,
              preventDefault: true
            };
          }

          binding.key = window.csAppData.keybindings[key];

          // Expand inline keystroke modifiers to alter the eventType
          ['keypress', 'keyup', 'keydown'].forEach(function (type) {
            if (0 === binding.key.indexOf(type + ':')) {
              binding.eventType = type;
              binding.key = binding.key.replace(type + ':', '');
            }
          });

          keybindings.push(binding);
        });

        this.mousetraps = keybindings.map(function (binding) {

          var mousetrapTarget = document.body;
          var actionType = _ember['default'].typeOf(binding.action);

          if (false === binding.global) {
            mousetrapTarget = document;
          }

          if (binding.scoped) {
            if ('string' === _ember['default'].typeOf(binding.scoped)) {
              mousetrapTarget = document.querySelector(binding.scoped);
            } else {
              mousetrapTarget = _this.get('element');
            }
          }

          if (binding.targetElement) {
            mousetrapTarget = binding.targetElement;
          }

          var mousetrap = new _mousetrap['default'](mousetrapTarget);

          if ('string' === actionType) {
            mousetrap.bind(binding.key, (function () {
              this.send.apply(this, [binding.action].concat(_slice.call(arguments)));
              return binding.preventDefault !== true;
            }).bind(_this), binding.eventType);
          } else if ('function' === actionType) {
            mousetrap.bind(binding.shortcut, binding.action.bind(_this), binding.eventType);
          } else {
            console.warn('Invalid keybinding action', binding);
          }

          return mousetrap;
        });
      }),

      unbindShortcuts: _ember['default'].on(unbindEvent, function () {
        this.mousetraps.forEach(function (mousetrap) {
          return mousetrap.reset();
        });
      })

    });
  };
});
// https://github.com/Skalar/ember-keyboard-shortcuts
define('cornerstone/mixins/keyboard-shortcuts/component', ['exports', 'cornerstone/mixins/keyboard-shortcuts/base'], function (exports, _cornerstoneMixinsKeyboardShortcutsBase) {
  exports['default'] = (0, _cornerstoneMixinsKeyboardShortcutsBase['default'])('didInsertElement', 'willDestroyElement');
});
define('cornerstone/mixins/keyboard-shortcuts/route', ['exports', 'cornerstone/mixins/keyboard-shortcuts/base'], function (exports, _cornerstoneMixinsKeyboardShortcutsBase) {
  exports['default'] = (0, _cornerstoneMixinsKeyboardShortcutsBase['default'])('activate', 'deactivate');
});
define('cornerstone/mixins/link-to', ['exports', 'ember'], function (exports, _ember) {

  //https://github.com/Kuzirashi/ember-link-action/blob/master/addon/mixins/link-action.js

  exports['default'] = _ember['default'].Mixin.create({

    activeClass: 'cs-active',

    _sendInvokeAction: function _sendInvokeAction() {
      this.sendAction('invokeAction');
    },

    init: function init() {
      this._super.apply(this, arguments);

      // Map desired event name to invoke function
      var eventName = this.get('eventName');

      if (this.get('invokeAction')) {
        this.on(eventName, this, this._sendInvokeAction);
      }
    },

    willDestroyElement: function willDestroyElement() {
      if (this.get('invokeAction')) {
        this.off(this.get('eventName'), this, this._sendInvokeAction);
      }
    }

  });
});
define('cornerstone/mixins/listen-to', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({

    listenToEvented: this,
    _listenToRegistrations: {},

    componentListenTo: function componentListenTo(signal, callback, eventd) {
      this.listenTo(signal, (function () {
        if (this.isDestroyed) {
          return;
        }
        callback.apply(this, arguments); // Using bind is needed to grab arguments
      }).bind(this), eventd);
    },

    listenTo: function listenTo(signal, callback, eventd) {

      if (!eventd) {
        eventd = this.get('listenToEvented');
        if ('string' === typeof eventd) {
          eventd = this.get(eventd);
        }
      }

      if ('function' !== typeof eventd.on || 'string' !== typeof signal) {
        return;
      }

      var registration = { cb: callback, e: eventd };
      eventd.on(signal, this, registration.cb);
      this.set('_listenToRegistrations.' + signal, registration);
    },

    willDestroy: function willDestroy() {
      var registrations = this.get('_listenToRegistrations');
      for (var key in registrations) {
        if (registrations.hasOwnProperty(key)) {
          registrations[key].e.off(key, this, registrations[key].cb);
        }
      }
    }

  });
});
define('cornerstone/mixins/options/model-condition', ['exports', 'ember', 'cornerstone/util/control-conditions'], function (exports, _ember, _cornerstoneUtilControlConditions) {
  exports['default'] = _ember['default'].Mixin.create({

    optionService: _ember['default'].inject.service('options'),
    virtualValues: _ember['default'].computed.alias('optionService.virtualValues'),

    conditionIndex: {},
    conditionStates: false,

    conditionsLoad: function conditionsLoad() {

      // Ensure conditionIndex is generated
      if (false === this.get('conditionStates')) {
        this.set('conditionStates', {});
        this.notifyPropertyChange('conditions');
      }
    },

    conditionsHaveUpdated: _ember['default'].observer('conditions', function () {
      var _this = this;

      this.conditionsClearObservers();
      var conditionIndex = {};
      this.set('conditionStates', {});
      var conditions = this.get('conditions');
      if (_ember['default'].isArray(conditions)) {

        conditions.forEach(function (unnormalized) {

          var condition = (0, _cornerstoneUtilControlConditions.normalizeControlCondition)(unnormalized);

          if (!condition.key || _ember['default'].isNone(condition.value) || !condition.op) {
            return;
          }

          var virtual = false;

          if (0 === condition.key.indexOf('virtual:')) {
            virtual = true;
            condition.key = _ember['default'].String.camelize(condition.key.replace('virtual:', ''));
          }

          var index = {
            listener: _this,
            listenerKey: 'conditionStates',
            condition: condition,
            target: virtual ? _this : _this.store.peekRecord('options/value', condition.key),
            targetKey: virtual ? 'virtualValues.' + condition.key : 'value',
            callback: function callback() {
              this.listener.set(this.listenerKey + '.' + this.condition.key, (0, _cornerstoneUtilControlConditions.controlConditionChecker)(this.condition.value, _ember['default'].get(this.target, this.targetKey), this.condition.op));
              this.listener.notifyPropertyChange(this.listenerKey);
            }
          };

          conditionIndex[condition.key] = index;
          index.callback.call(index);
          _ember['default'].addObserver(index.target, index.targetKey, index, index.callback);
        });
      }

      this.set('conditionIndex', conditionIndex);
    }),

    visibilityConditionsMet: _ember['default'].computed('conditionStates', function () {

      var condition = true;
      var states = this.get('conditionStates');

      for (var key in states) {
        condition = condition && states[key];
      }

      return condition;
    }),

    conditionsClearObservers: function conditionsClearObservers() {
      var conditionIndex = this.get('conditionIndex') || {};

      for (var key in conditionIndex) {
        var index = conditionIndex[key];
        _ember['default'].removeObserver(index.target, index.targetKey, index, index.callback);
      }
    }

  });
});
define('cornerstone/mixins/preview-listener', ['exports', 'ember', 'cornerstone/mixins/listen-to'], function (exports, _ember, _cornerstoneMixinsListenTo) {
  exports['default'] = _ember['default'].Mixin.create(_cornerstoneMixinsListenTo['default'], {
    listenToEvented: 'xfr',
    xfr: _ember['default'].inject.service()
  });
});
define('cornerstone/mixins/route-authorization', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({
    acl: [],
    permissionCheck: function permissionCheck() {

      var currentUser = this.get('currentUser');

      var allowed = this.get('acl').reduce(function (prev, current) {
        return prev && currentUser.get(current);
      }, true);

      if (!allowed) {
        this.transitionTo('unauthorized');
      }
    }
  });
});
define('cornerstone/objects/dynamic-property', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Object.extend({

    source: null,
    subpath: null,

    dynamicProperty: _ember['default'].computed('source', 'subpath', function () {
      var subpath = this.get('subpath');

      if (subpath) {
        var DynamicClass = _ember['default'].Object.extend({
          value: _ember['default'].computed.alias('source.' + subpath)
        });

        return DynamicClass.create({ source: this.get('source') });
      } else {
        return _ember['default'].Object.create({});
      }
    }),

    value: _ember['default'].computed.alias('dynamicProperty.value')

  });
});
// https://gist.github.com/schickm/08ec48667a4d43e59d91
define('cornerstone/objects/search', ['exports', 'ember', 'npm:fuse.js'], function (exports, _ember, _npmFuseJs) {
  exports['default'] = _ember['default'].Object.extend({
    query: '',
    isSearching: false,
    fuseOptions: {},
    results: [],

    queryChanged: _ember['default'].observer('query', function () {
      this.debounce = _ember['default'].run.debounce(this, 'updateQuery', 250);
    }),

    updateQuery: function updateQuery() {
      var _this = this;

      var q = this.get('query');
      var hasQuery = !!q;

      if (hasQuery !== this.get('isSearching')) {
        this.set('isSearching', hasQuery);
      }

      var fuse = this.get('fuse');

      if (hasQuery && fuse) {
        (function () {
          var results = fuse.search(q);
          _ember['default'].run.scheduleOnce('afterRender', _this, function () {
            _this.set('results', results);
          });
        })();
      } else {
        this.set('results', []);
      }
    },

    setup: function setup(options, index) {
      if (index) {
        this.updateIndex(index);
      }
      this.setOptions(options);
    },

    setOptions: function setOptions(options) {
      var defaults = {};
      this.set('fuseOptions', _ember['default'].merge(defaults, options || {}));
    },

    updateIndex: function updateIndex(index) {
      this.set('fuse', new _npmFuseJs['default'](index, this.get('fuseOptions')));
    }

  });
});
define('cornerstone/option/adapter', ['exports', 'cornerstone/adapters/cs-adapter'], function (exports, _cornerstoneAdaptersCsAdapter) {
  exports['default'] = _cornerstoneAdaptersCsAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/option/model', ['exports', 'ember-data/model', 'ember-data/attr'], function (exports, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({
    value: (0, _emberDataAttr['default'])()
  });
});
// import Ember from 'ember';
define('cornerstone/options/control/adapter', ['exports', 'cornerstone/adapters/cs-longevity-adapter'], function (exports, _cornerstoneAdaptersCsLongevityAdapter) {
  exports['default'] = _cornerstoneAdaptersCsLongevityAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/options/control/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr', 'cornerstone/mixins/options/model-condition', 'ember-data/relationships'], function (exports, _ember, _emberDataModel, _emberDataAttr, _cornerstoneMixinsOptionsModelCondition, _emberDataRelationships) {
  exports['default'] = _emberDataModel['default'].extend(_cornerstoneMixinsOptionsModelCondition['default'], {

    service: _ember['default'].inject.service('controls'),

    title: (0, _emberDataAttr['default'])(),
    label: _ember['default'].computed.alias('title'),
    type: (0, _emberDataAttr['default'])(),
    options: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return {};
      } }),
    conditions: (0, _emberDataAttr['default'])(),
    section: (0, _emberDataRelationships.belongsTo)('options/section'),
    values: (0, _emberDataRelationships.hasMany)('options/value', { inverse: null }),

    keyValue: _ember['default'].computed.alias('values.firstObject.value'),

    loadedAt: _ember['default'].on('didLoad', function () {
      this.set('loadedAt', new Date());
      this.conditionsLoad();
    }),

    searchable: _ember['default'].computed('section', function () {

      var index = { title: this.get('title') };
      var parent = this.get('section');

      if ('root' !== parent.get('id')) {
        index.parent = parent.get('title');

        var grandparent = parent.get('parent');
        if (grandparent && 'root' !== grandparent.get('id')) {
          index.grandparent = grandparent.get('title');
        }
      }

      return index;
    }),

    isHidden: _ember['default'].computed.not('visibilityConditionsMet'),

    choices: _ember['default'].computed('options.choices.[]', 'filteredChoices', function () {

      var filtered = this.get('filteredChoices');

      if (filtered) {
        return filtered;
      }

      return this.get('options.choices');
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.setupReferences();
      this.setupControlFilter();
    },

    setupReferences: function setupReferences() {
      var _this = this;

      this.getWithDefault('options.references', []).forEach(function (ref) {

        var key = _ember['default'].String.camelize('key-' + ref.key);
        var source = _this.store.peekRecord('options/value', ref.source);
        var other = _this;
        _this.set(key, source.get('value'));

        _ember['default'].addObserver(source, 'value', function () {
          other.set(key, this.get('value'));
        });
      });
    },

    updateControlFiltering: _ember['default'].observer('options.filter', function () {
      this.setupControlFilter();
    }),

    setupControlFilter: function setupControlFilter(params) {

      params = params || {};

      if (this.controlFilter) {
        _ember['default'].removeObserver(this.controlFilter.source, 'value', this, 'updateFilterCb');
      }

      if (params.teardown) {
        return;
      }

      var filter = this.get('options.filter');

      if (filter && filter.source && this.validateFilter(filter.key)) {

        var source = this.store.peekRecord('options/value', filter.source);

        if (source) {

          this.controlFilter = {
            source: source,
            key: filter.key,
            method: filter.method
          };

          _ember['default'].addObserver(this.controlFilter.source, 'value', this, 'updateFilterCb');
          this.updateFilterCb();
        }
      }
    },

    updateFilterCb: function updateFilterCb() {
      this.set(_ember['default'].String.camelize('filtered-' + this.controlFilter.key), this.get('service').controlFilter(this.controlFilter.method, this.controlFilter.source.get('value')));
    },

    validateFilter: function validateFilter(check) {
      return ['choices'].includes(check);
    },

    willDestroy: function willDestroy() {
      this._super.apply(this, arguments);
      this.conditionsClearObservers();
      this.setupControlFilter({ teardown: true });
    }

  });
});
define('cornerstone/options/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({

    service: _ember['default'].inject.service('options'),
    config: _ember['default'].inject.service(),
    queryParams: ['url'],
    url: null,

    previewURL: _ember['default'].computed('url', function () {
      var url = this.get('url');
      if (url) {
        return url;
      }
      return this.get('ui.defaultPreviewUrl');
    }),

    observePreviewUrl: _ember['default'].observer('previewURL', function () {
      this.set('ui.viewSiteURL', this.get('previewURL'));
    }),

    previewState: _ember['default'].computed.alias('service.optionsPreviewState'),

    actions: {
      runCustomJs: function runCustomJs() {
        this.get('ui').notify('Updating preview.');
        this.incrementProperty('previewState.inc');
      }
    }

  });
});
define('cornerstone/options/index/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    config: _ember['default'].inject.service(),
    i18n: _ember['default'].inject.service(),

    isSearching: _ember['default'].computed.alias('searchData.isSearching'),
    searchResults: _ember['default'].computed('searchData.results', function () {

      var results = this.get('searchData.results');

      var filtered = this.model.controls.filter(function (item) {
        return results.includes(item.get('id')) && !item.get('isHidden') && item.get('section.isSearchable');
      });

      filtered.sort(function (a, b) {
        return results.indexOf(a.get('id')) > results.indexOf(b.get('id'));
      });

      return filtered;
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('searchData', this.get('ui.search').getTarget('options'));
    }

  });
});
define('cornerstone/options/index/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({

    setupController: function setupController(controller, model) {
      this._super(controller, model);
      controller.set('title', this.get('i18n').t('common.title.options-' + model.config.title));
    }

  });
});
define("cornerstone/options/index/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/options/index/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("h2");
          dom.setAttribute(el1, "class", "cs-workspace-title");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-workspace-search");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]), 0, 0);
          morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]), 1, 1);
          return morphs;
        },
        statements: [["content", "title", ["loc", [null, [2, 33], [2, 42]]], 0, 0, 0, 0], ["inline", "common/search-bar", [], ["target", "options", "placeholder", "Search Options", "autoFocus", true], ["loc", [null, [4, 4], [4, 87]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 9,
                  "column": 4
                },
                "end": {
                  "line": 11,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/options/index/template.hbs"
            },
            isEmpty: false,
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
              return morphs;
            },
            statements: [["inline", "options/option-search-result", [], ["control", ["subexpr", "@mut", [["get", "result", ["loc", [null, [10, 45], [10, 51]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 6], [10, 53]]], 0, 0]],
            locals: ["result"],
            templates: []
          };
        })();
        var child1 = (function () {
          var child0 = (function () {
            return {
              meta: {
                "revision": "Ember@2.8.0",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 12,
                    "column": 6
                  },
                  "end": {
                    "line": 14,
                    "column": 6
                  }
                },
                "moduleName": "cornerstone/options/index/template.hbs"
              },
              isEmpty: false,
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("        ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("p");
                var el2 = dom.createTextNode("Try refining your search to locate your desired control.");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes() {
                return [];
              },
              statements: [],
              locals: [],
              templates: []
            };
          })();
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 11,
                  "column": 4
                },
                "end": {
                  "line": 15,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/options/index/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [["block", "workspace/workspace-message", [], ["title", "No Controls Found"], 0, null, ["loc", [null, [12, 6], [14, 38]]]]],
            locals: [],
            templates: [child0]
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 8,
                "column": 2
              },
              "end": {
                "line": 16,
                "column": 2
              }
            },
            "moduleName": "cornerstone/options/index/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "each", [["get", "searchResults", ["loc", [null, [9, 12], [9, 25]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [9, 4], [15, 13]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 17,
              "column": 0
            }
          },
          "moduleName": "cornerstone/options/index/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-content", [], [], 0, null, ["loc", [null, [8, 2], [16, 34]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    var child2 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 2
              },
              "end": {
                "line": 20,
                "column": 2
              }
            },
            "moduleName": "cornerstone/options/index/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "options/option-section", [], ["section", ["subexpr", "@mut", [["get", "model.activeSection", ["loc", [null, [19, 37], [19, 56]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [19, 4], [19, 58]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 21,
                  "column": 4
                },
                "end": {
                  "line": 23,
                  "column": 4
                }
              },
              "moduleName": "cornerstone/options/index/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("p");
              var el2 = dom.createTextNode("It looks like something went wrong here. Try refreshing your browser.");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 20,
                "column": 2
              },
              "end": {
                "line": 24,
                "column": 2
              }
            },
            "moduleName": "cornerstone/options/index/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["block", "workspace/workspace-message", [], ["title", "No Options Available"], 0, null, ["loc", [null, [21, 4], [23, 36]]]]],
          locals: [],
          templates: [child0]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 0
            },
            "end": {
              "line": 25,
              "column": 0
            }
          },
          "moduleName": "cornerstone/options/index/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "model.activeSection", ["loc", [null, [18, 8], [18, 27]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [18, 2], [24, 9]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 50,
            "column": 0
          }
        },
        "moduleName": "cornerstone/options/index/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n\n\n\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [1, 0], [6, 31]]]], ["block", "if", [["get", "isSearching", ["loc", [null, [7, 6], [7, 17]]], 0, 0, 0, 0]], [], 1, 2, ["loc", [null, [7, 0], [25, 7]]]]],
      locals: [],
      templates: [child0, child1, child2]
    };
  })());
});
define('cornerstone/options/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    service: _ember['default'].inject.service('options'),
    acl: ['canManageOptions'],

    routeUI: {
      bar: ['preview-sizer', 'view-site', 'collapse', 'cheatsheet', 'save']
    },

    beforeModel: function beforeModel() {
      this.permissionCheck();
    },

    model: function model() {
      var _this = this;

      var values = this.store.findAll('options/value');
      var self = this;
      var config = this.get('config').fetch('options-manager');

      config.then(function (c) {

        if (c.customCSSKey) {
          _this.set('service.customCSSKey', c.customCSSKey);
        }

        if (c.customJSKey) {
          _this.set('service.customJSKey', c.customJSKey);
        }
      });

      var customCSS = new _ember['default'].RSVP.Promise(function (resolve /* , reject */) {
        values.then(function () {
          if (config.then && 'function' === typeof config.then) {
            config.then(cb);
          } else {
            cb(config);
          }
          function cb(c) {
            resolve(c.customCSSKey ? self.store.peekRecord('options/value', c.customCSSKey) : false);
          }
        });
      });

      var customJS = new _ember['default'].RSVP.Promise(function (resolve /*, reject */) {
        values.then(function () {
          if (config.then && 'function' === typeof config.then) {
            config.then(cb);
          } else {
            cb(config);
          }
          function cb(c) {
            resolve(c.customJSKey ? self.store.peekRecord('options/value', c.customJSKey) : false);
          }
        });
      });

      return _ember['default'].RSVP.hash({
        config: config,
        values: values,
        controls: this.store.findAll('options/control'),
        activeSection: this.store.findRecord('options/section', 'root'),
        customCSS: customCSS,
        customJS: customJS,
        headerAssignments: this.store.findRecord('option', 'cornerstone_header_assignments'),
        footerAssignments: this.store.findRecord('option', 'cornerstone_footer_assignments')
      });
    },

    setupController: function setupController(controller, model) {
      this._super.apply(this, arguments);
      this.get('ui').setRouteUI(this);
      this.set('service.virtualValues.classicHeaders', !model.headerAssignments.getWithDefault('value', {}).hasOwnProperty('global'));
      this.set('service.virtualValues.classicFooters', !model.footerAssignments.getWithDefault('value', {}).hasOwnProperty('global'));
      this.set('ui.viewSiteURL', controller.get('previewURL'));
    },

    afterModel: function afterModel(model) {

      var search = this.get('ui.search').getTarget('options');

      search.setOptions({
        id: 'id',
        threshold: 0.15,
        distance: 100,
        tokenize: true,
        keys: [{ name: 'title', weight: 0.1 }, { name: 'parent', weight: 0.3 }, { name: 'grandparent', weight: 0.5 }]
      });

      search.updateIndex(model.controls.map(function (control) {
        return _ember['default'].merge({ id: control.get('id') }, control.get('searchable'));
      }));

      this.set('ui.unsavedData', false);
    },

    renderTemplate: function renderTemplate() {

      this.render('partials/bar/options', {
        outlet: 'bar',
        into: 'application',
        model: this.modelFor(this.routeName)
      });

      this.render('partials/global/options', {
        outlet: 'global',
        into: 'application',
        model: this.modelFor(this.routeName)
      });

      this._super(this, arguments); // use default template rendering
    },

    actions: {

      save: function save() {
        var _this2 = this;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        this.get('service').save().then(function (data) {
          console.log('Options saved.', data);
          ui.endSaveProgress();
          ui.notify('Options saved!', 'success');
          _this2.set('ui.unsavedData', false);
          _this2.controllerFor(_this2.routeName).set('lastSave', new Date());
        })['catch'](function (reason) {
          console.warn('Options failed to save', reason);
          ui.endSaveProgress();
          ui.notify('Options failed to save', 'error');
        });
      },

      navigatePreview: function navigatePreview(params) {

        if (!params.url) {
          return;
        }

        var home = this.get('config.global.home_url');

        // TODO: Output notice if user tries to visit external link

        function trailingslashit(url) {
          if ('string' !== typeof url) {
            return url;
          }
          return url + ('/' === url.charAt(url.length - 1) ? '' : '/');
        }

        var transition = trailingslashit(params.url) === trailingslashit(home) ? null : params.url;

        this.transitionTo({ queryParams: { url: transition } });
      },

      willTransition: function willTransition(transition) {
        var _this3 = this;

        if (this.get('ui.unsavedData') && !transition.targetName.includes('options')) {

          transition.abort();

          this.get('ui').confirm({
            noSkip: true,
            message: this.get('i18n').t('app.unsaved-warning'),
            accept: function accept() {
              _this3.set('ui.unsavedData', false);
              transition.retry();
            },
            acceptClass: 'sad'
          });
        }
      }
    }

  });
});
define('cornerstone/options/section/adapter', ['exports', 'cornerstone/adapters/cs-longevity-adapter'], function (exports, _cornerstoneAdaptersCsLongevityAdapter) {
  exports['default'] = _cornerstoneAdaptersCsLongevityAdapter['default'].extend({});
});
// import Ember from 'ember';
define('cornerstone/options/section/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr', 'cornerstone/mixins/options/model-condition', 'ember-data/relationships'], function (exports, _ember, _emberDataModel, _emberDataAttr, _cornerstoneMixinsOptionsModelCondition, _emberDataRelationships) {
  exports['default'] = _emberDataModel['default'].extend(_cornerstoneMixinsOptionsModelCondition['default'], {
    title: (0, _emberDataAttr['default'])(),
    description: (0, _emberDataAttr['default'])(),
    order: (0, _emberDataAttr['default'])('number'),
    panel: (0, _emberDataAttr['default'])('boolean'),
    conditions: (0, _emberDataAttr['default'])(),
    children: (0, _emberDataRelationships.hasMany)('options/section', { inverse: 'parent' }),
    parent: (0, _emberDataRelationships.belongsTo)('options/section', { inverse: 'children' }),
    controls: (0, _emberDataRelationships.hasMany)('options/control'),

    loadedAt: _ember['default'].on('didLoad', function () {
      this.set('loadedAt', new Date());
      this.conditionsLoad();
    }),

    ancestry: _ember['default'].computed('parent', function () {

      var ancestry = [];
      var parent = this.get('parent');

      while (parent && 'root' !== parent.get('id')) {

        ancestry.push({
          route: 'options.section',
          id: parent.get('id'),
          label: parent.get('title')
        });

        parent = parent.get('parent');
      }

      return ancestry;
    }),

    isHidden: _ember['default'].computed('visibilityConditionsMet', 'noVisibleControls', 'noVisibleSections', function () {
      if (['x-header', 'x-footer'].includes(this.get('id'))) {
        return false;
      }
      return !this.get('visibilityConditionsMet') || this.get('noVisibleControls') && this.get('noVisibleSections');
    }),

    isSearchable: _ember['default'].computed('visibilityConditionsMet', 'parent.visibilityConditionsMet', function () {
      return this.get('visibilityConditionsMet') && this.get('parent.visibilityConditionsMet');
    }),

    noVisibleControls: _ember['default'].computed('controls.@each.isHidden', function () {
      return this.get('controls').every(function (control) {
        return control.get('isHidden');
      });
    }),

    noVisibleSections: _ember['default'].computed('children.@each.isHidden', function () {
      return this.get('children').every(function (child) {
        return child.get('isHidden');
      });
    }),

    willDestroy: function willDestroy() {
      this._super();
      this.conditionsClearObservers();
    }

  });
});
define('cornerstone/options/section/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({
    model: function model(params) {
      return _ember['default'].RSVP.hash({
        activeSection: this.store.findRecord('options/section', params.section_id)
      });
    },

    setupController: function setupController(controller, model) {
      this._super(controller, model);
      controller.set('openTo', this.get('ui').oneTimeValue('options/search-goto-sub-heading'));
    }
  });
});
define("cornerstone/options/section/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 68
          }
        },
        "moduleName": "cornerstone/options/section/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "options/option-section", [], ["section", ["subexpr", "@mut", [["get", "model.activeSection", ["loc", [null, [1, 33], [1, 52]]], 0, 0, 0, 0]], [], [], 0, 0], "openTo", ["subexpr", "@mut", [["get", "openTo", ["loc", [null, [1, 60], [1, 66]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [1, 0], [1, 68]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/options/service', ['exports', 'ember'], function (exports, _ember) {

  // NOTE: This pub/sub method of model change tracking risks getting out of sync
  // if the store is pushed to

  exports['default'] = _ember['default'].Service.extend({

    virtualValues: {},

    ui: _ember['default'].inject.service(),
    csAjax: _ember['default'].inject.service(),

    optionsPreviewState: {
      route: 'options',
      inc: 0
    },

    radio: _ember['default'].inject.service('global/radio'),

    listen: _ember['default'].on('init', function () {
      this.get('radio').on('option.value.changed', this, 'updateState');
    }),

    updateState: function updateState() {
      var params = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

      var state = this.get('optionsPreviewState');

      if (!state.updates) {
        state.updates = {};
      }

      if (params.id) {
        state.updates[params.id] = params.value;

        // Removing this. Dirty doesn't actually correspond to
        // what's saved because we're using a custom save instead of the models
        // so this ends up messing up the state. It would be nice to only send
        // changed values, but we'll need to track that somehow first.

        // if ( params.dirty ) {
        //   state.updates[params.id] = params.value;
        // } else {
        //   delete state.updates[params.id];
        // }
      }

      this.set('ui.unsavedData', true);
      this.set('optionsPreviewState', state);

      if ([this.get('customCSSKey'), this.get('customJSKey')].includes(params.id)) {
        return;
      }

      this.incrementProperty('optionsPreviewState.inc');
    },

    save: function save() {
      return this.get('csAjax').request('options::save', this.get('optionsPreviewState'));
    },

    cleanup: _ember['default'].on('willDestroy', function () {
      this.get('radio').off('option.value.changed', this, 'updateState');
    }),

    customCSSKey: 'x_custom_styles',
    customJSKey: 'x_custom_scripts'

  });
});
define("cornerstone/options/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 4,
                "column": 2
              }
            },
            "moduleName": "cornerstone/options/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["content", "outlet", ["loc", [null, [3, 4], [3, 14]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 5,
                "column": 2
              },
              "end": {
                "line": 15,
                "column": 2
              }
            },
            "moduleName": "cornerstone/options/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "common/preview-frame", [], ["src", ["subexpr", "@mut", [["get", "previewURL", ["loc", [null, [7, 10], [7, 20]]], 0, 0, 0, 0]], [], [], 0, 0], "state", ["subexpr", "@mut", [["get", "previewState", ["loc", [null, [8, 12], [8, 24]]], 0, 0, 0, 0]], [], [], 0, 0], "navigate", ["subexpr", "route-action", ["navigatePreview"], [], ["loc", [null, [9, 15], [9, 47]]], 0, 0], "preloader", "options", "package", ["subexpr", "hash", [], ["customCSS", ["get", "model.customCSS.value", ["loc", [null, [12, 18], [12, 39]]], 0, 0, 0, 0]], ["loc", [null, [11, 14], [13, 7]]], 0, 0]], ["loc", [null, [6, 4], [14, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 16,
              "column": 0
            }
          },
          "moduleName": "cornerstone/options/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/cs-workspace", [], [], 0, null, ["loc", [null, [2, 2], [4, 29]]]], ["block", "global/cs-canvas", [], [], 1, null, ["loc", [null, [5, 2], [15, 23]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 17,
            "column": 0
          }
        },
        "moduleName": "cornerstone/options/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "options"], 0, null, ["loc", [null, [1, 0], [16, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/options/value/model', ['exports', 'ember', 'ember-data/model', 'ember-data/attr'], function (exports, _ember, _emberDataModel, _emberDataAttr) {
  exports['default'] = _emberDataModel['default'].extend({

    'default': (0, _emberDataAttr['default'])(),
    value: (0, _emberDataAttr['default'])(),

    radio: _ember['default'].inject.service('global/radio'),

    modifiedObserver: _ember['default'].observer('value', function () {

      this.get('radio').trigger('option.value.changed', {
        id: this.get('id'),
        dirty: this.get('hasDirtyAttributes'),
        value: this.get('value'),
        model: this
      });
    })

  });
});
define('cornerstone/preview-elements/audio', ['exports'], function (exports) {
  // import Ember from 'ember';

  exports['default'] = {

    emptyDetection: function emptyDetection() {
      return false;
    },

    onDidInsertElement: Ember.on('didInsertElement', function () {
      if ('embed' === this.get('model.atts.audio_type')) {
        this.$('iframe').css('pointer-events', 'none');
      }
    })

  };
});
define('cornerstone/preview-elements/bg-contrast-detection', ['exports', 'ember', 'npm:color'], function (exports, _ember, _npmColor) {

  var ObjectPromiseProxy = _ember['default'].ObjectProxy.extend(_ember['default'].PromiseProxyMixin);

  function computedDominantImage(layer) {

    return _ember['default'].computed('trustedRender', 'model.atts.bg_' + layer + '_type', 'model.atts.bg_' + layer + '_image', function () {
      var _this = this;

      return ObjectPromiseProxy.create({
        promise: new _ember['default'].RSVP.Promise(function (resolve) {

          if (!_this.get('trustedRender') || !_this.get('model.atts.' + _this.get('model.atts._type') + '_bg_advanced') || 'image' !== _this.get('model.atts.bg_' + layer + '_type')) {
            return resolve({ color: 'transparent' });
          }

          var image = _this.get('model.atts.bg_' + layer + '_image');
          _this.get('rendering').detectImageDominantColor(image).then(function (color) {
            resolve({ color: color });
          });
        })
      });
    });
  }

  function computedDominantColor(layer) {

    var imageProp = 'dominantBg' + layer.capitalize() + 'Image.content.color';

    return _ember['default'].computed('model.atts.bg_' + layer + '_type', imageProp, 'model.atts.bg_' + layer + '_color', function () {

      if (!this.get('model.atts.' + this.get('model.atts._type') + '_bg_advanced')) {
        return 'transparent';
      }

      var type = this.get('model.atts.bg_' + layer + '_type');

      if ('image' === type) {
        var domBgImage = this.get(imageProp);
        if (domBgImage && 'transparent' !== domBgImage) {
          return domBgImage;
        }
      }

      if ('color' === type) {
        return this.get('colors').lookupColor(this.getWithDefault('model.atts.bg_' + layer + '_color', 'transparent'));
      }

      return 'transparent';
    });
  }

  exports['default'] = {

    colors: _ember['default'].inject.service('templates/colors'),

    trustedRenderCheck: _ember['default'].on('didInsertElement', function () {
      var _this2 = this;

      // Sometimes elements quickly re-render.
      // This allows us to ensure this component intends to stick around
      // We don't want to trigger expensive operations like background contrast detection.
      _ember['default'].run.later(function () {
        if (!_this2.isDestroyed) {
          _this2.set('trustedRender', true);
        }
      }, 100);
    }),

    dominantBgLayerColor: _ember['default'].computed('dominantBgUpperColor', 'dominantBgLowerColor', function () {

      var upperColor = this.get('dominantBgUpperColor');

      if ((0, _npmColor['default'])(upperColor).alpha() > 0.35) {
        return upperColor;
      }

      var lowerColor = this.get('dominantBgLowerColor');

      if ((0, _npmColor['default'])(lowerColor).alpha() > 0.35) {
        return lowerColor;
      }

      return 'transparent';
    }),

    dominantBgUpperColor: computedDominantColor('upper'),
    dominantBgLowerColor: computedDominantColor('lower'),
    dominantBgUpperImage: computedDominantImage('upper'),
    dominantBgLowerImage: computedDominantImage('lower')
  };
});
define('cornerstone/preview-elements/classic-column', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = {
    classNames: ['x-column', 'x-sm'],
    classNameBindings: ['appearsEmpty:cs-empty', 'receiving:cs-receiving', 'sizeClass', 'textAlignClass', 'model.atts.class'],
    attributeBindings: ['generatedStyle:style'],
    config: _ember['default'].inject.service(),
    elementService: _ember['default'].inject.service('element'),
    colors: _ember['default'].inject.service('templates/colors'),
    isEmpty: _ember['default'].computed.lte('model.availableChildren', 0),

    onInit: _ember['default'].on('init', function () {

      var id = this.get('model.atts.id');
      if (id) {
        this.set('elementId', id);
      }
    }),

    onIdChange: _ember['default'].observer('model.atts.id', function () {
      // We need a way to update the ID live for no_server_render elements.
      // Best solution I've thought of is replacing the no_server_render flag with
      // a whitelist of keys that become "attr" designation.
    }),

    dragulaEvents: ['container'],

    sizeClass: _ember['default'].computed('model.atts.size', function () {
      return 'x-' + this.get('model.atts.size').replace('/', '-');
    }),

    textAlignClass: _ember['default'].computed('model.atts.text_align', function () {
      var ta = this.get('model.atts.text_align');
      var map = this.getWithDefault('config.global.css_class_map.text_align', {});
      return map[ta] ? map[ta] : '';
    }),

    generatedStyle: _ember['default'].computed('model.atts.bg_type', 'model.atts.bg_color', 'model.atts.padding', 'model.atts.margin', 'model.atts.border_width', 'model.atts.border_color', 'model.atts.border_style', 'model.atts.style', function () {

      var styles = [];

      var bgColor = this.get('colors').lookupColor(this.getWithDefault('model.atts.bg_color', 'transparent'));
      styles.push('background-color: ' + bgColor);

      var padding = _ember['default'].copy(this.get('model.atts.padding'));
      var margin = _ember['default'].copy(this.get('model.atts.margin'));
      var borderWidth = _ember['default'].A(this.get('model.atts.border_width'));
      var borderColor = this.get('model.atts.border_color');
      var borderStyle = this.get('model.atts.border_style');

      if (_ember['default'].isArray(padding)) {
        padding.pop();
        styles.push('padding:' + padding.join(' '));
      }

      if (_ember['default'].isArray(margin)) {
        margin.pop();
        styles.push('margin:' + margin.join(' '));
      }

      if (_ember['default'].isArray(margin)) {
        margin.pop();
        styles.push('margin:' + margin.join(' '));
      }

      if ('none' !== borderStyle && _ember['default'].isArray(borderWidth)) {
        borderWidth.pop();
        var uniq = borderWidth.uniq();
        if (uniq.length !== 1 || '0px' !== uniq[0]) {
          styles.push('border-width:' + borderWidth.join(' '));
          styles.push('border-color:' + borderColor);
          styles.push('border-style:' + borderStyle);
        }
      }

      return _ember['default'].String.htmlSafe(styles.join(';') + ';' + this.getWithDefault('model.atts.style', ''));
    }),

    onDidInsertElement: _ember['default'].on('didInsertElement', function () {
      this.set('columnsReady', true);
      this.maybeShowEmpty();
    }),

    dragulaOverContainer: function dragulaOverContainer() {
      this.set('receiving', true);
    },

    appearsEmpty: _ember['default'].computed('isEmpty', 'dragEmpty', function () {
      return this.get('isEmpty') || this.get('dragEmpty');
    }),

    dragulaCancelContainer: function dragulaCancelContainer() {
      this.set('dragEmpty', false);
    },

    dragulaShadowSource: function dragulaShadowSource() {
      if (this.get('dragEmpty')) {
        return;
      }
      var dragEmpty = 0 === this.$().children(':not(.cs-empty-column)').length;
      this.set('dragEmpty', dragEmpty);
    },

    dragulaOutContainer: function dragulaOutContainer() {
      this.set('receiving', false);
    },

    dragulaDropInto: function dragulaDropInto(e, el, target, source, sibling) {

      this.set('dragEmpty', false);
      var liftedElement = this.get('elementService.liftedElement');
      var incomingType = this.get('elementService.incomingType');

      // Tested - all three modes are properly sending their intended index.
      // Sometimes when an item is moved from one container to another, it's final index is wrong.
      // see entity/model changeParent method

      var index = _ember['default'].$(sibling).index();
      index = -1 === index ? null : index - 1;

      if (liftedElement) {
        if (liftedElement.get('parent.id') !== this.get('model.id')) {
          //this.get('rendering.addGarbage')(el, liftedElement.get('definition.id'));
          el.remove();
        }
        this.sendAction('onMoveElement', liftedElement, index, this.get('model'));
        this.set('elementService.liftedElement', null);
        return;
      }

      if (incomingType) {
        this.sendAction('onAddElement', this.get('model'), { _type: incomingType }, index);
        this.set('elementService.incomingType', null);
        el.remove();
      }
    },

    appearsEmptyObserver: _ember['default'].observer('appearsEmpty', function () {
      this.maybeShowEmpty();
    }),

    maybeShowEmpty: function maybeShowEmpty() {
      var _this = this;

      if (!this.get('columnsReady') || this.get('isDestroyed')) {
        return;
      }

      this.$('.cs-empty-column').remove();

      if (this.get('appearsEmpty')) {
        var owner = _ember['default'].getOwner(this);
        var icon = owner.resolveRegistration('helper:icon').create();
        _ember['default'].setOwner(icon, owner);
        var markup = icon.compute(['interface/nav-elements-solid']);
        this.$().append('<div class="cs-empty-column">' + markup.string + '</div>');
        this.$('.cs-empty-column svg').on('mouseup', function (e) {
          e.stopPropagation();
          _this.get('preview').message('preview:action-propagation', { action: 'navigateToElements' });
        });
      }
    },

    onWillDestroyElement: _ember['default'].on('willDestroyElement', function () {
      this.$('.cs-empty-column').remove();
    })

  };
});
define('cornerstone/preview-elements/classic-embedded-audio', ['exports'], function (exports) {
  // import Ember from 'ember';

  exports['default'] = {

    emptyDetection: function emptyDetection() {
      return false;
    },

    onDidInsertElement: Ember.on('didInsertElement', function () {
      this.$('iframe').css('pointer-events', 'none');
    })

  };
});
define('cornerstone/preview-elements/classic-embedded-video', ['exports'], function (exports) {
  // import Ember from 'ember';

  exports['default'] = {

    emptyDetection: function emptyDetection() {
      return false;
    },

    onDidInsertElement: Ember.on('didInsertElement', function () {
      this.$('iframe').css('pointer-events', 'none');
    })

  };
});
define('cornerstone/preview-elements/classic-gap', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = {
    overrideDynamicProperties: ['tagName'],
    tagName: 'div',
    attributeBindings: ['generatedStyle:style'],
    classNames: ['cs-empty-bg'],
    generatedStyle: _ember['default'].computed(function () {
      var padding = this.getWithDefault('model.atts.gap_size');
      padding = padding ? String(padding) : '';

      var value = 15;
      var unit = 'px';

      var matches = padding.match(/(\d+)(\w+)/);
      if (matches) {
        if (matches[1]) {
          value = matches[1];
        }
        if (matches[2]) {
          unit = matches[2];
        }
      }

      if (value < 15) {
        value = 15;
      }

      return _ember['default'].String.htmlSafe('padding-top:' + value + unit + ';');
    })
  };
});
define("cornerstone/preview-elements/classic-google-map", ["exports"], function (exports) {
  // import Ember from 'ember';

  exports["default"] = {
    emptyDetection: function emptyDetection() {
      return false;
    }
  };
});
define('cornerstone/preview-elements/classic-map-embed', ['exports'], function (exports) {
  // import Ember from 'ember';

  exports['default'] = {

    onDidInsertElement: Ember.on('didInsertElement', function () {
      this.$('iframe').css('pointer-events', 'none');
    })

  };
});
define('cornerstone/preview-elements/classic-row', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = {
    classNames: ['x-container'],
    classNameBindings: ['containerClasses', 'contrastClass', 'textAlignClass', 'visibilityClass', 'model.atts.class'],
    attributeBindings: ['generatedStyle:style'],
    config: _ember['default'].inject.service(),
    colors: _ember['default'].inject.service('templates/colors'),

    onInit: _ember['default'].on('init', function () {

      var id = this.get('model.atts.id');
      if (id) {
        this.set('elementId', id);
      }
    }),

    onIdChange: _ember['default'].observer('model.atts.id', function () {
      // We need a way to update the ID live for no_server_render elements.
      // Best solution I've thought of is replacing the no_server_render flag with
      // a whitelist of keys that become "attr" designation.
    }),

    filteredAvailableChildren: _ember['default'].computed.filter('model.availableChildren', function (item) {
      return item.get('atts._active');
    }),

    containerClasses: _ember['default'].computed('model.atts.marginless_columns', 'model.atts.inner_container', function () {

      var classes = [];

      if (this.get('model.atts.inner_container')) {
        classes.push('max width');
      }

      if (this.get('model.atts.marginless_columns')) {
        classes.push('marginless-columns');
      }

      return classes.join(' ');
    }),

    textAlignClass: _ember['default'].computed('model.atts.text_align', function () {
      var ta = this.get('model.atts.text_align');
      var map = this.getWithDefault('config.global.css_class_map.text_align', {});
      return map[ta] ? map[ta] : '';
    }),

    visibilityClass: _ember['default'].computed('model.atts.visibility', function () {

      var visibility = [];

      var map = this.getWithDefault('config.global.css_class_map.visibility', {});
      this.getWithDefault('model.atts.visibility', []).forEach(function (item) {
        if (map[item]) {
          visibility.push(map[item]);
        }
      });

      return visibility.join(' ');
    }),

    generatedStyle: _ember['default'].computed('model.atts.bg_type', 'model.atts.bg_color', 'model.atts.padding', 'model.atts.margin', 'model.atts.border_width', 'model.atts.border_color', 'model.atts.border_style', 'model.atts.style', function () {

      var styles = [];

      var bgColor = this.get('colors').lookupColor(this.getWithDefault('model.atts.bg_color', 'transparent'));
      styles.push('background-color: ' + bgColor);

      var padding = _ember['default'].copy(this.get('model.atts.padding'));
      var margin = _ember['default'].copy(this.get('model.atts.margin'));
      var borderWidth = _ember['default'].A(this.get('model.atts.border_width'));
      var borderColor = this.get('model.atts.border_color');
      var borderStyle = this.get('model.atts.border_style');

      if (_ember['default'].isArray(padding)) {
        padding.pop();
        styles.push('padding:' + padding.join(' '));
      }

      if (_ember['default'].isArray(margin)) {
        margin.pop();
        styles.push('margin:' + margin.join(' '));
      }

      if (_ember['default'].isArray(margin)) {
        margin.pop();
        styles.push('margin:' + margin.join(' '));
      }

      if ('none' !== borderStyle && _ember['default'].isArray(borderWidth)) {
        borderWidth.pop();
        var uniq = borderWidth.uniq();
        if (uniq.length !== 1 || '0px' !== uniq[0]) {
          styles.push('border-width:' + borderWidth.join(' '));
          styles.push('border-color:' + borderColor);
          styles.push('border-style:' + borderStyle);
        }
      }

      return _ember['default'].String.htmlSafe(styles.join(';') + ';' + this.getWithDefault('model.atts.style', ''));
    })
  };
});
define('cornerstone/preview-elements/classic-section', ['exports', 'ember', 'npm:color'], function (exports, _ember, _npmColor) {

  var ObjectPromiseProxy = _ember['default'].ObjectProxy.extend(_ember['default'].PromiseProxyMixin);

  function makeTopSVG(type, bg_color, angle_point) {
    if (!angle_point) {
      angle_point = 0;
    }
    if (!bg_color) {
      bg_color = 'transparent';
    }
    switch (type) {
      case 'angle-out':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none" class="angle-top-out" style="fill: ' + bg_color + ';"><polygon points="' + angle_point + ',0 100,100 0,100"/></svg>';
      case 'angle-in':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none" class="angle-top-in" style="fill: ' + bg_color + ';"><polygon points="0,100 ' + angle_point + ',100 0,0"/><polygon points="' + angle_point + ',100 100,100 100,0"/></svg>';
      case 'curve-out':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 50" preserveAspectRatio="none" class="curve-top-out" style="fill: ' + bg_color + ';"><path d="M0,50C0,50,22.4,0,50,0s50,50,50,50"/></svg>';
      case 'curve-in':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 50" preserveAspectRatio="none" class="curve-top-in" style="fill: ' + bg_color + ';"><path d="M0,0v50h50C22.4,50,0,0,0,0z"/><path d="M50,50h50V0C100,0,77.6,50,50,50z"/></svg>';
    }
    return '';
  }

  function makeBottomSVG(type, bg_color, angle_point) {
    if (!angle_point) {
      angle_point = 0;
    }
    if (!bg_color) {
      bg_color = 'transparent';
    }
    switch (type) {
      case 'angle-out':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none" class="angle-bottom-out" style="fill: ' + bg_color + ';"><polygon points="' + angle_point + ',100 100,0 0,0"></svg>';
      case 'angle-in':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none" class="angle-bottom-in" style="fill: ' + bg_color + ';"><polygon points="0,0 ' + angle_point + ',0 0,100"/><polygon points="' + angle_point + ',0 100,0 100,100"/></svg>';
      case 'curve-out':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 50" preserveAspectRatio="none" class="curve-bottom-out" style="fill: ' + bg_color + ';"><path d="M0,0c0,0,22.4,50,50,50s50-50,50-50"/></svg>';
      case 'curve-in':
        return '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 100 50" preserveAspectRatio="none" class="curve-bottom-in" style="fill: ' + bg_color + ';"><path d="M0,50V0h50C22.4,0,0,50,0,50z"/><path d="M50,0h50v50C100,50,77.6,0,50,0z"/></svg>';
    }
    return '';
  }

  exports['default'] = {
    classNames: ['x-section'],
    classNameBindings: ['bgClass', 'contrastClass', 'textAlignClass', 'visibilityClass', 'model.atts.class'],
    attributeBindings: ['generatedStyle:style', 'domColor.content.color:data-dom-color'],

    onInit: _ember['default'].on('init', function () {

      var id = this.get('model.atts.id');
      if (id) {
        this.set('elementId', id);
      }
    }),

    onIdChange: _ember['default'].observer('model.atts.id', function () {
      // We need a way to update the ID live for no_server_render elements.
      // Best solution I've thought of is replacing the no_server_render flag with
      // a whitelist of keys that become "attr" designation.
    }),

    config: _ember['default'].inject.service(),
    colors: _ember['default'].inject.service('templates/colors'),

    contrastClass: _ember['default'].computed('backgroundContrast', function () {
      var contrast = this.getWithDefault('backgroundContrast', 'light');
      return _ember['default'].String.htmlSafe('cs-bg-' + contrast);
    }),

    bgClass: _ember['default'].computed('model.atts.bg_type', 'model.atts.bg_pattern_toggle', 'model.atts.parallax', function () {

      var classes = [];

      switch (this.get('model.atts.bg_type')) {
        case 'video':
          classes.push('bg-video');
          break;
        case 'image':
          classes.push(this.get('model.atts.bg_pattern_toggle') ? 'bg-pattern' : 'bg-image');
          if (this.get('model.atts.parallax')) {
            classes.push('parallax');
          }
          break;
        case 'color':
          classes.push('bg-color');
          break;
      }

      return classes.join(' ');
    }),

    textAlignClass: _ember['default'].computed('model.atts.text_align', function () {
      var ta = this.get('model.atts.text_align');
      var map = this.getWithDefault('config.global.css_class_map.text_align', {});
      return map[ta] ? map[ta] : '';
    }),

    visibilityClass: _ember['default'].computed('model.atts.visibility', function () {

      var visibility = [];

      var map = this.getWithDefault('config.global.css_class_map.visibility', {});
      this.getWithDefault('model.atts.visibility', []).forEach(function (item) {
        if (map[item]) {
          visibility.push(map[item]);
        }
      });

      return visibility.join(' ');
    }),

    generatedStyle: _ember['default'].computed('model.atts.bg_type', 'model.atts.bg_image', 'model.atts.bg_video_poster', 'model.atts.bg_color', 'model.atts.parallax', 'model.atts.padding', 'model.atts.margin', 'model.atts.border_width', 'model.atts.border_color', 'model.atts.border_style', 'model.atts.style', function () {

      var styles = [];
      var bgType = this.get('model.atts.bg_type');
      if (['color', 'image'].includes(bgType)) {
        var bgColor = this.get('colors').lookupColor(this.getWithDefault('model.atts.bg_color', 'transparent'));
        styles.push('background-color: ' + bgColor);

        if ('image' === bgType) {
          styles.push('background-image: url("' + this.get('model.atts.bg_image') + '")');
        }
        if (this.get('model.atts.parallax')) {
          styles.push('background-attachment: fixed');
        }
      } else if ('video' === bgType) {
        styles.push('background-image: url("' + this.get('model.atts.bg_video_poster') + '")');
        styles.push('background-color: white');
        styles.push('background-size: cover');
      }

      var padding = _ember['default'].copy(this.get('model.atts.padding'));
      var margin = _ember['default'].copy(this.get('model.atts.margin'));
      var borderWidth = _ember['default'].A(this.get('model.atts.border_width'));
      var borderColor = this.get('model.atts.border_color');
      var borderStyle = this.get('model.atts.border_style');

      if (_ember['default'].isArray(padding)) {
        padding.pop();
        styles.push('padding:' + padding.join(' '));
      }

      if (_ember['default'].isArray(margin)) {
        margin.pop();
        styles.push('margin:' + margin.join(' '));
      }

      if (_ember['default'].isArray(margin)) {
        margin.pop();
        styles.push('margin:' + margin.join(' '));
      }

      if ('none' !== borderStyle && _ember['default'].isArray(borderWidth)) {
        borderWidth.pop();
        var uniq = borderWidth.uniq();
        if (uniq.length !== 1 || '0px' !== uniq[0]) {
          styles.push('border-width:' + borderWidth.join(' '));
          styles.push('border-color:' + borderColor);
          styles.push('border-style:' + borderStyle);
        }
      }

      return _ember['default'].String.htmlSafe(styles.join(';') + ';' + this.getWithDefault('model.atts.style', ''));
    }),

    onDidInsertElement: _ember['default'].on('didInsertElement', function () {
      var _this = this;

      this.set('hasRendered', true);

      _ember['default'].run.scheduleOnce('afterRender', function () {
        _this.updateSeperators();
      });

      // Sometimes elements quickly re-render.
      // This allows us to ensure this component intends to stick around
      // We don't want to trigger expensive operations like background contrast detection.
      _ember['default'].run.later(function () {
        if (!_this.isDestroyed) {
          _this.set('trustedRender', true);
        }
      }, 100);
    }),

    separatorObserver: _ember['default'].observer('model.atts.bg_color', 'model.atts.separator_top_type', 'model.atts.separator_top_height', 'model.atts.separator_top_angle_point', 'model.atts.separator_bottom_type', 'model.atts.separator_bottom_height', 'model.atts.separator_bottom_angle_point', function () {
      this.updateSeperators();
    }),

    updateSeperators: function updateSeperators() {

      if (this.isDestroyed || !this.get('hasRendered')) {
        return;
      }

      var topType = this.get('model.atts.separator_top_type');
      var bottomType = this.get('model.atts.separator_bottom_type');

      // Remove existing separators
      this.$('.x-section-separator').remove();

      // Add top seperator
      if ('none' !== topType) {
        var topHeight = this.get('model.atts.separator_top_height');
        var topAnglePoint = this.get('model.atts.separator_top_angle_point');
        var $topSeperator = _ember['default'].$('<div class="x-section-separator x-section-separator-top x-section-separator-' + topType + '"></div>');
        if (topHeight) {
          $topSeperator.height(topHeight);
        }
        $topSeperator.append(_ember['default'].$(makeTopSVG(topType, this.getWithDefault('model.atts.bg_color', 'transparent'), topAnglePoint)));
        this.$().prepend($topSeperator);
      }

      // Add bottom seperator
      if ('none' !== bottomType) {
        var bottomHeight = this.get('model.atts.separator_bottom_height');
        var bottomAnglePoint = this.get('model.atts.separator_bottom_angle_point');
        var $bottomSeperator = _ember['default'].$('<div class="x-section-separator x-section-separator-bottom x-section-separator-' + bottomType + '"></div>');
        if (bottomHeight) {
          $bottomSeperator.height(bottomHeight);
        }
        $bottomSeperator.append(_ember['default'].$(makeBottomSVG(bottomType, this.getWithDefault('model.atts.bg_color', 'transparent'), bottomAnglePoint)));
        this.$().prepend($bottomSeperator);
      }
    },

    backgroundContrast: _ember['default'].computed('dominantBgColor', function () {

      var color = this.get('dominantBgColor');

      if (!color) {
        color = 'transparent';
      }

      color = (0, _npmColor['default'])(color);

      if (0 === color.alpha()) {
        return 'light';
      }

      return color.dark() ? 'dark' : 'light';
    }),

    dominantBgColor: _ember['default'].computed('dominantBgImageColor.content', 'model.atts.bg_type', 'model.atts.bg_color', function () {

      var type = this.get('model.atts.bg_type');

      if ('image' === type) {
        var domBgImage = this.get('dominantBgImageColor.content');
        if (domBgImage && 'transparent' !== domBgImage) {
          return domBgImage;
        }
      }

      return this.get('colors').lookupColor(this.getWithDefault('model.atts.bg_color', 'transparent'));
    }),

    dominantBgImageColor: _ember['default'].computed('trustedRender', 'model.atts.bg_image', function () {
      var _this2 = this;

      return ObjectPromiseProxy.create({
        promise: new _ember['default'].RSVP.Promise(function (resolve) {

          if ('image' !== _this2.get('model.atts.bg_type') || !_this2.get('trustedRender')) {
            return resolve('transparent');
          }

          var image = _this2.get('model.atts.bg_image');
          _this2.get('rendering').detectImageDominantColor(image).then(function (color) {
            return resolve(color);
          });
        })
      });
    })

  };
});
define('cornerstone/preview-elements/column', ['exports', 'ember', 'cornerstone/preview-elements/bg-contrast-detection', 'npm:color'], function (exports, _ember, _cornerstonePreviewElementsBgContrastDetection, _npmColor) {
  exports['default'] = _ember['default'].assign(_ember['default'].copy(_cornerstonePreviewElementsBgContrastDetection['default']), {
    classNames: ['x-column', 'x-sm'],
    classNameBindings: ['contrastClass', 'appearsEmpty:cs-empty', 'receiving:cs-receiving', 'sizeClass', 'textAlignClass', 'model.atts.class'],

    contrastClass: _ember['default'].computed('backgroundContrast', function () {
      var contrast = this.getWithDefault('backgroundContrast', 'light');
      return _ember['default'].String.htmlSafe('cs-bg-' + contrast);
    }),

    config: _ember['default'].inject.service(),
    elementService: _ember['default'].inject.service('element'),
    isEmpty: _ember['default'].computed.lte('model.availableChildren', 0),

    dragulaEvents: ['container'],

    sizeClass: _ember['default'].computed('model.atts.size', function () {
      return 'x-' + this.get('model.atts.size').replace('/', '-');
    }),

    textAlignClass: _ember['default'].computed('model.atts.text_align', function () {
      var ta = this.get('model.atts.text_align');
      var map = this.getWithDefault('config.global.css_class_map.text_align', {});
      return map[ta] ? map[ta] : '';
    }),

    onDidInsertElement: _ember['default'].on('didInsertElement', function () {
      this.set('columnsReady', true);
      this.maybeShowEmpty();
    }),

    dragulaOverContainer: function dragulaOverContainer() {
      this.set('receiving', true);
    },

    appearsEmpty: _ember['default'].computed('isEmpty', 'dragEmpty', function () {
      return this.get('isEmpty') || this.get('dragEmpty');
    }),

    dragulaCancelContainer: function dragulaCancelContainer() {
      this.set('dragEmpty', false);
    },

    dragulaShadowSource: function dragulaShadowSource() {
      if (this.get('dragEmpty')) {
        return;
      }
      var dragEmpty = 0 === this.$().children(':not(.cs-empty-column)').length;
      this.set('dragEmpty', dragEmpty);
    },

    dragulaOutContainer: function dragulaOutContainer() {
      this.set('receiving', false);
    },

    dragulaDropInto: function dragulaDropInto(e, el, target, source, sibling) {

      this.set('dragEmpty', false);
      var liftedElement = this.get('elementService.liftedElement');
      var incomingType = this.get('elementService.incomingType');

      // Tested - all three modes are properly sending their intended index.
      // Sometimes when an item is moved from one container to another, it's final index is wrong.
      // see entity/model changeParent method

      var index = _ember['default'].$(sibling).index();
      index = -1 === index ? null : index - 1;

      if (liftedElement) {
        if (liftedElement.get('parent.id') !== this.get('model.id')) {
          //this.get('rendering.addGarbage')(el, liftedElement.get('definition.id'));
          el.remove();
        }
        this.sendAction('onMoveElement', liftedElement, index, this.get('model'));
        this.set('elementService.liftedElement', null);
        return;
      }

      if (incomingType) {
        this.sendAction('onAddElement', this.get('model'), { _type: incomingType }, index);
        this.set('elementService.incomingType', null);
        el.remove();
      }
    },

    appearsEmptyObserver: _ember['default'].observer('appearsEmpty', function () {
      this.maybeShowEmpty();
    }),

    maybeShowEmpty: function maybeShowEmpty() {
      var _this = this;

      if (!this.get('columnsReady') || this.get('isDestroyed')) {
        return;
      }

      this.$('.cs-empty-column').remove();

      if (this.get('appearsEmpty')) {
        var owner = _ember['default'].getOwner(this);
        var icon = owner.resolveRegistration('helper:icon').create();
        _ember['default'].setOwner(icon, owner);
        var markup = icon.compute(['interface/nav-elements-solid']);
        this.$().append('<div class="cs-empty-column">' + markup.string + '</div>');
        this.$('.cs-empty-column svg').on('mouseup', function (e) {
          e.stopPropagation();
          _this.get('preview').message('preview:action-propagation', { action: 'navigateToElements' });
        });
      }
    },

    onWillDestroyElement: _ember['default'].on('willDestroyElement', function () {
      this.$('.cs-empty-column').remove();
    }),

    backgroundContrast: _ember['default'].computed('dominantBgColor', function () {

      var color = (0, _npmColor['default'])(this.getWithDefault('dominantBgColor', 'transparent'));

      if (0 === color.alpha()) {
        return 'light';
      }

      return color.dark() ? 'dark' : 'light';
    }),

    dominantBgColor: _ember['default'].computed('parent.dominantBgColor', 'model.atts.column_bg_advanced', 'model.atts.column_bg_color', 'dominantBgLayerColor', function () {

      if (this.get('model.atts.column_bg_advanced')) {

        var layerColor = this.get('colors').lookupColor(this.getWithDefault('dominantBgLayerColor', 'transparent'));
        if ((0, _npmColor['default'])(layerColor).alpha() > 0.35) {
          return layerColor;
        }
      }

      var baseColor = this.get('colors').lookupColor(this.getWithDefault('model.atts.column_bg_color', 'transparent'));

      if ((0, _npmColor['default'])(baseColor).alpha() > 0.35) {
        return baseColor;
      }

      var parentColor = this.get('colors').lookupColor(this.getWithDefault('parent.dominantBgColor', 'transparent'));

      if ((0, _npmColor['default'])(parentColor).alpha() > 0.35) {
        return parentColor;
      }

      return 'transparent';
    })

  });
});
define('cornerstone/preview-elements/gap', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = {
    overrideDynamicProperties: ['tagName'],
    tagName: 'div',
    classNames: ['cs-empty-bg', 'cs-gap-preview'],
    classNameBindings: ['direction'],
    direction: _ember['default'].computed('model.atts.gap_direction', function () {
      return _ember['default'].String.htmlSafe('gap-' + this.get('model.atts.gap_direction'));
    }),
    emptyDetection: function emptyDetection() {
      return false;
    }
  };
});
define('cornerstone/preview-elements/map', ['exports'], function (exports) {
  // import Ember from 'ember';

  exports['default'] = {
    emptyDetection: function emptyDetection() {
      return false;
    },

    onDidInsertElement: Ember.on('didInsertElement', function () {
      if ('embed' === this.get('model.atts.map_type')) {
        this.$('iframe').css('pointer-events', 'none');
      }
    })

  };
});
define('cornerstone/preview-elements/row', ['exports', 'ember', 'cornerstone/preview-elements/bg-contrast-detection', 'npm:color'], function (exports, _ember, _cornerstonePreviewElementsBgContrastDetection, _npmColor) {
  exports['default'] = _ember['default'].assign(_ember['default'].copy(_cornerstonePreviewElementsBgContrastDetection['default']), {

    filteredAvailableChildren: _ember['default'].computed.filter('model.availableChildren', function (item) {
      return item.get('atts._active');
    }),

    dominantBgColor: _ember['default'].computed('parent.dominantBgColor', 'model.atts.row_bg_advanced', 'model.atts.row_bg_color', 'dominantBgLayerColor', function () {

      if (this.get('model.atts.row_bg_advanced')) {

        var layerColor = this.get('colors').lookupColor(this.getWithDefault('dominantBgLayerColor', 'transparent'));

        if ((0, _npmColor['default'])(layerColor).alpha() > 0.35) {
          return layerColor;
        }
      }

      var baseColor = this.get('colors').lookupColor(this.getWithDefault('model.atts.row_bg_color', 'transparent'));

      if ((0, _npmColor['default'])(baseColor).alpha() > 0.35) {
        return baseColor;
      }

      var parentColor = this.get('colors').lookupColor(this.getWithDefault('parent.dominantBgColor', 'transparent'));

      if ((0, _npmColor['default'])(parentColor).alpha() > 0.35) {
        return parentColor;
      }

      return 'transparent';
    })

  });
});
define('cornerstone/preview-elements/section', ['exports', 'ember', 'cornerstone/preview-elements/bg-contrast-detection', 'npm:color'], function (exports, _ember, _cornerstonePreviewElementsBgContrastDetection, _npmColor) {
  exports['default'] = _ember['default'].assign(_ember['default'].copy(_cornerstonePreviewElementsBgContrastDetection['default']), {

    dominantBgColor: _ember['default'].computed('model.atts.section_bg_advanced', 'model.atts.section_bg_color', 'dominantBgLayerColor', function () {

      if (this.get('model.atts.section_bg_advanced')) {

        var layerColor = this.get('colors').lookupColor(this.getWithDefault('dominantBgLayerColor', 'transparent'));

        if ((0, _npmColor['default'])(layerColor).alpha() > 0.35) {
          return layerColor;
        }
      }

      var baseColor = this.get('colors').lookupColor(this.getWithDefault('model.atts.section_bg_color', 'transparent'));

      if ((0, _npmColor['default'])(baseColor).alpha() > 0.35) {
        return baseColor;
      }

      return 'transparent';
    })

  });
});
define('cornerstone/preview-elements/video', ['exports'], function (exports) {
  // import Ember from 'ember';

  exports['default'] = {

    emptyDetection: function emptyDetection() {
      return false;
    },

    onDidInsertElement: Ember.on('didInsertElement', function () {
      if ('embed' === this.get('model.atts.video_type')) {
        this.$('iframe').css('pointer-events', 'none');
      }
    })

  };
});
define('cornerstone/preview/content/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    preview: _ember['default'].inject.service()
  });
});
define('cornerstone/preview/content/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({
    preview: _ember['default'].inject.service(),
    colors: _ember['default'].inject.service('templates/colors'),
    rendering: _ember['default'].inject.service('preview/rendering'),

    beforeModel: function beforeModel() {
      this.set('rendering.renderContext', null);
      this.set('preview.canRemovePreloader', false);
    },
    model: function model() {
      return _ember['default'].RSVP.hash({
        colors: this.store.findAll('templates/colors/selection'),
        root: this.store.findRecord('element', 'root')
      });
    },
    afterModel: function afterModel(model) {
      this.set('rendering.renderContext', {
        mode: 'content',
        data: {
          post_id: this.get('preview.initialRouteConfig.post_id')
        }
      });
      if (model.root.get('availableChildren.length') <= 0) {
        this.get('preview').removePreloader(true);
      }
    },

    actions: {

      addElement: function addElement(parent, data, order, options) {
        this.get('preview').message('remote-action', {
          action: 'remoteAddElement',
          params: [parent.get('id'), data, order, options]
        });
      },

      moveElement: function moveElement(element, order, parent) {
        this.get('preview').message('remote-action', {
          action: 'remoteMoveElement',
          params: [element.get('id'), order, parent ? parent.get('id') : null]
        });
      }

    }
  });
});
define("cornerstone/preview/content/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/preview/content/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "preview/section-manager", [], ["model", ["subexpr", "@mut", [["get", "model.root", ["loc", [null, [3, 34], [3, 44]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 46]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/preview/content/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "outlet", ["loc", [null, [1, 0], [1, 10]]], 0, 0, 0, 0], ["block", "if", [["get", "preview.loader.zonesLoaded", ["loc", [null, [2, 6], [2, 32]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [4, 7]]]], ["content", "preview/link-targeting", ["loc", [null, [5, 0], [5, 26]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/preview/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    preview: _ember['default'].inject.service()
  });
});
define('cornerstone/preview/options/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({
    model: function model() {
      return _ember['default'].RSVP.hash({
        config: this.get('config').fetch('options-manager')
      });
    }
  });
});
define("cornerstone/preview/options/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/preview/options/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "outlet", ["loc", [null, [1, 0], [1, 10]]], 0, 0, 0, 0], ["inline", "preview/options/options-preview", [], ["config", ["subexpr", "@mut", [["get", "model.config", ["loc", [null, [2, 41], [2, 53]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 0], [2, 55]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/preview/regions-index/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({});
});
define("cornerstone/preview/regions-index/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 0
          }
        },
        "moduleName": "cornerstone/preview/regions-index/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "outlet", ["loc", [null, [1, 0], [1, 10]]], 0, 0, 0, 0], ["content", "preview/link-targeting", ["loc", [null, [2, 0], [2, 26]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/preview/regions/controller', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Controller.extend({
    preview: _ember['default'].inject.service()
  });
});
define('cornerstone/preview/regions/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({
    preview: _ember['default'].inject.service(),
    rendering: _ember['default'].inject.service('preview/rendering'),

    colors: _ember['default'].inject.service('templates/colors'),
    beforeModel: function beforeModel() {
      this.set('rendering.renderContext', null);
      this.set('preview.canRemovePreloader', false);
    },
    model: function model() {
      return _ember['default'].RSVP.hash({
        colors: this.store.findAll('templates/colors/selection'),
        root: this.store.findRecord('element', 'root')
      });
    },
    afterModel: function afterModel(model) {
      this.set('rendering.renderContext', { mode: 'regions' });
      var totalBars = model.root.get('children').reduce(function (total, region) {
        total += region.get('children.length');
        return total;
      }, 0);

      if (totalBars <= 0) {
        this.get('preview').removePreloader(true);
      }
    }
  });
});
define("cornerstone/preview/regions/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "cornerstone/preview/regions/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "preview/region-manager", [], ["model", ["subexpr", "@mut", [["get", "model.root", ["loc", [null, [3, 33], [3, 43]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [3, 2], [3, 45]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/preview/regions/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 3, 3, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "outlet", ["loc", [null, [1, 0], [1, 10]]], 0, 0, 0, 0], ["block", "if", [["get", "preview.loader.zonesLoaded", ["loc", [null, [2, 6], [2, 32]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [4, 7]]]], ["content", "preview/link-targeting", ["loc", [null, [5, 0], [5, 26]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/preview/rendering/service', ['exports', 'ember', 'cornerstone/mixins/async-batch', 'cornerstone/vendor/lru', 'npm:spark-md5', 'npm:json-stable-stringify', 'npm:htmlhint'], function (exports, _ember, _cornerstoneMixinsAsyncBatch, _cornerstoneVendorLru, _npmSparkMd5, _npmJsonStableStringify, _npmHtmlhint) {
  var HTMLHint = _npmHtmlhint['default'].HTMLHint;

  // Scripts can pass through. This is only used to remove them before calling HTMLHint
  function stripScripts(string) {

    var html = _ember['default'].$.parseHTML(string, null);

    var buffer = '';

    if (html) {
      html.forEach(function (node) {
        if (!_ember['default'].isNone(node.nodeValue)) {
          buffer += html[0].nodeValue;
        }
        if (!_ember['default'].isNone(node.outerHTML)) {
          buffer += html[0].outerHTML;
        }
      });
    }

    return buffer;
  }

  exports['default'] = _ember['default'].Service.extend(_cornerstoneMixinsAsyncBatch['default'], {
    htmlhintConfig: { 'tagname-lowercase': false, 'attr-lowercase': false, 'attr-value-double-quotes': false, 'doctype-first': false, 'tag-pair': true, 'spec-char-escape': true, 'id-unique': false, 'src-not-empty': false, 'attr-no-duplication': false, 'title-require': false },
    csAjax: _ember['default'].inject.service(),
    debug: _ember['default'].inject.service(),
    cache: _ember['default'].Object.create(),
    store: _ember['default'].inject.service(),
    worker: _ember['default'].inject.service(),
    queue: _ember['default'].inject.service(),
    garbage: _ember['default'].A(),
    imageColors: {},
    preview: _ember['default'].inject.service(),
    scriptExtractions: _ember['default'].Object.create(),
    styleExtractions: _ember['default'].Object.create(),
    scriptLoaderQueue: {},
    verboseLogging: _ember['default'].computed.alias('debug.verboseRenderLogging'),

    init: function init() {
      this._super();
      this.set('lruCache', new _cornerstoneVendorLru.LRUMap(800));
      this.set('addGarbage', this.get('addGarbage').bind(this));
      this.set('cleanGarbage', this.get('cleanGarbage').bind(this));
    },

    updateMarkup: function updateMarkup(model) {
      var _this = this;

      var dry = arguments.length <= 1 || arguments[1] === undefined ? false : arguments[1];

      if (!model) {
        return;
      }

      if (model.get('definition.options.no_server_render')) {
        _ember['default'].run.scheduleOnce('afterRender', function () {
          _this.set('cache.markup-' + model.get('id'), '');
        });
        return;
      }

      var serialized = model.getCleanAtts();

      if (model.get('definition.options.is_classic')) {

        serialized._transient = {};

        if (model.get('definition.options.classic.child')) {
          var parentAtts = model.get('parent.getCleanAtts');
          if (parentAtts) {
            serialized._transient.parent = parentAtts();
          }
        }

        if (model.get('definition.options.classic.manageChild')) {
          var children = model.getWithDefault('sortedAvailableChildren', []).map(function (child) {
            return child.getCleanAtts();
          });
          serialized._transient.children = children;
        }

        // see app/components/preview/render-element/component.js line 58
        var childrenCount = model.getWithDefault('availableChildren.length', null);

        if (!_ember['default'].isNone(childrenCount)) {
          serialized._transient.children_count = childrenCount;
        }
      }

      var hashData = _ember['default'].copy(serialized);
      hashData._id = null;
      if (hashData._transient) {
        if (hashData._transient.parent) {
          hashData._transient.parent.id = null;
        }
      }

      var hash = _npmSparkMd5['default'].hash((0, _npmJsonStableStringify['default'])(hashData, Object.keys(hashData).sort()));

      var cached = this.get('lruCache').get(hash);
      if (cached) {
        if (!dry) {
          _ember['default'].run.scheduleOnce('afterRender', function () {
            _this.set('cache.markup-' + serialized._id, cached);
          });
        }
        if (this.get('verboseLogging')) {
          console.log('MARKUP (CACHED)', model.get('definition.id'), hash, hashData, cached);
        }
        return;
      }

      var timestamp = new Date().getTime();
      this.set('cache.lastUpdated-' + serialized._id, timestamp);

      this.asyncBatchRequest({
        action: 'markup',
        model: serialized,
        hash: hash,
        timestamp: timestamp
      }).then(function (response) {

        _this.get('preview').removePreloader(true);

        var errors = HTMLHint.verify(stripScripts(response.template), _this.get('htmlhintConfig'));

        // Ignore late requests that come in out of order.
        if (_this.get('cache.lastUpdated-' + serialized._id) > response.timestamp) {
          return;
        }

        if (_ember['default'].isEmpty(errors)) {
          if (_this.get('verboseLogging')) {
            console.log('MARKUP', model.get('definition.id'), hash, hashData, response.template);
          }
          _this.get('lruCache').set(hash, response.template);
          if (!dry) {
            _ember['default'].run.scheduleOnce('afterRender', function () {
              _this.set('cache.markup-' + serialized._id, response.template);
            });
          }
        } else {
          _this.get('preview').message('status-indicator', { show: true, mode: 'error' });
          console.log('Ignoring invalid markup for ' + serialized._type + ':' + serialized._id, errors, response);
        }

        _ember['default'].run.next(function () {
          _ember['default'].run.scheduleOnce('afterRender', function () {
            _this.afterRender();
          });
        });
      });
    },

    asyncBatchProcess: function asyncBatchProcess(batch, queue) {
      var _this2 = this;

      return new _ember['default'].RSVP.Promise(function (resolve) {

        _this2.get('preview').message('status-indicator', {
          show: true,
          mode: 'loading'
        });

        _this2.get('csAjax').request('render::elements', {
          context: _this2.get('renderContext'),
          batch: batch,
          queue: queue
        }).then(function (response) {

          var promises = [];
          for (var handle in response.extractions.scripts) {
            if (response.extractions.scripts.hasOwnProperty(handle)) {
              promises.push(_this2.requireScript(handle, response.extractions.scripts[handle]));
            }
          }

          for (var handle in response.extractions.styles) {
            if (response.extractions.styles.hasOwnProperty(handle)) {
              promises.push(_this2.requireStyle(handle, response.extractions.styles[handle]));
            }
          }

          _ember['default'].RSVP.allSettled(promises).then(function () {
            resolve(response.batch);
          });

          _this2.get('preview').message('status-indicator', { show: false, mode: 'loading' });
        });
      });
    },

    afterRender: function afterRender() {
      if (this.get('preview.shouldScrollToBottom')) {
        this.get('preview').scrollToBottom();
      }
    },

    requireStyle: function requireStyle(handle, style) {
      return new _ember['default'].RSVP.Promise(function (resolve) {

        if (0 === _ember['default'].$('link[data-cs-handle="' + handle + '"]').length) {
          _ember['default'].$('head').append(_ember['default'].$(style.tag));
        }

        resolve(); // console.warn(`Requested style (${handle}) not loaded.`, style);
      });
    },

    requireScript: function requireScript(handle, script) {
      var _this3 = this;

      return new _ember['default'].RSVP.Promise(function (resolve) {

        var $existingScript = _ember['default'].$('script[data-cs-handle="' + handle + '"]');
        if (0 !== $existingScript.length) {
          if ($existingScript.hasAttribute('data-cs-script-loaded')) {
            console.log('Requested runtime script (' + handle + ') already loaded.');
            resolve();
          } else {
            _this3.get('scriptLoaderQueue.' + handle).then(function () {
              resolve();
            });
          }
          return;
        }

        if (script.before) {
          var $before = _ember['default'].$('<script data-cs-script-extra="' + handle + '">' + script.before + '</script>');
          _ember['default'].$('body').append($before);
        }

        var scriptEl = document.createElement('script');
        var $script = _ember['default'].$(scriptEl);
        _ember['default'].$(scriptEl).attr('data-cs-handle', handle);
        _ember['default'].$('body').append(scriptEl);

        var promise = new _ember['default'].RSVP.Promise(function (resolveSource) {

          var timeout = _ember['default'].run.later(function () {
            console.warn('Requested script (' + handle + ') could not be loaded after waiting 10 seconds.');
            return resolveSource();
          }, 10000);

          scriptEl.onload = function () {
            _ember['default'].run.next(function () {
              $script.attr('data-cs-script-loaded', true);
              _ember['default'].run.cancel(timeout);
              console.log('Runtime script loaded: ' + handle);
              resolveSource();
            });
          };
        });

        promise.then(function () {
          return resolve();
        });
        _this3.set('scriptLoaderQueue.' + handle, promise);
        scriptEl.src = script.src;
      });
    },

    addGarbage: function addGarbage(el, type) {
      var _this4 = this;

      var garbage = this.getWithDefault('garbage', _ember['default'].A());

      garbage.push({ el: el, type: type });
      this.set('garbage', garbage);

      _ember['default'].run.later(function () {
        _this4.cleanGarbage('all');
      }, 1000);
    },

    cleanGarbage: function cleanGarbage(type) {
      var _this5 = this;

      var garbage = this.getWithDefault('garbage', _ember['default'].A());

      if (_ember['default'].isEmpty(garbage)) {
        return;
      }

      _ember['default'].run.scheduleOnce('afterRender', function () {

        garbage.forEach(function (item) {

          if ('all' === type || item.type === type) {
            if (item.el && item.el.remove) {
              _this5.set('garbageCleaned', true);
              item.el.remove();
            }
          }
        });
      });

      this.set('garbage', _ember['default'].A());
    },

    primeElement: function primeElement(type) {
      var record = this.get('store').createRecord('element', { atts: { _type: type } });
      record.setup();
      this.updateMarkup(record, true);
      _ember['default'].run.next(function () {
        record.deleteRecord();
      });
    },

    detectImageDominantColor: function detectImageDominantColor(image) {
      var _this6 = this;

      return new _ember['default'].RSVP.Promise(function (resolve) {

        if (!image) {
          return resolve('transparent');
        }

        var hashedUrl = _npmSparkMd5['default'].hash(image);
        var cachedColor = _this6.get('imageColors.' + hashedUrl);
        if (cachedColor) {
          return resolve(cachedColor);
        }

        _this6.get('queue').queue(function (done) {
          var img = new Image();

          if (image.substring(0, 5) !== 'data:') {
            img.crossOrigin = "Anonymous";
          }

          img.addEventListener('load', function () {

            var w = img.width * 0.25;
            var h = img.height * 0.25;

            var canvas = document.createElement("canvas");
            canvas.setAttribute('width', w);
            canvas.setAttribute('height', h);
            var context = canvas.getContext('2d');
            context.drawImage(img, 0, 0, w, h);
            var imageData = context.getImageData(0, 0, w, h);
            _this6.get('worker').queue('image-contrast', { imageData: imageData }).then(function (response) {
              if (_this6.get('verboseLogging')) {
                console.log('detect', image, response.data.dominant);
              }
              _this6.set('imageColors.' + hashedUrl, response.data.dominant);
              resolve(response.data.dominant);
              canvas.remove();
            });

            done();
          });

          img.src = image;
        }, 50);
      });
    }

  });
});
define('cornerstone/preview/route', ['exports', 'ember', 'cornerstone/mixins/keyboard-shortcuts/route'], function (exports, _ember, _cornerstoneMixinsKeyboardShortcutsRoute) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsKeyboardShortcutsRoute['default'], {

    keyboardShortcuts: {
      'save': 'propogateSave',
      'find': 'propogateFind',
      'esc': 'propogateCancel'
    },

    preview: _ember['default'].inject.service(),
    beforeModel: function beforeModel() {},
    model: function model() {
      return _ember['default'].RSVP.hash({
        elementDefinitions: this.store.findAll('element/definition'),
        fontConfig: this.store.findRecord('option', 'cornerstone_font_config'),
        fontSelections: this.store.findAll('templates/fonts/selection')
      });
    },

    actions: {
      loading: function loading(transition /*, originRoute  */) {
        //console.log('loading start', originRoute);
        this.set('preview.transitioning', true);
        transition.promise['finally']((function () {

          //console.log('loading complete');
          this.set('preview.transitioning', false);
          this.get('preview').removePreloader();
        }).bind(this));
      },

      propogateSave: function propogateSave() {
        this.get('preview').message('preview:action-propagation', { action: 'save' });
      },

      propogateFind: function propogateFind() {
        // console.log('propogateFind')
      },

      propogateCancel: function propogateCancel() {
        // console.log('propogateCancel')
      }

    }
  });
});
define('cornerstone/preview/service', ['exports', 'ember', 'cornerstone/xfr/mixins/agent', 'cornerstone/mixins/preview-listener'], function (exports, _ember, _cornerstoneXfrMixinsAgent, _cornerstoneMixinsPreviewListener) {

  var propagationEvents = ['click', 'mouseup', 'mousedown', 'keydown', 'keypress', 'keyup'];
  var validEventKeys = ['altKey', 'button', 'buttons', 'charCode', 'code', 'clientX', 'clientY', 'ctrlKey', 'composed', 'isComposing', 'isTrusted', 'key', 'keyCode', 'layerX', 'layerY', 'metaKey', 'movementX', 'movementY', 'offsetX', 'offsetY', 'pageX', 'pageY', 'screenX', 'screenY', 'shiftKey', 'timeStamp', 'type', 'which', 'x', 'y'];

  exports['default'] = _ember['default'].Service.extend(_cornerstoneXfrMixinsAgent['default'], _cornerstoneMixinsPreviewListener['default'], {
    ready: false,
    xfrOrigin: 'preview',
    radio: _ember['default'].inject.service('global/radio'),
    elementService: _ember['default'].inject.service('element'),

    missingZones: [],
    isPreview: _ember['default'].computed(function () {
      return window.csAppData.isPreview && 'false' !== window.csAppData.isPreview;
    }),

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);

      this.set('handleEvent', this.get('handleEvent').bind(this));
      this.setupInitialRoute();

      _ember['default'].$(document.body).on('cs-preview', function (e, _ref) {
        var type = _ref.type;

        if (['tp-wc-cart-dropdown', 'tp-wc-cart-modal', 'tp-wc-cart-off-canvas'].includes(type)) {
          _ember['default'].$(document.body).trigger('wc_fragment_refresh');
        }
      });

      this.listenTo('preview:package:update', function (data) {
        return _this.packageUpdate(data);
      });

      this.listenTo('preview:new:element', function (id) {
        return _this.set('scrollToNewElement', id);
      });
      this.listenTo('preview:observe-start', function (id) {
        return _this.observeStart(id);
      });
      this.listenTo('preview:observe-end', function (id) {
        return _this.observeEnd(id);
      });
      this.listenTo('preview:scroll-to-element', function (id) {
        return _this.maybeScrollToElementView(id);
      });

      this.listenTo('preview:incoming-element', function (type) {
        _this.set('elementService.incomingType', type);
      });

      this.get('hideCursor');
      this.get('suspendDrag');
    },

    setupPort: function setupPort() {
      var _this2 = this;

      if (this.get('ready') || !this.get('isPreview')) {
        return;
      }

      if (window.csAppData.previewData.timestamp) {
        window.parent.postMessage('cs-preview-port-request::' + window.csAppData.previewData.timestamp, '*');
      } else {
        _ember['default'].Logger.warn('Cornerstone preview window has loaded with a corrupt state');
      }

      var receivePort = function receivePort(e) {

        if ('cs-preview-port' === e.data) {
          window.removeEventListener('message', receivePort, false);
          var port = e.ports[0];
          port.addEventListener('message', _this2.get('xfrOnMessage'), false);
          port.start();
          _this2.set('xfrMessagePort', port);
          _this2.set('ready', true);
          _this2.setupEventPropogation();
          _this2.request('preview:package:setup').then(function (response) {
            return _this2.packageUpdate(response);
          });
        }
      };

      window.addEventListener('message', receivePort, true);
    },

    packageUpdate: function packageUpdate(data) {
      var _this3 = this;

      this.set('previewPackage', data);
      if (!'object' === _ember['default'].typeOf(data) || _ember['default'].isEmpty(data)) {
        return;
      }
      Object.keys(data).forEach(function (key) {
        return _this3.notifyPropertyChange('previewPackage.' + key);
      });
    },

    setupInitialRoute: function setupInitialRoute() {
      var route = 'preview';
      var routeConfig = document.querySelector('[data-cs-preview-route]');

      if (routeConfig) {

        route = 'preview.' + routeConfig.getAttribute('data-cs-preview-route');

        var config = {};
        try {
          if (routeConfig.innerHTML) {
            config = JSON.parse(routeConfig.innerHTML);
          }
        } catch (e) {}

        this.set('initialRouteConfig', config);
        this.responsiveTextUpdate();
      }

      this.set('initialRoute', route);
    },

    preLoaderActive: true,
    canRemovePreloader: true,
    removePreloader: function removePreloader() {
      var force = arguments.length <= 0 || arguments[0] === undefined ? false : arguments[0];

      if (force) {
        this.set('canRemovePreloader', true);
      }

      if (this.get('preLoaderActive') && this.get('canRemovePreloader')) {
        this.set('preLoaderActive', false);
        this.message('pre-loader-state', { show: false });
        this.afterPreloader();
      }
    },

    showPreloader: function showPreloader() {
      if (!this.get('preLoaderActive')) {
        this.set('preLoaderActive', true);
        this.message('pre-loader-state', { show: true });
      }
    },

    afterPreloader: function afterPreloader() {
      var _this4 = this;

      _ember['default'].run.next(function () {
        var mode = _this4.get('initialRouteConfig.mode');
        if ('footers' === mode) {
          _this4.scrollToBottom(0);
        }
      });
    },

    scrollToElement: function scrollToElement(element) {
      var rate = arguments.length <= 1 || arguments[1] === undefined ? 700 : arguments[1];

      _ember['default'].$('html,body').animate({
        scrollTop: _ember['default'].$(element).offset().top
      }, rate, 'swing');
    },

    scrollToBottom: function scrollToBottom() {
      var rate = arguments.length <= 0 || arguments[0] === undefined ? 700 : arguments[0];

      var top = document.body.scrollHeight;

      var $firstbar = _ember['default'].$('.x-colophon .x-bar').first();
      if ($firstbar.length) {
        top = $firstbar.offset().top;
      }

      _ember['default'].$('html,body').animate({ scrollTop: top }, rate, 'swing');
    },

    scrollToBottomAfterRender: function scrollToBottomAfterRender() {
      var _this5 = this;

      // console.log('scroll to bottom');
      this.set('shouldScrollToBottom', true);
      _ember['default'].run.later(function () {
        if (_this5.get('shouldScrollToBottom')) {
          _this5.scrollToBottom();
        }
      }, 100);
    },

    setupEventPropogation: function setupEventPropogation() {
      var _this6 = this;

      propagationEvents.forEach(function (eventType) {
        return window.document.addEventListener(eventType, _this6.handleEvent, false);
      });
    },

    willDestroy: function willDestroy() {
      var _this7 = this;

      propagationEvents.forEach(function (eventType) {
        return window.document.removeEventListener(eventType, _this7.handleEvent);
      });
    },

    handleEvent: function handleEvent(e) {

      // Event synthesization
      // We're going to send keyboard and mouse events back up to the parent

      var summary = {};

      validEventKeys.forEach(function (validKey) {
        if (!_ember['default'].isNone(e[validKey])) {
          summary[validKey] = e[validKey];
        }
      });

      this.message('preview:event-propagation', { event: summary });
    },

    maybeScrollToElementView: function maybeScrollToElementView(id) {
      this.get('radio').trigger('element:remote:query', {
        type: 'nav:scroll-to-element',
        element: id
      });
    },

    observeStart: function observeStart(id) {
      this.get('radio').trigger('element:remote:query', {
        type: 'observer:start',
        element: id
      });
    },

    observeEnd: function observeEnd(id) {
      this.get('radio').trigger('element:remote:query', {
        type: 'observer:end',
        element: id
      });
    },

    notateMissingZone: function notateMissingZone(zone) {

      var missing = this.get('missingZones');
      if (!missing.includes(zone)) {
        missing.push(zone);
      }

      _ember['default'].run.debounce(this, this.missingZoneNotification, 1000);
    },

    missingZoneNotification: function missingZoneNotification() {
      var _this8 = this;

      this.removePreloader(true);
      this.get('missingZones').forEach(function (zone) {
        _this8.message('preview:error-message', { key: 'missing-zone.' + zone });
      });
    },

    observeSuspendDrag: _ember['default'].observer('suspendDrag', function () {
      _ember['default'].$('body').toggleClass('cs-suspend-drag', this.get('suspendDrag'));
    }),

    observeDragging: _ember['default'].observer('dragging', function () {

      var dragging = this.get('dragging');
      var $body = _ember['default'].$('body');

      $body.toggleClass('cs-hide-cursor', dragging);
      $body.toggleClass('gu-unselectable', dragging);
    }),

    responsiveTextUpdate: function responsiveTextUpdate(scope) {

      if (!this.get('initialRouteConfig.responsive_text')) {
        return;
      }

      if (!scope) {
        scope = _ember['default'];
      }

      this.getWithDefault('initialRouteConfig.responsive_text', []).forEach(function (item) {

        if (!item.selector) {
          return;
        }

        var $items = scope.$(item.selector);

        if (scope.$().is(item.selector)) {
          _ember['default'].run.next(function () {
            scope.$().css('font-size', '');
            scope.$().csFitText(item.compression, {
              minFontSize: item.min_size,
              maxFontSize: item.max_size
            });
          });
        }

        if ($items.length > 0) {
          _ember['default'].run.next(function () {
            $items.css('font-size', '');
            $items.csFitText(item.compression, {
              minFontSize: item.min_size,
              maxFontSize: item.max_size
            });
          });
        }
      });
    }

  });
});
define("cornerstone/preview/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 5,
                "column": 2
              }
            },
            "moduleName": "cornerstone/preview/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["content", "preview/cs-observer", ["loc", [null, [4, 4], [4, 27]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/preview/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["content", "preview/preview-loader", ["loc", [null, [2, 2], [2, 28]]], 0, 0, 0, 0], ["block", "unless", [["get", "preview.dragging", ["loc", [null, [3, 12], [3, 28]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [3, 2], [5, 13]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/preview/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "if", [["get", "preview.ready", ["loc", [null, [1, 6], [1, 19]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [6, 7]]]], ["content", "outlet", ["loc", [null, [7, 0], [7, 10]]], 0, 0, 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define('cornerstone/resolver', ['exports', 'ember-resolver'], function (exports, _emberResolver) {

  function genericResolver(parsedName) {
    var resolved = this.resolveOther(parsedName);
    if (resolved) {
      return resolved;
    }
    return null;
  }

  exports['default'] = _emberResolver['default'].extend({
    resolveTransform: genericResolver,
    resolveIcon: genericResolver,
    resolvePreviewElement: genericResolver
  });
});
define('cornerstone/router', ['exports', 'ember'], function (exports, _ember) {
  //import config from './config/environment';

  var routeConfig = {};

  if ('true' === window.csAppData.validPermalinks && 'false' === window.csAppData.isPreview) {
    routeConfig.location = 'hash'; //'auto';
    routeConfig.rootURL = window.csAppData.rootURL;
  } else {
    routeConfig.location = 'none';
  }

  var Router = _ember['default'].Router.extend(routeConfig);

  Router.map(function () {
    this.route('unauthorized');
    this.route('not-found', { path: '/*not_found' });

    this.route('options', function () {
      this.route('section', { path: '/:section_id' });
    });

    this.route('templates', function () {
      this.route('fonts');
      this.route('colors');
    });

    this.route('headers');
    this.route('headers.header', { path: '/headers/:header_id' }, function () {
      this.route('layout');
      this.route('inspector');
    });

    this.route('content');
    this.route('content.builder', { path: '/content/:post_id' }, function () {
      this.route('layout', function () {
        this.route('templates');
      });
      this.route('elements');
      this.route('inspector');
    });

    this.route('footers');
    this.route('footers.footer', { path: '/footers/:footer_id' }, function () {
      this.route('layout');
      this.route('inspector');
    });

    this.route('preview', function () {
      this.route('regions');
      this.route('content');
      this.route('options');
      this.route('regions-index');
    });
  });

  exports['default'] = Router;
});
define('cornerstone/routes/index', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({
    beforeModel: function beforeModel() {

      var initialRoute = this.get('config.global.initialRoute');

      if (initialRoute) {

        this.set('config.global.initialRoute', false);

        console.log(initialRoute);
        var parts = initialRoute.split('/');

        if (parts[1]) {
          this.transitionTo(parts[0], parts[1]);
        } else {
          this.transitionTo(parts[0]);
        }
      }
    }

  });
});
define('cornerstone/routes/not-found', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({

    afterModel: function afterModel(params) {

      var path = window.csAppData.rootURL.substr(1, window.csAppData.rootURL.length - 1);

      if (-1 !== params.not_found.indexOf(path)) {
        this.transitionTo(params.not_found.replace(path, ''));
      }
    }
  });
});
define('cornerstone/routes/unauthorized', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({});
});
define('cornerstone/services/browser', ['exports', 'ember', 'npm:bowser'], function (exports, _ember, _npmBowser) {
  exports['default'] = _ember['default'].Service.extend({

    init: function init() {

      this._super.apply(this, arguments);
      this.set('browserName', _ember['default'].String.dasherize(_npmBowser['default'].name));
      this.set('browserVersion', _ember['default'].String.dasherize(parseInt(_npmBowser['default'].version).toString()));
    },

    isIE: _ember['default'].computed(function () {
      return _npmBowser['default'].msie;
    }),

    isEdge: _ember['default'].computed(function () {
      return _npmBowser['default'].msedge;
    }),

    browserClass: _ember['default'].computed('browserName', 'browserVersion', function () {
      var version = this.get('browserVersion');
      var name = this.get('browserName');
      return 'cs-browser-' + name + ' cs-browser-' + name + '-' + version;
    })

  });
});
define('cornerstone/services/config', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({
    store: _ember['default'].inject.service(),
    i18nGroups: [],

    global: _ember['default'].computed(function () {
      return _ember['default'].Object.create(this.prepareData(window.csAppData));
    }),

    init: function init() {
      this._super.apply(this, arguments);
      this.addI18n('app', this.get('global.app_i18n'));
      this.addI18n('common', this.get('global.common_i18n'));
    },

    fetch: function fetch(namespace) {
      return new _ember['default'].RSVP.Promise((function (resolve, reject) {
        this.get('store').findRecord('fragment', namespace + '::config').then((function (record) {
          var value = record.get('value');
          if (value && value.i18n) {
            this.addI18n(namespace, value.i18n);
          }
          this.set(namespace, _ember['default'].Object.create(value));
          resolve(value);
        }).bind(this), reject);
      }).bind(this));
    },

    prepareData: function prepareData(data) {

      for (var key in data) {

        if ('true' === data[key]) {
          data[key] = true;
        }

        if ('false' === data[key]) {
          data[key] = false;
        }
      }

      return data;
    },

    addI18n: function addI18n(namespace, strings) {

      var i18nGroups = this.get('i18nGroups');

      if (i18nGroups.includes(namespace)) {
        return;
      }

      i18nGroups.push(namespace);
      this.set('i18nGroups', i18nGroups);

      this.get('i18n').addTranslations('en', strings);
    }

  });
});
define('cornerstone/services/cs-ajax', ['exports', 'ember', 'npm:pako', 'cornerstone/util/base64'], function (exports, _ember, _npmPako, _cornerstoneUtilBase64) {
  exports['default'] = _ember['default'].Service.extend({

    ui: _ember['default'].inject.service(),
    debugLogging: _ember['default'].computed.alias('ui.debugEnabled'),

    nonce: '',
    legacy: false,
    noPhpInput: false,
    batch: {},
    batchDebounce: 15,
    canGzip: true,

    endpointURL: _ember['default'].computed('legacy', function () {
      var path = this.get('legacy') ? 'fallbackAjaxUrl' : 'ajaxUrl';
      return this.get('config.global.' + path);
    }),

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);
      this.set('nonce', this.get('config.global._cs_nonce'));
      this.set('legacy', this.get('config.global.useLegacyAjax'));
      this.set('canGzip', this.get('config.global.canGzip'));

      _ember['default'].$(document).on('heartbeat-tick', function (e, data) {
        if (data._cs_nonce) {
          delete window.adminpage;
          _this.set('nonce', data._cs_nonce);
        }
      });

      _ember['default'].$(document).on('heartbeat-send', function (e, data) {
        data['_cs_nonce'] = _this.get('nonce');
      });
    },

    modelRequest: function modelRequest(model, request) {
      return this.request('adapter::' + model, _ember['default'].assign({ action: 'query', params: {} }, request));
    },

    request: function request(action, _request) {
      var _this2 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var batch = _this2.get('batch');
        if (!batch) {
          batch = {};
        }
        action = action + '::' + Object.keys(batch).length;

        batch[action] = { params: _request, resolve: resolve, reject: reject };
        _this2.set('batch', batch);

        _ember['default'].run.debounce(_this2, _this2.requestBatch, _this2.get('batchDebounce'));
      });
    },

    // Useful for making a request that gets a dedicated PHP response.
    requestOne: function requestOne(action, request) {
      var _this3 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        _this3.promise('controllers', { actions: [{ name: action, params: request || {} }] }).then(function (res) {
          if (res[0].success) {
            resolve(res[0].data);
          } else {
            reject(res[0].data);
          }
        }, reject);
      });
    },

    promise: function promise(action, request) {
      var _this4 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        _this4.submitRequest(action, request || {}, resolve, reject);
      });
    },

    //
    // INTERNAL
    //

    requestBatch: function requestBatch() {
      var _this5 = this;

      var batch = this.get('batch');
      var actions = [];

      for (var action in batch) {
        actions.push({
          name: action,
          params: batch[action].params || {}
        });
      }

      this.set('batch', {});

      this.promise('controllers', { actions: actions }).then(function (results) {

        results.forEach(function (result) {

          if (result.success) {
            if (batch[result.name].resolve) {
              (function () {
                var data = result.gzip ? uncompress(result.data) : result.data;
                _ember['default'].run(function () {
                  if (_this5.get('debugLogging')) {
                    console.log('Resolving AJAX Job', result.name, data);
                  }
                  batch[result.name].resolve(data);
                });
              })();
            }
          } else {
            _ember['default'].Logger.warn('Rejecting Controller promise', result);
            if (window.console) {
              window.console.trace();
            }
            if (batch[result.name].reject) {
              _ember['default'].run(function () {
                batch[result.name].reject(result.data);
              });
            }
          }
        });
      }, function (reason) {
        _ember['default'].run(function () {
          for (var action in batch) {
            if (batch[action].reject) {
              batch[action].reject(reason);
            }
          }
        });
      });

      function uncompress(data) {

        try {
          return JSON.parse(_npmPako['default'].inflate(_cornerstoneUtilBase64['default'].decodeToByteArray(data), { to: 'string' }));
        } catch (e) {
          console.warn('Failed to inflate gzip response', e);
        }

        return data;
      }
    },

    handleResponse: function handleResponse(action, request, response, resolve, reject) {

      if (response.responseJSON.debug) {
        this.errorBubbling(response.responseJSON.debug);
      }

      if (!this.get('noPhpInput') && response.responseJSON.failed_php_input) {
        this.set('noPhpInput', true);
        this.submitRequest(action, request, resolve, reject);
        return;
      }

      var data = response.responseJSON.data || {};

      if (response.responseJSON.success) {
        if (this.get('debugLogging')) {
          console.log('AJAX Response', response.responseJSON, request);
        }
        resolve(data);
      } else {
        if (data.invalid_user && window.wp && window.wp.heartbeat) {
          window.wp.heartbeat.connectNow();
        }
        _ember['default'].Logger.warn('Rejecting AJAX promise', data);
        if (window.console && this.get('debugLogging')) {
          window.console.trace();
        }
        reject(data);
      }
    },

    errorBubbling: function errorBubbling(debug) {

      if (debug.extraneous) {
        _ember['default'].Logger.warn('Cornerstone has recovered from extraneous output found in an AJAX response. Logging original response.', { original: debug.extraneous });
      }

      if (debug.php_errors) {
        _ember['default'].Logger.warn('Cornerstone detected PHP Errors while generating an AJAX response. Logging errors...');
        if (_ember['default'].isArray(debug.php_errors)) {
          _ember['default'].Logger.info(debug.php_errors.reduce(function (acc, value) {
            return acc + value + '\n';
          }, ''));
        } else {
          _ember['default'].Logger.info(debug.php_errors);
        }
      }
    },

    //
    // Attempt to recover JSON when output is sent
    // prior to the Cornerstone response.
    //

    failOver: function failOver(action, request, response, resolve, reject) {

      // Look for a JSON in the response text, extract it, then reparse it.
      if (response.responseText) {

        var matches = response.responseText.match(/{"success":\w*?,"data.*/);
        var recovery = {};

        try {
          recovery = JSON.parse(matches[0]);
        } catch (e) {
          _ember['default'].Logger.warn('Failed to recover from malformed AJAX response: ', response);
        }

        if ('object' === typeof recovery.data && (true === recovery.success || false === recovery.success)) {
          _ember['default'].Logger.warn('Recovered from malformed AJAX response: ', response);
          response.responseJSON = recovery;
          this.handleResponse(action, request, response, resolve, reject);
          return;
        }
      }

      // Nothing left to do if we're failing in legacy mode.
      if (this.get('legacy')) {
        _ember['default'].Logger.warn('Unhandled AJAX error. Expecting valid JSON from response.', response);
        reject({});
        return;
      }

      _ember['default'].Logger.warn('Failed AJAX request. Switching to fallback.', response);

      // Switch to legacy AJAX and start over...
      this.set('legacy', true);
      this.submitRequest(action, request, resolve, reject);
    },

    submitRequest: function submitRequest(action, request, resolve, reject) {
      var _this6 = this;

      var normalizejqXHR = function normalizejqXHR(jqXHR) {
        if (jqXHR.responseJSON) {
          _this6.handleResponse(action, request, jqXHR, resolve, reject);
        } else {
          _this6.failOver(action, request, jqXHR, resolve, reject);
        }
      };

      // Add AJAX request to run loop
      _ember['default'].$.ajax(this.makeAjaxOptions(action, request)).then(function (r, textStatus, jqXHR) {
        _ember['default'].run(null, normalizejqXHR, jqXHR);
      }, function (jqXHR) {
        if (0 === jqXHR.readyState) {
          if (_this6.get('debugLogging')) {
            console.log('AJAX request cancelled', jqXHR);
          }
          return;
        }
        _ember['default'].run(null, normalizejqXHR, jqXHR);
      });
    },

    makeAjaxOptions: function makeAjaxOptions(action, request) {
      return {
        type: 'POST',
        url: this.get('endpointURL'),
        context: this,
        data: this.formatRequest(action, request),
        dataType: 'json'
      };
    },

    formatRequest: function formatRequest(action, request) {

      var data = {
        _cs_nonce: this.get('nonce'),
        action: 'cs_' + action,
        request: request || {}
      };

      if (!_ember['default'].isPresent(request)) {
        return data;
      }

      if (this.get('canGzip')) {
        data.gzip = true;
        data.request = _cornerstoneUtilBase64['default'].encodeFromByteArray(_npmPako['default'].gzip(JSON.stringify(request)));
      }

      if (this.get('legacy') || this.get('noPhpInput')) {
        if (!this.get('canGzip')) {
          data.request = _cornerstoneUtilBase64['default'].encode(JSON.stringify(request));
        }
        return data;
      }

      return JSON.stringify(data);
    }

  });
});
define('cornerstone/services/current-user', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({

    init: function init() {
      this._super.apply(this, arguments);
      this.setProperties(this.get('config.global.permissions'));
    }

  });
});
define('cornerstone/services/debug', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({

    logging: false,
    verboseRenderLogging: false,

    devTools: _ember['default'].computed(function () {
      return !!window.csAppData.devTools;
    })

  });
});
define('cornerstone/services/flash-messages', ['exports', 'ember-cli-flash/services/flash-messages'], function (exports, _emberCliFlashServicesFlashMessages) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberCliFlashServicesFlashMessages['default'];
    }
  });
});
define('cornerstone/services/i18n', ['exports', 'ember-i18n/services/i18n'], function (exports, _emberI18nServicesI18n) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberI18nServicesI18n['default'];
    }
  });
});
define('cornerstone/services/inspector', ['exports', 'ember'], function (exports, _ember) {

  // This service should never be instantiated directly.
  // Some of this could be moved into a component, which would also help us avoid
  // redundancys in the [header/footer]/inspector/template.hbs files

  exports['default'] = _ember['default'].Service.extend({

    // isAbstract: Ember.on('init', function() {
    // We could introduce a warning here to ensure this service is only used via inheritance
    // }),

    store: _ember['default'].inject.service(),
    ui: _ember['default'].inject.service(),
    i18n: _ember['default'].inject.service(),
    inspecting: null,
    controlGroups: _ember['default'].computed.alias('inspecting.definition.controlGroupTiers'),

    inspectingWasDeleted: _ember['default'].observer('inspecting.isDeleted', function () {
      if (true === this.get('inspecting.isDeleted')) {
        this.set('inspecting', null);
      }
    }),

    breadcrumbs: _ember['default'].computed('inspecting', function () {

      var breadcrumbs = [];
      var current = this.get('inspecting');

      while (current && !['region', 'root'].includes(current.get('atts._type'))) {
        breadcrumbs.push(current);
        current = current.get('parent');
      }
      breadcrumbs.reverse();
      return breadcrumbs;
    }),

    presets: _ember['default'].computed('inspecting', function () {
      var _this = this;

      var type = this.get('inspecting.definition.id');

      return new _ember['default'].RSVP.Promise(function (resolve) {
        if (!type) {
          resolve([]);
          return;
        }
        _this.get('store').query('element/preset', { element: type }).then(function (success) {
          resolve(success.map(function (item) {
            return { value: item.get('id'), label: item.get('title') };
          }));
        }, function (error) {
          console.log('Unable to load presets for ' + type, error);
          resolve([]);
        });
      });
    }),

    controlProxies: _ember['default'].computed('inspecting', 'inspecting.definition.controlFactory', function () {

      var source = this.get('inspecting');

      if (!source || !this.get('inspecting.definition.controlFactory')) {
        return _ember['default'].A();
      }

      return this.get('inspecting.definition.controlFactory')(source);
    }),

    inspect: function inspect(element, after) {
      var _this2 = this;

      if (this.isInspecting(element)) {
        return;
      }

      this.set('inspecting', null);
      this.set('transitioning', true);

      _ember['default'].run.later(function () {
        _this2.set('inspecting', element);
        _this2.set('transitioning', false);
        if (after) {
          after.call();
        }
      }, 15);
    },

    applyPreset: function applyPreset(presetId) {

      var preset = this.get('store').peekRecord('element/preset', presetId);
      if (preset) {
        var update = preset.getScopedPropertyUpdate('atts');
        this.get('inspecting').setProperties(update);
      }
    },

    isInspecting: function isInspecting(element) {
      return element && element.get('id') === this.get('inspecting.id');
    },

    clearInspecting: function clearInspecting() {
      this.set('inspecting', null);
    }

  });
});
define('cornerstone/services/queue', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({

    jobs: _ember['default'].A(),
    empty: true,

    queue: function queue(handler) {
      var _this = this;

      var delay = arguments.length <= 1 || arguments[1] === undefined ? 100 : arguments[1];

      new _ember['default'].RSVP.Promise(function (resolve) {
        _this.get('jobs').push({ delay: delay, resolve: resolve });
        if (_this.get('empty')) {
          _this.nextJob();
        }
        _this.set('empty', false);
      }).then(function () {
        handler(function () {
          _this.nextJob();
        });
      });
    },

    nextJob: function nextJob() {

      var job = this.get('jobs').shift();

      if (!job) {
        this.set('empty', true);
        return;
      }

      _ember['default'].run.later(function () {
        if ('function' === _ember['default'].typeOf(job.resolve)) {
          job.resolve();
        }
      }, job.delay || 100);
    }

  });
});
define('cornerstone/services/search', ['exports', 'ember', 'cornerstone/objects/search'], function (exports, _ember, _cornerstoneObjectsSearch) {
  exports['default'] = _ember['default'].Service.extend({
    targets: {},

    getTarget: function getTarget(name) {
      var target = this.get('targets.' + name);
      if (!target) {
        target = new _cornerstoneObjectsSearch['default']();
        target.set('name', name);
        this.set('targets.' + name, target);
      }
      return target;
    }

  });
});
define('cornerstone/services/ui', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({

    i18n: _ember['default'].inject.service(),
    preview: _ember['default'].inject.service(),
    previewSize: 'xl',
    showPreviewSizer: false,
    showCustomCSS: false,
    showCustomJS: false,
    showFontConfig: false,
    isCollapsed: false,
    isRTL: false,
    primaryRoute: false,
    debugEnabled: false,
    confirmHandlers: {},
    unsavedData: false,
    previewDelayed: 0,
    horizontalScrollSupport: false,
    skeletonModeActive: false,
    textEditorExpanded: false,

    init: function init() {
      this._super();
      this.get('dragging');
    },

    showHelpText: _ember['default'].computed('config.global.helpTextEnabled', function () {
      return this.getWithDefault('config.global.helpTextEnabled', false);
    }),

    contentLogoPath: _ember['default'].computed('isPro', function () {
      return this.get('isPro') ? 'interface/logo-content-flat-original' : 'interface/logo-flat-original';
    }),

    preloaderLogoClass: _ember['default'].computed('isX', 'isPro', function () {
      if (this.get('isPro') || this.get('isX')) {
        return 'logo-x';
      }
      return 'logo-cs';
    }),

    optionsLogoPath: _ember['default'].computed('isX', 'isPro', function () {
      if (this.get('isPro')) {
        return 'interface/logo-pro';
      }

      if (this.get('isX')) {
        return 'interface/logo-x';
      }

      return 'interface/logo-flat-original';
    }),

    optionsLogoExtra: _ember['default'].computed('isPro', function () {
      // if ( this.get('isPro') ) {
      //   return '<defs><radialGradient cx="51.6966164%" cy="50%" fx="51.6966164%" fy="50%" r="49.2436623%" id="pro-background"><stop stop-color="#49A1EB" offset="0%"></stop><stop stop-color="#3D79C0" offset="100%"></stop></radialGradient></defs>';
      // }
      return '';
    }),

    isPro: _ember['default'].computed(function () {
      return 'pro' === window.csAppData.integration_mode;
    }),

    isX: _ember['default'].computed(function () {
      return 'x' === window.csAppData.integration_mode;
    }),

    dashboardUrl: _ember['default'].computed(function () {
      return window.csAppData.dashboardUrl;
    }),

    wpmlLanguages: _ember['default'].computed(function () {
      return Object.keys(window.csAppData.wpmlLanguages).map(function (key) {
        return window.csAppData.wpmlLanguages[key];
      });
    }),

    wpmlTranslateableTypes: _ember['default'].computed(function () {
      return window.csAppData.wpmlTranslateableTypes;
    }),

    defaultPreviewUrl: _ember['default'].computed(function () {
      return window.csAppData.home_url || '/';
    }),

    windowOrientation: 'horizontal',
    workspaceOrientation: _ember['default'].computed('windowOrientation', function () {
      return 'horizontal' === this.get('windowOrientation') ? 'vertical' : 'horizontal';
    }),

    // Service Lookups
    store: _ember['default'].inject.service(),
    search: _ember['default'].inject.service(),
    radio: _ember['default'].inject.service('global/radio'),

    onInit: _ember['default'].on('init', function () {
      var _this = this;

      this.set('isRTL', window.csAppData.isRTL);
      this._oneTimeValues = {};

      this.get('radio').on('continuity.update', this, 'continuityUpdate');

      window.onbeforeunload = function () {
        if (_this.get('unsavedData')) {
          return _this.get('i18n').t('app.unsaved-warning');
        }
      };
    }),

    continuityUpdate: function continuityUpdate(type) {
      if (['element'].includes(type)) {
        this.set('unsavedData', true);
      }
    },

    willDestroy: function willDestroy() {
      this.get('radio').off('continuity.update', this, 'continuityUpdate');
    },

    observeShowPreviewSizer: _ember['default'].observer('showPreviewSizer', function () {
      if (this.get('showPreviewSizer')) {
        // this.setProperties({
        //   showCustomCSS: false,
        //   showCustomJS: false
        // });
      }
    }),

    observeShowCustomCSS: _ember['default'].observer('showCustomCSS', function () {
      if (this.get('showCustomCSS')) {
        this.setProperties({
          showCustomJS: false
        });
      }
    }),

    observeShowCustomJS: _ember['default'].observer('showCustomJS', function () {
      if (this.get('showCustomJS')) {
        this.setProperties({
          showCustomCSS: false
        });
      }
    }),

    observeIsCollapsed: _ember['default'].observer('isCollapsed', function () {
      if (this.get('isCollapsed')) {
        this.setProperties({
          showCustomCSS: false,
          showCustomJS: false
        });
      }
    }),

    observeSkeletonModeActive: _ember['default'].observer('skeletonModeActive', function () {
      if (this.get('skeletonModeActive')) {
        this.setProperties({
          showPreviewSizer: false
        });
      }
    }),

    actions: {

      toggle: function toggle(property) {
        this.set(property, !this.get(property));
      }

    },

    getFaIcons: function getFaIcons() {
      var _this2 = this;

      if (!this.get('fetchedIcons')) {

        var promise = new _ember['default'].RSVP.Promise(function (resolve, reject) {
          return _this2.get('store').findRecord('fragment', 'app::font_awesome').then(function (record) {
            var icons = record.get('value');
            var reduced = {};

            // Flip from name:hex to hex:[name,aliases...]
            for (var key in icons) {
              if (icons.hasOwnProperty(key)) {
                if (_ember['default'].isNone(reduced[icons[key]])) {
                  reduced[icons[key]] = [];
                }
                reduced[icons[key]].push(key);
              }
            }

            resolve(reduced);
          }, reject);
        });
        this.set('fetchedIcons', promise);
      }

      return this.get('fetchedIcons');
    },

    setRouteUI: function setRouteUI(primaryRoute) {

      this.set('primaryRoute', primaryRoute);

      var states = ['preview-sizer', 'view-site', 'collapse', 'cheatsheet', 'save'];
      var props = {
        showPreviewSizer: false,
        previewSize: 'xl',
        showCustomCSS: false,
        showCustomJS: false,
        showFontConfig: false,
        isCollapsed: false
      };

      var enabled = _ember['default'].getWithDefault(primaryRoute, 'routeUI.bar', []);

      states.forEach(function (item) {
        var key = _ember['default'].String.camelize('route-enabled-' + item);
        props[key] = enabled.includes(item);
      });

      this.set('windowOrientation', _ember['default'].getWithDefault(primaryRoute, 'routeUI.orientation', 'horizontal'));
      this.set('viewSiteURL', _ember['default'].getWithDefault(primaryRoute, 'routeUI.viewSiteURL', null));

      this.setProperties(props);
    },

    canViewSite: _ember['default'].computed('routeEnabledViewSite', 'viewSiteURL', function () {
      return this.get('routeEnabledViewSite') && this.get('viewSiteURL');
    }),

    oneTimeValue: function oneTimeValue() {

      if (1 === arguments.length) {
        var val = _ember['default'].copy(this._oneTimeValues[arguments[0]]);
        delete this._oneTimeValues[arguments[0]];
        return val;
      }

      if (2 === arguments.length) {
        this._oneTimeValues[arguments[0]] = arguments[1];
      }
    },

    //
    // Misc
    //

    scrollBarWidth: _ember['default'].computed(function () {
      var outer = document.createElement('div');
      outer.style.visibility = 'hidden';
      outer.style.width = '100px';
      outer.style.msOverflowStyle = 'scrollbar';
      document.body.appendChild(outer);
      var widthNoScroll = outer.offsetWidth;
      outer.style.overflow = 'scroll';
      var inner = document.createElement('div');
      inner.style.width = '100%';
      outer.appendChild(inner);
      var widthWithScroll = inner.offsetWidth;
      outer.parentNode.removeChild(outer);
      return widthNoScroll - widthWithScroll;
    }),

    scrollBarWidthRightStyle: _ember['default'].computed('scrollBarWidth', function () {
      var w = this.get('scrollBarWidth');
      return _ember['default'].String.htmlSafe('right: ' + w + 'px;');
    }),

    //
    // Notify
    //

    flashMessages: _ember['default'].inject.service(),

    notify: function notify(params) {

      if (params && params.toString && 'function' === _ember['default'].typeOf(params.toString)) {
        params = params.toString();
      }

      if ('string' === typeof params) {
        params = {
          message: params
        };
      }

      if (arguments[1]) {
        if ('object' === typeof arguments[1]) {
          params = _ember['default'].merge(params, arguments[1]);
        } else {
          params.type = arguments[1];
        }
      }

      params = _ember['default'].merge({
        type: 'notice',
        message: '',
        timeout: 3000,
        extendedTimeout: 650,
        canClose: null
      }, params);

      if (0 === params.message.indexOf('i18n.')) {
        params.message = this.get('i18n').t(params.message.substr(5)).string;
      }

      if ('boolean' !== typeof params.canClose) {
        params.canClose = params.timeout > 3000;
      }

      if (!params.title) {
        switch (params.type) {
          case 'error':
            params.title = this.get('i18n').t('app.notification-error');
            break;
          case 'success':
            params.title = this.get('i18n').t('app.notification-success');
            break;
          default:
            params.title = this.get('i18n').t('app.notification-notice');
        }
      }

      this.get('flashMessages').add(params);
    },

    //
    // Saving
    //

    saving: false,

    beginSaveProgress: function beginSaveProgress() {
      this.set('saving', true);
    },

    endSaveProgress: function endSaveProgress() {
      this.set('saving', false);
    },

    //
    // Confirm
    //

    confirm: function confirm(params) {

      if (!params.noSkip && this.get('deleteConfirm')) {
        return 'function' === _ember['default'].typeOf(params.accept) ? params.accept() : null;
      }

      if (!params.screen) {
        params.screen = 'global';
      }

      var cb = this.get('confirmHandlers.' + params.screen);
      if ('function' === _ember['default'].typeOf(cb)) {
        cb(params);
      }
    },

    observeHideCursor: _ember['default'].observer('hideCursor', function () {
      _ember['default'].$('body').toggleClass('cs-hide-cursor', this.get('hideCursor'));
    }),

    observeSuspendDrag: _ember['default'].observer('suspendDrag', function () {
      _ember['default'].$('body').toggleClass('cs-suspend-drag', this.get('suspendDrag'));
    }),

    //
    // Cheatsheet
    //

    cheatsheetItems: _ember['default'].computed(function () {
      return _ember['default'].A([{
        name: 'keyboard-shortcuts',
        label: 'Keyboard Shortcuts',
        content: '<h3>Global</h3>' + '<dl class="cs-keys">' + '<dt>Save</dt>' + '<dd><span class="cs-key-l">Cmd/Ctrl</span><span>S</span></dd>' + '<dt>Find (focus available search)</dt>' + '<dd><span class="cs-key-l">Cmd/Ctrl</span><span>F</span></dd>' + '<dt>Close Open Windows</dt>' + '<dd><span class="cs-key-m">Esc</span></dd>' + '<dt>Enable "Quick Actions"</dt>' + '<dd><span class="cs-key-m">Shift</span></dd>' + '</dl>'
      }, {
        name: 'terminologies',
        label: 'Terminologies',
        content: '<h3>Global</h3>' + '<dl>' + '<dt>The Bar</dt>' + '<dd>The skinny vertical bar that is your way of getting around. The icons at the bottom are contextually relevant to the screen you are on.</dd>' + '<dt>Header Builder</dt>' + '<dd>The place you create and customize headers for your site. Labeled "Headers" in The Bar.</dd>' + '<dt>Content Builder</dt>' + '<dd>The place you create and customize the page content of your site (the space between your header and footer). Labeled "Content" in The Bar.</dd>' + '<dt>Footer Builder</dt>' + '<dd>The place you create and customize footers for your site. Labeled "Footers" in The Bar.</dd>' + '<dt>Elements</dt>' + '<dd>Each of the above builders have Elements. There are some Elements that only work in a particular context (for example, in the header), and you&apos;ll notice that the Elements in Headers and Footers have significant customization options. Over time, we will be adding these same advanced controls to Elements in the Content Builder.</dd>' + '<dt>Templates</dt>' + '<dd>Starting points for your header, content, or footers. We are working on a new "Library" that will bring management of all templates together in one place. There will be no Expanded Demos in Pro, but you can think of Templates as a demo of sorts for the respective builders. We have native ones built-in, and you can create your own.</dd>' + '<dt>Presets</dt>' + '<dd>Customized styles for individual Elements. Once the new "Library" is launched under Templates you&apos;ll be able to manage all your presets, templates, and more in one place.</dd>' + '<dt>Font Manager</dt>' + '<dd>Under Templates, this is the place to manage all native, TypeKit, and custom fonts. You can create families and then update in only one place and have it instantly push out to all uses of that font throughout your site!</dd>' + '<dt>Cheatsheet</dt>' + '<dd>What you&apos;re looking at right now! This is opened by clicking the question mark icon in "The Bar." This will house quick blurbs of information in different tabs.</dd>' + '</dl>'
      }]);
    })
  });
});
define('cornerstone/services/worker', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend({

    pending: _ember['default'].A(),
    running: {},
    workers: _ember['default'].A(),
    uuid: 0,

    init: function init() {
      var _this = this;

      this._super.apply(this, arguments);

      if (!window.Worker) {
        return;
      }

      var _loop = function () {
        var worker = new Worker(csAppData.workerURL);
        worker.onmessage = function (response) {
          _this.completeJob(worker, response);
        };
        _this.get('workers').push(worker);
      };

      for (var i = 0; i < csAppData.workerQueueSize; i++) {
        _loop();
      }
    },

    completeJob: function completeJob(worker, response) {

      // Resolve the promise
      var id = worker.job;
      var resolve = this.get('running.job_' + id + '.resolve');
      if ('function' === _ember['default'].typeOf(resolve)) {
        this.set('running.job_' + id, null);
        delete this.get('running')['job_' + id];
        resolve(response);
      }

      // Restore the worker to the job pool
      worker.job = null;
      this.get('workers').push(worker);
      this.processJobs();
    },

    processJobs: function processJobs() {
      var _this2 = this;

      var _loop2 = function () {
        var worker = _this2.get('workers').shift();

        var _get$shift = _this2.get('pending').shift();

        var id = _get$shift.id;
        var task = _get$shift.task;
        var data = _get$shift.data;
        var resolve = _get$shift.resolve;
        var reject = _get$shift.reject;
        var timeout = _get$shift.timeout;

        _this2.set('running.job_' + id, { resolve: resolve });
        worker.job = id;
        worker.postMessage({ task: task, data: data });
        _ember['default'].run.later(function () {
          if (_this2.get('running.job_' + id)) {
            _this2.set('running.job_' + id, null);
            delete _this2.get('running')['job_' + id];
            reject(task, data, 'Job timeout');
          }
        }, timeout);
      };

      while (this.get('workers.length') > 0 && this.get('pending.length') > 0) {
        _loop2();
      }
    },

    queue: function queue(task, data) {
      var _this3 = this;

      var timeout = arguments.length <= 2 || arguments[2] === undefined ? 5000 : arguments[2];

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        if (!window.Worker) {
          reject("Browser does not support web workers");
        }

        _this3.get('pending').push({ id: _this3.incrementProperty('uuid'), task: task, data: data, resolve: resolve, reject: reject, timeout: timeout });
        // console.log('JOB added', {
        //   pending: this.get('pending.length'),
        //   running: Object.keys(this.get('running')).length,
        //   free: this.get('workers.length'),
        // })
        _this3.processJobs();
      });
    }

  });
});
define('cornerstone/services/wp-media', ['exports', 'ember', 'cornerstone/util/custom-media-manager'], function (exports, _ember, _cornerstoneUtilCustomMediaManager) {
  exports['default'] = _ember['default'].Service.extend({

    proxy: null,

    uploader: _ember['default'].computed(function () {

      (0, _cornerstoneUtilCustomMediaManager['default'])();

      var uploader = new window.wp.media.view.MediaFrame.Cornerstone({
        className: 'media-frame cs-media-frame',
        multiple: false,
        library: { type: 'image' },
        button: { text: 'Insert Image' }
      });

      var self = this;

      uploader.on('insert', function () {
        self.update(uploader.state().get('selection').first().toJSON().url);
      });

      uploader.on('select', function () {

        var state = uploader.state();

        if (state && 'embed' === state.get('id')) {
          self.update(state.props.get('url'));
        }

        self.cleanup();
      });

      return uploader;
    }),

    update: function update(value) {

      var proxy = this.get('proxy');

      if (!proxy) {
        return;
      }

      proxy.source.set(proxy.key, value);
      this.cleanup();
    },

    cleanup: function cleanup() {
      this.set('proxy', null);
    },

    request: function request(source, key) {

      this.set('proxy', {
        source: source,
        key: key
      });

      this.get('uploader').open();
    }

  });
});
define('cornerstone/templates/colors/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    acl: ['canManageOptions'],
    routeUI: {
      bar: ['cheatsheet', 'save']
    },
    service: _ember['default'].inject.service('templates/colors'),

    deactivate: function deactivate() {
      this.store.unloadAll('templates/colors/selection');
      this.incrementProperty('service.paletteItemsUpdated');
    },

    beforeModel: function beforeModel() {
      this.permissionCheck();
    },

    model: function model() {
      return _ember['default'].RSVP.hash({
        items: this.store.findAll('templates/colors/selection')
      });
    },

    setupController: function setupController(controller, model) {
      this._super.apply(this, arguments);
      this.get('ui').setRouteUI(this);
      this.set('previousContent', this.getContentString(model));
    },

    getContentString: function getContentString(model) {
      return JSON.stringify({
        items: model.items.sortBy('order').map(function (item) {
          return item.serialize();
        })
      });
    },

    actions: {

      willTransition: function willTransition(transition) {
        var _this = this;

        var content = this.getContentString(this.modelFor(this.routeName));
        if (content !== this.get('previousContent')) {

          transition.abort();

          this.get('ui').confirm({
            noSkip: true,
            message: this.get('i18n').t('app.unsaved-warning'),
            accept: function accept() {
              _this.set('previousContent', content);
              transition.retry();
            },
            acceptClass: 'sad'
          });
        }
      },

      save: function save() {
        var _this2 = this;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        var model = this.modelFor(this.routeName);

        var fail = function fail(error) {
          ui.endSaveProgress();
          ui.notify('Could not save Colors.', 'error');
          _ember['default'].Logger.warn('Could not save colors', error);
        };

        var first = model.items.get('firstObject');

        if (first) {
          _ember['default'].RSVP.allSettled([first.save()]).then(function (array) {

            if (array.find(function (item) {
              return 'rejected' === item.state;
            })) {
              return fail(array);
            }
            _this2.set('previousContent', _this2.getContentString(_this2.modelFor(_this2.routeName)));
            ui.notify('Colors saved!', 'success');
            _ember['default'].Logger.info('Colors saved.');
            ui.endSaveProgress();
          }, fail);
        } else {
          ui.notify('Colors saved!', 'success');
          ui.endSaveProgress();
        }
      }
    }

  });
});
define('cornerstone/templates/colors/selection/adapter', ['exports', 'cornerstone/adapters/cs-option-list-adapter', 'cornerstone/util/hex-encode'], function (exports, _cornerstoneAdaptersCsOptionListAdapter, _cornerstoneUtilHexEncode) {
  exports['default'] = _cornerstoneAdaptersCsOptionListAdapter['default'].extend({
    option: 'cornerstone_color_items',

    // Don't load entries from the DB that already exist.
    filterResponse: function filterResponse(store, type, response) {

      var existing = store.peekAll(type.modelName).map(function (record) {
        return record.serialize()._id;
      });

      return response.reject(function (item) {
        return existing.includes(item._id) || existing.includes((0, _cornerstoneUtilHexEncode['default'])(item.title));
      });
    }
  });
});
// import Ember from 'ember';
define('cornerstone/templates/colors/selection/model', ['exports', 'ember', 'ember-data', 'ember-data/attr', 'cornerstone/util/hex-encode'], function (exports, _ember, _emberData, _emberDataAttr, _cornerstoneUtilHexEncode) {
  exports['default'] = _emberData['default'].Model.extend({
    title: (0, _emberDataAttr['default'])(),
    value: (0, _emberDataAttr['default'])(),
    order: (0, _emberDataAttr['default'])(),

    selectable: _ember['default'].computed('title', function () {
      return !this.get('isDeleted') && this.get('title');
    }),

    _id: _ember['default'].computed('title', function () {
      return (0, _cornerstoneUtilHexEncode['default'])(this.get('title'));
    }),

    sortableTitle: _ember['default'].computed('title', 'order', function () {
      return this.get('order') + ' ' + this.get('title');
    })

  });
});
define('cornerstone/templates/colors/selection/serializer', ['exports', 'ember-data/serializers/json-api', 'npm:uuid', 'cornerstone/util/hex-encode'], function (exports, _emberDataSerializersJsonApi, _npmUuid, _cornerstoneUtilHexEncode) {
  exports['default'] = _emberDataSerializersJsonApi['default'].extend({

    normalizeResponse: function normalizeResponse(store, primaryModelClass, payload) {

      var order = 0;

      var items = payload.map(function (item) {
        item.order = order++;
        var id = item.id ? item.id : _npmUuid['default'].v4();
        delete item._id;
        return {
          id: id,
          type: primaryModelClass.modelName,
          attributes: item
        };
      });

      return { data: items };
    },

    serialize: function serialize() /* snapshot, options */{
      var serialized = this._super.apply(this, arguments);
      delete serialized.data.attributes.order;
      serialized.data.attributes._id = (0, _cornerstoneUtilHexEncode['default'])(serialized.data.attributes.title);
      return serialized.data.attributes;
    }

  });
});
// import Ember from 'ember';
define('cornerstone/templates/colors/service', ['exports', 'ember', 'npm:color'], function (exports, _ember, _npmColor) {
  exports['default'] = _ember['default'].Service.extend({

    store: _ember['default'].inject.service(),

    makeRandomColor: function makeRandomColor() {
      return '#' + ("000000" + Math.floor(Math.random() * 16777215).toString(16)).slice(-6);
    },

    paletteItemsUpdated: 0,
    paletteItemsPromise: _ember['default'].computed('paletteItemsUpdated', function () {
      var _this = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        _this.get('store').unloadAll('templates/colors/selection');
        _this.get('store').findAll('templates/colors/selection').then(function (colors) {

          var options = _this.normalizeColors(colors);

          _this.set('paletteItems', options);
          resolve(options);
        }, reject);
      });
    }),

    normalizeColors: function normalizeColors(colors) {
      return colors.filter(function (choice) {
        return choice.get('selectable');
      }).map(function (choice) {
        return {
          id: choice.get('_id'),
          value: choice.get('value'),
          label: choice.get('title')
        };
      });
    },

    lookupColor: function lookupColor(value) {
      var _this2 = this;

      function validateColor(color) {

        try {
          (0, _npmColor['default'])(color);
        } catch (e) {
          console.warn('Unable to resolve color: ' + value, e);
          return 'transparent';
        }

        return color;
      }

      if ('undefined' !== _ember['default'].typeOf(value) && value.includes && value.includes('global-color:')) {
        var _ret = (function () {
          var id = value.replace('global-color:', '');
          var color = _this2.normalizeColors(_this2.get('store').peekAll('templates/colors/selection')).find(function (color) {
            return id === _ember['default'].get(color, 'id');
          });
          if (color) {
            return {
              v: validateColor(color.value)
            };
          }
        })();

        if (typeof _ret === 'object') return _ret.v;
      }

      return validateColor(value);
    }

  });
});
define("cornerstone/templates/colors/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/colors/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "templates/colors/color-list", [], ["colorItems", ["subexpr", "@mut", [["get", "model.items", ["loc", [null, [3, 15], [3, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedItem", ["subexpr", "@mut", [["get", "selectedItem", ["loc", [null, [4, 17], [4, 29]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [5, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 8,
                "column": 2
              },
              "end": {
                "line": 13,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/colors/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "templates/colors/color-manager", [], ["colorItems", ["subexpr", "@mut", [["get", "model.items", ["loc", [null, [10, 17], [10, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedItem", ["subexpr", "@mut", [["get", "selectedItem", ["loc", [null, [11, 19], [11, 31]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [9, 4], [12, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 14,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/colors/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/scroll-box", [], [], 0, null, ["loc", [null, [8, 2], [13, 24]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 15,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/colors/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "workspace/cs-workspace", [], ["name", "color"], 0, null, ["loc", [null, [1, 0], [6, 27]]]], ["block", "global/cs-canvas", [], [], 1, null, ["loc", [null, [7, 0], [14, 21]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define('cornerstone/templates/fonts/route', ['exports', 'ember', 'cornerstone/mixins/route-authorization'], function (exports, _ember, _cornerstoneMixinsRouteAuthorization) {
  exports['default'] = _ember['default'].Route.extend(_cornerstoneMixinsRouteAuthorization['default'], {

    acl: ['canManageOptions'],
    routeUI: {
      bar: ['cheatsheet', 'save']
    },
    service: _ember['default'].inject.service('templates/fonts'),

    deactivate: function deactivate() {
      this.store.unloadRecord(this.modelFor(this.routeName).config);
      this.store.unloadAll('templates/fonts/selection');
      this.incrementProperty('service.fontsUpdated');
    },

    beforeModel: function beforeModel() {
      this.permissionCheck();
    },

    model: function model() {
      return _ember['default'].RSVP.hash({
        config: this.store.findRecord('option', 'cornerstone_font_config'),
        items: this.store.findAll('templates/fonts/selection')
      });
    },

    setupController: function setupController(controller, model) {
      this._super.apply(this, arguments);
      this.get('ui').setRouteUI(this);
      controller.set('selectedItem', model.items.get('firstObject'));
      this.set('previousContent', this.getContentString(model));
    },

    renderTemplate: function renderTemplate() {

      this.render('partials/bar/fonts', {
        outlet: 'bar',
        into: 'application'
      });

      this._super(this, arguments);
    },

    getContentString: function getContentString(model) {
      return JSON.stringify({
        items: model.items.sortBy('order').map(function (item) {
          return item.serialize();
        }),
        config: model.config.serialize()
      });
    },

    actions: {

      willTransition: function willTransition(transition) {
        var _this = this;

        var content = this.getContentString(this.modelFor(this.routeName));
        if (content !== this.get('previousContent')) {

          transition.abort();

          this.get('ui').confirm({
            noSkip: true,
            message: this.get('i18n').t('app.unsaved-warning'),
            accept: function accept() {
              _this.set('previousContent', content);
              transition.retry();
            },
            acceptClass: 'sad'
          });
        }
      },

      save: function save() {
        var _this2 = this;

        var ui = this.get('ui');
        ui.beginSaveProgress();

        var model = this.modelFor(this.routeName);

        var fail = function fail(error) {
          ui.endSaveProgress();
          ui.notify('Could not save Fonts.', 'error');
          _ember['default'].Logger.warn('Could not save fonts', error);
        };

        _ember['default'].RSVP.allSettled([model.items.get('firstObject').save(), model.config.save()]).then(function (array) {

          if (array.find(function (item) {
            return 'rejected' === item.state;
          })) {
            return fail(array);
          }
          _this2.set('previousContent', _this2.getContentString(_this2.modelFor(_this2.routeName)));
          ui.notify('Fonts saved!', 'success');
          _ember['default'].Logger.info('Fonts saved.');
          ui.endSaveProgress();
        }, fail);
      }
    }

  });
});
define('cornerstone/templates/fonts/selection/adapter', ['exports', 'cornerstone/adapters/cs-option-list-adapter'], function (exports, _cornerstoneAdaptersCsOptionListAdapter) {
  exports['default'] = _cornerstoneAdaptersCsOptionListAdapter['default'].extend({
    option: 'cornerstone_font_items',

    // Don't load entries from the DB that already exist.
    filterResponse: function filterResponse(store, type, response) {

      var existing = store.peekAll(type.modelName).map(function (record) {
        return record.serialize()._id;
      });

      return response.reject(function (item) {
        return existing.includes(item._id);
      });
    }
  });
});
// import Ember from 'ember';
define('cornerstone/templates/fonts/selection/model', ['exports', 'ember', 'ember-data', 'ember-data/attr', 'cornerstone/util/hex-encode'], function (exports, _ember, _emberData, _emberDataAttr, _cornerstoneUtilHexEncode) {
  exports['default'] = _emberData['default'].Model.extend({
    title: (0, _emberDataAttr['default'])(),
    family: (0, _emberDataAttr['default'])(),
    stack: (0, _emberDataAttr['default'])(),
    source: (0, _emberDataAttr['default'])(),
    order: (0, _emberDataAttr['default'])(),

    weights: (0, _emberDataAttr['default'])({ defaultValue: function defaultValue() {
        return _ember['default'].A();
      } }),

    selectable: _ember['default'].computed('title', 'weights.[]', function () {
      return !this.get('isDeleted') && this.get('title') && 0 < this.get('weights.length');
    }),

    _id: _ember['default'].computed('title', function () {
      return (0, _cornerstoneUtilHexEncode['default'])(this.get('title'));
    }),

    sortableTitle: _ember['default'].computed('title', 'order', function () {
      return this.get('order') + ' ' + this.get('title');
    })

  });
});
define('cornerstone/templates/fonts/selection/serializer', ['exports', 'ember-data/serializers/json-api', 'npm:uuid', 'cornerstone/util/hex-encode'], function (exports, _emberDataSerializersJsonApi, _npmUuid, _cornerstoneUtilHexEncode) {
  exports['default'] = _emberDataSerializersJsonApi['default'].extend({

    normalizeResponse: function normalizeResponse(store, primaryModelClass, payload) {

      var order = 0;

      var items = payload.map(function (item) {
        item.order = order++;
        var id = item.id ? item.id : _npmUuid['default'].v4();
        delete item._id;
        return {
          id: id,
          type: primaryModelClass.modelName,
          attributes: item
        };
      });

      return { data: items };
    },

    serialize: function serialize() /* snapshot, options */{
      var serialized = this._super.apply(this, arguments);
      delete serialized.data.attributes.order;
      serialized.data.attributes._id = (0, _cornerstoneUtilHexEncode['default'])(serialized.data.attributes.title);
      return serialized.data.attributes;
    }

  });
});
// import Ember from 'ember';
define('cornerstone/templates/fonts/service', ['exports', 'ember', 'npm:webfontloader'], function (exports, _ember, _npmWebfontloader) {

  // https://github.com/typekit/webfontloader

  exports['default'] = _ember['default'].Service.extend({

    store: _ember['default'].inject.service(),
    config: _ember['default'].inject.service(),
    allWeights: ['100', '100i', '200', '200i', '300', '300i', '400', '400i', '500', '500i', '600', '600i', '700', '700i', '800', '800i', '900', '900i'],

    init: function init() {
      var _this = this;

      this.get('store').findRecord('option', 'cornerstone_font_config').then(function (record) {
        _this.set('fontConfig', record);
      });
    },

    fallbackFont: _ember['default'].computed(function () {
      return _ember['default'].assign({}, this.get('config.global.fallbackFont'));
    }),

    locateFont: function locateFont(_id) {

      var lookup = this.get('store').peekAll('templates/fonts/selection').find(function (font) {
        return _id === _ember['default'].get(font, '_id');
      });

      if (!lookup) {
        lookup = {
          family: 'inherit',
          stack: 'inherit',
          weights: ['inherit'],
          source: 'system'
        };
      }

      return lookup;
    },

    normalizeWeight: function normalizeWeight(value) {
      if (!value) {
        return 'inherit:inherit';
      }
      return value.indexOf(':') ? value : 'inherit:' + value;
    },

    resolveFontWeight: function resolveFontWeight(value) {

      var parts = this.normalizeWeight(value).split(':');

      if ('inherit' === parts[0]) {
        return parts[1];
      }

      var font = this.locateFont(parts[0]);

      return _ember['default'].get(font, 'weights').includes(parts[1]) ? parts[1] : _ember['default'].get(font, 'weights')[0];
    },

    resolveFontFamilyStack: function resolveFontFamilyStack(value) {
      var load = arguments.length <= 1 || arguments[1] === undefined ? true : arguments[1];

      if ('inherit' === value) {
        return 'inherit';
      }

      var font = this.locateFont(value);
      if (load) {
        this.loadFont(font);
      }
      return _ember['default'].get(font, 'stack');
    },

    loadFont: function loadFont(font) {
      var _this2 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {

        var config = {};
        switch (_ember['default'].get(font, 'source')) {
          case "custom":
            config = _this2.loadCustom(font);
            break;
          case "typekit":
            config = _this2.loadTypekit(font);
            break;
          case "google":
            config = _this2.loadGoogle(font);
            break;
        }

        if (_ember['default'].isEmpty(Object.keys(config))) {
          resolve();
          return;
        }

        _npmWebfontloader['default'].load(_ember['default'].assign({
          active: function active() {
            resolve();
          },
          inactive: function inactive(errors) {
            reject(errors);
          }
        }, config));
      });
    },

    loadCustom: function loadCustom() /* font */{
      // Load Custom CSS
      return { custom: { families: ['My Font'] } };
    },

    loadGoogle: function loadGoogle(font) {

      var family = _ember['default'].get(font, 'family') + ':' + _ember['default'].get(font, 'weights').join(',') + ':latin,latin-ext';
      var subsets = this.getWithDefault('fontConfig.value.googleSubsets', []).join(',');
      if (subsets) {
        family += ',' + subsets;
      }

      return { google: { families: [family] } };
    },

    loadTypekit: function loadTypekit() /* font */{
      return { typekit: { id: this.get('fontConfig.value.typekitKitID') } };
    },

    fontsUpdated: 0,
    fontFamilyOptions: _ember['default'].computed('fontsUpdated', function () {
      var _this3 = this;

      return new _ember['default'].RSVP.Promise(function (resolve, reject) {
        _this3.get('store').unloadAll('templates/fonts/selection');
        _this3.get('store').findAll('templates/fonts/selection').then(function (fonts) {

          var options = fonts.filter(function (choice) {
            return choice.get('selectable');
          }).map(function (choice) {
            return { value: choice.get('_id'), label: choice.get('title') };
          });

          options.unshift({
            value: 'inherit',
            label: 'Inherit'
          });

          resolve(options);
        }, reject);
      });
    })

  });
});
define("cornerstone/templates/fonts/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/fonts/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "templates/fonts/font-list", [], ["fontItems", ["subexpr", "@mut", [["get", "model.items", ["loc", [null, [3, 14], [3, 25]]], 0, 0, 0, 0]], [], [], 0, 0], "selectedItem", ["subexpr", "@mut", [["get", "selectedItem", ["loc", [null, [4, 17], [4, 29]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [5, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 12,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/fonts/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "templates/fonts/font-manager", [], ["selectedItem", ["subexpr", "@mut", [["get", "selectedItem", ["loc", [null, [9, 17], [9, 29]]], 0, 0, 0, 0]], [], [], 0, 0], "fontConfig", ["subexpr", "@mut", [["get", "model.config.value", ["loc", [null, [10, 15], [10, 33]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [8, 2], [11, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/fonts/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["block", "workspace/cs-workspace", [], ["name", "fonts"], 0, null, ["loc", [null, [1, 0], [6, 27]]]], ["block", "global/cs-canvas", [], [], 1, null, ["loc", [null, [7, 0], [12, 21]]]], ["inline", "templates/fonts/config-modal", [], ["config", ["subexpr", "@mut", [["get", "model.config", ["loc", [null, [13, 38], [13, 50]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [13, 0], [13, 52]]], 0, 0]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/templates/iframe-loaders/content", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 6
          }
        },
        "moduleName": "cornerstone/templates/iframe-loaders/content.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-pre-loader-logo");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 1, 1);
        return morphs;
      },
      statements: [["inline", "cs-icon", [["get", "ui.contentLogoPath", ["loc", [null, [2, 12], [2, 30]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 2], [2, 32]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/iframe-loaders/default", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 6
          }
        },
        "moduleName": "cornerstone/templates/iframe-loaders/default.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createAttrMorph(element0, 'class');
        morphs[1] = dom.createMorphAt(element0, 1, 1);
        return morphs;
      },
      statements: [["attribute", "class", ["concat", ["cs-pre-loader-logo ", ["get", "ui.preloaderLogoClass", ["loc", [null, [1, 33], [1, 54]]], 0, 0, 0, 0]], 0, 0, 0, 0, 0], 0, 0, 0, 0], ["inline", "cs-icon", [["get", "ui.optionsLogoPath", ["loc", [null, [2, 12], [2, 30]]], 0, 0, 0, 0], ["get", "ui.optionsLogoExtra", ["loc", [null, [2, 31], [2, 50]]], 0, 0, 0, 0]], [], ["loc", [null, [2, 2], [2, 52]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/iframe-loaders/footers", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 6
          }
        },
        "moduleName": "cornerstone/templates/iframe-loaders/footers.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-pre-loader-logo");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 1, 1);
        return morphs;
      },
      statements: [["inline", "cs-icon", ["interface/logo-footers-flat-original"], [], ["loc", [null, [2, 2], [2, 52]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/iframe-loaders/headers", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/iframe-loaders/headers.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-pre-loader-logo");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]), 1, 1);
        return morphs;
      },
      statements: [["inline", "cs-icon", ["interface/logo-headers-flat-original"], [], ["loc", [null, [2, 2], [2, 52]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/iframe-loaders/options", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/iframe-loaders/options.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["inline", "partial", ["iframe-loaders/default"], [], ["loc", [null, [1, 0], [1, 36]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/index", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/index.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "global/launch-screen", ["loc", [null, [1, 0], [1, 24]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/templates/index/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({});
});
define("cornerstone/templates/index/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 4,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/index/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h2");
            dom.setAttribute(el1, "class", "cs-workspace-title");
            var el2 = dom.createTextNode("Templates");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        var child0 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 6,
                  "column": 4
                },
                "end": {
                  "line": 6,
                  "column": 74
                }
              },
              "moduleName": "cornerstone/templates/index/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("Fonts");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        var child1 = (function () {
          return {
            meta: {
              "revision": "Ember@2.8.0",
              "loc": {
                "source": null,
                "start": {
                  "line": 7,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 76
                }
              },
              "moduleName": "cornerstone/templates/index/template.hbs"
            },
            isEmpty: false,
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("Colors");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() {
              return [];
            },
            statements: [],
            locals: [],
            templates: []
          };
        })();
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 5,
                "column": 2
              },
              "end": {
                "line": 8,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/index/template.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            morphs[1] = dom.createMorphAt(fragment, 3, 3, contextualElement);
            return morphs;
          },
          statements: [["block", "link-to", ["templates.fonts"], ["class", "cs-workspace-section-goto"], 0, null, ["loc", [null, [6, 4], [6, 86]]]], ["block", "link-to", ["templates.colors"], ["class", "cs-workspace-section-goto"], 1, null, ["loc", [null, [7, 4], [7, 88]]]]],
          locals: [],
          templates: [child0, child1]
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/index/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "workspace/workspace-header", [], [], 0, null, ["loc", [null, [2, 2], [4, 33]]]], ["block", "workspace/workspace-content", [], [], 1, null, ["loc", [null, [5, 2], [8, 34]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 11,
                "column": 2
              },
              "end": {
                "line": 12,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/index/template.hbs"
          },
          isEmpty: true,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 0
            },
            "end": {
              "line": 13,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/index/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "common/welcome-message", [], ["title", ["subexpr", "t", ["app.templates.welcome"], [], ["loc", [null, [11, 34], [11, 61]]], 0, 0]], 0, null, ["loc", [null, [11, 2], [12, 29]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/index/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "workspace/cs-workspace", [], [], 0, null, ["loc", [null, [1, 0], [9, 27]]]], ["block", "global/cs-canvas", [], [], 1, null, ["loc", [null, [10, 0], [13, 21]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/templates/not-found", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/not-found.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "outlet", ["loc", [null, [1, 0], [1, 10]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/partials/bar/content", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/content.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "fa-icon", ["object-group"], [], ["loc", [null, [5, 2], [5, 28]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/content.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "icon", ["gears"], [], ["loc", [null, [8, 2], [8, 18]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/content.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        morphs[2] = dom.createMorphAt(fragment, 4, 4, contextualElement);
        morphs[3] = dom.createMorphAt(fragment, 5, 5, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", ["partials/bar/css"], [], ["loc", [null, [1, 0], [1, 30]]], 0, 0], ["inline", "partial", ["partials/bar/js"], [], ["loc", [null, [2, 0], [2, 29]]], 0, 0], ["block", "global/bar-button", [], ["class", "cs-action-toggle-skeleton-mode", "active", ["subexpr", "@mut", [["get", "ui.skeletonModeActive", ["loc", [null, [3, 67], [3, 88]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "skeletonModeActive"], ["target", ["get", "ui", ["loc", [null, [3, 141], [3, 143]]], 0, 0, 0, 0]], ["loc", [null, [3, 96], [3, 144]]], 0, 0]], 0, null, ["loc", [null, [3, 0], [6, 22]]]], ["block", "global/bar-button", [], ["class", "cs-action-toggle-settings", "active", ["subexpr", "@mut", [["get", "ui.showSettingsModal", ["loc", [null, [7, 62], [7, 82]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "showSettingsModal"], ["target", ["get", "ui", ["loc", [null, [7, 134], [7, 136]]], 0, 0, 0, 0]], ["loc", [null, [7, 90], [7, 137]]], 0, 0]], 1, null, ["loc", [null, [7, 0], [9, 22]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/templates/partials/bar/css", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/css.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  CSS\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() {
          return [];
        },
        statements: [],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/css.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/bar-button", [], ["class", "cs-action-toggle-custom-css", "active", ["subexpr", "@mut", [["get", "ui.showCustomCSS", ["loc", [null, [1, 64], [1, 80]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "showCustomCSS"], ["target", ["get", "ui", ["loc", [null, [1, 128], [1, 130]]], 0, 0, 0, 0]], ["loc", [null, [1, 88], [1, 131]]], 0, 0]], 0, null, ["loc", [null, [1, 0], [3, 22]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/bar/fonts", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/fonts.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "cs-icon", ["interface/action-btn-fonts"], [], ["loc", [null, [2, 2], [2, 42]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/fonts.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/bar-button", [], ["class", "cs-action-toggle-font-config", "active", ["subexpr", "@mut", [["get", "ui.showFontConfig", ["loc", [null, [1, 65], [1, 82]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "showFontConfig"], ["target", ["get", "ui", ["loc", [null, [1, 131], [1, 133]]], 0, 0, 0, 0]], ["loc", [null, [1, 90], [1, 134]]], 0, 0]], 0, null, ["loc", [null, [1, 0], [3, 22]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/bar/footer", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 29
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/footer.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", ["partials/bar/css"], [], ["loc", [null, [1, 0], [1, 30]]], 0, 0], ["inline", "partial", ["partials/bar/js"], [], ["loc", [null, [2, 0], [2, 29]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/partials/bar/header", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 29
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/header.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 2, 2, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["inline", "partial", ["partials/bar/css"], [], ["loc", [null, [1, 0], [1, 30]]], 0, 0], ["inline", "partial", ["partials/bar/js"], [], ["loc", [null, [2, 0], [2, 29]]], 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define("cornerstone/templates/partials/bar/js", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 4,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/partials/bar/js.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "icon", ["interface/js"], [], ["loc", [null, [3, 4], [3, 27]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/js.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/bar-button", [], ["class", "cs-action-toggle-custom-js", "active", ["subexpr", "@mut", [["get", "ui.showCustomJS", ["loc", [null, [2, 65], [2, 80]]], 0, 0, 0, 0]], [], [], 0, 0], "action", ["subexpr", "action", ["toggle", "showCustomJS"], ["target", ["get", "ui", ["loc", [null, [2, 127], [2, 129]]], 0, 0, 0, 0]], ["loc", [null, [2, 88], [2, 130]]], 0, 0]], 0, null, ["loc", [null, [2, 2], [4, 24]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/js.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "currentUser.useUnfilteredHTML", ["loc", [null, [1, 6], [1, 35]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [5, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/bar/options", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/options.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "partial", ["partials/bar/css"], [], ["loc", [null, [2, 2], [2, 32]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/bar/options.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "partial", ["partials/bar/js"], [], ["loc", [null, [5, 2], [5, 31]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 7
          }
        },
        "moduleName": "cornerstone/templates/partials/bar/options.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "model.customCSS", ["loc", [null, [1, 6], [1, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 7]]]], ["block", "if", [["get", "model.customJS", ["loc", [null, [4, 6], [4, 20]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [4, 0], [6, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/templates/partials/controls/control-header", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/controls/control-header.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-control-header");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("label");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createUnsafeMorphAt(dom.childAt(fragment, [1, 1]), 0, 0);
          return morphs;
        },
        statements: [["content", "label", ["loc", [null, [3, 11], [3, 22]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 6,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/controls/control-header.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "showHeader", ["loc", [null, [1, 6], [1, 16]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [5, 7]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/controls/input-list-item-header", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 47
              },
              "end": {
                "line": 2,
                "column": 71
              }
            },
            "moduleName": "cornerstone/templates/partials/controls/input-list-item-header.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createUnsafeMorphAt(fragment, 0, 0, contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [["content", "label", ["loc", [null, [2, 60], [2, 71]]], 0, 0, 0, 0]],
          locals: [],
          templates: []
        };
      })();
      var child1 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 71
              },
              "end": {
                "line": 2,
                "column": 85
              }
            },
            "moduleName": "cornerstone/templates/partials/controls/input-list-item-header.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode(" ");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/controls/input-list-item-header.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("div");
          dom.setAttribute(el1, "class", "cs-control-input-list-label");
          var el2 = dom.createElement("span");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0, 0]), 0, 0);
          return morphs;
        },
        statements: [["block", "if", [["get", "label", ["loc", [null, [2, 53], [2, 58]]], 0, 0, 0, 0]], [], 0, 1, ["loc", [null, [2, 47], [2, 92]]]]],
        locals: [],
        templates: [child0, child1]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 11
          }
        },
        "moduleName": "cornerstone/templates/partials/controls/input-list-item-header.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "unless", [["get", "deeplyNested", ["loc", [null, [1, 10], [1, 22]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [3, 11]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/global/content", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/global/content.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "global/code-editor", [], ["title", "Content JS", "active", ["subexpr", "@mut", [["get", "ui.showCustomJS", ["loc", [null, [5, 11], [5, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.content.settings.general.custom_js", ["loc", [null, [6, 10], [6, 50]]], 0, 0, 0, 0]], [], [], 0, 0], "run", ["subexpr", "action", ["refreshPreview"], [], ["loc", [null, [7, 8], [7, 33]]], 0, 0]], ["loc", [null, [3, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/global/content.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-external");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(element0, 1, 1);
        morphs[1] = dom.createMorphAt(element0, 2, 2);
        return morphs;
      },
      statements: [["block", "if", [["get", "currentUser.useUnfilteredHTML", ["loc", [null, [2, 6], [2, 35]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [9, 7]]]], ["inline", "global/code-editor", [], ["title", "Content CSS", "active", ["subexpr", "@mut", [["get", "ui.showCustomCSS", ["loc", [null, [10, 48], [10, 64]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.content.settings.general.custom_css", ["loc", [null, [10, 71], [10, 112]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 0], [10, 114]]], 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/global/footer", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/global/footer.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "global/code-editor", [], ["title", "Footer JS", "active", ["subexpr", "@mut", [["get", "ui.showCustomJS", ["loc", [null, [5, 11], [5, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.footer.settings.customJS", ["loc", [null, [6, 10], [6, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "run", ["subexpr", "action", ["runCustomJs"], [], ["loc", [null, [7, 8], [7, 30]]], 0, 0]], ["loc", [null, [3, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/global/footer.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-external");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(element0, 1, 1);
        morphs[1] = dom.createMorphAt(element0, 2, 2);
        return morphs;
      },
      statements: [["block", "if", [["get", "currentUser.useUnfilteredHTML", ["loc", [null, [2, 6], [2, 35]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [9, 7]]]], ["inline", "global/code-editor", [], ["title", "Footer CSS", "active", ["subexpr", "@mut", [["get", "ui.showCustomCSS", ["loc", [null, [10, 47], [10, 63]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.footer.settings.customCSS", ["loc", [null, [10, 70], [10, 101]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 0], [10, 103]]], 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/global/header", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/global/header.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "global/code-editor", [], ["title", "Header JS", "active", ["subexpr", "@mut", [["get", "ui.showCustomJS", ["loc", [null, [5, 11], [5, 26]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.header.settings.customJS", ["loc", [null, [6, 10], [6, 40]]], 0, 0, 0, 0]], [], [], 0, 0], "run", ["subexpr", "action", ["runCustomJs"], [], ["loc", [null, [7, 8], [7, 30]]], 0, 0]], ["loc", [null, [3, 2], [8, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 12,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/global/header.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1, "class", "cs-external");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(element0, 1, 1);
        morphs[1] = dom.createMorphAt(element0, 2, 2);
        return morphs;
      },
      statements: [["block", "if", [["get", "currentUser.useUnfilteredHTML", ["loc", [null, [2, 6], [2, 35]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [2, 0], [9, 7]]]], ["inline", "global/code-editor", [], ["title", "Header CSS", "active", ["subexpr", "@mut", [["get", "ui.showCustomCSS", ["loc", [null, [10, 47], [10, 63]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.header.settings.customCSS", ["loc", [null, [10, 70], [10, 101]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [10, 0], [10, 103]]], 0, 0]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/partials/global/options", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/global/options.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["inline", "global/code-editor", [], ["title", "Global CSS", "active", ["subexpr", "@mut", [["get", "ui.showCustomCSS", ["loc", [null, [4, 11], [4, 27]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.customCSS.value", ["loc", [null, [5, 10], [5, 31]]], 0, 0, 0, 0]], [], [], 0, 0]], ["loc", [null, [2, 2], [6, 4]]], 0, 0]],
        locals: [],
        templates: []
      };
    })();
    var child1 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 2
              },
              "end": {
                "line": 16,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/partials/global/options.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
            return morphs;
          },
          statements: [["inline", "global/code-editor", [], ["title", "Global JS", "active", ["subexpr", "@mut", [["get", "ui.showCustomJS", ["loc", [null, [12, 13], [12, 28]]], 0, 0, 0, 0]], [], [], 0, 0], "value", ["subexpr", "@mut", [["get", "model.customJS.value", ["loc", [null, [13, 12], [13, 32]]], 0, 0, 0, 0]], [], [], 0, 0], "run", ["subexpr", "action", ["runCustomJs"], [], ["loc", [null, [14, 10], [14, 32]]], 0, 0]], ["loc", [null, [10, 4], [15, 6]]], 0, 0]],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 0
            },
            "end": {
              "line": 17,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/partials/global/options.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "if", [["get", "currentUser.useUnfilteredHTML", ["loc", [null, [9, 8], [9, 37]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [9, 2], [16, 9]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/partials/global/options.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        morphs[1] = dom.createMorphAt(fragment, 1, 1, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "if", [["get", "model.customCSS", ["loc", [null, [1, 6], [1, 21]]], 0, 0, 0, 0]], [], 0, null, ["loc", [null, [1, 0], [7, 7]]]], ["block", "if", [["get", "model.customJS", ["loc", [null, [8, 6], [8, 20]]], 0, 0, 0, 0]], [], 1, null, ["loc", [null, [8, 0], [17, 7]]]]],
      locals: [],
      templates: [child0, child1]
    };
  })());
});
define("cornerstone/templates/redirect", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/redirect.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [["content", "outlet", ["loc", [null, [1, 0], [1, 10]]], 0, 0, 0, 0]],
      locals: [],
      templates: []
    };
  })());
});
define('cornerstone/templates/route', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Route.extend({

    setupController: function setupController(controller, model) {
      this._super(controller, model);
      this.get('ui').setRouteUI(this);
    }

  });
});
define("cornerstone/templates/template", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/template.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [["content", "outlet", ["loc", [null, [2, 2], [2, 12]]], 0, 0, 0, 0]],
        locals: [],
        templates: []
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/template.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "templates"], 0, null, ["loc", [null, [1, 0], [3, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/templates/unauthorized", ["exports"], function (exports) {
  exports["default"] = Ember.HTMLBars.template((function () {
    var child0 = (function () {
      var child0 = (function () {
        return {
          meta: {
            "revision": "Ember@2.8.0",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 2
              },
              "end": {
                "line": 6,
                "column": 2
              }
            },
            "moduleName": "cornerstone/templates/unauthorized.hbs"
          },
          isEmpty: false,
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1, "class", "cs-welcome");
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("h3");
            dom.setAttribute(el2, "class", "cs-welcome-title");
            var el3 = dom.createElement("strong");
            var el4 = dom.createTextNode("Oops!");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode(" Looks like you're trying to view something you're not allowed to access. Check your permissions in the plugin settings.");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();
      return {
        meta: {
          "revision": "Ember@2.8.0",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "cornerstone/templates/unauthorized.hbs"
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [["block", "global/cs-canvas", [], [], 0, null, ["loc", [null, [2, 2], [6, 23]]]]],
        locals: [],
        templates: [child0]
      };
    })();
    return {
      meta: {
        "revision": "Ember@2.8.0",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "cornerstone/templates/unauthorized.hbs"
      },
      isEmpty: false,
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [["block", "global/cs-window", [], ["screen", "unauthorized"], 0, null, ["loc", [null, [1, 0], [7, 21]]]]],
      locals: [],
      templates: [child0]
    };
  })());
});
define("cornerstone/transforms/control-mixins/menu", ["exports"], function (exports) {
  exports["default"] = function () /* mixin */{};
});
define('cornerstone/transforms/controls/atts', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.id) {

      control.controls.push({
        key: control.keys.id,
        type: 'text',
        label: 'ID',
        options: {
          monospace: true
        }
      });
    }

    if (control.keys['class']) {

      control.controls.push({
        key: control.keys['class'],
        type: 'text',
        label: 'Class',
        options: {
          monospace: true
        }
      });
    }

    if (control.keys.style) {

      control.controls.push({
        key: control.keys.style,
        type: 'textarea',
        label: 'Inline CSS',
        options: {
          height: 5 - control.controls.length,
          monospace: true
        }
      });
    }

    return control;
  };
});
define('cornerstone/transforms/controls/audio', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.url) {

      control.controls.push({
        key: control.keys.url,
        type: 'text',
        label: 'Audio URL',
        options: {
          placeholder: 'http://example.com/a.mp3'
        }
      });
    }

    if (control.keys.preload) {

      control.controls.push({
        key: control.keys.preload,
        type: 'select',
        label: 'Preload<br>Content',
        options: {
          choices: [{ value: 'none', label: 'None' }, { value: 'auto', label: 'Auto' }, { value: 'metadata', label: 'Metadata' }]
        }
      });
    }

    var allowed = ['advanced', 'loop', 'autoplay'];
    if (_ember['default'].A(Object.keys(control.keys)).any(function (key) {
      return allowed.includes(key);
    })) {

      var list = [];

      if (control.keys.advanced) {
        list.push({
          key: 'advanced',
          label: 'Advanced',
          half: true
        });
      }

      if (control.keys.loop) {
        list.push({
          key: 'loop',
          label: 'Loop',
          half: true
        });
      }

      if (control.keys.autoplay) {
        list.push({
          key: 'autoplay',
          label: 'Autoplay',
          half: true
        });
      }

      var keys = {};
      for (var key in control.keys) {
        if (allowed.includes(key)) {
          keys[key] = control.keys[key];
        }
      }

      control.controls.push({
        keys: keys,
        type: 'checkbox-list',
        label: 'Display &<br>Function',
        options: {
          list: list
        }
      });
    }

    delete control.keys;
    return control;
  };
});
define('cornerstone/transforms/controls/border-radius', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'dimensions';

    if (!control.options.labels) {
      control.options.labels = {
        top: 'Top<br>Left',
        right: 'Top<br>Right',
        bottom: 'Bttm<br>Right',
        left: 'Bttm<br>Left'
      };
    }

    var defaults = {
      valid_keywords: ['inherit', 'calc'],
      ranges: { em: { max: 10 }, rem: { max: 10 } }
    };

    control.default_options = {
      top: defaults,
      right: defaults,
      bottom: defaults,
      left: defaults
    };

    return control;
  };
});
define('cornerstone/transforms/controls/choose', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'choose-single';

    return control;
  };
});
define('cornerstone/transforms/controls/classic/choose', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = function (control) {

    control.type = 'choose-single';

    if (control.options) {

      if (control.options.choices) {
        control.options.choices = control.options.choices.map(function (choice) {
          if (choice.title && !choice.label) {
            choice.label = choice.title;
          }
          if (choice.icon) {
            choice.label = '<i class="cs-fa cs-fa-data-attr" data-cs-icon="' + choice.icon + '"></i>';
            choice.icon = null;
          }
          return choice;
        });
      }

      if (!_ember['default'].isNone(control.options.offValue)) {
        control.options.off_value = control.options.offValue;
      }
    }

    return control;
  };
});
define('cornerstone/transforms/controls/classic/color', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'color';

    if (!control.options) {
      control.options = {};
    }

    if (true !== control.options.palette) {
      control.options.palette = false;
    }

    return control;
  };
});
define('cornerstone/transforms/controls/classic/dimensions', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'classic-dimensions';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/editor', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'text-editor';
    if (!control.options) {
      control.options = {};
    }
    control.options.height = 5;
    return control;
  };
});
define('cornerstone/transforms/controls/classic/icon-choose', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'icon';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/image', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'image-source';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/multi-choose', ['exports', 'cornerstone/transforms/controls/classic/choose'], function (exports, _cornerstoneTransformsControlsClassicChoose) {
  exports['default'] = function (control) {

    control = (0, _cornerstoneTransformsControlsClassicChoose['default'])(control);
    control.type = 'choose-multi';

    if (!control.options) {
      control.options = {};
    }

    control.options.arrayOutput = true;

    return control;
  };
});
define('cornerstone/transforms/controls/classic/number', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'number';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/select', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'select';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/sortable', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'sortable';

    var options = {};
    if (control.options) {

      if (control.options.element) {
        options.element = 'classic:' + control.options.element;
      }

      if (control.options.floor) {
        options.floor = control.options.floor;
      }

      if (control.options.capacity) {
        options.capacity = control.options.capacity;
      }
    }

    control.options = options;
    return control;
  };
});
define('cornerstone/transforms/controls/classic/text', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'text';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/textarea', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'textarea';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/title', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'classic-title';
    return control;
  };
});
define('cornerstone/transforms/controls/classic/toggle', ['exports'], function (exports) {
  exports['default'] = function (control) {
    control.type = 'toggle';
    return control;
  };
});
define('cornerstone/transforms/controls/font-style', ['exports', 'ember'], function (exports, _ember) {
  var htmlSafe = _ember['default'].String.htmlSafe;

  exports['default'] = function (control) {

    control.type = 'choose';
    control.label = 'Font Style';
    control.options = {
      choices: [{
        value: 'normal',
        label: htmlSafe('Normal')
      }, {
        value: 'italic',
        label: htmlSafe('<i>Italic</i>')
      }]
    };

    return control;
  };
});
define('cornerstone/transforms/controls/info', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.type) {

      control.controls.push({
        key: control.keys.type,
        type: 'choose',
        label: 'Type',
        options: {
          choices: [{
            value: 'tooltip',
            label: 'Normal'
          }, {
            value: 'popover',
            label: 'Popover'
          }]
        }
      });
    }

    if (control.keys.placement) {

      control.controls.push({
        key: control.keys.placement,
        type: 'choose',
        label: 'Placement',
        options: {
          choices: [{
            value: 'top',
            icon: 'arrow-up',
            tooltip: 'Top'
          }, {
            value: 'right',
            icon: 'arrow-right',
            tooltip: 'Right'
          }, {
            value: 'bottom',
            icon: 'arrow-down',
            tooltip: 'Bottom'
          }, {
            value: 'left',
            icon: 'arrow-left',
            tooltip: 'Left'
          }]
        }
      });
    }

    if (control.keys.trigger) {

      control.controls.push({
        key: control.keys.trigger,
        type: 'select',
        label: 'Trigger',
        options: {
          choices: [{
            value: 'hover',
            label: 'Hover'
          }, {
            value: 'focus',
            label: 'Focus'
          }, {
            value: 'click',
            label: 'Click'
          }]
        }
      });
    }

    if (control.keys.title) {

      control.controls.push({
        key: control.keys.title,
        type: 'text',
        label: 'Title',
        options: {
          placeholder: _ember['default'].isPresent(control.options.title_placeholder) ? control.options.title_placeholder : ''
        }
      });
    }

    if (control.keys.content) {

      control.controls.push({
        key: control.keys.content,
        type: 'text',
        label: 'Content',
        options: {
          placeholder: _ember['default'].isPresent(control.options.content_placeholder) ? control.options.content_placeholder : ''
        },
        condition: { key: control.keys.type, value: 'popover' }
      });
    }

    return control;
  };
});
define('cornerstone/transforms/controls/margin', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'dimensions';

    if (!control.options.labels) {
      control.options.labels = {
        bottom: 'Bttm'
      };
    }

    var defaults = {
      available_units: ['px', 'em', 'rem', '%', 'vw', 'vh'],
      valid_keywords: ['auto', 'calc'],
      ranges: {
        px: { min: -50, max: 50 },
        em: { min: -2.5 },
        rem: { min: -2.5 },
        '%': { min: -50, max: 50 },
        vw: { min: 1, max: 100 },
        vh: { min: 1, max: 100 }
      }
    };

    control.default_options = {
      top: defaults,
      right: defaults,
      bottom: defaults,
      left: defaults
    };

    return control;
  };
});
define('cornerstone/transforms/controls/menu', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'select';
    control.options = {
      choices: 'dynamic:menus'
    };

    return control;
  };
});
define('cornerstone/transforms/controls/multi-choose', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'choose-multi';

    return control;
  };
});
define('cornerstone/transforms/controls/omega', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.label = 'Setup';
    control.controls = [];

    if (control.keys.id) {

      control.controls.push({
        key: control.keys.id,
        type: 'text',
        label: 'ID'
      });
    }

    if (control.keys['class']) {

      control.controls.push({
        key: control.keys['class'],
        type: 'text',
        label: 'Class'
      });
    }

    if (control.keys.style) {

      control.controls.push({
        key: control.keys.style,
        type: 'text',
        label: 'Inline CSS'
      });
    }

    if (control.keys.bp) {

      control.controls.push({
        key: control.keys.bp,
        type: 'multi-choose',
        label: 'Hide During<br>Breakpoints',
        options: {
          off_value: 'none',
          choices: [{ value: 'xl', icon: 'interface/preview-sizer-xl' }, { value: 'lg', icon: 'interface/preview-sizer-lg' }, { value: 'md', icon: 'interface/preview-sizer-md' }, { value: 'sm', icon: 'interface/preview-sizer-sm' }, { value: 'xs', icon: 'interface/preview-sizer-xs' }]
        }
      });
    }

    // if ( control.keys.login ) {
    //
    //   control.controls.push({
    //     key: control.keys.login,
    //     type: 'choose',
    //     label: 'Hide Per<br>User Status',
    //     options: {
    //       off_value: 'none',
    //       choices: [
    //         { value: 'logged_in',  label: 'Logged In'  },
    //         { value: 'logged_out', label: 'Logged Out' }
    //       ]
    //     }
    //   });
    //
    // }

    return control;
  };
});
define('cornerstone/transforms/controls/padding', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'dimensions';

    if (!control.options.labels) {
      control.options.labels = {
        bottom: 'Bttm'
      };
    }

    var defaults = {
      available_units: ['px', 'em', 'rem', '%', 'vw', 'vh'],
      valid_keywords: ['calc'],
      ranges: {
        '%': { max: 25 },
        vw: { min: 1, max: 100 },
        vh: { min: 1, max: 100 }
      }
    };

    control.default_options = {
      top: defaults,
      right: defaults,
      bottom: defaults,
      left: defaults
    };

    return control;
  };
});
define('cornerstone/transforms/controls/sidebar', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'select';
    control.options = {
      choices: 'dynamic:sidebars'
    };

    return control;
  };
});
define('cornerstone/transforms/controls/single-choose', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'choose-single';

    return control;
  };
});
define('cornerstone/transforms/controls/slider', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'unit-slider';

    return control;
  };
});
define('cornerstone/transforms/controls/text-align', ['exports'], function (exports) {
  // import Ember from 'ember';
  // const { htmlSafe } = Ember.String;

  exports['default'] = function (control) {

    control.type = 'choose';
    control.label = 'Text Align';
    control.options = {
      off_value: 'none',
      choices: [{
        value: 'left',
        icon: 'align-left',
        tooltip: 'Left'
      }, {
        value: 'center',
        icon: 'align-center',
        tooltip: 'Center'
      }, {
        value: 'right',
        icon: 'align-right',
        tooltip: 'Right'
      }, {
        value: 'justify',
        icon: 'align-justify',
        tooltip: 'Justify'
      }]
    };

    return control;
  };
});
define('cornerstone/transforms/controls/text-appearance', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'text-content';

    return control;
  };
});
define('cornerstone/transforms/controls/text-content', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.tag) {

      control.controls.push({
        key: control.keys.tag,
        type: 'select',
        label: 'HTML Tag',
        options: {
          choices: control.options && control.options.tag ? control.options.tag : ['span', 'div', 'p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6']
        }
      });
    }

    if (control.keys.looks_like) {

      control.controls.push({
        key: control.keys.looks_like,
        type: 'select',
        label: 'Looks Like',
        options: {
          choices: control.options && control.options.looks_like ? control.options.looks_like : ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6']
        }
      });
    }

    if (control.keys.text) {

      control.controls.unshift({
        key: control.keys.text,
        type: 'textarea',
        label: 'Text',
        options: {
          height: 5 - control.controls.length
        }
      });
    }

    return control;
  };
});
define('cornerstone/transforms/controls/text-decoration', ['exports'], function (exports) {
  // import Ember from 'ember';
  // const { htmlSafe } = Ember.String;

  exports['default'] = function (control) {

    control.type = 'choose';
    control.label = 'Text Decoration';
    control.options = {
      off_value: 'none',
      choices: [{
        value: 'underline',
        icon: 'underline',
        tooltip: 'Underline'
      }, {
        value: 'line-through',
        icon: 'strikethrough',
        tooltip: 'Line Through'
      }]
      // choices: [ {
      //   value   : 'underline',
      //   icon    : 'underline',
      //   tooltip : 'Underline'
      // }, {
      //   value   : 'line-through',
      //   icon    : 'strikethrough',
      //   tooltip : 'Line Through'
      // }, {
      //   value   : 'overline',
      //   label   : htmlSafe( '<span class="ol">O</span>' ),
      //   tooltip : 'Overline'
      // } ]
    };

    return control;
  };
});
define('cornerstone/transforms/controls/text-format', ['exports', 'ember'], function (exports, _ember) {
  // const { htmlSafe } = Ember.String;

  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.font_family) {

      control.controls.push({
        label: 'Font Family',
        key: control.keys.font_family,
        type: 'font-family'
      });

      if (control.keys.font_weight) {
        control.controls.push({
          label: 'Font Weight',
          keys: {
            value: control.keys.font_weight,
            font_family: control.keys.font_family
          },
          type: 'font-weight'
        });
      }
    }

    if (control.keys.font_size) {
      control.controls.push({
        label: 'Font Size',
        key: control.keys.font_size,
        type: 'unit-slider',
        options: _ember['default'].assign({
          available_units: ['px', 'em', 'rem'],
          valid_keywords: ['calc'],
          ranges: {
            px: { min: 0, max: 100, step: 1 },
            em: { min: 0, max: 5, step: 0.001 },
            rem: { min: 0, max: 5, step: 0.001 }
          }
        }, control.options.font_size)
      });
    }

    if (control.keys.letter_spacing) {
      control.controls.push({
        label: 'Letter Spacing',
        key: control.keys.letter_spacing,
        type: 'unit-slider',
        options: _ember['default'].assign({
          available_units: ['em', 'rem'],
          ranges: {
            em: { min: -0.15, max: 0.5, step: 0.001 },
            rem: { min: -0.15, max: 0.5, step: 0.001 }
          }
        }, control.options.letter_spacing)
      });
    }

    if (control.keys.line_height) {
      control.controls.push({
        label: 'Line Height',
        key: control.keys.line_height,
        type: 'unit-slider',
        options: _ember['default'].assign({
          unit_mode: 'unitless',
          min: 1,
          max: 2.5,
          step: 0.1
        }, control.options.line_height)
      });
    }

    return control;
  };
});
define('cornerstone/transforms/controls/text-style', ['exports', 'ember'], function (exports, _ember) {
  // const { htmlSafe } = Ember.String;

  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.font_style) {
      control.controls.push({
        key: control.keys.font_style,
        type: 'font-style'
      });
    }

    if (control.keys.text_align) {
      control.controls.push({
        key: control.keys.text_align,
        type: 'text-align'
      });
    }

    if (control.keys.text_decoration) {
      control.controls.push({
        key: control.keys.text_decoration,
        type: 'text-decoration'
      });
    }

    if (control.keys.text_transform) {
      control.controls.push({
        key: control.keys.text_transform,
        type: 'text-transform'
      });
    }

    if (control.keys.text_color) {

      var keys = { value: control.keys.text_color };
      var options = {};

      if (control.keys.alt_color) {
        keys.alt = control.keys.alt_color;
        options.label = 'Base';
        options.alt_label = 'Hover';
      }

      if (control.options.color) {
        options = _ember['default'].merge(options, control.options.color);
      }

      control.controls.push({
        keys: keys,
        type: 'color',
        label: 'Text<br>Color',
        options: options
      });
    }

    return control;
  };
});
define('cornerstone/transforms/controls/text-transform', ['exports', 'ember'], function (exports, _ember) {
  var htmlSafe = _ember['default'].String.htmlSafe;

  exports['default'] = function (control) {

    control.type = 'choose';
    control.label = 'Text Transform';
    control.options = {
      off_value: 'none',
      choices: [{
        value: 'uppercase',
        label: htmlSafe('<span class="tt">TT</span>'),
        tooltip: 'Uppercase'
      }, {
        value: 'capitalize',
        label: htmlSafe('<span class="tt">Tt</span>'),
        tooltip: 'Capitalize'
      }, {
        value: 'lowercase',
        label: htmlSafe('<span class="tt">tt</span>'),
        tooltip: 'Lowercase'
      }]
    };

    return control;
  };
});
define('cornerstone/transforms/controls/video-embed', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (!control.keys.embed_code) {
      return false;
    }

    if (control.keys.aspect_ratio) {

      control.controls.push({
        key: control.keys.aspect_ratio,
        type: 'ratio',
        label: 'Aspect Ratio',
        options: {
          placeholder: '16:9'
        }
      });
    }

    if (control.keys.no_container) {

      control.controls.push({
        keys: {
          no_container: control.keys.no_container
        },
        type: 'checkbox-list',
        // label: '&nbsp;',
        options: {
          list: [{
            key: 'no_container',
            label: 'No Container'
          }]
        }
      });
    }

    if (control.keys.embed_code) {

      control.controls.unshift({
        key: control.keys.embed_code,
        type: 'textarea',
        label: 'Embed Code',
        options: {
          monospace: true,
          height: 5 - control.controls.length
        }
      });
    }

    return control;
  };
});
define('cornerstone/transforms/controls/video-options', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (control.keys.preload) {

      control.controls.push({
        key: control.keys.preload,
        type: 'select',
        label: 'Preload<br>Content',
        options: {
          choices: [{ value: 'none', label: 'None' }, { value: 'auto', label: 'Auto' }, { value: 'metadata', label: 'Metadata' }]
        }
      });
    }

    if (control.keys.aspect_ratio) {

      control.controls.push({
        key: control.keys.aspect_ratio,
        type: 'ratio',
        label: 'Aspect Ratio',
        options: {
          placeholder: '16:9'
        }
      });
    }

    var allowed = ['advanced', 'loop', 'no_controls', 'mute', 'autoplay', 'no_container'];
    if (_ember['default'].A(Object.keys(control.keys)).any(function (key) {
      return allowed.includes(key);
    })) {

      var list = [];

      if (control.keys.advanced) {
        list.push({
          key: 'advanced',
          label: 'Advanced',
          half: true
        });
      }

      if (control.keys.loop) {
        list.push({
          key: 'loop',
          label: 'Loop',
          half: true
        });
      }

      if (control.keys.no_controls) {
        list.push({
          key: 'no_controls',
          label: 'No Controls',
          half: true
        });
      }

      if (control.keys.mute) {
        list.push({
          key: 'mute',
          label: 'Mute',
          half: true
        });
      }

      if (control.keys.autoplay) {
        list.push({
          key: 'autoplay',
          label: 'Autoplay',
          half: true
        });
      }

      if (control.keys.no_container) {
        list.push({
          key: 'no_container',
          label: 'No Container',
          half: true
        });
      }

      var keys = {};
      for (var key in control.keys) {
        if (allowed.includes(key)) {
          keys[key] = control.keys[key];
        }
      }

      control.controls.push({
        keys: keys,
        type: 'checkbox-list',
        label: 'Display &<br>Function',
        options: {
          list: list
        }
      });
    }

    delete control.keys;
    return control;
  };
});
define('cornerstone/transforms/controls/video', ['exports'], function (exports) {
  exports['default'] = function (control) {

    control.type = 'group';
    control.controls = [];

    if (!control.keys.src || !control.keys.poster_img) {
      return null;
    }

    control.controls.push({
      key: control.keys.src,
      type: 'text',
      label: 'Video URL',
      options: {
        placeholder: 'http://example.com/v.mp4'
      }
    });

    control.controls.push({
      keys: {
        img_source: control.keys.poster_img
      },
      type: 'image',
      label: 'Poster<br>Image',
      options: {
        height: 4
      }
    });

    // debugger;
    return control;
  };
});
define("cornerstone/transforms/prefab", ["exports"], function (exports) {});
// import Ember from 'ember';
define('cornerstone/util/base64', ['exports', 'npm:base64-js', 'npm:js-base64'], function (exports, _npmBase64Js, _npmJsBase64) {
  // String operations

  var Base64 = {

    encode: function encode(str) {
      return _npmJsBase64['default'].Base64.encode(str);
    },

    decode: function decode(str) {
      return _npmJsBase64['default'].Base64.decode(str);
    },

    encodeFromByteArray: function encodeFromByteArray(str) {
      return _npmBase64Js['default'].fromByteArray(str);
    },

    decodeToByteArray: function decodeToByteArray(str) {
      return _npmBase64Js['default'].toByteArray(str);
    }
  };

  exports['default'] = Base64;
});
// Binary operations
define('cornerstone/util/coalescence-client', ['exports', 'ember', 'cornerstone/util/string-like'], function (exports, _ember, _cornerstoneUtilStringLike) {
  exports['default'] = compile;

  function stripUnit(val) {
    return val; // TODO: Implement here, and in coalescence
  }

  var operations = {
    eq: function eq(a, b) {
      return a == b; // eslint-disable-line eqeqeq
    },

    not_eq: function not_eq(a, b) {
      return a != b; // eslint-disable-line eqeqeq
    },

    strict_eq: function strict_eq(a, b) {
      return a === b;
    },

    not_strict_eq: function not_strict_eq(a, b) {
      return a !== b;
    },

    gt: function gt(a, b) {
      return stripUnit(a) > stripUnit(b);
    },

    lt: function lt(a, b) {
      return stripUnit(a) < stripUnit(b);
    },

    gte: function gte(a, b) {
      return stripUnit(a) >= stripUnit(b);
    },

    lte: function lte(a, b) {
      return stripUnit(a) <= stripUnit(b);
    },

    or: function or(a, b) {
      return a || b;
    },

    and: function and(a, b) {
      return a && b;
    },

    concat: function concat(a, b) {
      return '' + a + b;
    },

    nop: function nop(a) {
      return a;
    },

    like: _cornerstoneUtilStringLike['default'],

    empty: function empty(a) {

      // Cast to string
      a = !a ? '' : String(a);

      // Blank strings are considered empty
      if ('' === a) {
        return true;
      }

      // Assortment of CSS values considered empty
      return 0 === a.trim().split(' ').filter(function (val) {
        return !val.match(/^0[a-zA-Z%]+|0$|none$/);
      }).length;
    }

  };

  function compile(declarations, postProcessKeys, postProcess) {
    if (postProcessKeys === undefined) postProcessKeys = {};

    return function (data, classPrefix) {

      data = preProcess(data);
      data['_el'] = '' + classPrefix + data._id;

      function preProcess(data) {
        for (var key in data) {
          if (data.hasOwnProperty(key) && postProcessKeys[key]) {
            data[key] = '%%post ' + postProcessKeys[key] + '%%' + data[key] + '%%/post%%';
          }
        }
        return data;
      }

      function expand(template, keys) {
        return keys.reduce(function (output, key) {
          return output.replace(new RegExp('%%\\' + ('$' + key + '%%'), 'g'), data[key]);
        }, template);
      }

      function evaluate(_ref) {
        var a = _ref.a;
        var b = _ref.b;
        var op = _ref.op;

        function evaluateOperand(o, op) {

          if (o && (o.a || o.b) && o.op) {
            o = evaluate(o);
          }

          if (o && 'variable' === o.type) {

            if ('exists' === op) {
              return o.value;
            }

            o = _ember['default'].isNone(data[o.value]) ? false : data[o.value];
          }

          return o;
        }

        a = evaluateOperand(a, op);
        b = evaluateOperand(b, op);

        if ('exists' === op) {
          return !_ember['default'].isNone(data[a]);
        }

        op = operations[op] ? operations[op] : operations.nop;

        return op(a, b);
      }

      // Validate and process conditions
      var expanded = declarations.filter(function (dec) {

        if (!dec.selector || !dec.value) {
          return false;
        }

        if (!dec.conditions || _ember['default'].isEmpty(dec.conditions)) {
          return true;
        }

        // Evaluate expressions.
        // The filter return is inverted because we want successful conditions to return false
        return _ember['default'].isEmpty(dec.conditions.filter(function (_ref2) {
          var expression = _ref2.expression;
          var negate = _ref2.negate;

          var check = evaluate(expression);
          return negate ? check : !check;
        }));

        // Expand values into template
      }).map(function (dec) {
        return {
          selector: expand(dec.selector, dec.keys.selector),
          directive: dec.directive ? expand(dec.directive, dec.keys.directive) : 'root',
          value: expand(dec.value, dec.keys.value)
        };
      });

      // Group rules into their selectors
      var rules = { root: {} };
      expanded.forEach(function (dec) {

        if (!rules[dec.directive]) {
          rules[dec.directive] = {};
        }

        if (!rules[dec.directive][dec.selector]) {
          rules[dec.directive][dec.selector] = [];
        }

        rules[dec.directive][dec.selector].push(dec.value);
      });

      // Reduce into CSS string
      var cssOutput = Object.keys(rules).reduce(function (output, group) {

        if ('root' !== group) {
          output += group + ' {';
        }

        output += Object.keys(rules[group]).reduce(function (output, selector) {
          var properties = rules[group][selector].reduce(function (output, prop) {
            return output += prop + ';';
          }, '');
          return output += ' ' + selector + ' { ' + properties + ' }';
        }, '');

        if ('root' !== group) {
          output += group + '} ';
        }

        return output;
      }, '');

      if ('function' === typeof postProcess) {
        cssOutput = postProcess(cssOutput);
      }

      return cssOutput;
    };
  }
});
define('cornerstone/util/control-conditions', ['exports', 'ember'], function (exports, _ember) {
  exports.controlConditionChecker = controlConditionChecker;
  exports.normalizeControlCondition = normalizeControlCondition;
  exports.validateControlConditions = validateControlConditions;

  var ops = ['=', '==', '!=', '>', '>=', '<', '<=', 'LIKE', 'NOT LIKE', 'IN', 'NOT IN', 'BETWEEN', 'NOT BETWEEN'];

  function normalizeBool(a) {
    if ('' === a || !a) {
      return false;
    }
    return true;
  }

  function controlConditionChecker(a, b, op) {
    if ('boolean' === typeof a || 'boolean' === typeof b) {
      a = normalizeBool(a);
      b = normalizeBool(b);
    }

    if ('=' === op || '==' === op) {
      return a == b; // eslint-disable-line eqeqeq
    }

    if ('!=' === op) {
      return a != b; // eslint-disable-line eqeqeq
    }

    if ('IN' === op) {
      return a.includes(b);
    }

    if ('NOT IN' === op) {
      return !a.includes(b);
    }

    return true;
  }

  function normalizeControlCondition(_x) {
    var _again = true;

    _function: while (_again) {
      var condition = _x;
      _again = false;

      if (_ember['default'].isEmpty(condition)) {
        return {};
      }

      if (!_ember['default'].isNone(condition.option) && _ember['default'].isNone(condition.key)) {
        condition.key = condition.option;
      }

      if (_ember['default'].isPresent(condition.key) && _ember['default'].isPresent(condition.value)) {

        if (!_ember['default'].isPresent(condition.op) || !ops.includes(condition.op)) {
          condition.op = '==';
        }

        return {
          key: condition.key,
          value: condition.value,
          op: condition.op
        };
      } else {
        var key = Object.keys(condition)[0];
        _x = { key: key, value: condition[key] };
        _again = true;
        key = undefined;
        continue _function;
      }
    }
  }

  function validateControlConditions(condition) {
    return !_ember['default'].isNone(condition.key) && !_ember['default'].isNone(condition.value) && !_ember['default'].isNone(condition.op);
  }

  exports['default'] = controlConditionChecker;
});
define('cornerstone/util/control-proxy-builder', ['exports', 'ember', 'cornerstone/util/merge-options', 'cornerstone/util/control-conditions', 'npm:uuid'], function (exports, _ember, _cornerstoneUtilMergeOptions, _cornerstoneUtilControlConditions, _npmUuid) {
  exports['default'] = controlProxyBuilder;

  function controlProxyBuilder(_ref) {
    var owner = _ref.owner;
    var sourcePath = _ref.sourcePath;
    var controls = _ref.controls;

    function normalize(item) {

      if (!item || !_ember['default'].isPresent(item.type)) {
        return false;
      }

      var control = {
        type: item.type,
        keys: _ember['default'].isPresent(item.keys) ? item.keys : {},
        label: '',
        conditions: _ember['default'].isPresent(item.conditions) ? item.conditions : [],
        options: _ember['default'].isPresent(item.options) ? item.options : {},
        group: _ember['default'].isPresent(item.group) ? item.group : ''
      };

      if (!Array.isArray(control.conditions)) {
        _ember['default'].Logger.warn('Control conditions must be an array', item);
        control.conditions = [];
      }

      if (_ember['default'].isPresent(item.key)) {
        // set 'value' to singular key
        control.keys.value = item.key;
      } else {
        // set 'value' to first available key
        var keys = Object.keys(control.keys);
        if (keys.length > 0) {
          control.keys.value = control.keys[keys[0]];
        }
      }

      if (_ember['default'].isPresent(item.default_options)) {
        control.options = (0, _cornerstoneUtilMergeOptions['default'])(_ember['default'].copy(item.default_options, true), control.options);
      }

      if (_ember['default'].isPresent(item.title)) {
        control.label = item.title;
      }

      if (_ember['default'].isPresent(item.label)) {
        control.label = item.label;
      }

      if (_ember['default'].isPresent(item.condition)) {
        control.conditions.push(item.condition);
      }

      if (_ember['default'].isPresent(item.controls)) {
        control._controls = item.controls;
      }

      if (_ember['default'].isPresent(item.index)) {
        control.searchIndex = item.index;
      }

      var internal = []; // formerly ['_region']

      control.conditions = control.conditions.map(_cornerstoneUtilControlConditions.normalizeControlCondition).filter(_cornerstoneUtilControlConditions.validateControlConditions).map(function (condition) {
        if (internal.includes(condition.key)) {
          condition.path = 'source.' + condition.key.substr(1);
        } else {
          condition.path = 'source.' + sourcePath + '.' + condition.key;
        }
        return condition;
      });

      var transform = owner.resolveRegistration('transform:controls/' + control.type);

      if ('function' === typeof transform && !control.originalType) {
        var originalType = control.type;
        control = normalize(transform(control));
        if (!control) {
          return false;
        }
        control.originalType = originalType;
      }

      return control;
    }

    function mapper(rawItem) {

      if (_ember['default'].isNone(rawItem)) {
        return null;
      }

      var item = normalize(rawItem);

      if (!item) {
        _ember['default'].Logger.warn('Invalid control mapping', rawItem);
        return null;
      }

      if (_ember['default'].isPresent(item._controls)) {
        item._controls = item._controls.map(mapper).filter(_ember['default'].isPresent);
      }

      var itemExcluded = false;

      if (item.conditions && item.conditions.length > 0) {

        var conditionKeys = item.conditions.map(function (condition) {
          return condition.path;
        });

        conditionKeys.push(function () {
          var _this = this;

          return item.conditions.filter(function (condition) {
            return !(0, _cornerstoneUtilControlConditions.controlConditionChecker)(condition.value, _this.get(condition.path), condition.op);
          }).length > 0;
        });

        itemExcluded = _ember['default'].computed.apply(_ember['default'], conditionKeys);
      }

      var properties = {
        id: _npmUuid['default'].v4(),
        itemExcluded: itemExcluded,
        excluded: _ember['default'].computed('itemExcluded', 'allChildrenHidden', function () {
          return this.get('itemExcluded') || this.get('allChildrenHidden');
        }),

        allChildrenHidden: _ember['default'].computed('controls.@each.excluded', function () {
          var controls = this.get('controls');
          if (_ember['default'].isNone(controls)) {
            return false;
          }

          return 0 >= controls.reduce(function (count, control) {
            if (control.get('excluded')) {
              count--;
            }
            return count;
          }, _ember['default'].get(controls, 'length'));
        }),

        indexLabel: _ember['default'].computed('excluded', 'controls.@each.excluded', function () {

          var search = this.getWithDefault('searchIndex', this.getWithDefault('label', false));

          if (this.get('excluded') || false === search) {
            return undefined;
          }

          return search + this.getWithDefault('controls', []).reduce(function (label, control) {
            return label + ' ' + control.getWithDefault('indexLabel', '');
          }, '');
        }),

        init: function init() {
          var _this2 = this;

          this._super.apply(this, arguments);
          var controls = this.get('_controls');
          if (controls) {
            (function () {
              var source = _this2.get('source');
              _this2.set('controls', controls.map(function (control) {
                return control.create({ source: source });
              }));
            })();
          }
        }
      };

      for (var key in item.keys) {
        if (item.keys.hasOwnProperty(key)) {
          var debounceRate = _ember['default'].getWithDefault(item, 'options.debounce.' + key, null);
          properties[_ember['default'].String.camelize('key-' + key)] = createPropertyBinding('source.' + sourcePath + '.' + item.keys[key], debounceRate);
        }
      }

      return _ember['default'].Object.extend(properties, item);

      function createPropertyBinding(path, debounceRate) {

        if (_ember['default'].isNone(debounceRate)) {
          return _ember['default'].computed.alias(path);
        }

        var rate = parseInt(debounceRate);
        rate = isNaN(rate) ? 10 : rate;

        return _ember['default'].computed(path, {
          get: function get() {
            return this.get(path);
          },
          set: function set(key, value) {
            _ember['default'].run.debounce(this, this.set, path, value, rate);
            return value;
          }
        });
      }
    }

    return function (source) {
      return controls.map(mapper).filter(_ember['default'].isPresent).map(function (factory) {
        return factory.create({ source: source });
      });
    };
  }
});
define('cornerstone/util/custom-media-manager', ['exports'], function (exports) {
  var setup = false;

  exports['default'] = function () {

    if (setup) {
      return;
    }
    setup = true;

    var media = window.wp.media;
    var l10n = media.view.l10n;

    window.wp.media.view.MediaFrame.Cornerstone = window.wp.media.view.MediaFrame.Post.extend({
      createStates: function createStates() {
        var options = this.options;

        this.states.add([

        // Main states.
        new media.controller.Library({
          id: 'insert',
          title: l10n.insertMediaTitle,
          priority: 20,
          toolbar: 'main-insert',
          filterable: 'all',
          library: media.query(options.library),
          multiple: options.multiple ? 'reset' : false,
          editable: true,

          // If the user isn't allowed to edit fields,
          // can they still edit it locally?
          allowLocalEdits: true,

          // Show the attachment display settings.
          displaySettings: false,

          // Update user settings when users adjust the
          // attachment display settings.
          displayUserSettings: true

        }),

        // new media.controller.Library({
        //   id:         'gallery',
        //   title:      l10n.createGalleryTitle,
        //   priority:   40,
        //   toolbar:    'main-gallery',
        //   filterable: 'uploaded',
        //   multiple:   'add',
        //   editable:   false,

        //   library:  media.query( _.defaults({
        //     type: 'image'
        //   }, options.library ) )
        // }),

        // Embed states.
        new media.controller.Embed({
          metadata: options.metadata
        }), // Adds "Insert From URL"

        new media.controller.EditImage({ model: options.editImage })]);

        // Gallery states.
        // new media.controller.GalleryEdit({
        //   library: options.selection,
        //   editing: options.editing,
        //   menu:    'gallery'
        // }),

        // new media.controller.GalleryAdd(),

        // new media.controller.Library({
        //   id:         'playlist',
        //   title:      l10n.createPlaylistTitle,
        //   priority:   60,
        //   toolbar:    'main-playlist',
        //   filterable: 'uploaded',
        //   multiple:   'add',
        //   editable:   false,

        //   library:  media.query( _.defaults({
        //     type: 'audio'
        //   }, options.library ) )
        // }),

        // // Playlist states.
        // new media.controller.CollectionEdit({
        //   type: 'audio',
        //   collectionType: 'playlist',
        //   title:          l10n.editPlaylistTitle,
        //   SettingsView:   media.view.Settings.Playlist,
        //   library:        options.selection,
        //   editing:        options.editing,
        //   menu:           'playlist',
        //   dragInfoText:   l10n.playlistDragInfo,
        //   dragInfo:       false
        // }),

        // new media.controller.CollectionAdd({
        //   type: 'audio',
        //   collectionType: 'playlist',
        //   title: l10n.addToPlaylistTitle
        // }),

        // new media.controller.Library({
        //   id:         'video-playlist',
        //   title:      l10n.createVideoPlaylistTitle,
        //   priority:   60,
        //   toolbar:    'main-video-playlist',
        //   filterable: 'uploaded',
        //   multiple:   'add',
        //   editable:   false,

        //   library:  media.query( _.defaults({
        //     type: 'video'
        //   }, options.library ) )
        // }),

        // new media.controller.CollectionEdit({
        //   type: 'video',
        //   collectionType: 'playlist',
        //   title:          l10n.editVideoPlaylistTitle,
        //   SettingsView:   media.view.Settings.Playlist,
        //   library:        options.selection,
        //   editing:        options.editing,
        //   menu:           'video-playlist',
        //   dragInfoText:   l10n.videoPlaylistDragInfo,
        //   dragInfo:       false
        // }),

        // new media.controller.CollectionAdd({
        //   type: 'video',
        //   collectionType: 'playlist',
        //   title: l10n.addToVideoPlaylistTitle
        // })
        if (media.view.settings.post.featuredImageId) {
          this.states.add(new media.controller.FeaturedImage());
        }
      }

    });

    //   initialize: function() {
    //     wp.media.view.MediaFrame.prototype.initialize.apply( this, arguments );

    //     _.defaults( this.options, {
    //       multiple:  true,
    //       editing:   false,
    //       state:  'insert'
    //     });

    //     this.createSelection();
    //     this.createStates();
    //     this.bindHandlers();
    //     this.createIframeStates();
    //   },

    //   createStates: function() {
    //   var options = this.options;

    //   // Add the default states.
    //   this.states.add([
    //     // Main states.
    //     new wp.media.controller.Library({
    //     id:   'insert',
    //     title:  'Insert Media',
    //     priority:   20,
    //     toolbar:  'main-insert',
    //     filterable: 'image',
    //     library:  wp.media.query( options.library ),
    //     multiple:   options.multiple ? 'reset' : false,
    //     editable:   true,

    //     // If the user isn't allowed to edit fields,
    //     // can they still edit it locally?
    //     allowLocalEdits: true,

    //     // Show the attachment display settings.
    //     displaySettings: true,
    //     // Update user settings when users adjust the
    //     // attachment display settings.
    //     displayUserSettings: true
    //     }),

    //     // Embed states.
    //     new wp.media.controller.Embed(),
    //   ]);

    //   if ( wp.media.view.settings.post.featuredImageId ) {
    //     this.states.add( new wp.media.controller.FeaturedImage() );
    //   }
    //   },

    //   bindHandlers: function() {
    //   // from Select
    //   this.on( 'router:create:browse', this.createRouter, this );
    //   this.on( 'router:render:browse', this.browseRouter, this );
    //   this.on( 'content:create:browse', this.browseContent, this );
    //   this.on( 'content:render:upload', this.uploadContent, this );
    //   this.on( 'toolbar:create:select', this.createSelectToolbar, this );
    //   //

    //   this.on( 'menu:create:gallery', this.createMenu, this );
    //   this.on( 'toolbar:create:main-insert', this.createToolbar, this );
    //   this.on( 'toolbar:create:main-gallery', this.createToolbar, this );
    //   this.on( 'toolbar:create:featured-image', this.featuredImageToolbar, this );
    //   this.on( 'toolbar:create:main-embed', this.mainEmbedToolbar, this );

    //   var handlers = {
    //     menu: {
    //       'default': 'mainMenu'
    //     },

    //     content: {
    //       'embed':    'embedContent',
    //       'edit-selection': 'editSelectionContent'
    //     },

    //     toolbar: {
    //       'main-insert':  'mainInsertToolbar'
    //     }
    //     };

    //   _.each( handlers, function( regionHandlers, region ) {
    //     _.each( regionHandlers, function( callback, handler ) {
    //     this.on( region + ':render:' + handler, this[ callback ], this );
    //     }, this );
    //   }, this );
    //   },

    //   // Menus
    //   mainMenu: function( view ) {
    //   view.set({
    //     'library-separator': new wp.media.View({
    //     className: 'separator',
    //     priority: 100
    //     })
    //   });
    //   },

    //   // Content
    //   embedContent: function() {
    //   var view = new wp.media.view.Embed({
    //     controller: this,
    //     model:  this.state()
    //   }).render();

    //   this.content.set( view );
    //   view.url.focus();
    //   },

    //   editSelectionContent: function() {
    //   var state = this.state(),
    //     selection = state.get('selection'),
    //     view;

    //   view = new wp.media.view.AttachmentsBrowser({
    //     controller: this,
    //     collection: selection,
    //     selection:  selection,
    //     model:  state,
    //     sortable:   true,
    //     search:   false,
    //     dragInfo:   true,

    //     AttachmentView: wp.media.view.Attachment.EditSelection
    //   }).render();

    //   view.toolbar.set( 'backToLibrary', {
    //     text:   'Return to Library',
    //     priority: -100,

    //     click: function() {
    //     this.controller.content.mode('browse');
    //     }
    //   });

    //   // Browse our library of attachments.
    //   this.content.set( view );
    //   },

    //   // Toolbars
    //   selectionStatusToolbar: function( view ) {
    //   var editable = this.state().get('editable');

    //   view.set( 'selection', new wp.media.view.Selection({
    //     controller: this,
    //     collection: this.state().get('selection'),
    //     priority:   -40,

    //     // If the selection is editable, pass the callback to
    //     // switch the content mode.
    //     editable: editable && function() {
    //     this.controller.content.mode('edit-selection');
    //     }
    //   }).render() );
    //   },

    //   mainInsertToolbar: function( view ) {
    //   var controller = this;

    //   this.selectionStatusToolbar( view );

    //   view.set( 'insert', {
    //     style:  'primary',
    //     priority: 80,
    //     text:   'Select Image',
    //     requires: { selection: true },

    //     click: function() {
    //     var state = controller.state(),
    //       selection = state.get('selection');

    //     controller.close();
    //     state.trigger( 'insert', selection ).reset();
    //     }
    //   });
    //   },

    //   featuredImageToolbar: function( toolbar ) {
    //   this.createSelectToolbar( toolbar, {
    //     text:  'Set Featured Image',
    //     state: this.options.state || 'upload'
    //   });
    //   },

    //   mainEmbedToolbar: function( toolbar ) {
    //   toolbar.view = new wp.media.view.Toolbar.Embed({
    //     controller: this,
    //     text: 'Insert Image'
    //   });
    //   }

    // });
  };
});
define('cornerstone/util/dragula', ['exports', 'ember', 'cornerstone/vendor/dragula/dragula'], function (exports, _ember, _cornerstoneVendorDragulaDragula) {

  function drag(el, source) {
    _ember['default'].$(el).triggerHandler('dragula-drag', arguments);
    _ember['default'].$(source).triggerHandler('dragula-drag-lift', arguments);
  }

  function dragend(el) {
    _ember['default'].$(el).triggerHandler('dragula-dragend', arguments);
  }

  function drop(el, target, source, sibling) {
    _ember['default'].$(el).triggerHandler('dragula-drop', arguments);
    _ember['default'].$(target).triggerHandler('dragula-drop-into', arguments);
    _ember['default'].$(source).triggerHandler('dragula-drop-from', arguments);
    _ember['default'].$(sibling).triggerHandler('dragula-drop-before', arguments);
  }

  // Revert on spill
  function cancel(el, container, source) {
    _ember['default'].$(el).triggerHandler('dragula-cancel', arguments);
    _ember['default'].$(container).triggerHandler('dragula-cancel-container', arguments); // Container informed that el is being returned
    _ember['default'].$(source).triggerHandler('dragula-cancel-source', arguments);
  }

  // Remove on spill
  function remove(el, container, source) {
    _ember['default'].$(el).triggerHandler('dragula-remove', arguments);
    _ember['default'].$(container).triggerHandler('dragula-remove-container', arguments);
    _ember['default'].$(source).triggerHandler('dragula-remove-source', arguments);
  }

  function shadow(el, container, source) {
    _ember['default'].$(el).triggerHandler('dragula-shadow', arguments);
    _ember['default'].$(container).triggerHandler('dragula-shadow-container', arguments);
    _ember['default'].$(source).triggerHandler('dragula-shadow-source', arguments);
  }

  function over(el, container, source) {
    _ember['default'].$(el).triggerHandler('dragula-over', arguments);
    _ember['default'].$(container).triggerHandler('dragula-over-container', arguments);
    _ember['default'].$(source).triggerHandler('dragula-over-source', arguments);
  }

  function out(el, container, source) {
    _ember['default'].$(el).triggerHandler('dragula-out', arguments);
    _ember['default'].$(container).triggerHandler('dragula-out-container', arguments);
    _ember['default'].$(source).triggerHandler('dragula-out-source', arguments);
  }

  function cloned(clone, original, type) {
    // Ember.$(clone).triggerHandler( 'dragula-cloned', arguments );
    _ember['default'].$(original).triggerHandler('dragula-cloned', arguments);
    if ('copy' === type) {
      //Ember.$(clone).triggerHandler( 'dragula-copy', arguments );
      _ember['default'].$(original).triggerHandler('dragula-copy', arguments);
    } else if ('mirror' === type) {
      // Ember.$(clone).triggerHandler( 'dragula-mirror', arguments );
      _ember['default'].$(original).triggerHandler('dragula-mirror', arguments);
    }
  }

  var Handler = _ember['default'].Object.extend({

    setup: function setup() {
      var drake = this.get('drake');
      if (drake) {
        drake.on('drag', drag);
        drake.on('dragend', dragend);
        drake.on('drop', drop);
        drake.on('cancel', cancel);
        drake.on('remove', remove);
        drake.on('shadow', shadow);
        drake.on('over', over);
        drake.on('out', out);
        drake.on('cloned', cloned);
      }
    },

    teardown: function teardown() {

      var drake = this.get('drake');
      if (drake) {
        drake.destroy();
      }
    }

  });

  exports['default'] = function () {

    var handler = new Handler();
    var drake = _cornerstoneVendorDragulaDragula['default'].apply(this, arguments);

    handler.set('drake', drake);
    handler.setup();

    drake.emberHandler = handler;

    drake.teardown = function () {
      handler.teardown();
    };

    return drake;
  };
});
define('cornerstone/util/flatten-assignments', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = function (contexts) {

    var copy = _ember['default'].copy(contexts, true);

    return copy.reduce(function (memo, group) {

      var groupDivider = true;

      if (group.title) {
        // add group top level item
        memo[group.name] = {
          title: group.title,
          url: group.url,
          highlight: true,
          divider: true
        };
      } else {
        groupDivider = false;
      }

      if (group.items) {
        group.items.forEach(function (item, index) {

          var row = {
            group: group.name,
            title: item.title,
            url: item.url,
            tag: group.tag
          };

          if (0 === index && !groupDivider) {
            row.divider = true;
          }

          memo[group.name + '::' + item.value] = row;
        });
      }

      return memo;
    }, {});
  };
});
define('cornerstone/util/hex-encode', ['exports'], function (exports) {
  exports['default'] = function (value) {
    return value.split('').reduce(function (hex, char) {
      hex += char.charCodeAt(0).toString(16);
      return hex;
    }, '');
  };
});
define('cornerstone/util/jquery-plugins', ['exports', 'jquery'], function (exports, _jquery) {
  exports['default'] = function () {
    (function ($) {

      var $shadow = $('<div class="shadow-height x-section" style="position:absolute;top:200%;visibility:hidden;"></div>');

      $.fn.shadowHeight = function () {

        if (this.length < 1) {
          return;
        }

        var $el = this.length > 1 ? this.eq(0) : this;
        var $copy = $el.clone();

        $shadow.empty().appendTo('#cs-content');
        $shadow.append($copy);

        var height = $copy.outerHeight();

        if (height < 1) {
          $copy.addClass('cf');
          height = $copy.outerHeight();
        }

        $shadow.detach();
        $copy.remove();

        return height;
      };

      $.fn.csPointInsideElement = function (x, y) {

        if (this.length < 1) {
          return;
        }

        var $el = this.length > 1 ? this.eq(0) : this;
        var offset = $el.offset();

        var hor = x > offset.left && x < offset.left + $el.width();
        var vert = y > offset.top && y < offset.top + $el.height();

        return hor && vert;
      };

      $.fn.focusEnd = function () {

        return this.each(function () {

          $(this).focus();

          // Move to end if supported by browser and element
          if ('function' === typeof this.setSelectionRange) {
            var end = $(this).val().length * 2;
            this.setSelectionRange(end, end);
            this.scrollTop = 99999999;
          }
        });
      };

      $.fn.cleanPaste = function () {

        function cleanContent(str) {
          return str.replace(/\u200B/g, '');
        }

        function handler(e) {

          try {

            var content = cleanContent(e.originalEvent.clipboardData.getData('text'));
            var before = this.value.substr(0, this.selectionStart) + content;
            var after = this.value.substr(this.selectionEnd, this.value.length);
            this.value = before + after;
            this.setSelectionRange(before.length, before.length);
            e.preventDefault();
            $(this).change();
          } catch (e) {}
        }

        return this.each(function () {
          $(this).off('paste', handler).on('paste', handler);
        });
      };
    })(_jquery['default']);
  };
});
define('cornerstone/util/merge-options', ['exports'], function (exports) {
	//https://github.com/schnittstabil/merge-options
	'use strict';

	var isOptionObject = function isOptionObject(x) {
		var prototype;
		return Object.prototype.toString.call(x) === '[object Object]' && (prototype = Object.getPrototypeOf(x), prototype === null || prototype === Object.getPrototypeOf({}));
	};

	var hasOwnProperty = Object.prototype.hasOwnProperty;
	var propIsEnumerable = Object.propertyIsEnumerable;
	var globalThis = this;
	var defaultMergeOpts = {
		concatArrays: false
	};

	var getEnumerableOwnPropertyKeys = function getEnumerableOwnPropertyKeys(value) {
		var keys = [];

		for (var key in value) {
			if (hasOwnProperty.call(value, key)) {
				keys.push(key);
			}
		}

		/* istanbul ignore else  */
		if (Object.getOwnPropertySymbols) {
			var symbols = Object.getOwnPropertySymbols(value);

			for (var i = 0; i < symbols.length; i++) {
				if (propIsEnumerable.call(value, symbols[i])) {
					keys.push(symbols[i]);
				}
			}
		}

		return keys;
	};

	function clone(value) {
		if (Array.isArray(value)) {
			return cloneArray(value);
		}

		if (isOptionObject(value)) {
			return cloneOptionObject(value);
		}

		return value;
	}

	function cloneArray(array) {
		var result = array.slice(0, 0);

		getEnumerableOwnPropertyKeys(array).forEach(function (key) {
			result[key] = clone(array[key]);
		});

		return result;
	}

	function cloneOptionObject(obj) {
		var result = Object.getPrototypeOf(obj) === null ? Object.create(null) : {};

		getEnumerableOwnPropertyKeys(obj).forEach(function (key) {
			result[key] = clone(obj[key]);
		});

		return result;
	}

	/**
  * @param merged {already cloned}
  * @return {cloned Object}
  */
	var mergeKeys = function mergeKeys(merged, source, keys, mergeOpts) {
		keys.forEach(function (key) {
			if (key in merged) {
				merged[key] = merge(merged[key], source[key], mergeOpts);
			} else {
				merged[key] = clone(source[key]);
			}
		});

		return merged;
	};

	/**
  * @param merged {already cloned}
  * @return {cloned Object}
  *
  * see [Array.prototype.concat ( ...arguments )](http://www.ecma-international.org/ecma-262/6.0/#sec-array.prototype.concat)
  */
	var concatArrays = function concatArrays(merged, source, mergeOpts) {
		var result = merged.slice(0, 0);
		var resultIndex = 0;

		[merged, source].forEach(function (array) {
			var indices = [];

			// `result.concat(array)` with cloning
			for (var k = 0; k < array.length; k++) {
				if (!hasOwnProperty.call(array, k)) {
					continue;
				}

				indices.push(String(k));

				if (array === merged) {
					// Already cloned
					result[resultIndex++] = array[k];
				} else {
					result[resultIndex++] = clone(array[k]);
				}
			}

			// Merge non-index keys
			result = mergeKeys(result, array, getEnumerableOwnPropertyKeys(array).filter(function (key) {
				return indices.indexOf(key) === -1;
			}), mergeOpts);
		});

		return result;
	};

	/**
  * @param merged {already cloned}
  * @return {cloned Object}
  */
	function merge(merged, source, mergeOpts) {
		if (mergeOpts.concatArrays && Array.isArray(merged) && Array.isArray(source)) {
			return concatArrays(merged, source, mergeOpts);
		}

		if (!isOptionObject(source) || !isOptionObject(merged)) {
			return clone(source);
		}

		return mergeKeys(merged, source, getEnumerableOwnPropertyKeys(source), mergeOpts);
	}

	exports['default'] = function () {
		var mergeOpts = merge(clone(defaultMergeOpts), this !== globalThis && this || {}, defaultMergeOpts);
		var merged = {};

		for (var i = 0; i < arguments.length; i++) {
			var option = arguments[i];

			if (option === undefined) {
				continue;
			}

			if (!isOptionObject(option)) {
				throw new TypeError('`' + option + '` is not an Option Object');
			}

			merged = merge(merged, option, mergeOpts);
		}

		return merged;
	};
});
define('cornerstone/util/split-on-whitespace', ['exports', 'ember'], function (exports, _ember) {

  // This works like value.split(' ') but allowing whitespace inside parentheses
  // Example: ["calc( 10px - 100% )", "10px", 10px", 10px" ]

  exports['default'] = function (value) {
    if (!value) {
      return [];
    }
    if ('string' !== _ember['default'].typeOf(value)) {
      return [value];
    }
    return value.match(/(?:[^\s]+\(.*?\))|[^\s]+/g);
  };
});
define('cornerstone/util/string-like', ['exports'], function (exports) {
  exports['default'] = stringLike;

  function stringLike(a, b) {

    // Cast to string
    a = !a ? '' : String(a);
    b = !b ? '' : String(b);

    var wildBefore = false;
    var wildAfter = false;

    if (0 === b.indexOf('%')) {
      wildBefore = true;
      b = b.substr(1);
    }

    if (b.length - 1 === b.indexOf('%')) {
      wildAfter = true;
      b = b.substr(0, b.length - 1);
    }

    if (wildBefore && wildAfter) {
      return -1 !== a.indexOf(b);
    }

    if (wildAfter) {
      return 0 === a.indexOf(b);
    }

    if (wildBefore) {
      return a.length - b.length === a.indexOf(b);
    }

    return a === b;
  }
});
define('cornerstone/utils/i18n/compile-template', ['exports', 'ember-i18n/utils/i18n/compile-template'], function (exports, _emberI18nUtilsI18nCompileTemplate) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberI18nUtilsI18nCompileTemplate['default'];
    }
  });
});
define('cornerstone/utils/i18n/missing-message', ['exports', 'ember-i18n/utils/i18n/missing-message'], function (exports, _emberI18nUtilsI18nMissingMessage) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberI18nUtilsI18nMissingMessage['default'];
    }
  });
});
define('cornerstone/utils/titleize', ['exports', 'ember-composable-helpers/utils/titleize'], function (exports, _emberComposableHelpersUtilsTitleize) {
  Object.defineProperty(exports, 'default', {
    enumerable: true,
    get: function get() {
      return _emberComposableHelpersUtilsTitleize['default'];
    }
  });
});
define('cornerstone/vendor/dragula/classes', ['exports'], function (exports) {
  'use strict';

  var cache = {};
  var start = '(?:^|\\s)';
  var end = '(?:\\s|$)';

  function lookupClass(className) {
    var cached = cache[className];
    if (cached) {
      cached.lastIndex = 0;
    } else {
      cache[className] = cached = new RegExp(start + className + end, 'g');
    }
    return cached;
  }

  function addClass(el, className) {
    var current = el.className;
    if (!current.length) {
      el.className = className;
    } else if (!lookupClass(className).test(current)) {
      el.className += ' ' + className;
    }
  }

  function rmClass(el, className) {
    el.className = el.className.replace(lookupClass(className), ' ').trim();
  }

  var classes = {
    add: addClass,
    rm: rmClass
  };

  exports['default'] = classes;
});
define('cornerstone/vendor/dragula/dragula', ['exports', 'npm:contra/emitter', 'npm:crossvent', 'cornerstone/vendor/dragula/classes'], function (exports, _npmContraEmitter, _npmCrossvent, _cornerstoneVendorDragulaClasses) {
  'use strict';

  var doc = document;
  var documentElement = doc.documentElement;
  var global = window;

  function dragula(initialContainers, options) {
    var len = arguments.length;
    if (len === 1 && Array.isArray(initialContainers) === false) {
      options = initialContainers;
      initialContainers = [];
    }
    var _mirror; // mirror image
    var _source; // source container
    var _item; // item being dragged
    var _offsetX; // reference x
    var _offsetY; // reference y
    var _moveX; // reference move x
    var _moveY; // reference move y
    var _initialSibling; // reference sibling when grabbed
    var _currentSibling; // reference sibling now
    var _copy; // item used for copying
    var _renderTimer; // timer for setTimeout renderMirrorImage
    var _lastDropTarget = null; // last container item was over
    var _grabbed; // holds mousedown context until first mousemove

    var o = options || {};
    if (o.moves === void 0) {
      o.moves = always;
    }
    if (o.accepts === void 0) {
      o.accepts = always;
    }
    if (o.invalid === void 0) {
      o.invalid = invalidTarget;
    }
    if (o.containers === void 0) {
      o.containers = initialContainers || [];
    }
    if (o.isContainer === void 0) {
      o.isContainer = never;
    }
    if (o.copy === void 0) {
      o.copy = false;
    }
    if (o.copySortSource === void 0) {
      o.copySortSource = false;
    }
    if (o.revertOnSpill === void 0) {
      o.revertOnSpill = false;
    }
    if (o.removeOnSpill === void 0) {
      o.removeOnSpill = false;
    }
    if (o.direction === void 0) {
      o.direction = 'vertical';
    }
    if (o.ignoreInputTextSelection === void 0) {
      o.ignoreInputTextSelection = true;
    }
    if (o.mirrorContainer === void 0) {
      o.mirrorContainer = doc.body;
    }
    if (o.offset === void 0) {
      o.offset = thru;
    }

    var drake = (0, _npmContraEmitter['default'])({
      containers: o.containers,
      start: manualStart,
      end: end,
      cancel: cancel,
      remove: remove,
      destroy: destroy,
      canMove: canMove,
      dragging: false
    });

    if (o.removeOnSpill === true) {
      drake.on('over', spillOver).on('out', spillOut);
    }

    events();

    return drake;

    function isContainer(el) {
      return drake.containers.indexOf(el) !== -1 || o.isContainer(el);
    }

    function events(remove) {
      var op = remove ? 'remove' : 'add';
      touchy(documentElement, op, 'mousedown', grab);
      touchy(documentElement, op, 'mouseup', release);
    }

    function eventualMovements(remove) {
      var op = remove ? 'remove' : 'add';
      touchy(documentElement, op, 'mousemove', startBecauseMouseMoved);
    }

    function movements(remove) {
      var op = remove ? 'remove' : 'add';
      _npmCrossvent['default'][op](documentElement, 'selectstart', preventGrabbed); // IE8
      _npmCrossvent['default'][op](documentElement, 'click', preventGrabbed);
    }

    function destroy() {
      events(true);
      release({});
    }

    function preventGrabbed(e) {
      if (_grabbed) {
        e.preventDefault();
      }
    }

    function grab(e) {
      _moveX = e.clientX;
      _moveY = e.clientY;

      var ignore = whichMouseButton(e) !== 1 || e.metaKey || e.ctrlKey;
      if (ignore) {
        return; // we only care about honest-to-god left clicks and touch events
      }
      var item = e.target;
      var context = canStart(item);
      if (!context) {
        return;
      }
      _grabbed = context;
      eventualMovements();
      if (e.type === 'mousedown') {
        if (isInput(item)) {
          // see also: https://github.com/bevacqua/dragula/issues/208
          item.focus(); // fixes https://github.com/bevacqua/dragula/issues/176
        } else {
            e.preventDefault(); // fixes https://github.com/bevacqua/dragula/issues/155
          }
      }
    }

    function startBecauseMouseMoved(e) {
      if (!_grabbed) {
        return;
      }
      if (whichMouseButton(e) === 0) {
        release({});
        return; // when text is selected on an input and then dragged, mouseup doesn't fire. this is our only hope
      }
      // truthy check fixes #239, equality fixes #207
      if (e.clientX !== void 0 && e.clientX === _moveX && e.clientY !== void 0 && e.clientY === _moveY) {
        return;
      }
      if (o.ignoreInputTextSelection) {
        var clientX = getCoord('clientX', e);
        var clientY = getCoord('clientY', e);
        var elementBehindCursor = doc.elementFromPoint(clientX, clientY);
        if (isInput(elementBehindCursor)) {
          return;
        }
      }

      var grabbed = _grabbed; // call to end() unsets _grabbed
      eventualMovements(true);
      movements();
      end();
      start(grabbed);

      var offset = getOffset(_item);
      var calculatedOffset = o.offset({
        x: getCoord('pageX', e) - offset.left,
        y: getCoord('pageY', e) - offset.top
      }, e, _item);

      _offsetX = calculatedOffset.x;
      _offsetY = calculatedOffset.y;

      _cornerstoneVendorDragulaClasses['default'].add(_copy || _item, 'gu-transit');
      renderMirrorImage();
      drag(e);
    }

    function canStart(item) {
      if (drake.dragging && _mirror) {
        return;
      }
      if (isContainer(item)) {
        return; // don't drag container itself
      }
      var handle = item;
      while (getParent(item) && isContainer(getParent(item)) === false) {
        if (o.invalid(item, handle)) {
          return;
        }
        item = getParent(item); // drag target should be a top element
        if (!item) {
          return;
        }
      }
      var source = getParent(item);
      if (!source) {
        return;
      }
      if (o.invalid(item, handle)) {
        return;
      }

      var movable = o.moves(item, source, handle, nextEl(item));
      if (!movable) {
        return;
      }

      return {
        item: item,
        source: source
      };
    }

    function canMove(item) {
      return !!canStart(item);
    }

    function manualStart(item) {
      var context = canStart(item);
      if (context) {
        start(context);
      }
    }

    function start(context) {
      if (isCopy(context.item, context.source)) {
        _copy = context.item.cloneNode(true);
        drake.emit('cloned', _copy, context.item, 'copy');
      }

      _source = context.source;
      _item = context.item;
      _initialSibling = _currentSibling = nextEl(context.item);

      drake.dragging = true;
      drake.emit('drag', _item, _source);
    }

    function invalidTarget() {
      return false;
    }

    function end() {
      if (!drake.dragging) {
        return;
      }
      var item = _copy || _item;
      drop(item, getParent(item));
    }

    function ungrab() {
      _grabbed = false;
      eventualMovements(true);
      movements(true);
    }

    function release(e) {
      ungrab();

      if (!drake.dragging) {
        return;
      }
      var item = _copy || _item;
      var clientX = getCoord('clientX', e);
      var clientY = getCoord('clientY', e);
      var elementBehindCursor = getElementBehindPoint(_mirror, clientX, clientY);
      var dropTarget = findDropTarget(elementBehindCursor, clientX, clientY);
      if (dropTarget && (_copy && o.copySortSource || !_copy || dropTarget !== _source)) {
        drop(item, dropTarget);
      } else if (o.removeOnSpill) {
        remove();
      } else {
        cancel();
      }
    }

    function drop(item, target) {
      var parent = getParent(item);
      if (_copy && o.copySortSource && target === _source) {
        parent.removeChild(_item);
      }
      if (isInitialPlacement(target)) {
        drake.emit('cancel', item, _source, _source);
      } else {
        drake.emit('drop', item, target, _source, _currentSibling);
      }
      cleanup();
    }

    function remove() {
      if (!drake.dragging) {
        return;
      }
      var item = _copy || _item;
      var parent = getParent(item);
      if (parent) {
        parent.removeChild(item);
      }
      drake.emit(_copy ? 'cancel' : 'remove', item, parent, _source);
      cleanup();
    }

    function cancel(revert) {
      if (!drake.dragging) {
        return;
      }
      var reverts = arguments.length > 0 ? revert : o.revertOnSpill;
      var item = _copy || _item;
      var parent = getParent(item);
      var initial = isInitialPlacement(parent);
      if (initial === false && reverts) {
        if (_copy) {
          if (parent) {
            parent.removeChild(_copy);
          }
        } else {
          _source.insertBefore(item, _initialSibling);
        }
      }
      if (initial || reverts) {
        drake.emit('cancel', item, _source, _source);
      } else {
        drake.emit('drop', item, parent, _source, _currentSibling);
      }
      cleanup();
    }

    function cleanup() {
      var item = _copy || _item;
      ungrab();
      removeMirrorImage();
      if (item) {
        _cornerstoneVendorDragulaClasses['default'].rm(item, 'gu-transit');
      }
      if (_renderTimer) {
        clearTimeout(_renderTimer);
      }
      drake.dragging = false;
      if (_lastDropTarget) {
        drake.emit('out', item, _lastDropTarget, _source);
      }
      drake.emit('dragend', item);
      _source = _item = _copy = _initialSibling = _currentSibling = _renderTimer = _lastDropTarget = null;
    }

    function isInitialPlacement(target, s) {
      var sibling;
      if (s !== void 0) {
        sibling = s;
      } else if (_mirror) {
        sibling = _currentSibling;
      } else {
        sibling = nextEl(_copy || _item);
      }
      return target === _source && sibling === _initialSibling;
    }

    function findDropTarget(elementBehindCursor, clientX, clientY) {
      var target = elementBehindCursor;
      while (target && !accepted()) {
        target = getParent(target);
      }
      return target;

      function accepted() {
        var droppable = isContainer(target);
        if (droppable === false) {
          return false;
        }

        var immediate = getImmediateChild(target, elementBehindCursor);
        var reference = getReference(target, immediate, clientX, clientY);
        var initial = isInitialPlacement(target, reference);
        if (initial) {
          return true; // should always be able to drop it right back where it was
        }
        return o.accepts(_item, target, _source, reference);
      }
    }

    function drag(e) {
      if (!_mirror) {
        return;
      }
      e.preventDefault();

      var clientX = getCoord('clientX', e);
      var clientY = getCoord('clientY', e);
      var x = clientX - _offsetX;
      var y = clientY - _offsetY;

      _mirror.style.left = x + 'px';
      _mirror.style.top = y + 'px';

      var item = _copy || _item;
      var elementBehindCursor = getElementBehindPoint(_mirror, clientX, clientY);
      var dropTarget = findDropTarget(elementBehindCursor, clientX, clientY);
      var changed = dropTarget !== null && dropTarget !== _lastDropTarget;
      if (changed || dropTarget === null) {
        out();
        _lastDropTarget = dropTarget;
        over();
      }
      var parent = getParent(item);
      if (dropTarget === _source && _copy && !o.copySortSource) {
        if (parent) {
          parent.removeChild(item);
        }
        return;
      }
      var reference;
      var immediate = getImmediateChild(dropTarget, elementBehindCursor);
      if (immediate !== null) {
        reference = getReference(dropTarget, immediate, clientX, clientY);
      } else if (o.revertOnSpill === true && !_copy) {
        reference = _initialSibling;
        dropTarget = _source;
      } else {
        if (_copy && parent) {
          parent.removeChild(item);
        }
        return;
      }
      if (reference === null && changed || reference !== item && reference !== nextEl(item)) {
        _currentSibling = reference;
        dropTarget.insertBefore(item, reference);
        drake.emit('shadow', item, dropTarget, _source);
      }
      function moved(type) {
        drake.emit(type, item, _lastDropTarget, _source);
      }
      function over() {
        if (changed) {
          moved('over');
        }
      }
      function out() {
        if (_lastDropTarget) {
          moved('out');
        }
      }
    }

    function spillOver(el) {
      _cornerstoneVendorDragulaClasses['default'].rm(el, 'gu-hide');
    }

    function spillOut(el) {
      if (drake.dragging) {
        _cornerstoneVendorDragulaClasses['default'].add(el, 'gu-hide');
      }
    }

    function renderMirrorImage() {
      if (_mirror) {
        return;
      }
      var rect = _item.getBoundingClientRect();
      _mirror = _item.cloneNode(true);
      _mirror.style.width = getRectWidth(rect) + 'px';
      _mirror.style.height = getRectHeight(rect) + 'px';
      _cornerstoneVendorDragulaClasses['default'].rm(_mirror, 'gu-transit');
      _cornerstoneVendorDragulaClasses['default'].add(_mirror, 'gu-mirror');
      o.mirrorContainer.appendChild(_mirror);
      touchy(documentElement, 'add', 'mousemove', drag);
      _cornerstoneVendorDragulaClasses['default'].add(o.mirrorContainer, 'gu-unselectable');
      drake.emit('cloned', _mirror, _item, 'mirror');
    }

    function removeMirrorImage() {
      if (_mirror) {
        _cornerstoneVendorDragulaClasses['default'].rm(o.mirrorContainer, 'gu-unselectable');
        touchy(documentElement, 'remove', 'mousemove', drag);
        getParent(_mirror).removeChild(_mirror);
        _mirror = null;
      }
    }

    function getImmediateChild(dropTarget, target) {
      var immediate = target;
      while (immediate !== dropTarget && getParent(immediate) !== dropTarget) {
        immediate = getParent(immediate);
      }
      if (immediate === documentElement) {
        return null;
      }
      return immediate;
    }

    function getReference(dropTarget, target, x, y) {
      var horizontal = o.direction === 'horizontal';
      var reference = target !== dropTarget ? inside() : outside();
      return reference;

      function outside() {
        // slower, but able to figure out any position
        var len = dropTarget.children.length;
        var i;
        var el;
        var rect;
        for (i = 0; i < len; i++) {
          el = dropTarget.children[i];
          rect = el.getBoundingClientRect();
          if (horizontal && rect.left + rect.width / 2 > x) {
            return el;
          }
          if (!horizontal && rect.top + rect.height / 2 > y) {
            return el;
          }
        }
        return null;
      }

      function inside() {
        // faster, but only available if dropped inside a child element
        var rect = target.getBoundingClientRect();
        if (horizontal) {
          return resolve(x > rect.left + getRectWidth(rect) / 2);
        }
        return resolve(y > rect.top + getRectHeight(rect) / 2);
      }

      function resolve(after) {
        return after ? nextEl(target) : target;
      }
    }

    function isCopy(item, container) {
      return typeof o.copy === 'boolean' ? o.copy : o.copy(item, container);
    }
  }

  function touchy(el, op, type, fn) {
    var touch = {
      mouseup: 'touchend',
      mousedown: 'touchstart',
      mousemove: 'touchmove'
    };
    var pointers = {
      mouseup: 'pointerup',
      mousedown: 'pointerdown',
      mousemove: 'pointermove'
    };
    var microsoft = {
      mouseup: 'MSPointerUp',
      mousedown: 'MSPointerDown',
      mousemove: 'MSPointerMove'
    };
    if (global.navigator.pointerEnabled) {
      _npmCrossvent['default'][op](el, pointers[type], fn);
    } else if (global.navigator.msPointerEnabled) {
      _npmCrossvent['default'][op](el, microsoft[type], fn);
    } else {
      _npmCrossvent['default'][op](el, touch[type], fn);
      _npmCrossvent['default'][op](el, type, fn);
    }
  }

  function whichMouseButton(e) {
    if (e.touches !== void 0) {
      return e.touches.length;
    }
    if (e.which !== void 0 && e.which !== 0) {
      return e.which;
    } // see https://github.com/bevacqua/dragula/issues/261
    if (e.buttons !== void 0) {
      return e.buttons;
    }
    var button = e.button;
    if (button !== void 0) {
      // see https://github.com/jquery/jquery/blob/99e8ff1baa7ae341e94bb89c3e84570c7c3ad9ea/src/event.js#L573-L575
      return button & 1 ? 1 : button & 2 ? 3 : button & 4 ? 2 : 0;
    }
  }

  function getOffset(el) {
    var rect = el.getBoundingClientRect();
    return {
      left: rect.left + getScroll('scrollLeft', 'pageXOffset'),
      top: rect.top + getScroll('scrollTop', 'pageYOffset')
    };
  }

  function getScroll(scrollProp, offsetProp) {
    if (typeof global[offsetProp] !== 'undefined') {
      return global[offsetProp];
    }
    if (documentElement.clientHeight) {
      return documentElement[scrollProp];
    }
    return doc.body[scrollProp];
  }

  function getElementBehindPoint(point, x, y) {
    var p = point || {};
    var state = p.className;
    var el;
    p.className += ' gu-hide';
    el = doc.elementFromPoint(x, y);
    p.className = state;
    return el;
  }

  function never() {
    return false;
  }
  function always() {
    return true;
  }
  function thru(val) {
    return val;
  }
  function getRectWidth(rect) {
    return rect.width || rect.right - rect.left;
  }
  function getRectHeight(rect) {
    return rect.height || rect.bottom - rect.top;
  }
  function getParent(el) {
    return el.parentNode === doc ? null : el.parentNode;
  }
  function isInput(el) {
    return el.tagName === 'INPUT' || el.tagName === 'TEXTAREA' || el.tagName === 'SELECT' || isEditable(el);
  }
  function isEditable(_x) {
    var _again = true;

    _function: while (_again) {
      var el = _x;
      _again = false;

      if (!el) {
        return false;
      } // no parents were editable
      if (el.contentEditable === 'false') {
        return false;
      } // stop the lookup
      if (el.contentEditable === 'true') {
        return true;
      } // found a contentEditable element in the chain
      _x = getParent(el);
      _again = true;
      continue _function;
      // contentEditable is set to 'inherit'
    }
  }

  function nextEl(el) {
    return el.nextElementSibling || manually();
    function manually() {
      var sibling = el;
      do {
        sibling = sibling.nextSibling;
      } while (sibling && sibling.nodeType !== 1);
      return sibling;
    }
  }

  function getEventHost(e) {
    // on touchend event, we have to use `e.changedTouches`
    // see http://stackoverflow.com/questions/7192563/touchend-event-properties
    // see https://github.com/bevacqua/dragula/issues/34
    if (e.targetTouches && e.targetTouches.length) {
      return e.targetTouches[0];
    }
    if (e.changedTouches && e.changedTouches.length) {
      return e.changedTouches[0];
    }
    return e;
  }

  function getCoord(coord, e) {
    var host = getEventHost(e);
    var missMap = {
      pageX: 'clientX', // IE8
      pageY: 'clientY' // IE8
    };
    if (coord in missMap && !(coord in host) && missMap[coord] in host) {
      coord = missMap[coord];
    }
    return host[coord];
  }

  exports['default'] = dragula;

  // module.exports = dragula;
});
// 1.9.4
// 1.5.4
define('cornerstone/vendor/lru', ['exports'], function (exports) {
  // https://github.com/rsms/js-lru

  /**
   * A doubly linked list-based Least Recently Used (LRU) cache. Will keep most
   * recently used items while discarding least recently used items when its limit
   * is reached.
   *
   * Licensed under MIT. Copyright (c) 2010 Rasmus Andersson <http://hunch.se/>
   * See README.md for details.
   *
   * Illustration of the design:
   *
   *       entry             entry             entry             entry
   *       ______            ______            ______            ______
   *      | head |.newer => |      |.newer => |      |.newer => | tail |
   *      |  A   |          |  B   |          |  C   |          |  D   |
   *      |______| <= older.|______| <= older.|______| <= older.|______|
   *
   *  removed  <--  <--  <--  <--  <--  <--  <--  <--  <--  <--  <--  added
   */

  var NEWER = window.Symbol('newer');
  var OLDER = window.Symbol('older');

  function LRUMap(limit, entries) {
    if (typeof limit !== 'number') {
      // called as (entries)
      entries = limit;
      limit = 0;
    }

    this.size = 0;
    this.limit = limit;
    this.oldest = this.newest = undefined;
    this._keymap = new window.Map();

    if (entries) {
      this.assign(entries);
      if (limit < 1) {
        this.limit = this.size;
      }
    }
  }

  exports.LRUMap = LRUMap;

  function Entry(key, value) {
    this.key = key;
    this.value = value;
    this[NEWER] = undefined;
    this[OLDER] = undefined;
  }

  LRUMap.prototype._markEntryAsUsed = function (entry) {
    if (entry === this.newest) {
      // Already the most recenlty used entry, so no need to update the list
      return;
    }
    // HEAD--------------TAIL
    //   <.older   .newer>
    //  <--- add direction --
    //   A  B  C  <D>  E
    if (entry[NEWER]) {
      if (entry === this.oldest) {
        this.oldest = entry[NEWER];
      }
      entry[NEWER][OLDER] = entry[OLDER]; // C <-- E.
    }
    if (entry[OLDER]) {
      entry[OLDER][NEWER] = entry[NEWER]; // C. --> E
    }
    entry[NEWER] = undefined; // D --x
    entry[OLDER] = this.newest; // D. --> E
    if (this.newest) {
      this.newest[NEWER] = entry; // E. <-- D
    }
    this.newest = entry;
  };

  LRUMap.prototype.assign = function (entries) {
    var entry = undefined,
        limit = this.limit || Number.MAX_VALUE;
    this._keymap.clear();
    var it = entries[window.Symbol.iterator]();
    for (var itv = it.next(); !itv.done; itv = it.next()) {
      var e = new Entry(itv.value[0], itv.value[1]);
      this._keymap.set(e.key, e);
      if (!entry) {
        this.oldest = e;
      } else {
        entry[NEWER] = e;
        e[OLDER] = entry;
      }
      entry = e;
      if (limit-- == 0) {
        // eslint-disable-line eqeqeq
        throw new Error('overflow');
      }
    }
    this.newest = entry;
    this.size = this._keymap.size;
  };

  LRUMap.prototype.get = function (key) {
    // First, find our cache entry
    var entry = this._keymap.get(key);
    if (!entry) {
      return;
    } // Not cached. Sorry.
    // As <key> was found in the cache, register it as being requested recently
    this._markEntryAsUsed(entry);
    return entry.value;
  };

  LRUMap.prototype.set = function (key, value) {
    var entry = this._keymap.get(key);

    if (entry) {
      // update existing
      entry.value = value;
      this._markEntryAsUsed(entry);
      return this;
    }

    // new entry
    this._keymap.set(key, entry = new Entry(key, value));

    if (this.newest) {
      // link previous tail to the new tail (entry)
      this.newest[NEWER] = entry;
      entry[OLDER] = this.newest;
    } else {
      // we're first in -- yay
      this.oldest = entry;
    }

    // add new entry to the end of the linked list -- it's now the freshest entry.
    this.newest = entry;
    ++this.size;
    if (this.size > this.limit) {
      // we hit the limit -- remove the head
      this.shift();
    }

    return this;
  };

  LRUMap.prototype.shift = function () {
    // todo: handle special case when limit == 1
    var entry = this.oldest;
    if (entry) {
      if (this.oldest[NEWER]) {
        // advance the list
        this.oldest = this.oldest[NEWER];
        this.oldest[OLDER] = undefined;
      } else {
        // the cache is exhausted
        this.oldest = undefined;
        this.newest = undefined;
      }
      // Remove last strong reference to <entry> and remove links from the purged
      // entry being returned:
      entry[NEWER] = entry[OLDER] = undefined;
      this._keymap['delete'](entry.key);
      --this.size;
      return [entry.key, entry.value];
    }
  };
});
define('cornerstone/vendor/mousetrap', ['exports'], function (exports) {
  (function () {
    function vendorModule() {
      'use strict';

      return { 'default': self['mousetrap'] };
    }

    define('mousetrap', [], vendorModule);
  })();
});
define("cornerstone/vendor/rgbaster", ["exports"], function (exports) {
  // https://github.com/briangonzalez/rgbaster.js
  // version: 1.0.0

  "use strict";

  // Helper functions.
  var getContext = function getContext(width, height) {
    var canvas = document.createElement("canvas");
    canvas.setAttribute('width', width);
    canvas.setAttribute('height', height);
    return canvas.getContext('2d');
  };

  var getImageData = function getImageData(img, loaded) {

    var imgObj = new Image();
    var imgSrc = img.src || img;

    // Can't set cross origin to be anonymous for data url's
    // https://github.com/mrdoob/three.js/issues/1305
    if (imgSrc.substring(0, 5) !== 'data:') {
      imgObj.crossOrigin = "Anonymous";
    }

    imgObj.onload = function () {
      var context = getContext(imgObj.width, imgObj.height);
      context.drawImage(imgObj, 0, 0);

      var imageData = context.getImageData(0, 0, imgObj.width, imgObj.height);
      if (loaded) {
        loaded(imageData.data);
      }
    };

    imgObj.src = imgSrc;
  };

  var makeRGB = function makeRGB(name) {
    return ['rgb(', name, ')'].join('');
  };

  var mapPalette = function mapPalette(palette) {
    var arr = [];
    for (var prop in palette) {
      arr.push(frmtPobj(prop, palette[prop]));
    }
    arr.sort(function (a, b) {
      return b.count - a.count;
    });
    return arr;
  };

  var fitPalette = function fitPalette(arr, fitSize) {
    if (arr.length > fitSize) {
      return arr.slice(0, fitSize);
    } else {
      for (var i = arr.length - 1; i < fitSize - 1; i++) {
        arr.push(frmtPobj('0,0,0', 0));
      }
      return arr;
    }
  };

  var frmtPobj = function frmtPobj(a, b) {
    return { name: makeRGB(a), count: b };
  };

  // RGBaster Object
  // ---------------
  //
  var PALETTESIZE = 10;

  var RGBaster = {};

  RGBaster.colors = function (img, opts) {

    opts = opts || {};
    var exclude = opts.exclude || [],
        // for example, to exclude white and black:  [ '0,0,0', '255,255,255' ]
    paletteSize = opts.paletteSize || PALETTESIZE;

    getImageData(img, function (data) {

      var colorCounts = {},
          rgbString = '',
          rgb = [];
      // colors        = {
      //   dominant: { name: '', count: 0 },
      //   palette:  []
      // };

      var i = 0;
      for (; i < data.length; i += 4) {
        rgb[0] = data[i];
        rgb[1] = data[i + 1];
        rgb[2] = data[i + 2];
        rgbString = rgb.join(",");

        // skip undefined data and transparent pixels
        if (rgb.indexOf(undefined) !== -1 || data[i + 3] === 0) {
          continue;
        }

        // Ignore those colors in the exclude list.
        if (exclude.indexOf(makeRGB(rgbString)) === -1) {
          if (rgbString in colorCounts) {
            colorCounts[rgbString] = colorCounts[rgbString] + 1;
          } else {
            colorCounts[rgbString] = 1;
          }
        }
      }

      if (opts.success) {
        var palette = fitPalette(mapPalette(colorCounts), paletteSize + 1);
        opts.success({
          dominant: palette[0].name,
          secondary: palette[1].name,
          palette: palette.map(function (c) {
            return c.name;
          }).slice(1)
        });
      }
    });
  };

  exports["default"] = RGBaster;
});
define('cornerstone/xfr/mixins/agent', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Mixin.create({

    xfr: _ember['default'].inject.service(),
    xfrOrigin: 'unknown',
    xfrPendingRequests: {},
    xfrRequestQueue: _ember['default'].A(),
    xfrResponseQueue: _ember['default'].A(),

    init: function init() {
      this._super.apply(this, arguments);
      this.set('xfrOnMessage', this.get('_xfrOnMessage').bind(this));
      this.set('xfr.agent', this);
    },

    _xfrOnMessage: function _xfrOnMessage(e) {
      var _this = this;

      if (!e.data) {
        return;
      }

      var processJob = function processJob(job) {

        // console.log(`Processing job "${job.action}" on ${this.get('xfrOrigin')} from ${job.origin}`, job );
        // Resolve request promise for incoming reponse
        if ('response' === job.type && job.ts) {
          var cb = _this.get('xfrPendingRequests.' + job.ts);
          if ('function' === _ember['default'].typeOf(cb)) {
            cb(job.data);
          }
          return;
        }

        // Create a resolve callback for responding to this request
        var resolve = (function (response) {
          this.xfrSendMessage('response', { data: response, ts: job.ts });
        }).bind(_this);

        // Send a generic response if we don't need a reply, or nobody is listening
        if (job.noreply || !_this.get('xfr').has(job.action)) {
          resolve({ ack: true, request: job });
        }

        // Trigger actions on the XFR pub/sub. Pass resolve if a reply is needed.
        _this.get('xfr').trigger(job.action, job.data, job.noreply ? null : resolve, job.ts);
      };

      _ember['default'].run(function () {
        if (e.data.batch) {
          e.data.batch.forEach(processJob);
        } else {
          processJob(e.data);
        }
      });
    },

    xfrSendMessage: function xfrSendMessage(type, params, timeout) {

      var port = this.get('xfrMessagePort');

      if (!port) {
        _ember['default'].Logger.warn('Sending before port is ready', type, params);
        return;
      }

      var message = _ember['default'].assign({ type: type, origin: this.get('xfrOrigin') }, params);

      // Fire and forget response
      if ('response' === type) {

        this.get('xfrResponseQueue').push({ message: message });
        _ember['default'].run.debounce(this, this.flushResponses, 5);
        return;
      }

      message.ts = 'ts' + Date.now() + this.get('xfrRequestQueue.length');

      return new _ember['default'].RSVP.Promise((function (resolve, reject) {

        this.get('xfrRequestQueue').push({
          message: message,
          resolve: resolve,
          reject: reject,
          timeout: timeout
        });

        _ember['default'].run.debounce(this, this.flushRequests, 10);
      }).bind(this));
    },

    flushResponses: function flushResponses() {

      var batch = this.get('xfrResponseQueue').map((function (response) {
        return response.message;
      }).bind(this));

      this.get('xfrResponseQueue').clear();

      this.get('xfrMessagePort').postMessage({ batch: batch });
    },

    flushRequests: function flushRequests() {

      var clearPending = (function (key) {
        var pending = this.get('xfrPendingRequests');
        delete pending[key];
        this.set('pending', pending);
      }).bind(this);

      var batch = this.get('xfrRequestQueue').map((function (request) {
        if (request.message.noreply) {
          request.resolve();
          return request.message;
        }
        var timer = _ember['default'].run.later(this, function () {
          clearPending(request.message.ts);
          request.reject({
            error: true,
            message: 'Xfr request made by ' + this.get('xfrOrigin') + ' timed out',
            ts: request.message.ts,
            params: request.message
          });
        }, _ember['default'].isNone(request.timeout) ? 1000 : request.timeout);

        this.set('xfrPendingRequests.' + request.message.ts, function (response) {
          _ember['default'].run.cancel(timer);
          request.resolve(response);
          clearPending(request.message.ts);
        });

        return request.message;
      }).bind(this));

      this.get('xfrRequestQueue').clear();
      this.get('xfrMessagePort').postMessage({ batch: batch });
    },

    request: function request(action, data) {
      return this.xfrSendMessage('request', { action: action, data: data });
    },

    message: function message(action, data) {
      return this.xfrSendMessage('request', { action: action, data: data, noreply: true });
    }

  });
});
define('cornerstone/xfr/service', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = _ember['default'].Service.extend(_ember['default'].Evented, {
    request: function request() {
      var agent = this.get('agent');
      var args = arguments;
      if (agent) {
        return agent.request.apply(agent, arguments);
      } else {
        return new _ember['default'].RSVP.Promise(function (resolve) {
          _ember['default'].debug('XFR service does not have an agent');
          _ember['default'].debug(args.action);
          resolve(undefined);
        });
      }
    },

    message: function message() {
      var agent = this.get('agent');
      var args = arguments;
      if (agent) {
        return agent.message.apply(agent, arguments);
      } else {
        return new _ember['default'].RSVP.Promise(function (resolve) {
          _ember['default'].debug('XFR service does not have an agent');
          _ember['default'].debug(args.action);
          resolve(undefined);
        });
      }
    }

  });
});
/* jshint ignore:start */



/* jshint ignore:end */

/* jshint ignore:start */

define('cornerstone/config/environment', ['ember'], function(Ember) {
  var exports = {'default': {"modulePrefix":"cornerstone","environment":"development","baseURL":"/","EmberENV":{"FEATURES":{}},"i18n":{"defaultLocale":"en"},"APP":{"name":"cornerstone","version":"1.0.0+4cec3af4"},"browserify":{"transform":[["aliasify",{"global":true}]]},"exportApplicationGlobal":true}};Object.defineProperty(exports, '__esModule', {value: true});return exports;
});

/* jshint ignore:end */

/* jshint ignore:start */

if (!runningTests) {
  require("cornerstone/app")["default"].create({"name":"cornerstone","version":"1.0.0+4cec3af4"});
}

/* jshint ignore:end */
//# sourceMappingURL=cs.map
